{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "respective-store",
   "metadata": {},
   "source": [
    "# In Class Notebook, Week 11"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "2a597611",
   "metadata": {},
   "source": [
    "You can always access the URL of this notebook: https://github.com/UIUC-iSchool-DataViz/is445_bcubcg_fall2023/blob/master/week11/inClass_week11.ipynb \n",
    "\n",
    "Or post the URL into the nbviewer interface for a plain-text rendering:\n",
    "\n",
    "https://kokes.github.io/nbviewer.js/viewer.html"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 1,
   "id": "0684505e",
   "metadata": {},
   "outputs": [
    {
     "name": "stdout",
     "output_type": "stream",
     "text": [
      "Intel MKL WARNING: Support of Intel(R) Streaming SIMD Extensions 4.2 (Intel(R) SSE4.2) enabled only processors has been deprecated. Intel oneAPI Math Kernel Library 2025.0 will require Intel(R) Advanced Vector Extensions (Intel(R) AVX) instructions.\n",
      "Intel MKL WARNING: Support of Intel(R) Streaming SIMD Extensions 4.2 (Intel(R) SSE4.2) enabled only processors has been deprecated. Intel oneAPI Math Kernel Library 2025.0 will require Intel(R) Advanced Vector Extensions (Intel(R) AVX) instructions.\n"
     ]
    }
   ],
   "source": [
    "import altair as alt"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "f56a6f9f",
   "metadata": {},
   "outputs": [],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 3,
   "id": "0def2e74",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'add_selection' is deprecated. Use 'add_params' instead.\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n"
     ]
    }
   ],
   "source": [
    "chart1 = alt.Chart.from_dict({\n",
    "  \"data\":{\"url\":\"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"},\n",
    "  \"mark\":\"rect\", #// equivalent to gridheatmap in bqplot\n",
    "  \"height\":400,\n",
    "  \"encoding\":{\n",
    "    #//\"x\":{\"field\": \"Student_teacher_ratio\", \"type\":\"quantitative\"},\n",
    "    \"x\":{\"bin\":{\"maxbins\":10}, \"field\":\"Student_teacher_ratio\", \"type\":\"quantitative\"},\n",
    "    \"y\":{\"field\":\"State\", \"type\":\"ordinal\"},\n",
    "    \"color\":{\"aggregate\":\"count\", \"type\":\"quantitative\"}\n",
    "  } #// end of encoding\n",
    "}).add_selection(\n",
    "    brush\n",
    ")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 4,
   "id": "de515017",
   "metadata": {},
   "outputs": [],
   "source": [
    "chart2 = alt.Chart.from_dict({\n",
    "  \"data\":{\"url\":\"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"},\n",
    "  \"mark\":\"bar\",\n",
    "  \"encoding\":{\n",
    "    \"x\":{\"bin\":True, \"field\":\"Mobility\", \"type\":\"quantitative\", \"title\":\"Mobility Score\"},\n",
    "    \"y\":{\"aggregate\":\"count\", \"type\":\"quantitative\"}\n",
    "  }#// end encoding\n",
    "}).transform_filter(\n",
    "    brush\n",
    ")"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "e30d017a",
   "metadata": {},
   "outputs": [],
   "source": [
    "chart = chart1 | chart2"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "8180dd4f",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-f262f06a6af6468c8d8b57b461ec31c6.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-f262f06a6af6468c8d8b57b461ec31c6.vega-embed details,\n",
       "  #altair-viz-f262f06a6af6468c8d8b57b461ec31c6.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-f262f06a6af6468c8d8b57b461ec31c6\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-f262f06a6af6468c8d8b57b461ec31c6\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-f262f06a6af6468c8d8b57b461ec31c6\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": \"rect\", \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"State\", \"type\": \"ordinal\"}}, \"height\": 400, \"name\": \"view_1\"}, {\"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": \"bar\", \"encoding\": {\"x\": {\"bin\": true, \"field\": \"Mobility\", \"title\": \"Mobility Score\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"transform\": [{\"filter\": {\"param\": \"param_1\"}}]}], \"params\": [{\"name\": \"param_1\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"views\": [\"view_1\"]}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 6,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "id": "26aca538",
   "metadata": {},
   "outputs": [],
   "source": [
    "# if on workspace:\n",
    "#myJekyllDir = './' # save in same folder as notebook\n",
    "myJekyllDir = '/Users/jnaiman/jnaiman.github.io/assets/json/' # make sure to include \"/\" at the end"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "id": "70a1a160",
   "metadata": {},
   "outputs": [],
   "source": [
    "chart.save(myJekyllDir + 'side_by_side_from_dict.json')"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "625252df",
   "metadata": {},
   "source": [
    "## Use Altair to make the chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 9,
   "id": "6e1420a1",
   "metadata": {},
   "outputs": [],
   "source": [
    "mobility_url = 'https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv'"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 10,
   "id": "f89e2800",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-256fb012834543fd89957b2be3e439be.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-256fb012834543fd89957b2be3e439be.vega-embed details,\n",
       "  #altair-viz-256fb012834543fd89957b2be3e439be.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-256fb012834543fd89957b2be3e439be\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-256fb012834543fd89957b2be3e439be\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-256fb012834543fd89957b2be3e439be\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 10,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter1 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    y='Population:Q'\n",
    ")\n",
    "scatter1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 11,
   "id": "b3c06763",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-16534dbc783a436482eeaa4be5b3efb0.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-16534dbc783a436482eeaa4be5b3efb0.vega-embed details,\n",
       "  #altair-viz-16534dbc783a436482eeaa4be5b3efb0.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-16534dbc783a436482eeaa4be5b3efb0\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-16534dbc783a436482eeaa4be5b3efb0\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-16534dbc783a436482eeaa4be5b3efb0\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"color\": {\"field\": \"Income\", \"type\": \"quantitative\"}, \"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 11,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter2 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    y='Population:Q',\n",
    "    color = alt.Color('Income:Q')\n",
    ")\n",
    "scatter2"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 12,
   "id": "5f31df12",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-948f4918f0224431bba82fd201510cb5.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-948f4918f0224431bba82fd201510cb5.vega-embed details,\n",
       "  #altair-viz-948f4918f0224431bba82fd201510cb5.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-948f4918f0224431bba82fd201510cb5\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-948f4918f0224431bba82fd201510cb5\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-948f4918f0224431bba82fd201510cb5\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"color\": {\"field\": \"Income\", \"scale\": {\"scheme\": \"viridis\"}, \"type\": \"quantitative\"}, \"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 12,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter3 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    y='Population:Q',\n",
    "    color = alt.Color('Income:Q', scale=alt.Scale(scheme='viridis'))\n",
    ")\n",
    "scatter3"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 13,
   "id": "a798386d",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-30b46db5d2c842989f7417646e5dbd7e.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-30b46db5d2c842989f7417646e5dbd7e.vega-embed details,\n",
       "  #altair-viz-30b46db5d2c842989f7417646e5dbd7e.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-30b46db5d2c842989f7417646e5dbd7e\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-30b46db5d2c842989f7417646e5dbd7e\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-30b46db5d2c842989f7417646e5dbd7e\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"color\": {\"bin\": {\"maxbins\": 5}, \"field\": \"Income\", \"scale\": {\"scheme\": \"viridis\"}, \"type\": \"quantitative\"}, \"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 13,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter4 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    y='Population:Q',\n",
    "    color = alt.Color('Income:Q', scale=alt.Scale(scheme='viridis'),\n",
    "                     bin=alt.Bin(maxbins=5))\n",
    ")\n",
    "scatter4"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 14,
   "id": "3048cb98",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-746b07ef515c460e957fa37b598038ff.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-746b07ef515c460e957fa37b598038ff.vega-embed details,\n",
       "  #altair-viz-746b07ef515c460e957fa37b598038ff.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-746b07ef515c460e957fa37b598038ff\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-746b07ef515c460e957fa37b598038ff\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-746b07ef515c460e957fa37b598038ff\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"color\": {\"bin\": {\"maxbins\": 5}, \"field\": \"Income\", \"scale\": {\"scheme\": \"sinebow\"}, \"type\": \"quantitative\"}, \"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 14,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter4 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    y='Population:Q',\n",
    "    color = alt.Color('Income:Q', scale=alt.Scale(scheme='sinebow'),\n",
    "                     bin=alt.Bin(maxbins=5))\n",
    ")\n",
    "scatter4"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 17,
   "id": "ee4bac38",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-f22f84bb22e64eeba0a77151eb02ef4e.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-f22f84bb22e64eeba0a77151eb02ef4e.vega-embed details,\n",
       "  #altair-viz-f22f84bb22e64eeba0a77151eb02ef4e.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-f22f84bb22e64eeba0a77151eb02ef4e\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-f22f84bb22e64eeba0a77151eb02ef4e\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-f22f84bb22e64eeba0a77151eb02ef4e\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"point\"}, \"encoding\": {\"color\": {\"bin\": {\"maxbins\": 5}, \"field\": \"Income\", \"scale\": {\"scheme\": \"sinebow\"}, \"type\": \"quantitative\"}, \"x\": {\"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"Population\", \"scale\": {\"type\": \"log\"}, \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 17,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "scatter4 = alt.Chart(mobility_url).mark_point().encode(\n",
    "    x='Mobility:Q', # Quantitative\n",
    "    #y='Population:Q',\n",
    "    y=alt.Y('Population:Q', scale=alt.Scale(type='log')),\n",
    "    color = alt.Color('Income:Q', scale=alt.Scale(scheme='sinebow'),\n",
    "                     bin=alt.Bin(maxbins=5))\n",
    ")\n",
    "scatter4"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 18,
   "id": "590c0e8c",
   "metadata": {},
   "outputs": [],
   "source": [
    "scatter4.save(myJekyllDir + 'pop_scatter.json')"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "bfb50a53",
   "metadata": {},
   "source": [
    "```javascript\n",
    "chart1 = alt.Chart.from_dict({\n",
    "  \"data\":{\"url\":\"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"},\n",
    "  \"mark\":\"rect\", #// equivalent to gridheatmap in bqplot\n",
    "  \"height\":400,\n",
    "  \"encoding\":{\n",
    "    #//\"x\":{\"field\": \"Student_teacher_ratio\", \"type\":\"quantitative\"},\n",
    "    \"x\":{\"bin\":{\"maxbins\":10}, \"field\":\"Student_teacher_ratio\", \"type\":\"quantitative\"},\n",
    "    \"y\":{\"field\":\"State\", \"type\":\"ordinal\"},\n",
    "    \"color\":{\"aggregate\":\"count\", \"type\":\"quantitative\"}\n",
    "  } #// end of encoding\n",
    "}).add_selection(\n",
    "    brush\n",
    ")\n",
    "```"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 20,
   "id": "077097f6",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-4e62dba332504930ab2170fd8d38d4dc.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-4e62dba332504930ab2170fd8d38d4dc.vega-embed details,\n",
       "  #altair-viz-4e62dba332504930ab2170fd8d38d4dc.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-4e62dba332504930ab2170fd8d38d4dc\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-4e62dba332504930ab2170fd8d38d4dc\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-4e62dba332504930ab2170fd8d38d4dc\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"State\", \"type\": \"ordinal\"}}, \"height\": 400, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 20,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart1 = alt.Chart(mobility_url).mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    alt.Y(\"State:O\"),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=400\n",
    ")\n",
    "chart1"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "9a703ba4",
   "metadata": {},
   "source": [
    "```javascript\n",
    "chart2 = alt.Chart.from_dict({\n",
    "  \"data\":{\"url\":\"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"},\n",
    "  \"mark\":\"bar\",\n",
    "  \"encoding\":{\n",
    "    \"x\":{\"bin\":True, \"field\":\"Mobility\", \"type\":\"quantitative\", \"title\":\"Mobility Score\"},\n",
    "    \"y\":{\"aggregate\":\"count\", \"type\":\"quantitative\"}\n",
    "  }#// end encoding\n",
    "}).transform_filter(\n",
    "    brush\n",
    ")\n",
    "```"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 21,
   "id": "f2736941",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea.vega-embed details,\n",
       "  #altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-d73c5b97f0e44ef99b6caa16ce9361ea\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 21,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart2 = alt.Chart(mobility_url).mark_bar().encode(\n",
    "    alt.X(\"Mobility:Q\", bin=True, axis=alt.Axis(title='Mobility Score')),\n",
    "    alt.Y('count()')\n",
    ")\n",
    "chart2"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 22,
   "id": "bb47d94d",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-1917601ea8ab42beb87bcbcab8c467e8.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-1917601ea8ab42beb87bcbcab8c467e8.vega-embed details,\n",
       "  #altair-viz-1917601ea8ab42beb87bcbcab8c467e8.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-1917601ea8ab42beb87bcbcab8c467e8\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-1917601ea8ab42beb87bcbcab8c467e8\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-1917601ea8ab42beb87bcbcab8c467e8\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"State\", \"type\": \"ordinal\"}}, \"height\": 400}, {\"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}}], \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 22,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart = chart1 | chart2\n",
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 25,
   "id": "664f9973",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-1ef831a027c6472aaaa5b5c21963965c.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-1ef831a027c6472aaaa5b5c21963965c.vega-embed details,\n",
       "  #altair-viz-1ef831a027c6472aaaa5b5c21963965c.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-1ef831a027c6472aaaa5b5c21963965c\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-1ef831a027c6472aaaa5b5c21963965c\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-1ef831a027c6472aaaa5b5c21963965c\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"State\", \"type\": \"ordinal\"}}, \"height\": 400, \"name\": \"view_2\"}, {\"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"transform\": [{\"filter\": {\"param\": \"param_3\"}}]}], \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"params\": [{\"name\": \"param_3\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"views\": [\"view_2\"]}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 25,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    alt.Y(\"State:O\"),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=400\n",
    ").add_selection(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart2 = alt.Chart(mobility_url).mark_bar().encode(\n",
    "    alt.X(\"Mobility:Q\", bin=True, axis=alt.Axis(title='Mobility Score')),\n",
    "    alt.Y('count()')\n",
    ").transform_filter(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart = chart1 | chart2\n",
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 26,
   "id": "0bf725bc",
   "metadata": {},
   "outputs": [],
   "source": [
    "chart.save(myJekyllDir + 'side_by_side_mobility_url.json')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 27,
   "id": "86e3e125",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "'https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv'"
      ]
     },
     "execution_count": 27,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "mobility_url"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "dadcd97d",
   "metadata": {},
   "source": [
    "### Mobility dashboard with local dataset"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 28,
   "id": "5c9d8dc7",
   "metadata": {},
   "outputs": [],
   "source": [
    "import pandas as pd\n",
    "import numpy as np"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 29,
   "id": "be0a5b03",
   "metadata": {},
   "outputs": [],
   "source": [
    "mobility = pd.read_csv(mobility_url)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 30,
   "id": "11288218",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>ID</th>\n",
       "      <th>Name</th>\n",
       "      <th>Mobility</th>\n",
       "      <th>State</th>\n",
       "      <th>Population</th>\n",
       "      <th>Urban</th>\n",
       "      <th>Black</th>\n",
       "      <th>Seg_racial</th>\n",
       "      <th>Seg_income</th>\n",
       "      <th>Seg_poverty</th>\n",
       "      <th>...</th>\n",
       "      <th>Migration_out</th>\n",
       "      <th>Foreign_born</th>\n",
       "      <th>Social_capital</th>\n",
       "      <th>Religious</th>\n",
       "      <th>Violent_crime</th>\n",
       "      <th>Single_mothers</th>\n",
       "      <th>Divorced</th>\n",
       "      <th>Married</th>\n",
       "      <th>Longitude</th>\n",
       "      <th>Latitude</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>100</td>\n",
       "      <td>Johnson City</td>\n",
       "      <td>0.062199</td>\n",
       "      <td>TN</td>\n",
       "      <td>576081</td>\n",
       "      <td>1</td>\n",
       "      <td>0.021</td>\n",
       "      <td>0.090</td>\n",
       "      <td>0.035</td>\n",
       "      <td>0.030</td>\n",
       "      <td>...</td>\n",
       "      <td>0.005</td>\n",
       "      <td>0.012</td>\n",
       "      <td>-0.298</td>\n",
       "      <td>0.514</td>\n",
       "      <td>0.001</td>\n",
       "      <td>0.190</td>\n",
       "      <td>0.110</td>\n",
       "      <td>0.601</td>\n",
       "      <td>-82.436386</td>\n",
       "      <td>36.470371</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>200</td>\n",
       "      <td>Morristown</td>\n",
       "      <td>0.053652</td>\n",
       "      <td>TN</td>\n",
       "      <td>227816</td>\n",
       "      <td>1</td>\n",
       "      <td>0.020</td>\n",
       "      <td>0.093</td>\n",
       "      <td>0.026</td>\n",
       "      <td>0.028</td>\n",
       "      <td>...</td>\n",
       "      <td>0.014</td>\n",
       "      <td>0.023</td>\n",
       "      <td>-0.767</td>\n",
       "      <td>0.544</td>\n",
       "      <td>0.002</td>\n",
       "      <td>0.185</td>\n",
       "      <td>0.116</td>\n",
       "      <td>0.613</td>\n",
       "      <td>-83.407249</td>\n",
       "      <td>36.096539</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>301</td>\n",
       "      <td>Middlesborough</td>\n",
       "      <td>0.072635</td>\n",
       "      <td>TN</td>\n",
       "      <td>66708</td>\n",
       "      <td>0</td>\n",
       "      <td>0.015</td>\n",
       "      <td>0.064</td>\n",
       "      <td>0.024</td>\n",
       "      <td>0.015</td>\n",
       "      <td>...</td>\n",
       "      <td>0.012</td>\n",
       "      <td>0.007</td>\n",
       "      <td>-1.270</td>\n",
       "      <td>0.668</td>\n",
       "      <td>0.001</td>\n",
       "      <td>0.211</td>\n",
       "      <td>0.113</td>\n",
       "      <td>0.590</td>\n",
       "      <td>-83.535332</td>\n",
       "      <td>36.551540</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>302</td>\n",
       "      <td>Knoxville</td>\n",
       "      <td>0.056281</td>\n",
       "      <td>TN</td>\n",
       "      <td>727600</td>\n",
       "      <td>1</td>\n",
       "      <td>0.056</td>\n",
       "      <td>0.210</td>\n",
       "      <td>0.092</td>\n",
       "      <td>0.084</td>\n",
       "      <td>...</td>\n",
       "      <td>0.014</td>\n",
       "      <td>0.020</td>\n",
       "      <td>-0.222</td>\n",
       "      <td>0.602</td>\n",
       "      <td>0.001</td>\n",
       "      <td>0.206</td>\n",
       "      <td>0.114</td>\n",
       "      <td>0.575</td>\n",
       "      <td>-84.242790</td>\n",
       "      <td>35.952259</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>401</td>\n",
       "      <td>Winston-Salem</td>\n",
       "      <td>0.044801</td>\n",
       "      <td>NC</td>\n",
       "      <td>493180</td>\n",
       "      <td>1</td>\n",
       "      <td>0.174</td>\n",
       "      <td>0.262</td>\n",
       "      <td>0.072</td>\n",
       "      <td>0.061</td>\n",
       "      <td>...</td>\n",
       "      <td>0.019</td>\n",
       "      <td>0.053</td>\n",
       "      <td>-0.018</td>\n",
       "      <td>0.488</td>\n",
       "      <td>0.003</td>\n",
       "      <td>0.220</td>\n",
       "      <td>0.092</td>\n",
       "      <td>0.586</td>\n",
       "      <td>-80.505333</td>\n",
       "      <td>36.081276</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "<p>5 rows × 43 columns</p>\n",
       "</div>"
      ],
      "text/plain": [
       "    ID            Name  Mobility State  Population  Urban  Black  Seg_racial  \\\n",
       "0  100    Johnson City  0.062199    TN      576081      1  0.021       0.090   \n",
       "1  200      Morristown  0.053652    TN      227816      1  0.020       0.093   \n",
       "2  301  Middlesborough  0.072635    TN       66708      0  0.015       0.064   \n",
       "3  302       Knoxville  0.056281    TN      727600      1  0.056       0.210   \n",
       "4  401   Winston-Salem  0.044801    NC      493180      1  0.174       0.262   \n",
       "\n",
       "   Seg_income  Seg_poverty  ...  Migration_out  Foreign_born  Social_capital  \\\n",
       "0       0.035        0.030  ...          0.005         0.012          -0.298   \n",
       "1       0.026        0.028  ...          0.014         0.023          -0.767   \n",
       "2       0.024        0.015  ...          0.012         0.007          -1.270   \n",
       "3       0.092        0.084  ...          0.014         0.020          -0.222   \n",
       "4       0.072        0.061  ...          0.019         0.053          -0.018   \n",
       "\n",
       "   Religious  Violent_crime  Single_mothers  Divorced  Married  Longitude  \\\n",
       "0      0.514          0.001           0.190     0.110    0.601 -82.436386   \n",
       "1      0.544          0.002           0.185     0.116    0.613 -83.407249   \n",
       "2      0.668          0.001           0.211     0.113    0.590 -83.535332   \n",
       "3      0.602          0.001           0.206     0.114    0.575 -84.242790   \n",
       "4      0.488          0.003           0.220     0.092    0.586 -80.505333   \n",
       "\n",
       "    Latitude  \n",
       "0  36.470371  \n",
       "1  36.096539  \n",
       "2  36.551540  \n",
       "3  35.952259  \n",
       "4  36.081276  \n",
       "\n",
       "[5 rows x 43 columns]"
      ]
     },
     "execution_count": 30,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "mobility.head()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 31,
   "id": "89311e19",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'add_selection' is deprecated. Use 'add_params' instead.\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n"
     ]
    },
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525.vega-embed details,\n",
       "  #altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-a9fe5a4f6ff04c65b2bb1f534abf2525\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"field\": \"State\", \"type\": \"ordinal\"}}, \"height\": 400, \"name\": \"view_3\"}, {\"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"transform\": [{\"filter\": {\"param\": \"param_4\"}}]}], \"data\": {\"name\": \"data-b10526190cf48649f6e7312c7784ddd8\"}, \"params\": [{\"name\": \"param_4\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"views\": [\"view_3\"]}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\", \"datasets\": {\"data-b10526190cf48649f6e7312c7784ddd8\": [{\"ID\": 100, \"Name\": \"Johnson City\", \"Mobility\": 0.0621988103, \"State\": \"TN\", \"Population\": 576081, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.09, \"Seg_income\": 0.035, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.038, \"Commute\": 0.325, \"Income\": 31560, \"Gini\": 0.468, \"Share01\": 13.459, \"Gini_99\": 0.333, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.185, \"Student_teacher_ratio\": null, \"Test_scores\": 2.728, \"HS_dropout\": -0.015, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.237, \"Chinese_imports\": 5.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.005, \"Foreign_born\": 0.012, \"Social_capital\": -0.298, \"Religious\": 0.514, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.601, \"Longitude\": -82.4363861083984, \"Latitude\": 36.4703712463379}, {\"ID\": 200, \"Name\": \"Morristown\", \"Mobility\": 0.0536519401, \"State\": \"TN\", \"Population\": 227816, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.093, \"Seg_income\": 0.026, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.025, \"Commute\": 0.276, \"Income\": 29959, \"Gini\": 0.435, \"Share01\": 10.631, \"Gini_99\": 0.328, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2004.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.506, \"Student_teacher_ratio\": null, \"Test_scores\": -3.4, \"HS_dropout\": -0.024, \"Colleges\": 0.009, \"Tuition\": 4762.0, \"Graduation\": -0.101, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.238, \"Chinese_imports\": 3.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.767, \"Religious\": 0.544, \"Violent_crime\": 0.002, \"Single_mothers\": 0.185, \"Divorced\": 0.116, \"Married\": 0.613, \"Longitude\": -83.4072494506836, \"Latitude\": 36.0965385437012}, {\"ID\": 301, \"Name\": \"Middlesborough\", \"Mobility\": 0.0726351365, \"State\": \"TN\", \"Population\": 66708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.064, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.026, \"Commute\": 0.359, \"Income\": 22328, \"Gini\": 0.441, \"Share01\": 10.691, \"Gini_99\": 0.334, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.614, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -9.315, \"HS_dropout\": -0.005, \"Colleges\": 0.045, \"Tuition\": 11840.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.479, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.063, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": -1.27, \"Religious\": 0.668, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.113, \"Married\": 0.59, \"Longitude\": -83.5353317260742, \"Latitude\": 36.5515403747559}, {\"ID\": 302, \"Name\": \"Knoxville\", \"Mobility\": 0.0562812127, \"State\": \"TN\", \"Population\": 727600, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.21, \"Seg_income\": 0.092, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.102, \"Commute\": 0.269, \"Income\": 35884, \"Gini\": 0.508, \"Share01\": 15.08, \"Gini_99\": 0.358, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.9, \"Student_teacher_ratio\": null, \"Test_scores\": -6.032, \"HS_dropout\": -0.011, \"Colleges\": 0.011, \"Tuition\": 3480.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.078, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": -0.222, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.114, \"Married\": 0.575, \"Longitude\": -84.242790222168, \"Latitude\": 35.9522590637207}, {\"ID\": 401, \"Name\": \"Winston-Salem\", \"Mobility\": 0.0448007919, \"State\": \"NC\", \"Population\": 493180, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.262, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.081, \"Commute\": 0.292, \"Income\": 38892, \"Gini\": 0.466, \"Share01\": 11.917, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1891.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.463, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.297, \"HS_dropout\": 0.023, \"Colleges\": 0.014, \"Tuition\": 9715.0, \"Graduation\": 0.052, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.215, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -0.018, \"Religious\": 0.488, \"Violent_crime\": 0.003, \"Single_mothers\": 0.22, \"Divorced\": 0.092, \"Married\": 0.586, \"Longitude\": -80.5053329467773, \"Latitude\": 36.0812759399414}, {\"ID\": 402, \"Name\": \"Martinsville\", \"Mobility\": 0.0518358536, \"State\": \"VA\", \"Population\": 92753, \"Urban\": 0, \"Black\": 0.224, \"Seg_racial\": 0.137, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.028, \"Commute\": 0.313, \"Income\": 31265, \"Gini\": 0.444, \"Share01\": 10.68, \"Gini_99\": 0.338, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1558.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.74, \"Student_teacher_ratio\": null, \"Test_scores\": 4.227, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1113.0, \"Graduation\": -0.116, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.395, \"Chinese_imports\": 3.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.025, \"Social_capital\": -0.903, \"Religious\": 0.454, \"Violent_crime\": 0.002, \"Single_mothers\": 0.241, \"Divorced\": 0.096, \"Married\": 0.58, \"Longitude\": -80.2941131591797, \"Latitude\": 36.7005882263184}, {\"ID\": 500, \"Name\": \"Greensboro\", \"Mobility\": 0.0473969392, \"State\": \"NC\", \"Population\": 1055133, \"Urban\": 1, \"Black\": 0.218, \"Seg_racial\": 0.22, \"Seg_income\": 0.068, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.077, \"Commute\": 0.305, \"Income\": 36582, \"Gini\": 0.524, \"Share01\": 18.228, \"Gini_99\": 0.341, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.008, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -3.716, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 4528.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.261, \"Chinese_imports\": 2.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": -0.513, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.096, \"Married\": 0.56, \"Longitude\": -79.7673873901367, \"Latitude\": 36.311107635498}, {\"ID\": 601, \"Name\": \"North Wilkesboro\", \"Mobility\": 0.0516631268, \"State\": \"NC\", \"Population\": 90016, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.114, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.289, \"Income\": 31544, \"Gini\": 0.446, \"Share01\": 12.645, \"Gini_99\": 0.32, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1661.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.296, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 6.698, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 880.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.275, \"Chinese_imports\": 2.573, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": -0.193, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.165, \"Divorced\": 0.087, \"Married\": 0.632, \"Longitude\": -81.2522048950195, \"Latitude\": 36.2834167480469}, {\"ID\": 602, \"Name\": \"Galax\", \"Mobility\": 0.0795698911, \"State\": \"VA\", \"Population\": 64676, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.131, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.006, \"Commute\": 0.325, \"Income\": 30683, \"Gini\": 0.356, \"Share01\": 8.706, \"Gini_99\": 0.269, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1208.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 4.9, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.321, \"Chinese_imports\": 4.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": -0.801, \"Religious\": 0.43, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.622, \"Longitude\": -81.039924621582, \"Latitude\": 36.5919990539551}, {\"ID\": 700, \"Name\": \"Spartanburg\", \"Mobility\": 0.0431111902, \"State\": \"SC\", \"Population\": 354533, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.139, \"Seg_income\": 0.045, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.045, \"Commute\": 0.299, \"Income\": 33417, \"Gini\": 0.471, \"Share01\": 13.061, \"Gini_99\": 0.341, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2499.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.421, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.009, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7264.0, \"Graduation\": 0.007, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.295, \"Chinese_imports\": 0.946, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.029, \"Social_capital\": -1.001, \"Religious\": 0.596, \"Violent_crime\": 0.003, \"Single_mothers\": 0.246, \"Divorced\": 0.099, \"Married\": 0.561, \"Longitude\": -81.7859649658203, \"Latitude\": 34.8730812072754}, {\"ID\": 800, \"Name\": \"Gastonia\", \"Mobility\": 0.0515273064, \"State\": \"NC\", \"Population\": 413331, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.288, \"Income\": 33582, \"Gini\": 0.415, \"Share01\": 10.08, \"Gini_99\": 0.314, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1996.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.412, \"HS_dropout\": 0.03, \"Colleges\": 0.015, \"Tuition\": 10244.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.311, \"Chinese_imports\": 1.466, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.659, \"Religious\": 0.601, \"Violent_crime\": 0.004, \"Single_mothers\": 0.214, \"Divorced\": 0.094, \"Married\": 0.596, \"Longitude\": -81.6222229003906, \"Latitude\": 35.4115333557129}, {\"ID\": 900, \"Name\": \"Charlotte\", \"Mobility\": 0.0437852368, \"State\": \"NC\", \"Population\": 1423942, \"Urban\": 1, \"Black\": 0.227, \"Seg_racial\": 0.223, \"Seg_income\": 0.098, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.12, \"Commute\": 0.241, \"Income\": 41423, \"Gini\": 0.516, \"Share01\": 15.613, \"Gini_99\": 0.36, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2701.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.674, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -2.291, \"HS_dropout\": 0.023, \"Colleges\": 0.013, \"Tuition\": 4790.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.837, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -0.484, \"Religious\": 0.496, \"Violent_crime\": 0.004, \"Single_mothers\": 0.219, \"Divorced\": 0.088, \"Married\": 0.563, \"Longitude\": -80.691764831543, \"Latitude\": 35.0905609130859}, {\"ID\": 1001, \"Name\": \"Boone\", \"Mobility\": 0.0560836494, \"State\": \"NC\", \"Population\": 77361, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.076, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.375, \"Income\": 25953, \"Gini\": 0.487, \"Share01\": 14.276, \"Gini_99\": 0.344, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1348.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 9.978, \"HS_dropout\": 0.013, \"Colleges\": 0.026, \"Tuition\": 1674.0, \"Graduation\": 0.236, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.11, \"Chinese_imports\": 2.011, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.018, \"Social_capital\": 0.012, \"Religious\": 0.488, \"Violent_crime\": 0.002, \"Single_mothers\": 0.167, \"Divorced\": 0.09, \"Married\": 0.527, \"Longitude\": -81.8403930664062, \"Latitude\": 36.196964263916}, {\"ID\": 1002, \"Name\": \"Morganton\", \"Mobility\": 0.0544464625, \"State\": \"NC\", \"Population\": 164760, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.117, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 30726, \"Gini\": 0.351, \"Share01\": 7.776, \"Gini_99\": 0.273, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1826.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 5.556, \"HS_dropout\": 0.018, \"Colleges\": 0.018, \"Tuition\": 888.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.355, \"Chinese_imports\": 3.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": -0.231, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.096, \"Married\": 0.607, \"Longitude\": -81.9952087402344, \"Latitude\": 35.8018951416016}, {\"ID\": 1100, \"Name\": \"Hickory\", \"Mobility\": 0.0449696705, \"State\": \"NC\", \"Population\": 375363, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.042, \"Commute\": 0.322, \"Income\": 36024, \"Gini\": 0.435, \"Share01\": 11.834, \"Gini_99\": 0.317, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1917.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.205, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 3.202, \"HS_dropout\": 0.026, \"Colleges\": 0.011, \"Tuition\": 4109.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.365, \"Chinese_imports\": 3.949, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.042, \"Social_capital\": -0.235, \"Religious\": 0.578, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.095, \"Married\": 0.601, \"Longitude\": -81.2875671386719, \"Latitude\": 35.8712272644043}, {\"ID\": 1201, \"Name\": \"Franklin\", \"Mobility\": 0.0566615611, \"State\": \"NC\", \"Population\": 44861, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.044, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 37261, \"Gini\": 0.516, \"Share01\": 20.552, \"Gini_99\": 0.311, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1434.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.199, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.11, \"HS_dropout\": 0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.1, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.031, \"Social_capital\": -0.234, \"Religious\": 0.613, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.103, \"Married\": 0.624, \"Longitude\": -83.3769378662109, \"Latitude\": 34.9771461486816}, {\"ID\": 1202, \"Name\": \"Sylva\", \"Mobility\": 0.0606653616, \"State\": \"NC\", \"Population\": 54082, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.326, \"Seg_income\": 0.016, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.014, \"Commute\": 0.412, \"Income\": 28767, \"Gini\": 0.404, \"Share01\": 8.421, \"Gini_99\": 0.32, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1581.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.622, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 3.849, \"HS_dropout\": 0.022, \"Colleges\": 0.037, \"Tuition\": 971.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.106, \"Chinese_imports\": 6.567, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -1.001, \"Religious\": 0.409, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.099, \"Married\": 0.582, \"Longitude\": -83.4053268432617, \"Latitude\": 35.347770690918}, {\"ID\": 1203, \"Name\": \"Asheville\", \"Mobility\": 0.0633802786, \"State\": \"NC\", \"Population\": 398505, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.168, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.314, \"Income\": 37445, \"Gini\": 0.461, \"Share01\": 13.046, \"Gini_99\": 0.331, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2059.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.649, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 9.045, \"HS_dropout\": 0.024, \"Colleges\": 0.023, \"Tuition\": 5560.0, \"Graduation\": 0.001, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.827, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.013, \"Foreign_born\": 0.038, \"Social_capital\": 0.055, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.592, \"Longitude\": -82.6990661621094, \"Latitude\": 35.5480651855469}, {\"ID\": 1204, \"Name\": \"Andrews\", \"Mobility\": 0.0804810375, \"State\": \"NC\", \"Population\": 59681, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.051, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.361, \"Income\": 33712, \"Gini\": 0.847, \"Share01\": 55.821, \"Gini_99\": 0.289, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.167, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 1.551, \"HS_dropout\": 0.017, \"Colleges\": 0.034, \"Tuition\": 7563.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.154, \"Chinese_imports\": 2.853, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.004, \"Foreign_born\": 0.015, \"Social_capital\": -0.999, \"Religious\": 0.549, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -83.8927536010742, \"Latitude\": 34.9651565551758}, {\"ID\": 1301, \"Name\": \"Bennettsville\", \"Mobility\": 0.0297968406, \"State\": \"SC\", \"Population\": 71586, \"Urban\": 0, \"Black\": 0.4, \"Seg_racial\": 0.077, \"Seg_income\": 0.01, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.007, \"Commute\": 0.34, \"Income\": 25531, \"Gini\": 0.455, \"Share01\": 12.783, \"Gini_99\": 0.327, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.493, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -10.92, \"HS_dropout\": 0.019, \"Colleges\": 0.014, \"Tuition\": 1272.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.36, \"Chinese_imports\": 2.828, \"Teenage_labor\": 0.002, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.012, \"Social_capital\": -2.44, \"Religious\": 0.49, \"Violent_crime\": 0.004, \"Single_mothers\": 0.316, \"Divorced\": 0.091, \"Married\": 0.519, \"Longitude\": -79.9775314331055, \"Latitude\": 34.5340118408203}, {\"ID\": 1302, \"Name\": \"Florence\", \"Mobility\": 0.0356782004, \"State\": \"SC\", \"Population\": 548986, \"Urban\": 1, \"Black\": 0.341, \"Seg_racial\": 0.201, \"Seg_income\": 0.047, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.043, \"Commute\": 0.327, \"Income\": 32610, \"Gini\": 0.552, \"Share01\": 13.675, \"Gini_99\": 0.415, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1726.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -2.106, \"HS_dropout\": -0.018, \"Colleges\": 0.013, \"Tuition\": 3523.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.06, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.958, \"Religious\": 0.436, \"Violent_crime\": 0.003, \"Single_mothers\": 0.295, \"Divorced\": 0.095, \"Married\": 0.529, \"Longitude\": -79.712776184082, \"Latitude\": 33.9225311279297}, {\"ID\": 1400, \"Name\": \"Fayetteville\", \"Mobility\": 0.0382470116, \"State\": \"NC\", \"Population\": 644101, \"Urban\": 1, \"Black\": 0.299, \"Seg_racial\": 0.173, \"Seg_income\": 0.052, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.048, \"Commute\": 0.322, \"Income\": 29959, \"Gini\": 0.463, \"Share01\": 11.49, \"Gini_99\": 0.348, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2090.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.866, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.484, \"HS_dropout\": 0.024, \"Colleges\": 0.014, \"Tuition\": 2937.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.202, \"Chinese_imports\": 4.161, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.038, \"Foreign_born\": 0.047, \"Social_capital\": -2.21, \"Religious\": 0.377, \"Violent_crime\": 0.003, \"Single_mothers\": 0.276, \"Divorced\": 0.092, \"Married\": 0.545, \"Longitude\": -79.331413269043, \"Latitude\": 35.0354957580566}, {\"ID\": 1500, \"Name\": \"Wilmington\", \"Mobility\": 0.0418033972, \"State\": \"NC\", \"Population\": 361559, \"Urban\": 1, \"Black\": 0.21, \"Seg_racial\": 0.155, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.069, \"Commute\": 0.317, \"Income\": 35617, \"Gini\": 0.523, \"Share01\": 12.594, \"Gini_99\": 0.397, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2144.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.379, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -0.153, \"HS_dropout\": 0.02, \"Colleges\": 0.019, \"Tuition\": 3723.0, \"Graduation\": 0.156, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.49, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": -1.228, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.253, \"Divorced\": 0.096, \"Married\": 0.556, \"Longitude\": -78.3368682861328, \"Latitude\": 34.4779357910156}, {\"ID\": 1600, \"Name\": \"Wilson\", \"Mobility\": 0.0319583789, \"State\": \"NC\", \"Population\": 216840, \"Urban\": 1, \"Black\": 0.416, \"Seg_racial\": 0.169, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.056, \"Commute\": 0.36, \"Income\": 31549, \"Gini\": 0.514, \"Share01\": 11.255, \"Gini_99\": 0.401, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2899.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.084, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.231, \"HS_dropout\": 0.035, \"Colleges\": 0.023, \"Tuition\": 5705.0, \"Graduation\": -0.093, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.232, \"Chinese_imports\": 3.633, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.035, \"Social_capital\": -1.395, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.291, \"Divorced\": 0.087, \"Married\": 0.525, \"Longitude\": -77.7810287475586, \"Latitude\": 35.9106788635254}, {\"ID\": 1701, \"Name\": \"Raleigh\", \"Mobility\": 0.0499866344, \"State\": \"NC\", \"Population\": 1412127, \"Urban\": 1, \"Black\": 0.23, \"Seg_racial\": 0.159, \"Seg_income\": 0.099, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.114, \"Commute\": 0.25, \"Income\": 40546, \"Gini\": 0.509, \"Share01\": 17.762, \"Gini_99\": 0.331, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3147.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.73, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -0.359, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 5642.0, \"Graduation\": 0.135, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.941, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.023, \"Foreign_born\": 0.085, \"Social_capital\": -0.401, \"Religious\": 0.399, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.085, \"Married\": 0.544, \"Longitude\": -78.7137908935547, \"Latitude\": 35.7296524047852}, {\"ID\": 1702, \"Name\": \"Henderson\", \"Mobility\": 0.0336088166, \"State\": \"NC\", \"Population\": 62926, \"Urban\": 0, \"Black\": 0.499, \"Seg_racial\": 0.095, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.034, \"Commute\": 0.345, \"Income\": 29492, \"Gini\": 0.496, \"Share01\": 12.68, \"Gini_99\": 0.37, \"Middle_class\": 0.4, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2116.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.432, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -10.284, \"HS_dropout\": 0.042, \"Colleges\": 0.016, \"Tuition\": 770.0, \"Graduation\": -0.156, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.262, \"Chinese_imports\": 1.073, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -1.636, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.339, \"Divorced\": 0.086, \"Married\": 0.524, \"Longitude\": -78.2416152954102, \"Latitude\": 36.349494934082}, {\"ID\": 1800, \"Name\": \"Goldsboro\", \"Mobility\": 0.0453549512, \"State\": \"NC\", \"Population\": 222553, \"Urban\": 1, \"Black\": 0.311, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.021, \"Commute\": 0.348, \"Income\": 28925, \"Gini\": 0.457, \"Share01\": 11.11, \"Gini_99\": 0.346, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1844.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.786, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.023, \"HS_dropout\": 0.015, \"Colleges\": 0.018, \"Tuition\": 2665.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.191, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -1.612, \"Religious\": 0.395, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.084, \"Married\": 0.555, \"Longitude\": -78.1784744262695, \"Latitude\": 35.0529937744141}, {\"ID\": 1900, \"Name\": \"Jacksonville\", \"Mobility\": 0.0470072404, \"State\": \"NC\", \"Population\": 536909, \"Urban\": 1, \"Black\": 0.256, \"Seg_racial\": 0.136, \"Seg_income\": 0.049, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.048, \"Commute\": 0.375, \"Income\": 29500, \"Gini\": 0.464, \"Share01\": 11.594, \"Gini_99\": 0.349, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2523.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.758, \"HS_dropout\": 0.024, \"Colleges\": 0.013, \"Tuition\": 1085.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.811, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.034, \"Social_capital\": -1.926, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.243, \"Divorced\": 0.084, \"Married\": 0.544, \"Longitude\": -77.1085052490234, \"Latitude\": 35.192928314209}, {\"ID\": 2000, \"Name\": \"Virginia Beach\", \"Mobility\": 0.0535509437, \"State\": \"VA\", \"Population\": 1119468, \"Urban\": 1, \"Black\": 0.308, \"Seg_racial\": 0.189, \"Seg_income\": 0.111, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.109, \"Commute\": 0.253, \"Income\": 34929, \"Gini\": 0.451, \"Share01\": 10.785, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 5.39, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3090.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.406, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.029, \"Foreign_born\": 0.045, \"Social_capital\": -0.95, \"Religious\": 0.346, \"Violent_crime\": 0.001, \"Single_mothers\": 0.261, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -76.2944564819336, \"Latitude\": 36.498649597168}, {\"ID\": 2100, \"Name\": \"Washington\", \"Mobility\": 0.0497884788, \"State\": \"NC\", \"Population\": 124216, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.158, \"Seg_income\": 0.037, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.029, \"Commute\": 0.387, \"Income\": 32919, \"Gini\": 0.475, \"Share01\": 11.065, \"Gini_99\": 0.365, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2823.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.723, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.067, \"HS_dropout\": 0.026, \"Colleges\": 0.016, \"Tuition\": 880.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.93, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -1.066, \"Religious\": 0.466, \"Violent_crime\": 0.002, \"Single_mothers\": 0.262, \"Divorced\": 0.085, \"Married\": 0.57, \"Longitude\": -76.5391998291016, \"Latitude\": 35.6822280883789}, {\"ID\": 2200, \"Name\": \"South Boston\", \"Mobility\": 0.0490487516, \"State\": \"VA\", \"Population\": 158234, \"Urban\": 0, \"Black\": 0.398, \"Seg_racial\": 0.027, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.318, \"Income\": 28198, \"Gini\": 0.408, \"Share01\": 8.048, \"Gini_99\": 0.328, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1349.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.389, \"Student_teacher_ratio\": null, \"Test_scores\": 4.092, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 5395.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.536, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.786, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": -0.65, \"Religious\": 0.407, \"Violent_crime\": 0.001, \"Single_mothers\": 0.266, \"Divorced\": 0.086, \"Married\": 0.534, \"Longitude\": -78.5038604736328, \"Latitude\": 36.9987564086914}, {\"ID\": 2300, \"Name\": \"Lynchburg\", \"Mobility\": 0.067359142, \"State\": \"VA\", \"Population\": 228616, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.132, \"Seg_income\": 0.05, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.056, \"Commute\": 0.309, \"Income\": 34417, \"Gini\": 0.419, \"Share01\": 9.827, \"Gini_99\": 0.321, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1481.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.263, \"Student_teacher_ratio\": null, \"Test_scores\": 3.333, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 12559.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.221, \"Chinese_imports\": 1.309, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": -0.185, \"Religious\": 0.575, \"Violent_crime\": 0.001, \"Single_mothers\": 0.23, \"Divorced\": 0.089, \"Married\": 0.571, \"Longitude\": -79.2872543334961, \"Latitude\": 37.3504180908203}, {\"ID\": 2400, \"Name\": \"Richmond\", \"Mobility\": 0.0547646731, \"State\": \"VA\", \"Population\": 1040192, \"Urban\": 1, \"Black\": 0.303, \"Seg_racial\": 0.257, \"Seg_income\": 0.119, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.125, \"Commute\": 0.238, \"Income\": 41886, \"Gini\": 0.461, \"Share01\": 11.543, \"Gini_99\": 0.345, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2428.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.919, \"Student_teacher_ratio\": null, \"Test_scores\": 4.649, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 5093.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.57, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.013, \"Foreign_born\": 0.043, \"Social_capital\": 0.249, \"Religious\": 0.433, \"Violent_crime\": 0.002, \"Single_mothers\": 0.259, \"Divorced\": 0.098, \"Married\": 0.533, \"Longitude\": -77.3593826293945, \"Latitude\": 37.4937553405762}, {\"ID\": 2500, \"Name\": \"Newport News\", \"Mobility\": 0.0513657629, \"State\": \"VA\", \"Population\": 570854, \"Urban\": 1, \"Black\": 0.316, \"Seg_racial\": 0.181, \"Seg_income\": 0.087, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.095, \"Commute\": 0.29, \"Income\": 36027, \"Gini\": 0.422, \"Share01\": 9.192, \"Gini_99\": 0.33, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.966, \"Student_teacher_ratio\": null, \"Test_scores\": 3.348, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 3699.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.038, \"Social_capital\": -0.63, \"Religious\": 0.367, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.091, \"Married\": 0.553, \"Longitude\": -76.745735168457, \"Latitude\": 37.1789703369141}, {\"ID\": 2600, \"Name\": \"Roanoke Rapids\", \"Mobility\": 0.0327529013, \"State\": \"NC\", \"Population\": 139055, \"Urban\": 0, \"Black\": 0.567, \"Seg_racial\": 0.104, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.357, \"Income\": 27335, \"Gini\": 0.442, \"Share01\": 8.827, \"Gini_99\": 0.353, \"Middle_class\": 0.409, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2041.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.356, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -11.577, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6298.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.513, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.562, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.01, \"Social_capital\": -0.596, \"Religious\": 0.364, \"Violent_crime\": 0.005, \"Single_mothers\": 0.35, \"Divorced\": 0.084, \"Married\": 0.494, \"Longitude\": -77.3320770263672, \"Latitude\": 36.2598991394043}, {\"ID\": 2700, \"Name\": \"Gulfport\", \"Mobility\": 0.0671070293, \"State\": \"MS\", \"Population\": 458674, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.181, \"Seg_income\": 0.036, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 31028, \"Gini\": 0.465, \"Share01\": 12.053, \"Gini_99\": 0.344, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.627, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -3.592, \"HS_dropout\": 0.002, \"Colleges\": 0.004, \"Tuition\": 956.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.401, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.026, \"Social_capital\": -1.63, \"Religious\": 0.535, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.121, \"Married\": 0.549, \"Longitude\": -89.4176559448242, \"Latitude\": 30.6803550720215}, {\"ID\": 2800, \"Name\": \"Laurel\", \"Mobility\": 0.0692070574, \"State\": \"MS\", \"Population\": 120505, \"Urban\": 0, \"Black\": 0.318, \"Seg_racial\": 0.138, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 26974, \"Gini\": 0.511, \"Share01\": 13.527, \"Gini_99\": 0.376, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1817.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.429, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.186, \"HS_dropout\": 0.001, \"Colleges\": 0.017, \"Tuition\": 872.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.248, \"Chinese_imports\": 2.199, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.56, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.258, \"Divorced\": 0.098, \"Married\": 0.547, \"Longitude\": -89.1161804199219, \"Latitude\": 31.800952911377}, {\"ID\": 2900, \"Name\": \"Hattiesburg\", \"Mobility\": 0.0605108887, \"State\": \"MS\", \"Population\": 157181, \"Urban\": 1, \"Black\": 0.298, \"Seg_racial\": 0.22, \"Seg_income\": 0.062, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.072, \"Commute\": 0.358, \"Income\": 28079, \"Gini\": 0.509, \"Share01\": 11.349, \"Gini_99\": 0.396, \"Middle_class\": 0.441, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.261, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.941, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 3586.0, \"Graduation\": 0.109, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.132, \"Chinese_imports\": 1.094, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -0.707, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.099, \"Married\": 0.512, \"Longitude\": -89.4493865966797, \"Latitude\": 31.2641201019287}, {\"ID\": 3001, \"Name\": \"Kosciusko\", \"Mobility\": 0.0354896672, \"State\": \"MS\", \"Population\": 41270, \"Urban\": 0, \"Black\": 0.598, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.021, \"Commute\": 0.365, \"Income\": 24121, \"Gini\": 0.539, \"Share01\": 18.373, \"Gini_99\": 0.355, \"Middle_class\": 0.325, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1748.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.336, \"Student_teacher_ratio\": 19.8, \"Test_scores\": -13.492, \"HS_dropout\": -0.025, \"Colleges\": 0.048, \"Tuition\": 1220.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.231, \"Chinese_imports\": 5.353, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -0.856, \"Religious\": 0.423, \"Violent_crime\": 0.002, \"Single_mothers\": 0.394, \"Divorced\": 0.083, \"Married\": 0.461, \"Longitude\": -90.0540618896484, \"Latitude\": 33.1420021057129}, {\"ID\": 3002, \"Name\": \"Yazoo City\", \"Mobility\": 0.0247895233, \"State\": \"MS\", \"Population\": 39355, \"Urban\": 1, \"Black\": 0.585, \"Seg_racial\": 0.138, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.038, \"Commute\": 0.417, \"Income\": 22600, \"Gini\": 0.605, \"Share01\": 17.47, \"Gini_99\": 0.43, \"Middle_class\": 0.296, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1809.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.664, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -23.049, \"HS_dropout\": 0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.407, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.031, \"Social_capital\": -0.351, \"Religious\": 0.446, \"Violent_crime\": 0.002, \"Single_mothers\": 0.401, \"Divorced\": 0.079, \"Married\": 0.404, \"Longitude\": -90.47216796875, \"Latitude\": 32.897403717041}, {\"ID\": 3003, \"Name\": \"Jackson\", \"Mobility\": 0.0375340469, \"State\": \"MS\", \"Population\": 546560, \"Urban\": 1, \"Black\": 0.445, \"Seg_racial\": 0.288, \"Seg_income\": 0.1, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.11, \"Commute\": 0.267, \"Income\": 33322, \"Gini\": 0.605, \"Share01\": 17.981, \"Gini_99\": 0.425, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.618, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -15.257, \"HS_dropout\": 0.005, \"Colleges\": 0.016, \"Tuition\": 2959.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.644, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": -0.538, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.303, \"Divorced\": 0.104, \"Married\": 0.495, \"Longitude\": -90.2277221679688, \"Latitude\": 32.2902183532715}, {\"ID\": 3101, \"Name\": \"McComb\", \"Mobility\": 0.0625297204, \"State\": \"MS\", \"Population\": 103602, \"Urban\": 0, \"Black\": 0.443, \"Seg_racial\": 0.083, \"Seg_income\": 0.013, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 25123, \"Gini\": 0.505, \"Share01\": 11.866, \"Gini_99\": 0.386, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.398, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.041, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 970.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.758, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.624, \"Religious\": 0.601, \"Violent_crime\": 0.002, \"Single_mothers\": 0.308, \"Divorced\": 0.094, \"Married\": 0.515, \"Longitude\": -90.7779388427734, \"Latitude\": 31.2274875640869}, {\"ID\": 3102, \"Name\": \"Brookhaven\", \"Mobility\": 0.0642954856, \"State\": \"MS\", \"Population\": 46424, \"Urban\": 0, \"Black\": 0.302, \"Seg_racial\": 0.098, \"Seg_income\": 0.014, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.008, \"Commute\": 0.321, \"Income\": 27071, \"Gini\": 0.569, \"Share01\": 21.251, \"Gini_99\": 0.356, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1806.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.338, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -8.088, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.006, \"Social_capital\": -0.017, \"Religious\": 0.719, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -90.2544555664062, \"Latitude\": 31.5236892700195}, {\"ID\": 3201, \"Name\": \"Jena\", \"Mobility\": 0.1264222562, \"State\": \"LA\", \"Population\": 25202, \"Urban\": 0, \"Black\": 0.185, \"Seg_racial\": 0.145, \"Seg_income\": 0.007, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.369, \"Income\": 24857, \"Gini\": 0.389, \"Share01\": 5.903, \"Gini_99\": 0.33, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2134.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.508, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 1.447, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.495, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.005, \"Social_capital\": 0.244, \"Religious\": 0.698, \"Violent_crime\": 0.006, \"Single_mothers\": 0.191, \"Divorced\": 0.08, \"Married\": 0.6, \"Longitude\": -91.9713516235352, \"Latitude\": 31.5846118927002}, {\"ID\": 3202, \"Name\": \"Natchez\", \"Mobility\": 0.0487460271, \"State\": \"MS\", \"Population\": 69653, \"Urban\": 0, \"Black\": 0.464, \"Seg_racial\": 0.194, \"Seg_income\": 0.04, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.03, \"Commute\": 0.418, \"Income\": 27488, \"Gini\": 0.554, \"Share01\": 12.508, \"Gini_99\": 0.428, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.645, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -19.332, \"HS_dropout\": 0.012, \"Colleges\": 0.029, \"Tuition\": 955.0, \"Graduation\": 0.261, \"Labor_force_participation\": 0.519, \"Manufacturing\": 0.111, \"Chinese_imports\": 0.438, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.373, \"Religious\": 0.53, \"Violent_crime\": 0.004, \"Single_mothers\": 0.35, \"Divorced\": 0.106, \"Married\": 0.488, \"Longitude\": -91.4330596923828, \"Latitude\": 31.6362190246582}, {\"ID\": 3203, \"Name\": \"Vicksburg\", \"Mobility\": 0.0311782081, \"State\": \"MS\", \"Population\": 84943, \"Urban\": 0, \"Black\": 0.563, \"Seg_racial\": 0.239, \"Seg_income\": 0.065, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.072, \"Commute\": 0.379, \"Income\": 27080, \"Gini\": 0.547, \"Share01\": 13.243, \"Gini_99\": 0.414, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1874.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.492, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -18.28, \"HS_dropout\": 0.03, \"Colleges\": 0.024, \"Tuition\": 2402.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.149, \"Chinese_imports\": 2.194, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.662, \"Religious\": 0.46, \"Violent_crime\": 0.004, \"Single_mothers\": 0.371, \"Divorced\": 0.091, \"Married\": 0.457, \"Longitude\": -91.1058883666992, \"Latitude\": 32.1802291870117}, {\"ID\": 3300, \"Name\": \"New Orleans\", \"Mobility\": 0.0512128659, \"State\": \"LA\", \"Population\": 1381652, \"Urban\": 1, \"Black\": 0.371, \"Seg_racial\": 0.354, \"Seg_income\": 0.104, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.107, \"Commute\": 0.247, \"Income\": 34077, \"Gini\": 0.583, \"Share01\": 13.588, \"Gini_99\": 0.447, \"Middle_class\": 0.423, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2299.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -10.714, \"HS_dropout\": 0.053, \"Colleges\": 0.02, \"Tuition\": 9043.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.185, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.047, \"Social_capital\": -0.988, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.312, \"Divorced\": 0.112, \"Married\": 0.475, \"Longitude\": -89.9018478393555, \"Latitude\": 30.0419330596924}, {\"ID\": 3400, \"Name\": \"Houma\", \"Mobility\": 0.1134691536, \"State\": \"LA\", \"Population\": 271365, \"Urban\": 1, \"Black\": 0.199, \"Seg_racial\": 0.177, \"Seg_income\": 0.04, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.043, \"Commute\": 0.414, \"Income\": 28094, \"Gini\": 0.486, \"Share01\": 13.738, \"Gini_99\": 0.349, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2350.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.086, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -11.857, \"HS_dropout\": 0.038, \"Colleges\": 0.015, \"Tuition\": 1744.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.11, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.015, \"Social_capital\": -1.247, \"Religious\": 0.737, \"Violent_crime\": 0.003, \"Single_mothers\": 0.214, \"Divorced\": 0.091, \"Married\": 0.558, \"Longitude\": -90.8623275756836, \"Latitude\": 29.544864654541}, {\"ID\": 3500, \"Name\": \"Baton Rouge\", \"Mobility\": 0.0603968948, \"State\": \"LA\", \"Population\": 806561, \"Urban\": 1, \"Black\": 0.333, \"Seg_racial\": 0.292, \"Seg_income\": 0.084, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.081, \"Commute\": 0.258, \"Income\": 31579, \"Gini\": 0.515, \"Share01\": 11.425, \"Gini_99\": 0.4, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1821.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.793, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -11.033, \"HS_dropout\": 0.041, \"Colleges\": 0.02, \"Tuition\": 2442.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.375, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.168, \"Religious\": 0.513, \"Violent_crime\": 0.004, \"Single_mothers\": 0.266, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -91.1708374023438, \"Latitude\": 30.5509929656982}, {\"ID\": 3600, \"Name\": \"Alexandria\", \"Mobility\": 0.0672128424, \"State\": \"LA\", \"Population\": 186516, \"Urban\": 1, \"Black\": 0.282, \"Seg_racial\": 0.263, \"Seg_income\": 0.057, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.053, \"Commute\": 0.343, \"Income\": 28236, \"Gini\": 0.546, \"Share01\": 13.78, \"Gini_99\": 0.408, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1722.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.587, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.213, \"HS_dropout\": 0.042, \"Colleges\": 0.021, \"Tuition\": 3525.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.197, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.012, \"Social_capital\": -0.97, \"Religious\": 0.611, \"Violent_crime\": 0.004, \"Single_mothers\": 0.281, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -92.3311233520508, \"Latitude\": 31.3210601806641}, {\"ID\": 3700, \"Name\": \"Lake Charles\", \"Mobility\": 0.0971184596, \"State\": \"LA\", \"Population\": 335960, \"Urban\": 1, \"Black\": 0.205, \"Seg_racial\": 0.239, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.051, \"Commute\": 0.369, \"Income\": 29462, \"Gini\": 0.442, \"Share01\": 10.245, \"Gini_99\": 0.34, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1823.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.854, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.394, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 2438.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.357, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.016, \"Social_capital\": -1.312, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.098, \"Married\": 0.572, \"Longitude\": -93.314323425293, \"Latitude\": 30.6558399200439}, {\"ID\": 3800, \"Name\": \"Lafayette\", \"Mobility\": 0.0950535387, \"State\": \"LA\", \"Population\": 548154, \"Urban\": 1, \"Black\": 0.27, \"Seg_racial\": 0.194, \"Seg_income\": 0.059, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.058, \"Commute\": 0.339, \"Income\": 28712, \"Gini\": 0.547, \"Share01\": 14.406, \"Gini_99\": 0.403, \"Middle_class\": 0.47, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2106.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.335, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.928, \"HS_dropout\": 0.031, \"Colleges\": 0.018, \"Tuition\": 1822.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.016, \"Social_capital\": -0.997, \"Religious\": 0.8, \"Violent_crime\": 0.003, \"Single_mothers\": 0.258, \"Divorced\": 0.097, \"Married\": 0.538, \"Longitude\": -91.953857421875, \"Latitude\": 30.2178287506104}, {\"ID\": 3901, \"Name\": \"Monroe\", \"Mobility\": 0.0551850982, \"State\": \"LA\", \"Population\": 253878, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.32, \"Seg_income\": 0.07, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.075, \"Commute\": 0.341, \"Income\": 29496, \"Gini\": 0.571, \"Share01\": 15.644, \"Gini_99\": 0.414, \"Middle_class\": 0.414, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1532.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.623, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.315, \"HS_dropout\": 0.046, \"Colleges\": 0.02, \"Tuition\": 1720.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.121, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -0.459, \"Religious\": 0.583, \"Violent_crime\": 0.004, \"Single_mothers\": 0.307, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -91.7262649536133, \"Latitude\": 32.3551597595215}, {\"ID\": 3902, \"Name\": \"Lake Providence\", \"Mobility\": 0.0573065914, \"State\": \"LA\", \"Population\": 21735, \"Urban\": 0, \"Black\": 0.396, \"Seg_racial\": 0.266, \"Seg_income\": 0.024, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.025, \"Commute\": 0.393, \"Income\": 21037, \"Gini\": 0.461, \"Share01\": 8.917, \"Gini_99\": 0.371, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1946.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.4, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -5.451, \"HS_dropout\": 0.055, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.096, \"Chinese_imports\": 2.112, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.426, \"Religious\": 0.608, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.076, \"Married\": 0.541, \"Longitude\": -91.2655181884766, \"Latitude\": 32.7700843811035}, {\"ID\": 4001, \"Name\": \"Magnolia\", \"Mobility\": 0.060388945, \"State\": \"AR\", \"Population\": 34162, \"Urban\": 0, \"Black\": 0.36, \"Seg_racial\": 0.071, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.027, \"Commute\": 0.463, \"Income\": 29001, \"Gini\": 0.446, \"Share01\": 7.52, \"Gini_99\": 0.371, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1256.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.759, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.371, \"HS_dropout\": 0.0, \"Colleges\": 0.029, \"Tuition\": 2304.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.252, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": -0.504, \"Religious\": 0.618, \"Violent_crime\": 0.005, \"Single_mothers\": 0.277, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -93.628547668457, \"Latitude\": 33.2614669799805}, {\"ID\": 4002, \"Name\": \"Shreveport\", \"Mobility\": 0.0527185053, \"State\": \"LA\", \"Population\": 499101, \"Urban\": 1, \"Black\": 0.381, \"Seg_racial\": 0.237, \"Seg_income\": 0.083, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.089, \"Commute\": 0.312, \"Income\": 31565, \"Gini\": 0.535, \"Share01\": 12.701, \"Gini_99\": 0.408, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1945.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.655, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -12.555, \"HS_dropout\": 0.049, \"Colleges\": 0.016, \"Tuition\": 2514.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.146, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": -0.753, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.327, \"Divorced\": 0.11, \"Married\": 0.501, \"Longitude\": -93.1822052001953, \"Latitude\": 32.0001945495605}, {\"ID\": 4003, \"Name\": \"Ruston\", \"Mobility\": 0.0688279271, \"State\": \"LA\", \"Population\": 74800, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.207, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 24715, \"Gini\": 0.511, \"Share01\": 11.456, \"Gini_99\": 0.396, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1398.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.639, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.971, \"HS_dropout\": 0.02, \"Colleges\": 0.053, \"Tuition\": 2677.0, \"Graduation\": 0.035, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.014, \"Social_capital\": -0.936, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.287, \"Divorced\": 0.08, \"Married\": 0.487, \"Longitude\": -92.6748275756836, \"Latitude\": 32.1847763061523}, {\"ID\": 4004, \"Name\": \"Many\", \"Mobility\": 0.1516079605, \"State\": \"LA\", \"Population\": 23459, \"Urban\": 0, \"Black\": 0.168, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.009, \"Commute\": 0.306, \"Income\": 30067, \"Gini\": 0.438, \"Share01\": 9.71, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1853.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.458, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -9.206, \"HS_dropout\": 0.027, \"Colleges\": 0.043, \"Tuition\": 520.0, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.127, \"Chinese_imports\": 1.441, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.009, \"Social_capital\": -1.556, \"Religious\": 0.709, \"Violent_crime\": 0.003, \"Single_mothers\": 0.236, \"Divorced\": 0.09, \"Married\": 0.594, \"Longitude\": -93.6567306518555, \"Latitude\": 31.4778690338135}, {\"ID\": 4101, \"Name\": \"Crossett\", \"Mobility\": 0.041538462, \"State\": \"AR\", \"Population\": 24209, \"Urban\": 0, \"Black\": 0.269, \"Seg_racial\": 0.054, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.015, \"Commute\": 0.502, \"Income\": 30093, \"Gini\": 0.44, \"Share01\": 7.41, \"Gini_99\": 0.366, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1467.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.643, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -11.593, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.275, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -0.183, \"Religious\": 0.799, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.097, \"Married\": 0.59, \"Longitude\": -92.0092163085938, \"Latitude\": 33.1967811584473}, {\"ID\": 4102, \"Name\": \"Pine Bluff\", \"Mobility\": 0.0428298265, \"State\": \"AR\", \"Population\": 168122, \"Urban\": 1, \"Black\": 0.421, \"Seg_racial\": 0.238, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.048, \"Commute\": 0.396, \"Income\": 27099, \"Gini\": 0.454, \"Share01\": 8.256, \"Gini_99\": 0.371, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1370.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.002, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -15.882, \"HS_dropout\": 0.009, \"Colleges\": 0.018, \"Tuition\": 2089.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.869, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -0.923, \"Religious\": 0.525, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -91.5339050292969, \"Latitude\": 33.6581268310547}, {\"ID\": 4103, \"Name\": \"El Dorado\", \"Mobility\": 0.0566330478, \"State\": \"AR\", \"Population\": 89373, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.093, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.023, \"Commute\": 0.437, \"Income\": 30514, \"Gini\": 0.449, \"Share01\": 9.389, \"Gini_99\": 0.355, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1390.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.725, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.728, \"HS_dropout\": 0.005, \"Colleges\": 0.022, \"Tuition\": 1244.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.272, \"Chinese_imports\": 1.452, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": -0.212, \"Religious\": 0.672, \"Violent_crime\": 0.002, \"Single_mothers\": 0.27, \"Divorced\": 0.106, \"Married\": 0.555, \"Longitude\": -92.5011444091797, \"Latitude\": 33.5784034729004}, {\"ID\": 4200, \"Name\": \"Little Rock\", \"Mobility\": 0.0535617173, \"State\": \"AR\", \"Population\": 630854, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.278, \"Seg_income\": 0.073, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.077, \"Commute\": 0.293, \"Income\": 36101, \"Gini\": 0.484, \"Share01\": 11.732, \"Gini_99\": 0.367, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1687.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.092, \"HS_dropout\": 0.007, \"Colleges\": 0.017, \"Tuition\": 4961.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.047, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.12, \"Married\": 0.563, \"Longitude\": -92.6370162963867, \"Latitude\": 34.7950592041016}, {\"ID\": 4301, \"Name\": \"Stuttgart\", \"Mobility\": 0.0539629012, \"State\": \"AR\", \"Population\": 40542, \"Urban\": 0, \"Black\": 0.249, \"Seg_racial\": 0.113, \"Seg_income\": 0.018, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.015, \"Commute\": 0.529, \"Income\": 30500, \"Gini\": 0.445, \"Share01\": 9.649, \"Gini_99\": 0.349, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1427.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.673, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.254, \"HS_dropout\": 0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.2, \"Chinese_imports\": 6.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.004, \"Social_capital\": -0.367, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.274, \"Divorced\": 0.111, \"Married\": 0.568, \"Longitude\": -91.3426666259766, \"Latitude\": 34.4396324157715}, {\"ID\": 4302, \"Name\": \"Searcy\", \"Mobility\": 0.0891045406, \"State\": \"AR\", \"Population\": 94324, \"Urban\": 0, \"Black\": 0.088, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.029, \"Commute\": 0.421, \"Income\": 28365, \"Gini\": 0.434, \"Share01\": 8.856, \"Gini_99\": 0.346, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1252.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.533, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 3.54, \"HS_dropout\": 0.007, \"Colleges\": 0.021, \"Tuition\": 5684.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.183, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": -0.742, \"Religious\": 0.61, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.105, \"Married\": 0.615, \"Longitude\": -91.454719543457, \"Latitude\": 35.3877983093262}, {\"ID\": 4401, \"Name\": \"London\", \"Mobility\": 0.0638953075, \"State\": \"KY\", \"Population\": 144931, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.105, \"Seg_income\": 0.028, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.025, \"Commute\": 0.345, \"Income\": 22044, \"Gini\": 0.511, \"Share01\": 13.431, \"Gini_99\": 0.377, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1164.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -2.237, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 10136.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.007, \"Social_capital\": -1.462, \"Religious\": 0.507, \"Violent_crime\": 0.0, \"Single_mothers\": 0.201, \"Divorced\": 0.107, \"Married\": 0.609, \"Longitude\": -84.0044937133789, \"Latitude\": 37.024299621582}, {\"ID\": 4402, \"Name\": \"Richmond\", \"Mobility\": 0.0590868406, \"State\": \"KY\", \"Population\": 116256, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.105, \"Seg_income\": 0.051, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.058, \"Commute\": 0.35, \"Income\": 25664, \"Gini\": 0.423, \"Share01\": 7.78, \"Gini_99\": 0.345, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1205.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.932, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.157, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 1729.0, \"Graduation\": 0.067, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.205, \"Chinese_imports\": 2.076, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.328, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.107, \"Married\": 0.555, \"Longitude\": -84.1347045898438, \"Latitude\": 37.589282989502}, {\"ID\": 4501, \"Name\": \"West Liberty\", \"Mobility\": 0.0684385374, \"State\": \"KY\", \"Population\": 49887, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.157, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.295, \"Income\": 20802, \"Gini\": 0.508, \"Share01\": 16.386, \"Gini_99\": 0.344, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1272.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.784, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -5.552, \"HS_dropout\": 0.03, \"Colleges\": 0.02, \"Tuition\": 3750.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.423, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -1.289, \"Religious\": 0.214, \"Violent_crime\": 0.0, \"Single_mothers\": 0.199, \"Divorced\": 0.112, \"Married\": 0.588, \"Longitude\": -83.3554000854492, \"Latitude\": 37.6686782836914}, {\"ID\": 4502, \"Name\": \"Hazard\", \"Mobility\": 0.1306593716, \"State\": \"KY\", \"Population\": 117919, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 20987, \"Gini\": 0.445, \"Share01\": 9.422, \"Gini_99\": 0.35, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1264.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.442, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -7.906, \"HS_dropout\": 0.01, \"Colleges\": 0.025, \"Tuition\": 1610.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.421, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": -1.348, \"Religious\": 0.351, \"Violent_crime\": 0.0, \"Single_mothers\": 0.192, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -83.1802062988281, \"Latitude\": 37.1504173278809}, {\"ID\": 4601, \"Name\": \"Campbellsville\", \"Mobility\": 0.0714285746, \"State\": \"KY\", \"Population\": 83451, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.404, \"Income\": 26923, \"Gini\": 0.394, \"Share01\": 8.527, \"Gini_99\": 0.309, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1624.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.746, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.819, \"HS_dropout\": 0.006, \"Colleges\": 0.024, \"Tuition\": 9292.0, \"Graduation\": 0.049, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": -0.499, \"Religious\": 0.637, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.11, \"Married\": 0.605, \"Longitude\": -85.249870300293, \"Latitude\": 37.2286758422852}, {\"ID\": 4602, \"Name\": \"Somerset\", \"Mobility\": 0.0627145097, \"State\": \"KY\", \"Population\": 123981, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.024, \"Commute\": 0.372, \"Income\": 24892, \"Gini\": 0.466, \"Share01\": 11.635, \"Gini_99\": 0.35, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1271.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.814, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -2.443, \"HS_dropout\": 0.01, \"Colleges\": 0.008, \"Tuition\": 1150.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.471, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": -1.14, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -84.5739974975586, \"Latitude\": 36.7019195556641}, {\"ID\": 4701, \"Name\": \"Greenwood\", \"Mobility\": 0.0331106596, \"State\": \"MS\", \"Population\": 84168, \"Urban\": 0, \"Black\": 0.527, \"Seg_racial\": 0.223, \"Seg_income\": 0.045, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.435, \"Income\": 25756, \"Gini\": 0.539, \"Share01\": 13.772, \"Gini_99\": 0.402, \"Middle_class\": 0.378, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2172.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.481, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.145, \"HS_dropout\": 0.042, \"Colleges\": 0.012, \"Tuition\": 2746.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.228, \"Chinese_imports\": 1.389, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.764, \"Religious\": 0.474, \"Violent_crime\": 0.002, \"Single_mothers\": 0.381, \"Divorced\": 0.087, \"Married\": 0.468, \"Longitude\": -90.0163497924805, \"Latitude\": 33.5430183410645}, {\"ID\": 4702, \"Name\": \"Clarksdale\", \"Mobility\": 0.0271325037, \"State\": \"MS\", \"Population\": 141711, \"Urban\": 0, \"Black\": 0.479, \"Seg_racial\": 0.141, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.41, \"Income\": 25222, \"Gini\": 0.52, \"Share01\": 12.888, \"Gini_99\": 0.391, \"Middle_class\": 0.373, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1928.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.294, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.675, \"HS_dropout\": -0.001, \"Colleges\": 0.014, \"Tuition\": 2889.0, \"Graduation\": 0.21, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.789, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.761, \"Religious\": 0.444, \"Violent_crime\": 0.001, \"Single_mothers\": 0.357, \"Divorced\": 0.083, \"Married\": 0.449, \"Longitude\": -90.2487945556641, \"Latitude\": 34.1848678588867}, {\"ID\": 4800, \"Name\": \"Greenville\", \"Mobility\": 0.0221015904, \"State\": \"MS\", \"Population\": 146833, \"Urban\": 0, \"Black\": 0.658, \"Seg_racial\": 0.218, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.498, \"Income\": 23169, \"Gini\": 0.525, \"Share01\": 11.211, \"Gini_99\": 0.413, \"Middle_class\": 0.314, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1800.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.344, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -20.082, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 1419.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.188, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.007, \"Social_capital\": -1.051, \"Religious\": 0.373, \"Violent_crime\": 0.002, \"Single_mothers\": 0.434, \"Divorced\": 0.083, \"Married\": 0.402, \"Longitude\": -90.9878692626953, \"Latitude\": 33.2874450683594}, {\"ID\": 4901, \"Name\": \"Jackson\", \"Mobility\": 0.0474881269, \"State\": \"TN\", \"Population\": 198166, \"Urban\": 1, \"Black\": 0.274, \"Seg_racial\": 0.223, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.066, \"Commute\": 0.366, \"Income\": 31754, \"Gini\": 0.474, \"Share01\": 12.857, \"Gini_99\": 0.345, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3444.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": null, \"Test_scores\": -8.155, \"HS_dropout\": -0.009, \"Colleges\": 0.025, \"Tuition\": 6396.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.259, \"Chinese_imports\": 2.155, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.251, \"Religious\": 0.57, \"Violent_crime\": 0.003, \"Single_mothers\": 0.269, \"Divorced\": 0.113, \"Married\": 0.54, \"Longitude\": -88.8984222412109, \"Latitude\": 35.6781158447266}, {\"ID\": 4902, \"Name\": \"Dyersburg\", \"Mobility\": 0.0431115292, \"State\": \"TN\", \"Population\": 92131, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 26597, \"Gini\": 0.417, \"Share01\": 9.444, \"Gini_99\": 0.323, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2162.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.951, \"Student_teacher_ratio\": null, \"Test_scores\": -3.103, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 1294.0, \"Graduation\": -0.261, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.316, \"Chinese_imports\": 1.984, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": -1.445, \"Religious\": 0.504, \"Violent_crime\": 0.004, \"Single_mothers\": 0.3, \"Divorced\": 0.121, \"Married\": 0.533, \"Longitude\": -89.5839614868164, \"Latitude\": 35.9390640258789}, {\"ID\": 4903, \"Name\": \"Lexington\", \"Mobility\": 0.0816599727, \"State\": \"TN\", \"Population\": 44884, \"Urban\": 0, \"Black\": 0.057, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 31853, \"Gini\": 0.317, \"Share01\": 6.22, \"Gini_99\": 0.255, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1722.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 3.92, \"Student_teacher_ratio\": null, \"Test_scores\": 1.607, \"HS_dropout\": -0.022, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.32, \"Chinese_imports\": 5.472, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": -1.398, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.121, \"Married\": 0.611, \"Longitude\": -88.0600204467773, \"Latitude\": 35.6141738891602}, {\"ID\": 5000, \"Name\": \"Tupelo\", \"Mobility\": 0.0435734168, \"State\": \"MS\", \"Population\": 197774, \"Urban\": 0, \"Black\": 0.241, \"Seg_racial\": 0.123, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.023, \"Commute\": 0.341, \"Income\": 30736, \"Gini\": 0.457, \"Share01\": 11.467, \"Gini_99\": 0.342, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.352, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -8.12, \"HS_dropout\": -0.008, \"Colleges\": 0.01, \"Tuition\": 950.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.364, \"Chinese_imports\": 4.838, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": -0.694, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.108, \"Married\": 0.569, \"Longitude\": -88.6931762695312, \"Latitude\": 34.0106201171875}, {\"ID\": 5100, \"Name\": \"Corinth\", \"Mobility\": 0.06576325, \"State\": \"MS\", \"Population\": 129508, \"Urban\": 0, \"Black\": 0.079, \"Seg_racial\": 0.128, \"Seg_income\": 0.013, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.01, \"Commute\": 0.372, \"Income\": 28904, \"Gini\": 0.426, \"Share01\": 12.3, \"Gini_99\": 0.303, \"Middle_class\": 0.546, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2222.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.329, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -1.45, \"HS_dropout\": -0.016, \"Colleges\": 0.008, \"Tuition\": 1080.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.336, \"Chinese_imports\": 7.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.766, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.113, \"Married\": 0.599, \"Longitude\": -88.3704833984375, \"Latitude\": 35.0568542480469}, {\"ID\": 5201, \"Name\": \"New Albany\", \"Mobility\": 0.0546255521, \"State\": \"MS\", \"Population\": 54214, \"Urban\": 1, \"Black\": 0.185, \"Seg_racial\": 0.088, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.299, \"Income\": 27596, \"Gini\": 0.389, \"Share01\": 9.491, \"Gini_99\": 0.294, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.111, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -1.196, \"HS_dropout\": -0.014, \"Colleges\": 0.018, \"Tuition\": 5250.0, \"Graduation\": 0.145, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.381, \"Chinese_imports\": 4.226, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 0.047, \"Religious\": 0.734, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.092, \"Married\": 0.6, \"Longitude\": -88.9695587158203, \"Latitude\": 34.6554679870605}, {\"ID\": 5202, \"Name\": \"Memphis\", \"Mobility\": 0.0281827394, \"State\": \"TN\", \"Population\": 1154338, \"Urban\": 1, \"Black\": 0.432, \"Seg_racial\": 0.36, \"Seg_income\": 0.137, \"Seg_poverty\": 0.129, \"Seg_affluence\": 0.148, \"Commute\": 0.224, \"Income\": 37116, \"Gini\": 0.586, \"Share01\": 17.031, \"Gini_99\": 0.415, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2868.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 19.7, \"Test_scores\": -15.57, \"HS_dropout\": 0.02, \"Colleges\": 0.013, \"Tuition\": 4191.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 1.263, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": -0.71, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.106, \"Married\": 0.492, \"Longitude\": -90.0650634765625, \"Latitude\": 35.0354385375977}, {\"ID\": 5300, \"Name\": \"West Memphis\", \"Mobility\": 0.0320140719, \"State\": \"AR\", \"Population\": 138746, \"Urban\": 1, \"Black\": 0.471, \"Seg_racial\": 0.199, \"Seg_income\": 0.045, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.052, \"Commute\": 0.416, \"Income\": 25942, \"Gini\": 0.458, \"Share01\": 8.066, \"Gini_99\": 0.377, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1540.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.632, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -14.367, \"HS_dropout\": 0.024, \"Colleges\": 0.022, \"Tuition\": 1037.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.158, \"Chinese_imports\": 4.292, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -1.195, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.368, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -90.5962371826172, \"Latitude\": 34.7605514526367}, {\"ID\": 5401, \"Name\": \"Bowling Green\", \"Mobility\": 0.0642673522, \"State\": \"KY\", \"Population\": 164944, \"Urban\": 1, \"Black\": 0.072, \"Seg_racial\": 0.123, \"Seg_income\": 0.05, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.056, \"Commute\": 0.375, \"Income\": 31026, \"Gini\": 0.454, \"Share01\": 12.093, \"Gini_99\": 0.333, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1675.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.925, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 3.097, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 2232.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.749, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.027, \"Social_capital\": -0.747, \"Religious\": 0.528, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.105, \"Married\": 0.574, \"Longitude\": -86.3613433837891, \"Latitude\": 36.9742088317871}, {\"ID\": 5402, \"Name\": \"Glasgow\", \"Mobility\": 0.0613557659, \"State\": \"KY\", \"Population\": 92394, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.02, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.022, \"Commute\": 0.376, \"Income\": 27831, \"Gini\": 0.439, \"Share01\": 12.307, \"Gini_99\": 0.316, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1390.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.62, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.207, \"HS_dropout\": -0.006, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.792, \"Religious\": 0.497, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.108, \"Married\": 0.614, \"Longitude\": -85.7584686279297, \"Latitude\": 36.8960647583008}, {\"ID\": 5500, \"Name\": \"Columbia\", \"Mobility\": 0.0570192672, \"State\": \"TN\", \"Population\": 159374, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.113, \"Seg_income\": 0.041, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.047, \"Commute\": 0.304, \"Income\": 32507, \"Gini\": 0.381, \"Share01\": 8.556, \"Gini_99\": 0.296, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2532.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.217, \"Student_teacher_ratio\": null, \"Test_scores\": -4.083, \"HS_dropout\": -0.01, \"Colleges\": 0.013, \"Tuition\": 2663.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.305, \"Chinese_imports\": 2.56, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.021, \"Foreign_born\": 0.015, \"Social_capital\": -1.248, \"Religious\": 0.472, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.113, \"Married\": 0.591, \"Longitude\": -87.1828079223633, \"Latitude\": 35.5133590698242}, {\"ID\": 5600, \"Name\": \"Nashville\", \"Mobility\": 0.0572634488, \"State\": \"TN\", \"Population\": 1246338, \"Urban\": 1, \"Black\": 0.153, \"Seg_racial\": 0.249, \"Seg_income\": 0.103, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.112, \"Commute\": 0.24, \"Income\": 39833, \"Gini\": 0.517, \"Share01\": 18.995, \"Gini_99\": 0.327, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2577.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.088, \"Student_teacher_ratio\": null, \"Test_scores\": -6.695, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 7971.0, \"Graduation\": -0.001, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.499, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.047, \"Social_capital\": -0.397, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.115, \"Married\": 0.549, \"Longitude\": -86.4776077270508, \"Latitude\": 36.0064163208008}, {\"ID\": 5700, \"Name\": \"Tullahoma\", \"Mobility\": 0.0614474267, \"State\": \"TN\", \"Population\": 130610, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.093, \"Seg_income\": 0.017, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.015, \"Commute\": 0.37, \"Income\": 32903, \"Gini\": 0.423, \"Share01\": 10.603, \"Gini_99\": 0.317, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.669, \"Student_teacher_ratio\": null, \"Test_scores\": -2.54, \"HS_dropout\": -0.012, \"Colleges\": 0.015, \"Tuition\": 8383.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.277, \"Chinese_imports\": 2.509, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": -0.715, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -86.3036117553711, \"Latitude\": 35.4622421264648}, {\"ID\": 5800, \"Name\": \"Dickson\", \"Mobility\": 0.0715361461, \"State\": \"TN\", \"Population\": 138212, \"Urban\": 1, \"Black\": 0.062, \"Seg_racial\": 0.083, \"Seg_income\": 0.021, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.024, \"Commute\": 0.33, \"Income\": 31374, \"Gini\": 0.428, \"Share01\": 11.897, \"Gini_99\": 0.309, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2132.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.441, \"Student_teacher_ratio\": null, \"Test_scores\": 2.489, \"HS_dropout\": -0.013, \"Colleges\": 0.007, \"Tuition\": 7860.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.26, \"Chinese_imports\": 3.839, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -0.845, \"Religious\": 0.54, \"Violent_crime\": 0.002, \"Single_mothers\": 0.206, \"Divorced\": 0.116, \"Married\": 0.608, \"Longitude\": -87.8451919555664, \"Latitude\": 36.0888633728027}, {\"ID\": 5900, \"Name\": \"Clarksville\", \"Mobility\": 0.0599688478, \"State\": \"TN\", \"Population\": 252059, \"Urban\": 1, \"Black\": 0.179, \"Seg_racial\": 0.133, \"Seg_income\": 0.056, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.052, \"Commute\": 0.319, \"Income\": 28962, \"Gini\": 0.383, \"Share01\": 9.751, \"Gini_99\": 0.285, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.298, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.633, \"HS_dropout\": -0.004, \"Colleges\": 0.024, \"Tuition\": 2147.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.668, \"Teenage_labor\": 0.003, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.033, \"Social_capital\": -1.828, \"Religious\": 0.48, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.101, \"Married\": 0.608, \"Longitude\": -87.5625991821289, \"Latitude\": 36.6690673828125}, {\"ID\": 6000, \"Name\": \"Huntsville\", \"Mobility\": 0.0566761531, \"State\": \"AL\", \"Population\": 519583, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.225, \"Seg_income\": 0.089, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.098, \"Commute\": 0.286, \"Income\": 37730, \"Gini\": 0.443, \"Share01\": 10.571, \"Gini_99\": 0.337, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.14, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -7.679, \"HS_dropout\": -0.006, \"Colleges\": 0.012, \"Tuition\": 2761.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.228, \"Chinese_imports\": 2.479, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.014, \"Foreign_born\": 0.03, \"Social_capital\": -1.029, \"Religious\": 0.559, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.108, \"Married\": 0.595, \"Longitude\": -86.7002639770508, \"Latitude\": 34.855583190918}, {\"ID\": 6100, \"Name\": \"Gadsden\", \"Mobility\": 0.071056664, \"State\": \"AL\", \"Population\": 304068, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.265, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.032, \"Commute\": 0.328, \"Income\": 30842, \"Gini\": 0.441, \"Share01\": 10.908, \"Gini_99\": 0.332, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1757.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.591, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -7.767, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1449.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.296, \"Chinese_imports\": 2.007, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": -1.024, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.198, \"Divorced\": 0.11, \"Married\": 0.611, \"Longitude\": -86.0703277587891, \"Latitude\": 34.3181457519531}, {\"ID\": 6200, \"Name\": \"Florence\", \"Mobility\": 0.0710671544, \"State\": \"AL\", \"Population\": 230941, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.196, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 31581, \"Gini\": 0.448, \"Share01\": 11.773, \"Gini_99\": 0.33, \"Middle_class\": 0.528, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2708.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.315, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1919.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.348, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.015, \"Social_capital\": -0.834, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.102, \"Married\": 0.611, \"Longitude\": -87.5710220336914, \"Latitude\": 35.096565246582}, {\"ID\": 6301, \"Name\": \"McMinnville\", \"Mobility\": 0.0572254322, \"State\": \"TN\", \"Population\": 84309, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.064, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.367, \"Income\": 29411, \"Gini\": 0.426, \"Share01\": 11.163, \"Gini_99\": 0.314, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1879.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.085, \"Student_teacher_ratio\": null, \"Test_scores\": -1.519, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.318, \"Chinese_imports\": 4.639, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": -1.412, \"Religious\": 0.541, \"Violent_crime\": 0.003, \"Single_mothers\": 0.198, \"Divorced\": 0.123, \"Married\": 0.605, \"Longitude\": -85.6722869873047, \"Latitude\": 35.8743438720703}, {\"ID\": 6302, \"Name\": \"Cookeville\", \"Mobility\": 0.0720288083, \"State\": \"TN\", \"Population\": 98362, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.083, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.029, \"Commute\": 0.38, \"Income\": 28510, \"Gini\": 0.455, \"Share01\": 11.752, \"Gini_99\": 0.337, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.842, \"Student_teacher_ratio\": null, \"Test_scores\": 2.41, \"HS_dropout\": -0.027, \"Colleges\": 0.02, \"Tuition\": 2222.0, \"Graduation\": 0.191, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.025, \"Social_capital\": -1.326, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -85.4125366210938, \"Latitude\": 36.3022613525391}, {\"ID\": 6401, \"Name\": \"Chattanooga\", \"Mobility\": 0.0570530631, \"State\": \"TN\", \"Population\": 490863, \"Urban\": 1, \"Black\": 0.134, \"Seg_racial\": 0.335, \"Seg_income\": 0.075, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.078, \"Commute\": 0.256, \"Income\": 35728, \"Gini\": 0.502, \"Share01\": 14.485, \"Gini_99\": 0.357, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2821.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.825, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.888, \"HS_dropout\": 0.026, \"Colleges\": 0.014, \"Tuition\": 4482.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.114, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.409, \"Religious\": 0.518, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.117, \"Married\": 0.572, \"Longitude\": -85.337043762207, \"Latitude\": 35.1550254821777}, {\"ID\": 6402, \"Name\": \"Crossville\", \"Mobility\": 0.0708446875, \"State\": \"TN\", \"Population\": 104194, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.076, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.017, \"Commute\": 0.338, \"Income\": 29333, \"Gini\": 0.426, \"Share01\": 10.83, \"Gini_99\": 0.318, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1365.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.418, \"Student_teacher_ratio\": null, \"Test_scores\": 0.409, \"HS_dropout\": -0.004, \"Colleges\": 0.01, \"Tuition\": 11700.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.269, \"Chinese_imports\": 2.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": -1.024, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.112, \"Married\": 0.632, \"Longitude\": -84.981071472168, \"Latitude\": 35.9107475280762}, {\"ID\": 6501, \"Name\": \"Ellijay\", \"Mobility\": 0.064965196, \"State\": \"GA\", \"Population\": 43254, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.11, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.292, \"Income\": 31235, \"Gini\": 0.403, \"Share01\": 7.137, \"Gini_99\": 0.331, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1556.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.193, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.837, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.568, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.597, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.017, \"Foreign_born\": 0.036, \"Social_capital\": -1.19, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.11, \"Married\": 0.632, \"Longitude\": -84.3799591064453, \"Latitude\": 34.6945686340332}, {\"ID\": 6502, \"Name\": \"Cleveland\", \"Mobility\": 0.0668229759, \"State\": \"TN\", \"Population\": 203077, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.075, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.343, \"Income\": 30499, \"Gini\": 0.418, \"Share01\": 9.445, \"Gini_99\": 0.323, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2213.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.251, \"Student_teacher_ratio\": null, \"Test_scores\": -4.013, \"HS_dropout\": -0.014, \"Colleges\": 0.02, \"Tuition\": 5002.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.324, \"Chinese_imports\": 4.575, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": -0.643, \"Religious\": 0.627, \"Violent_crime\": 0.002, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.621, \"Longitude\": -84.543327331543, \"Latitude\": 35.4968109130859}, {\"ID\": 6600, \"Name\": \"Rome\", \"Mobility\": 0.0484621339, \"State\": \"GA\", \"Population\": 418304, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.181, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.301, \"Income\": 31877, \"Gini\": 0.491, \"Share01\": 16.237, \"Gini_99\": 0.328, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2610.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.324, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.992, \"HS_dropout\": 0.035, \"Colleges\": 0.012, \"Tuition\": 5002.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.34, \"Chinese_imports\": 1.605, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.066, \"Social_capital\": -1.683, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.108, \"Married\": 0.604, \"Longitude\": -85.1338729858398, \"Latitude\": 34.4316864013672}, {\"ID\": 6700, \"Name\": \"Tampa\", \"Mobility\": 0.060128428, \"State\": \"FL\", \"Population\": 2395997, \"Urban\": 1, \"Black\": 0.099, \"Seg_racial\": 0.232, \"Seg_income\": 0.08, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.097, \"Commute\": 0.264, \"Income\": 42195, \"Gini\": 0.534, \"Share01\": 15.27, \"Gini_99\": 0.381, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2380.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.228, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.514, \"HS_dropout\": -0.001, \"Colleges\": 0.009, \"Tuition\": 6791.0, \"Graduation\": 0.026, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.622, \"Teenage_labor\": 0.004, \"Migration_in\": 0.041, \"Migration_out\": 0.025, \"Foreign_born\": 0.098, \"Social_capital\": -1.04, \"Religious\": 0.379, \"Violent_crime\": null, \"Single_mothers\": 0.252, \"Divorced\": 0.125, \"Married\": 0.537, \"Longitude\": -82.4193954467773, \"Latitude\": 28.1531715393066}, {\"ID\": 6800, \"Name\": \"Lakeland\", \"Mobility\": 0.0520584956, \"State\": \"FL\", \"Population\": 598228, \"Urban\": 1, \"Black\": 0.125, \"Seg_racial\": 0.171, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.289, \"Income\": 36102, \"Gini\": 0.477, \"Share01\": 12.185, \"Gini_99\": 0.355, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2265.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.569, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -7.088, \"HS_dropout\": 0.025, \"Colleges\": 0.015, \"Tuition\": 6001.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.556, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.048, \"Migration_out\": 0.025, \"Foreign_born\": 0.077, \"Social_capital\": -1.73, \"Religious\": 0.422, \"Violent_crime\": null, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.58, \"Longitude\": -81.4550399780273, \"Latitude\": 27.7498950958252}, {\"ID\": 6900, \"Name\": \"Sarasota\", \"Mobility\": 0.0683156624, \"State\": \"FL\", \"Population\": 763795, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.214, \"Seg_income\": 0.067, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.082, \"Commute\": 0.319, \"Income\": 52947, \"Gini\": 0.541, \"Share01\": 17.696, \"Gini_99\": 0.364, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2478.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.457, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -1.082, \"HS_dropout\": 0.004, \"Colleges\": 0.004, \"Tuition\": 4013.0, \"Graduation\": -0.03, \"Labor_force_participation\": 0.504, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.624, \"Teenage_labor\": 0.005, \"Migration_in\": 0.043, \"Migration_out\": 0.023, \"Foreign_born\": 0.092, \"Social_capital\": -0.533, \"Religious\": 0.403, \"Violent_crime\": null, \"Single_mothers\": 0.23, \"Divorced\": 0.11, \"Married\": 0.602, \"Longitude\": -82.2600936889648, \"Latitude\": 27.1796760559082}, {\"ID\": 7000, \"Name\": \"Miami\", \"Mobility\": 0.0729660839, \"State\": \"FL\", \"Population\": 3955969, \"Urban\": 1, \"Black\": 0.191, \"Seg_racial\": 0.33, \"Seg_income\": 0.105, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.12, \"Commute\": 0.198, \"Income\": 38110, \"Gini\": 0.632, \"Share01\": 18.867, \"Gini_99\": 0.444, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 3155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.895, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -6.999, \"HS_dropout\": 0.006, \"Colleges\": 0.009, \"Tuition\": 7491.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.068, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.027, \"Foreign_born\": 0.397, \"Social_capital\": -2.141, \"Religious\": 0.42, \"Violent_crime\": null, \"Single_mothers\": 0.258, \"Divorced\": 0.117, \"Married\": 0.502, \"Longitude\": -80.6895523071289, \"Latitude\": 25.5369129180908}, {\"ID\": 7100, \"Name\": \"Port St. Lucie\", \"Mobility\": 0.062430378, \"State\": \"FL\", \"Population\": 1533306, \"Urban\": 1, \"Black\": 0.129, \"Seg_racial\": 0.248, \"Seg_income\": 0.102, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.122, \"Commute\": 0.26, \"Income\": 55175, \"Gini\": 0.61, \"Share01\": 20.816, \"Gini_99\": 0.402, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.852, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -5.311, \"HS_dropout\": -0.008, \"Colleges\": 0.007, \"Tuition\": 5062.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.475, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.03, \"Foreign_born\": 0.157, \"Social_capital\": -1.433, \"Religious\": 0.516, \"Violent_crime\": null, \"Single_mothers\": 0.226, \"Divorced\": 0.107, \"Married\": 0.569, \"Longitude\": -80.8225402832031, \"Latitude\": 27.1259841918945}, {\"ID\": 7200, \"Name\": \"Cape Coral\", \"Mobility\": 0.0601915196, \"State\": \"FL\", \"Population\": 692265, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.263, \"Seg_income\": 0.078, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.095, \"Commute\": 0.273, \"Income\": 55875, \"Gini\": 0.574, \"Share01\": 17.022, \"Gini_99\": 0.404, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -4.293, \"HS_dropout\": 0.023, \"Colleges\": 0.007, \"Tuition\": 2299.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.531, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.169, \"Teenage_labor\": 0.005, \"Migration_in\": 0.067, \"Migration_out\": 0.026, \"Foreign_born\": 0.125, \"Social_capital\": -1.24, \"Religious\": 0.377, \"Violent_crime\": null, \"Single_mothers\": 0.215, \"Divorced\": 0.108, \"Married\": 0.61, \"Longitude\": -81.7269973754883, \"Latitude\": 26.4002437591553}, {\"ID\": 7300, \"Name\": \"Palm Bay\", \"Mobility\": 0.0658892095, \"State\": \"FL\", \"Population\": 589177, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.144, \"Seg_income\": 0.071, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.079, \"Commute\": 0.3, \"Income\": 45264, \"Gini\": 0.469, \"Share01\": 14.294, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2412.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.628, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 9.036, \"HS_dropout\": -0.015, \"Colleges\": 0.007, \"Tuition\": 6751.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.067, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.026, \"Foreign_born\": 0.068, \"Social_capital\": -0.799, \"Religious\": 0.414, \"Violent_crime\": null, \"Single_mothers\": 0.227, \"Divorced\": 0.119, \"Married\": 0.583, \"Longitude\": -80.7524337768555, \"Latitude\": 28.3434429168701}, {\"ID\": 7400, \"Name\": \"Orlando\", \"Mobility\": 0.0578166097, \"State\": \"FL\", \"Population\": 1697906, \"Urban\": 1, \"Black\": 0.133, \"Seg_racial\": 0.181, \"Seg_income\": 0.083, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.1, \"Commute\": 0.212, \"Income\": 38370, \"Gini\": 0.524, \"Share01\": 14.236, \"Gini_99\": 0.382, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2579.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -2.66, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 2759.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.067, \"Chinese_imports\": 0.462, \"Teenage_labor\": 0.003, \"Migration_in\": 0.057, \"Migration_out\": 0.034, \"Foreign_born\": 0.118, \"Social_capital\": -1.756, \"Religious\": 0.38, \"Violent_crime\": null, \"Single_mothers\": 0.231, \"Divorced\": 0.11, \"Married\": 0.543, \"Longitude\": -81.4672393798828, \"Latitude\": 28.5010166168213}, {\"ID\": 7500, \"Name\": \"Deltona\", \"Mobility\": 0.0587789156, \"State\": \"FL\", \"Population\": 563598, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.196, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.046, \"Commute\": 0.303, \"Income\": 38459, \"Gini\": 0.465, \"Share01\": 11.814, \"Gini_99\": 0.347, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.831, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 0.434, \"HS_dropout\": -0.025, \"Colleges\": 0.009, \"Tuition\": 8990.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.539, \"Teenage_labor\": 0.004, \"Migration_in\": 0.051, \"Migration_out\": 0.028, \"Foreign_born\": 0.062, \"Social_capital\": -1.39, \"Religious\": 0.374, \"Violent_crime\": null, \"Single_mothers\": 0.249, \"Divorced\": 0.12, \"Married\": 0.565, \"Longitude\": -81.4155960083008, \"Latitude\": 29.2213096618652}, {\"ID\": 7600, \"Name\": \"Jacksonville\", \"Mobility\": 0.0492131598, \"State\": \"FL\", \"Population\": 1176696, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.223, \"Seg_income\": 0.088, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.098, \"Commute\": 0.229, \"Income\": 38502, \"Gini\": 0.477, \"Share01\": 13.686, \"Gini_99\": 0.34, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3180.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.353, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -0.763, \"HS_dropout\": 0.032, \"Colleges\": 0.007, \"Tuition\": 4409.0, \"Graduation\": 0.02, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.036, \"Migration_out\": 0.028, \"Foreign_born\": 0.052, \"Social_capital\": -1.441, \"Religious\": 0.427, \"Violent_crime\": 0.002, \"Single_mothers\": 0.252, \"Divorced\": 0.124, \"Married\": 0.546, \"Longitude\": -81.7244110107422, \"Latitude\": 30.4425716400146}, {\"ID\": 7700, \"Name\": \"Lake City\", \"Mobility\": 0.049539458, \"State\": \"FL\", \"Population\": 149695, \"Urban\": 0, \"Black\": 0.206, \"Seg_racial\": 0.118, \"Seg_income\": 0.014, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.009, \"Commute\": 0.339, \"Income\": 25561, \"Gini\": 0.415, \"Share01\": 8.857, \"Gini_99\": 0.326, \"Middle_class\": 0.499, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.592, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -5.551, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1180.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.201, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.013, \"Foreign_born\": 0.029, \"Social_capital\": -1.774, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.122, \"Married\": 0.55, \"Longitude\": -83.1948776245117, \"Latitude\": 30.1301002502441}, {\"ID\": 7800, \"Name\": \"Ocala\", \"Mobility\": 0.0564204939, \"State\": \"FL\", \"Population\": 377001, \"Urban\": 1, \"Black\": 0.085, \"Seg_racial\": 0.158, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.031, \"Commute\": 0.273, \"Income\": 38731, \"Gini\": 0.487, \"Share01\": 12.616, \"Gini_99\": 0.361, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.125, \"HS_dropout\": -0.003, \"Colleges\": 0.005, \"Tuition\": 2370.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.469, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.535, \"Teenage_labor\": 0.004, \"Migration_in\": 0.056, \"Migration_out\": 0.024, \"Foreign_born\": 0.051, \"Social_capital\": -1.831, \"Religious\": 0.35, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.113, \"Married\": 0.611, \"Longitude\": -82.1488647460938, \"Latitude\": 29.1660633087158}, {\"ID\": 7900, \"Name\": \"Gainesville\", \"Mobility\": 0.0496746562, \"State\": \"FL\", \"Population\": 320199, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.137, \"Seg_income\": 0.101, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.114, \"Commute\": 0.321, \"Income\": 28321, \"Gini\": 0.51, \"Share01\": 12.516, \"Gini_99\": 0.385, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2672.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.607, \"HS_dropout\": 0.016, \"Colleges\": 0.012, \"Tuition\": 1796.0, \"Graduation\": 0.416, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.444, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.032, \"Foreign_born\": 0.057, \"Social_capital\": -1.494, \"Religious\": 0.354, \"Violent_crime\": null, \"Single_mothers\": 0.276, \"Divorced\": 0.104, \"Married\": 0.461, \"Longitude\": -82.6522445678711, \"Latitude\": 29.6797657012939}, {\"ID\": 8000, \"Name\": \"Sumter\", \"Mobility\": 0.0349367075, \"State\": \"SC\", \"Population\": 209914, \"Urban\": 1, \"Black\": 0.44, \"Seg_racial\": 0.134, \"Seg_income\": 0.052, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.05, \"Commute\": 0.33, \"Income\": 29459, \"Gini\": 0.444, \"Share01\": 8.648, \"Gini_99\": 0.358, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1518.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.429, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -8.166, \"HS_dropout\": -0.009, \"Colleges\": 0.014, \"Tuition\": 3194.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.021, \"Foreign_born\": 0.019, \"Social_capital\": -1.854, \"Religious\": 0.416, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.089, \"Married\": 0.525, \"Longitude\": -80.3857803344727, \"Latitude\": 33.9842262268066}, {\"ID\": 8100, \"Name\": \"Columbia\", \"Mobility\": 0.0372132659, \"State\": \"SC\", \"Population\": 722201, \"Urban\": 1, \"Black\": 0.367, \"Seg_racial\": 0.215, \"Seg_income\": 0.088, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.094, \"Commute\": 0.28, \"Income\": 34438, \"Gini\": 0.512, \"Share01\": 11.917, \"Gini_99\": 0.393, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.947, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.569, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7896.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.613, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -0.925, \"Religious\": 0.445, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.088, \"Married\": 0.523, \"Longitude\": -80.9798583984375, \"Latitude\": 33.8458404541016}, {\"ID\": 8201, \"Name\": \"Barnwell\", \"Mobility\": 0.0353721455, \"State\": \"SC\", \"Population\": 72733, \"Urban\": 0, \"Black\": 0.551, \"Seg_racial\": 0.084, \"Seg_income\": 0.011, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.349, \"Income\": 25544, \"Gini\": 0.438, \"Share01\": 8.527, \"Gini_99\": 0.352, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.594, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -17.549, \"HS_dropout\": -0.017, \"Colleges\": 0.041, \"Tuition\": 1372.0, \"Graduation\": -0.136, \"Labor_force_participation\": 0.526, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.283, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -1.679, \"Religious\": 0.443, \"Violent_crime\": 0.003, \"Single_mothers\": 0.353, \"Divorced\": 0.076, \"Married\": 0.494, \"Longitude\": -81.2760009765625, \"Latitude\": 32.9641990661621}, {\"ID\": 8202, \"Name\": \"Charleston\", \"Mobility\": 0.0444692373, \"State\": \"SC\", \"Population\": 587297, \"Urban\": 1, \"Black\": 0.314, \"Seg_racial\": 0.157, \"Seg_income\": 0.082, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.079, \"Commute\": 0.269, \"Income\": 34601, \"Gini\": 0.544, \"Share01\": 16.485, \"Gini_99\": 0.379, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1796.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -3.673, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 2602.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.021, \"Foreign_born\": 0.032, \"Social_capital\": -2.111, \"Religious\": 0.396, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.093, \"Married\": 0.517, \"Longitude\": -80.1714706420898, \"Latitude\": 33.056827545166}, {\"ID\": 8300, \"Name\": \"Greenville\", \"Mobility\": 0.0469857492, \"State\": \"SC\", \"Population\": 894291, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.176, \"Seg_income\": 0.066, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.076, \"Commute\": 0.308, \"Income\": 35225, \"Gini\": 0.48, \"Share01\": 12.338, \"Gini_99\": 0.356, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1580.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.21, \"HS_dropout\": -0.01, \"Colleges\": 0.015, \"Tuition\": 5888.0, \"Graduation\": 0.061, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.355, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.033, \"Social_capital\": -1.108, \"Religious\": 0.558, \"Violent_crime\": 0.003, \"Single_mothers\": 0.229, \"Divorced\": 0.092, \"Married\": 0.567, \"Longitude\": -82.5311050415039, \"Latitude\": 34.444034576416}, {\"ID\": 8401, \"Name\": \"Aiken\", \"Mobility\": 0.0410487503, \"State\": \"GA\", \"Population\": 525842, \"Urban\": 1, \"Black\": 0.357, \"Seg_racial\": 0.165, \"Seg_income\": 0.09, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.097, \"Commute\": 0.275, \"Income\": 33294, \"Gini\": 0.487, \"Share01\": 9.765, \"Gini_99\": 0.39, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.214, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -6.018, \"HS_dropout\": 0.011, \"Colleges\": 0.011, \"Tuition\": 2317.0, \"Graduation\": -0.117, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.157, \"Chinese_imports\": 0.745, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -1.373, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.291, \"Divorced\": 0.104, \"Married\": 0.528, \"Longitude\": -82.2422409057617, \"Latitude\": 33.4064865112305}, {\"ID\": 8402, \"Name\": \"Washington\", \"Mobility\": 0.031144781, \"State\": \"GA\", \"Population\": 35518, \"Urban\": 1, \"Black\": 0.424, \"Seg_racial\": 0.021, \"Seg_income\": 0.019, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.015, \"Commute\": 0.341, \"Income\": 35155, \"Gini\": 0.491, \"Share01\": 11.242, \"Gini_99\": 0.379, \"Middle_class\": 0.404, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.394, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -5.032, \"HS_dropout\": 0.037, \"Colleges\": 0.028, \"Tuition\": 16250.0, \"Graduation\": null, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.261, \"Chinese_imports\": 0.662, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.773, \"Religious\": 0.436, \"Violent_crime\": 0.002, \"Single_mothers\": 0.316, \"Divorced\": 0.095, \"Married\": 0.517, \"Longitude\": -82.8233413696289, \"Latitude\": 33.6700859069824}, {\"ID\": 8501, \"Name\": \"Fitzgerald\", \"Mobility\": 0.0359147042, \"State\": \"GA\", \"Population\": 27415, \"Urban\": 0, \"Black\": 0.3, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.012, \"Commute\": 0.458, \"Income\": 27671, \"Gini\": 0.478, \"Share01\": 7.91, \"Gini_99\": 0.399, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2991.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.475, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -4.932, \"HS_dropout\": 0.049, \"Colleges\": 0.036, \"Tuition\": 864.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.299, \"Chinese_imports\": 2.168, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -1.649, \"Religious\": 0.533, \"Violent_crime\": 0.003, \"Single_mothers\": 0.291, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -83.2339935302734, \"Latitude\": 31.6627140045166}, {\"ID\": 8502, \"Name\": \"Cordele\", \"Mobility\": 0.0330490395, \"State\": \"GA\", \"Population\": 42098, \"Urban\": 0, \"Black\": 0.434, \"Seg_racial\": 0.047, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.006, \"Commute\": 0.43, \"Income\": 26103, \"Gini\": 0.496, \"Share01\": 9.602, \"Gini_99\": 0.4, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2474.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.945, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.966, \"HS_dropout\": 0.068, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.54, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.55, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": -1.604, \"Religious\": 0.483, \"Violent_crime\": 0.004, \"Single_mothers\": 0.369, \"Divorced\": 0.098, \"Married\": 0.517, \"Longitude\": -83.5846252441406, \"Latitude\": 32.033317565918}, {\"ID\": 8503, \"Name\": \"Valdosta\", \"Mobility\": 0.0318490118, \"State\": \"GA\", \"Population\": 241530, \"Urban\": 1, \"Black\": 0.292, \"Seg_racial\": 0.169, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.054, \"Commute\": 0.422, \"Income\": 27878, \"Gini\": 0.511, \"Share01\": 11.761, \"Gini_99\": 0.394, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.177, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -3.559, \"HS_dropout\": 0.041, \"Colleges\": 0.021, \"Tuition\": 1501.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.541, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -1.931, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.099, \"Married\": 0.534, \"Longitude\": -83.3960266113281, \"Latitude\": 31.2604084014893}, {\"ID\": 8601, \"Name\": \"Waycross\", \"Mobility\": 0.0445917435, \"State\": \"GA\", \"Population\": 113122, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.113, \"Seg_income\": 0.029, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.032, \"Commute\": 0.41, \"Income\": 26639, \"Gini\": 0.461, \"Share01\": 8.311, \"Gini_99\": 0.378, \"Middle_class\": 0.452, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.098, \"HS_dropout\": 0.047, \"Colleges\": 0.027, \"Tuition\": 1237.0, \"Graduation\": -0.152, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.037, \"Social_capital\": -2.103, \"Religious\": 0.502, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.104, \"Married\": 0.584, \"Longitude\": -82.57080078125, \"Latitude\": 31.2826557159424}, {\"ID\": 8602, \"Name\": \"Brunswick\", \"Mobility\": 0.0473826714, \"State\": \"GA\", \"Population\": 93044, \"Urban\": 1, \"Black\": 0.239, \"Seg_racial\": 0.211, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.093, \"Commute\": 0.348, \"Income\": 36807, \"Gini\": 0.535, \"Share01\": 12.297, \"Gini_99\": 0.412, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2469.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.777, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -8.216, \"HS_dropout\": 0.054, \"Colleges\": 0.011, \"Tuition\": 1280.0, \"Graduation\": -0.206, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.027, \"Social_capital\": -1.655, \"Religious\": 0.463, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.124, \"Married\": 0.567, \"Longitude\": -81.708869934082, \"Latitude\": 31.302375793457}, {\"ID\": 8701, \"Name\": \"Hinesville\", \"Mobility\": 0.0489417985, \"State\": \"GA\", \"Population\": 131279, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.076, \"Seg_income\": 0.02, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.018, \"Commute\": 0.413, \"Income\": 23378, \"Gini\": 0.378, \"Share01\": 7.735, \"Gini_99\": 0.301, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.211, \"HS_dropout\": 0.022, \"Colleges\": 0.008, \"Tuition\": 864.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.278, \"Teenage_labor\": 0.003, \"Migration_in\": 0.037, \"Migration_out\": 0.052, \"Foreign_born\": 0.048, \"Social_capital\": -3.199, \"Religious\": 0.355, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.091, \"Married\": 0.579, \"Longitude\": -81.7807998657227, \"Latitude\": 31.7835903167725}, {\"ID\": 8702, \"Name\": \"Statesboro\", \"Mobility\": 0.0388888903, \"State\": \"GA\", \"Population\": 111346, \"Urban\": 0, \"Black\": 0.325, \"Seg_racial\": 0.055, \"Seg_income\": 0.043, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.036, \"Commute\": 0.398, \"Income\": 26439, \"Gini\": 0.492, \"Share01\": 9.041, \"Gini_99\": 0.402, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2080.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.27, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.486, \"HS_dropout\": 0.03, \"Colleges\": 0.036, \"Tuition\": 1728.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.029, \"Social_capital\": -2.244, \"Religious\": 0.404, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.086, \"Married\": 0.473, \"Longitude\": -81.9179534912109, \"Latitude\": 32.6167068481445}, {\"ID\": 8800, \"Name\": \"Savannah\", \"Mobility\": 0.0409670919, \"State\": \"GA\", \"Population\": 434615, \"Urban\": 1, \"Black\": 0.325, \"Seg_racial\": 0.243, \"Seg_income\": 0.099, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.103, \"Commute\": 0.297, \"Income\": 39851, \"Gini\": 0.553, \"Share01\": 14.606, \"Gini_99\": 0.407, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.81, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.082, \"HS_dropout\": 0.038, \"Colleges\": 0.016, \"Tuition\": 6982.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.187, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.029, \"Foreign_born\": 0.044, \"Social_capital\": -1.703, \"Religious\": 0.407, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.101, \"Married\": 0.542, \"Longitude\": -81.0676116943359, \"Latitude\": 32.2408256530762}, {\"ID\": 8900, \"Name\": \"Macon\", \"Mobility\": 0.0326111726, \"State\": \"GA\", \"Population\": 386870, \"Urban\": 1, \"Black\": 0.36, \"Seg_racial\": 0.193, \"Seg_income\": 0.091, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.085, \"Commute\": 0.294, \"Income\": 33836, \"Gini\": 0.501, \"Share01\": 12.343, \"Gini_99\": 0.377, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2500.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.704, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -6.074, \"HS_dropout\": 0.048, \"Colleges\": 0.021, \"Tuition\": 4954.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.132, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.07, \"Religious\": 0.443, \"Violent_crime\": 0.001, \"Single_mothers\": 0.302, \"Divorced\": 0.109, \"Married\": 0.526, \"Longitude\": -83.9226989746094, \"Latitude\": 32.5219421386719}, {\"ID\": 9001, \"Name\": \"Vidalia\", \"Mobility\": 0.0480652973, \"State\": \"GA\", \"Population\": 108438, \"Urban\": 0, \"Black\": 0.26, \"Seg_racial\": 0.08, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.391, \"Income\": 26104, \"Gini\": 0.483, \"Share01\": 9.534, \"Gini_99\": 0.388, \"Middle_class\": 0.429, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1837.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.256, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.667, \"HS_dropout\": 0.027, \"Colleges\": 0.018, \"Tuition\": 3684.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.194, \"Chinese_imports\": 1.159, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.033, \"Social_capital\": -1.649, \"Religious\": 0.588, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.104, \"Married\": 0.557, \"Longitude\": -82.6852188110352, \"Latitude\": 32.0088043212891}, {\"ID\": 9002, \"Name\": \"Milledgeville\", \"Mobility\": 0.0322265625, \"State\": \"GA\", \"Population\": 83808, \"Urban\": 0, \"Black\": 0.44, \"Seg_racial\": 0.122, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.032, \"Commute\": 0.36, \"Income\": 27862, \"Gini\": 0.442, \"Share01\": 7.55, \"Gini_99\": 0.367, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2059.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.526, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -6.814, \"HS_dropout\": 0.013, \"Colleges\": 0.036, \"Tuition\": 3161.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.523, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": -1.909, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.333, \"Divorced\": 0.104, \"Married\": 0.505, \"Longitude\": -83.0629272460938, \"Latitude\": 33.156005859375}, {\"ID\": 9003, \"Name\": \"Dublin\", \"Mobility\": 0.0320269689, \"State\": \"GA\", \"Population\": 74610, \"Urban\": 0, \"Black\": 0.399, \"Seg_racial\": 0.112, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.343, \"Income\": 29575, \"Gini\": 0.529, \"Share01\": 13.755, \"Gini_99\": 0.392, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.142, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.796, \"HS_dropout\": 0.031, \"Colleges\": 0.027, \"Tuition\": 16895.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.855, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": -1.15, \"Religious\": 0.501, \"Violent_crime\": 0.004, \"Single_mothers\": 0.318, \"Divorced\": 0.105, \"Married\": 0.517, \"Longitude\": -82.7807083129883, \"Latitude\": 32.7125244140625}, {\"ID\": 9100, \"Name\": \"Atlanta\", \"Mobility\": 0.0453297347, \"State\": \"GA\", \"Population\": 3798017, \"Urban\": 1, \"Black\": 0.297, \"Seg_racial\": 0.317, \"Seg_income\": 0.113, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.125, \"Commute\": 0.178, \"Income\": 44162, \"Gini\": 0.568, \"Share01\": 17.257, \"Gini_99\": 0.395, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2885.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.352, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.863, \"HS_dropout\": 0.026, \"Colleges\": 0.01, \"Tuition\": 6876.0, \"Graduation\": -0.046, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.61, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -1.208, \"Religious\": 0.443, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.102, \"Married\": 0.534, \"Longitude\": -84.2125625610352, \"Latitude\": 33.8539428710938}, {\"ID\": 9200, \"Name\": \"Griffin\", \"Mobility\": 0.0402813293, \"State\": \"GA\", \"Population\": 135136, \"Urban\": 1, \"Black\": 0.283, \"Seg_racial\": 0.132, \"Seg_income\": 0.039, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.039, \"Commute\": 0.315, \"Income\": 30888, \"Gini\": 0.445, \"Share01\": 10.339, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1695.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.83, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -6.834, \"HS_dropout\": 0.089, \"Colleges\": 0.022, \"Tuition\": 1148.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.003, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -1.46, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.267, \"Divorced\": 0.115, \"Married\": 0.531, \"Longitude\": -84.2098388671875, \"Latitude\": 33.1149978637695}, {\"ID\": 9301, \"Name\": \"Winder\", \"Mobility\": 0.0379506648, \"State\": \"GA\", \"Population\": 212223, \"Urban\": 1, \"Black\": 0.18, \"Seg_racial\": 0.166, \"Seg_income\": 0.089, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.074, \"Commute\": 0.323, \"Income\": 30685, \"Gini\": 0.505, \"Share01\": 11.936, \"Gini_99\": 0.385, \"Middle_class\": 0.473, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.547, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.911, \"HS_dropout\": 0.048, \"Colleges\": 0.014, \"Tuition\": 2574.0, \"Graduation\": 0.352, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.646, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.056, \"Social_capital\": -1.44, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.088, \"Married\": 0.5, \"Longitude\": -83.3426895141602, \"Latitude\": 33.9783325195312}, {\"ID\": 9302, \"Name\": \"Toccoa\", \"Mobility\": 0.0416666679, \"State\": \"GA\", \"Population\": 89228, \"Urban\": 0, \"Black\": 0.174, \"Seg_racial\": 0.088, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.011, \"Commute\": 0.407, \"Income\": 29484, \"Gini\": 0.41, \"Share01\": 8.902, \"Gini_99\": 0.321, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1785.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.148, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.165, \"HS_dropout\": 0.029, \"Colleges\": 0.022, \"Tuition\": 8355.0, \"Graduation\": 0.205, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.297, \"Chinese_imports\": 1.861, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.015, \"Social_capital\": -1.002, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -83.0066680908203, \"Latitude\": 34.2676086425781}, {\"ID\": 9400, \"Name\": \"Gainesville\", \"Mobility\": 0.069715701, \"State\": \"GA\", \"Population\": 272150, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.2, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.269, \"Income\": 33365, \"Gini\": 0.468, \"Share01\": 12.858, \"Gini_99\": 0.34, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.735, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.318, \"HS_dropout\": 0.022, \"Colleges\": 0.026, \"Tuition\": 3575.0, \"Graduation\": -0.095, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.101, \"Social_capital\": -1.545, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.096, \"Married\": 0.616, \"Longitude\": -83.6861419677734, \"Latitude\": 34.4037170410156}, {\"ID\": 9500, \"Name\": \"Talladega\", \"Mobility\": 0.0449032262, \"State\": \"AL\", \"Population\": 148252, \"Urban\": 0, \"Black\": 0.284, \"Seg_racial\": 0.116, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.016, \"Commute\": 0.339, \"Income\": 29631, \"Gini\": 0.422, \"Share01\": 7.491, \"Gini_99\": 0.347, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1781.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.659, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -14.074, \"HS_dropout\": -0.004, \"Colleges\": 0.013, \"Tuition\": 2766.0, \"Graduation\": -0.075, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.298, \"Chinese_imports\": 0.717, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.019, \"Foreign_born\": 0.006, \"Social_capital\": -1.444, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.26, \"Divorced\": 0.105, \"Married\": 0.575, \"Longitude\": -86.1251373291016, \"Latitude\": 33.1638946533203}, {\"ID\": 9600, \"Name\": \"LaGrange\", \"Mobility\": 0.0523430221, \"State\": \"GA\", \"Population\": 457299, \"Urban\": 1, \"Black\": 0.2, \"Seg_racial\": 0.154, \"Seg_income\": 0.062, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.069, \"Commute\": 0.294, \"Income\": 32720, \"Gini\": 0.458, \"Share01\": 11.202, \"Gini_99\": 0.346, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.261, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.685, \"HS_dropout\": 0.012, \"Colleges\": 0.015, \"Tuition\": 2245.0, \"Graduation\": -0.051, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.003, \"Migration_in\": 0.027, \"Migration_out\": 0.019, \"Foreign_born\": 0.021, \"Social_capital\": -1.461, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.107, \"Married\": 0.57, \"Longitude\": -85.4132308959961, \"Latitude\": 33.5284309387207}, {\"ID\": 9701, \"Name\": \"Columbus\", \"Mobility\": 0.0349603333, \"State\": \"GA\", \"Population\": 303656, \"Urban\": 1, \"Black\": 0.406, \"Seg_racial\": 0.235, \"Seg_income\": 0.108, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.102, \"Commute\": 0.325, \"Income\": 31245, \"Gini\": 0.499, \"Share01\": 12.764, \"Gini_99\": 0.371, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.339, \"HS_dropout\": 0.025, \"Colleges\": 0.016, \"Tuition\": 1618.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.003, \"Migration_in\": 0.028, \"Migration_out\": 0.033, \"Foreign_born\": 0.037, \"Social_capital\": -2.078, \"Religious\": 0.45, \"Violent_crime\": 0.004, \"Single_mothers\": 0.312, \"Divorced\": 0.114, \"Married\": 0.494, \"Longitude\": -84.7794570922852, \"Latitude\": 32.6434173583984}, {\"ID\": 9702, \"Name\": \"Americus\", \"Mobility\": 0.0344074294, \"State\": \"GA\", \"Population\": 65826, \"Urban\": 1, \"Black\": 0.493, \"Seg_racial\": 0.074, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.009, \"Commute\": 0.409, \"Income\": 27083, \"Gini\": 0.519, \"Share01\": 13.18, \"Gini_99\": 0.387, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1976.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.941, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -10.217, \"HS_dropout\": 0.073, \"Colleges\": 0.03, \"Tuition\": 1465.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.219, \"Chinese_imports\": 3.407, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.023, \"Social_capital\": -1.582, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.36, \"Divorced\": 0.092, \"Married\": 0.475, \"Longitude\": -84.4287796020508, \"Latitude\": 32.257884979248}, {\"ID\": 9800, \"Name\": \"Auburn\", \"Mobility\": 0.0342648029, \"State\": \"AL\", \"Population\": 150911, \"Urban\": 1, \"Black\": 0.363, \"Seg_racial\": 0.277, \"Seg_income\": 0.105, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.087, \"Commute\": 0.38, \"Income\": 27283, \"Gini\": 0.526, \"Share01\": 12.003, \"Gini_99\": 0.406, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.021, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -14.15, \"HS_dropout\": -0.019, \"Colleges\": 0.02, \"Tuition\": 3970.0, \"Graduation\": 0.268, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.157, \"Chinese_imports\": 2.686, \"Teenage_labor\": 0.003, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.025, \"Social_capital\": -2.13, \"Religious\": 0.311, \"Violent_crime\": 0.002, \"Single_mothers\": 0.304, \"Divorced\": 0.083, \"Married\": 0.445, \"Longitude\": -85.6117477416992, \"Latitude\": 32.3696784973145}, {\"ID\": 9900, \"Name\": \"Tallahassee\", \"Mobility\": 0.0470258147, \"State\": \"FL\", \"Population\": 426634, \"Urban\": 1, \"Black\": 0.285, \"Seg_racial\": 0.162, \"Seg_income\": 0.122, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.133, \"Commute\": 0.275, \"Income\": 30838, \"Gini\": 0.5, \"Share01\": 11.16, \"Gini_99\": 0.388, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3204.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.107, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 2.693, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 1485.0, \"Graduation\": 0.193, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.96, \"Religious\": 0.373, \"Violent_crime\": null, \"Single_mothers\": 0.283, \"Divorced\": 0.108, \"Married\": 0.479, \"Longitude\": -84.7893295288086, \"Latitude\": 30.4377670288086}, {\"ID\": 10000, \"Name\": \"Panama City\", \"Mobility\": 0.0581574887, \"State\": \"FL\", \"Population\": 172606, \"Urban\": 1, \"Black\": 0.113, \"Seg_racial\": 0.132, \"Seg_income\": 0.046, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.047, \"Commute\": 0.358, \"Income\": 32715, \"Gini\": 0.467, \"Share01\": 12.045, \"Gini_99\": 0.346, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3107.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.882, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.031, \"HS_dropout\": -0.024, \"Colleges\": 0.012, \"Tuition\": 1942.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.143, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": -2.044, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.243, \"Divorced\": 0.133, \"Married\": 0.564, \"Longitude\": -85.3004837036133, \"Latitude\": 30.0905723571777}, {\"ID\": 10101, \"Name\": \"Bainbridge\", \"Mobility\": 0.0393333323, \"State\": \"GA\", \"Population\": 43992, \"Urban\": 0, \"Black\": 0.37, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.39, \"Income\": 29034, \"Gini\": 0.516, \"Share01\": 11.659, \"Gini_99\": 0.399, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.082, \"Student_teacher_ratio\": 16.5, \"Test_scores\": null, \"HS_dropout\": 0.04, \"Colleges\": 0.023, \"Tuition\": 1280.0, \"Graduation\": -0.196, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.21, \"Chinese_imports\": 1.665, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.018, \"Social_capital\": -2.109, \"Religious\": 0.481, \"Violent_crime\": 0.003, \"Single_mothers\": 0.311, \"Divorced\": 0.109, \"Married\": 0.522, \"Longitude\": -84.7773666381836, \"Latitude\": 31.0324802398682}, {\"ID\": 10102, \"Name\": \"Thomasville\", \"Mobility\": 0.0328861959, \"State\": \"GA\", \"Population\": 66396, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.098, \"Seg_income\": 0.02, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.389, \"Income\": 29591, \"Gini\": 0.571, \"Share01\": 13.908, \"Gini_99\": 0.432, \"Middle_class\": 0.408, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2160.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.375, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.13, \"HS_dropout\": 0.018, \"Colleges\": 0.03, \"Tuition\": 3106.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.18, \"Chinese_imports\": 0.951, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.75, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.111, \"Married\": 0.528, \"Longitude\": -84.0003814697266, \"Latitude\": 30.9123077392578}, {\"ID\": 10200, \"Name\": \"Albany\", \"Mobility\": 0.0276326872, \"State\": \"GA\", \"Population\": 181765, \"Urban\": 1, \"Black\": 0.484, \"Seg_racial\": 0.242, \"Seg_income\": 0.091, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.098, \"Commute\": 0.35, \"Income\": 30170, \"Gini\": 0.536, \"Share01\": 10.708, \"Gini_99\": 0.429, \"Middle_class\": 0.403, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2728.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.742, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -4.581, \"HS_dropout\": 0.046, \"Colleges\": 0.017, \"Tuition\": 1469.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.716, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -1.224, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.36, \"Divorced\": 0.101, \"Married\": 0.494, \"Longitude\": -84.1598281860352, \"Latitude\": 31.53928565979}, {\"ID\": 10301, \"Name\": \"Eufaula\", \"Mobility\": 0.022954924, \"State\": \"GA\", \"Population\": 61458, \"Urban\": 0, \"Black\": 0.502, \"Seg_racial\": 0.041, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.017, \"Commute\": 0.388, \"Income\": 25284, \"Gini\": 0.524, \"Share01\": 11.334, \"Gini_99\": 0.411, \"Middle_class\": 0.354, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.587, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -17.626, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 7250.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.428, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.013, \"Social_capital\": -1.448, \"Religious\": 0.416, \"Violent_crime\": 0.002, \"Single_mothers\": 0.369, \"Divorced\": 0.092, \"Married\": 0.474, \"Longitude\": -84.9840850830078, \"Latitude\": 31.6915855407715}, {\"ID\": 10302, \"Name\": \"Dothan\", \"Mobility\": 0.0582822077, \"State\": \"AL\", \"Population\": 223605, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.142, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.055, \"Commute\": 0.361, \"Income\": 32268, \"Gini\": 0.498, \"Share01\": 12.707, \"Gini_99\": 0.37, \"Middle_class\": 0.485, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.822, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -11.823, \"HS_dropout\": 0.006, \"Colleges\": 0.013, \"Tuition\": 1580.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.744, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": -1.4, \"Religious\": 0.632, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.107, \"Married\": 0.589, \"Longitude\": -85.4327774047852, \"Latitude\": 31.4178009033203}, {\"ID\": 10400, \"Name\": \"Meridian\", \"Mobility\": 0.0467728749, \"State\": \"MS\", \"Population\": 157091, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.216, \"Seg_income\": 0.053, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.042, \"Commute\": 0.333, \"Income\": 29016, \"Gini\": 0.477, \"Share01\": 9.726, \"Gini_99\": 0.38, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1496.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.355, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.971, \"HS_dropout\": 0.014, \"Colleges\": 0.019, \"Tuition\": 973.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.198, \"Chinese_imports\": 10.031, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.386, \"Religious\": 0.642, \"Violent_crime\": 0.001, \"Single_mothers\": 0.307, \"Divorced\": 0.101, \"Married\": 0.52, \"Longitude\": -88.8334197998047, \"Latitude\": 32.5009651184082}, {\"ID\": 10501, \"Name\": \"Columbus\", \"Mobility\": 0.0360278524, \"State\": \"MS\", \"Population\": 95083, \"Urban\": 1, \"Black\": 0.453, \"Seg_racial\": 0.134, \"Seg_income\": 0.046, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.362, \"Income\": 29115, \"Gini\": 0.536, \"Share01\": 12.123, \"Gini_99\": 0.415, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2065.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.113, \"Student_teacher_ratio\": 19.3, \"Test_scores\": -13.643, \"HS_dropout\": 0.0, \"Colleges\": 0.011, \"Tuition\": 2656.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.576, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.606, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": -0.966, \"Religious\": 0.524, \"Violent_crime\": 0.002, \"Single_mothers\": 0.332, \"Divorced\": 0.085, \"Married\": 0.524, \"Longitude\": -88.3316268920898, \"Latitude\": 33.3776626586914}, {\"ID\": 10502, \"Name\": \"Starkville\", \"Mobility\": 0.0399361029, \"State\": \"MS\", \"Population\": 105093, \"Urban\": 0, \"Black\": 0.401, \"Seg_racial\": 0.077, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.012, \"Commute\": 0.437, \"Income\": 26131, \"Gini\": 0.486, \"Share01\": 9.504, \"Gini_99\": 0.391, \"Middle_class\": 0.428, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.802, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -14.345, \"HS_dropout\": 0.007, \"Colleges\": 0.029, \"Tuition\": 3215.0, \"Graduation\": 0.286, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.232, \"Chinese_imports\": 4.571, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.427, \"Religious\": 0.545, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.079, \"Married\": 0.479, \"Longitude\": -88.9440841674805, \"Latitude\": 33.4253387451172}, {\"ID\": 10600, \"Name\": \"Jasper\", \"Mobility\": 0.0865883604, \"State\": \"AL\", \"Population\": 161169, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.123, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 28445, \"Gini\": 0.419, \"Share01\": 9.24, \"Gini_99\": 0.326, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1312.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.647, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -5.22, \"HS_dropout\": -0.006, \"Colleges\": 0.006, \"Tuition\": 1560.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.149, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.797, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.107, \"Married\": 0.615, \"Longitude\": -87.3326416015625, \"Latitude\": 33.7509765625}, {\"ID\": 10700, \"Name\": \"Birmingham\", \"Mobility\": 0.0504318327, \"State\": \"AL\", \"Population\": 1038182, \"Urban\": 1, \"Black\": 0.271, \"Seg_racial\": 0.42, \"Seg_income\": 0.108, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.118, \"Commute\": 0.22, \"Income\": 38196, \"Gini\": 0.563, \"Share01\": 16.063, \"Gini_99\": 0.403, \"Middle_class\": 0.453, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.139, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -12.133, \"HS_dropout\": -0.003, \"Colleges\": 0.013, \"Tuition\": 5277.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.378, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -0.392, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.108, \"Married\": 0.553, \"Longitude\": -86.7145309448242, \"Latitude\": 33.4854469299316}, {\"ID\": 10801, \"Name\": \"Tuscaloosa\", \"Mobility\": 0.0403225794, \"State\": \"AL\", \"Population\": 261112, \"Urban\": 1, \"Black\": 0.383, \"Seg_racial\": 0.272, \"Seg_income\": 0.088, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.082, \"Commute\": 0.343, \"Income\": 30158, \"Gini\": 0.56, \"Share01\": 14.755, \"Gini_99\": 0.412, \"Middle_class\": 0.413, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -19.805, \"HS_dropout\": 0.0, \"Colleges\": 0.031, \"Tuition\": 3229.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.177, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.015, \"Social_capital\": -1.124, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.311, \"Divorced\": 0.092, \"Married\": 0.486, \"Longitude\": -87.3525161743164, \"Latitude\": 32.8385696411133}, {\"ID\": 10802, \"Name\": \"Demopolis\", \"Mobility\": 0.042383045, \"State\": \"AL\", \"Population\": 63233, \"Urban\": 0, \"Black\": 0.589, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.035, \"Commute\": 0.337, \"Income\": 27364, \"Gini\": 0.522, \"Share01\": 9.592, \"Gini_99\": 0.426, \"Middle_class\": 0.339, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.282, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -20.059, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 2504.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.247, \"Chinese_imports\": 0.854, \"Teenage_labor\": 0.002, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.006, \"Social_capital\": -0.731, \"Religious\": 0.406, \"Violent_crime\": 0.002, \"Single_mothers\": 0.372, \"Divorced\": 0.084, \"Married\": 0.489, \"Longitude\": -87.9114608764648, \"Latitude\": 32.5304336547852}, {\"ID\": 10900, \"Name\": \"Pensacola\", \"Mobility\": 0.0612063408, \"State\": \"FL\", \"Population\": 623252, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.138, \"Seg_income\": 0.061, \"Seg_poverty\": 0.057, \"Seg_affluence\": 0.067, \"Commute\": 0.309, \"Income\": 34256, \"Gini\": 0.471, \"Share01\": 13.671, \"Gini_99\": 0.334, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1995.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.409, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 5.39, \"HS_dropout\": -0.01, \"Colleges\": 0.006, \"Tuition\": 3254.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.248, \"Teenage_labor\": 0.004, \"Migration_in\": 0.035, \"Migration_out\": 0.034, \"Foreign_born\": 0.04, \"Social_capital\": -1.216, \"Religious\": 0.444, \"Violent_crime\": null, \"Single_mothers\": 0.241, \"Divorced\": 0.121, \"Married\": 0.555, \"Longitude\": -86.7144317626953, \"Latitude\": 30.5462055206299}, {\"ID\": 11001, \"Name\": \"Mobile\", \"Mobility\": 0.0513980016, \"State\": \"AL\", \"Population\": 599405, \"Urban\": 1, \"Black\": 0.289, \"Seg_racial\": 0.317, \"Seg_income\": 0.077, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.071, \"Commute\": 0.267, \"Income\": 33321, \"Gini\": 0.531, \"Share01\": 13.029, \"Gini_99\": 0.401, \"Middle_class\": 0.459, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1805.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.504, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -11.938, \"HS_dropout\": 0.0, \"Colleges\": 0.012, \"Tuition\": 4673.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.773, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.021, \"Social_capital\": -0.984, \"Religious\": 0.515, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.107, \"Married\": 0.55, \"Longitude\": -87.666259765625, \"Latitude\": 31.4869632720947}, {\"ID\": 11002, \"Name\": \"Atmore\", \"Mobility\": 0.0477876104, \"State\": \"AL\", \"Population\": 76853, \"Urban\": 0, \"Black\": 0.359, \"Seg_racial\": 0.134, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.021, \"Commute\": 0.39, \"Income\": 27015, \"Gini\": 0.493, \"Share01\": 11.466, \"Gini_99\": 0.378, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1419.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.63, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -16.944, \"HS_dropout\": 0.004, \"Colleges\": 0.039, \"Tuition\": 1493.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.768, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -1.186, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.111, \"Married\": 0.536, \"Longitude\": -87.3446884155273, \"Latitude\": 31.4372310638428}, {\"ID\": 11101, \"Name\": \"Montgomery\", \"Mobility\": 0.0330373719, \"State\": \"AL\", \"Population\": 367927, \"Urban\": 1, \"Black\": 0.401, \"Seg_racial\": 0.265, \"Seg_income\": 0.102, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.103, \"Commute\": 0.278, \"Income\": 33533, \"Gini\": 0.554, \"Share01\": 13.411, \"Gini_99\": 0.42, \"Middle_class\": 0.436, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1663.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.424, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -17.887, \"HS_dropout\": 0.005, \"Colleges\": 0.024, \"Tuition\": 3753.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.558, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": -0.713, \"Religious\": 0.497, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.113, \"Married\": 0.517, \"Longitude\": -86.4008636474609, \"Latitude\": 32.2923164367676}, {\"ID\": 11102, \"Name\": \"Troy\", \"Mobility\": 0.0679886714, \"State\": \"AL\", \"Population\": 80901, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.129, \"Seg_income\": 0.016, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.409, \"Income\": 28445, \"Gini\": 0.527, \"Share01\": 14.481, \"Gini_99\": 0.382, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2188.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.635, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -10.041, \"HS_dropout\": 0.006, \"Colleges\": 0.037, \"Tuition\": 2423.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.84, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.275, \"Religious\": 0.606, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.098, \"Married\": 0.55, \"Longitude\": -86.189453125, \"Latitude\": 31.7107219696045}, {\"ID\": 11201, \"Name\": \"Bluefield\", \"Mobility\": 0.1107491851, \"State\": \"VA\", \"Population\": 199334, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.132, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.32, \"Income\": 27294, \"Gini\": 0.443, \"Share01\": 10.178, \"Gini_99\": 0.341, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1709.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.618, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -2.029, \"HS_dropout\": -0.015, \"Colleges\": 0.025, \"Tuition\": 1494.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.509, \"Manufacturing\": 0.14, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.007, \"Social_capital\": -0.434, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.182, \"Divorced\": 0.091, \"Married\": 0.606, \"Longitude\": -81.580436706543, \"Latitude\": 37.1378021240234}, {\"ID\": 11202, \"Name\": \"Welch\", \"Mobility\": 0.1599147171, \"State\": \"WV\", \"Population\": 53037, \"Urban\": 0, \"Black\": 0.064, \"Seg_racial\": 0.232, \"Seg_income\": 0.019, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.03, \"Commute\": 0.263, \"Income\": 22244, \"Gini\": 0.4, \"Share01\": 5.447, \"Gini_99\": 0.345, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1211.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -8.757, \"HS_dropout\": -0.006, \"Colleges\": 0.038, \"Tuition\": 11340.0, \"Graduation\": null, \"Labor_force_participation\": 0.364, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.003, \"Social_capital\": -1.495, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.087, \"Married\": 0.593, \"Longitude\": -81.6393432617188, \"Latitude\": 37.4899940490723}, {\"ID\": 11203, \"Name\": \"Big Stone Gap\", \"Mobility\": 0.1036082506, \"State\": \"VA\", \"Population\": 84011, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.317, \"Income\": 25086, \"Gini\": 0.441, \"Share01\": 9.891, \"Gini_99\": 0.342, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1691.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.79, \"Student_teacher_ratio\": null, \"Test_scores\": 7.398, \"HS_dropout\": -0.019, \"Colleges\": 0.024, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -0.662, \"Religious\": 0.417, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.097, \"Married\": 0.585, \"Longitude\": -82.72314453125, \"Latitude\": 36.9120674133301}, {\"ID\": 11301, \"Name\": \"Fredericksburg\", \"Mobility\": 0.0945812836, \"State\": \"VA\", \"Population\": 241044, \"Urban\": 1, \"Black\": 0.152, \"Seg_racial\": 0.051, \"Seg_income\": 0.053, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.044, \"Commute\": 0.205, \"Income\": 41266, \"Gini\": 0.31, \"Share01\": 7.6, \"Gini_99\": 0.234, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.539, \"Student_teacher_ratio\": null, \"Test_scores\": -2.82, \"HS_dropout\": -0.012, \"Colleges\": 0.008, \"Tuition\": 1660.0, \"Graduation\": 0.31, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.005, \"Migration_in\": 0.063, \"Migration_out\": 0.035, \"Foreign_born\": 0.035, \"Social_capital\": -1.145, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.085, \"Married\": 0.609, \"Longitude\": -77.4250640869141, \"Latitude\": 38.0942306518555}, {\"ID\": 11302, \"Name\": \"Baltimore\", \"Mobility\": 0.064007394, \"State\": \"MD\", \"Population\": 2512431, \"Urban\": 1, \"Black\": 0.275, \"Seg_racial\": 0.356, \"Seg_income\": 0.13, \"Seg_poverty\": 0.127, \"Seg_affluence\": 0.132, \"Commute\": 0.199, \"Income\": 44194, \"Gini\": 0.489, \"Share01\": 15.564, \"Gini_99\": 0.334, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2088.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.872, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -2.44, \"HS_dropout\": 0.017, \"Colleges\": 0.012, \"Tuition\": 7780.0, \"Graduation\": -0.035, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.647, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": -0.081, \"Religious\": 0.442, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.092, \"Married\": 0.506, \"Longitude\": -76.7990646362305, \"Latitude\": 39.2704734802246}, {\"ID\": 11303, \"Name\": \"Colonial Beach\", \"Mobility\": 0.0654515326, \"State\": \"VA\", \"Population\": 59342, \"Urban\": 0, \"Black\": 0.312, \"Seg_racial\": 0.046, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.005, \"Commute\": 0.31, \"Income\": 39561, \"Gini\": 0.44, \"Share01\": 6.938, \"Gini_99\": 0.37, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.996, \"Student_teacher_ratio\": null, \"Test_scores\": 1.402, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.97, \"Religious\": 0.437, \"Violent_crime\": 0.001, \"Single_mothers\": 0.251, \"Divorced\": 0.074, \"Married\": 0.6, \"Longitude\": -76.796630859375, \"Latitude\": 37.9297065734863}, {\"ID\": 11304, \"Name\": \"Washington DC\", \"Mobility\": 0.1098117381, \"State\": \"DC\", \"Population\": 4632415, \"Urban\": 1, \"Black\": 0.267, \"Seg_racial\": 0.271, \"Seg_income\": 0.127, \"Seg_poverty\": 0.115, \"Seg_affluence\": 0.136, \"Commute\": 0.16, \"Income\": 53706, \"Gini\": 0.456, \"Share01\": 16.054, \"Gini_99\": 0.295, \"Middle_class\": 0.407, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3566.0, \"Progressivity\": 2.5, \"EITC\": 2.381, \"School_spending\": 7.694, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -6.882, \"HS_dropout\": -0.002, \"Colleges\": 0.009, \"Tuition\": 10317.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.714, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.03, \"Foreign_born\": 0.177, \"Social_capital\": -0.748, \"Religious\": 0.461, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.522, \"Longitude\": -77.4324722290039, \"Latitude\": 38.9264755249023}, {\"ID\": 11401, \"Name\": \"Marquette\", \"Mobility\": 0.0965651348, \"State\": \"MI\", \"Population\": 121919, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.088, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.033, \"Commute\": 0.501, \"Income\": 32535, \"Gini\": 0.337, \"Share01\": 8.571, \"Gini_99\": 0.252, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2236.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.961, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 8.53, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2850.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.238, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 0.697, \"Religious\": 0.633, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.093, \"Married\": 0.561, \"Longitude\": -86.9097442626953, \"Latitude\": 46.1725540161133}, {\"ID\": 11402, \"Name\": \"Marinette\", \"Mobility\": 0.1027253643, \"State\": \"MI\", \"Population\": 114408, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.051, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.017, \"Commute\": 0.525, \"Income\": 34016, \"Gini\": 0.305, \"Share01\": 6.115, \"Gini_99\": 0.244, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2299.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 7.498, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.217, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.255, \"Chinese_imports\": 1.192, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.065, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.18, \"Divorced\": 0.098, \"Married\": 0.592, \"Longitude\": -88.1482696533203, \"Latitude\": 45.6683578491211}, {\"ID\": 11403, \"Name\": \"Sault Ste. Marie\", \"Mobility\": 0.0991831943, \"State\": \"MI\", \"Population\": 57510, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.116, \"Seg_income\": 0.015, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.01, \"Commute\": 0.539, \"Income\": 26896, \"Gini\": 0.381, \"Share01\": 8.244, \"Gini_99\": 0.298, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.246, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -1.094, \"HS_dropout\": null, \"Colleges\": 0.035, \"Tuition\": 3725.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.052, \"Chinese_imports\": 0.251, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.024, \"Social_capital\": -0.01, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.534, \"Longitude\": -84.5001525878906, \"Latitude\": 46.1847114562988}, {\"ID\": 11500, \"Name\": \"Jackson\", \"Mobility\": 0.0630887821, \"State\": \"MI\", \"Population\": 303839, \"Urban\": 1, \"Black\": 0.048, \"Seg_racial\": 0.21, \"Seg_income\": 0.051, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.052, \"Commute\": 0.356, \"Income\": 36188, \"Gini\": 0.35, \"Share01\": 8.529, \"Gini_99\": 0.265, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1937.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.269, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 9197.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.271, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.014, \"Religious\": 0.35, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -84.3774566650391, \"Latitude\": 41.9445495605469}, {\"ID\": 11600, \"Name\": \"Detroit\", \"Mobility\": 0.0545927621, \"State\": \"MI\", \"Population\": 5327827, \"Urban\": 1, \"Black\": 0.214, \"Seg_racial\": 0.474, \"Seg_income\": 0.12, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.128, \"Commute\": 0.243, \"Income\": 44745, \"Gini\": 0.443, \"Share01\": 14.548, \"Gini_99\": 0.297, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2629.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.582, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -5.393, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 5169.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.227, \"Chinese_imports\": 0.747, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.071, \"Social_capital\": -0.263, \"Religious\": 0.408, \"Violent_crime\": 0.003, \"Single_mothers\": 0.249, \"Divorced\": 0.105, \"Married\": 0.516, \"Longitude\": -83.2955093383789, \"Latitude\": 42.7676162719727}, {\"ID\": 11700, \"Name\": \"Lansing\", \"Mobility\": 0.0641167387, \"State\": \"MI\", \"Population\": 447728, \"Urban\": 1, \"Black\": 0.079, \"Seg_racial\": 0.164, \"Seg_income\": 0.08, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.079, \"Commute\": 0.356, \"Income\": 37719, \"Gini\": 0.359, \"Share01\": 10.217, \"Gini_99\": 0.257, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.619, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -1.481, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 4725.0, \"Graduation\": 0.185, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.2, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.045, \"Social_capital\": 1.048, \"Religious\": 0.375, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.105, \"Married\": 0.51, \"Longitude\": -84.648681640625, \"Latitude\": 42.6758804321289}, {\"ID\": 11800, \"Name\": \"Mount Pleasant\", \"Mobility\": 0.0646153837, \"State\": \"MI\", \"Population\": 136888, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.106, \"Seg_income\": 0.035, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.03, \"Commute\": 0.467, \"Income\": 27945, \"Gini\": 0.375, \"Share01\": 8.002, \"Gini_99\": 0.295, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1880.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.39, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 2.197, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 4345.0, \"Graduation\": 0.12, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.152, \"Chinese_imports\": 0.636, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -0.164, \"Religious\": 0.282, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.093, \"Married\": 0.5, \"Longitude\": -84.7600479125977, \"Latitude\": 43.562671661377}, {\"ID\": 11900, \"Name\": \"Saginaw\", \"Mobility\": 0.0644080862, \"State\": \"MI\", \"Population\": 540707, \"Urban\": 1, \"Black\": 0.077, \"Seg_racial\": 0.325, \"Seg_income\": 0.056, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.057, \"Commute\": 0.376, \"Income\": 36938, \"Gini\": 0.398, \"Share01\": 8.79, \"Gini_99\": 0.31, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2118.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.193, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -1.907, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 4224.0, \"Graduation\": -0.092, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": 0.544, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -83.6669769287109, \"Latitude\": 43.6854476928711}, {\"ID\": 12001, \"Name\": \"Big Rapids\", \"Mobility\": 0.0743079185, \"State\": \"MI\", \"Population\": 120045, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.119, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.019, \"Commute\": 0.407, \"Income\": 30109, \"Gini\": 0.371, \"Share01\": 7.829, \"Gini_99\": 0.293, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.059, \"Student_teacher_ratio\": 19.4, \"Test_scores\": 1.666, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 4440.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.233, \"Chinese_imports\": 1.631, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.015, \"Social_capital\": 0.068, \"Religious\": 0.326, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.105, \"Married\": 0.583, \"Longitude\": -85.3946990966797, \"Latitude\": 44.0386199951172}, {\"ID\": 12002, \"Name\": \"Ludington\", \"Mobility\": 0.0760736167, \"State\": \"MI\", \"Population\": 52801, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.02, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.493, \"Income\": 33400, \"Gini\": 0.371, \"Share01\": 9.758, \"Gini_99\": 0.274, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2207.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.004, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 6.417, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 1974.0, \"Graduation\": -0.225, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.208, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.014, \"Social_capital\": 1.041, \"Religious\": 0.447, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -86.1842346191406, \"Latitude\": 44.122974395752}, {\"ID\": 12100, \"Name\": \"Kalamazoo\", \"Mobility\": 0.0526231341, \"State\": \"MI\", \"Population\": 509606, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.183, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.064, \"Commute\": 0.36, \"Income\": 36931, \"Gini\": 0.412, \"Share01\": 10.894, \"Gini_99\": 0.303, \"Middle_class\": 0.52, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.573, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -2.101, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 5369.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.781, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": 0.292, \"Religious\": 0.325, \"Violent_crime\": 0.002, \"Single_mothers\": 0.232, \"Divorced\": 0.106, \"Married\": 0.543, \"Longitude\": -85.5140533447266, \"Latitude\": 42.3128662109375}, {\"ID\": 12200, \"Name\": \"Grand Rapids\", \"Mobility\": 0.063729167, \"State\": \"MI\", \"Population\": 1286045, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.256, \"Seg_income\": 0.066, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.073, \"Commute\": 0.344, \"Income\": 37483, \"Gini\": 0.381, \"Share01\": 12.659, \"Gini_99\": 0.254, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.234, \"Student_teacher_ratio\": 19.8, \"Test_scores\": 0.369, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 7137.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.27, \"Chinese_imports\": 1.197, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.046, \"Social_capital\": 0.505, \"Religious\": 0.469, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.095, \"Married\": 0.571, \"Longitude\": -85.7264099121094, \"Latitude\": 43.1889839172363}, {\"ID\": 12301, \"Name\": \"Traverse City\", \"Mobility\": 0.0742486715, \"State\": \"MI\", \"Population\": 154452, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.036, \"Seg_income\": 0.034, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.038, \"Commute\": 0.356, \"Income\": 39703, \"Gini\": 0.416, \"Share01\": 13.983, \"Gini_99\": 0.276, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2555.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.314, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 5.284, \"HS_dropout\": null, \"Colleges\": 0.006, \"Tuition\": 2984.0, \"Graduation\": -0.279, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.814, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 0.9, \"Religious\": 0.38, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.105, \"Married\": 0.612, \"Longitude\": -85.5310363769531, \"Latitude\": 44.8549652099609}, {\"ID\": 12302, \"Name\": \"Petoskey\", \"Mobility\": 0.0765550211, \"State\": \"MI\", \"Population\": 83975, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.031, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.033, \"Commute\": 0.428, \"Income\": 37711, \"Gini\": 0.488, \"Share01\": 21.387, \"Gini_99\": 0.274, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2363.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.357, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 6.258, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2190.0, \"Graduation\": -0.305, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.671, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": 0.933, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.608, \"Longitude\": -84.7933502197266, \"Latitude\": 45.3941383361816}, {\"ID\": 12401, \"Name\": \"Alpena\", \"Mobility\": 0.078644067, \"State\": \"MI\", \"Population\": 84783, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.019, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.472, \"Income\": 34474, \"Gini\": 0.363, \"Share01\": 7.544, \"Gini_99\": 0.287, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2344.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.684, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -1.233, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2460.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.53, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 0.715, \"Religious\": 0.572, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.102, \"Married\": 0.605, \"Longitude\": -83.6990737915039, \"Latitude\": 45.0324363708496}, {\"ID\": 12402, \"Name\": \"Grayling charter\", \"Mobility\": 0.0748898685, \"State\": \"MI\", \"Population\": 104421, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.037, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.028, \"Commute\": 0.457, \"Income\": 34360, \"Gini\": 0.433, \"Share01\": 13.319, \"Gini_99\": 0.3, \"Middle_class\": 0.556, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -0.154, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2141.0, \"Graduation\": -0.205, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.079, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.014, \"Foreign_born\": 0.015, \"Social_capital\": 0.606, \"Religious\": 0.351, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.105, \"Married\": 0.621, \"Longitude\": -84.4363555908203, \"Latitude\": 44.6857032775879}, {\"ID\": 12501, \"Name\": \"Dayton\", \"Mobility\": 0.0488145053, \"State\": \"OH\", \"Population\": 1179009, \"Urban\": 1, \"Black\": 0.116, \"Seg_racial\": 0.355, \"Seg_income\": 0.08, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.084, \"Commute\": 0.341, \"Income\": 39002, \"Gini\": 0.387, \"Share01\": 10.176, \"Gini_99\": 0.286, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2162.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 6.093, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 8460.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.22, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.021, \"Social_capital\": 0.475, \"Religious\": 0.398, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.112, \"Married\": 0.556, \"Longitude\": -84.1028137207031, \"Latitude\": 40.0221176147461}, {\"ID\": 12502, \"Name\": \"Washington Court House\", \"Mobility\": 0.0533333346, \"State\": \"OH\", \"Population\": 109851, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.066, \"Seg_income\": 0.019, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.017, \"Commute\": 0.345, \"Income\": 32903, \"Gini\": 0.33, \"Share01\": 8.036, \"Gini_99\": 0.25, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1850.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.805, \"Student_teacher_ratio\": 20.5, \"Test_scores\": 7.924, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 8683.0, \"Graduation\": -0.056, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.225, \"Chinese_imports\": 3.351, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.023, \"Foreign_born\": 0.009, \"Social_capital\": 0.21, \"Religious\": 0.318, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.105, \"Married\": 0.597, \"Longitude\": -83.5627670288086, \"Latitude\": 39.2948684692383}, {\"ID\": 12600, \"Name\": \"Wayne\", \"Mobility\": 0.0539811067, \"State\": \"IN\", \"Population\": 104034, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.12, \"Seg_income\": 0.038, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 34115, \"Gini\": 0.389, \"Share01\": 10.525, \"Gini_99\": 0.284, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.067, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.393, \"HS_dropout\": null, \"Colleges\": 0.029, \"Tuition\": 11267.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.444, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 0.887, \"Religious\": 0.417, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.116, \"Married\": 0.586, \"Longitude\": -85.0427474975586, \"Latitude\": 39.7046165466309}, {\"ID\": 12701, \"Name\": \"Cincinnati\", \"Mobility\": 0.0512119494, \"State\": \"OH\", \"Population\": 1954800, \"Urban\": 1, \"Black\": 0.117, \"Seg_racial\": 0.349, \"Seg_income\": 0.11, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.113, \"Commute\": 0.258, \"Income\": 42063, \"Gini\": 0.452, \"Share01\": 13.814, \"Gini_99\": 0.314, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2174.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.243, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 5.432, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5415.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.173, \"Chinese_imports\": 1.216, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 0.388, \"Religious\": 0.444, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.102, \"Married\": 0.546, \"Longitude\": -84.2685470581055, \"Latitude\": 38.8519401550293}, {\"ID\": 12702, \"Name\": \"Maysville\", \"Mobility\": 0.0528455302, \"State\": \"KY\", \"Population\": 52963, \"Urban\": 1, \"Black\": 0.028, \"Seg_racial\": 0.124, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.026, \"Commute\": 0.322, \"Income\": 27372, \"Gini\": 0.422, \"Share01\": 8.344, \"Gini_99\": 0.338, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1613.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.08, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -3.84, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 1150.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.223, \"Chinese_imports\": 11.189, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.162, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.101, \"Married\": 0.603, \"Longitude\": -83.6712799072266, \"Latitude\": 38.4998893737793}, {\"ID\": 12800, \"Name\": \"Washington\", \"Mobility\": 0.1065877154, \"State\": \"IN\", \"Population\": 134026, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.048, \"Seg_income\": 0.039, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.039, \"Commute\": 0.314, \"Income\": 35835, \"Gini\": 0.312, \"Share01\": 8.426, \"Gini_99\": 0.228, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1944.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.15, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.411, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.279, \"Chinese_imports\": 4.476, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": 0.36, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.152, \"Divorced\": 0.094, \"Married\": 0.623, \"Longitude\": -85.0641784667969, \"Latitude\": 39.0648803710938}, {\"ID\": 12901, \"Name\": \"Lexington-Fayette\", \"Mobility\": 0.0537449978, \"State\": \"KY\", \"Population\": 525970, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.17, \"Seg_income\": 0.082, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.345, \"Income\": 36577, \"Gini\": 0.485, \"Share01\": 13.3, \"Gini_99\": 0.352, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.984, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.656, \"HS_dropout\": 0.015, \"Colleges\": 0.019, \"Tuition\": 4441.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.162, \"Chinese_imports\": 2.32, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.037, \"Social_capital\": 0.304, \"Religious\": 0.514, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.544, \"Longitude\": -84.5081634521484, \"Latitude\": 38.1320838928223}, {\"ID\": 12902, \"Name\": \"Mount Sterling\", \"Mobility\": 0.0622914359, \"State\": \"KY\", \"Population\": 40195, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.077, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.025, \"Commute\": 0.323, \"Income\": 28067, \"Gini\": 0.458, \"Share01\": 12.55, \"Gini_99\": 0.332, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1230.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.556, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.92, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.4, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.005, \"Social_capital\": -1.132, \"Religious\": 0.342, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -83.6634368896484, \"Latitude\": 38.0783996582031}, {\"ID\": 12903, \"Name\": \"Danville\", \"Mobility\": 0.0727496892, \"State\": \"KY\", \"Population\": 86667, \"Urban\": 0, \"Black\": 0.051, \"Seg_racial\": 0.09, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.034, \"Commute\": 0.353, \"Income\": 30746, \"Gini\": 0.392, \"Share01\": 7.263, \"Gini_99\": 0.319, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1239.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.847, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.142, \"HS_dropout\": 0.009, \"Colleges\": 0.012, \"Tuition\": 16900.0, \"Graduation\": 0.452, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.243, \"Chinese_imports\": 1.319, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": -0.026, \"Religious\": 0.693, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.106, \"Married\": 0.616, \"Longitude\": -84.7249908447266, \"Latitude\": 37.7040634155273}, {\"ID\": 13000, \"Name\": \"Elizabethtown\", \"Mobility\": 0.081598945, \"State\": \"KY\", \"Population\": 176597, \"Urban\": 1, \"Black\": 0.074, \"Seg_racial\": 0.156, \"Seg_income\": 0.027, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.026, \"Commute\": 0.338, \"Income\": 29945, \"Gini\": 0.351, \"Share01\": 8.532, \"Gini_99\": 0.265, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1517.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.676, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.755, \"HS_dropout\": -0.006, \"Colleges\": 0.011, \"Tuition\": 1084.0, \"Graduation\": -0.103, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.2, \"Chinese_imports\": 0.751, \"Teenage_labor\": 0.003, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.029, \"Social_capital\": -1.309, \"Religious\": 0.526, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -86.0881271362305, \"Latitude\": 37.7544479370117}, {\"ID\": 13101, \"Name\": \"Louisville\", \"Mobility\": 0.051995486, \"State\": \"KY\", \"Population\": 1100767, \"Urban\": 1, \"Black\": 0.132, \"Seg_racial\": 0.311, \"Seg_income\": 0.104, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.11, \"Commute\": 0.261, \"Income\": 39192, \"Gini\": 0.471, \"Share01\": 13.684, \"Gini_99\": 0.334, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1833.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -6.336, \"HS_dropout\": 0.02, \"Colleges\": 0.014, \"Tuition\": 6141.0, \"Graduation\": -0.045, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.162, \"Chinese_imports\": 0.945, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": 0.388, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -85.6781463623047, \"Latitude\": 38.2993583679199}, {\"ID\": 13102, \"Name\": \"Madison\", \"Mobility\": 0.0938271582, \"State\": \"IN\", \"Population\": 49985, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.032, \"Seg_income\": 0.012, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.006, \"Commute\": 0.411, \"Income\": 31205, \"Gini\": 0.355, \"Share01\": 6.725, \"Gini_99\": 0.288, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.717, \"HS_dropout\": 0.008, \"Colleges\": 0.04, \"Tuition\": 9008.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.272, \"Chinese_imports\": 6.025, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": 0.462, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.123, \"Married\": 0.586, \"Longitude\": -85.3903198242188, \"Latitude\": 38.6902122497559}, {\"ID\": 13103, \"Name\": \"Bardstown\", \"Mobility\": 0.0762167126, \"State\": \"KY\", \"Population\": 66605, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.092, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.373, \"Income\": 30726, \"Gini\": 0.395, \"Share01\": 12.494, \"Gini_99\": 0.27, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1284.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.317, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.755, \"HS_dropout\": -0.002, \"Colleges\": 0.015, \"Tuition\": 6000.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.291, \"Chinese_imports\": 0.956, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 0.475, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.568, \"Longitude\": -85.40478515625, \"Latitude\": 37.6990623474121}, {\"ID\": 13200, \"Name\": \"Owensboro\", \"Mobility\": 0.0923025683, \"State\": \"KY\", \"Population\": 177640, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.117, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.053, \"Commute\": 0.387, \"Income\": 31538, \"Gini\": 0.387, \"Share01\": 9.513, \"Gini_99\": 0.292, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2194.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.026, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 9.696, \"HS_dropout\": -0.015, \"Colleges\": 0.023, \"Tuition\": 4452.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.218, \"Chinese_imports\": 1.108, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 0.473, \"Religious\": 0.698, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.107, \"Married\": 0.603, \"Longitude\": -86.9816970825195, \"Latitude\": 37.5197410583496}, {\"ID\": 13300, \"Name\": \"Findlay\", \"Mobility\": 0.0736145601, \"State\": \"OH\", \"Population\": 246623, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.089, \"Seg_income\": 0.032, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.457, \"Income\": 34869, \"Gini\": 0.302, \"Share01\": 8.274, \"Gini_99\": 0.219, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1699.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.355, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 11.407, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 14624.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.324, \"Chinese_imports\": 1.286, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 1.106, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.099, \"Married\": 0.581, \"Longitude\": -83.3274612426758, \"Latitude\": 40.9678688049316}, {\"ID\": 13400, \"Name\": \"Lima\", \"Mobility\": 0.0694817677, \"State\": \"OH\", \"Population\": 260393, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.252, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.043, \"Commute\": 0.445, \"Income\": 35092, \"Gini\": 0.316, \"Share01\": 9.453, \"Gini_99\": 0.221, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1859.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.109, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 13.717, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 7747.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.652, \"Manufacturing\": 0.298, \"Chinese_imports\": 2.666, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": 1.414, \"Religious\": 0.629, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.09, \"Married\": 0.59, \"Longitude\": -84.2717895507812, \"Latitude\": 40.7105560302734}, {\"ID\": 13501, \"Name\": \"Toledo\", \"Mobility\": 0.0574808046, \"State\": \"OH\", \"Population\": 834343, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.29, \"Seg_income\": 0.078, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.079, \"Commute\": 0.345, \"Income\": 38616, \"Gini\": 0.386, \"Share01\": 10.884, \"Gini_99\": 0.277, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2128.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.145, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 2.054, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3600.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.214, \"Chinese_imports\": 0.996, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 0.442, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.105, \"Married\": 0.538, \"Longitude\": -83.6778793334961, \"Latitude\": 41.5681457519531}, {\"ID\": 13502, \"Name\": \"Defiance\", \"Mobility\": 0.0814732164, \"State\": \"OH\", \"Population\": 98981, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.081, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 35188, \"Gini\": 0.315, \"Share01\": 11.039, \"Gini_99\": 0.204, \"Middle_class\": 0.681, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1798.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.048, \"Student_teacher_ratio\": 19.6, \"Test_scores\": 13.318, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 14850.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.422, \"Chinese_imports\": 3.971, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.929, \"Religious\": 0.52, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.602, \"Longitude\": -84.5065536499023, \"Latitude\": 41.3234443664551}, {\"ID\": 13600, \"Name\": \"South Bend\", \"Mobility\": 0.0601345673, \"State\": \"IN\", \"Population\": 657906, \"Urban\": 1, \"Black\": 0.107, \"Seg_racial\": 0.264, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.071, \"Commute\": 0.385, \"Income\": 36189, \"Gini\": 0.423, \"Share01\": 11.211, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1862.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.498, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.923, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 12138.0, \"Graduation\": 0.077, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.247, \"Chinese_imports\": 1.391, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.04, \"Social_capital\": 0.065, \"Religious\": 0.424, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.106, \"Married\": 0.552, \"Longitude\": -86.3163223266602, \"Latitude\": 41.6564559936523}, {\"ID\": 13700, \"Name\": \"Concord\", \"Mobility\": 0.0734009892, \"State\": \"IN\", \"Population\": 372184, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.176, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.024, \"Commute\": 0.405, \"Income\": 35487, \"Gini\": 0.395, \"Share01\": 15.141, \"Gini_99\": 0.244, \"Middle_class\": 0.627, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2052.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.437, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -4.199, \"HS_dropout\": null, \"Colleges\": 0.005, \"Tuition\": 8100.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.421, \"Chinese_imports\": 3.359, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.052, \"Social_capital\": -0.043, \"Religious\": 0.36, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -85.4939270019531, \"Latitude\": 41.6202926635742}, {\"ID\": 13800, \"Name\": \"Wayne\", \"Mobility\": 0.0915141404, \"State\": \"IN\", \"Population\": 129528, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.018, \"Commute\": 0.439, \"Income\": 35790, \"Gini\": 0.364, \"Share01\": 15.072, \"Gini_99\": 0.213, \"Middle_class\": 0.635, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2007.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.961, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.626, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 13030.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.392, \"Chinese_imports\": 1.894, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.022, \"Social_capital\": 0.556, \"Religious\": 0.404, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.1, \"Married\": 0.611, \"Longitude\": -85.9183959960938, \"Latitude\": 41.0524978637695}, {\"ID\": 13900, \"Name\": \"Center\", \"Mobility\": 0.0661350861, \"State\": \"IN\", \"Population\": 192308, \"Urban\": 1, \"Black\": 0.038, \"Seg_racial\": 0.15, \"Seg_income\": 0.046, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.055, \"Commute\": 0.451, \"Income\": 37701, \"Gini\": 0.337, \"Share01\": 8.196, \"Gini_99\": 0.255, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.665, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 0.629, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2811.0, \"Graduation\": -0.271, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.326, \"Chinese_imports\": 1.733, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": 0.854, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.118, \"Married\": 0.588, \"Longitude\": -86.2592697143555, \"Latitude\": 40.6478614807129}, {\"ID\": 14000, \"Name\": \"Muncie\", \"Mobility\": 0.0531732403, \"State\": \"IN\", \"Population\": 415487, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.216, \"Seg_income\": 0.062, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.063, \"Commute\": 0.417, \"Income\": 34884, \"Gini\": 0.384, \"Share01\": 10.075, \"Gini_99\": 0.283, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1858.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.655, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -3.912, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 6770.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.239, \"Chinese_imports\": 1.12, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.654, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.229, \"Divorced\": 0.115, \"Married\": 0.569, \"Longitude\": -85.4548721313477, \"Latitude\": 40.2140159606934}, {\"ID\": 14100, \"Name\": \"Fort Wayne\", \"Mobility\": 0.0659465641, \"State\": \"IN\", \"Population\": 557161, \"Urban\": 1, \"Black\": 0.068, \"Seg_racial\": 0.29, \"Seg_income\": 0.075, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.086, \"Commute\": 0.352, \"Income\": 38529, \"Gini\": 0.381, \"Share01\": 13.303, \"Gini_99\": 0.248, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1814.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.491, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -0.56, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7206.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.272, \"Chinese_imports\": 2.138, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.901, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.105, \"Married\": 0.576, \"Longitude\": -85.1665344238281, \"Latitude\": 41.0252723693848}, {\"ID\": 14200, \"Name\": \"Indianapolis\", \"Mobility\": 0.0490063243, \"State\": \"IN\", \"Population\": 1507346, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.333, \"Seg_income\": 0.107, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.122, \"Commute\": 0.262, \"Income\": 42510, \"Gini\": 0.459, \"Share01\": 13.844, \"Gini_99\": 0.32, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2519.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.991, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 0.549, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 8685.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.154, \"Chinese_imports\": 0.936, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.035, \"Social_capital\": 0.69, \"Religious\": 0.408, \"Violent_crime\": 0.004, \"Single_mothers\": 0.226, \"Divorced\": 0.115, \"Married\": 0.55, \"Longitude\": -86.122688293457, \"Latitude\": 39.611385345459}, {\"ID\": 14300, \"Name\": \"Columbus\", \"Mobility\": 0.0746864304, \"State\": \"IN\", \"Population\": 163284, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.077, \"Seg_income\": 0.048, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.061, \"Commute\": 0.404, \"Income\": 35466, \"Gini\": 0.381, \"Share01\": 12.38, \"Gini_99\": 0.257, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.477, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3264.0, \"Graduation\": -0.302, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.345, \"Chinese_imports\": 1.77, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": 0.535, \"Religious\": 0.5, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.116, \"Married\": 0.625, \"Longitude\": -85.8469085693359, \"Latitude\": 38.8266105651855}, {\"ID\": 14400, \"Name\": \"Terre Haute\", \"Mobility\": 0.082625255, \"State\": \"IN\", \"Population\": 261832, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.155, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.038, \"Commute\": 0.391, \"Income\": 31382, \"Gini\": 0.367, \"Share01\": 8.691, \"Gini_99\": 0.28, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1875.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.317, \"HS_dropout\": null, \"Colleges\": 0.027, \"Tuition\": 8388.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.202, \"Chinese_imports\": 1.947, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.611, \"Religious\": 0.366, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.566, \"Longitude\": -87.3151550292969, \"Latitude\": 39.5072402954102}, {\"ID\": 14500, \"Name\": \"Lafayette\", \"Mobility\": 0.0908335671, \"State\": \"IN\", \"Population\": 347966, \"Urban\": 1, \"Black\": 0.036, \"Seg_racial\": 0.209, \"Seg_income\": 0.072, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.066, \"Commute\": 0.429, \"Income\": 32345, \"Gini\": 0.349, \"Share01\": 8.583, \"Gini_99\": 0.264, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.3, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.095, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 3657.0, \"Graduation\": 0.161, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.236, \"Chinese_imports\": 1.115, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.048, \"Social_capital\": 0.435, \"Religious\": 0.393, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.097, \"Married\": 0.547, \"Longitude\": -87.0883178710938, \"Latitude\": 40.3285369873047}, {\"ID\": 14600, \"Name\": \"Bloomington\", \"Mobility\": 0.0871858522, \"State\": \"IN\", \"Population\": 280923, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.105, \"Seg_income\": 0.063, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 30525, \"Gini\": 0.394, \"Share01\": 10.999, \"Gini_99\": 0.284, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.01, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 1.814, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 3893.0, \"Graduation\": 0.264, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.181, \"Chinese_imports\": 4.994, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 0.043, \"Religious\": 0.402, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.102, \"Married\": 0.523, \"Longitude\": -86.9038391113281, \"Latitude\": 38.8078384399414}, {\"ID\": 14700, \"Name\": \"Evansville\", \"Mobility\": 0.0792389214, \"State\": \"IN\", \"Population\": 388604, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.21, \"Seg_income\": 0.07, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.078, \"Commute\": 0.366, \"Income\": 36908, \"Gini\": 0.402, \"Share01\": 13.881, \"Gini_99\": 0.263, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.535, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.957, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 6157.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.337, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.013, \"Social_capital\": 1.29, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.188, \"Divorced\": 0.11, \"Married\": 0.585, \"Longitude\": -87.454719543457, \"Latitude\": 38.1533546447754}, {\"ID\": 14801, \"Name\": \"Olney\", \"Mobility\": 0.1169398874, \"State\": \"IL\", \"Population\": 55642, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.486, \"Income\": 31875, \"Gini\": 0.343, \"Share01\": 8.23, \"Gini_99\": 0.261, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2254.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.303, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 9.889, \"HS_dropout\": 0.007, \"Colleges\": 0.036, \"Tuition\": 5275.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.215, \"Chinese_imports\": 21.031, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.006, \"Social_capital\": 1.562, \"Religious\": 0.626, \"Violent_crime\": null, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.608, \"Longitude\": -88.0994873046875, \"Latitude\": 38.2621994018555}, {\"ID\": 14802, \"Name\": \"Vincennes\", \"Mobility\": 0.1098398194, \"State\": \"IN\", \"Population\": 54708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.061, \"Seg_income\": 0.034, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.029, \"Commute\": 0.488, \"Income\": 30101, \"Gini\": 0.379, \"Share01\": 8.491, \"Gini_99\": 0.294, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2268.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.712, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.262, \"HS_dropout\": 0.035, \"Colleges\": 0.018, \"Tuition\": 2500.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.963, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 0.687, \"Religious\": 0.495, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.107, \"Married\": 0.56, \"Longitude\": -87.4358901977539, \"Latitude\": 38.6371536254883}, {\"ID\": 14900, \"Name\": \"Gary\", \"Mobility\": 0.081390135, \"State\": \"IN\", \"Population\": 675971, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.444, \"Seg_income\": 0.08, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.075, \"Commute\": 0.277, \"Income\": 38097, \"Gini\": 0.369, \"Share01\": 10.709, \"Gini_99\": 0.262, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.061, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.78, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7395.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.994, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.019, \"Foreign_born\": 0.046, \"Social_capital\": -0.229, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.1, \"Married\": 0.533, \"Longitude\": -87.2666168212891, \"Latitude\": 41.2179756164551}, {\"ID\": 15000, \"Name\": \"Canton\", \"Mobility\": 0.0649108514, \"State\": \"OH\", \"Population\": 700866, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.198, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.058, \"Commute\": 0.378, \"Income\": 35700, \"Gini\": 0.381, \"Share01\": 11.019, \"Gini_99\": 0.271, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1768.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.563, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 12.753, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 8639.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": 0.977, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.101, \"Married\": 0.584, \"Longitude\": -81.465934753418, \"Latitude\": 40.519172668457}, {\"ID\": 15100, \"Name\": \"Lorain\", \"Mobility\": 0.0566001162, \"State\": \"OH\", \"Population\": 423702, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.207, \"Seg_income\": 0.064, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.065, \"Commute\": 0.362, \"Income\": 38660, \"Gini\": 0.342, \"Share01\": 8.711, \"Gini_99\": 0.255, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2044.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.833, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 7.879, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 11565.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.477, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.699, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.106, \"Married\": 0.568, \"Longitude\": -82.3657455444336, \"Latitude\": 41.2349052429199}, {\"ID\": 15200, \"Name\": \"Cleveland\", \"Mobility\": 0.050859265, \"State\": \"OH\", \"Population\": 2661167, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.446, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.119, \"Commute\": 0.268, \"Income\": 42208, \"Gini\": 0.463, \"Share01\": 13.743, \"Gini_99\": 0.326, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2677.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.958, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 5.208, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 7049.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.189, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 0.455, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.254, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -81.4847259521484, \"Latitude\": 41.2727546691895}, {\"ID\": 15300, \"Name\": \"Parkersburg\", \"Mobility\": 0.0708944052, \"State\": \"WV\", \"Population\": 202967, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.044, \"Seg_income\": 0.028, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.031, \"Commute\": 0.346, \"Income\": 32372, \"Gini\": 0.375, \"Share01\": 7.579, \"Gini_99\": 0.3, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1826.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.851, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -0.284, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 7253.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.19, \"Chinese_imports\": 1.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 0.333, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.108, \"Married\": 0.599, \"Longitude\": -81.4451217651367, \"Latitude\": 39.1996803283691}, {\"ID\": 15400, \"Name\": \"Zanesville\", \"Mobility\": 0.0684076101, \"State\": \"OH\", \"Population\": 188410, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.115, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.346, \"Income\": 30313, \"Gini\": 0.352, \"Share01\": 8.705, \"Gini_99\": 0.265, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1635.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.95, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 7.247, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7501.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.24, \"Chinese_imports\": 3.84, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.576, \"Religious\": 0.353, \"Violent_crime\": 0.0, \"Single_mothers\": 0.202, \"Divorced\": 0.107, \"Married\": 0.578, \"Longitude\": -81.7836303710938, \"Latitude\": 39.7343330383301}, {\"ID\": 15500, \"Name\": \"Steubenville\", \"Mobility\": 0.0727181509, \"State\": \"OH\", \"Population\": 132008, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.184, \"Seg_income\": 0.03, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.018, \"Commute\": 0.378, \"Income\": 32010, \"Gini\": 0.35, \"Share01\": 9.312, \"Gini_99\": 0.257, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1512.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.935, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.384, \"HS_dropout\": -0.009, \"Colleges\": 0.023, \"Tuition\": 11197.0, \"Graduation\": 0.196, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 0.893, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.098, \"Married\": 0.571, \"Longitude\": -80.7016906738281, \"Latitude\": 40.4033126831055}, {\"ID\": 15600, \"Name\": \"Wheeling\", \"Mobility\": 0.1254040152, \"State\": \"WV\", \"Population\": 195637, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.151, \"Seg_income\": 0.035, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.029, \"Commute\": 0.343, \"Income\": 31111, \"Gini\": 0.403, \"Share01\": 10.613, \"Gini_99\": 0.297, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1664.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.139, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 1.849, \"HS_dropout\": -0.006, \"Colleges\": 0.026, \"Tuition\": 4864.0, \"Graduation\": -0.089, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.79, \"Religious\": 0.51, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.57, \"Longitude\": -80.8091583251953, \"Latitude\": 39.6376495361328}, {\"ID\": 15700, \"Name\": \"Scioto\", \"Mobility\": 0.0648590028, \"State\": \"OH\", \"Population\": 225682, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.16, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.322, \"Income\": 28949, \"Gini\": 0.403, \"Share01\": 9.722, \"Gini_99\": 0.305, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1577.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.927, \"Student_teacher_ratio\": 20.4, \"Test_scores\": 3.963, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 3057.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.379, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 0.105, \"Religious\": 0.253, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.119, \"Married\": 0.563, \"Longitude\": -82.9105377197266, \"Latitude\": 39.01025390625}, {\"ID\": 15800, \"Name\": \"Athens\", \"Mobility\": 0.0747126415, \"State\": \"OH\", \"Population\": 142321, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.058, \"Seg_income\": 0.03, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.031, \"Commute\": 0.359, \"Income\": 24643, \"Gini\": 0.395, \"Share01\": 7.157, \"Gini_99\": 0.323, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1710.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.361, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 0.706, \"HS_dropout\": -0.008, \"Colleges\": 0.028, \"Tuition\": 4775.0, \"Graduation\": 0.188, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.948, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": -0.328, \"Religious\": 0.251, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.095, \"Married\": 0.523, \"Longitude\": -82.0629959106445, \"Latitude\": 38.9975662231445}, {\"ID\": 15900, \"Name\": \"Columbus\", \"Mobility\": 0.049094066, \"State\": \"OH\", \"Population\": 1663807, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.269, \"Seg_income\": 0.122, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.139, \"Commute\": 0.271, \"Income\": 40286, \"Gini\": 0.451, \"Share01\": 14.001, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2301.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.531, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 3.69, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 8030.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.845, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.61, \"Religious\": 0.363, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.11, \"Married\": 0.527, \"Longitude\": -82.7316818237305, \"Latitude\": 39.9555130004883}, {\"ID\": 16000, \"Name\": \"Mansfield\", \"Mobility\": 0.0644607842, \"State\": \"OH\", \"Population\": 326186, \"Urban\": 1, \"Black\": 0.051, \"Seg_racial\": 0.231, \"Seg_income\": 0.041, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.041, \"Commute\": 0.403, \"Income\": 33186, \"Gini\": 0.335, \"Share01\": 7.903, \"Gini_99\": 0.256, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1713.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.248, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 4.968, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 6365.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.283, \"Chinese_imports\": 1.275, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 0.992, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.113, \"Married\": 0.572, \"Longitude\": -82.7405624389648, \"Latitude\": 40.6658096313477}, {\"ID\": 16100, \"Name\": \"State College\", \"Mobility\": 0.1131276488, \"State\": \"PA\", \"Population\": 310658, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.195, \"Seg_income\": 0.055, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 28923, \"Gini\": 0.373, \"Share01\": 8.759, \"Gini_99\": 0.285, \"Middle_class\": 0.613, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1367.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.981, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 6.352, \"HS_dropout\": -0.013, \"Colleges\": 0.019, \"Tuition\": 7303.0, \"Graduation\": 0.432, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.907, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": 0.295, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.528, \"Longitude\": -78.1835327148438, \"Latitude\": 40.8506507873535}, {\"ID\": 16200, \"Name\": \"Altoona\", \"Mobility\": 0.1023769081, \"State\": \"PA\", \"Population\": 411749, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.163, \"Seg_income\": 0.038, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.034, \"Commute\": 0.391, \"Income\": 30392, \"Gini\": 0.371, \"Share01\": 9.835, \"Gini_99\": 0.272, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.147, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 7.231, \"HS_dropout\": -0.015, \"Colleges\": 0.017, \"Tuition\": 7679.0, \"Graduation\": 0.241, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.449, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 0.938, \"Religious\": 0.65, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.078, \"Married\": 0.564, \"Longitude\": -78.6428298950195, \"Latitude\": 40.2173004150391}, {\"ID\": 16300, \"Name\": \"Pittsburgh\", \"Mobility\": 0.09514869, \"State\": \"PA\", \"Population\": 2561364, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.323, \"Seg_income\": 0.081, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.089, \"Commute\": 0.287, \"Income\": 38686, \"Gini\": 0.45, \"Share01\": 13.848, \"Gini_99\": 0.312, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2244.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.199, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.035, \"HS_dropout\": -0.01, \"Colleges\": 0.022, \"Tuition\": 8789.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.556, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.025, \"Social_capital\": 0.604, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.082, \"Married\": 0.545, \"Longitude\": -79.5761260986328, \"Latitude\": 40.5679092407227}, {\"ID\": 16400, \"Name\": \"Youngstown\", \"Mobility\": 0.0669745952, \"State\": \"OH\", \"Population\": 809682, \"Urban\": 1, \"Black\": 0.086, \"Seg_racial\": 0.338, \"Seg_income\": 0.06, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.059, \"Commute\": 0.374, \"Income\": 34808, \"Gini\": 0.387, \"Share01\": 10.241, \"Gini_99\": 0.284, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1645.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.079, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 6.568, \"HS_dropout\": -0.016, \"Colleges\": 0.025, \"Tuition\": 9907.0, \"Graduation\": 0.011, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.226, \"Chinese_imports\": 0.965, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.019, \"Social_capital\": 0.906, \"Religious\": 0.549, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -80.6030731201172, \"Latitude\": 41.016960144043}, {\"ID\": 16500, \"Name\": \"Erie\", \"Mobility\": 0.0751668066, \"State\": \"PA\", \"Population\": 659098, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.21, \"Seg_income\": 0.05, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.047, \"Commute\": 0.427, \"Income\": 31989, \"Gini\": 0.392, \"Share01\": 10.49, \"Gini_99\": 0.287, \"Middle_class\": 0.596, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.642, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 5.037, \"HS_dropout\": -0.008, \"Colleges\": 0.021, \"Tuition\": 7200.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.341, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.019, \"Social_capital\": 0.694, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.09, \"Married\": 0.546, \"Longitude\": -79.5036315917969, \"Latitude\": 41.3742065429688}, {\"ID\": 16600, \"Name\": \"Roanoke\", \"Mobility\": 0.0640164241, \"State\": \"VA\", \"Population\": 468038, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.225, \"Seg_income\": 0.066, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.064, \"Commute\": 0.334, \"Income\": 34411, \"Gini\": 0.424, \"Share01\": 9.212, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.208, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 3.084, \"HS_dropout\": -0.002, \"Colleges\": 0.024, \"Tuition\": 3970.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.109, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.027, \"Social_capital\": -0.196, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.096, \"Married\": 0.545, \"Longitude\": -80.1677627563477, \"Latitude\": 37.3139152526855}, {\"ID\": 16701, \"Name\": \"Elkins\", \"Mobility\": 0.1057993695, \"State\": \"WV\", \"Population\": 60271, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.05, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.388, \"Income\": 26302, \"Gini\": 0.391, \"Share01\": 8.336, \"Gini_99\": 0.307, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1400.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.979, \"Student_teacher_ratio\": 14.7, \"Test_scores\": -6.483, \"HS_dropout\": -0.017, \"Colleges\": 0.033, \"Tuition\": 13180.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.118, \"Chinese_imports\": 2.177, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.005, \"Foreign_born\": 0.006, \"Social_capital\": -0.342, \"Religious\": 0.357, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.112, \"Married\": 0.58, \"Longitude\": -79.7854919433594, \"Latitude\": 38.7990913391113}, {\"ID\": 16702, \"Name\": \"Morgantown\", \"Mobility\": 0.1049584672, \"State\": \"WV\", \"Population\": 259942, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.108, \"Seg_income\": 0.052, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.046, \"Commute\": 0.336, \"Income\": 28593, \"Gini\": 0.424, \"Share01\": 9.565, \"Gini_99\": 0.328, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1641.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.507, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.397, \"HS_dropout\": -0.008, \"Colleges\": 0.027, \"Tuition\": 2143.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.572, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": 0.372, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.092, \"Married\": 0.536, \"Longitude\": -80.3536605834961, \"Latitude\": 39.3572540283203}, {\"ID\": 16703, \"Name\": \"Buckhannon\", \"Mobility\": 0.1264108419, \"State\": \"WV\", \"Population\": 40323, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.009, \"Commute\": 0.377, \"Income\": 25062, \"Gini\": 0.404, \"Share01\": 7.553, \"Gini_99\": 0.328, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1221.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -10.275, \"HS_dropout\": -0.011, \"Colleges\": 0.025, \"Tuition\": 16800.0, \"Graduation\": 0.197, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.74, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.005, \"Social_capital\": -0.141, \"Religious\": 0.312, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.101, \"Married\": 0.577, \"Longitude\": -80.3829650878906, \"Latitude\": 38.926456451416}, {\"ID\": 16801, \"Name\": \"Beckley\", \"Mobility\": 0.1064450294, \"State\": \"WV\", \"Population\": 174251, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.121, \"Seg_income\": 0.015, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.017, \"Commute\": 0.33, \"Income\": 28131, \"Gini\": 0.446, \"Share01\": 11.535, \"Gini_99\": 0.331, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1317.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.099, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.88, \"HS_dropout\": -0.002, \"Colleges\": 0.029, \"Tuition\": 5808.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.49, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.306, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": -0.862, \"Religious\": 0.303, \"Violent_crime\": 0.001, \"Single_mothers\": 0.217, \"Divorced\": 0.104, \"Married\": 0.58, \"Longitude\": -80.8328170776367, \"Latitude\": 37.9249839782715}, {\"ID\": 16802, \"Name\": \"Summersville\", \"Mobility\": 0.1285289675, \"State\": \"WV\", \"Population\": 58143, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.329, \"Income\": 25662, \"Gini\": 0.452, \"Share01\": 13.73, \"Gini_99\": 0.314, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1483.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.065, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -6.952, \"HS_dropout\": -0.008, \"Colleges\": 0.034, \"Tuition\": 1027.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.486, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.17, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -0.593, \"Religious\": 0.322, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -80.7836837768555, \"Latitude\": 38.5716857910156}, {\"ID\": 16901, \"Name\": \"Charleston\", \"Mobility\": 0.0972293913, \"State\": \"WV\", \"Population\": 347345, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.177, \"Seg_income\": 0.057, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.059, \"Commute\": 0.28, \"Income\": 34109, \"Gini\": 0.474, \"Share01\": 12.717, \"Gini_99\": 0.347, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1532.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.254, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -9.146, \"HS_dropout\": 0.006, \"Colleges\": 0.017, \"Tuition\": 3243.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": -0.087, \"Religious\": 0.3, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.113, \"Married\": 0.573, \"Longitude\": -81.7158126831055, \"Latitude\": 38.1433944702148}, {\"ID\": 16902, \"Name\": \"Spencer\", \"Mobility\": 0.1465677172, \"State\": \"WV\", \"Population\": 23028, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.004, \"Commute\": 0.268, \"Income\": 23337, \"Gini\": 0.356, \"Share01\": 6.941, \"Gini_99\": 0.287, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1333.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.717, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -10.746, \"HS_dropout\": 0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.491, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.231, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.651, \"Religious\": 0.247, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.1, \"Married\": 0.603, \"Longitude\": -81.213020324707, \"Latitude\": 38.7986145019531}, {\"ID\": 17000, \"Name\": \"Pikeville\", \"Mobility\": 0.1378403753, \"State\": \"KY\", \"Population\": 204354, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.017, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.295, \"Income\": 23076, \"Gini\": 0.474, \"Share01\": 10.775, \"Gini_99\": 0.366, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1240.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.46, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.262, \"HS_dropout\": 0.001, \"Colleges\": 0.01, \"Tuition\": 3671.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.002, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -1.347, \"Religious\": 0.331, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -82.6051483154297, \"Latitude\": 37.7573471069336}, {\"ID\": 17100, \"Name\": \"Huntington\", \"Mobility\": 0.0685057491, \"State\": \"KY\", \"Population\": 344380, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.144, \"Seg_income\": 0.043, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.041, \"Commute\": 0.343, \"Income\": 29101, \"Gini\": 0.467, \"Share01\": 11.153, \"Gini_99\": 0.355, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1448.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.436, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.126, \"HS_dropout\": 0.001, \"Colleges\": 0.02, \"Tuition\": 2400.0, \"Graduation\": -0.038, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.45, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": -0.404, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -82.8904647827148, \"Latitude\": 38.2893447875977}, {\"ID\": 17200, \"Name\": \"Harrisonburg\", \"Mobility\": 0.0938897133, \"State\": \"VA\", \"Population\": 174641, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.107, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.033, \"Commute\": 0.378, \"Income\": 31025, \"Gini\": 0.409, \"Share01\": 11.826, \"Gini_99\": 0.291, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1501.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.499, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.775, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 3568.0, \"Graduation\": 0.381, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.544, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.041, \"Social_capital\": -0.385, \"Religious\": 0.465, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -78.7827987670898, \"Latitude\": 38.7607040405273}, {\"ID\": 17300, \"Name\": \"Staunton\", \"Mobility\": 0.0680161938, \"State\": \"VA\", \"Population\": 188559, \"Urban\": 1, \"Black\": 0.071, \"Seg_racial\": 0.079, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.033, \"Commute\": 0.344, \"Income\": 34674, \"Gini\": 0.368, \"Share01\": 7.971, \"Gini_99\": 0.288, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1465.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.003, \"Student_teacher_ratio\": null, \"Test_scores\": 3.633, \"HS_dropout\": null, \"Colleges\": 0.037, \"Tuition\": 9809.0, \"Graduation\": 0.122, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.206, \"Chinese_imports\": 3.52, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": -0.2, \"Religious\": 0.492, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.098, \"Married\": 0.583, \"Longitude\": -79.5354461669922, \"Latitude\": 37.8701171875}, {\"ID\": 17400, \"Name\": \"Hagerstown\", \"Mobility\": 0.0870945826, \"State\": \"PA\", \"Population\": 408535, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.164, \"Seg_income\": 0.035, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 34829, \"Gini\": 0.351, \"Share01\": 8.689, \"Gini_99\": 0.264, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1512.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.288, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 1.236, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 3360.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.176, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": -0.256, \"Religious\": 0.391, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -77.9620590209961, \"Latitude\": 39.7436256408691}, {\"ID\": 17501, \"Name\": \"Cumberland\", \"Mobility\": 0.0969055369, \"State\": \"MD\", \"Population\": 155822, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.149, \"Seg_income\": 0.024, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.021, \"Commute\": 0.373, \"Income\": 29147, \"Gini\": 0.425, \"Share01\": 13.041, \"Gini_99\": 0.294, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1840.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.553, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.043, \"HS_dropout\": -0.006, \"Colleges\": 0.032, \"Tuition\": 12039.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.739, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.038, \"Religious\": 0.491, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.085, \"Married\": 0.6, \"Longitude\": -78.8268737792969, \"Latitude\": 39.2735443115234}, {\"ID\": 17502, \"Name\": \"Winchester\", \"Mobility\": 0.0972972959, \"State\": \"VA\", \"Population\": 115649, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.1, \"Seg_income\": 0.042, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.045, \"Commute\": 0.301, \"Income\": 36887, \"Gini\": 0.402, \"Share01\": 10.978, \"Gini_99\": 0.292, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1801.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.326, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 0.058, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 9058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.669, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.205, \"Teenage_labor\": 0.005, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.029, \"Social_capital\": -0.875, \"Religious\": 0.391, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.098, \"Married\": 0.584, \"Longitude\": -78.4002304077148, \"Latitude\": 39.2103652954102}, {\"ID\": 17600, \"Name\": \"Charlottesville\", \"Mobility\": 0.0613825992, \"State\": \"VA\", \"Population\": 273489, \"Urban\": 1, \"Black\": 0.164, \"Seg_racial\": 0.096, \"Seg_income\": 0.06, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.062, \"Commute\": 0.282, \"Income\": 37999, \"Gini\": 0.489, \"Share01\": 12.275, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1882.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.177, \"Student_teacher_ratio\": null, \"Test_scores\": -0.367, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2786.0, \"Graduation\": 0.327, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.081, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.484, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.089, \"Married\": 0.544, \"Longitude\": -78.2333831787109, \"Latitude\": 38.0418243408203}, {\"ID\": 17700, \"Name\": \"Syracuse\", \"Mobility\": 0.076672107, \"State\": \"NY\", \"Population\": 1080612, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.253, \"Seg_income\": 0.086, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.08, \"Commute\": 0.378, \"Income\": 35778, \"Gini\": 0.409, \"Share01\": 10.819, \"Gini_99\": 0.301, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 3044.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.59, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.814, \"HS_dropout\": -0.016, \"Colleges\": 0.023, \"Tuition\": 10408.0, \"Graduation\": 0.088, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.253, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.043, \"Social_capital\": 0.353, \"Religious\": 0.484, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.087, \"Married\": 0.522, \"Longitude\": -75.6718292236328, \"Latitude\": 43.084644317627}, {\"ID\": 17800, \"Name\": \"Oneonta\", \"Mobility\": 0.0928838924, \"State\": \"NY\", \"Population\": 161132, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.053, \"Seg_income\": 0.012, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.008, \"Commute\": 0.405, \"Income\": 31398, \"Gini\": 0.374, \"Share01\": 7.377, \"Gini_99\": 0.3, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2714.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.284, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 3.69, \"HS_dropout\": -0.021, \"Colleges\": 0.025, \"Tuition\": 5231.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.978, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.102, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.09, \"Married\": 0.553, \"Longitude\": -75.0704956054688, \"Latitude\": 42.4394607543945}, {\"ID\": 17900, \"Name\": \"Union\", \"Mobility\": 0.088044025, \"State\": \"NY\", \"Population\": 294558, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.12, \"Seg_income\": 0.063, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.063, \"Commute\": 0.363, \"Income\": 35192, \"Gini\": 0.39, \"Share01\": 8.997, \"Gini_99\": 0.3, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.034, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 7.263, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 3090.0, \"Graduation\": 0.182, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.189, \"Chinese_imports\": 6.272, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.04, \"Social_capital\": 0.505, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.094, \"Married\": 0.538, \"Longitude\": -76.0699844360352, \"Latitude\": 42.1343231201172}, {\"ID\": 18000, \"Name\": \"Buffalo\", \"Mobility\": 0.066782549, \"State\": \"NY\", \"Population\": 2369699, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.342, \"Seg_income\": 0.098, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.097, \"Commute\": 0.333, \"Income\": 38618, \"Gini\": 0.396, \"Share01\": 10.989, \"Gini_99\": 0.287, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3031.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.08, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.245, \"HS_dropout\": -0.016, \"Colleges\": 0.015, \"Tuition\": 8230.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.183, \"Chinese_imports\": 2.241, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.049, \"Social_capital\": 0.394, \"Religious\": 0.607, \"Violent_crime\": 0.002, \"Single_mothers\": 0.251, \"Divorced\": 0.088, \"Married\": 0.524, \"Longitude\": -77.7660903930664, \"Latitude\": 42.7380714416504}, {\"ID\": 18100, \"Name\": \"Elmira\", \"Mobility\": 0.0936922133, \"State\": \"NY\", \"Population\": 346894, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.158, \"Seg_income\": 0.048, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.411, \"Income\": 32548, \"Gini\": 0.416, \"Share01\": 10.805, \"Gini_99\": 0.308, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.67, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 0.774, \"HS_dropout\": -0.002, \"Colleges\": 0.023, \"Tuition\": 15547.0, \"Graduation\": 0.266, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": 0.5, \"Religious\": 0.396, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.092, \"Married\": 0.516, \"Longitude\": -76.8524780273438, \"Latitude\": 42.3245124816895}, {\"ID\": 18201, \"Name\": \"Olean\", \"Mobility\": 0.0801330507, \"State\": \"NY\", \"Population\": 197898, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.143, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.016, \"Commute\": 0.455, \"Income\": 29823, \"Gini\": 0.37, \"Share01\": 10.119, \"Gini_99\": 0.269, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2566.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.316, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.707, \"HS_dropout\": -0.011, \"Colleges\": 0.04, \"Tuition\": 9250.0, \"Graduation\": 0.168, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.47, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -0.135, \"Religious\": 0.418, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.091, \"Married\": 0.552, \"Longitude\": -78.447868347168, \"Latitude\": 42.1064071655273}, {\"ID\": 18202, \"Name\": \"St. Marys\", \"Mobility\": 0.1629834324, \"State\": \"PA\", \"Population\": 41086, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.013, \"Commute\": 0.53, \"Income\": 34878, \"Gini\": 0.299, \"Share01\": 10.488, \"Gini_99\": 0.194, \"Middle_class\": 0.696, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1510.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.325, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 7.407, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.437, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.145, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.085, \"Married\": 0.576, \"Longitude\": -78.6627578735352, \"Latitude\": 41.3966979980469}, {\"ID\": 18300, \"Name\": \"Watertown\", \"Mobility\": 0.1011804417, \"State\": \"NY\", \"Population\": 250613, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.147, \"Seg_income\": 0.022, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.018, \"Commute\": 0.471, \"Income\": 27436, \"Gini\": 0.353, \"Share01\": 6.815, \"Gini_99\": 0.285, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2904.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.16, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.444, \"HS_dropout\": -0.012, \"Colleges\": 0.024, \"Tuition\": 10602.0, \"Graduation\": 0.134, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.658, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.033, \"Social_capital\": -0.213, \"Religious\": 0.472, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.081, \"Married\": 0.539, \"Longitude\": -75.5392837524414, \"Latitude\": 44.1033897399902}, {\"ID\": 18400, \"Name\": \"Plattsburgh\", \"Mobility\": 0.0854566842, \"State\": \"NY\", \"Population\": 169879, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.285, \"Seg_income\": 0.025, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.023, \"Commute\": 0.47, \"Income\": 28561, \"Gini\": 0.359, \"Share01\": 6.947, \"Gini_99\": 0.29, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2872.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.433, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 2.784, \"HS_dropout\": -0.008, \"Colleges\": 0.035, \"Tuition\": 4636.0, \"Graduation\": 0.068, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.997, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.04, \"Social_capital\": -0.21, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.085, \"Married\": 0.522, \"Longitude\": -73.7126007080078, \"Latitude\": 44.331298828125}, {\"ID\": 18500, \"Name\": \"Amsterdam\", \"Mobility\": 0.082840234, \"State\": \"NY\", \"Population\": 110160, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.13, \"Seg_income\": 0.027, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.026, \"Commute\": 0.416, \"Income\": 32624, \"Gini\": 0.369, \"Share01\": 7.015, \"Gini_99\": 0.299, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2988.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.628, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.667, \"HS_dropout\": -0.007, \"Colleges\": 0.009, \"Tuition\": 2380.0, \"Graduation\": -0.078, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.189, \"Chinese_imports\": 4.284, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.683, \"Religious\": 0.57, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.092, \"Married\": 0.54, \"Longitude\": -74.4513702392578, \"Latitude\": 43.2861976623535}, {\"ID\": 18600, \"Name\": \"Albany\", \"Mobility\": 0.0833333358, \"State\": \"NY\", \"Population\": 1061509, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.201, \"Seg_income\": 0.077, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.078, \"Commute\": 0.317, \"Income\": 40298, \"Gini\": 0.407, \"Share01\": 10.807, \"Gini_99\": 0.299, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2767.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.921, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.01, \"HS_dropout\": -0.011, \"Colleges\": 0.023, \"Tuition\": 9499.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.09, \"Chinese_imports\": 0.466, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.045, \"Social_capital\": 0.602, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.087, \"Married\": 0.533, \"Longitude\": -73.8589172363281, \"Latitude\": 42.8572311401367}, {\"ID\": 18700, \"Name\": \"Sunbury\", \"Mobility\": 0.1113667712, \"State\": \"PA\", \"Population\": 191962, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.169, \"Seg_income\": 0.043, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.044, \"Commute\": 0.396, \"Income\": 30863, \"Gini\": 0.359, \"Share01\": 9.138, \"Gini_99\": 0.268, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.516, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.346, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 20819.0, \"Graduation\": 0.473, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.221, \"Chinese_imports\": 2.797, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.018, \"Social_capital\": 0.692, \"Religious\": 0.521, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.079, \"Married\": 0.592, \"Longitude\": -76.8812713623047, \"Latitude\": 40.8595542907715}, {\"ID\": 18800, \"Name\": \"Scranton\", \"Mobility\": 0.1074531749, \"State\": \"PA\", \"Population\": 857487, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.131, \"Seg_income\": 0.044, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.047, \"Commute\": 0.351, \"Income\": 35125, \"Gini\": 0.412, \"Share01\": 12.428, \"Gini_99\": 0.288, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1568.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.373, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 5.554, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 8661.0, \"Graduation\": 0.142, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.683, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.118, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -75.5423889160156, \"Latitude\": 41.2837600708008}, {\"ID\": 18900, \"Name\": \"Williamsport\", \"Mobility\": 0.1016209498, \"State\": \"PA\", \"Population\": 227275, \"Urban\": 1, \"Black\": 0.025, \"Seg_racial\": 0.162, \"Seg_income\": 0.031, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.026, \"Commute\": 0.414, \"Income\": 31689, \"Gini\": 0.382, \"Share01\": 10.051, \"Gini_99\": 0.281, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1848.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.937, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 4.766, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 7163.0, \"Graduation\": 0.166, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.238, \"Chinese_imports\": 2.495, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": 0.279, \"Religious\": 0.449, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.093, \"Married\": 0.575, \"Longitude\": -77.2385025024414, \"Latitude\": 41.2774848937988}, {\"ID\": 19000, \"Name\": \"Allentown\", \"Mobility\": 0.0826314986, \"State\": \"PA\", \"Population\": 637958, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.214, \"Seg_income\": 0.082, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.094, \"Commute\": 0.329, \"Income\": 39894, \"Gini\": 0.402, \"Share01\": 12.055, \"Gini_99\": 0.281, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2217.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.449, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.125, \"HS_dropout\": -0.007, \"Colleges\": 0.02, \"Tuition\": 14658.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.206, \"Chinese_imports\": 1.102, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.02, \"Foreign_born\": 0.051, \"Social_capital\": 0.448, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.084, \"Married\": 0.567, \"Longitude\": -75.4598083496094, \"Latitude\": 40.8401222229004}, {\"ID\": 19100, \"Name\": \"Reading\", \"Mobility\": 0.0963095427, \"State\": \"PA\", \"Population\": 1114959, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.262, \"Seg_income\": 0.066, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.062, \"Commute\": 0.344, \"Income\": 38217, \"Gini\": 0.372, \"Share01\": 10.983, \"Gini_99\": 0.262, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.694, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 2.944, \"HS_dropout\": -0.001, \"Colleges\": 0.019, \"Tuition\": 8790.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": 0.548, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.17, \"Divorced\": 0.079, \"Married\": 0.583, \"Longitude\": -76.2531967163086, \"Latitude\": 40.153995513916}, {\"ID\": 19200, \"Name\": \"Harrisburg\", \"Mobility\": 0.0792682916, \"State\": \"PA\", \"Population\": 1051424, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.278, \"Seg_income\": 0.06, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.062, \"Commute\": 0.314, \"Income\": 38699, \"Gini\": 0.37, \"Share01\": 11.141, \"Gini_99\": 0.258, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1909.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.256, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 0.608, \"HS_dropout\": -0.002, \"Colleges\": 0.018, \"Tuition\": 8336.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.804, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.013, \"Foreign_born\": 0.028, \"Social_capital\": 0.683, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.583, \"Longitude\": -77.1747894287109, \"Latitude\": 40.3097534179688}, {\"ID\": 19300, \"Name\": \"Poughkeepsie\", \"Mobility\": 0.0948357806, \"State\": \"NY\", \"Population\": 873232, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.142, \"Seg_income\": 0.07, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.068, \"Commute\": 0.301, \"Income\": 39707, \"Gini\": 0.39, \"Share01\": 9.621, \"Gini_99\": 0.293, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3085.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.084, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 2.093, \"HS_dropout\": -0.012, \"Colleges\": 0.014, \"Tuition\": 8390.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.941, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": -0.759, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.183, \"Divorced\": 0.079, \"Married\": 0.557, \"Longitude\": -74.4587554931641, \"Latitude\": 41.7227630615234}, {\"ID\": 19400, \"Name\": \"New York\", \"Mobility\": 0.1050008386, \"State\": \"NY\", \"Population\": 11781395, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.382, \"Seg_income\": 0.132, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.141, \"Commute\": 0.156, \"Income\": 45509, \"Gini\": 0.684, \"Share01\": 29.143, \"Gini_99\": 0.393, \"Middle_class\": 0.44, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3483.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.949, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -1.449, \"HS_dropout\": 0.013, \"Colleges\": 0.012, \"Tuition\": 9269.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.779, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.022, \"Foreign_born\": 0.296, \"Social_capital\": -1.108, \"Religious\": 0.635, \"Violent_crime\": 0.004, \"Single_mothers\": 0.278, \"Divorced\": 0.073, \"Married\": 0.481, \"Longitude\": -73.4934310913086, \"Latitude\": 40.8868293762207}, {\"ID\": 19500, \"Name\": \"Toms River\", \"Mobility\": 0.1222978607, \"State\": \"NJ\", \"Population\": 1126217, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.198, \"Seg_income\": 0.109, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.118, \"Commute\": 0.263, \"Income\": 54036, \"Gini\": 0.407, \"Share01\": 15.42, \"Gini_99\": 0.253, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2632.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 5.938, \"HS_dropout\": -0.012, \"Colleges\": 0.001, \"Tuition\": 4100.0, \"Graduation\": -0.246, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.025, \"Foreign_born\": 0.087, \"Social_capital\": -0.56, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.075, \"Married\": 0.587, \"Longitude\": -74.3227462768555, \"Latitude\": 40.027587890625}, {\"ID\": 19600, \"Name\": \"Newark\", \"Mobility\": 0.1024259701, \"State\": \"NJ\", \"Population\": 5822286, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.323, \"Seg_income\": 0.118, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.131, \"Commute\": 0.234, \"Income\": 51373, \"Gini\": 0.518, \"Share01\": 19.205, \"Gini_99\": 0.325, \"Middle_class\": 0.401, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2782.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -0.599, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 7282.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.13, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.024, \"Foreign_born\": 0.227, \"Social_capital\": -0.466, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.072, \"Married\": 0.542, \"Longitude\": -74.6487045288086, \"Latitude\": 40.7106246948242}, {\"ID\": 19700, \"Name\": \"Philadelphia\", \"Mobility\": 0.0740116686, \"State\": \"PA\", \"Population\": 5602247, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.376, \"Seg_income\": 0.122, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.13, \"Commute\": 0.246, \"Income\": 43746, \"Gini\": 0.491, \"Share01\": 15.29, \"Gini_99\": 0.338, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2877.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.967, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -3.101, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 10851.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.778, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.071, \"Social_capital\": 0.068, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.08, \"Married\": 0.512, \"Longitude\": -75.3061828613281, \"Latitude\": 39.8666076660156}, {\"ID\": 19800, \"Name\": \"Wilmington\", \"Mobility\": 0.0657239258, \"State\": \"DE\", \"Population\": 586216, \"Urban\": 1, \"Black\": 0.176, \"Seg_racial\": 0.216, \"Seg_income\": 0.091, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.1, \"Commute\": 0.251, \"Income\": 44620, \"Gini\": 0.427, \"Share01\": 13.844, \"Gini_99\": 0.289, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1737.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 7.584, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -3.338, \"HS_dropout\": 0.006, \"Colleges\": 0.012, \"Tuition\": 4385.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.54, \"Teenage_labor\": 0.005, \"Migration_in\": 0.028, \"Migration_out\": 0.024, \"Foreign_born\": 0.059, \"Social_capital\": 0.111, \"Religious\": 0.435, \"Violent_crime\": 0.004, \"Single_mothers\": 0.23, \"Divorced\": 0.097, \"Married\": 0.531, \"Longitude\": -75.7440795898438, \"Latitude\": 39.5715065002441}, {\"ID\": 19901, \"Name\": \"Dover\", \"Mobility\": 0.0625960082, \"State\": \"DE\", \"Population\": 439269, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.131, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.029, \"Commute\": 0.358, \"Income\": 36398, \"Gini\": 0.449, \"Share01\": 9.882, \"Gini_99\": 0.35, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1965.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 6.835, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 5.869, \"HS_dropout\": 0.001, \"Colleges\": 0.018, \"Tuition\": 5194.0, \"Graduation\": -0.025, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.426, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.757, \"Religious\": 0.368, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.097, \"Married\": 0.557, \"Longitude\": -75.5329818725586, \"Latitude\": 38.5384826660156}, {\"ID\": 19902, \"Name\": \"Easton\", \"Mobility\": 0.0626359284, \"State\": \"MD\", \"Population\": 154018, \"Urban\": 1, \"Black\": 0.163, \"Seg_racial\": 0.111, \"Seg_income\": 0.056, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.064, \"Commute\": 0.32, \"Income\": 43805, \"Gini\": 0.48, \"Share01\": 14.508, \"Gini_99\": 0.335, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1702.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.562, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 0.006, \"HS_dropout\": -0.001, \"Colleges\": 0.013, \"Tuition\": 14255.0, \"Graduation\": 0.003, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.394, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": -0.476, \"Religious\": 0.43, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.091, \"Married\": 0.577, \"Longitude\": -76.0423736572266, \"Latitude\": 38.7869148254395}, {\"ID\": 19903, \"Name\": \"Chincoteague\", \"Mobility\": 0.0445141047, \"State\": \"VA\", \"Population\": 51398, \"Urban\": 0, \"Black\": 0.343, \"Seg_racial\": 0.084, \"Seg_income\": 0.007, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.009, \"Commute\": 0.393, \"Income\": 31562, \"Gini\": 0.477, \"Share01\": 11.521, \"Gini_99\": 0.362, \"Middle_class\": 0.399, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.638, \"Student_teacher_ratio\": null, \"Test_scores\": 5.172, \"HS_dropout\": 0.023, \"Colleges\": 0.019, \"Tuition\": 1114.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.432, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.04, \"Social_capital\": -0.453, \"Religious\": 0.339, \"Violent_crime\": 0.002, \"Single_mothers\": 0.293, \"Divorced\": 0.085, \"Married\": 0.536, \"Longitude\": -75.6961898803711, \"Latitude\": 37.6719169616699}, {\"ID\": 20001, \"Name\": \"Bangor\", \"Mobility\": 0.0809096843, \"State\": \"ME\", \"Population\": 289843, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.065, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.03, \"Commute\": 0.403, \"Income\": 32900, \"Gini\": 0.397, \"Share01\": 8.898, \"Gini_99\": 0.308, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1720.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.669, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.767, \"HS_dropout\": -0.007, \"Colleges\": 0.024, \"Tuition\": 4991.0, \"Graduation\": 0.141, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.121, \"Chinese_imports\": 2.789, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.392, \"Religious\": 0.292, \"Violent_crime\": 0.001, \"Single_mothers\": 0.207, \"Divorced\": 0.118, \"Married\": 0.561, \"Longitude\": -69.0667114257812, \"Latitude\": 44.9682998657227}, {\"ID\": 20002, \"Name\": \"Calais\", \"Mobility\": 0.0680272132, \"State\": \"ME\", \"Population\": 33941, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.196, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.493, \"Income\": 26505, \"Gini\": 0.377, \"Share01\": 6.18, \"Gini_99\": 0.316, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1529.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 7.988, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 4.963, \"HS_dropout\": -0.009, \"Colleges\": 0.059, \"Tuition\": 2701.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.04, \"Social_capital\": -0.723, \"Religious\": 0.259, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.114, \"Married\": 0.565, \"Longitude\": -67.6050033569336, \"Latitude\": 44.9989395141602}, {\"ID\": 20003, \"Name\": \"Presque Isle\", \"Mobility\": 0.0855855867, \"State\": \"ME\", \"Population\": 73938, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.057, \"Seg_income\": 0.008, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.512, \"Income\": 27952, \"Gini\": 0.368, \"Share01\": 7.492, \"Gini_99\": 0.293, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1769.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.823, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.045, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.02, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.125, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.059, \"Social_capital\": -0.661, \"Religious\": 0.608, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -68.5269775390625, \"Latitude\": 46.3964767456055}, {\"ID\": 20100, \"Name\": \"Portland\", \"Mobility\": 0.0805980191, \"State\": \"ME\", \"Population\": 690459, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.054, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.363, \"Income\": 37252, \"Gini\": 0.439, \"Share01\": 13.348, \"Gini_99\": 0.306, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.85, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 2.793, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 3538.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.669, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.334, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.118, \"Married\": 0.555, \"Longitude\": -69.9392471313477, \"Latitude\": 44.7340354919434}, {\"ID\": 20200, \"Name\": \"Burlington\", \"Mobility\": 0.0931878537, \"State\": \"VT\", \"Population\": 321496, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.044, \"Seg_income\": 0.062, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.067, \"Commute\": 0.366, \"Income\": 37131, \"Gini\": 0.405, \"Share01\": 11.589, \"Gini_99\": 0.289, \"Middle_class\": 0.558, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1866.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 9.101, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 6.641, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 12201.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.706, \"Manufacturing\": 0.161, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.044, \"Social_capital\": 0.451, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.1, \"Married\": 0.542, \"Longitude\": -73.0345230102539, \"Latitude\": 44.0672149658203}, {\"ID\": 20301, \"Name\": \"Berlin\", \"Mobility\": 0.083530806, \"State\": \"VT\", \"Population\": 95549, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.018, \"Seg_income\": 0.014, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.433, \"Income\": 31204, \"Gini\": 0.38, \"Share01\": 10.699, \"Gini_99\": 0.273, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1842.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 7.825, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 3.676, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.024, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.193, \"Chinese_imports\": 1.802, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.012, \"Foreign_born\": 0.04, \"Social_capital\": 0.509, \"Religious\": 0.488, \"Violent_crime\": 0.0, \"Single_mothers\": 0.208, \"Divorced\": 0.112, \"Married\": 0.571, \"Longitude\": -71.7748870849609, \"Latitude\": 44.4993209838867}, {\"ID\": 20302, \"Name\": \"Claremont\", \"Mobility\": 0.078877002, \"State\": \"VT\", \"Population\": 265884, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.041, \"Seg_income\": 0.03, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.037, \"Commute\": 0.383, \"Income\": 38571, \"Gini\": 0.404, \"Share01\": 11.609, \"Gini_99\": 0.288, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 1940.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 8.352, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 6.585, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 16323.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.143, \"Chinese_imports\": 2.416, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": 1.026, \"Religious\": 0.332, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.11, \"Married\": 0.557, \"Longitude\": -72.2651672363281, \"Latitude\": 43.8187103271484}, {\"ID\": 20401, \"Name\": \"Providence\", \"Mobility\": 0.0820953399, \"State\": \"RI\", \"Population\": 1582997, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.23, \"Seg_income\": 0.089, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.092, \"Commute\": 0.328, \"Income\": 39543, \"Gini\": 0.426, \"Share01\": 13.552, \"Gini_99\": 0.291, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1879.0, \"Progressivity\": 6.15, \"EITC\": 19.048, \"School_spending\": 7.203, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -2.206, \"HS_dropout\": 0.008, \"Colleges\": 0.004, \"Tuition\": 11924.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.171, \"Chinese_imports\": 2.592, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.115, \"Social_capital\": -0.389, \"Religious\": 0.623, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -71.3598098754883, \"Latitude\": 41.6681175231934}, {\"ID\": 20402, \"Name\": \"Nantucket\", \"Mobility\": 0.0810810775, \"State\": \"MA\", \"Population\": 9520, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.035, \"Seg_income\": 0.01, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.003, \"Commute\": 0.818, \"Income\": 49651, \"Gini\": 0.364, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 4868.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.164, \"Student_teacher_ratio\": null, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.74, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.08, \"Social_capital\": 7.305, \"Religious\": 0.383, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.121, \"Married\": 0.479, \"Longitude\": -70.063362121582, \"Latitude\": 41.3039436340332}, {\"ID\": 20403, \"Name\": \"Oak Bluffs\", \"Mobility\": 0.0676691756, \"State\": \"MA\", \"Population\": 14987, \"Urban\": 0, \"Black\": 0.023, \"Seg_racial\": 0.016, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.003, \"Commute\": 0.576, \"Income\": 48059, \"Gini\": 0.403, \"Share01\": 10.469, \"Gini_99\": 0.299, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3752.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 17.311, \"HS_dropout\": -0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.036, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.063, \"Social_capital\": 4.994, \"Religious\": 0.86, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.126, \"Married\": 0.515, \"Longitude\": -70.6558151245117, \"Latitude\": 41.390796661377}, {\"ID\": 20500, \"Name\": \"Boston\", \"Mobility\": 0.1048499793, \"State\": \"MA\", \"Population\": 4974945, \"Urban\": 1, \"Black\": 0.054, \"Seg_racial\": 0.264, \"Seg_income\": 0.093, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.107, \"Commute\": 0.251, \"Income\": 49445, \"Gini\": 0.477, \"Share01\": 21.448, \"Gini_99\": 0.263, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.89, \"Student_teacher_ratio\": null, \"Test_scores\": 4.084, \"HS_dropout\": 0.001, \"Colleges\": 0.008, \"Tuition\": 15931.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.12, \"Chinese_imports\": 1.555, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.022, \"Foreign_born\": 0.132, \"Social_capital\": 0.298, \"Religious\": 0.652, \"Violent_crime\": 0.003, \"Single_mothers\": 0.206, \"Divorced\": 0.08, \"Married\": 0.518, \"Longitude\": -71.188606262207, \"Latitude\": 42.212329864502}, {\"ID\": 20600, \"Name\": \"Manchester\", \"Mobility\": 0.1001517475, \"State\": \"NH\", \"Population\": 1193391, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.084, \"Commute\": 0.301, \"Income\": 43530, \"Gini\": 0.38, \"Share01\": 12.697, \"Gini_99\": 0.253, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1804.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.546, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.63, \"HS_dropout\": 0.017, \"Colleges\": 0.008, \"Tuition\": 8732.0, \"Graduation\": 0.018, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.866, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.044, \"Social_capital\": -0.262, \"Religious\": 0.485, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -71.297737121582, \"Latitude\": 43.4739837646484}, {\"ID\": 20700, \"Name\": \"Keene\", \"Mobility\": 0.0901116431, \"State\": \"NH\", \"Population\": 118041, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.024, \"Seg_income\": 0.025, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.023, \"Commute\": 0.407, \"Income\": 37048, \"Gini\": 0.478, \"Share01\": 24.837, \"Gini_99\": 0.229, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.513, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 1.881, \"HS_dropout\": 0.015, \"Colleges\": 0.017, \"Tuition\": 4732.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.159, \"Chinese_imports\": 1.616, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.017, \"Foreign_born\": 0.025, \"Social_capital\": 0.684, \"Religious\": 0.293, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.107, \"Married\": 0.545, \"Longitude\": -72.474739074707, \"Latitude\": 43.0325889587402}, {\"ID\": 20800, \"Name\": \"Springfield\", \"Mobility\": 0.0680504739, \"State\": \"MA\", \"Population\": 680014, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.295, \"Seg_income\": 0.079, \"Seg_poverty\": 0.08, \"Seg_affluence\": 0.075, \"Commute\": 0.342, \"Income\": 36671, \"Gini\": 0.413, \"Share01\": 10.672, \"Gini_99\": 0.307, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2420.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.855, \"Student_teacher_ratio\": null, \"Test_scores\": -0.369, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 7485.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.148, \"Chinese_imports\": 3.403, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.067, \"Social_capital\": 0.235, \"Religious\": 0.586, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.095, \"Married\": 0.486, \"Longitude\": -72.6502075195312, \"Latitude\": 42.3591499328613}, {\"ID\": 20901, \"Name\": \"Bridgeport\", \"Mobility\": 0.0786178932, \"State\": \"CT\", \"Population\": 3405565, \"Urban\": 1, \"Black\": 0.087, \"Seg_racial\": 0.269, \"Seg_income\": 0.117, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.13, \"Commute\": 0.308, \"Income\": 53281, \"Gini\": 0.49, \"Share01\": 21.68, \"Gini_99\": 0.274, \"Middle_class\": 0.438, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2476.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.888, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -4.993, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 9747.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.109, \"Social_capital\": 0.493, \"Religious\": 0.579, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.093, \"Married\": 0.55, \"Longitude\": -72.6092910766602, \"Latitude\": 41.6280708312988}, {\"ID\": 20902, \"Name\": \"Pittsfield\", \"Mobility\": 0.0865191147, \"State\": \"MA\", \"Population\": 171947, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.067, \"Seg_income\": 0.052, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.053, \"Commute\": 0.479, \"Income\": 41091, \"Gini\": 0.437, \"Share01\": 13.776, \"Gini_99\": 0.299, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1669.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.124, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 4.525, \"HS_dropout\": 0.015, \"Colleges\": 0.006, \"Tuition\": 24619.0, \"Graduation\": 0.174, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.701, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 0.951, \"Religious\": 0.624, \"Violent_crime\": 0.002, \"Single_mothers\": 0.238, \"Divorced\": 0.104, \"Married\": 0.534, \"Longitude\": -73.0525436401367, \"Latitude\": 42.6944618225098}, {\"ID\": 21001, \"Name\": \"Ashland\", \"Mobility\": 0.0910326093, \"State\": \"WI\", \"Population\": 47701, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.236, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.533, \"Income\": 32218, \"Gini\": 0.32, \"Share01\": 7.108, \"Gini_99\": 0.249, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2725.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.119, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.588, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 14415.0, \"Graduation\": 0.234, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.231, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 1.525, \"Religious\": 0.583, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.576, \"Longitude\": -90.6493072509766, \"Latitude\": 46.1779747009277}, {\"ID\": 21002, \"Name\": \"Houghton\", \"Mobility\": 0.1022727266, \"State\": \"MI\", \"Population\": 47063, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.01, \"Commute\": 0.55, \"Income\": 26975, \"Gini\": 0.376, \"Share01\": 12.232, \"Gini_99\": 0.254, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2240.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.434, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 7.375, \"HS_dropout\": null, \"Colleges\": 0.042, \"Tuition\": 4935.0, \"Graduation\": 0.23, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": 0.46, \"Religious\": 0.502, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.485, \"Longitude\": -88.5094833374023, \"Latitude\": 47.1474723815918}, {\"ID\": 21003, \"Name\": \"Ironwood\", \"Mobility\": 0.1213872805, \"State\": \"MI\", \"Population\": 32049, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.159, \"Seg_income\": 0.012, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.554, \"Income\": 32111, \"Gini\": 0.332, \"Share01\": 6.552, \"Gini_99\": 0.266, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3036.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.902, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 8.369, \"HS_dropout\": null, \"Colleges\": 0.031, \"Tuition\": 1922.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.262, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.004, \"Foreign_born\": 0.014, \"Social_capital\": 1.087, \"Religious\": 0.552, \"Violent_crime\": 0.0, \"Single_mothers\": 0.203, \"Divorced\": 0.094, \"Married\": 0.578, \"Longitude\": -89.6147308349609, \"Latitude\": 46.4919624328613}, {\"ID\": 21004, \"Name\": \"Rhinelander\", \"Mobility\": 0.1062801927, \"State\": \"WI\", \"Population\": 67833, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.198, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.509, \"Income\": 37115, \"Gini\": 0.403, \"Share01\": 10.478, \"Gini_99\": 0.299, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2512.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.827, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 2.187, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 2018.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 1.928, \"Religious\": 0.593, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.616, \"Longitude\": -89.0856475830078, \"Latitude\": 45.8335456848145}, {\"ID\": 21101, \"Name\": \"Rice Lake\", \"Mobility\": 0.1015262082, \"State\": \"WI\", \"Population\": 92542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.185, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.006, \"Commute\": 0.499, \"Income\": 33974, \"Gini\": 0.407, \"Share01\": 14.031, \"Gini_99\": 0.267, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2679.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.359, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.642, \"HS_dropout\": -0.027, \"Colleges\": 0.032, \"Tuition\": 3003.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 1.542, \"Religious\": 0.568, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -91.4096221923828, \"Latitude\": 45.6672897338867}, {\"ID\": 21102, \"Name\": \"Amery\", \"Mobility\": 0.1285500675, \"State\": \"WI\", \"Population\": 56993, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.066, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.024, \"Commute\": 0.356, \"Income\": 36392, \"Gini\": 0.311, \"Share01\": 7.72, \"Gini_99\": 0.233, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.83, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.446, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.266, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.01, \"Social_capital\": 1.572, \"Religious\": 0.522, \"Violent_crime\": 0.0, \"Single_mothers\": 0.163, \"Divorced\": 0.101, \"Married\": 0.601, \"Longitude\": -92.5343780517578, \"Latitude\": 45.7065849304199}, {\"ID\": 21201, \"Name\": \"Hutchinson\", \"Mobility\": 0.1770657599, \"State\": \"MN\", \"Population\": 72898, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.464, \"Income\": 37753, \"Gini\": 0.272, \"Share01\": 6.513, \"Gini_99\": 0.207, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3364.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 5.951, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.678, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.305, \"Chinese_imports\": 8.387, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.023, \"Foreign_born\": 0.019, \"Social_capital\": 1.706, \"Religious\": 0.791, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.068, \"Married\": 0.623, \"Longitude\": -94.2248153686523, \"Latitude\": 44.8072204589844}, {\"ID\": 21202, \"Name\": \"Redwood Falls\", \"Mobility\": 0.1971831024, \"State\": \"MN\", \"Population\": 33969, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.098, \"Seg_income\": 0.005, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.571, \"Income\": 37685, \"Gini\": 0.285, \"Share01\": 7.039, \"Gini_99\": 0.214, \"Middle_class\": 0.689, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2928.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.256, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.455, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 2.83, \"Religious\": 0.874, \"Violent_crime\": 0.002, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.615, \"Longitude\": -95.0502319335938, \"Latitude\": 44.5783004760742}, {\"ID\": 21301, \"Name\": \"Mankato\", \"Mobility\": 0.1263440847, \"State\": \"MN\", \"Population\": 149925, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.113, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.036, \"Commute\": 0.563, \"Income\": 34778, \"Gini\": 0.303, \"Share01\": 10.199, \"Gini_99\": 0.201, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2663.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.464, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 6.834, \"HS_dropout\": -0.014, \"Colleges\": 0.04, \"Tuition\": 5858.0, \"Graduation\": 0.121, \"Labor_force_participation\": 0.717, \"Manufacturing\": 0.216, \"Chinese_imports\": 0.989, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": 2.004, \"Religious\": 0.701, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.067, \"Married\": 0.552, \"Longitude\": -94.4642868041992, \"Latitude\": 44.210090637207}, {\"ID\": 21302, \"Name\": \"Owatonna\", \"Mobility\": 0.137931034, \"State\": \"MN\", \"Population\": 109871, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.085, \"Seg_income\": 0.025, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.027, \"Commute\": 0.544, \"Income\": 35164, \"Gini\": 0.28, \"Share01\": 8.304, \"Gini_99\": 0.197, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2862.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.047, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 6.546, \"HS_dropout\": 0.002, \"Colleges\": 0.027, \"Tuition\": 20533.0, \"Graduation\": 0.454, \"Labor_force_participation\": 0.705, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.021, \"Foreign_born\": 0.038, \"Social_capital\": 1.71, \"Religious\": 0.726, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.08, \"Married\": 0.579, \"Longitude\": -93.3868789672852, \"Latitude\": 44.1446380615234}, {\"ID\": 21400, \"Name\": \"St. Cloud\", \"Mobility\": 0.1268896013, \"State\": \"MN\", \"Population\": 254139, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.094, \"Seg_income\": 0.056, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.053, \"Commute\": 0.398, \"Income\": 35324, \"Gini\": 0.318, \"Share01\": 9.355, \"Gini_99\": 0.224, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2480.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.503, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.546, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 6714.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.732, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.79, \"Teenage_labor\": 0.006, \"Migration_in\": 0.038, \"Migration_out\": 0.026, \"Foreign_born\": 0.019, \"Social_capital\": 0.717, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.071, \"Married\": 0.569, \"Longitude\": -94.0343246459961, \"Latitude\": 45.5808372497559}, {\"ID\": 21501, \"Name\": \"Minneapolis\", \"Mobility\": 0.0852011293, \"State\": \"MN\", \"Population\": 2904389, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.193, \"Seg_income\": 0.104, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.104, \"Commute\": 0.264, \"Income\": 47071, \"Gini\": 0.375, \"Share01\": 15.617, \"Gini_99\": 0.219, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 3365.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 8.069, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 0.449, \"HS_dropout\": 0.012, \"Colleges\": 0.016, \"Tuition\": 6501.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.743, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.04, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.072, \"Social_capital\": 1.348, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.093, \"Married\": 0.549, \"Longitude\": -93.2317886352539, \"Latitude\": 45.0522193908691}, {\"ID\": 21502, \"Name\": \"Pine City\", \"Mobility\": 0.1096979305, \"State\": \"MN\", \"Population\": 41526, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.099, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.342, \"Income\": 32880, \"Gini\": 0.313, \"Share01\": 6.585, \"Gini_99\": 0.247, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2762.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.613, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 2.736, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 2240.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.71, \"Teenage_labor\": 0.006, \"Migration_in\": 0.037, \"Migration_out\": 0.026, \"Foreign_born\": 0.011, \"Social_capital\": 0.996, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.103, \"Married\": 0.588, \"Longitude\": -92.7871551513672, \"Latitude\": 45.988410949707}, {\"ID\": 21600, \"Name\": \"Brainerd\", \"Mobility\": 0.0842745453, \"State\": \"MN\", \"Population\": 141542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.226, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.02, \"Commute\": 0.42, \"Income\": 35545, \"Gini\": 0.396, \"Share01\": 9.384, \"Gini_99\": 0.302, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3062.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.687, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 9.205, \"HS_dropout\": 0.018, \"Colleges\": 0.021, \"Tuition\": 2234.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.633, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 1.698, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.097, \"Married\": 0.61, \"Longitude\": -94.1722030639648, \"Latitude\": 46.6966896057129}, {\"ID\": 21701, \"Name\": \"Rochester\", \"Mobility\": 0.1421598494, \"State\": \"MN\", \"Population\": 228867, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.112, \"Seg_income\": 0.061, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.072, \"Commute\": 0.469, \"Income\": 42380, \"Gini\": 0.338, \"Share01\": 12.408, \"Gini_99\": 0.214, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3284.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.66, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 7.357, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1931.0, \"Graduation\": -0.23, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.168, \"Chinese_imports\": 7.66, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.049, \"Social_capital\": 2.063, \"Religious\": 0.708, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.079, \"Married\": 0.613, \"Longitude\": -92.4435501098633, \"Latitude\": 44.2314186096191}, {\"ID\": 21702, \"Name\": \"Austin\", \"Mobility\": 0.1177325547, \"State\": \"MN\", \"Population\": 71187, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.039, \"Commute\": 0.555, \"Income\": 38505, \"Gini\": 0.282, \"Share01\": 5.818, \"Gini_99\": 0.224, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 4542.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.479, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 3.989, \"HS_dropout\": 0.012, \"Colleges\": 0.014, \"Tuition\": 2594.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.238, \"Chinese_imports\": 0.804, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 2.541, \"Religious\": 0.758, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -93.0618896484375, \"Latitude\": 43.6721839904785}, {\"ID\": 21801, \"Name\": \"Mason City\", \"Mobility\": 0.1265984625, \"State\": \"IA\", \"Population\": 78179, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.032, \"Seg_income\": 0.016, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.58, \"Income\": 36400, \"Gini\": 0.321, \"Share01\": 9.048, \"Gini_99\": 0.23, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2124.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.795, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.24, \"HS_dropout\": -0.026, \"Colleges\": 0.038, \"Tuition\": 5257.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.229, \"Chinese_imports\": 2.315, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": 2.127, \"Religious\": 0.724, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.091, \"Married\": 0.59, \"Longitude\": -93.4568328857422, \"Latitude\": 43.2174186706543}, {\"ID\": 21802, \"Name\": \"Decorah\", \"Mobility\": 0.1657142788, \"State\": \"IA\", \"Population\": 72111, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.542, \"Income\": 34000, \"Gini\": 0.303, \"Share01\": 9.119, \"Gini_99\": 0.212, \"Middle_class\": 0.698, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2420.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.926, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 10.219, \"HS_dropout\": -0.025, \"Colleges\": 0.028, \"Tuition\": 9547.0, \"Graduation\": 0.124, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.213, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 2.055, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.14, \"Divorced\": 0.065, \"Married\": 0.602, \"Longitude\": -92.3541717529297, \"Latitude\": 43.2467956542969}, {\"ID\": 21900, \"Name\": \"Marshalltown\", \"Mobility\": 0.1126346737, \"State\": \"IA\", \"Population\": 113442, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.174, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.033, \"Commute\": 0.535, \"Income\": 35247, \"Gini\": 0.309, \"Share01\": 9.287, \"Gini_99\": 0.216, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2080.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.155, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.602, \"HS_dropout\": -0.015, \"Colleges\": 0.018, \"Tuition\": 11892.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.235, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.035, \"Social_capital\": 1.578, \"Religious\": 0.534, \"Violent_crime\": 0.002, \"Single_mothers\": 0.176, \"Divorced\": 0.098, \"Married\": 0.603, \"Longitude\": -92.8246612548828, \"Latitude\": 41.8321647644043}, {\"ID\": 22001, \"Name\": \"Waterloo\", \"Mobility\": 0.1224658638, \"State\": \"IA\", \"Population\": 222112, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.264, \"Seg_income\": 0.041, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.492, \"Income\": 34720, \"Gini\": 0.348, \"Share01\": 9.541, \"Gini_99\": 0.253, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2231.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.214, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.667, \"HS_dropout\": -0.011, \"Colleges\": 0.027, \"Tuition\": 4904.0, \"Graduation\": 0.164, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.581, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.026, \"Social_capital\": 1.346, \"Religious\": 0.665, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.08, \"Married\": 0.564, \"Longitude\": -92.3131866455078, \"Latitude\": 42.5283737182617}, {\"ID\": 22002, \"Name\": \"Iowa Falls\", \"Mobility\": 0.1357615888, \"State\": \"IA\", \"Population\": 29516, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.083, \"Seg_income\": 0.009, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.007, \"Commute\": 0.561, \"Income\": 36422, \"Gini\": 0.303, \"Share01\": 9.269, \"Gini_99\": 0.21, \"Middle_class\": 0.71, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2495.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.982, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 3.677, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.068, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.164, \"Chinese_imports\": 2.879, \"Teenage_labor\": 0.007, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 2.434, \"Religious\": 0.729, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.071, \"Married\": 0.612, \"Longitude\": -93.2544174194336, \"Latitude\": 42.5082550048828}, {\"ID\": 22100, \"Name\": \"Iowa City\", \"Mobility\": 0.0931849778, \"State\": \"IA\", \"Population\": 203768, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.135, \"Seg_income\": 0.073, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.075, \"Commute\": 0.432, \"Income\": 35558, \"Gini\": 0.368, \"Share01\": 12.979, \"Gini_99\": 0.238, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2221.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.944, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 2.004, \"HS_dropout\": 0.0, \"Colleges\": 0.005, \"Tuition\": 2906.0, \"Graduation\": 0.226, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.767, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.025, \"Foreign_born\": 0.053, \"Social_capital\": 0.859, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.159, \"Divorced\": 0.084, \"Married\": 0.526, \"Longitude\": -91.2396545410156, \"Latitude\": 41.4012718200684}, {\"ID\": 22200, \"Name\": \"Cedar Rapids\", \"Mobility\": 0.1173184365, \"State\": \"IA\", \"Population\": 252901, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.082, \"Seg_income\": 0.056, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.065, \"Commute\": 0.42, \"Income\": 40330, \"Gini\": 0.335, \"Share01\": 10.673, \"Gini_99\": 0.228, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2109.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.973, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.361, \"HS_dropout\": -0.021, \"Colleges\": 0.02, \"Tuition\": 6043.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.775, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.021, \"Social_capital\": 1.241, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.097, \"Married\": 0.581, \"Longitude\": -91.6312637329102, \"Latitude\": 41.9913520812988}, {\"ID\": 22300, \"Name\": \"Ottumwa\", \"Mobility\": 0.1244979948, \"State\": \"IA\", \"Population\": 142385, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.055, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.037, \"Commute\": 0.493, \"Income\": 33871, \"Gini\": 0.379, \"Share01\": 12.797, \"Gini_99\": 0.251, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2149.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.09, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 3.07, \"HS_dropout\": -0.01, \"Colleges\": 0.035, \"Tuition\": 6514.0, \"Graduation\": 0.033, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": 1.372, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.098, \"Married\": 0.595, \"Longitude\": -92.4260864257812, \"Latitude\": 41.0566139221191}, {\"ID\": 22400, \"Name\": \"Sheboygan\", \"Mobility\": 0.1380908191, \"State\": \"WI\", \"Population\": 195533, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.119, \"Seg_income\": 0.042, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.044, \"Commute\": 0.512, \"Income\": 39238, \"Gini\": 0.291, \"Share01\": 11.586, \"Gini_99\": 0.175, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2600.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.612, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.404, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5759.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.369, \"Chinese_imports\": 1.474, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 1.583, \"Religious\": 0.762, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.081, \"Married\": 0.601, \"Longitude\": -87.8510437011719, \"Latitude\": 43.9855575561523}, {\"ID\": 22500, \"Name\": \"Oshkosh\", \"Mobility\": 0.1148549691, \"State\": \"WI\", \"Population\": 549651, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.092, \"Seg_income\": 0.045, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.048, \"Commute\": 0.445, \"Income\": 38576, \"Gini\": 0.305, \"Share01\": 11.035, \"Gini_99\": 0.195, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2262.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.88, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 4.955, \"HS_dropout\": -0.026, \"Colleges\": 0.011, \"Tuition\": 6688.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.702, \"Manufacturing\": 0.278, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.025, \"Social_capital\": 1.228, \"Religious\": 0.697, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.085, \"Married\": 0.599, \"Longitude\": -88.8022613525391, \"Latitude\": 44.002685546875}, {\"ID\": 22601, \"Name\": \"Green Bay\", \"Mobility\": 0.0910990387, \"State\": \"WI\", \"Population\": 310560, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.153, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.073, \"Commute\": 0.427, \"Income\": 38561, \"Gini\": 0.364, \"Share01\": 14.097, \"Gini_99\": 0.223, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2719.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.849, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 3.521, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 7798.0, \"Graduation\": 0.041, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.222, \"Chinese_imports\": 0.429, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.031, \"Social_capital\": 1.209, \"Religious\": 0.72, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.09, \"Married\": 0.579, \"Longitude\": -87.7272033691406, \"Latitude\": 44.8735694885254}, {\"ID\": 22602, \"Name\": \"Shawano\", \"Mobility\": 0.0839002281, \"State\": \"WI\", \"Population\": 65966, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.382, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.447, \"Income\": 33696, \"Gini\": 0.348, \"Share01\": 9.495, \"Gini_99\": 0.253, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.075, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.282, \"HS_dropout\": -0.019, \"Colleges\": 0.03, \"Tuition\": 2640.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.211, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": 0.65, \"Religious\": 0.718, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.088, \"Married\": 0.598, \"Longitude\": -88.799934387207, \"Latitude\": 45.0303230285645}, {\"ID\": 22700, \"Name\": \"Wausau\", \"Mobility\": 0.1244852692, \"State\": \"WI\", \"Population\": 370092, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.098, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.46, \"Income\": 36499, \"Gini\": 0.328, \"Share01\": 10.158, \"Gini_99\": 0.226, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2411.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.103, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.856, \"HS_dropout\": -0.028, \"Colleges\": 0.008, \"Tuition\": 2251.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": 1.048, \"Religious\": 0.689, \"Violent_crime\": 0.0, \"Single_mothers\": 0.145, \"Divorced\": 0.081, \"Married\": 0.6, \"Longitude\": -90.0060272216797, \"Latitude\": 44.5141868591309}, {\"ID\": 22800, \"Name\": \"Eau Claire\", \"Mobility\": 0.1130195782, \"State\": \"WI\", \"Population\": 305307, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.086, \"Seg_income\": 0.033, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.463, \"Income\": 33090, \"Gini\": 0.338, \"Share01\": 9.385, \"Gini_99\": 0.244, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2424.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.462, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 5.725, \"HS_dropout\": -0.022, \"Colleges\": 0.016, \"Tuition\": 3390.0, \"Graduation\": 0.146, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.121, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": 1.244, \"Religious\": 0.597, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.084, \"Married\": 0.551, \"Longitude\": -91.5252075195312, \"Latitude\": 44.4200897216797}, {\"ID\": 22900, \"Name\": \"La Crosse\", \"Mobility\": 0.1181933284, \"State\": \"WI\", \"Population\": 220109, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.079, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.048, \"Commute\": 0.45, \"Income\": 34419, \"Gini\": 0.368, \"Share01\": 11.846, \"Gini_99\": 0.25, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.258, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.665, \"HS_dropout\": -0.026, \"Colleges\": 0.014, \"Tuition\": 3786.0, \"Graduation\": 0.192, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.177, \"Chinese_imports\": 2.7, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 1.105, \"Religious\": 0.641, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.087, \"Married\": 0.556, \"Longitude\": -90.6592102050781, \"Latitude\": 43.8980979919434}, {\"ID\": 23000, \"Name\": \"Monroe\", \"Mobility\": 0.1671388149, \"State\": \"WI\", \"Population\": 116624, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.063, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.461, \"Income\": 33582, \"Gini\": 0.325, \"Share01\": 9.444, \"Gini_99\": 0.231, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2528.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.237, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.85, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 2517.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.2, \"Chinese_imports\": 2.739, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.799, \"Religious\": 0.676, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.078, \"Married\": 0.587, \"Longitude\": -90.5752639770508, \"Latitude\": 42.8756561279297}, {\"ID\": 23100, \"Name\": \"Madison\", \"Mobility\": 0.0921911746, \"State\": \"WI\", \"Population\": 590755, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.14, \"Seg_income\": 0.09, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.083, \"Commute\": 0.365, \"Income\": 40576, \"Gini\": 0.381, \"Share01\": 13.799, \"Gini_99\": 0.243, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.953, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.277, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 3128.0, \"Graduation\": 0.022, \"Labor_force_participation\": 0.733, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.699, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.026, \"Foreign_born\": 0.049, \"Social_capital\": 1.86, \"Religious\": 0.546, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.536, \"Longitude\": -89.6100234985352, \"Latitude\": 43.4425773620605}, {\"ID\": 23200, \"Name\": \"Dubuque\", \"Mobility\": 0.1594827622, \"State\": \"IA\", \"Population\": 163189, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.091, \"Seg_income\": 0.035, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.035, \"Commute\": 0.524, \"Income\": 36443, \"Gini\": 0.338, \"Share01\": 11.587, \"Gini_99\": 0.222, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1773.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.516, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 3.928, \"HS_dropout\": -0.013, \"Colleges\": 0.031, \"Tuition\": 13580.0, \"Graduation\": 0.136, \"Labor_force_participation\": 0.687, \"Manufacturing\": 0.192, \"Chinese_imports\": 4.49, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 1.147, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.079, \"Married\": 0.599, \"Longitude\": -90.9662704467773, \"Latitude\": 42.7233352661133}, {\"ID\": 23301, \"Name\": \"Charleston\", \"Mobility\": 0.0958677679, \"State\": \"IL\", \"Population\": 101161, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.071, \"Seg_income\": 0.034, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.025, \"Commute\": 0.481, \"Income\": 31206, \"Gini\": 0.352, \"Share01\": 6.921, \"Gini_99\": 0.283, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1503.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.034, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 9.104, \"HS_dropout\": 0.016, \"Colleges\": 0.02, \"Tuition\": 2968.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.223, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 0.609, \"Religious\": 0.456, \"Violent_crime\": null, \"Single_mothers\": 0.187, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -87.8572311401367, \"Latitude\": 39.4560966491699}, {\"ID\": 23302, \"Name\": \"Douglas\", \"Mobility\": 0.1015452519, \"State\": \"IL\", \"Population\": 101195, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.223, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.018, \"Commute\": 0.485, \"Income\": 31741, \"Gini\": 0.367, \"Share01\": 12.107, \"Gini_99\": 0.246, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1491.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.165, \"Student_teacher_ratio\": 18.5, \"Test_scores\": 7.493, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 5275.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.008, \"Social_capital\": 1.223, \"Religious\": 0.621, \"Violent_crime\": null, \"Single_mothers\": 0.163, \"Divorced\": 0.098, \"Married\": 0.604, \"Longitude\": -88.233268737793, \"Latitude\": 38.9690818786621}, {\"ID\": 23400, \"Name\": \"Bloomington\", \"Mobility\": 0.0845864639, \"State\": \"IL\", \"Population\": 206909, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.098, \"Seg_income\": 0.071, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.082, \"Commute\": 0.496, \"Income\": 37177, \"Gini\": 0.339, \"Share01\": 9.715, \"Gini_99\": 0.241, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1666.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.954, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.534, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 5640.0, \"Graduation\": 0.175, \"Labor_force_participation\": 0.7, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.485, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.028, \"Social_capital\": 0.565, \"Religious\": 0.479, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.092, \"Married\": 0.552, \"Longitude\": -88.8387069702148, \"Latitude\": 40.5317306518555}, {\"ID\": 23500, \"Name\": \"Decatur\", \"Mobility\": 0.0677927956, \"State\": \"IL\", \"Population\": 382083, \"Urban\": 1, \"Black\": 0.095, \"Seg_racial\": 0.23, \"Seg_income\": 0.099, \"Seg_poverty\": 0.116, \"Seg_affluence\": 0.082, \"Commute\": 0.451, \"Income\": 34871, \"Gini\": 0.402, \"Share01\": 11.171, \"Gini_99\": 0.29, \"Middle_class\": 0.562, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1607.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.526, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 2.445, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 4872.0, \"Graduation\": 0.309, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.145, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.511, \"Religious\": 0.477, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.093, \"Married\": 0.525, \"Longitude\": -88.5191116333008, \"Latitude\": 39.9406585693359}, {\"ID\": 23600, \"Name\": \"Burlington\", \"Mobility\": 0.1022797301, \"State\": \"IA\", \"Population\": 136489, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.092, \"Seg_income\": 0.026, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.024, \"Commute\": 0.502, \"Income\": 35038, \"Gini\": 0.318, \"Share01\": 8.255, \"Gini_99\": 0.235, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1881.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.634, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 1.478, \"HS_dropout\": -0.008, \"Colleges\": 0.015, \"Tuition\": 3922.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.23, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 1.368, \"Religious\": 0.503, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.108, \"Married\": 0.584, \"Longitude\": -91.4277954101562, \"Latitude\": 40.6801147460938}, {\"ID\": 23700, \"Name\": \"Galesburg\", \"Mobility\": 0.0885935798, \"State\": \"IL\", \"Population\": 145734, \"Urban\": 0, \"Black\": 0.043, \"Seg_racial\": 0.176, \"Seg_income\": 0.038, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.027, \"Commute\": 0.509, \"Income\": 30827, \"Gini\": 0.402, \"Share01\": 15.531, \"Gini_99\": 0.247, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.541, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.43, \"HS_dropout\": 0.031, \"Colleges\": 0.034, \"Tuition\": 6384.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.16, \"Chinese_imports\": 1.161, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 0.751, \"Religious\": 0.399, \"Violent_crime\": null, \"Single_mothers\": 0.211, \"Divorced\": 0.108, \"Married\": 0.556, \"Longitude\": -90.2203521728516, \"Latitude\": 40.5695343017578}, {\"ID\": 23801, \"Name\": \"Davenport\", \"Mobility\": 0.0809443519, \"State\": \"IL\", \"Population\": 382351, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.164, \"Seg_income\": 0.058, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.061, \"Commute\": 0.393, \"Income\": 37759, \"Gini\": 0.37, \"Share01\": 9.948, \"Gini_99\": 0.271, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1921.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.271, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.599, \"HS_dropout\": -0.001, \"Colleges\": 0.024, \"Tuition\": 7381.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.179, \"Chinese_imports\": 1.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.033, \"Social_capital\": 0.735, \"Religious\": 0.508, \"Violent_crime\": 0.005, \"Single_mothers\": 0.226, \"Divorced\": 0.108, \"Married\": 0.562, \"Longitude\": -90.5065460205078, \"Latitude\": 41.4243698120117}, {\"ID\": 23802, \"Name\": \"Clinton\", \"Mobility\": 0.1138790026, \"State\": \"IA\", \"Population\": 70445, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.075, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.03, \"Commute\": 0.479, \"Income\": 34146, \"Gini\": 0.306, \"Share01\": 7.263, \"Gini_99\": 0.234, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2139.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.098, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 5.201, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 13200.0, \"Graduation\": -0.098, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 1.108, \"Religious\": 0.593, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.096, \"Married\": 0.586, \"Longitude\": -90.4713363647461, \"Latitude\": 42.0050468444824}, {\"ID\": 23900, \"Name\": \"Peoria\", \"Mobility\": 0.0717817843, \"State\": \"IL\", \"Population\": 529703, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.27, \"Seg_income\": 0.057, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.055, \"Commute\": 0.394, \"Income\": 38842, \"Gini\": 0.368, \"Share01\": 10.056, \"Gini_99\": 0.268, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1715.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.831, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.328, \"HS_dropout\": 0.011, \"Colleges\": 0.009, \"Tuition\": 8252.0, \"Graduation\": 0.032, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.022, \"Social_capital\": 0.946, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.584, \"Longitude\": -89.7173233032227, \"Latitude\": 40.542537689209}, {\"ID\": 24000, \"Name\": \"Kenosha\", \"Mobility\": 0.0691956431, \"State\": \"WI\", \"Population\": 584474, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.177, \"Seg_income\": 0.051, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.052, \"Commute\": 0.384, \"Income\": 39333, \"Gini\": 0.351, \"Share01\": 11.463, \"Gini_99\": 0.237, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2515.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.816, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -4.058, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 5669.0, \"Graduation\": 0.042, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.276, \"Chinese_imports\": 1.462, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.043, \"Social_capital\": 0.653, \"Religious\": 0.53, \"Violent_crime\": 0.0, \"Single_mothers\": 0.212, \"Divorced\": 0.1, \"Married\": 0.566, \"Longitude\": -88.4470291137695, \"Latitude\": 42.671745300293}, {\"ID\": 24100, \"Name\": \"Milwaukee\", \"Mobility\": 0.0445706695, \"State\": \"WI\", \"Population\": 1660659, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.436, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.118, \"Commute\": 0.312, \"Income\": 42464, \"Gini\": 0.428, \"Share01\": 14.82, \"Gini_99\": 0.28, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2977.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.74, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -4.162, \"HS_dropout\": 0.001, \"Colleges\": 0.009, \"Tuition\": 9352.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.171, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.051, \"Social_capital\": 1.121, \"Religious\": 0.561, \"Violent_crime\": 0.0, \"Single_mothers\": 0.245, \"Divorced\": 0.092, \"Married\": 0.532, \"Longitude\": -88.3217849731445, \"Latitude\": 43.2040901184082}, {\"ID\": 24200, \"Name\": \"Bourbonnais\", \"Mobility\": 0.0730964467, \"State\": \"IL\", \"Population\": 135167, \"Urban\": 1, \"Black\": 0.12, \"Seg_racial\": 0.337, \"Seg_income\": 0.045, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.045, \"Commute\": 0.41, \"Income\": 35849, \"Gini\": 0.355, \"Share01\": 8.544, \"Gini_99\": 0.27, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.785, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 3.27, \"HS_dropout\": 0.002, \"Colleges\": 0.015, \"Tuition\": 9454.0, \"Graduation\": 0.062, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.166, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.017, \"Foreign_born\": 0.032, \"Social_capital\": 0.25, \"Religious\": 0.497, \"Violent_crime\": null, \"Single_mothers\": 0.221, \"Divorced\": 0.093, \"Married\": 0.563, \"Longitude\": -87.9118118286133, \"Latitude\": 40.9501686096191}, {\"ID\": 24300, \"Name\": \"Chicago\", \"Mobility\": 0.0649292618, \"State\": \"IL\", \"Population\": 8183799, \"Urban\": 1, \"Black\": 0.188, \"Seg_racial\": 0.431, \"Seg_income\": 0.115, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.12, \"Commute\": 0.201, \"Income\": 45757, \"Gini\": 0.521, \"Share01\": 19.375, \"Gini_99\": 0.328, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 6.148, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -7.514, \"HS_dropout\": 0.035, \"Colleges\": 0.01, \"Tuition\": 9793.0, \"Graduation\": -0.143, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.184, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.018, \"Foreign_born\": 0.174, \"Social_capital\": -0.533, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.083, \"Married\": 0.521, \"Longitude\": -88.1881637573242, \"Latitude\": 41.7979202270508}, {\"ID\": 24400, \"Name\": \"Rockford\", \"Mobility\": 0.0735386536, \"State\": \"IL\", \"Population\": 622573, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.205, \"Seg_income\": 0.076, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.076, \"Commute\": 0.4, \"Income\": 37848, \"Gini\": 0.343, \"Share01\": 8.898, \"Gini_99\": 0.254, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.363, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -1.328, \"HS_dropout\": 0.008, \"Colleges\": 0.016, \"Tuition\": 6199.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.954, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": 0.663, \"Religious\": 0.529, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.1, \"Married\": 0.571, \"Longitude\": -89.5600738525391, \"Latitude\": 41.9806289672852}, {\"ID\": 24500, \"Name\": \"Rolla\", \"Mobility\": 0.0797373354, \"State\": \"MO\", \"Population\": 111509, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.155, \"Seg_income\": 0.036, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.035, \"Commute\": 0.463, \"Income\": 26402, \"Gini\": 0.365, \"Share01\": 8.074, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 2.588, \"HS_dropout\": -0.008, \"Colleges\": 0.018, \"Tuition\": 4410.0, \"Graduation\": 0.289, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.129, \"Chinese_imports\": 4.171, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.632, \"Religious\": 0.481, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.089, \"Married\": 0.597, \"Longitude\": -91.3987579345703, \"Latitude\": 37.5368385314941}, {\"ID\": 24600, \"Name\": \"Farmington\", \"Mobility\": 0.0852446482, \"State\": \"MO\", \"Population\": 137456, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.104, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.022, \"Commute\": 0.368, \"Income\": 27773, \"Gini\": 0.384, \"Share01\": 10.866, \"Gini_99\": 0.276, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1358.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.863, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 0.327, \"HS_dropout\": -0.004, \"Colleges\": 0.007, \"Tuition\": 1800.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.204, \"Chinese_imports\": 5.628, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.008, \"Social_capital\": -0.126, \"Religious\": 0.56, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -90.2458267211914, \"Latitude\": 37.7623176574707}, {\"ID\": 24701, \"Name\": \"St. Louis\", \"Mobility\": 0.0505231395, \"State\": \"MO\", \"Population\": 2325609, \"Urban\": 1, \"Black\": 0.195, \"Seg_racial\": 0.41, \"Seg_income\": 0.113, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.117, \"Commute\": 0.241, \"Income\": 42680, \"Gini\": 0.471, \"Share01\": 15.666, \"Gini_99\": 0.314, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1896.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.356, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -5.332, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 9685.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.8, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.033, \"Social_capital\": 0.432, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.103, \"Married\": 0.53, \"Longitude\": -90.7478713989258, \"Latitude\": 38.4731979370117}, {\"ID\": 24702, \"Name\": \"Mexico\", \"Mobility\": 0.0756756738, \"State\": \"MO\", \"Population\": 37989, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.103, \"Seg_income\": 0.011, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.012, \"Commute\": 0.463, \"Income\": 30615, \"Gini\": 0.349, \"Share01\": 8.936, \"Gini_99\": 0.26, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1301.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.536, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.478, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.228, \"Chinese_imports\": 7.134, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.008, \"Social_capital\": 0.882, \"Religious\": 0.66, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.109, \"Married\": 0.57, \"Longitude\": -91.6614379882812, \"Latitude\": 39.0269927978516}, {\"ID\": 24801, \"Name\": \"Jacksonville\", \"Mobility\": 0.0911504403, \"State\": \"IL\", \"Population\": 84748, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.219, \"Seg_income\": 0.029, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.034, \"Commute\": 0.472, \"Income\": 30777, \"Gini\": 0.34, \"Share01\": 8.008, \"Gini_99\": 0.26, \"Middle_class\": 0.634, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1361.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.401, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 2.465, \"HS_dropout\": 0.007, \"Colleges\": 0.024, \"Tuition\": 11828.0, \"Graduation\": 0.248, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.233, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.02, \"Social_capital\": 1.224, \"Religious\": 0.582, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.105, \"Married\": 0.598, \"Longitude\": -90.4029922485352, \"Latitude\": 39.7390823364258}, {\"ID\": 24802, \"Name\": \"Springfield\", \"Mobility\": 0.0673715994, \"State\": \"IL\", \"Population\": 267992, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.23, \"Seg_income\": 0.087, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.097, \"Commute\": 0.367, \"Income\": 40182, \"Gini\": 0.429, \"Share01\": 17.164, \"Gini_99\": 0.257, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2261.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.01, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 0.902, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5550.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.191, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 1.834, \"Religious\": 0.566, \"Violent_crime\": 0.002, \"Single_mothers\": 0.228, \"Divorced\": 0.118, \"Married\": 0.556, \"Longitude\": -89.5787887573242, \"Latitude\": 39.9170379638672}, {\"ID\": 24900, \"Name\": \"Edwardsville\", \"Mobility\": 0.0872936994, \"State\": \"IL\", \"Population\": 382997, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.21, \"Seg_income\": 0.045, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.054, \"Commute\": 0.336, \"Income\": 36421, \"Gini\": 0.367, \"Share01\": 11.462, \"Gini_99\": 0.253, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.466, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 2.163, \"HS_dropout\": 0.009, \"Colleges\": 0.013, \"Tuition\": 4505.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.483, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": 0.59, \"Religious\": 0.507, \"Violent_crime\": null, \"Single_mothers\": 0.204, \"Divorced\": 0.104, \"Married\": 0.573, \"Longitude\": -90.1977081298828, \"Latitude\": 39.0804786682129}, {\"ID\": 25000, \"Name\": \"Quincy\", \"Mobility\": 0.0896204859, \"State\": \"IL\", \"Population\": 152421, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.1, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.496, \"Income\": 31869, \"Gini\": 0.364, \"Share01\": 8.906, \"Gini_99\": 0.275, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1588.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 2.451, \"HS_dropout\": -0.001, \"Colleges\": 0.039, \"Tuition\": 8819.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 1.277, \"Religious\": 0.579, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.102, \"Married\": 0.585, \"Longitude\": -91.1898193359375, \"Latitude\": 39.625057220459}, {\"ID\": 25101, \"Name\": \"Mountain Home\", \"Mobility\": 0.0895061716, \"State\": \"AR\", \"Population\": 64068, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.007, \"Seg_income\": 0.005, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.002, \"Commute\": 0.393, \"Income\": 32623, \"Gini\": 0.464, \"Share01\": 12.33, \"Gini_99\": 0.34, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 992.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.895, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.828, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 1200.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.417, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.44, \"Religious\": 0.433, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.104, \"Married\": 0.653, \"Longitude\": -92.4921569824219, \"Latitude\": 36.2963218688965}, {\"ID\": 25102, \"Name\": \"West Plains\", \"Mobility\": 0.0815548748, \"State\": \"MO\", \"Population\": 90551, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 26979, \"Gini\": 0.412, \"Share01\": 9.392, \"Gini_99\": 0.318, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.008, \"Local_gov_spending\": 1252.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.706, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 2.757, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 2190.0, \"Graduation\": -0.006, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.204, \"Chinese_imports\": 9.312, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 0.122, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.101, \"Married\": 0.633, \"Longitude\": -91.5573043823242, \"Latitude\": 37.0019378662109}, {\"ID\": 25103, \"Name\": \"Harrison\", \"Mobility\": 0.0997150987, \"State\": \"AR\", \"Population\": 76174, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.12, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.419, \"Income\": 29629, \"Gini\": 0.418, \"Share01\": 9.6, \"Gini_99\": 0.322, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1558.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.871, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.503, \"HS_dropout\": 0.002, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.714, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.03, \"Social_capital\": 0.176, \"Religious\": 0.455, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.114, \"Married\": 0.625, \"Longitude\": -93.2631530761719, \"Latitude\": 36.113468170166}, {\"ID\": 25104, \"Name\": \"Heber Springs\", \"Mobility\": 0.1096006781, \"State\": \"AR\", \"Population\": 51737, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.014, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.364, \"Income\": 32635, \"Gini\": 0.404, \"Share01\": 8.657, \"Gini_99\": 0.318, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 952.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.875, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.815, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.51, \"Manufacturing\": 0.203, \"Chinese_imports\": 3.186, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.446, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.104, \"Married\": 0.657, \"Longitude\": -92.1270904541016, \"Latitude\": 35.7785453796387}, {\"ID\": 25105, \"Name\": \"Batesville\", \"Mobility\": 0.0960288793, \"State\": \"AR\", \"Population\": 64601, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.054, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.029, \"Commute\": 0.375, \"Income\": 29503, \"Gini\": 0.371, \"Share01\": 6.777, \"Gini_99\": 0.304, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1433.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.942, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.831, \"HS_dropout\": 0.001, \"Colleges\": 0.046, \"Tuition\": 4117.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.239, \"Chinese_imports\": 0.574, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.094, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.11, \"Married\": 0.63, \"Longitude\": -91.6276931762695, \"Latitude\": 35.9889717102051}, {\"ID\": 25200, \"Name\": \"Henderson\", \"Mobility\": 0.099227801, \"State\": \"KY\", \"Population\": 151629, \"Urban\": 1, \"Black\": 0.065, \"Seg_racial\": 0.104, \"Seg_income\": 0.033, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.034, \"Commute\": 0.401, \"Income\": 31361, \"Gini\": 0.381, \"Share01\": 7.515, \"Gini_99\": 0.306, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.944, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -2.106, \"HS_dropout\": 0.001, \"Colleges\": 0.013, \"Tuition\": 1150.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.719, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.009, \"Social_capital\": 0.128, \"Religious\": 0.651, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -87.7652893066406, \"Latitude\": 37.485294342041}, {\"ID\": 25300, \"Name\": \"Union City\", \"Mobility\": 0.073929958, \"State\": \"TN\", \"Population\": 117387, \"Urban\": 0, \"Black\": 0.081, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.014, \"Commute\": 0.403, \"Income\": 30330, \"Gini\": 0.391, \"Share01\": 7.44, \"Gini_99\": 0.316, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.136, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 3.748, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 2492.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.28, \"Chinese_imports\": 4.407, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.017, \"Social_capital\": -0.11, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -89.1215896606445, \"Latitude\": 36.506534576416}, {\"ID\": 25401, \"Name\": \"Paducah\", \"Mobility\": 0.0744777471, \"State\": \"KY\", \"Population\": 138654, \"Urban\": 0, \"Black\": 0.061, \"Seg_racial\": 0.22, \"Seg_income\": 0.053, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.054, \"Commute\": 0.378, \"Income\": 34572, \"Gini\": 0.487, \"Share01\": 16.296, \"Gini_99\": 0.324, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1698.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.039, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.106, \"HS_dropout\": -0.006, \"Colleges\": 0.022, \"Tuition\": 968.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.145, \"Chinese_imports\": 1.741, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.592, \"Religious\": 0.677, \"Violent_crime\": 0.001, \"Single_mothers\": 0.21, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -88.6710662841797, \"Latitude\": 37.0740814208984}, {\"ID\": 25402, \"Name\": \"Murray\", \"Mobility\": 0.0704545453, \"State\": \"KY\", \"Population\": 34177, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.077, \"Seg_income\": 0.041, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.042, \"Commute\": 0.521, \"Income\": 28383, \"Gini\": 0.494, \"Share01\": 14.14, \"Gini_99\": 0.353, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2208.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.148, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.752, \"HS_dropout\": -0.022, \"Colleges\": 0.029, \"Tuition\": 2172.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.177, \"Chinese_imports\": 25.405, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.027, \"Social_capital\": -0.6, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.196, \"Divorced\": 0.084, \"Married\": 0.554, \"Longitude\": -88.1674652099609, \"Latitude\": 36.6015777587891}, {\"ID\": 25500, \"Name\": \"Centralia\", \"Mobility\": 0.0813443735, \"State\": \"IL\", \"Population\": 141040, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.172, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.407, \"Income\": 33265, \"Gini\": 0.351, \"Share01\": 9.007, \"Gini_99\": 0.261, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1687.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.316, \"Student_teacher_ratio\": 20.2, \"Test_scores\": 4.951, \"HS_dropout\": 0.009, \"Colleges\": 0.014, \"Tuition\": 5554.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.754, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.009, \"Social_capital\": 0.998, \"Religious\": 0.649, \"Violent_crime\": null, \"Single_mothers\": 0.182, \"Divorced\": 0.097, \"Married\": 0.606, \"Longitude\": -89.072021484375, \"Latitude\": 38.3731422424316}, {\"ID\": 25601, \"Name\": \"Carbondale\", \"Mobility\": 0.0790478364, \"State\": \"IL\", \"Population\": 265022, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.218, \"Seg_income\": 0.05, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.038, \"Commute\": 0.418, \"Income\": 28913, \"Gini\": 0.397, \"Share01\": 9.027, \"Gini_99\": 0.307, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1606.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.463, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 3.485, \"HS_dropout\": -0.004, \"Colleges\": 0.011, \"Tuition\": 2760.0, \"Graduation\": 0.017, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.629, \"Religious\": 0.524, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.559, \"Longitude\": -89.4100799560547, \"Latitude\": 37.5473556518555}, {\"ID\": 25602, \"Name\": \"Harrisburg\", \"Mobility\": 0.1121372059, \"State\": \"IL\", \"Population\": 37978, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.104, \"Seg_income\": 0.02, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.429, \"Income\": 29680, \"Gini\": 0.399, \"Share01\": 9.9, \"Gini_99\": 0.3, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1782.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.601, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.534, \"HS_dropout\": 0.009, \"Colleges\": 0.026, \"Tuition\": 6048.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.533, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.316, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.206, \"Religious\": 0.525, \"Violent_crime\": null, \"Single_mothers\": 0.199, \"Divorced\": 0.111, \"Married\": 0.582, \"Longitude\": -88.2475967407227, \"Latitude\": 37.704460144043}, {\"ID\": 25701, \"Name\": \"Cape Girardeau\", \"Mobility\": 0.0600515455, \"State\": \"MO\", \"Population\": 184036, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.203, \"Seg_income\": 0.042, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.038, \"Commute\": 0.436, \"Income\": 30141, \"Gini\": 0.453, \"Share01\": 11.114, \"Gini_99\": 0.342, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1658.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.671, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.501, \"HS_dropout\": 0.017, \"Colleges\": 0.016, \"Tuition\": 3329.0, \"Graduation\": 0.16, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.179, \"Chinese_imports\": 3.373, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 0.344, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.225, \"Divorced\": 0.101, \"Married\": 0.576, \"Longitude\": -89.6321792602539, \"Latitude\": 36.898811340332}, {\"ID\": 25702, \"Name\": \"Poplar Bluff\", \"Mobility\": 0.0668257773, \"State\": \"MO\", \"Population\": 73576, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.112, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.031, \"Commute\": 0.401, \"Income\": 28334, \"Gini\": 0.456, \"Share01\": 9.572, \"Gini_99\": 0.36, \"Middle_class\": 0.481, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1175.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.817, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -4.995, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 2484.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.204, \"Chinese_imports\": 1.071, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.009, \"Foreign_born\": 0.011, \"Social_capital\": -0.443, \"Religious\": 0.338, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.594, \"Longitude\": -90.4970626831055, \"Latitude\": 36.8894805908203}, {\"ID\": 25800, \"Name\": \"Blytheville\", \"Mobility\": 0.0514018685, \"State\": \"AR\", \"Population\": 105181, \"Urban\": 0, \"Black\": 0.238, \"Seg_racial\": 0.228, \"Seg_income\": 0.033, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.035, \"Commute\": 0.475, \"Income\": 26795, \"Gini\": 0.448, \"Share01\": 7.453, \"Gini_99\": 0.374, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1499.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.637, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.888, \"HS_dropout\": 0.029, \"Colleges\": 0.01, \"Tuition\": 1152.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.287, \"Chinese_imports\": 3.356, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": -1.007, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.306, \"Divorced\": 0.111, \"Married\": 0.539, \"Longitude\": -89.9065399169922, \"Latitude\": 36.0380096435547}, {\"ID\": 25900, \"Name\": \"Jonesboro\", \"Mobility\": 0.0810322613, \"State\": \"AR\", \"Population\": 198671, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.146, \"Seg_income\": 0.038, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.043, \"Commute\": 0.442, \"Income\": 29115, \"Gini\": 0.429, \"Share01\": 9.279, \"Gini_99\": 0.336, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1341.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.329, \"HS_dropout\": 0.003, \"Colleges\": 0.025, \"Tuition\": 2432.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.247, \"Chinese_imports\": 5.676, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.394, \"Religious\": 0.627, \"Violent_crime\": 0.001, \"Single_mothers\": 0.198, \"Divorced\": 0.111, \"Married\": 0.591, \"Longitude\": -90.7039337158203, \"Latitude\": 36.1401557922363}, {\"ID\": 26001, \"Name\": \"Roseau\", \"Mobility\": 0.1875, \"State\": \"MN\", \"Population\": 20860, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.104, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.533, \"Income\": 33398, \"Gini\": 0.411, \"Share01\": 21.65, \"Gini_99\": 0.194, \"Middle_class\": 0.715, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 5152.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.615, \"Student_teacher_ratio\": 17.0, \"Test_scores\": 10.027, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.4, \"Chinese_imports\": 0.645, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.028, \"Social_capital\": 1.191, \"Religious\": 0.671, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.626, \"Longitude\": -95.3607406616211, \"Latitude\": 48.7619743347168}, {\"ID\": 26002, \"Name\": \"Duluth\", \"Mobility\": 0.0891148299, \"State\": \"MN\", \"Population\": 286544, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.098, \"Seg_income\": 0.061, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.056, \"Commute\": 0.437, \"Income\": 34404, \"Gini\": 0.322, \"Share01\": 7.461, \"Gini_99\": 0.247, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3445.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.838, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.505, \"HS_dropout\": 0.004, \"Colleges\": 0.031, \"Tuition\": 4584.0, \"Graduation\": 0.053, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.408, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.018, \"Social_capital\": 2.081, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.545, \"Longitude\": -92.2538833618164, \"Latitude\": 47.5231513977051}, {\"ID\": 26003, \"Name\": \"West Cook UT\", \"Mobility\": 0.1016949117, \"State\": \"MN\", \"Population\": 5168, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.037, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.588, \"Income\": 39706, \"Gini\": 0.336, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4652.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.391, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.05, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.007, \"Foreign_born\": 0.023, \"Social_capital\": 3.963, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.103, \"Married\": 0.599, \"Longitude\": -90.2893295288086, \"Latitude\": 48.0081367492676}, {\"ID\": 26004, \"Name\": \"International Falls\", \"Mobility\": 0.174129352, \"State\": \"MN\", \"Population\": 14355, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.006, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.618, \"Income\": 37115, \"Gini\": 0.352, \"Share01\": 12.528, \"Gini_99\": 0.227, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3124.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.259, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -0.029, \"HS_dropout\": 0.009, \"Colleges\": 0.139, \"Tuition\": 6322.0, \"Graduation\": -0.194, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.708, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.058, \"Social_capital\": 1.09, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.103, \"Married\": 0.584, \"Longitude\": -93.7525177001953, \"Latitude\": 48.3436889648438}, {\"ID\": 26101, \"Name\": \"Moberly\", \"Mobility\": 0.1013727561, \"State\": \"MO\", \"Population\": 56535, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.087, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.468, \"Income\": 29088, \"Gini\": 0.369, \"Share01\": 12.936, \"Gini_99\": 0.24, \"Middle_class\": 0.642, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.158, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -2.659, \"HS_dropout\": 0.006, \"Colleges\": 0.035, \"Tuition\": 2114.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.468, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.008, \"Social_capital\": 0.694, \"Religious\": 0.64, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.11, \"Married\": 0.583, \"Longitude\": -92.274787902832, \"Latitude\": 39.6471519470215}, {\"ID\": 26102, \"Name\": \"Marshall\", \"Mobility\": 0.0948379338, \"State\": \"MO\", \"Population\": 48599, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.032, \"Commute\": 0.559, \"Income\": 31245, \"Gini\": 0.352, \"Share01\": 8.005, \"Gini_99\": 0.272, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.395, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -2.981, \"HS_dropout\": 0.002, \"Colleges\": 0.021, \"Tuition\": 11500.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.541, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 0.857, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.101, \"Married\": 0.58, \"Longitude\": -93.2859725952148, \"Latitude\": 39.3893966674805}, {\"ID\": 26103, \"Name\": \"Brookfield\", \"Mobility\": 0.1119221374, \"State\": \"MO\", \"Population\": 22192, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.076, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.475, \"Income\": 31879, \"Gini\": 0.309, \"Share01\": 6.202, \"Gini_99\": 0.247, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1326.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -0.06, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.006, \"Social_capital\": 1.201, \"Religious\": 0.687, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -93.1195678710938, \"Latitude\": 39.5413818359375}, {\"ID\": 26104, \"Name\": \"Trenton\", \"Mobility\": 0.1083333343, \"State\": \"MO\", \"Population\": 14189, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.03, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.497, \"Income\": 30864, \"Gini\": 0.342, \"Share01\": 7.244, \"Gini_99\": 0.27, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1939.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 1.442, \"HS_dropout\": 0.018, \"Colleges\": 0.07, \"Tuition\": 1860.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.179, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.201, \"Religious\": 0.749, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.099, \"Married\": 0.602, \"Longitude\": -93.5600128173828, \"Latitude\": 40.2886543273926}, {\"ID\": 26105, \"Name\": \"Polk\", \"Mobility\": 0.0871369317, \"State\": \"MO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.171, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.405, \"Income\": 28324, \"Gini\": 0.312, \"Share01\": 6.607, \"Gini_99\": 0.246, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.69, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -3.398, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.25, \"Chinese_imports\": 0.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.036, \"Social_capital\": 0.206, \"Religious\": 0.47, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.102, \"Married\": 0.61, \"Longitude\": -92.8665390014648, \"Latitude\": 40.3893051147461}, {\"ID\": 26106, \"Name\": \"Centerville\", \"Mobility\": 0.1467181444, \"State\": \"IA\", \"Population\": 29873, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.031, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.004, \"Commute\": 0.517, \"Income\": 30736, \"Gini\": 0.333, \"Share01\": 8.216, \"Gini_99\": 0.251, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1997.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.671, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 4.502, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.185, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.926, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.095, \"Married\": 0.608, \"Longitude\": -93.1888275146484, \"Latitude\": 40.8051719665527}, {\"ID\": 26107, \"Name\": \"Kirksville\", \"Mobility\": 0.1134380475, \"State\": \"MO\", \"Population\": 38491, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.031, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.025, \"Commute\": 0.575, \"Income\": 26767, \"Gini\": 0.433, \"Share01\": 11.805, \"Gini_99\": 0.315, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1337.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.052, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.694, \"HS_dropout\": 0.002, \"Colleges\": 0.026, \"Tuition\": 3680.0, \"Graduation\": 0.346, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.117, \"Chinese_imports\": 3.354, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": 0.836, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.078, \"Married\": 0.506, \"Longitude\": -92.505500793457, \"Latitude\": 40.3530540466309}, {\"ID\": 26201, \"Name\": \"Bismarck\", \"Mobility\": 0.186741367, \"State\": \"ND\", \"Population\": 114739, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.038, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.047, \"Commute\": 0.541, \"Income\": 35396, \"Gini\": 0.333, \"Share01\": 12.604, \"Gini_99\": 0.207, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2035.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.835, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 5.047, \"HS_dropout\": -0.017, \"Colleges\": 0.026, \"Tuition\": 3665.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.06, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 2.551, \"Religious\": 0.814, \"Violent_crime\": 0.0, \"Single_mothers\": 0.167, \"Divorced\": 0.081, \"Married\": 0.596, \"Longitude\": -101.24137878418, \"Latitude\": 46.9527359008789}, {\"ID\": 26202, \"Name\": \"East Grant UT\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2841, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.005, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.006, \"Commute\": 0.552, \"Income\": 30352, \"Gini\": 0.202, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1741.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 11.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.072, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.016, \"Social_capital\": 0.463, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.091, \"Divorced\": 0.048, \"Married\": 0.651, \"Longitude\": -101.601203918457, \"Latitude\": 46.174503326416}, {\"ID\": 26203, \"Name\": \"Linton\", \"Mobility\": 0.2989130318, \"State\": \"ND\", \"Population\": 10029, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.009, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.646, \"Income\": 34910, \"Gini\": 0.261, \"Share01\": 4.489, \"Gini_99\": 0.216, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1456.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.665, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 13.552, \"HS_dropout\": -0.043, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.005, \"Migration_in\": 0.0, \"Migration_out\": 0.012, \"Foreign_born\": 0.006, \"Social_capital\": 2.661, \"Religious\": 1.024, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.04, \"Married\": 0.655, \"Longitude\": -100.160751342773, \"Latitude\": 46.3125801086426}, {\"ID\": 26204, \"Name\": \"Steele\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2753, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.013, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.54, \"Income\": 29680, \"Gini\": 0.277, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1649.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 7.049, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 2.25, \"Religious\": 0.802, \"Violent_crime\": 0.0, \"Single_mothers\": 0.089, \"Divorced\": 0.048, \"Married\": 0.625, \"Longitude\": -99.8482208251953, \"Latitude\": 46.9510536193848}, {\"ID\": 26301, \"Name\": \"Devils Lake\", \"Mobility\": 0.096474953, \"State\": \"ND\", \"Population\": 22745, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.452, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.022, \"Commute\": 0.627, \"Income\": 32687, \"Gini\": 0.336, \"Share01\": 5.591, \"Gini_99\": 0.28, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1716.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.558, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 0.439, \"HS_dropout\": -0.006, \"Colleges\": 0.088, \"Tuition\": 1628.0, \"Graduation\": 0.013, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 2.389, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.21, \"Divorced\": 0.081, \"Married\": 0.547, \"Longitude\": -98.7287750244141, \"Latitude\": 48.0773315429688}, {\"ID\": 26302, \"Name\": \"Carrington\", \"Mobility\": 0.3333333433, \"State\": \"ND\", \"Population\": 6516, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.044, \"Seg_income\": 0.006, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.004, \"Commute\": 0.656, \"Income\": 36561, \"Gini\": 0.321, \"Share01\": 7.593, \"Gini_99\": 0.245, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1576.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.691, \"HS_dropout\": -0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.076, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": 2.557, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.133, \"Divorced\": 0.056, \"Married\": 0.63, \"Longitude\": -98.8668365478516, \"Latitude\": 47.5969772338867}, {\"ID\": 26303, \"Name\": \"Turtle Mountain UT\", \"Mobility\": 0.0825545192, \"State\": \"ND\", \"Population\": 16550, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.46, \"Seg_income\": 0.018, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.006, \"Commute\": 0.574, \"Income\": 25045, \"Gini\": 0.394, \"Share01\": 7.113, \"Gini_99\": 0.323, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1726.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.415, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -16.988, \"HS_dropout\": 0.048, \"Colleges\": 0.06, \"Tuition\": 1344.0, \"Graduation\": -0.175, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.064, \"Chinese_imports\": 3.066, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 0.425, \"Religious\": 1.019, \"Violent_crime\": 0.0, \"Single_mothers\": 0.332, \"Divorced\": 0.097, \"Married\": 0.478, \"Longitude\": -99.5281753540039, \"Latitude\": 48.6522941589355}, {\"ID\": 26304, \"Name\": \"Minot\", \"Mobility\": 0.2241784036, \"State\": \"ND\", \"Population\": 74541, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.088, \"Seg_income\": 0.03, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.026, \"Commute\": 0.606, \"Income\": 31149, \"Gini\": 0.322, \"Share01\": 8.634, \"Gini_99\": 0.235, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1625.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 8.783, \"HS_dropout\": -0.027, \"Colleges\": 0.027, \"Tuition\": 2021.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.019, \"Social_capital\": 1.237, \"Religious\": 0.614, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.079, \"Married\": 0.591, \"Longitude\": -101.18293762207, \"Latitude\": 48.4435234069824}, {\"ID\": 26305, \"Name\": \"Rugby\", \"Mobility\": 0.219101131, \"State\": \"ND\", \"Population\": 11487, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.019, \"Seg_income\": 0.014, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.02, \"Commute\": 0.665, \"Income\": 33947, \"Gini\": 0.369, \"Share01\": 10.406, \"Gini_99\": 0.265, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1410.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.253, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 12.369, \"HS_dropout\": -0.029, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.007, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 2.379, \"Religious\": 0.838, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.061, \"Married\": 0.63, \"Longitude\": -99.9386520385742, \"Latitude\": 47.8406753540039}, {\"ID\": 26401, \"Name\": \"Ekalaka\", \"Mobility\": 0.2297297269, \"State\": \"SD\", \"Population\": 2713, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.0, \"Commute\": 0.665, \"Income\": 25283, \"Gini\": 0.225, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.055, \"Local_gov_spending\": 2352.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.864, \"Student_teacher_ratio\": 11.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.967, \"Religious\": 0.508, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.074, \"Married\": 0.653, \"Longitude\": -104.398811340332, \"Latitude\": 45.6770401000977}, {\"ID\": 26402, \"Name\": \"Baker\", \"Mobility\": 0.2127659619, \"State\": \"MT\", \"Population\": 2837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.713, \"Income\": 30325, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 4110.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.306, \"Student_teacher_ratio\": 12.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.004, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 1.605, \"Religious\": 0.866, \"Violent_crime\": 0.002, \"Single_mothers\": 0.109, \"Divorced\": 0.072, \"Married\": 0.651, \"Longitude\": -104.440422058105, \"Latitude\": 46.3325843811035}, {\"ID\": 26403, \"Name\": \"Bowman\", \"Mobility\": 0.4696969688, \"State\": \"ND\", \"Population\": 4009, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.015, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.002, \"Commute\": 0.648, \"Income\": 34194, \"Gini\": 0.297, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1820.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.772, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.1, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.004, \"Social_capital\": 2.46, \"Religious\": 0.893, \"Violent_crime\": 0.0, \"Single_mothers\": 0.082, \"Divorced\": 0.065, \"Married\": 0.648, \"Longitude\": -103.425262451172, \"Latitude\": 46.3399276733398}, {\"ID\": 26404, \"Name\": \"Lemmon\", \"Mobility\": 0.3571428657, \"State\": \"ND\", \"Population\": 8671, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.042, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.704, \"Income\": 34793, \"Gini\": 0.31, \"Share01\": 8.435, \"Gini_99\": 0.226, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1943.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.404, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 17.086, \"HS_dropout\": -0.036, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.593, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 3.161, \"Religious\": 0.887, \"Violent_crime\": 0.0, \"Single_mothers\": 0.12, \"Divorced\": 0.056, \"Married\": 0.633, \"Longitude\": -102.420112609863, \"Latitude\": 45.9655799865723}, {\"ID\": 26405, \"Name\": \"Scobey\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 2017, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.007, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.71, \"Income\": 32705, \"Gini\": 0.262, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3841.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.514, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.005, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.048, \"Social_capital\": 2.841, \"Religious\": 1.308, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -105.599838256836, \"Latitude\": 48.7802352905273}, {\"ID\": 26406, \"Name\": \"Wolf Point\", \"Mobility\": 0.0941883773, \"State\": \"MT\", \"Population\": 12597, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.3, \"Seg_income\": 0.014, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.7, \"Income\": 24254, \"Gini\": 0.33, \"Share01\": 5.489, \"Gini_99\": 0.275, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.014, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -10.316, \"HS_dropout\": 0.038, \"Colleges\": 0.079, \"Tuition\": 1200.0, \"Graduation\": -0.234, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.016, \"Chinese_imports\": 2.831, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.008, \"Social_capital\": 0.364, \"Religious\": 0.793, \"Violent_crime\": 0.0, \"Single_mothers\": 0.261, \"Divorced\": 0.106, \"Married\": 0.516, \"Longitude\": -105.277793884277, \"Latitude\": 47.9735641479492}, {\"ID\": 26407, \"Name\": \"Plentywood\", \"Mobility\": 0.3181818128, \"State\": \"MT\", \"Population\": 4105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.014, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.002, \"Commute\": 0.681, \"Income\": 33727, \"Gini\": 0.263, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2408.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.281, \"Student_teacher_ratio\": 13.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.007, \"Foreign_born\": 0.018, \"Social_capital\": 1.27, \"Religious\": 0.758, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.068, \"Married\": 0.607, \"Longitude\": -104.65380859375, \"Latitude\": 48.6474342346191}, {\"ID\": 26408, \"Name\": \"Glasgow\", \"Mobility\": 0.1660649776, \"State\": \"MT\", \"Population\": 12276, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.213, \"Seg_income\": 0.021, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.014, \"Commute\": 0.697, \"Income\": 31217, \"Gini\": 0.318, \"Share01\": 4.758, \"Gini_99\": 0.271, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 6900.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.491, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 9.237, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.564, \"Religious\": 0.597, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.613, \"Longitude\": -107.298034667969, \"Latitude\": 47.9512710571289}, {\"ID\": 26409, \"Name\": \"Glendive\", \"Mobility\": 0.2666666806, \"State\": \"MT\", \"Population\": 12051, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.012, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.004, \"Commute\": 0.735, \"Income\": 29215, \"Gini\": 0.26, \"Share01\": 4.291, \"Gini_99\": 0.217, \"Middle_class\": 0.688, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2130.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.793, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 11.656, \"HS_dropout\": -0.026, \"Colleges\": 0.083, \"Tuition\": 1236.0, \"Graduation\": 0.08, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.009, \"Chinese_imports\": 0.018, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.751, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.085, \"Married\": 0.606, \"Longitude\": -104.580238342285, \"Latitude\": 47.0760231018066}, {\"ID\": 26410, \"Name\": \"Dickinson\", \"Mobility\": 0.329207927, \"State\": \"ND\", \"Population\": 27124, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.219, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.019, \"Commute\": 0.659, \"Income\": 29909, \"Gini\": 0.312, \"Share01\": 8.093, \"Gini_99\": 0.231, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1600.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 10.289, \"HS_dropout\": -0.027, \"Colleges\": 0.037, \"Tuition\": 1982.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.259, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 1.261, \"Religious\": 0.836, \"Violent_crime\": 0.0, \"Single_mothers\": 0.154, \"Divorced\": 0.072, \"Married\": 0.598, \"Longitude\": -102.613540649414, \"Latitude\": 47.3269577026367}, {\"ID\": 26411, \"Name\": \"Sidney\", \"Mobility\": 0.2505694628, \"State\": \"ND\", \"Population\": 22035, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.481, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.637, \"Income\": 30292, \"Gini\": 0.296, \"Share01\": 5.407, \"Gini_99\": 0.242, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2385.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.291, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.512, \"HS_dropout\": -0.019, \"Colleges\": 0.045, \"Tuition\": 1920.0, \"Graduation\": -0.185, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.421, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.081, \"Married\": 0.593, \"Longitude\": -103.932495117188, \"Latitude\": 47.976993560791}, {\"ID\": 26412, \"Name\": \"Williston\", \"Mobility\": 0.3383084536, \"State\": \"ND\", \"Population\": 24286, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.092, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.702, \"Income\": 32277, \"Gini\": 0.321, \"Share01\": 7.252, \"Gini_99\": 0.248, \"Middle_class\": 0.654, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1957.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 9.652, \"HS_dropout\": -0.034, \"Colleges\": 0.041, \"Tuition\": 1592.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.013, \"Social_capital\": 1.353, \"Religious\": 0.828, \"Violent_crime\": 0.0, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.584, \"Longitude\": -103.339866638184, \"Latitude\": 48.2544097900391}, {\"ID\": 26501, \"Name\": \"Brookings\", \"Mobility\": 0.1666666716, \"State\": \"SD\", \"Population\": 40630, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.126, \"Seg_income\": 0.012, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.007, \"Commute\": 0.64, \"Income\": 30234, \"Gini\": 0.317, \"Share01\": 9.071, \"Gini_99\": 0.226, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2273.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 12.972, \"HS_dropout\": -0.022, \"Colleges\": 0.025, \"Tuition\": 1933.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.196, \"Chinese_imports\": 1.104, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.262, \"Religious\": 0.663, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.063, \"Married\": 0.525, \"Longitude\": -97.0456924438477, \"Latitude\": 44.2527122497559}, {\"ID\": 26502, \"Name\": \"Madison\", \"Mobility\": 0.1843575388, \"State\": \"SD\", \"Population\": 14160, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.017, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.023, \"Commute\": 0.632, \"Income\": 30819, \"Gini\": 0.323, \"Share01\": 9.604, \"Gini_99\": 0.227, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2611.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.547, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.99, \"HS_dropout\": -0.024, \"Colleges\": 0.071, \"Tuition\": 1935.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.198, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.008, \"Social_capital\": 2.281, \"Religious\": 0.725, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.068, \"Married\": 0.564, \"Longitude\": -97.3513641357422, \"Latitude\": 44.0035781860352}, {\"ID\": 26503, \"Name\": \"Sioux Falls\", \"Mobility\": 0.1186331436, \"State\": \"SD\", \"Population\": 200630, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.082, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.087, \"Commute\": 0.439, \"Income\": 36624, \"Gini\": 0.387, \"Share01\": 13.17, \"Gini_99\": 0.256, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1707.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.132, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.6, \"HS_dropout\": -0.004, \"Colleges\": 0.04, \"Tuition\": 5666.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.742, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 1.629, \"Religious\": 0.643, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.089, \"Married\": 0.563, \"Longitude\": -96.8639984130859, \"Latitude\": 43.2444381713867}, {\"ID\": 26504, \"Name\": \"Watertown\", \"Mobility\": 0.1435294151, \"State\": \"SD\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.028, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.595, \"Income\": 35143, \"Gini\": 0.33, \"Share01\": 7.69, \"Gini_99\": 0.253, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2099.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.92, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 14.26, \"HS_dropout\": -0.013, \"Colleges\": 0.025, \"Tuition\": 1980.0, \"Graduation\": 0.376, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.113, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 1.789, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.071, \"Married\": 0.611, \"Longitude\": -97.2051086425781, \"Latitude\": 44.7741546630859}, {\"ID\": 26601, \"Name\": \"Milbank\", \"Mobility\": 0.1702127606, \"State\": \"MN\", \"Population\": 17801, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.07, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.65, \"Income\": 34361, \"Gini\": 0.31, \"Share01\": 6.661, \"Gini_99\": 0.243, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 5010.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.052, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 11.685, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.258, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": 2.339, \"Religious\": 1.004, \"Violent_crime\": 0.001, \"Single_mothers\": 0.119, \"Divorced\": 0.057, \"Married\": 0.635, \"Longitude\": -96.5079879760742, \"Latitude\": 45.4473838806152}, {\"ID\": 26602, \"Name\": \"Sisseton\", \"Mobility\": 0.107066378, \"State\": \"SD\", \"Population\": 20859, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.263, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.004, \"Commute\": 0.563, \"Income\": 30613, \"Gini\": 0.292, \"Share01\": 4.579, \"Gini_99\": 0.246, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.094, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 4.794, \"HS_dropout\": -0.006, \"Colleges\": 0.048, \"Tuition\": null, \"Graduation\": -0.158, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.75, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.331, \"Religious\": 0.831, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.078, \"Married\": 0.579, \"Longitude\": -97.1130447387695, \"Latitude\": 45.5108833312988}, {\"ID\": 26603, \"Name\": \"East Corson UT\", \"Mobility\": 0.0700280145, \"State\": \"SD\", \"Population\": 8225, \"Urban\": 1, \"Black\": 0.001, \"Seg_racial\": 0.234, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.012, \"Commute\": 0.505, \"Income\": 17401, \"Gini\": 0.457, \"Share01\": 14.908, \"Gini_99\": 0.307, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.853, \"Student_teacher_ratio\": 12.3, \"Test_scores\": -22.102, \"HS_dropout\": 0.099, \"Colleges\": 0.243, \"Tuition\": 17000.0, \"Graduation\": -0.229, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.016, \"Foreign_born\": 0.005, \"Social_capital\": -0.244, \"Religious\": 0.693, \"Violent_crime\": 0.0, \"Single_mothers\": 0.344, \"Divorced\": 0.105, \"Married\": 0.405, \"Longitude\": -101.020462036133, \"Latitude\": 46.0272445678711}, {\"ID\": 26604, \"Name\": \"Mobridge\", \"Mobility\": 0.1111111119, \"State\": \"SD\", \"Population\": 7756, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.141, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.003, \"Commute\": 0.708, \"Income\": 31322, \"Gini\": 0.272, \"Share01\": 4.955, \"Gini_99\": 0.222, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1702.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 19.04, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 2.379, \"Religious\": 0.834, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.083, \"Married\": 0.579, \"Longitude\": -100.26685333252, \"Latitude\": 45.6210784912109}, {\"ID\": 26605, \"Name\": \"Aberdeen\", \"Mobility\": 0.1992687434, \"State\": \"SD\", \"Population\": 52825, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.049, \"Seg_income\": 0.025, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.023, \"Commute\": 0.676, \"Income\": 33760, \"Gini\": 0.366, \"Share01\": 10.84, \"Gini_99\": 0.257, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1759.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 7.676, \"HS_dropout\": -0.014, \"Colleges\": 0.038, \"Tuition\": 2466.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 2.063, \"Religious\": 0.862, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.075, \"Married\": 0.591, \"Longitude\": -98.8909072875977, \"Latitude\": 45.3348693847656}, {\"ID\": 26701, \"Name\": \"Bemidji\", \"Mobility\": 0.0952868834, \"State\": \"MN\", \"Population\": 101639, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.317, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.025, \"Commute\": 0.449, \"Income\": 31567, \"Gini\": 0.395, \"Share01\": 9.319, \"Gini_99\": 0.302, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2723.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.145, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.087, \"HS_dropout\": 0.006, \"Colleges\": 0.039, \"Tuition\": 2810.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.11, \"Chinese_imports\": 0.506, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.443, \"Religious\": 0.564, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.087, \"Married\": 0.57, \"Longitude\": -95.277946472168, \"Latitude\": 47.464656829834}, {\"ID\": 26702, \"Name\": \"Grafton\", \"Mobility\": 0.2325581461, \"State\": \"ND\", \"Population\": 31090, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.072, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.582, \"Income\": 34409, \"Gini\": 0.337, \"Share01\": 9.879, \"Gini_99\": 0.238, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2180.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.561, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 8.881, \"HS_dropout\": -0.026, \"Colleges\": 0.032, \"Tuition\": 13175.0, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.059, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 2.415, \"Religious\": 0.876, \"Violent_crime\": 0.0, \"Single_mothers\": 0.124, \"Divorced\": 0.067, \"Married\": 0.617, \"Longitude\": -97.401252746582, \"Latitude\": 48.4641265869141}, {\"ID\": 26703, \"Name\": \"Thief River Falls\", \"Mobility\": 0.1787564754, \"State\": \"MN\", \"Population\": 28038, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.012, \"Commute\": 0.534, \"Income\": 32095, \"Gini\": 0.336, \"Share01\": 9.085, \"Gini_99\": 0.245, \"Middle_class\": 0.672, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3713.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.982, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 9.516, \"HS_dropout\": -0.032, \"Colleges\": 0.071, \"Tuition\": 2427.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.174, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 2.338, \"Religious\": 0.826, \"Violent_crime\": 0.0, \"Single_mothers\": 0.164, \"Divorced\": 0.077, \"Married\": 0.589, \"Longitude\": -96.7299499511719, \"Latitude\": 48.2184143066406}, {\"ID\": 26704, \"Name\": \"Grand Forks\", \"Mobility\": 0.1279491782, \"State\": \"ND\", \"Population\": 108213, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.077, \"Seg_income\": 0.054, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.056, \"Commute\": 0.613, \"Income\": 31651, \"Gini\": 0.333, \"Share01\": 10.207, \"Gini_99\": 0.231, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2039.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 8.004, \"HS_dropout\": -0.017, \"Colleges\": 0.028, \"Tuition\": 2733.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.074, \"Chinese_imports\": 0.168, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.024, \"Foreign_born\": 0.027, \"Social_capital\": 1.612, \"Religious\": 0.674, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.074, \"Married\": 0.532, \"Longitude\": -96.8492813110352, \"Latitude\": 47.631103515625}, {\"ID\": 26801, \"Name\": \"Fargo\", \"Mobility\": 0.1358173043, \"State\": \"ND\", \"Population\": 206945, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.065, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.518, \"Income\": 34085, \"Gini\": 0.365, \"Share01\": 11.083, \"Gini_99\": 0.254, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2263.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 6.018, \"HS_dropout\": -0.014, \"Colleges\": 0.024, \"Tuition\": 2686.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.096, \"Chinese_imports\": 0.151, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.027, \"Social_capital\": 1.8, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.08, \"Married\": 0.533, \"Longitude\": -96.8047027587891, \"Latitude\": 46.7821769714355}, {\"ID\": 26802, \"Name\": \"Lisbon\", \"Mobility\": 0.2352941185, \"State\": \"ND\", \"Population\": 16013, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.015, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.606, \"Income\": 35168, \"Gini\": 0.268, \"Share01\": 6.895, \"Gini_99\": 0.199, \"Middle_class\": 0.699, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1429.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.879, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 10.804, \"HS_dropout\": -0.031, \"Colleges\": 0.062, \"Tuition\": 5700.0, \"Graduation\": 0.137, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.318, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 2.606, \"Religious\": 0.882, \"Violent_crime\": 0.0, \"Single_mothers\": 0.1, \"Divorced\": 0.07, \"Married\": 0.626, \"Longitude\": -97.9004364013672, \"Latitude\": 46.1610984802246}, {\"ID\": 26803, \"Name\": \"Jamestown\", \"Mobility\": 0.2240566015, \"State\": \"ND\", \"Population\": 38384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.021, \"Commute\": 0.667, \"Income\": 32842, \"Gini\": 0.329, \"Share01\": 8.37, \"Gini_99\": 0.245, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1406.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.257, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 10.253, \"HS_dropout\": -0.034, \"Colleges\": 0.052, \"Tuition\": 5551.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 2.26, \"Religious\": 0.755, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.081, \"Married\": 0.571, \"Longitude\": -98.5546875, \"Latitude\": 46.8599853515625}, {\"ID\": 26804, \"Name\": \"Cooperstown\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2754, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.615, \"Income\": 34890, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1392.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.071, \"Student_teacher_ratio\": 13.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.673, \"Teenage_labor\": null, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 2.695, \"Religious\": 0.746, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.047, \"Married\": 0.638, \"Longitude\": -98.2317657470703, \"Latitude\": 47.3991737365723}, {\"ID\": 26901, \"Name\": \"Fergus Falls\", \"Mobility\": 0.1523076892, \"State\": \"MN\", \"Population\": 117558, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.095, \"Seg_income\": 0.017, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.016, \"Commute\": 0.526, \"Income\": 36094, \"Gini\": 0.335, \"Share01\": 8.518, \"Gini_99\": 0.25, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2972.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.713, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 15.814, \"HS_dropout\": -0.003, \"Colleges\": 0.026, \"Tuition\": 3215.0, \"Graduation\": 0.063, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.148, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 2.729, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -95.8051071166992, \"Latitude\": 45.9277229309082}, {\"ID\": 26902, \"Name\": \"Little Falls\", \"Mobility\": 0.1645569652, \"State\": \"MN\", \"Population\": 69851, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.058, \"Seg_income\": 0.014, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.435, \"Income\": 31851, \"Gini\": 0.308, \"Share01\": 6.947, \"Gini_99\": 0.239, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2770.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.227, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 7.154, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.195, \"Chinese_imports\": 0.876, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.021, \"Foreign_born\": 0.013, \"Social_capital\": 1.556, \"Religious\": 0.667, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.079, \"Married\": 0.602, \"Longitude\": -94.5944213867188, \"Latitude\": 46.2309341430664}, {\"ID\": 27001, \"Name\": \"O'Neill\", \"Mobility\": 0.1893491149, \"State\": \"NE\", \"Population\": 14875, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.022, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.653, \"Income\": 31084, \"Gini\": 0.296, \"Share01\": 6.285, \"Gini_99\": 0.234, \"Middle_class\": 0.628, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.565, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 10.016, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.005, \"Foreign_born\": 0.007, \"Social_capital\": 1.311, \"Religious\": 0.688, \"Violent_crime\": 0.0, \"Single_mothers\": 0.097, \"Divorced\": 0.06, \"Married\": 0.649, \"Longitude\": -98.7092666625977, \"Latitude\": 42.4437103271484}, {\"ID\": 27002, \"Name\": \"Ord\", \"Mobility\": 0.2392344475, \"State\": \"NE\", \"Population\": 9975, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.658, \"Income\": 31042, \"Gini\": 0.362, \"Share01\": 6.536, \"Gini_99\": 0.296, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2684.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 9.69, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": 0.837, \"Religious\": 0.822, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.065, \"Married\": 0.636, \"Longitude\": -99.0196533203125, \"Latitude\": 41.712028503418}, {\"ID\": 27003, \"Name\": \"Ainsworth\", \"Mobility\": 0.1920529753, \"State\": \"NE\", \"Population\": 6264, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.007, \"Commute\": 0.67, \"Income\": 30825, \"Gini\": 0.291, \"Share01\": 5.895, \"Gini_99\": 0.232, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2817.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.274, \"Student_teacher_ratio\": 11.6, \"Test_scores\": 0.131, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.548, \"Religious\": 0.545, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.076, \"Married\": 0.639, \"Longitude\": -99.7006912231445, \"Latitude\": 42.5554466247559}, {\"ID\": 27004, \"Name\": \"Winner\", \"Mobility\": 0.1392857134, \"State\": \"SD\", \"Population\": 11222, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.034, \"Seg_income\": 0.005, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.006, \"Commute\": 0.673, \"Income\": 29623, \"Gini\": 0.346, \"Share01\": 7.011, \"Gini_99\": 0.276, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.964, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 16.809, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.007, \"Migration_in\": 0.001, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 1.978, \"Religious\": 0.705, \"Violent_crime\": 0.001, \"Single_mothers\": 0.122, \"Divorced\": 0.071, \"Married\": 0.6, \"Longitude\": -99.5870895385742, \"Latitude\": 43.4869003295898}, {\"ID\": 27005, \"Name\": \"Yankton\", \"Mobility\": 0.1712000072, \"State\": \"SD\", \"Population\": 47901, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.148, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.016, \"Commute\": 0.583, \"Income\": 31086, \"Gini\": 0.309, \"Share01\": 6.798, \"Gini_99\": 0.241, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.307, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 8.914, \"HS_dropout\": -0.017, \"Colleges\": 0.021, \"Tuition\": 9710.0, \"Graduation\": 0.071, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.142, \"Chinese_imports\": 1.58, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.011, \"Social_capital\": 1.31, \"Religious\": 0.769, \"Violent_crime\": 0.001, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.619, \"Longitude\": -97.7685089111328, \"Latitude\": 42.8132400512695}, {\"ID\": 27006, \"Name\": \"Mitchell\", \"Mobility\": 0.1338199526, \"State\": \"SD\", \"Population\": 27613, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.032, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.641, \"Income\": 33753, \"Gini\": 0.396, \"Share01\": 13.422, \"Gini_99\": 0.261, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1673.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.252, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 15.04, \"HS_dropout\": -0.03, \"Colleges\": 0.072, \"Tuition\": 4330.0, \"Graduation\": 0.337, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.133, \"Chinese_imports\": 1.86, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 2.059, \"Religious\": 0.787, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.077, \"Married\": 0.587, \"Longitude\": -98.2380447387695, \"Latitude\": 43.7194900512695}, {\"ID\": 27007, \"Name\": \"Huron\", \"Mobility\": 0.1204819307, \"State\": \"SD\", \"Population\": 19318, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.041, \"Seg_income\": 0.008, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.67, \"Income\": 35617, \"Gini\": 0.329, \"Share01\": 8.42, \"Gini_99\": 0.245, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1636.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.12, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 7.178, \"HS_dropout\": -0.01, \"Colleges\": 0.052, \"Tuition\": 7200.0, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.073, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 3.55, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.091, \"Married\": 0.594, \"Longitude\": -98.4064025878906, \"Latitude\": 44.2393493652344}, {\"ID\": 27008, \"Name\": \"Parkston\", \"Mobility\": 0.157107234, \"State\": \"SD\", \"Population\": 20883, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.333, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.006, \"Commute\": 0.613, \"Income\": 29594, \"Gini\": 0.34, \"Share01\": 8.575, \"Gini_99\": 0.254, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.127, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.061, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.774, \"Religious\": 0.903, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -98.4186553955078, \"Latitude\": 43.1798553466797}, {\"ID\": 27009, \"Name\": \"Chamberlain\", \"Mobility\": 0.0804195777, \"State\": \"SD\", \"Population\": 11291, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.554, \"Seg_income\": 0.056, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.039, \"Commute\": 0.6, \"Income\": 26746, \"Gini\": 0.374, \"Share01\": 7.207, \"Gini_99\": 0.302, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 13.686, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.048, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 0.682, \"Religious\": 0.696, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.081, \"Married\": 0.531, \"Longitude\": -99.7316207885742, \"Latitude\": 43.847541809082}, {\"ID\": 27010, \"Name\": \"Miller\", \"Mobility\": 0.3150684834, \"State\": \"SD\", \"Population\": 5412, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.353, \"Seg_income\": 0.01, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.013, \"Commute\": 0.697, \"Income\": 39611, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 1977.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.358, \"Student_teacher_ratio\": 14.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": 0.004, \"Migration_out\": 0.0, \"Foreign_born\": 0.009, \"Social_capital\": 3.375, \"Religious\": 0.722, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.063, \"Married\": 0.605, \"Longitude\": -99.2775802612305, \"Latitude\": 44.5331344604492}, {\"ID\": 27011, \"Name\": \"Pierre\", \"Mobility\": 0.0924369767, \"State\": \"SD\", \"Population\": 20809, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.767, \"Income\": 38653, \"Gini\": 0.344, \"Share01\": 7.779, \"Gini_99\": 0.266, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1943.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.099, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.612, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.739, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 5.266, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.098, \"Married\": 0.616, \"Longitude\": -100.434280395508, \"Latitude\": 44.5327339172363}, {\"ID\": 27012, \"Name\": \"Gettysburg\", \"Mobility\": 0.3265306056, \"State\": \"SD\", \"Population\": 2693, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.729, \"Income\": 37190, \"Gini\": 0.3, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1832.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.693, \"Student_teacher_ratio\": 14.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.047, \"Chinese_imports\": 0.052, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": 4.555, \"Religious\": 1.158, \"Violent_crime\": 0.0, \"Single_mothers\": 0.084, \"Divorced\": 0.074, \"Married\": 0.655, \"Longitude\": -100.195465087891, \"Latitude\": 45.0510025024414}, {\"ID\": 27101, \"Name\": \"Willmar\", \"Mobility\": 0.1247139573, \"State\": \"MN\", \"Population\": 85394, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.181, \"Seg_income\": 0.024, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.025, \"Commute\": 0.549, \"Income\": 35795, \"Gini\": 0.313, \"Share01\": 7.697, \"Gini_99\": 0.236, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3638.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.863, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 5.464, \"HS_dropout\": -0.012, \"Colleges\": 0.023, \"Tuition\": 2232.0, \"Graduation\": 0.046, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.158, \"Chinese_imports\": 2.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 2.626, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.074, \"Married\": 0.595, \"Longitude\": -95.7932357788086, \"Latitude\": 45.0299758911133}, {\"ID\": 27102, \"Name\": \"Marshall\", \"Mobility\": 0.153061226, \"State\": \"MN\", \"Population\": 51470, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.089, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.02, \"Commute\": 0.621, \"Income\": 34330, \"Gini\": 0.331, \"Share01\": 9.09, \"Gini_99\": 0.24, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3783.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.325, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 11.332, \"HS_dropout\": -0.017, \"Colleges\": 0.019, \"Tuition\": 2790.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.175, \"Chinese_imports\": 0.729, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.027, \"Social_capital\": 2.843, \"Religious\": 0.808, \"Violent_crime\": 0.0, \"Single_mothers\": 0.135, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -96.1117172241211, \"Latitude\": 44.1432304382324}, {\"ID\": 27201, \"Name\": \"Sioux Center\", \"Mobility\": 0.2307692319, \"State\": \"IA\", \"Population\": 58454, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.629, \"Income\": 32542, \"Gini\": 0.33, \"Share01\": 13.264, \"Gini_99\": 0.198, \"Middle_class\": 0.734, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2097.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.003, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.514, \"HS_dropout\": -0.031, \"Colleges\": 0.051, \"Tuition\": 10233.0, \"Graduation\": 0.195, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.188, \"Chinese_imports\": 1.407, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.023, \"Social_capital\": 2.82, \"Religious\": 0.928, \"Violent_crime\": 0.001, \"Single_mothers\": 0.082, \"Divorced\": 0.042, \"Married\": 0.634, \"Longitude\": -96.3176116943359, \"Latitude\": 43.2065963745117}, {\"ID\": 27202, \"Name\": \"Worthington\", \"Mobility\": 0.1402936429, \"State\": \"MN\", \"Population\": 60435, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.193, \"Seg_income\": 0.01, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.01, \"Commute\": 0.589, \"Income\": 34678, \"Gini\": 0.271, \"Share01\": 6.866, \"Gini_99\": 0.202, \"Middle_class\": 0.713, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3025.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.848, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 8.616, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.193, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.043, \"Social_capital\": 2.813, \"Religious\": 0.864, \"Violent_crime\": 0.001, \"Single_mothers\": 0.132, \"Divorced\": 0.059, \"Married\": 0.627, \"Longitude\": -95.4412689208984, \"Latitude\": 43.7808990478516}, {\"ID\": 27301, \"Name\": \"Spencer\", \"Mobility\": 0.1850079745, \"State\": \"IA\", \"Population\": 61106, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.598, \"Income\": 38061, \"Gini\": 0.37, \"Share01\": 12.545, \"Gini_99\": 0.245, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2689.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.271, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.503, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.783, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.821, \"Religious\": 0.781, \"Violent_crime\": 0.0, \"Single_mothers\": 0.147, \"Divorced\": 0.077, \"Married\": 0.612, \"Longitude\": -94.7032241821289, \"Latitude\": 43.2080116271973}, {\"ID\": 27302, \"Name\": \"Fairmont\", \"Mobility\": 0.1287128776, \"State\": \"MN\", \"Population\": 49010, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.052, \"Seg_income\": 0.017, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.013, \"Commute\": 0.576, \"Income\": 35648, \"Gini\": 0.294, \"Share01\": 7.086, \"Gini_99\": 0.223, \"Middle_class\": 0.695, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3270.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.665, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 9.026, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 2016.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.207, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 2.86, \"Religious\": 0.878, \"Violent_crime\": 0.001, \"Single_mothers\": 0.157, \"Divorced\": 0.073, \"Married\": 0.608, \"Longitude\": -94.3489074707031, \"Latitude\": 43.5703163146973}, {\"ID\": 27401, \"Name\": \"Storm Lake\", \"Mobility\": 0.1734317392, \"State\": \"IA\", \"Population\": 52812, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.217, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.614, \"Income\": 34279, \"Gini\": 0.318, \"Share01\": 8.244, \"Gini_99\": 0.235, \"Middle_class\": 0.692, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1936.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.03, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 4.72, \"HS_dropout\": -0.033, \"Colleges\": 0.019, \"Tuition\": 17176.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.19, \"Chinese_imports\": 0.705, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.053, \"Social_capital\": 2.078, \"Religious\": 0.741, \"Violent_crime\": 0.0, \"Single_mothers\": 0.146, \"Divorced\": 0.069, \"Married\": 0.597, \"Longitude\": -95.3256225585938, \"Latitude\": 42.5063896179199}, {\"ID\": 27402, \"Name\": \"Fort Dodge\", \"Mobility\": 0.1300448477, \"State\": \"IA\", \"Population\": 101165, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.109, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.572, \"Income\": 35646, \"Gini\": 0.33, \"Share01\": 10.56, \"Gini_99\": 0.224, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2322.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.203, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.168, \"HS_dropout\": -0.022, \"Colleges\": 0.01, \"Tuition\": 1830.0, \"Graduation\": 0.014, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.018, \"Social_capital\": 2.08, \"Religious\": 0.719, \"Violent_crime\": 0.002, \"Single_mothers\": 0.174, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -94.1821441650391, \"Latitude\": 42.4745178222656}, {\"ID\": 27501, \"Name\": \"Des Moines\", \"Mobility\": 0.0910248235, \"State\": \"IA\", \"Population\": 595842, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.175, \"Seg_income\": 0.076, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.087, \"Commute\": 0.384, \"Income\": 40108, \"Gini\": 0.391, \"Share01\": 13.556, \"Gini_99\": 0.255, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2490.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.405, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 1.707, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 4899.0, \"Graduation\": 0.09, \"Labor_force_participation\": 0.722, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.27, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.051, \"Social_capital\": 1.595, \"Religious\": 0.483, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.098, \"Married\": 0.564, \"Longitude\": -93.9295120239258, \"Latitude\": 41.6039848327637}, {\"ID\": 27502, \"Name\": \"Creston\", \"Mobility\": 0.1245136186, \"State\": \"IA\", \"Population\": 35600, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.068, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.556, \"Income\": 31082, \"Gini\": 0.324, \"Share01\": 8.285, \"Gini_99\": 0.241, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2736.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.49, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 4.511, \"HS_dropout\": -0.018, \"Colleges\": 0.056, \"Tuition\": 6668.0, \"Graduation\": 0.123, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.172, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 1.415, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.091, \"Married\": 0.599, \"Longitude\": -94.0072784423828, \"Latitude\": 40.8755035400391}, {\"ID\": 27503, \"Name\": \"Atlantic\", \"Mobility\": 0.1515837163, \"State\": \"IA\", \"Population\": 34687, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.016, \"Commute\": 0.557, \"Income\": 35644, \"Gini\": 0.315, \"Share01\": 8.047, \"Gini_99\": 0.235, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2557.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.166, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.915, \"HS_dropout\": -0.032, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": 1.971, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.074, \"Married\": 0.642, \"Longitude\": -95.0605239868164, \"Latitude\": 41.5310440063477}, {\"ID\": 27504, \"Name\": \"Carroll\", \"Mobility\": 0.1672354937, \"State\": \"IA\", \"Population\": 48729, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.178, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.611, \"Income\": 34862, \"Gini\": 0.299, \"Share01\": 6.69, \"Gini_99\": 0.232, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2694.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.048, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.525, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.313, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.026, \"Social_capital\": 2.376, \"Religious\": 0.784, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.071, \"Married\": 0.604, \"Longitude\": -94.8914413452148, \"Latitude\": 42.0172080993652}, {\"ID\": 27601, \"Name\": \"Rapid City\", \"Mobility\": 0.0930329561, \"State\": \"SD\", \"Population\": 158442, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.058, \"Commute\": 0.484, \"Income\": 33201, \"Gini\": 0.39, \"Share01\": 10.24, \"Gini_99\": 0.287, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.695, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 0.755, \"HS_dropout\": 0.012, \"Colleges\": 0.025, \"Tuition\": 3265.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.628, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": 0.744, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.111, \"Married\": 0.576, \"Longitude\": -102.985694885254, \"Latitude\": 43.9553756713867}, {\"ID\": 27602, \"Name\": \"Eagle Butte\", \"Mobility\": 0.05111821, \"State\": \"SD\", \"Population\": 8491, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.177, \"Seg_income\": 0.034, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.019, \"Commute\": 0.578, \"Income\": 18546, \"Gini\": 0.317, \"Share01\": 5.469, \"Gini_99\": 0.262, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.721, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 0.729, \"HS_dropout\": 0.064, \"Colleges\": 0.118, \"Tuition\": 2940.0, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.008, \"Foreign_born\": 0.005, \"Social_capital\": -0.009, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.124, \"Married\": 0.422, \"Longitude\": -100.94905090332, \"Latitude\": 44.8710060119629}, {\"ID\": 27603, \"Name\": \"Southwest Jackson UT\", \"Mobility\": 0.1103448272, \"State\": \"SD\", \"Population\": 5126, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.441, \"Seg_income\": 0.039, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.024, \"Commute\": 0.669, \"Income\": 26268, \"Gini\": 0.296, \"Share01\": 7.437, \"Gini_99\": 0.222, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1560.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 11.09, \"HS_dropout\": -0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.207, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.482, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.066, \"Married\": 0.562, \"Longitude\": -101.566413879395, \"Latitude\": 44.2099189758301}, {\"ID\": 27604, \"Name\": \"Murdo\", \"Mobility\": null, \"State\": \"SD\", \"Population\": 1193, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.715, \"Income\": 30669, \"Gini\": 0.309, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.161, \"Student_teacher_ratio\": 15.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.001, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.0, \"Social_capital\": 1.618, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.137, \"Divorced\": 0.107, \"Married\": 0.562, \"Longitude\": -100.711044311523, \"Latitude\": 43.7982406616211}, {\"ID\": 27605, \"Name\": \"Mission\", \"Mobility\": 0.0242537316, \"State\": \"SD\", \"Population\": 11133, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.102, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.465, \"Income\": 17598, \"Gini\": 0.381, \"Share01\": 5.522, \"Gini_99\": 0.326, \"Middle_class\": 0.379, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2285.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -30.399, \"HS_dropout\": null, \"Colleges\": 0.09, \"Tuition\": 1632.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 0.035, \"Religious\": 0.551, \"Violent_crime\": 0.0, \"Single_mothers\": 0.391, \"Divorced\": 0.138, \"Married\": 0.373, \"Longitude\": -100.702262878418, \"Latitude\": 43.6780586242676}, {\"ID\": 27701, \"Name\": \"Scottsbluff\", \"Mobility\": 0.1194029823, \"State\": \"NE\", \"Population\": 65903, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.115, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.02, \"Commute\": 0.642, \"Income\": 33192, \"Gini\": 0.346, \"Share01\": 6.759, \"Gini_99\": 0.279, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.664, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -1.08, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1677.0, \"Graduation\": -0.063, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.035, \"Social_capital\": 1.136, \"Religious\": 0.532, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.591, \"Longitude\": -103.237144470215, \"Latitude\": 42.1022415161133}, {\"ID\": 27702, \"Name\": \"Cheyenne\", \"Mobility\": 0.0956375822, \"State\": \"WY\", \"Population\": 95526, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.064, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.072, \"Commute\": 0.564, \"Income\": 34425, \"Gini\": 0.366, \"Share01\": 9.978, \"Gini_99\": 0.266, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.823, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.301, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1128.0, \"Graduation\": -0.248, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.027, \"Foreign_born\": 0.026, \"Social_capital\": 0.876, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.125, \"Married\": 0.583, \"Longitude\": -103.619277954102, \"Latitude\": 41.2267875671387}, {\"ID\": 27703, \"Name\": \"Torrington\", \"Mobility\": 0.171581775, \"State\": \"WY\", \"Population\": 21345, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.025, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.005, \"Commute\": 0.624, \"Income\": 31966, \"Gini\": 0.324, \"Share01\": 5.398, \"Gini_99\": 0.27, \"Middle_class\": 0.618, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3131.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.934, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 8.823, \"HS_dropout\": -0.003, \"Colleges\": 0.047, \"Tuition\": 1128.0, \"Graduation\": -0.019, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.017, \"Social_capital\": 0.935, \"Religious\": 0.411, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.105, \"Married\": 0.616, \"Longitude\": -104.755416870117, \"Latitude\": 42.0708351135254}, {\"ID\": 27704, \"Name\": \"Gordon\", \"Mobility\": 0.0319488831, \"State\": \"SD\", \"Population\": 22238, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.486, \"Seg_income\": 0.034, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.019, \"Commute\": 0.588, \"Income\": 19815, \"Gini\": 0.334, \"Share01\": 6.245, \"Gini_99\": 0.271, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.731, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -19.811, \"HS_dropout\": -0.006, \"Colleges\": 0.045, \"Tuition\": 1560.0, \"Graduation\": -0.277, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.157, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.007, \"Social_capital\": -0.153, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.095, \"Married\": 0.454, \"Longitude\": -102.420791625977, \"Latitude\": 42.9795875549316}, {\"ID\": 27801, \"Name\": \"Virginia Beach\", \"Mobility\": 0.1516079605, \"State\": \"NE\", \"Population\": 56990, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.108, \"Seg_income\": 0.028, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.039, \"Commute\": 0.614, \"Income\": 31600, \"Gini\": 0.331, \"Share01\": 11.685, \"Gini_99\": 0.214, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2142.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.382, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 9.922, \"HS_dropout\": -0.022, \"Colleges\": 0.035, \"Tuition\": 1621.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.176, \"Chinese_imports\": 0.301, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.037, \"Social_capital\": 1.106, \"Religious\": 0.756, \"Violent_crime\": 0.0, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.605, \"Longitude\": -97.6046447753906, \"Latitude\": 42.0407600402832}, {\"ID\": 27802, \"Name\": \"Columbus\", \"Mobility\": 0.1691842973, \"State\": \"NE\", \"Population\": 61167, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.212, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.017, \"Commute\": 0.581, \"Income\": 34258, \"Gini\": 0.279, \"Share01\": 7.077, \"Gini_99\": 0.208, \"Middle_class\": 0.712, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 11529.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.299, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.493, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.271, \"Chinese_imports\": 0.803, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.055, \"Social_capital\": 0.982, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.131, \"Divorced\": 0.062, \"Married\": 0.629, \"Longitude\": -97.6625366210938, \"Latitude\": 41.4536361694336}, {\"ID\": 27901, \"Name\": \"Hastings\", \"Mobility\": 0.1111111119, \"State\": \"NE\", \"Population\": 42251, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.059, \"Seg_income\": 0.041, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.036, \"Commute\": 0.599, \"Income\": 34343, \"Gini\": 0.375, \"Share01\": 12.631, \"Gini_99\": 0.248, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.202, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.591, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 12396.0, \"Graduation\": 0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.323, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.038, \"Social_capital\": 1.596, \"Religious\": 0.645, \"Violent_crime\": 0.0, \"Single_mothers\": 0.16, \"Divorced\": 0.078, \"Married\": 0.594, \"Longitude\": -98.4005584716797, \"Latitude\": 40.3708229064941}, {\"ID\": 27902, \"Name\": \"York\", \"Mobility\": 0.1868131906, \"State\": \"NE\", \"Population\": 26871, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.037, \"Seg_income\": 0.004, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.628, \"Income\": 35524, \"Gini\": 0.304, \"Share01\": 7.531, \"Gini_99\": 0.228, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2505.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.759, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 5.696, \"HS_dropout\": -0.03, \"Colleges\": 0.037, \"Tuition\": 8200.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 2.329, \"Religious\": 0.695, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.068, \"Married\": 0.639, \"Longitude\": -97.6013412475586, \"Latitude\": 41.0392227172852}, {\"ID\": 27903, \"Name\": \"Grand Island\", \"Mobility\": 0.1420996785, \"State\": \"NE\", \"Population\": 77708, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.15, \"Seg_income\": 0.032, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.037, \"Commute\": 0.561, \"Income\": 33160, \"Gini\": 0.355, \"Share01\": 10.709, \"Gini_99\": 0.248, \"Middle_class\": 0.653, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2479.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.078, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.948, \"HS_dropout\": 0.003, \"Colleges\": 0.013, \"Tuition\": 1320.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.06, \"Social_capital\": 1.308, \"Religious\": 0.802, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.089, \"Married\": 0.616, \"Longitude\": -98.0804901123047, \"Latitude\": 41.1507186889648}, {\"ID\": 28001, \"Name\": \"Sioux City\", \"Mobility\": 0.1125235409, \"State\": \"IA\", \"Population\": 187773, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.2, \"Seg_income\": 0.044, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.052, \"Commute\": 0.454, \"Income\": 35655, \"Gini\": 0.381, \"Share01\": 10.997, \"Gini_99\": 0.271, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2173.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.613, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.747, \"HS_dropout\": 0.003, \"Colleges\": 0.032, \"Tuition\": 5084.0, \"Graduation\": 0.036, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.062, \"Social_capital\": 1.267, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.568, \"Longitude\": -96.4562072753906, \"Latitude\": 42.4197807312012}, {\"ID\": 28002, \"Name\": \"West Point\", \"Mobility\": 0.100386098, \"State\": \"NE\", \"Population\": 25165, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.36, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.551, \"Income\": 32028, \"Gini\": 0.315, \"Share01\": 6.198, \"Gini_99\": 0.253, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2508.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 6.98, \"HS_dropout\": 0.003, \"Colleges\": 0.079, \"Tuition\": 1807.0, \"Graduation\": -0.227, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.118, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.024, \"Social_capital\": 1.341, \"Religious\": 0.723, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -96.3958435058594, \"Latitude\": 41.9670219421387}, {\"ID\": 28101, \"Name\": \"Lincoln\", \"Mobility\": 0.0913167521, \"State\": \"NE\", \"Population\": 311956, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.094, \"Seg_income\": 0.095, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.109, \"Commute\": 0.434, \"Income\": 35973, \"Gini\": 0.376, \"Share01\": 14.437, \"Gini_99\": 0.231, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2960.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.915, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -1.788, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 4557.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.048, \"Social_capital\": 1.659, \"Religious\": 0.496, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.537, \"Longitude\": -96.8775787353516, \"Latitude\": 40.5198974609375}, {\"ID\": 28102, \"Name\": \"Nebraska City\", \"Mobility\": 0.1583514065, \"State\": \"NE\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.062, \"Seg_income\": 0.013, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.514, \"Income\": 34517, \"Gini\": 0.287, \"Share01\": 5.397, \"Gini_99\": 0.233, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2052.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.737, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 6.023, \"HS_dropout\": -0.031, \"Colleges\": 0.025, \"Tuition\": 1973.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.56, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.015, \"Social_capital\": 1.614, \"Religious\": 0.662, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.088, \"Married\": 0.606, \"Longitude\": -95.7429656982422, \"Latitude\": 40.315299987793}, {\"ID\": 28201, \"Name\": \"Red Oak\", \"Mobility\": 0.1242138371, \"State\": \"IA\", \"Population\": 48197, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.111, \"Seg_income\": 0.016, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.018, \"Commute\": 0.55, \"Income\": 33242, \"Gini\": 0.306, \"Share01\": 8.44, \"Gini_99\": 0.221, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2014.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.934, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.605, \"HS_dropout\": -0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.985, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 1.309, \"Religious\": 0.556, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.095, \"Married\": 0.61, \"Longitude\": -95.2053680419922, \"Latitude\": 40.838794708252}, {\"ID\": 28202, \"Name\": \"Omaha\", \"Mobility\": 0.0775407478, \"State\": \"NE\", \"Population\": 803201, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.262, \"Seg_income\": 0.109, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.123, \"Commute\": 0.349, \"Income\": 39948, \"Gini\": 0.432, \"Share01\": 17.652, \"Gini_99\": 0.255, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2743.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.173, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.627, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6011.0, \"Graduation\": -0.068, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.557, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.015, \"Foreign_born\": 0.044, \"Social_capital\": 0.535, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.103, \"Married\": 0.555, \"Longitude\": -96.0118179321289, \"Latitude\": 41.3732566833496}, {\"ID\": 28301, \"Name\": \"Sterling\", \"Mobility\": 0.1446345299, \"State\": \"CO\", \"Population\": 39751, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.015, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.014, \"Commute\": 0.64, \"Income\": 31170, \"Gini\": 0.399, \"Share01\": 10.371, \"Gini_99\": 0.295, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2621.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.612, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.504, \"HS_dropout\": null, \"Colleges\": 0.025, \"Tuition\": 1386.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 1.084, \"Religious\": 0.506, \"Violent_crime\": 0.001, \"Single_mothers\": 0.149, \"Divorced\": 0.082, \"Married\": 0.629, \"Longitude\": -102.941719055176, \"Latitude\": 40.2619552612305}, {\"ID\": 28302, \"Name\": \"Ogallala\", \"Mobility\": 0.1622807086, \"State\": \"NE\", \"Population\": 16920, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.038, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.614, \"Income\": 34904, \"Gini\": 0.326, \"Share01\": 8.858, \"Gini_99\": 0.238, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2532.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.616, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 10.627, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.061, \"Chinese_imports\": 0.289, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.017, \"Social_capital\": 1.193, \"Religious\": 0.598, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.087, \"Married\": 0.638, \"Longitude\": -101.926559448242, \"Latitude\": 41.021427154541}, {\"ID\": 28303, \"Name\": \"Oshkosh\", \"Mobility\": null, \"State\": \"NE\", \"Population\": 2292, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.677, \"Income\": 31316, \"Gini\": 0.278, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2821.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.744, \"Student_teacher_ratio\": 11.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.026, \"Chinese_imports\": 1.331, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 3.942, \"Religious\": 0.7, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.095, \"Married\": 0.628, \"Longitude\": -102.358543395996, \"Latitude\": 41.5615425109863}, {\"ID\": 28304, \"Name\": \"Valentine\", \"Mobility\": 0.145348832, \"State\": \"NE\", \"Population\": 8122, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.031, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.004, \"Commute\": 0.704, \"Income\": 31506, \"Gini\": 0.347, \"Share01\": 7.675, \"Gini_99\": 0.27, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2561.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.509, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 6.61, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.026, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 1.716, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.638, \"Longitude\": -101.297538757324, \"Latitude\": 42.2140884399414}, {\"ID\": 28305, \"Name\": \"Broken Bow\", \"Mobility\": 0.1764705926, \"State\": \"NE\", \"Population\": 13105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.004, \"Commute\": 0.63, \"Income\": 33846, \"Gini\": 0.3, \"Share01\": 6.249, \"Gini_99\": 0.237, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2927.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.951, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 9.913, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.414, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.005, \"Social_capital\": 1.554, \"Religious\": 0.585, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.068, \"Married\": 0.664, \"Longitude\": -99.9864883422852, \"Latitude\": 41.6120452880859}, {\"ID\": 28306, \"Name\": \"North Platte\", \"Mobility\": 0.1227678582, \"State\": \"NE\", \"Population\": 35939, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.038, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.023, \"Commute\": 0.598, \"Income\": 35591, \"Gini\": 0.323, \"Share01\": 7.625, \"Gini_99\": 0.247, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2203.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.038, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 5.513, \"HS_dropout\": -0.004, \"Colleges\": 0.028, \"Tuition\": 1260.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.184, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 1.646, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.172, \"Divorced\": 0.095, \"Married\": 0.618, \"Longitude\": -100.81453704834, \"Latitude\": 41.278678894043}, {\"ID\": 28401, \"Name\": \"Colorado Springs\", \"Mobility\": 0.089342691, \"State\": \"CO\", \"Population\": 587132, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.084, \"Seg_income\": 0.111, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.129, \"Commute\": 0.311, \"Income\": 37765, \"Gini\": 0.404, \"Share01\": 11.252, \"Gini_99\": 0.292, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2739.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.477, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 6.149, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 4922.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.108, \"Chinese_imports\": 1.91, \"Teenage_labor\": 0.005, \"Migration_in\": 0.05, \"Migration_out\": 0.047, \"Foreign_born\": 0.058, \"Social_capital\": -0.169, \"Religious\": 0.365, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.108, \"Married\": 0.594, \"Longitude\": -105.356147766113, \"Latitude\": 38.3224334716797}, {\"ID\": 28402, \"Name\": \"Limon\", \"Mobility\": 0.1785714328, \"State\": \"CO\", \"Population\": 6087, \"Urban\": 0, \"Black\": 0.049, \"Seg_racial\": 0.059, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.631, \"Income\": 25562, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3139.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.838, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.018, \"Social_capital\": -0.17, \"Religious\": 0.346, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.658, \"Longitude\": -103.501205444336, \"Latitude\": 38.9132118225098}, {\"ID\": 28501, \"Name\": \"Springfield\", \"Mobility\": 0.1919191927, \"State\": \"CO\", \"Population\": 4517, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.001, \"Seg_income\": 0.001, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.667, \"Income\": 31260, \"Gini\": 0.305, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3379.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.474, \"Student_teacher_ratio\": 10.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.009, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.024, \"Social_capital\": 0.665, \"Religious\": 0.403, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.09, \"Married\": 0.629, \"Longitude\": -102.721206665039, \"Latitude\": 37.3058547973633}, {\"ID\": 28502, \"Name\": \"Pueblo\", \"Mobility\": 0.0656216815, \"State\": \"CO\", \"Population\": 187782, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.089, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.44, \"Income\": 31075, \"Gini\": 0.442, \"Share01\": 13.04, \"Gini_99\": 0.312, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2410.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.7, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 0.741, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 1795.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.609, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": 0.547, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.247, \"Divorced\": 0.112, \"Married\": 0.555, \"Longitude\": -103.660545349121, \"Latitude\": 38.0061569213867}, {\"ID\": 28503, \"Name\": \"Trinidad\", \"Mobility\": 0.1176470593, \"State\": \"CO\", \"Population\": 23069, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.065, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.579, \"Income\": 30720, \"Gini\": 0.372, \"Share01\": 6.173, \"Gini_99\": 0.31, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3305.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.233, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -3.549, \"HS_dropout\": null, \"Colleges\": 0.043, \"Tuition\": 1386.0, \"Graduation\": 0.091, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 0.505, \"Religious\": 0.708, \"Violent_crime\": 0.003, \"Single_mothers\": 0.242, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -104.934707641602, \"Latitude\": 37.6306228637695}, {\"ID\": 28504, \"Name\": \"Burlington\", \"Mobility\": 0.204651162, \"State\": \"CO\", \"Population\": 11864, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.005, \"Commute\": 0.655, \"Income\": 32575, \"Gini\": 0.354, \"Share01\": 7.888, \"Gini_99\": 0.275, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 3420.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.836, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 8.654, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.052, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.013, \"Foreign_born\": 0.048, \"Social_capital\": 2.048, \"Religious\": 0.634, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.082, \"Married\": 0.633, \"Longitude\": -102.805702209473, \"Latitude\": 38.8101425170898}, {\"ID\": 28601, \"Name\": \"Oberlin\", \"Mobility\": 0.2432432473, \"State\": \"KS\", \"Population\": 6438, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.004, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.645, \"Income\": 36684, \"Gini\": 0.274, \"Share01\": 4.693, \"Gini_99\": 0.227, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2135.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.4, \"Student_teacher_ratio\": 11.2, \"Test_scores\": 15.591, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.579, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.192, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 3.01, \"Religious\": 0.694, \"Violent_crime\": 0.0, \"Single_mothers\": 0.113, \"Divorced\": 0.077, \"Married\": 0.626, \"Longitude\": -100.807014465332, \"Latitude\": 39.7994422912598}, {\"ID\": 28602, \"Name\": \"Norton\", \"Mobility\": 0.1686746925, \"State\": \"KS\", \"Population\": 5953, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.735, \"Income\": 27980, \"Gini\": 0.285, \"Share01\": 5.438, \"Gini_99\": 0.231, \"Middle_class\": 0.658, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2660.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.952, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 17.097, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.496, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.006, \"Social_capital\": 2.706, \"Religious\": 0.593, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.68, \"Longitude\": -99.9901733398438, \"Latitude\": 39.7069816589355}, {\"ID\": 28603, \"Name\": \"Phillipsburg\", \"Mobility\": 0.1486486495, \"State\": \"KS\", \"Population\": 10537, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.007, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.652, \"Income\": 34879, \"Gini\": 0.331, \"Share01\": 10.852, \"Gini_99\": 0.222, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.507, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 15.222, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.098, \"Chinese_imports\": 2.728, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.311, \"Religious\": 0.765, \"Violent_crime\": 0.001, \"Single_mothers\": 0.114, \"Divorced\": 0.06, \"Married\": 0.668, \"Longitude\": -99.084831237793, \"Latitude\": 39.7482604980469}, {\"ID\": 28604, \"Name\": \"Colby\", \"Mobility\": 0.1958762854, \"State\": \"KS\", \"Population\": 17107, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.015, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.008, \"Commute\": 0.72, \"Income\": 36561, \"Gini\": 0.286, \"Share01\": 5.535, \"Gini_99\": 0.231, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3042.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.703, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 9.678, \"HS_dropout\": -0.025, \"Colleges\": 0.058, \"Tuition\": 1056.0, \"Graduation\": 0.147, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 2.534, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.117, \"Divorced\": 0.065, \"Married\": 0.643, \"Longitude\": -100.723945617676, \"Latitude\": 39.066593170166}, {\"ID\": 28605, \"Name\": \"Goodland\", \"Mobility\": 0.1949152499, \"State\": \"KS\", \"Population\": 8509, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.0, \"Commute\": 0.716, \"Income\": 32861, \"Gini\": 0.353, \"Share01\": 11.603, \"Gini_99\": 0.237, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2866.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.592, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -2.205, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.528, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.004, \"Foreign_born\": 0.019, \"Social_capital\": 2.447, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.13, \"Divorced\": 0.061, \"Married\": 0.605, \"Longitude\": -101.69017791748, \"Latitude\": 39.0880584716797}, {\"ID\": 28606, \"Name\": \"Wano\", \"Mobility\": 0.2045454532, \"State\": \"KS\", \"Population\": 5457, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.0, \"Commute\": 0.661, \"Income\": 36524, \"Gini\": 0.245, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2514.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.904, \"Student_teacher_ratio\": 12.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.023, \"Social_capital\": 2.323, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.114, \"Divorced\": 0.065, \"Married\": 0.661, \"Longitude\": -101.708808898926, \"Latitude\": 39.9409866333008}, {\"ID\": 28607, \"Name\": \"McCook\", \"Mobility\": 0.1824561357, \"State\": \"NE\", \"Population\": 19695, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.681, \"Income\": 32797, \"Gini\": 0.339, \"Share01\": 8.313, \"Gini_99\": 0.256, \"Middle_class\": 0.656, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2859.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.169, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 10.092, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.112, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.369, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.084, \"Married\": 0.633, \"Longitude\": -101.12816619873, \"Latitude\": 40.3337936401367}, {\"ID\": 28608, \"Name\": \"Kearney\", \"Mobility\": 0.1644295305, \"State\": \"NE\", \"Population\": 56033, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.068, \"Seg_income\": 0.04, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.049, \"Commute\": 0.603, \"Income\": 31135, \"Gini\": 0.379, \"Share01\": 13.401, \"Gini_99\": 0.245, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1721.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.265, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 10.943, \"HS_dropout\": -0.024, \"Colleges\": 0.018, \"Tuition\": 2243.0, \"Graduation\": 0.173, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.451, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.02, \"Foreign_born\": 0.022, \"Social_capital\": 1.265, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.567, \"Longitude\": -99.045539855957, \"Latitude\": 40.6866874694824}, {\"ID\": 28609, \"Name\": \"Lexington\", \"Mobility\": 0.1652777791, \"State\": \"NE\", \"Population\": 48464, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.308, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.642, \"Income\": 33765, \"Gini\": 0.304, \"Share01\": 6.246, \"Gini_99\": 0.242, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3189.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.039, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 7.094, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 2486.0, \"Graduation\": 0.116, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.083, \"Social_capital\": 1.83, \"Religious\": 0.797, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.073, \"Married\": 0.634, \"Longitude\": -99.8502349853516, \"Latitude\": 40.4506645202637}, {\"ID\": 28701, \"Name\": \"Salida\", \"Mobility\": 0.0894736871, \"State\": \"CO\", \"Population\": 16242, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.032, \"Seg_income\": 0.023, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.029, \"Commute\": 0.644, \"Income\": 33185, \"Gini\": 0.326, \"Share01\": 4.764, \"Gini_99\": 0.279, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1897.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 6.261, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.359, \"Teenage_labor\": 0.008, \"Migration_in\": 0.026, \"Migration_out\": 0.022, \"Foreign_born\": 0.02, \"Social_capital\": 0.35, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.64, \"Longitude\": -106.205490112305, \"Latitude\": 38.7574195861816}, {\"ID\": 28702, \"Name\": \"Glenwood Springs\", \"Mobility\": 0.1690140814, \"State\": \"CO\", \"Population\": 131682, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.035, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.042, \"Commute\": 0.424, \"Income\": 45256, \"Gini\": 0.528, \"Share01\": 29.671, \"Gini_99\": 0.232, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 5292.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 11.906, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -9.601, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1980.0, \"Graduation\": -0.35, \"Labor_force_participation\": 0.782, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.054, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.134, \"Social_capital\": -0.212, \"Religious\": 0.296, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.108, \"Married\": 0.521, \"Longitude\": -106.726539611816, \"Latitude\": 39.4495620727539}, {\"ID\": 28703, \"Name\": \"Granby\", \"Mobility\": 0.0754716992, \"State\": \"CO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.458, \"Income\": 40411, \"Gini\": 0.361, \"Share01\": 8.12, \"Gini_99\": 0.28, \"Middle_class\": 0.579, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 3926.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.111, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.263, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.771, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.247, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": 1.425, \"Religious\": 0.212, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.101, \"Married\": 0.574, \"Longitude\": -106.005493164062, \"Latitude\": 40.1051750183105}, {\"ID\": 28704, \"Name\": \"Laramie\", \"Mobility\": 0.1628664434, \"State\": \"WY\", \"Population\": 33591, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.036, \"Seg_income\": 0.059, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.074, \"Commute\": 0.755, \"Income\": 26024, \"Gini\": 0.457, \"Share01\": 22.854, \"Gini_99\": 0.229, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2985.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.262, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.725, \"HS_dropout\": 0.027, \"Colleges\": 0.06, \"Tuition\": 2166.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.676, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.403, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.041, \"Foreign_born\": 0.038, \"Social_capital\": 0.666, \"Religious\": 0.366, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.087, \"Married\": 0.458, \"Longitude\": -106.113212585449, \"Latitude\": 41.119514465332}, {\"ID\": 28800, \"Name\": \"Fort Collins\", \"Mobility\": 0.1153677776, \"State\": \"CO\", \"Population\": 459601, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.123, \"Seg_income\": 0.08, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.081, \"Commute\": 0.388, \"Income\": 37523, \"Gini\": 0.398, \"Share01\": 10.663, \"Gini_99\": 0.291, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 3164.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.458, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 0.13, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 2261.0, \"Graduation\": 0.129, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.907, \"Teenage_labor\": 0.005, \"Migration_in\": 0.04, \"Migration_out\": 0.03, \"Foreign_born\": 0.068, \"Social_capital\": -0.078, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.093, \"Married\": 0.567, \"Longitude\": -104.999366760254, \"Latitude\": 40.085018157959}, {\"ID\": 28900, \"Name\": \"Denver\", \"Mobility\": 0.0870277509, \"State\": \"CO\", \"Population\": 2449044, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.203, \"Seg_income\": 0.125, \"Seg_poverty\": 0.11, \"Seg_affluence\": 0.136, \"Commute\": 0.23, \"Income\": 46181, \"Gini\": 0.441, \"Share01\": 17.396, \"Gini_99\": 0.267, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3018.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.045, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -5.737, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 5826.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.09, \"Chinese_imports\": 1.228, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.107, \"Social_capital\": 0.317, \"Religious\": 0.392, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.115, \"Married\": 0.542, \"Longitude\": -105.126136779785, \"Latitude\": 39.8737144470215}, {\"ID\": 29001, \"Name\": \"Pratt\", \"Mobility\": 0.1551724076, \"State\": \"KS\", \"Population\": 18232, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.016, \"Seg_income\": 0.004, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.005, \"Commute\": 0.706, \"Income\": 35115, \"Gini\": 0.311, \"Share01\": 6.88, \"Gini_99\": 0.242, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2894.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.334, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 10.643, \"HS_dropout\": -0.027, \"Colleges\": 0.11, \"Tuition\": 1576.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.155, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.012, \"Social_capital\": 2.265, \"Religious\": 0.686, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.08, \"Married\": 0.641, \"Longitude\": -98.84619140625, \"Latitude\": 37.4480171203613}, {\"ID\": 29002, \"Name\": \"Coldwater\", \"Mobility\": null, \"State\": \"KS\", \"Population\": 1967, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.648, \"Income\": 37696, \"Gini\": 0.211, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.05, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 10.5, \"Student_teacher_ratio\": 9.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.059, \"Chinese_imports\": 0.124, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 0.777, \"Religious\": 0.743, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.08, \"Married\": 0.647, \"Longitude\": -99.2806625366211, \"Latitude\": 37.1599464416504}, {\"ID\": 29003, \"Name\": \"Dodge City\", \"Mobility\": 0.1133093536, \"State\": \"KS\", \"Population\": 42837, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.151, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.62, \"Income\": 31771, \"Gini\": 0.373, \"Share01\": 7.995, \"Gini_99\": 0.293, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2324.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.524, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.287, \"HS_dropout\": -0.022, \"Colleges\": 0.023, \"Tuition\": 1024.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.186, \"Social_capital\": 0.719, \"Religious\": 0.52, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.073, \"Married\": 0.605, \"Longitude\": -99.9319229125977, \"Latitude\": 37.6102981567383}, {\"ID\": 29004, \"Name\": \"Great Bend\", \"Mobility\": 0.1312803924, \"State\": \"KS\", \"Population\": 47227, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.59, \"Income\": 33946, \"Gini\": 0.288, \"Share01\": 5.615, \"Gini_99\": 0.232, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2292.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 9.964, \"HS_dropout\": -0.009, \"Colleges\": 0.021, \"Tuition\": 896.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.354, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.037, \"Social_capital\": 1.878, \"Religious\": 0.709, \"Violent_crime\": 0.001, \"Single_mothers\": 0.16, \"Divorced\": 0.091, \"Married\": 0.624, \"Longitude\": -99.0215377807617, \"Latitude\": 38.2106246948242}, {\"ID\": 29005, \"Name\": \"Hutchinson\", \"Mobility\": 0.1073891595, \"State\": \"KS\", \"Population\": 82076, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.082, \"Seg_income\": 0.043, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.047, \"Commute\": 0.522, \"Income\": 33452, \"Gini\": 0.352, \"Share01\": 8.738, \"Gini_99\": 0.265, \"Middle_class\": 0.629, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2086.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.078, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.217, \"HS_dropout\": -0.008, \"Colleges\": 0.024, \"Tuition\": 2482.0, \"Graduation\": -0.036, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.155, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.02, \"Social_capital\": 1.055, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -98.1981658935547, \"Latitude\": 38.2410125732422}, {\"ID\": 29006, \"Name\": \"Hays\", \"Mobility\": 0.1578947306, \"State\": \"KS\", \"Population\": 38196, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.039, \"Seg_income\": 0.031, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.038, \"Commute\": 0.711, \"Income\": 33330, \"Gini\": 0.327, \"Share01\": 8.124, \"Gini_99\": 0.246, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1881.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.468, \"Student_teacher_ratio\": 13.1, \"Test_scores\": 17.463, \"HS_dropout\": -0.012, \"Colleges\": 0.026, \"Tuition\": 1353.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.49, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.55, \"Longitude\": -99.2211227416992, \"Latitude\": 38.9188270568848}, {\"ID\": 29007, \"Name\": \"Township 11\", \"Mobility\": 0.1151079163, \"State\": \"KS\", \"Population\": 8631, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.026, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.63, \"Income\": 34104, \"Gini\": 0.28, \"Share01\": 7.854, \"Gini_99\": 0.202, \"Middle_class\": 0.702, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3309.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.61, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 8.363, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.02, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.009, \"Foreign_born\": 0.005, \"Social_capital\": 1.698, \"Religious\": 0.683, \"Violent_crime\": 0.0, \"Single_mothers\": 0.162, \"Divorced\": 0.09, \"Married\": 0.625, \"Longitude\": -99.6424331665039, \"Latitude\": 39.3125343322754}, {\"ID\": 29008, \"Name\": \"Center\", \"Mobility\": 0.1494252831, \"State\": \"KS\", \"Population\": 5609, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.01, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.671, \"Income\": 38615, \"Gini\": 0.286, \"Share01\": 4.858, \"Gini_99\": 0.238, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.285, \"Student_teacher_ratio\": 10.9, \"Test_scores\": 10.459, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.003, \"Foreign_born\": 0.007, \"Social_capital\": 2.434, \"Religious\": 0.888, \"Violent_crime\": 0.001, \"Single_mothers\": 0.105, \"Divorced\": 0.082, \"Married\": 0.63, \"Longitude\": -100.085990905762, \"Latitude\": 38.479606628418}, {\"ID\": 29101, \"Name\": \"Concordia\", \"Mobility\": 0.152823925, \"State\": \"KS\", \"Population\": 19894, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.009, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.62, \"Income\": 36131, \"Gini\": 0.329, \"Share01\": 9.884, \"Gini_99\": 0.23, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2256.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.398, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 9.956, \"HS_dropout\": -0.034, \"Colleges\": 0.05, \"Tuition\": 1020.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.101, \"Chinese_imports\": 2.339, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.011, \"Social_capital\": 2.373, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.075, \"Married\": 0.614, \"Longitude\": -97.8416595458984, \"Latitude\": 39.680534362793}, {\"ID\": 29102, \"Name\": \"Superior\", \"Mobility\": 0.1863353997, \"State\": \"NE\", \"Population\": 11112, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.008, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.634, \"Income\": 35206, \"Gini\": 0.419, \"Share01\": 20.119, \"Gini_99\": 0.218, \"Middle_class\": 0.685, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2611.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.74, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 10.549, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 2.516, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.064, \"Married\": 0.64, \"Longitude\": -97.8256378173828, \"Latitude\": 40.1240043640137}, {\"ID\": 29103, \"Name\": \"Beloit\", \"Mobility\": 0.1503759325, \"State\": \"KS\", \"Population\": 11384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.014, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.69, \"Income\": 36359, \"Gini\": 0.309, \"Share01\": 9.313, \"Gini_99\": 0.215, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.754, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 14.946, \"HS_dropout\": -0.023, \"Colleges\": 0.088, \"Tuition\": null, \"Graduation\": 0.417, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.23, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.018, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.075, \"Married\": 0.612, \"Longitude\": -98.4854736328125, \"Latitude\": 39.3434638977051}, {\"ID\": 29104, \"Name\": \"Salina\", \"Mobility\": 0.0829986632, \"State\": \"KS\", \"Population\": 63338, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.07, \"Seg_income\": 0.069, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.09, \"Commute\": 0.594, \"Income\": 35541, \"Gini\": 0.375, \"Share01\": 11.286, \"Gini_99\": 0.262, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1964.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.878, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.971, \"HS_dropout\": -0.021, \"Colleges\": 0.032, \"Tuition\": 5400.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.035, \"Social_capital\": 1.742, \"Religious\": 0.546, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.11, \"Married\": 0.59, \"Longitude\": -97.8871536254883, \"Latitude\": 39.0212440490723}, {\"ID\": 29201, \"Name\": \"Hiawatha\", \"Mobility\": 0.1718213111, \"State\": \"KS\", \"Population\": 21441, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.115, \"Seg_income\": 0.008, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.005, \"Commute\": 0.578, \"Income\": 34022, \"Gini\": 0.317, \"Share01\": 8.562, \"Gini_99\": 0.231, \"Middle_class\": 0.68, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1956.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.534, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 15.663, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.139, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": 2.298, \"Religious\": 0.744, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.079, \"Married\": 0.609, \"Longitude\": -95.8358383178711, \"Latitude\": 39.7535018920898}, {\"ID\": 29202, \"Name\": \"Marysville\", \"Mobility\": 0.145228222, \"State\": \"KS\", \"Population\": 17448, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.557, \"Income\": 34953, \"Gini\": 0.346, \"Share01\": 10.779, \"Gini_99\": 0.238, \"Middle_class\": 0.652, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 4099.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.199, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 20.071, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.715, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.009, \"Social_capital\": 2.206, \"Religious\": 0.776, \"Violent_crime\": 0.0, \"Single_mothers\": 0.104, \"Divorced\": 0.065, \"Married\": 0.633, \"Longitude\": -96.8196640014648, \"Latitude\": 39.7686767578125}, {\"ID\": 29203, \"Name\": \"Manhattan\", \"Mobility\": 0.0885311887, \"State\": \"KS\", \"Population\": 143269, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.139, \"Seg_income\": 0.051, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.049, \"Commute\": 0.558, \"Income\": 28788, \"Gini\": 0.324, \"Share01\": 6.743, \"Gini_99\": 0.257, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1680.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.102, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 14.006, \"HS_dropout\": -0.023, \"Colleges\": 0.021, \"Tuition\": 2356.0, \"Graduation\": 0.243, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.14, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.032, \"Foreign_born\": 0.046, \"Social_capital\": -0.177, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.081, \"Married\": 0.538, \"Longitude\": -96.5464096069336, \"Latitude\": 39.08251953125}, {\"ID\": 29204, \"Name\": \"Topeka\", \"Mobility\": 0.0704687983, \"State\": \"KS\", \"Population\": 324513, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.128, \"Seg_income\": 0.087, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.092, \"Commute\": 0.397, \"Income\": 35816, \"Gini\": 0.37, \"Share01\": 9.003, \"Gini_99\": 0.28, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2006.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.66, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 4.064, \"HS_dropout\": -0.006, \"Colleges\": 0.018, \"Tuition\": 3569.0, \"Graduation\": 0.143, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.509, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": 1.13, \"Religious\": 0.397, \"Violent_crime\": 0.0, \"Single_mothers\": 0.216, \"Divorced\": 0.107, \"Married\": 0.533, \"Longitude\": -95.847053527832, \"Latitude\": 39.0243988037109}, {\"ID\": 29301, \"Name\": \"Wichita\", \"Mobility\": 0.0722466931, \"State\": \"KS\", \"Population\": 553506, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.216, \"Seg_income\": 0.102, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.113, \"Commute\": 0.344, \"Income\": 38847, \"Gini\": 0.374, \"Share01\": 12.404, \"Gini_99\": 0.249, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2058.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.149, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -2.99, \"HS_dropout\": 0.01, \"Colleges\": 0.009, \"Tuition\": 2786.0, \"Graduation\": -0.09, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.244, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.018, \"Foreign_born\": 0.056, \"Social_capital\": 0.478, \"Religious\": 0.484, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.114, \"Married\": 0.577, \"Longitude\": -97.5765991210938, \"Latitude\": 37.520824432373}, {\"ID\": 29302, \"Name\": \"Newton\", \"Mobility\": 0.1034965068, \"State\": \"KS\", \"Population\": 75784, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.073, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.015, \"Commute\": 0.563, \"Income\": 36055, \"Gini\": 0.279, \"Share01\": 6.387, \"Gini_99\": 0.215, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2175.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.414, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 14.538, \"HS_dropout\": -0.022, \"Colleges\": 0.079, \"Tuition\": 11661.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.746, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 2.756, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.078, \"Married\": 0.628, \"Longitude\": -97.3318862915039, \"Latitude\": 38.2679824829102}, {\"ID\": 29303, \"Name\": \"Winfield\", \"Mobility\": 0.1098626703, \"State\": \"KS\", \"Population\": 51584, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.05, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.027, \"Commute\": 0.504, \"Income\": 33686, \"Gini\": 0.362, \"Share01\": 12.208, \"Gini_99\": 0.24, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2477.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.473, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 4.974, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3652.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.923, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.021, \"Foreign_born\": 0.02, \"Social_capital\": 0.598, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.102, \"Married\": 0.606, \"Longitude\": -96.3221664428711, \"Latitude\": 37.460880279541}, {\"ID\": 29401, \"Name\": \"Ottawa\", \"Mobility\": 0.0926395953, \"State\": \"KS\", \"Population\": 51067, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.039, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.02, \"Commute\": 0.444, \"Income\": 32282, \"Gini\": 0.302, \"Share01\": 6.638, \"Gini_99\": 0.235, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2317.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.182, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 5.142, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3650.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.182, \"Chinese_imports\": 0.927, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.836, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.101, \"Married\": 0.598, \"Longitude\": -95.3749542236328, \"Latitude\": 38.2016677856445}, {\"ID\": 29402, \"Name\": \"Emporia\", \"Mobility\": 0.1094017103, \"State\": \"KS\", \"Population\": 47830, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.147, \"Seg_income\": 0.033, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.039, \"Commute\": 0.595, \"Income\": 29885, \"Gini\": 0.313, \"Share01\": 6.731, \"Gini_99\": 0.246, \"Middle_class\": 0.63, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2568.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.784, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.357, \"HS_dropout\": -0.023, \"Colleges\": 0.042, \"Tuition\": 1692.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.198, \"Chinese_imports\": 0.225, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.02, \"Foreign_born\": 0.07, \"Social_capital\": 0.753, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.092, \"Married\": 0.558, \"Longitude\": -96.1186904907227, \"Latitude\": 38.3217277526855}, {\"ID\": 29403, \"Name\": \"Bartlesville\", \"Mobility\": 0.089498803, \"State\": \"KS\", \"Population\": 145981, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.099, \"Seg_income\": 0.045, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.053, \"Commute\": 0.529, \"Income\": 34266, \"Gini\": 0.387, \"Share01\": 7.497, \"Gini_99\": 0.312, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.039, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 1.513, \"HS_dropout\": -0.007, \"Colleges\": 0.034, \"Tuition\": 1865.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.122, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.883, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.2, \"Divorced\": 0.107, \"Married\": 0.606, \"Longitude\": -95.5712280273438, \"Latitude\": 37.1653289794922}, {\"ID\": 29501, \"Name\": \"Leavenworth\", \"Mobility\": 0.0803461075, \"State\": \"KS\", \"Population\": 85465, \"Urban\": 1, \"Black\": 0.092, \"Seg_racial\": 0.089, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.072, \"Commute\": 0.425, \"Income\": 33080, \"Gini\": 0.296, \"Share01\": 5.759, \"Gini_99\": 0.239, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1378.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.836, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.203, \"HS_dropout\": 0.0, \"Colleges\": 0.023, \"Tuition\": 12305.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.411, \"Teenage_labor\": 0.005, \"Migration_in\": 0.047, \"Migration_out\": 0.048, \"Foreign_born\": 0.023, \"Social_capital\": -0.548, \"Religious\": 0.378, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.136, \"Married\": 0.564, \"Longitude\": -95.0571975708008, \"Latitude\": 39.2769317626953}, {\"ID\": 29502, \"Name\": \"Kansas City\", \"Mobility\": 0.0701465756, \"State\": \"MO\", \"Population\": 1762873, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.306, \"Seg_income\": 0.121, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.134, \"Commute\": 0.281, \"Income\": 42531, \"Gini\": 0.437, \"Share01\": 14.187, \"Gini_99\": 0.296, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.787, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.508, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.045, \"Social_capital\": 0.185, \"Religious\": 0.487, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.113, \"Married\": 0.556, \"Longitude\": -94.3817443847656, \"Latitude\": 38.8295593261719}, {\"ID\": 29503, \"Name\": \"St. Joseph\", \"Mobility\": 0.0831134543, \"State\": \"MO\", \"Population\": 158300, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.037, \"Commute\": 0.406, \"Income\": 32194, \"Gini\": 0.366, \"Share01\": 8.984, \"Gini_99\": 0.277, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1386.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -0.567, \"HS_dropout\": -0.015, \"Colleges\": 0.019, \"Tuition\": 2148.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": 0.698, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.116, \"Married\": 0.562, \"Longitude\": -94.72216796875, \"Latitude\": 39.8095703125}, {\"ID\": 29504, \"Name\": \"Sedalia\", \"Mobility\": 0.0825631544, \"State\": \"MO\", \"Population\": 88232, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.104, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 31289, \"Gini\": 0.37, \"Share01\": 8.315, \"Gini_99\": 0.287, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2237.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.665, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -2.015, \"HS_dropout\": -0.007, \"Colleges\": 0.011, \"Tuition\": 1950.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.202, \"Chinese_imports\": 2.752, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.018, \"Foreign_born\": 0.017, \"Social_capital\": 0.7, \"Religious\": 0.578, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.116, \"Married\": 0.602, \"Longitude\": -93.558349609375, \"Latitude\": 38.2539405822754}, {\"ID\": 29505, \"Name\": \"Polk\", \"Mobility\": 0.1127450988, \"State\": \"MO\", \"Population\": 33693, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.569, \"Income\": 27754, \"Gini\": 0.312, \"Share01\": 6.424, \"Gini_99\": 0.248, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1336.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.779, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 3.919, \"HS_dropout\": -0.02, \"Colleges\": 0.059, \"Tuition\": 2369.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.169, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.927, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.146, \"Divorced\": 0.077, \"Married\": 0.53, \"Longitude\": -95.2944183349609, \"Latitude\": 40.2349052429199}, {\"ID\": 29506, \"Name\": \"Bethany\", \"Mobility\": 0.1208459213, \"State\": \"MO\", \"Population\": 18093, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.007, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.006, \"Commute\": 0.468, \"Income\": 31181, \"Gini\": 0.295, \"Share01\": 6.668, \"Gini_99\": 0.228, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1696.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.239, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 1.058, \"HS_dropout\": -0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 2.356, \"Religious\": 0.751, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.088, \"Married\": 0.628, \"Longitude\": -94.2919845581055, \"Latitude\": 40.3535690307617}, {\"ID\": 29601, \"Name\": \"Columbia\", \"Mobility\": 0.0655129775, \"State\": \"MO\", \"Population\": 302388, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.131, \"Seg_income\": 0.075, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.068, \"Commute\": 0.422, \"Income\": 32705, \"Gini\": 0.39, \"Share01\": 11.061, \"Gini_99\": 0.279, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1593.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.346, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 1.566, \"HS_dropout\": -0.004, \"Colleges\": 0.033, \"Tuition\": 5571.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.092, \"Chinese_imports\": 2.119, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 1.107, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.102, \"Married\": 0.527, \"Longitude\": -92.4945755004883, \"Latitude\": 38.809684753418}, {\"ID\": 29602, \"Name\": \"Eldon\", \"Mobility\": 0.0677856654, \"State\": \"MO\", \"Population\": 79924, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.023, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.027, \"Commute\": 0.336, \"Income\": 34165, \"Gini\": 0.401, \"Share01\": 7.975, \"Gini_99\": 0.321, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1062.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.582, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.124, \"Chinese_imports\": 1.891, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.011, \"Social_capital\": -0.929, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.106, \"Married\": 0.629, \"Longitude\": -92.6218490600586, \"Latitude\": 38.1600875854492}, {\"ID\": 29700, \"Name\": \"Springfield\", \"Mobility\": 0.0714676157, \"State\": \"MO\", \"Population\": 440866, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.067, \"Seg_income\": 0.073, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.084, \"Commute\": 0.344, \"Income\": 31926, \"Gini\": 0.463, \"Share01\": 12.472, \"Gini_99\": 0.338, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1639.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.77, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 3.364, \"HS_dropout\": 0.002, \"Colleges\": 0.023, \"Tuition\": 5048.0, \"Graduation\": 0.027, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.144, \"Chinese_imports\": 4.333, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 0.311, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.586, \"Longitude\": -92.9565582275391, \"Latitude\": 37.4749717712402}, {\"ID\": 29800, \"Name\": \"Aurora\", \"Mobility\": 0.0748914629, \"State\": \"MO\", \"Population\": 137575, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.053, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.363, \"Income\": 31417, \"Gini\": 0.384, \"Share01\": 9.762, \"Gini_99\": 0.287, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1288.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.398, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -0.8, \"HS_dropout\": 0.001, \"Colleges\": 0.007, \"Tuition\": null, \"Graduation\": 0.263, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.174, \"Chinese_imports\": 5.418, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.161, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.629, \"Longitude\": -93.4975433349609, \"Latitude\": 36.802604675293}, {\"ID\": 29901, \"Name\": \"Joplin\", \"Mobility\": 0.0722867027, \"State\": \"MO\", \"Population\": 266742, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.101, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.026, \"Commute\": 0.454, \"Income\": 30456, \"Gini\": 0.428, \"Share01\": 12.377, \"Gini_99\": 0.304, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1445.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 1.806, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1858.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.212, \"Chinese_imports\": 2.265, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": 0.232, \"Religious\": 0.558, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.111, \"Married\": 0.581, \"Longitude\": -94.7157211303711, \"Latitude\": 37.2266082763672}, {\"ID\": 29902, \"Name\": \"Center\", \"Mobility\": 0.0856643394, \"State\": \"MO\", \"Population\": 54651, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.014, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.467, \"Income\": 28968, \"Gini\": 0.342, \"Share01\": 6.683, \"Gini_99\": 0.275, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.534, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.341, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 8800.0, \"Graduation\": 0.247, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.216, \"Chinese_imports\": 2.036, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.415, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -94.0962448120117, \"Latitude\": 37.7702980041504}, {\"ID\": 30000, \"Name\": \"Russellville\", \"Mobility\": 0.0887360871, \"State\": \"AR\", \"Population\": 138646, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.108, \"Seg_income\": 0.021, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.035, \"Commute\": 0.404, \"Income\": 28758, \"Gini\": 0.444, \"Share01\": 10.927, \"Gini_99\": 0.335, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1303.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.529, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.951, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 3395.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.252, \"Chinese_imports\": 3.638, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.033, \"Social_capital\": -0.927, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.615, \"Longitude\": -93.5011291503906, \"Latitude\": 35.2363166809082}, {\"ID\": 30100, \"Name\": \"Fort Smith\", \"Mobility\": 0.0939385965, \"State\": \"AR\", \"Population\": 332832, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.371, \"Income\": 29347, \"Gini\": 0.441, \"Share01\": 10.514, \"Gini_99\": 0.336, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1414.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.869, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.179, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 1241.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.222, \"Chinese_imports\": 1.529, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.036, \"Social_capital\": -0.835, \"Religious\": 0.619, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.119, \"Married\": 0.602, \"Longitude\": -94.6526184082031, \"Latitude\": 35.1809616088867}, {\"ID\": 30200, \"Name\": \"Muskogee\", \"Mobility\": 0.0631011054, \"State\": \"OK\", \"Population\": 152466, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.113, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.027, \"Commute\": 0.388, \"Income\": 27011, \"Gini\": 0.476, \"Share01\": 14.553, \"Gini_99\": 0.33, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2018.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.189, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.951, \"HS_dropout\": 0.004, \"Colleges\": 0.02, \"Tuition\": 4006.0, \"Graduation\": -0.094, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.018, \"Social_capital\": -0.712, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.117, \"Married\": 0.575, \"Longitude\": -95.3609848022461, \"Latitude\": 35.6208419799805}, {\"ID\": 30300, \"Name\": \"Fayetteville\", \"Mobility\": 0.0918065161, \"State\": \"AR\", \"Population\": 384122, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.151, \"Seg_income\": 0.046, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.378, \"Income\": 32612, \"Gini\": 0.545, \"Share01\": 20.44, \"Gini_99\": 0.341, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1293.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.063, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 1.533, \"HS_dropout\": 0.014, \"Colleges\": 0.008, \"Tuition\": 3621.0, \"Graduation\": 0.105, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.225, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.016, \"Foreign_born\": 0.061, \"Social_capital\": -0.967, \"Religious\": 0.512, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.103, \"Married\": 0.617, \"Longitude\": -93.9666748046875, \"Latitude\": 36.1406059265137}, {\"ID\": 30401, \"Name\": \"Stillwater\", \"Mobility\": 0.0984643176, \"State\": \"OK\", \"Population\": 79601, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.047, \"Seg_income\": 0.072, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.068, \"Commute\": 0.568, \"Income\": 26432, \"Gini\": 0.408, \"Share01\": 8.371, \"Gini_99\": 0.324, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.159, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.166, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1890.0, \"Graduation\": 0.218, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.493, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.033, \"Foreign_born\": 0.04, \"Social_capital\": 0.074, \"Religious\": 0.554, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.089, \"Married\": 0.491, \"Longitude\": -97.0795364379883, \"Latitude\": 36.2519454956055}, {\"ID\": 30402, \"Name\": \"Tulsa\", \"Mobility\": 0.0783574954, \"State\": \"OK\", \"Population\": 921246, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.167, \"Seg_income\": 0.091, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.108, \"Commute\": 0.323, \"Income\": 36227, \"Gini\": 0.493, \"Share01\": 14.218, \"Gini_99\": 0.351, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.642, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -5.513, \"HS_dropout\": 0.016, \"Colleges\": 0.01, \"Tuition\": 4752.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.038, \"Social_capital\": -0.121, \"Religious\": 0.539, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.579, \"Longitude\": -96.0058746337891, \"Latitude\": 36.3555793762207}, {\"ID\": 30403, \"Name\": \"Okmulgee\", \"Mobility\": 0.0810611621, \"State\": \"OK\", \"Population\": 51499, \"Urban\": 1, \"Black\": 0.102, \"Seg_racial\": 0.074, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.025, \"Commute\": 0.369, \"Income\": 26343, \"Gini\": 0.392, \"Share01\": 7.645, \"Gini_99\": 0.316, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.683, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.907, \"HS_dropout\": -0.009, \"Colleges\": 0.019, \"Tuition\": 1320.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.266, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.03, \"Foreign_born\": 0.009, \"Social_capital\": -0.717, \"Religious\": 0.56, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.113, \"Married\": 0.575, \"Longitude\": -96.2062530517578, \"Latitude\": 35.5346832275391}, {\"ID\": 30501, \"Name\": \"Woodward\", \"Mobility\": 0.200000003, \"State\": \"OK\", \"Population\": 26123, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.049, \"Seg_income\": 0.014, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.02, \"Commute\": 0.556, \"Income\": 32076, \"Gini\": 0.36, \"Share01\": 9.308, \"Gini_99\": 0.267, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.339, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.373, \"HS_dropout\": 0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.127, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -0.036, \"Religious\": 0.811, \"Violent_crime\": 0.001, \"Single_mothers\": 0.162, \"Divorced\": 0.102, \"Married\": 0.637, \"Longitude\": -99.5493392944336, \"Latitude\": 36.3311462402344}, {\"ID\": 30502, \"Name\": \"Enid\", \"Mobility\": 0.1492687911, \"State\": \"OK\", \"Population\": 102415, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.079, \"Seg_income\": 0.034, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.561, \"Income\": 31507, \"Gini\": 0.372, \"Share01\": 8.515, \"Gini_99\": 0.287, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.108, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 0.799, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 1584.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.097, \"Chinese_imports\": 0.179, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.78, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.598, \"Longitude\": -98.6559677124023, \"Latitude\": 36.3940048217773}, {\"ID\": 30601, \"Name\": \"El Paso\", \"Mobility\": 0.0864412785, \"State\": \"TX\", \"Population\": 857648, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.169, \"Seg_income\": 0.096, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.106, \"Commute\": 0.28, \"Income\": 25721, \"Gini\": 0.534, \"Share01\": 13.174, \"Gini_99\": 0.403, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.51, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -6.376, \"HS_dropout\": 0.008, \"Colleges\": 0.009, \"Tuition\": 1436.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.129, \"Chinese_imports\": 2.135, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.025, \"Foreign_born\": 0.257, \"Social_capital\": -1.899, \"Religious\": 0.662, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.092, \"Married\": 0.548, \"Longitude\": -105.859382629395, \"Latitude\": 31.5354995727539}, {\"ID\": 30602, \"Name\": \"Alamogordo\", \"Mobility\": 0.0849557519, \"State\": \"NM\", \"Population\": 81709, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.133, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.447, \"Income\": 29489, \"Gini\": 0.38, \"Share01\": 7.508, \"Gini_99\": 0.305, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1520.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.472, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -5.96, \"HS_dropout\": -0.025, \"Colleges\": 0.024, \"Tuition\": 864.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.943, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.029, \"Foreign_born\": 0.081, \"Social_capital\": -0.483, \"Religious\": 0.462, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.111, \"Married\": 0.602, \"Longitude\": -105.501594543457, \"Latitude\": 33.1880378723145}, {\"ID\": 30603, \"Name\": \"Truth or Consequences\", \"Mobility\": 0.081272088, \"State\": \"NM\", \"Population\": 13270, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.009, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.01, \"Commute\": 0.6, \"Income\": 32267, \"Gini\": 0.347, \"Share01\": 5.967, \"Gini_99\": 0.287, \"Middle_class\": 0.457, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1867.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.238, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -18.629, \"HS_dropout\": 0.037, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.066, \"Social_capital\": -1.349, \"Religious\": 0.359, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.146, \"Married\": 0.557, \"Longitude\": -107.568260192871, \"Latitude\": 32.9778213500977}, {\"ID\": 30604, \"Name\": \"Deming\", \"Mobility\": 0.0697278902, \"State\": \"NM\", \"Population\": 61950, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.072, \"Seg_income\": 0.036, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.034, \"Commute\": 0.51, \"Income\": 26356, \"Gini\": 0.381, \"Share01\": 7.628, \"Gini_99\": 0.305, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2356.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.444, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.654, \"HS_dropout\": -0.017, \"Colleges\": 0.016, \"Tuition\": 1262.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.071, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.106, \"Social_capital\": -0.614, \"Religious\": 0.673, \"Violent_crime\": 0.002, \"Single_mothers\": 0.254, \"Divorced\": 0.113, \"Married\": 0.559, \"Longitude\": -107.963706970215, \"Latitude\": 32.6858901977539}, {\"ID\": 30605, \"Name\": \"Van Horn\", \"Mobility\": 0.2234636843, \"State\": \"TX\", \"Population\": 2975, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.753, \"Income\": 21738, \"Gini\": 0.441, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.059, \"Local_gov_spending\": 2144.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.778, \"Student_teacher_ratio\": 13.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.474, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.152, \"Social_capital\": -1.035, \"Religious\": 0.959, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -104.736427307129, \"Latitude\": 31.2084007263184}, {\"ID\": 30701, \"Name\": \"Roswell\", \"Mobility\": 0.1166123748, \"State\": \"NM\", \"Population\": 113040, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.073, \"Seg_income\": 0.037, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.046, \"Commute\": 0.539, \"Income\": 30443, \"Gini\": 0.452, \"Share01\": 10.401, \"Gini_99\": 0.348, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.614, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -10.46, \"HS_dropout\": -0.009, \"Colleges\": 0.035, \"Tuition\": 894.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.08, \"Chinese_imports\": 0.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.085, \"Social_capital\": 0.317, \"Religious\": 0.674, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.109, \"Married\": 0.569, \"Longitude\": -104.325439453125, \"Latitude\": 33.1401672363281}, {\"ID\": 30702, \"Name\": \"Santa Rosa\", \"Mobility\": 0.1204819307, \"State\": \"NM\", \"Population\": 6920, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.152, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.702, \"Income\": 22180, \"Gini\": 0.381, \"Share01\": 11.46, \"Gini_99\": 0.266, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2393.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.364, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -9.72, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.487, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.011, \"Foreign_born\": 0.037, \"Social_capital\": 0.118, \"Religious\": 0.918, \"Violent_crime\": 0.004, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.559, \"Longitude\": -104.565170288086, \"Latitude\": 34.5060882568359}, {\"ID\": 30801, \"Name\": \"Hobbs\", \"Mobility\": 0.1619496793, \"State\": \"NM\", \"Population\": 90061, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.033, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.035, \"Commute\": 0.598, \"Income\": 27195, \"Gini\": 0.428, \"Share01\": 9.764, \"Gini_99\": 0.331, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2154.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.976, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -7.005, \"HS_dropout\": -0.017, \"Colleges\": 0.022, \"Tuition\": 981.0, \"Graduation\": -0.193, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.124, \"Social_capital\": -1.065, \"Religious\": 0.819, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.084, \"Married\": 0.613, \"Longitude\": -103.114616394043, \"Latitude\": 32.8736839294434}, {\"ID\": 30802, \"Name\": \"Lubbock\", \"Mobility\": 0.0673753768, \"State\": \"TX\", \"Population\": 287568, \"Urban\": 1, \"Black\": 0.069, \"Seg_racial\": 0.184, \"Seg_income\": 0.08, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.096, \"Commute\": 0.449, \"Income\": 30597, \"Gini\": 0.525, \"Share01\": 12.472, \"Gini_99\": 0.401, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2460.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.336, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 4.305, \"HS_dropout\": -0.007, \"Colleges\": 0.017, \"Tuition\": 2381.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.037, \"Social_capital\": -0.877, \"Religious\": 0.639, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -101.969863891602, \"Latitude\": 33.3977088928223}, {\"ID\": 30901, \"Name\": \"Clovis\", \"Mobility\": 0.0828157365, \"State\": \"NM\", \"Population\": 73078, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.1, \"Seg_income\": 0.055, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.061, \"Commute\": 0.617, \"Income\": 28205, \"Gini\": 0.436, \"Share01\": 13.37, \"Gini_99\": 0.302, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1511.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.674, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -7.413, \"HS_dropout\": -0.014, \"Colleges\": 0.027, \"Tuition\": 1221.0, \"Graduation\": -0.108, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.13, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.079, \"Social_capital\": -0.742, \"Religious\": 0.639, \"Violent_crime\": 0.001, \"Single_mothers\": 0.214, \"Divorced\": 0.099, \"Married\": 0.587, \"Longitude\": -103.358520507812, \"Latitude\": 34.3509559631348}, {\"ID\": 30902, \"Name\": \"Littlefield\", \"Mobility\": 0.0803662241, \"State\": \"TX\", \"Population\": 29588, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.038, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.607, \"Income\": 29302, \"Gini\": 0.434, \"Share01\": 9.154, \"Gini_99\": 0.342, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.744, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 3.218, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.041, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.022, \"Foreign_born\": 0.093, \"Social_capital\": -0.861, \"Religious\": 0.866, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.619, \"Longitude\": -102.468887329102, \"Latitude\": 34.2419090270996}, {\"ID\": 30903, \"Name\": \"Amarillo\", \"Mobility\": 0.0861367062, \"State\": \"TX\", \"Population\": 240752, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.223, \"Seg_income\": 0.079, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.099, \"Commute\": 0.438, \"Income\": 33188, \"Gini\": 0.51, \"Share01\": 15.757, \"Gini_99\": 0.352, \"Middle_class\": 0.512, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2112.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.695, \"HS_dropout\": -0.005, \"Colleges\": 0.008, \"Tuition\": 1254.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.335, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.066, \"Social_capital\": -0.469, \"Religious\": 0.701, \"Violent_crime\": 0.002, \"Single_mothers\": 0.22, \"Divorced\": 0.107, \"Married\": 0.583, \"Longitude\": -102.076210021973, \"Latitude\": 35.016960144043}, {\"ID\": 30904, \"Name\": \"Pampa\", \"Mobility\": 0.1533333361, \"State\": \"TX\", \"Population\": 57355, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.103, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.06, \"Commute\": 0.549, \"Income\": 33957, \"Gini\": 0.355, \"Share01\": 8.602, \"Gini_99\": 0.269, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.538, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 3.792, \"HS_dropout\": -0.017, \"Colleges\": 0.017, \"Tuition\": 800.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.049, \"Social_capital\": 0.063, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -100.796180725098, \"Latitude\": 35.6877746582031}, {\"ID\": 30905, \"Name\": \"Wellington\", \"Mobility\": 0.1336405575, \"State\": \"TX\", \"Population\": 8490, \"Urban\": 0, \"Black\": 0.036, \"Seg_racial\": 0.04, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.006, \"Commute\": 0.64, \"Income\": 32499, \"Gini\": 0.392, \"Share01\": 6.738, \"Gini_99\": 0.325, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2584.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.345, \"Student_teacher_ratio\": 10.5, \"Test_scores\": 8.86, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.049, \"Social_capital\": 0.756, \"Religious\": 0.809, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.071, \"Married\": 0.655, \"Longitude\": -100.259323120117, \"Latitude\": 35.1179351806641}, {\"ID\": 30906, \"Name\": \"Memphis\", \"Mobility\": 0.1171548143, \"State\": \"TX\", \"Population\": 9400, \"Urban\": 0, \"Black\": 0.052, \"Seg_racial\": 0.071, \"Seg_income\": 0.012, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.013, \"Commute\": 0.601, \"Income\": 29000, \"Gini\": 0.379, \"Share01\": 8.488, \"Gini_99\": 0.294, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.922, \"Student_teacher_ratio\": 10.7, \"Test_scores\": 8.631, \"HS_dropout\": -0.031, \"Colleges\": 0.106, \"Tuition\": 432.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.053, \"Social_capital\": 0.679, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.169, \"Divorced\": 0.087, \"Married\": 0.622, \"Longitude\": -100.850151062012, \"Latitude\": 34.5850830078125}, {\"ID\": 30907, \"Name\": \"Matador\", \"Mobility\": null, \"State\": \"TX\", \"Population\": 1426, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.582, \"Income\": 36160, \"Gini\": 0.471, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1490.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.484, \"Student_teacher_ratio\": 10.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.079, \"Chinese_imports\": 1.061, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.032, \"Social_capital\": 1.841, \"Religious\": 0.82, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.07, \"Married\": 0.646, \"Longitude\": -100.855758666992, \"Latitude\": 34.0759429931641}, {\"ID\": 30908, \"Name\": \"Plainview\", \"Mobility\": 0.0848522931, \"State\": \"TX\", \"Population\": 52751, \"Urban\": 0, \"Black\": 0.053, \"Seg_racial\": 0.068, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.612, \"Income\": 27000, \"Gini\": 0.417, \"Share01\": 7.827, \"Gini_99\": 0.339, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1603.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.729, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 5.612, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7500.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.077, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.072, \"Social_capital\": -0.417, \"Religious\": 0.874, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.615, \"Longitude\": -101.677635192871, \"Latitude\": 34.2349853515625}, {\"ID\": 31001, \"Name\": \"Garden City\", \"Mobility\": 0.1089108884, \"State\": \"KS\", \"Population\": 52031, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.015, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.021, \"Commute\": 0.586, \"Income\": 30158, \"Gini\": 0.37, \"Share01\": 8.429, \"Gini_99\": 0.286, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.047, \"Local_gov_spending\": 2953.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.504, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -1.545, \"HS_dropout\": -0.004, \"Colleges\": 0.019, \"Tuition\": 992.0, \"Graduation\": -0.031, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.018, \"Foreign_born\": 0.207, \"Social_capital\": 0.517, \"Religious\": 0.55, \"Violent_crime\": 0.002, \"Single_mothers\": 0.16, \"Divorced\": 0.079, \"Married\": 0.614, \"Longitude\": -101.044975280762, \"Latitude\": 37.9037780761719}, {\"ID\": 31002, \"Name\": \"Ulysses\", \"Mobility\": 0.190721646, \"State\": \"KS\", \"Population\": 15778, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.019, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.685, \"Income\": 34785, \"Gini\": 0.305, \"Share01\": 5.824, \"Gini_99\": 0.247, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.073, \"Local_gov_spending\": 3487.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 9.888, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -3.071, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.029, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.123, \"Social_capital\": 0.8, \"Religious\": 0.69, \"Violent_crime\": 0.002, \"Single_mothers\": 0.116, \"Divorced\": 0.074, \"Married\": 0.658, \"Longitude\": -101.449340820312, \"Latitude\": 37.4209480285645}, {\"ID\": 31003, \"Name\": \"Scott City\", \"Mobility\": 0.191304341, \"State\": \"KS\", \"Population\": 9185, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.035, \"Seg_income\": 0.004, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.007, \"Commute\": 0.658, \"Income\": 39001, \"Gini\": 0.32, \"Share01\": 5.73, \"Gini_99\": 0.262, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2291.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.577, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 15.348, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.097, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.003, \"Foreign_born\": 0.051, \"Social_capital\": 1.959, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.128, \"Divorced\": 0.075, \"Married\": 0.659, \"Longitude\": -101.361518859863, \"Latitude\": 38.4598960876465}, {\"ID\": 31004, \"Name\": \"Liberal\", \"Mobility\": 0.1211453751, \"State\": \"KS\", \"Population\": 32998, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.16, \"Seg_income\": 0.02, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.033, \"Commute\": 0.642, \"Income\": 30590, \"Gini\": 0.34, \"Share01\": 7.505, \"Gini_99\": 0.265, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2769.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.555, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -8.461, \"HS_dropout\": 0.023, \"Colleges\": 0.03, \"Tuition\": 1024.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.173, \"Chinese_imports\": 0.173, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.209, \"Social_capital\": 1.114, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.147, \"Divorced\": 0.079, \"Married\": 0.626, \"Longitude\": -100.481628417969, \"Latitude\": 37.0461921691895}, {\"ID\": 31005, \"Name\": \"Perryton\", \"Mobility\": 0.2328358144, \"State\": \"TX\", \"Population\": 17432, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.059, \"Seg_income\": 0.008, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.009, \"Commute\": 0.632, \"Income\": 33736, \"Gini\": 0.366, \"Share01\": 8.223, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.59, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 4.529, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.08, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.151, \"Social_capital\": 0.396, \"Religious\": 0.779, \"Violent_crime\": 0.002, \"Single_mothers\": 0.124, \"Divorced\": 0.074, \"Married\": 0.677, \"Longitude\": -100.772438049316, \"Latitude\": 36.3008232116699}, {\"ID\": 31006, \"Name\": \"Guymon\", \"Mobility\": 0.1617021263, \"State\": \"OK\", \"Population\": 29937, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.043, \"Seg_income\": 0.007, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.609, \"Income\": 30685, \"Gini\": 0.339, \"Share01\": 6.358, \"Gini_99\": 0.276, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2403.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.397, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 0.488, \"HS_dropout\": -0.016, \"Colleges\": 0.033, \"Tuition\": 1470.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.12, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.149, \"Social_capital\": 0.789, \"Religious\": 0.843, \"Violent_crime\": 0.003, \"Single_mothers\": 0.125, \"Divorced\": 0.073, \"Married\": 0.641, \"Longitude\": -101.82502746582, \"Latitude\": 36.7060203552246}, {\"ID\": 31007, \"Name\": \"Dumas\", \"Mobility\": 0.1360153258, \"State\": \"TX\", \"Population\": 31880, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.082, \"Seg_income\": 0.021, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.023, \"Commute\": 0.611, \"Income\": 29327, \"Gini\": 0.334, \"Share01\": 5.804, \"Gini_99\": 0.276, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 1967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.242, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 2.879, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.206, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.151, \"Social_capital\": -0.356, \"Religious\": 0.568, \"Violent_crime\": 0.002, \"Single_mothers\": 0.142, \"Divorced\": 0.072, \"Married\": 0.665, \"Longitude\": -102.514724731445, \"Latitude\": 35.9725379943848}, {\"ID\": 31101, \"Name\": \"Victoria\", \"Mobility\": 0.1014729962, \"State\": \"TX\", \"Population\": 165277, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.12, \"Seg_income\": 0.047, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.06, \"Commute\": 0.425, \"Income\": 33599, \"Gini\": 0.472, \"Share01\": 12.592, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2667.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.359, \"HS_dropout\": 0.006, \"Colleges\": 0.006, \"Tuition\": 1194.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.161, \"Chinese_imports\": 0.809, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.449, \"Religious\": 0.703, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.092, \"Married\": 0.592, \"Longitude\": -96.8904342651367, \"Latitude\": 28.643892288208}, {\"ID\": 31102, \"Name\": \"La Grange\", \"Mobility\": 0.114014253, \"State\": \"TX\", \"Population\": 42194, \"Urban\": 0, \"Black\": 0.106, \"Seg_racial\": 0.075, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.457, \"Income\": 36151, \"Gini\": 0.518, \"Share01\": 20.962, \"Gini_99\": 0.309, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1581.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.745, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 2.489, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.068, \"Social_capital\": 0.372, \"Religious\": 0.723, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.069, \"Married\": 0.6, \"Longitude\": -96.6481399536133, \"Latitude\": 29.8095932006836}, {\"ID\": 31103, \"Name\": \"Gonzales\", \"Mobility\": 0.0696202517, \"State\": \"TX\", \"Population\": 18628, \"Urban\": 0, \"Black\": 0.08, \"Seg_racial\": 0.046, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.02, \"Commute\": 0.492, \"Income\": 28893, \"Gini\": 0.442, \"Share01\": 13.004, \"Gini_99\": 0.312, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2045.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.388, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -1.242, \"HS_dropout\": -0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.759, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -0.823, \"Religious\": 0.584, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.088, \"Married\": 0.572, \"Longitude\": -97.4857635498047, \"Latitude\": 29.4550743103027}, {\"ID\": 31201, \"Name\": \"Austin\", \"Mobility\": 0.0693216324, \"State\": \"TX\", \"Population\": 1298076, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.171, \"Seg_income\": 0.138, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.152, \"Commute\": 0.249, \"Income\": 41322, \"Gini\": 0.542, \"Share01\": 22.009, \"Gini_99\": 0.321, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 3399.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.891, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -2.109, \"HS_dropout\": 0.002, \"Colleges\": 0.008, \"Tuition\": 3161.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.139, \"Chinese_imports\": 2.074, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.027, \"Foreign_born\": 0.12, \"Social_capital\": -0.191, \"Religious\": 0.453, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.103, \"Married\": 0.523, \"Longitude\": -97.3492889404297, \"Latitude\": 30.3460788726807}, {\"ID\": 31202, \"Name\": \"Burnet\", \"Mobility\": 0.0947368443, \"State\": \"TX\", \"Population\": 51191, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.03, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.041, \"Commute\": 0.349, \"Income\": 41431, \"Gini\": 0.457, \"Share01\": 11.996, \"Gini_99\": 0.337, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2038.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.983, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 10.297, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.649, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.025, \"Foreign_born\": 0.044, \"Social_capital\": 0.27, \"Religious\": 0.501, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.1, \"Married\": 0.656, \"Longitude\": -98.3323822021484, \"Latitude\": 30.7476081848145}, {\"ID\": 31301, \"Name\": \"San Antonio\", \"Mobility\": 0.0643825904, \"State\": \"TX\", \"Population\": 1724863, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.222, \"Seg_income\": 0.111, \"Seg_poverty\": 0.094, \"Seg_affluence\": 0.128, \"Commute\": 0.242, \"Income\": 34002, \"Gini\": 0.537, \"Share01\": 14.409, \"Gini_99\": 0.393, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.845, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.064, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 6515.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.993, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.024, \"Foreign_born\": 0.097, \"Social_capital\": -0.88, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.232, \"Divorced\": 0.109, \"Married\": 0.543, \"Longitude\": -98.3233032226562, \"Latitude\": 29.3254833221436}, {\"ID\": 31302, \"Name\": \"Beeville\", \"Mobility\": 0.1021594703, \"State\": \"TX\", \"Population\": 47805, \"Urban\": 0, \"Black\": 0.099, \"Seg_racial\": 0.08, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.466, \"Income\": 18313, \"Gini\": 0.462, \"Share01\": 13.835, \"Gini_99\": 0.324, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.794, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 0.022, \"HS_dropout\": -0.014, \"Colleges\": 0.021, \"Tuition\": 720.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.417, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.166, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.025, \"Social_capital\": -0.714, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.098, \"Married\": 0.558, \"Longitude\": -97.6544952392578, \"Latitude\": 28.5498275756836}, {\"ID\": 31303, \"Name\": \"Kerrville\", \"Mobility\": 0.0956375822, \"State\": \"TX\", \"Population\": 64467, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.056, \"Seg_income\": 0.022, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.025, \"Commute\": 0.471, \"Income\": 42197, \"Gini\": 0.481, \"Share01\": 11.13, \"Gini_99\": 0.37, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.5, \"HS_dropout\": -0.005, \"Colleges\": 0.016, \"Tuition\": 11540.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.065, \"Social_capital\": 0.837, \"Religious\": 0.603, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.1, \"Married\": 0.632, \"Longitude\": -99.226936340332, \"Latitude\": 30.1375942230225}, {\"ID\": 31304, \"Name\": \"Mason\", \"Mobility\": 0.1744185984, \"State\": \"TX\", \"Population\": 3738, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.058, \"Seg_income\": 0.015, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.009, \"Commute\": 0.589, \"Income\": 44195, \"Gini\": 0.255, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 1861.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.087, \"Student_teacher_ratio\": 10.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.054, \"Social_capital\": 0.72, \"Religious\": 0.775, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.091, \"Married\": 0.631, \"Longitude\": -99.2017440795898, \"Latitude\": 30.7203540802002}, {\"ID\": 31401, \"Name\": \"Midland\", \"Mobility\": 0.1788869947, \"State\": \"TX\", \"Population\": 262282, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.174, \"Seg_income\": 0.066, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.09, \"Commute\": 0.462, \"Income\": 33502, \"Gini\": 0.524, \"Share01\": 14.337, \"Gini_99\": 0.38, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.923, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.318, \"HS_dropout\": 0.013, \"Colleges\": 0.011, \"Tuition\": 812.0, \"Graduation\": -0.17, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.093, \"Social_capital\": -0.815, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.105, \"Married\": 0.593, \"Longitude\": -102.464363098145, \"Latitude\": 31.5839157104492}, {\"ID\": 31402, \"Name\": \"Pecos\", \"Mobility\": 0.2329545468, \"State\": \"TX\", \"Population\": 31286, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.109, \"Seg_income\": 0.033, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.041, \"Commute\": 0.632, \"Income\": 24735, \"Gini\": 0.431, \"Share01\": 11.584, \"Gini_99\": 0.315, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 2585.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.427, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 1.343, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.118, \"Social_capital\": -1.386, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.619, \"Longitude\": -103.23291015625, \"Latitude\": 31.5871601104736}, {\"ID\": 31403, \"Name\": \"Fort Stockton\", \"Mobility\": 0.2227805704, \"State\": \"TX\", \"Population\": 20908, \"Urban\": 0, \"Black\": 0.034, \"Seg_racial\": 0.081, \"Seg_income\": 0.019, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.021, \"Commute\": 0.664, \"Income\": 22363, \"Gini\": 0.439, \"Share01\": 9.256, \"Gini_99\": 0.347, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 2754.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.336, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -3.859, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.006, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.019, \"Foreign_born\": 0.13, \"Social_capital\": -1.094, \"Religious\": 0.53, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.067, \"Married\": 0.665, \"Longitude\": -102.181854248047, \"Latitude\": 30.8465766906738}, {\"ID\": 31404, \"Name\": \"Alpine\", \"Mobility\": 0.1802656502, \"State\": \"TX\", \"Population\": 18377, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.192, \"Seg_income\": 0.041, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.045, \"Commute\": 0.705, \"Income\": 25586, \"Gini\": 0.442, \"Share01\": 8.578, \"Gini_99\": 0.356, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.333, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -0.945, \"HS_dropout\": -0.007, \"Colleges\": 0.054, \"Tuition\": 960.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.022, \"Foreign_born\": 0.189, \"Social_capital\": -0.263, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -103.635215759277, \"Latitude\": 29.7494506835938}, {\"ID\": 31501, \"Name\": \"Crystal City\", \"Mobility\": 0.0832049325, \"State\": \"TX\", \"Population\": 21848, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.033, \"Seg_income\": 0.02, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.606, \"Income\": 17379, \"Gini\": 0.442, \"Share01\": 10.724, \"Gini_99\": 0.334, \"Middle_class\": 0.285, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2097.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.533, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -8.178, \"HS_dropout\": 0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.489, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.329, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.014, \"Foreign_born\": 0.109, \"Social_capital\": -1.574, \"Religious\": 0.777, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.068, \"Married\": 0.563, \"Longitude\": -99.6863174438477, \"Latitude\": 28.5983295440674}, {\"ID\": 31502, \"Name\": \"Pearsall\", \"Mobility\": 0.09375, \"State\": \"TX\", \"Population\": 22118, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.084, \"Seg_income\": 0.012, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.544, \"Income\": 18365, \"Gini\": 0.445, \"Share01\": 9.465, \"Gini_99\": 0.35, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3074.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.349, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -11.674, \"HS_dropout\": 0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.467, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.334, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.054, \"Social_capital\": -0.801, \"Religious\": 0.882, \"Violent_crime\": 0.003, \"Single_mothers\": 0.222, \"Divorced\": 0.074, \"Married\": 0.607, \"Longitude\": -99.1302490234375, \"Latitude\": 28.5215797424316}, {\"ID\": 31503, \"Name\": \"Laredo\", \"Mobility\": 0.108853586, \"State\": \"TX\", \"Population\": 210580, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.065, \"Seg_income\": 0.088, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.114, \"Commute\": 0.327, \"Income\": 21530, \"Gini\": 0.645, \"Share01\": 21.104, \"Gini_99\": 0.434, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.04, \"Local_gov_spending\": 2257.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.223, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.566, \"HS_dropout\": 0.0, \"Colleges\": 0.009, \"Tuition\": 1058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.281, \"Social_capital\": -2.353, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.058, \"Married\": 0.581, \"Longitude\": -99.1148910522461, \"Latitude\": 27.3538513183594}, {\"ID\": 31600, \"Name\": \"Brownsville\", \"Mobility\": 0.0916091129, \"State\": \"TX\", \"Population\": 978369, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.147, \"Seg_income\": 0.066, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.084, \"Commute\": 0.343, \"Income\": 20392, \"Gini\": 0.577, \"Share01\": 15.093, \"Gini_99\": 0.426, \"Middle_class\": 0.301, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2360.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.028, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.41, \"HS_dropout\": 0.012, \"Colleges\": 0.005, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.282, \"Social_capital\": -2.687, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.06, \"Married\": 0.59, \"Longitude\": -97.8867797851562, \"Latitude\": 26.2901172637939}, {\"ID\": 31700, \"Name\": \"Corpus Christi\", \"Mobility\": 0.1055676043, \"State\": \"TX\", \"Population\": 503493, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.191, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.077, \"Commute\": 0.387, \"Income\": 30127, \"Gini\": 0.528, \"Share01\": 13.484, \"Gini_99\": 0.393, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2263.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.918, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.187, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 1182.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.073, \"Chinese_imports\": 0.176, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.057, \"Social_capital\": -1.032, \"Religious\": 0.545, \"Violent_crime\": 0.002, \"Single_mothers\": 0.229, \"Divorced\": 0.107, \"Married\": 0.542, \"Longitude\": -97.4435424804688, \"Latitude\": 27.7055282592773}, {\"ID\": 31800, \"Name\": \"College Station\", \"Mobility\": 0.0777777806, \"State\": \"TX\", \"Population\": 208437, \"Urban\": 1, \"Black\": 0.13, \"Seg_racial\": 0.16, \"Seg_income\": 0.082, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.09, \"Commute\": 0.451, \"Income\": 26268, \"Gini\": 0.486, \"Share01\": 10.991, \"Gini_99\": 0.376, \"Middle_class\": 0.497, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2210.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.227, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 1.182, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 2400.0, \"Graduation\": 0.408, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.031, \"Foreign_born\": 0.086, \"Social_capital\": -1.111, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.22, \"Divorced\": 0.07, \"Married\": 0.481, \"Longitude\": -96.4033737182617, \"Latitude\": 30.6951713562012}, {\"ID\": 31900, \"Name\": \"Pearland\", \"Mobility\": 0.1157161221, \"State\": \"TX\", \"Population\": 320912, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.091, \"Seg_income\": 0.067, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.078, \"Commute\": 0.291, \"Income\": 34849, \"Gini\": 0.401, \"Share01\": 7.742, \"Gini_99\": 0.324, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1988.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.65, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 10.619, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 391.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.874, \"Teenage_labor\": 0.003, \"Migration_in\": 0.043, \"Migration_out\": 0.032, \"Foreign_born\": 0.084, \"Social_capital\": -1.568, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.168, \"Divorced\": 0.099, \"Married\": 0.601, \"Longitude\": -95.8137359619141, \"Latitude\": 29.2001705169678}, {\"ID\": 32000, \"Name\": \"Houston\", \"Mobility\": 0.0927379802, \"State\": \"TX\", \"Population\": 4504013, \"Urban\": 1, \"Black\": 0.171, \"Seg_racial\": 0.281, \"Seg_income\": 0.13, \"Seg_poverty\": 0.105, \"Seg_affluence\": 0.154, \"Commute\": 0.21, \"Income\": 38963, \"Gini\": 0.564, \"Share01\": 17.512, \"Gini_99\": 0.389, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.791, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.559, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 2535.0, \"Graduation\": -0.212, \"Labor_force_participation\": 0.655, \"Manufacturing\": 0.118, \"Chinese_imports\": 0.455, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.02, \"Foreign_born\": 0.195, \"Social_capital\": -1.829, \"Religious\": 0.498, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.096, \"Married\": 0.557, \"Longitude\": -95.5459060668945, \"Latitude\": 29.9028282165527}, {\"ID\": 32100, \"Name\": \"Beaumont\", \"Mobility\": 0.094970569, \"State\": \"TX\", \"Population\": 497770, \"Urban\": 1, \"Black\": 0.225, \"Seg_racial\": 0.295, \"Seg_income\": 0.053, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.056, \"Commute\": 0.337, \"Income\": 31840, \"Gini\": 0.476, \"Share01\": 11.668, \"Gini_99\": 0.36, \"Middle_class\": 0.483, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1992.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.083, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 6575.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.418, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": -0.95, \"Religious\": 0.621, \"Violent_crime\": 0.002, \"Single_mothers\": 0.246, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -94.03515625, \"Latitude\": 30.648624420166}, {\"ID\": 32201, \"Name\": \"Huntsville\", \"Mobility\": 0.0773425847, \"State\": \"TX\", \"Population\": 191792, \"Urban\": 0, \"Black\": 0.195, \"Seg_racial\": 0.124, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.411, \"Income\": 25251, \"Gini\": 0.505, \"Share01\": 13.918, \"Gini_99\": 0.365, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2423.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.359, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.851, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 1219.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.129, \"Chinese_imports\": 0.178, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.024, \"Foreign_born\": 0.052, \"Social_capital\": -1.386, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.224, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -95.265251159668, \"Latitude\": 31.2139835357666}, {\"ID\": 32202, \"Name\": \"Nacogdoches\", \"Mobility\": 0.093918398, \"State\": \"TX\", \"Population\": 103842, \"Urban\": 0, \"Black\": 0.175, \"Seg_racial\": 0.141, \"Seg_income\": 0.039, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.042, \"Commute\": 0.439, \"Income\": 28783, \"Gini\": 0.508, \"Share01\": 13.012, \"Gini_99\": 0.377, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1749.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.958, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 1.487, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 960.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.757, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -1.496, \"Religious\": 0.579, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.088, \"Married\": 0.555, \"Longitude\": -94.1027450561523, \"Latitude\": 31.5270881652832}, {\"ID\": 32301, \"Name\": \"San Angelo\", \"Mobility\": 0.0863864273, \"State\": \"TX\", \"Population\": 113973, \"Urban\": 1, \"Black\": 0.037, \"Seg_racial\": 0.113, \"Seg_income\": 0.051, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.057, \"Commute\": 0.479, \"Income\": 31936, \"Gini\": 0.467, \"Share01\": 11.329, \"Gini_99\": 0.354, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.299, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 3.469, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 1416.0, \"Graduation\": -0.064, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.034, \"Foreign_born\": 0.061, \"Social_capital\": -0.388, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.565, \"Longitude\": -100.759674072266, \"Latitude\": 31.4733448028564}, {\"ID\": 32302, \"Name\": \"Brady\", \"Mobility\": 0.1181434616, \"State\": \"TX\", \"Population\": 23666, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.577, \"Income\": 27666, \"Gini\": 0.466, \"Share01\": 14.675, \"Gini_99\": 0.319, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.125, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 7.546, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.52, \"Manufacturing\": 0.135, \"Chinese_imports\": 0.454, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": -0.828, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.077, \"Married\": 0.655, \"Longitude\": -99.5421981811523, \"Latitude\": 31.4680957794189}, {\"ID\": 32303, \"Name\": \"Junction\", \"Mobility\": 0.0734693855, \"State\": \"TX\", \"Population\": 6828, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.05, \"Seg_income\": 0.032, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.542, \"Income\": 35219, \"Gini\": 0.394, \"Share01\": 5.439, \"Gini_99\": 0.34, \"Middle_class\": 0.433, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.72, \"Student_teacher_ratio\": 11.4, \"Test_scores\": 16.151, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.402, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.054, \"Social_capital\": -0.369, \"Religious\": 0.568, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.112, \"Married\": 0.606, \"Longitude\": -99.7238006591797, \"Latitude\": 30.6518516540527}, {\"ID\": 32304, \"Name\": \"Uvalde\", \"Mobility\": 0.0968436152, \"State\": \"TX\", \"Population\": 35212, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.117, \"Seg_income\": 0.015, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.58, \"Income\": 26771, \"Gini\": 0.535, \"Share01\": 13.255, \"Gini_99\": 0.403, \"Middle_class\": 0.406, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.031, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -2.206, \"HS_dropout\": 0.006, \"Colleges\": 0.028, \"Tuition\": 466.0, \"Graduation\": -0.139, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.161, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.022, \"Foreign_born\": 0.107, \"Social_capital\": -0.435, \"Religious\": 0.872, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.076, \"Married\": 0.614, \"Longitude\": -100.020957946777, \"Latitude\": 29.9200191497803}, {\"ID\": 32305, \"Name\": \"Del Rio\", \"Mobility\": 0.1230604574, \"State\": \"TX\", \"Population\": 49316, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.144, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.068, \"Commute\": 0.515, \"Income\": 24076, \"Gini\": 0.482, \"Share01\": 7.013, \"Gini_99\": 0.412, \"Middle_class\": 0.367, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2350.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.212, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -4.028, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.029, \"Foreign_born\": 0.223, \"Social_capital\": -1.797, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.183, \"Divorced\": 0.065, \"Married\": 0.619, \"Longitude\": -101.532440185547, \"Latitude\": 30.0164203643799}, {\"ID\": 32306, \"Name\": \"Eagle Pass\", \"Mobility\": 0.100081034, \"State\": \"TX\", \"Population\": 47297, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.041, \"Commute\": 0.526, \"Income\": 18470, \"Gini\": 0.42, \"Share01\": 9.534, \"Gini_99\": 0.324, \"Middle_class\": 0.287, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.012, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.101, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.378, \"Social_capital\": -2.985, \"Religious\": 0.347, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.047, \"Married\": 0.616, \"Longitude\": -100.34016418457, \"Latitude\": 28.5439357757568}, {\"ID\": 32401, \"Name\": \"Big Spring\", \"Mobility\": 0.1144414172, \"State\": \"TX\", \"Population\": 54073, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.103, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.038, \"Commute\": 0.633, \"Income\": 26412, \"Gini\": 0.447, \"Share01\": 10.352, \"Gini_99\": 0.344, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 2934.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.082, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.588, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 552.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.116, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.063, \"Social_capital\": -0.701, \"Religious\": 0.706, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.085, \"Married\": 0.626, \"Longitude\": -101.563087463379, \"Latitude\": 32.1483917236328}, {\"ID\": 32402, \"Name\": \"Sweetwater\", \"Mobility\": 0.1220285296, \"State\": \"TX\", \"Population\": 20146, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.084, \"Seg_income\": 0.041, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.051, \"Commute\": 0.588, \"Income\": 28676, \"Gini\": 0.417, \"Share01\": 7.36, \"Gini_99\": 0.344, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1820.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.216, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 13.841, \"HS_dropout\": -0.01, \"Colleges\": 0.05, \"Tuition\": 1176.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.326, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.037, \"Social_capital\": -0.553, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.244, \"Divorced\": 0.092, \"Married\": 0.588, \"Longitude\": -100.380096435547, \"Latitude\": 32.4817771911621}, {\"ID\": 32403, \"Name\": \"Snyder\", \"Mobility\": 0.1560891867, \"State\": \"TX\", \"Population\": 26918, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.066, \"Seg_income\": 0.024, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.608, \"Income\": 26045, \"Gini\": 0.373, \"Share01\": 7.916, \"Gini_99\": 0.294, \"Middle_class\": 0.567, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 2009.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.856, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 0.891, \"HS_dropout\": -0.009, \"Colleges\": 0.037, \"Tuition\": 750.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.069, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.439, \"Religious\": 0.715, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.088, \"Married\": 0.594, \"Longitude\": -100.849517822266, \"Latitude\": 32.726921081543}, {\"ID\": 32501, \"Name\": \"Abilene\", \"Mobility\": 0.1032919884, \"State\": \"TX\", \"Population\": 191518, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.123, \"Seg_income\": 0.066, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.08, \"Commute\": 0.487, \"Income\": 29968, \"Gini\": 0.449, \"Share01\": 11.684, \"Gini_99\": 0.332, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1846.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.929, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 11.0, \"HS_dropout\": -0.01, \"Colleges\": 0.031, \"Tuition\": 7843.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.408, \"Religious\": 0.676, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -99.2288284301758, \"Latitude\": 32.4658317565918}, {\"ID\": 32502, \"Name\": \"Childress\", \"Mobility\": 0.0782608688, \"State\": \"TX\", \"Population\": 9592, \"Urban\": 0, \"Black\": 0.13, \"Seg_racial\": 0.055, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.011, \"Commute\": 0.757, \"Income\": 23872, \"Gini\": 0.336, \"Share01\": 4.029, \"Gini_99\": 0.296, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2093.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.916, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 7.926, \"HS_dropout\": -0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.459, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.005, \"Foreign_born\": 0.046, \"Social_capital\": 0.165, \"Religious\": 0.736, \"Violent_crime\": 0.001, \"Single_mothers\": 0.241, \"Divorced\": 0.06, \"Married\": 0.695, \"Longitude\": -100.163948059082, \"Latitude\": 34.2973518371582}, {\"ID\": 32503, \"Name\": \"Haskell\", \"Mobility\": 0.1690140814, \"State\": \"TX\", \"Population\": 15157, \"Urban\": 0, \"Black\": 0.048, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.612, \"Income\": 29543, \"Gini\": 0.389, \"Share01\": 5.069, \"Gini_99\": 0.338, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2378.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.916, \"Student_teacher_ratio\": 10.3, \"Test_scores\": 10.797, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.516, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.01, \"Foreign_born\": 0.041, \"Social_capital\": 0.115, \"Religious\": 1.049, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.073, \"Married\": 0.659, \"Longitude\": -99.8993225097656, \"Latitude\": 33.619556427002}, {\"ID\": 32601, \"Name\": \"Wichita Falls\", \"Mobility\": 0.0966044962, \"State\": \"TX\", \"Population\": 151524, \"Urban\": 1, \"Black\": 0.088, \"Seg_racial\": 0.148, \"Seg_income\": 0.057, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.055, \"Commute\": 0.441, \"Income\": 30238, \"Gini\": 0.419, \"Share01\": 12.378, \"Gini_99\": 0.296, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1618.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.821, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 6.765, \"HS_dropout\": -0.014, \"Colleges\": 0.007, \"Tuition\": 1200.0, \"Graduation\": -0.096, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.037, \"Foreign_born\": 0.047, \"Social_capital\": -0.171, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.108, \"Married\": 0.587, \"Longitude\": -98.3824691772461, \"Latitude\": 33.9784851074219}, {\"ID\": 32602, \"Name\": \"Graham\", \"Mobility\": 0.1759398431, \"State\": \"TX\", \"Population\": 28556, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.068, \"Seg_income\": 0.013, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.01, \"Commute\": 0.548, \"Income\": 31567, \"Gini\": 0.386, \"Share01\": 8.506, \"Gini_99\": 0.301, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2295.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.504, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 10.139, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.093, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": -0.026, \"Religious\": 0.802, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.093, \"Married\": 0.64, \"Longitude\": -98.5917892456055, \"Latitude\": 33.1651992797852}, {\"ID\": 32603, \"Name\": \"Seymour\", \"Mobility\": 0.0860215053, \"State\": \"TX\", \"Population\": 4093, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.01, \"Seg_income\": 0.018, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.004, \"Commute\": 0.674, \"Income\": 35578, \"Gini\": 0.4, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2829.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.971, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.498, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.14, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.837, \"Religious\": 1.017, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.622, \"Longitude\": -99.2113494873047, \"Latitude\": 33.5981521606445}, {\"ID\": 32604, \"Name\": \"Vernon\", \"Mobility\": 0.0880733952, \"State\": \"TX\", \"Population\": 21022, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.058, \"Seg_income\": 0.025, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.033, \"Commute\": 0.678, \"Income\": 32588, \"Gini\": 0.615, \"Share01\": 32.43, \"Gini_99\": 0.291, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2126.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.626, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -1.516, \"HS_dropout\": -0.022, \"Colleges\": 0.048, \"Tuition\": 720.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.29, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -0.308, \"Religious\": 0.869, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.084, \"Married\": 0.607, \"Longitude\": -99.5828475952148, \"Latitude\": 34.1137962341309}, {\"ID\": 32701, \"Name\": \"Brownwood\", \"Mobility\": 0.1086637303, \"State\": \"TX\", \"Population\": 58246, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.063, \"Seg_income\": 0.028, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.028, \"Commute\": 0.495, \"Income\": 30586, \"Gini\": 0.408, \"Share01\": 9.849, \"Gini_99\": 0.31, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.841, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 9.944, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 8400.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.153, \"Chinese_imports\": 1.168, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": -0.565, \"Religious\": 0.714, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.104, \"Married\": 0.609, \"Longitude\": -99.0878524780273, \"Latitude\": 31.3928127288818}, {\"ID\": 32702, \"Name\": \"Stephenville\", \"Mobility\": 0.1141975299, \"State\": \"TX\", \"Population\": 55256, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.523, \"Income\": 30856, \"Gini\": 0.453, \"Share01\": 13.86, \"Gini_99\": 0.315, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1531.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.216, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 7.532, \"HS_dropout\": -0.016, \"Colleges\": 0.018, \"Tuition\": 1608.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.068, \"Social_capital\": -0.963, \"Religious\": 0.607, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.076, \"Married\": 0.62, \"Longitude\": -98.3416976928711, \"Latitude\": 31.9958343505859}, {\"ID\": 32801, \"Name\": \"Waco\", \"Mobility\": 0.0675374344, \"State\": \"TX\", \"Population\": 281618, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.191, \"Seg_income\": 0.105, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.101, \"Commute\": 0.363, \"Income\": 31690, \"Gini\": 0.492, \"Share01\": 12.76, \"Gini_99\": 0.364, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1729.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.56, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.721, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 6505.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.902, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.021, \"Foreign_born\": 0.059, \"Social_capital\": -0.468, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.098, \"Married\": 0.557, \"Longitude\": -97.3319702148438, \"Latitude\": 31.7745532989502}, {\"ID\": 32802, \"Name\": \"Corsicana\", \"Mobility\": 0.1013043448, \"State\": \"TX\", \"Population\": 100377, \"Urban\": 0, \"Black\": 0.166, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.377, \"Income\": 29976, \"Gini\": 0.418, \"Share01\": 7.452, \"Gini_99\": 0.343, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1739.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.463, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 1.524, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 540.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.022, \"Foreign_born\": 0.065, \"Social_capital\": -1.163, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.095, \"Married\": 0.598, \"Longitude\": -96.0071182250977, \"Latitude\": 31.6485042572021}, {\"ID\": 32900, \"Name\": \"Killeen\", \"Mobility\": 0.0772482678, \"State\": \"TX\", \"Population\": 330714, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.091, \"Seg_income\": 0.059, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.064, \"Commute\": 0.383, \"Income\": 28336, \"Gini\": 0.369, \"Share01\": 8.11, \"Gini_99\": 0.288, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.49, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.108, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 3269.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.092, \"Chinese_imports\": 1.342, \"Teenage_labor\": 0.003, \"Migration_in\": 0.05, \"Migration_out\": 0.052, \"Foreign_born\": 0.068, \"Social_capital\": -2.246, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.098, \"Married\": 0.602, \"Longitude\": -98.1207427978516, \"Latitude\": 31.1772727966309}, {\"ID\": 33000, \"Name\": \"Fort Worth\", \"Mobility\": 0.0913628563, \"State\": \"TX\", \"Population\": 1804370, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.23, \"Seg_income\": 0.114, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.131, \"Commute\": 0.24, \"Income\": 39232, \"Gini\": 0.496, \"Share01\": 15.257, \"Gini_99\": 0.343, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2338.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.928, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.276, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 4313.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.834, \"Teenage_labor\": 0.004, \"Migration_in\": 0.038, \"Migration_out\": 0.032, \"Foreign_born\": 0.109, \"Social_capital\": -1.102, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.11, \"Married\": 0.579, \"Longitude\": -97.7361831665039, \"Latitude\": 32.9755783081055}, {\"ID\": 33100, \"Name\": \"Dallas\", \"Mobility\": 0.0710824654, \"State\": \"TX\", \"Population\": 3405666, \"Urban\": 1, \"Black\": 0.151, \"Seg_racial\": 0.262, \"Seg_income\": 0.134, \"Seg_poverty\": 0.112, \"Seg_affluence\": 0.154, \"Commute\": 0.218, \"Income\": 43436, \"Gini\": 0.561, \"Share01\": 19.639, \"Gini_99\": 0.364, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.018, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -1.675, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 4829.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.029, \"Foreign_born\": 0.172, \"Social_capital\": -1.179, \"Religious\": 0.526, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -96.9760665893555, \"Latitude\": 33.3759765625}, {\"ID\": 33200, \"Name\": \"Paris\", \"Mobility\": 0.0767123252, \"State\": \"TX\", \"Population\": 185835, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.39, \"Income\": 32552, \"Gini\": 0.418, \"Share01\": 9.075, \"Gini_99\": 0.327, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.042, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.65, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 1551.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.025, \"Foreign_born\": 0.038, \"Social_capital\": -0.884, \"Religious\": 0.592, \"Violent_crime\": 0.003, \"Single_mothers\": 0.212, \"Divorced\": 0.107, \"Married\": 0.597, \"Longitude\": -95.3130340576172, \"Latitude\": 33.589714050293}, {\"ID\": 33300, \"Name\": \"Tyler\", \"Mobility\": 0.0951065049, \"State\": \"TX\", \"Population\": 434643, \"Urban\": 1, \"Black\": 0.142, \"Seg_racial\": 0.2, \"Seg_income\": 0.032, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 32245, \"Gini\": 0.483, \"Share01\": 11.932, \"Gini_99\": 0.364, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.168, \"Student_teacher_ratio\": 15.0, \"Test_scores\": 3.891, \"HS_dropout\": -0.009, \"Colleges\": 0.018, \"Tuition\": 1469.0, \"Graduation\": -0.203, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.334, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.052, \"Social_capital\": -0.807, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.097, \"Married\": 0.621, \"Longitude\": -95.6436920166016, \"Latitude\": 32.015209197998}, {\"ID\": 33400, \"Name\": \"Longview\", \"Mobility\": 0.1141970754, \"State\": \"TX\", \"Population\": 289849, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.121, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.361, \"Income\": 32365, \"Gini\": 0.47, \"Share01\": 11.649, \"Gini_99\": 0.354, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1733.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 4.051, \"HS_dropout\": -0.008, \"Colleges\": 0.017, \"Tuition\": 3851.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.157, \"Chinese_imports\": 1.02, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": -0.387, \"Religious\": 0.622, \"Violent_crime\": 0.003, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.593, \"Longitude\": -94.6648025512695, \"Latitude\": 32.3712310791016}, {\"ID\": 33500, \"Name\": \"Texarkana\", \"Mobility\": 0.0788930878, \"State\": \"TX\", \"Population\": 235988, \"Urban\": 1, \"Black\": 0.201, \"Seg_racial\": 0.163, \"Seg_income\": 0.039, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.399, \"Income\": 31309, \"Gini\": 0.458, \"Share01\": 10.247, \"Gini_99\": 0.356, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.48, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.345, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 659.0, \"Graduation\": -0.207, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.163, \"Chinese_imports\": 0.733, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.856, \"Religious\": 0.657, \"Violent_crime\": 0.003, \"Single_mothers\": 0.252, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -94.2661209106445, \"Latitude\": 33.4860382080078}, {\"ID\": 33601, \"Name\": \"Lawton\", \"Mobility\": 0.1048808843, \"State\": \"OK\", \"Population\": 171610, \"Urban\": 1, \"Black\": 0.131, \"Seg_racial\": 0.105, \"Seg_income\": 0.057, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.058, \"Commute\": 0.472, \"Income\": 27931, \"Gini\": 0.389, \"Share01\": 8.63, \"Gini_99\": 0.303, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1627.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.616, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.779, \"HS_dropout\": -0.009, \"Colleges\": 0.006, \"Tuition\": 1470.0, \"Graduation\": -0.167, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.569, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.035, \"Foreign_born\": 0.043, \"Social_capital\": -1.228, \"Religious\": 0.653, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.11, \"Married\": 0.578, \"Longitude\": -98.0752716064453, \"Latitude\": 34.1608734130859}, {\"ID\": 33602, \"Name\": \"Altus\", \"Mobility\": 0.1121495292, \"State\": \"OK\", \"Population\": 48010, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.081, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.621, \"Income\": 28343, \"Gini\": 0.376, \"Share01\": 7.529, \"Gini_99\": 0.301, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2464.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.88, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 5.331, \"HS_dropout\": -0.004, \"Colleges\": 0.021, \"Tuition\": 1440.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.503, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.023, \"Foreign_born\": 0.034, \"Social_capital\": -0.928, \"Religious\": 0.894, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.11, \"Married\": 0.592, \"Longitude\": -99.3089218139648, \"Latitude\": 34.6671600341797}, {\"ID\": 33603, \"Name\": \"Frederick\", \"Mobility\": 0.0743034035, \"State\": \"OK\", \"Population\": 9287, \"Urban\": 0, \"Black\": 0.089, \"Seg_racial\": 0.02, \"Seg_income\": 0.011, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.022, \"Commute\": 0.538, \"Income\": 29047, \"Gini\": 0.311, \"Share01\": 5.457, \"Gini_99\": 0.256, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.161, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -8.75, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.512, \"Manufacturing\": 0.151, \"Chinese_imports\": 2.565, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.043, \"Social_capital\": -0.338, \"Religious\": 0.97, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.616, \"Longitude\": -99.0044326782227, \"Latitude\": 34.3735809326172}, {\"ID\": 33700, \"Name\": \"Ardmore\", \"Mobility\": 0.1107882336, \"State\": \"OK\", \"Population\": 117982, \"Urban\": 0, \"Black\": 0.042, \"Seg_racial\": 0.077, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 29691, \"Gini\": 0.412, \"Share01\": 9.046, \"Gini_99\": 0.321, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1642.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.889, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.527, \"HS_dropout\": -0.007, \"Colleges\": 0.008, \"Tuition\": 882.0, \"Graduation\": -0.166, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.998, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": -0.366, \"Religious\": 0.761, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.609, \"Longitude\": -97.0431671142578, \"Latitude\": 34.0510444641113}, {\"ID\": 33801, \"Name\": \"Elk City\", \"Mobility\": 0.1871988922, \"State\": \"OK\", \"Population\": 60885, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.076, \"Seg_income\": 0.024, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.032, \"Commute\": 0.604, \"Income\": 28315, \"Gini\": 0.378, \"Share01\": 6.759, \"Gini_99\": 0.31, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1895.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.11, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 1.21, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 1485.0, \"Graduation\": -0.007, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.076, \"Chinese_imports\": 1.884, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": -0.062, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.102, \"Married\": 0.562, \"Longitude\": -99.3613891601562, \"Latitude\": 35.531982421875}, {\"ID\": 33802, \"Name\": \"Chickasha\", \"Mobility\": 0.1154462844, \"State\": \"OK\", \"Population\": 75666, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.152, \"Seg_income\": 0.042, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.051, \"Commute\": 0.382, \"Income\": 28080, \"Gini\": 0.393, \"Share01\": 7.397, \"Gini_99\": 0.319, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.913, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.818, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.016, \"Social_capital\": -0.745, \"Religious\": 0.712, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.111, \"Married\": 0.597, \"Longitude\": -98.0712890625, \"Latitude\": 35.2133979797363}, {\"ID\": 33803, \"Name\": \"Oklahoma City\", \"Mobility\": 0.0820752904, \"State\": \"OK\", \"Population\": 1154246, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.17, \"Seg_income\": 0.096, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.107, \"Commute\": 0.305, \"Income\": 34352, \"Gini\": 0.477, \"Share01\": 12.936, \"Gini_99\": 0.348, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.512, \"HS_dropout\": 0.018, \"Colleges\": 0.017, \"Tuition\": 3426.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.364, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.054, \"Social_capital\": -0.49, \"Religious\": 0.596, \"Violent_crime\": 0.001, \"Single_mothers\": 0.234, \"Divorced\": 0.122, \"Married\": 0.549, \"Longitude\": -97.1959533691406, \"Latitude\": 35.4306831359863}, {\"ID\": 33901, \"Name\": \"Ada\", \"Mobility\": 0.1167294234, \"State\": \"OK\", \"Population\": 69207, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.033, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.033, \"Commute\": 0.458, \"Income\": 25140, \"Gini\": 0.427, \"Share01\": 9.299, \"Gini_99\": 0.334, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2173.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.012, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -3.446, \"HS_dropout\": 0.008, \"Colleges\": 0.014, \"Tuition\": 1470.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.02, \"Foreign_born\": 0.011, \"Social_capital\": -0.078, \"Religious\": 0.626, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.112, \"Married\": 0.594, \"Longitude\": -96.4050521850586, \"Latitude\": 34.7829170227051}, {\"ID\": 33902, \"Name\": \"Sherman\", \"Mobility\": 0.0884798095, \"State\": \"TX\", \"Population\": 178371, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.122, \"Seg_income\": 0.035, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.036, \"Commute\": 0.372, \"Income\": 32930, \"Gini\": 0.412, \"Share01\": 8.671, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.715, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.063, \"HS_dropout\": -0.01, \"Colleges\": 0.017, \"Tuition\": 4705.0, \"Graduation\": 0.0, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.18, \"Chinese_imports\": 1.282, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.032, \"Social_capital\": -0.678, \"Religious\": 0.641, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.584, \"Longitude\": -96.4016571044922, \"Latitude\": 33.860767364502}, {\"ID\": 34001, \"Name\": \"Hot Springs\", \"Mobility\": 0.0707567334, \"State\": \"AR\", \"Population\": 210357, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.176, \"Seg_income\": 0.03, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.024, \"Commute\": 0.384, \"Income\": 31877, \"Gini\": 0.473, \"Share01\": 12.163, \"Gini_99\": 0.352, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1323.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.738, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.747, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 3910.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.199, \"Chinese_imports\": 2.903, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -0.572, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.226, \"Divorced\": 0.114, \"Married\": 0.591, \"Longitude\": -93.462532043457, \"Latitude\": 34.0640487670898}, {\"ID\": 34002, \"Name\": \"Idabel\", \"Mobility\": 0.0922787189, \"State\": \"OK\", \"Population\": 97397, \"Urban\": 0, \"Black\": 0.059, \"Seg_racial\": 0.163, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.011, \"Commute\": 0.423, \"Income\": 26431, \"Gini\": 0.387, \"Share01\": 7.085, \"Gini_99\": 0.316, \"Middle_class\": 0.46, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1318.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.887, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -1.466, \"HS_dropout\": 0.0, \"Colleges\": 0.021, \"Tuition\": 1136.0, \"Graduation\": -0.138, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.034, \"Social_capital\": -1.12, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.11, \"Married\": 0.603, \"Longitude\": -94.8076782226562, \"Latitude\": 33.9497184753418}, {\"ID\": 34101, \"Name\": \"Sand Point\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 2697, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.945, \"Income\": 16696, \"Gini\": 0.332, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.072, \"Local_gov_spending\": 5546.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.793, \"Manufacturing\": 0.449, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.183, \"Social_capital\": null, \"Religious\": 0.11, \"Violent_crime\": 0.004, \"Single_mothers\": 0.282, \"Divorced\": 0.08, \"Married\": 0.633, \"Longitude\": -160.06298828125, \"Latitude\": 56.0933952331543}, {\"ID\": 34102, \"Name\": \"Anchorage\", \"Mobility\": 0.1339529753, \"State\": \"AK\", \"Population\": 369296, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.082, \"Seg_income\": 0.082, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.092, \"Commute\": 0.364, \"Income\": 41724, \"Gini\": 0.35, \"Share01\": 8.657, \"Gini_99\": 0.264, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3857.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.706, \"Student_teacher_ratio\": 20.0, \"Test_scores\": -5.599, \"HS_dropout\": 0.044, \"Colleges\": 0.008, \"Tuition\": 2786.0, \"Graduation\": -0.2, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.029, \"Foreign_born\": 0.065, \"Social_capital\": null, \"Religious\": 0.344, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.125, \"Married\": 0.552, \"Longitude\": -150.678268432617, \"Latitude\": 61.3298072814941}, {\"ID\": 34103, \"Name\": \"Valdez\", \"Mobility\": 0.1599999964, \"State\": \"AK\", \"Population\": 10195, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.013, \"Seg_income\": 0.045, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.056, \"Commute\": 0.687, \"Income\": 39972, \"Gini\": 0.33, \"Share01\": 3.202, \"Gini_99\": 0.298, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 13621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 10.053, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -0.438, \"HS_dropout\": -0.004, \"Colleges\": 0.196, \"Tuition\": 2719.0, \"Graduation\": null, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.039, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.029, \"Foreign_born\": 0.052, \"Social_capital\": null, \"Religious\": 0.225, \"Violent_crime\": 0.003, \"Single_mothers\": 0.166, \"Divorced\": 0.114, \"Married\": 0.566, \"Longitude\": -144.957824707031, \"Latitude\": 62.0689888000488}, {\"ID\": 34104, \"Name\": \"Bristol Bay\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 1258, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.744, \"Income\": 39909, \"Gini\": 0.283, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 11742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.36, \"Student_teacher_ratio\": 20.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.015, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.006, \"Social_capital\": null, \"Religious\": 0.215, \"Violent_crime\": 0.0, \"Single_mothers\": 0.112, \"Divorced\": 0.129, \"Married\": 0.541, \"Longitude\": -156.767288208008, \"Latitude\": 58.7393684387207}, {\"ID\": 34105, \"Name\": \"Kotzebue\", \"Mobility\": 0.0645161271, \"State\": \"AK\", \"Population\": 7208, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.044, \"Seg_income\": 0.03, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.032, \"Commute\": 0.864, \"Income\": 27613, \"Gini\": 0.302, \"Share01\": 3.179, \"Gini_99\": 0.27, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.075, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -25.289, \"HS_dropout\": 0.095, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.002, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.027, \"Foreign_born\": 0.014, \"Social_capital\": null, \"Religious\": 0.391, \"Violent_crime\": 0.028, \"Single_mothers\": 0.248, \"Divorced\": 0.066, \"Married\": 0.425, \"Longitude\": -159.437805175781, \"Latitude\": 67.0281829833984}, {\"ID\": 34106, \"Name\": \"Nome\", \"Mobility\": 0.0467836261, \"State\": \"AK\", \"Population\": 9196, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.143, \"Seg_income\": 0.066, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.081, \"Commute\": 0.928, \"Income\": 29589, \"Gini\": 0.392, \"Share01\": 6.635, \"Gini_99\": 0.325, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3670.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -30.813, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.009, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": null, \"Religious\": 0.486, \"Violent_crime\": 0.004, \"Single_mothers\": 0.209, \"Divorced\": 0.074, \"Married\": 0.398, \"Longitude\": -162.030120849609, \"Latitude\": 64.4751434326172}, {\"ID\": 34107, \"Name\": \"Dillingham\", \"Mobility\": 0.1118421033, \"State\": \"AK\", \"Population\": 6745, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.082, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.028, \"Commute\": 0.812, \"Income\": 31291, \"Gini\": 0.377, \"Share01\": 4.54, \"Gini_99\": 0.332, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 6661.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -28.735, \"HS_dropout\": 0.109, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.022, \"Foreign_born\": 0.009, \"Social_capital\": null, \"Religious\": 0.304, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.091, \"Married\": 0.49, \"Longitude\": -156.831787109375, \"Latitude\": 58.8879241943359}, {\"ID\": 34108, \"Name\": \"Kodiak\", \"Mobility\": 0.1461538523, \"State\": \"AK\", \"Population\": 13913, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.076, \"Seg_income\": 0.028, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.031, \"Commute\": 0.752, \"Income\": 38933, \"Gini\": 0.371, \"Share01\": 14.251, \"Gini_99\": 0.229, \"Middle_class\": 0.594, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3471.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.42, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -1.741, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.741, \"Manufacturing\": 0.168, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.036, \"Foreign_born\": 0.167, \"Social_capital\": null, \"Religious\": 0.256, \"Violent_crime\": 0.004, \"Single_mothers\": 0.137, \"Divorced\": 0.102, \"Married\": 0.604, \"Longitude\": -154.833114624023, \"Latitude\": 57.9822540283203}, {\"ID\": 34109, \"Name\": \"Juneau\", \"Mobility\": 0.125, \"State\": \"AK\", \"Population\": 37347, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.051, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.043, \"Commute\": 0.547, \"Income\": 43595, \"Gini\": 0.283, \"Share01\": 5.475, \"Gini_99\": 0.229, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 4509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.217, \"Student_teacher_ratio\": 27.7, \"Test_scores\": -4.643, \"HS_dropout\": 0.036, \"Colleges\": 0.027, \"Tuition\": 2460.0, \"Graduation\": -0.208, \"Labor_force_participation\": 0.738, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.018, \"Foreign_born\": 0.051, \"Social_capital\": null, \"Religious\": 0.24, \"Violent_crime\": 0.004, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.54, \"Longitude\": -136.051284790039, \"Latitude\": 58.6503791809082}, {\"ID\": 34110, \"Name\": \"Sitka\", \"Mobility\": 0.0708661452, \"State\": \"AK\", \"Population\": 15519, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.805, \"Income\": 42159, \"Gini\": 0.275, \"Share01\": 4.478, \"Gini_99\": 0.23, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 4665.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.366, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.428, \"HS_dropout\": 0.004, \"Colleges\": 0.064, \"Tuition\": 7250.0, \"Graduation\": null, \"Labor_force_participation\": 0.718, \"Manufacturing\": 0.058, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": null, \"Religious\": 0.386, \"Violent_crime\": 0.004, \"Single_mothers\": 0.188, \"Divorced\": 0.119, \"Married\": 0.574, \"Longitude\": -132.383071899414, \"Latitude\": 56.4937133789062}, {\"ID\": 34111, \"Name\": \"Ketchikan\", \"Mobility\": 0.122605361, \"State\": \"AK\", \"Population\": 20216, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.112, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.036, \"Commute\": 0.556, \"Income\": 39002, \"Gini\": 0.331, \"Share01\": 7.918, \"Gini_99\": 0.252, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3802.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.46, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -6.395, \"HS_dropout\": 0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.057, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.045, \"Social_capital\": null, \"Religious\": 0.306, \"Violent_crime\": 0.005, \"Single_mothers\": 0.21, \"Divorced\": 0.134, \"Married\": 0.553, \"Longitude\": -131.585510253906, \"Latitude\": 55.9489822387695}, {\"ID\": 34112, \"Name\": \"Bethel\", \"Mobility\": 0.0518638566, \"State\": \"AK\", \"Population\": 23034, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.132, \"Seg_income\": 0.052, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.095, \"Commute\": 0.909, \"Income\": 23593, \"Gini\": 0.429, \"Share01\": 6.028, \"Gini_99\": 0.369, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1789.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -32.785, \"HS_dropout\": 0.072, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.616, \"Manufacturing\": 0.007, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": null, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.062, \"Married\": 0.443, \"Longitude\": -158.382125854492, \"Latitude\": 61.3771209716797}, {\"ID\": 34113, \"Name\": \"Barrow\", \"Mobility\": 0.1000000015, \"State\": \"AK\", \"Population\": 7385, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.034, \"Seg_income\": 0.009, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.017, \"Commute\": 0.879, \"Income\": 39123, \"Gini\": 0.261, \"Share01\": 5.017, \"Gini_99\": 0.211, \"Middle_class\": 0.412, \"Local_tax_rate\": null, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -25.019, \"HS_dropout\": 0.098, \"Colleges\": 0.135, \"Tuition\": 1680.0, \"Graduation\": -0.144, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.004, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": null, \"Religious\": 0.231, \"Violent_crime\": 0.001, \"Single_mothers\": 0.25, \"Divorced\": 0.092, \"Married\": 0.427, \"Longitude\": -153.819198608398, \"Latitude\": 68.3710174560547}, {\"ID\": 34114, \"Name\": \"Unalaska\", \"Mobility\": 0.1304347813, \"State\": \"AK\", \"Population\": 5465, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.039, \"Seg_income\": 0.028, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.026, \"Commute\": 0.852, \"Income\": 23637, \"Gini\": 0.285, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 2949.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 16.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.816, \"Manufacturing\": 0.317, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.029, \"Foreign_born\": 0.214, \"Social_capital\": null, \"Religious\": 0.166, \"Violent_crime\": 0.008, \"Single_mothers\": 0.134, \"Divorced\": 0.128, \"Married\": 0.512, \"Longitude\": -170.719665527344, \"Latitude\": 52.9120216369629}, {\"ID\": 34115, \"Name\": \"Fairbanks\", \"Mobility\": 0.1606268436, \"State\": \"AK\", \"Population\": 97458, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.139, \"Seg_income\": 0.06, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.067, \"Commute\": 0.477, \"Income\": 35935, \"Gini\": 0.311, \"Share01\": 7.605, \"Gini_99\": 0.235, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2655.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.849, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -3.754, \"HS_dropout\": 0.051, \"Colleges\": 0.01, \"Tuition\": 2460.0, \"Graduation\": -0.157, \"Labor_force_participation\": 0.725, \"Manufacturing\": 0.022, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.042, \"Social_capital\": null, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.106, \"Married\": 0.56, \"Longitude\": -149.947402954102, \"Latitude\": 64.2072830200195}, {\"ID\": 34201, \"Name\": \"Havre\", \"Mobility\": 0.0821484998, \"State\": \"MT\", \"Population\": 25840, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.472, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.04, \"Commute\": 0.714, \"Income\": 27557, \"Gini\": 0.367, \"Share01\": 5.873, \"Gini_99\": 0.309, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2021.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.557, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.699, \"HS_dropout\": 0.018, \"Colleges\": 0.116, \"Tuition\": 1979.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.018, \"Social_capital\": 0.976, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.223, \"Divorced\": 0.092, \"Married\": 0.569, \"Longitude\": -109.412696838379, \"Latitude\": 48.1714363098145}, {\"ID\": 34202, \"Name\": \"Shelby\", \"Mobility\": 0.0475059375, \"State\": \"MT\", \"Population\": 24938, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.515, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.024, \"Commute\": 0.664, \"Income\": 25615, \"Gini\": 0.385, \"Share01\": 6.095, \"Gini_99\": 0.324, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2671.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.803, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -7.629, \"HS_dropout\": 0.014, \"Colleges\": 0.04, \"Tuition\": 1620.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.753, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.596, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -113.255950927734, \"Latitude\": 48.5029525756836}, {\"ID\": 34203, \"Name\": \"Great Falls\", \"Mobility\": 0.0963597447, \"State\": \"MT\", \"Population\": 95101, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.114, \"Seg_income\": 0.06, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.056, \"Commute\": 0.538, \"Income\": 32458, \"Gini\": 0.388, \"Share01\": 9.7, \"Gini_99\": 0.291, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1763.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.102, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 12.992, \"HS_dropout\": -0.021, \"Colleges\": 0.021, \"Tuition\": 5187.0, \"Graduation\": -0.188, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.025, \"Foreign_born\": 0.022, \"Social_capital\": 0.698, \"Religious\": 0.487, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.113, \"Married\": 0.588, \"Longitude\": -111.069396972656, \"Latitude\": 47.3781547546387}, {\"ID\": 34204, \"Name\": \"Lewistown\", \"Mobility\": 0.1716417968, \"State\": \"MT\", \"Population\": 12386, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.003, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.685, \"Income\": 31401, \"Gini\": 0.352, \"Share01\": 6.108, \"Gini_99\": 0.291, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.873, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 16.404, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.016, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 1.756, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.143, \"Divorced\": 0.106, \"Married\": 0.596, \"Longitude\": -108.902824401855, \"Latitude\": 47.3193817138672}, {\"ID\": 34301, \"Name\": \"Cody\", \"Mobility\": 0.1474036872, \"State\": \"WY\", \"Population\": 37247, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.018, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.019, \"Commute\": 0.617, \"Income\": 32675, \"Gini\": 0.354, \"Share01\": 9.305, \"Gini_99\": 0.261, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 3675.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.041, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 14.809, \"HS_dropout\": -0.001, \"Colleges\": 0.027, \"Tuition\": 1128.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.014, \"Foreign_born\": 0.019, \"Social_capital\": -0.026, \"Religious\": 0.486, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.106, \"Married\": 0.614, \"Longitude\": -108.963806152344, \"Latitude\": 44.3489227294922}, {\"ID\": 34302, \"Name\": \"Worland\", \"Mobility\": 0.1306532621, \"State\": \"WY\", \"Population\": 13171, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.766, \"Income\": 34375, \"Gini\": 0.376, \"Share01\": 15.103, \"Gini_99\": 0.225, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2810.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.028, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.059, \"Chinese_imports\": -0.003, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 1.624, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.157, \"Divorced\": 0.109, \"Married\": 0.627, \"Longitude\": -108.455688476562, \"Latitude\": 43.7189445495605}, {\"ID\": 34303, \"Name\": \"Riverton\", \"Mobility\": 0.1243184283, \"State\": \"WY\", \"Population\": 35804, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.226, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.019, \"Commute\": 0.632, \"Income\": 30954, \"Gini\": 0.435, \"Share01\": 10.233, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2643.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.755, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -2.51, \"HS_dropout\": 0.035, \"Colleges\": 0.028, \"Tuition\": 1108.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.03, \"Chinese_imports\": 2.156, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.008, \"Social_capital\": -0.09, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.127, \"Married\": 0.559, \"Longitude\": -109.151588439941, \"Latitude\": 43.4414443969727}, {\"ID\": 34304, \"Name\": \"Sheridan\", \"Mobility\": 0.1044932082, \"State\": \"WY\", \"Population\": 46306, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.421, \"Seg_income\": 0.018, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.023, \"Commute\": 0.583, \"Income\": 32114, \"Gini\": 0.501, \"Share01\": 20.947, \"Gini_99\": 0.292, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2865.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.88, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 1.819, \"HS_dropout\": 0.017, \"Colleges\": 0.043, \"Tuition\": 1304.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.025, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 1.138, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.121, \"Married\": 0.58, \"Longitude\": -107.365310668945, \"Latitude\": 44.9746780395508}, {\"ID\": 34305, \"Name\": \"Miles City\", \"Mobility\": 0.1792828739, \"State\": \"MT\", \"Population\": 12895, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.023, \"Seg_income\": 0.032, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.031, \"Commute\": 0.755, \"Income\": 30026, \"Gini\": 0.345, \"Share01\": 7.98, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2043.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.025, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 10.444, \"HS_dropout\": -0.006, \"Colleges\": 0.078, \"Tuition\": 1440.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.085, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.014, \"Social_capital\": 0.593, \"Religious\": 0.506, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.118, \"Married\": 0.56, \"Longitude\": -105.343276977539, \"Latitude\": 46.6650810241699}, {\"ID\": 34306, \"Name\": \"Jordan\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 1279, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.739, \"Income\": 27449, \"Gini\": 0.288, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.802, \"Student_teacher_ratio\": 11.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.038, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 0.205, \"Religious\": 0.408, \"Violent_crime\": 0.001, \"Single_mothers\": 0.111, \"Divorced\": 0.055, \"Married\": 0.673, \"Longitude\": -107.190254211426, \"Latitude\": 47.4496040344238}, {\"ID\": 34307, \"Name\": \"Colstrip\", \"Mobility\": 0.088888891, \"State\": \"MT\", \"Population\": 12102, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.495, \"Seg_income\": 0.061, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.072, \"Commute\": 0.693, \"Income\": 28921, \"Gini\": 0.325, \"Share01\": 4.599, \"Gini_99\": 0.279, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.057, \"Local_gov_spending\": 6886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.773, \"Student_teacher_ratio\": 13.4, \"Test_scores\": -3.745, \"HS_dropout\": 0.01, \"Colleges\": 0.083, \"Tuition\": null, \"Graduation\": 0.092, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.026, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.01, \"Social_capital\": -0.134, \"Religious\": 0.462, \"Violent_crime\": 0.002, \"Single_mothers\": 0.192, \"Divorced\": 0.097, \"Married\": 0.578, \"Longitude\": -107.025497436523, \"Latitude\": 46.1281814575195}, {\"ID\": 34308, \"Name\": \"Billings\", \"Mobility\": 0.1305191666, \"State\": \"MT\", \"Population\": 152638, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.065, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.083, \"Commute\": 0.446, \"Income\": 35377, \"Gini\": 0.415, \"Share01\": 10.966, \"Gini_99\": 0.305, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1750.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.226, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 6.772, \"HS_dropout\": -0.001, \"Colleges\": 0.02, \"Tuition\": 4681.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.057, \"Chinese_imports\": 0.142, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.014, \"Social_capital\": 1.177, \"Religious\": 0.462, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.117, \"Married\": 0.57, \"Longitude\": -108.364715576172, \"Latitude\": 45.9727478027344}, {\"ID\": 34309, \"Name\": \"Harlowton\", \"Mobility\": 0.200000003, \"State\": \"MT\", \"Population\": 4191, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.005, \"Seg_income\": 0.003, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.003, \"Commute\": 0.696, \"Income\": 26263, \"Gini\": 0.372, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1850.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.585, \"Student_teacher_ratio\": 13.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.112, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.024, \"Social_capital\": 1.232, \"Religious\": 0.438, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.628, \"Longitude\": -110.863861083984, \"Latitude\": 46.6356086730957}, {\"ID\": 34401, \"Name\": \"Dillon\", \"Mobility\": 0.116883114, \"State\": \"MT\", \"Population\": 9202, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.013, \"Commute\": 0.73, \"Income\": 27667, \"Gini\": 0.404, \"Share01\": 13.733, \"Gini_99\": 0.266, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.431, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 11.176, \"HS_dropout\": -0.003, \"Colleges\": 0.109, \"Tuition\": 2072.0, \"Graduation\": -0.12, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.016, \"Social_capital\": 0.908, \"Religious\": 0.485, \"Violent_crime\": 0.0, \"Single_mothers\": 0.123, \"Divorced\": 0.083, \"Married\": 0.57, \"Longitude\": -112.863098144531, \"Latitude\": 45.0694007873535}, {\"ID\": 34402, \"Name\": \"Bozeman\", \"Mobility\": 0.1259689927, \"State\": \"MT\", \"Population\": 93985, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.021, \"Seg_income\": 0.044, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.527, \"Income\": 31692, \"Gini\": 0.414, \"Share01\": 11.081, \"Gini_99\": 0.303, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.05, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 13.863, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 2272.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.073, \"Chinese_imports\": 1.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.026, \"Social_capital\": 1.329, \"Religious\": 0.267, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.092, \"Married\": 0.562, \"Longitude\": -111.284934997559, \"Latitude\": 45.4459915161133}, {\"ID\": 34403, \"Name\": \"Helena\", \"Mobility\": 0.1197410971, \"State\": \"MT\", \"Population\": 70150, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.009, \"Seg_income\": 0.043, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.046, \"Commute\": 0.472, \"Income\": 33610, \"Gini\": 0.355, \"Share01\": 8.999, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.237, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 8.937, \"HS_dropout\": 0.001, \"Colleges\": 0.029, \"Tuition\": 8644.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.368, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": 3.071, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.126, \"Married\": 0.6, \"Longitude\": -112.109184265137, \"Latitude\": 46.6794281005859}, {\"ID\": 34404, \"Name\": \"Butte-Silver Bow\", \"Mobility\": 0.089366518, \"State\": \"MT\", \"Population\": 54033, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.027, \"Seg_income\": 0.036, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.042, \"Commute\": 0.61, \"Income\": 30173, \"Gini\": 0.398, \"Share01\": 6.68, \"Gini_99\": 0.331, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.335, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 6.263, \"HS_dropout\": 0.017, \"Colleges\": 0.037, \"Tuition\": 2123.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.014, \"Social_capital\": 1.018, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.12, \"Married\": 0.543, \"Longitude\": -113.062614440918, \"Latitude\": 46.2734794616699}, {\"ID\": 34501, \"Name\": \"Bonners Ferry\", \"Mobility\": 0.0991379321, \"State\": \"ID\", \"Population\": 9871, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.011, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.0, \"Commute\": 0.438, \"Income\": 28983, \"Gini\": 0.383, \"Share01\": 10.362, \"Gini_99\": 0.28, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2032.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.668, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 4.734, \"HS_dropout\": 0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.463, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -0.295, \"Religious\": 0.358, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.11, \"Married\": 0.616, \"Longitude\": -116.683563232422, \"Latitude\": 48.7867660522461}, {\"ID\": 34502, \"Name\": \"Libby\", \"Mobility\": 0.1302605271, \"State\": \"MT\", \"Population\": 18837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.004, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.599, \"Income\": 26385, \"Gini\": 0.369, \"Share01\": 9.077, \"Gini_99\": 0.278, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1638.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.077, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.058, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.033, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.014, \"Social_capital\": 0.66, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.116, \"Married\": 0.619, \"Longitude\": -115.327323913574, \"Latitude\": 48.2843475341797}, {\"ID\": 34503, \"Name\": \"Kalispell\", \"Mobility\": 0.1108414233, \"State\": \"MT\", \"Population\": 111205, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.173, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.028, \"Commute\": 0.45, \"Income\": 32003, \"Gini\": 0.44, \"Share01\": 11.362, \"Gini_99\": 0.326, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1710.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.985, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 5.978, \"HS_dropout\": 0.008, \"Colleges\": 0.018, \"Tuition\": 2096.0, \"Graduation\": -0.121, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.65, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 0.527, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.118, \"Married\": 0.592, \"Longitude\": -114.455520629883, \"Latitude\": 48.0249977111816}, {\"ID\": 34504, \"Name\": \"Missoula\", \"Mobility\": 0.1056273058, \"State\": \"MT\", \"Population\": 135756, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.033, \"Seg_income\": 0.06, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.058, \"Commute\": 0.467, \"Income\": 31286, \"Gini\": 0.418, \"Share01\": 8.702, \"Gini_99\": 0.331, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1657.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 8.573, \"HS_dropout\": 0.004, \"Colleges\": 0.007, \"Tuition\": 2250.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.512, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.024, \"Foreign_born\": 0.021, \"Social_capital\": 1.17, \"Religious\": 0.314, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.108, \"Married\": 0.543, \"Longitude\": -114.380409240723, \"Latitude\": 46.5549201965332}, {\"ID\": 34601, \"Name\": \"Gillette\", \"Mobility\": 0.2641843855, \"State\": \"WY\", \"Population\": 46229, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.045, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.04, \"Commute\": 0.536, \"Income\": 34452, \"Gini\": 0.295, \"Share01\": 8.507, \"Gini_99\": 0.21, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.062, \"Local_gov_spending\": 4315.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.142, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 5.883, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": -0.926, \"Religious\": 0.482, \"Violent_crime\": 0.002, \"Single_mothers\": 0.152, \"Divorced\": 0.098, \"Married\": 0.626, \"Longitude\": -105.158653259277, \"Latitude\": 44.2510757446289}, {\"ID\": 34602, \"Name\": \"Rawlins\", \"Mobility\": 0.1934156418, \"State\": \"WY\", \"Population\": 15639, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.066, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.003, \"Commute\": 0.722, \"Income\": 31828, \"Gini\": 0.269, \"Share01\": 4.303, \"Gini_99\": 0.226, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3351.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.182, \"Student_teacher_ratio\": 13.7, \"Test_scores\": -5.208, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.025, \"Foreign_born\": 0.029, \"Social_capital\": -0.646, \"Religious\": 0.429, \"Violent_crime\": 0.003, \"Single_mothers\": 0.192, \"Divorced\": 0.123, \"Married\": 0.613, \"Longitude\": -107.257133483887, \"Latitude\": 41.5921669006348}, {\"ID\": 34603, \"Name\": \"Casper\", \"Mobility\": 0.1662689, \"State\": \"WY\", \"Population\": 78585, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.025, \"Seg_income\": 0.057, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.056, \"Commute\": 0.528, \"Income\": 34840, \"Gini\": 0.43, \"Share01\": 15.007, \"Gini_99\": 0.28, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3000.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.458, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -0.214, \"HS_dropout\": 0.059, \"Colleges\": 0.013, \"Tuition\": 1248.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.448, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.018, \"Social_capital\": 0.542, \"Religious\": 0.435, \"Violent_crime\": 0.001, \"Single_mothers\": 0.221, \"Divorced\": 0.132, \"Married\": 0.571, \"Longitude\": -106.016143798828, \"Latitude\": 42.7822189331055}, {\"ID\": 34604, \"Name\": \"Lusk\", \"Mobility\": null, \"State\": \"WY\", \"Population\": 2407, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.72, \"Income\": 30783, \"Gini\": 0.418, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 5706.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.655, \"Student_teacher_ratio\": 12.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.034, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.007, \"Social_capital\": 0.808, \"Religious\": 0.492, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.106, \"Married\": 0.605, \"Longitude\": -104.457618713379, \"Latitude\": 43.089038848877}, {\"ID\": 34701, \"Name\": \"Honolulu\", \"Mobility\": 0.1052926034, \"State\": \"HI\", \"Population\": 876156, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.14, \"Seg_income\": 0.107, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.105, \"Commute\": 0.235, \"Income\": 39404, \"Gini\": 0.396, \"Share01\": 9.084, \"Gini_99\": 0.305, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1316.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -14.799, \"HS_dropout\": 0.018, \"Colleges\": 0.015, \"Tuition\": 5088.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.038, \"Chinese_imports\": null, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.034, \"Foreign_born\": 0.192, \"Social_capital\": null, \"Religious\": 0.333, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.084, \"Married\": 0.534, \"Longitude\": -157.932189941406, \"Latitude\": 21.4360733032227}, {\"ID\": 34702, \"Name\": \"Kapaa\", \"Mobility\": 0.0993071571, \"State\": \"HI\", \"Population\": 58463, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.014, \"Commute\": 0.37, \"Income\": 38210, \"Gini\": 0.351, \"Share01\": 5.7, \"Gini_99\": 0.294, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1405.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 1032.0, \"Graduation\": -0.244, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.006, \"Foreign_born\": 0.13, \"Social_capital\": null, \"Religious\": 0.523, \"Violent_crime\": 0.002, \"Single_mothers\": 0.207, \"Divorced\": 0.098, \"Married\": 0.546, \"Longitude\": -159.764556884766, \"Latitude\": 21.9938297271729}, {\"ID\": 34703, \"Name\": \"Kahului\", \"Mobility\": 0.0848938823, \"State\": \"HI\", \"Population\": 128241, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.119, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.384, \"Income\": 39556, \"Gini\": 0.391, \"Share01\": 9.414, \"Gini_99\": 0.297, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1559.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1032.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.034, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.165, \"Social_capital\": null, \"Religious\": 0.445, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.109, \"Married\": 0.52, \"Longitude\": -156.808609008789, \"Latitude\": 21.0115718841553}, {\"ID\": 34801, \"Name\": \"Las Vegas\", \"Mobility\": 0.0858484209, \"State\": \"NM\", \"Population\": 49495, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.092, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.537, \"Income\": 26569, \"Gini\": 0.381, \"Share01\": 7.039, \"Gini_99\": 0.311, \"Middle_class\": 0.464, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2459.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.37, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -13.802, \"HS_dropout\": -0.029, \"Colleges\": 0.04, \"Tuition\": 1750.0, \"Graduation\": -0.134, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.024, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -1.273, \"Religious\": 0.738, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.124, \"Married\": 0.492, \"Longitude\": -104.827262878418, \"Latitude\": 36.0686874389648}, {\"ID\": 34802, \"Name\": \"Santa Fe\", \"Mobility\": 0.0803233162, \"State\": \"NM\", \"Population\": 218804, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.201, \"Seg_income\": 0.089, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.116, \"Commute\": 0.371, \"Income\": 38838, \"Gini\": 0.49, \"Share01\": 11.007, \"Gini_99\": 0.38, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2090.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.527, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -16.69, \"HS_dropout\": 0.012, \"Colleges\": 0.032, \"Tuition\": 9992.0, \"Graduation\": -0.182, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.828, \"Teenage_labor\": 0.006, \"Migration_in\": 0.02, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": 0.311, \"Religious\": 0.576, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.134, \"Married\": 0.519, \"Longitude\": -105.962219238281, \"Latitude\": 36.2350006103516}, {\"ID\": 34803, \"Name\": \"Tucumcari\", \"Mobility\": 0.0730337054, \"State\": \"NM\", \"Population\": 10965, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.689, \"Income\": 30332, \"Gini\": 0.442, \"Share01\": 9.005, \"Gini_99\": 0.352, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.57, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -11.254, \"HS_dropout\": 0.039, \"Colleges\": 0.091, \"Tuition\": 780.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.04, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.034, \"Social_capital\": -0.96, \"Religious\": 0.893, \"Violent_crime\": 0.002, \"Single_mothers\": 0.255, \"Divorced\": 0.109, \"Married\": 0.562, \"Longitude\": -103.997459411621, \"Latitude\": 35.6330223083496}, {\"ID\": 34804, \"Name\": \"Clayton\", \"Mobility\": 0.1223021597, \"State\": \"NM\", \"Population\": 4174, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.625, \"Income\": 30305, \"Gini\": 0.389, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2538.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.4, \"Student_teacher_ratio\": 13.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.039, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.005, \"Foreign_born\": 0.022, \"Social_capital\": -0.018, \"Religious\": 0.471, \"Violent_crime\": 0.003, \"Single_mothers\": 0.169, \"Divorced\": 0.099, \"Married\": 0.603, \"Longitude\": -103.414817810059, \"Latitude\": 36.2873802185059}, {\"ID\": 34805, \"Name\": \"Alamosa\", \"Mobility\": 0.098867923, \"State\": \"CO\", \"Population\": 46190, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.112, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.552, \"Income\": 27094, \"Gini\": 0.444, \"Share01\": 9.743, \"Gini_99\": 0.346, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2794.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.952, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -4.938, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 1574.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.011, \"Foreign_born\": 0.061, \"Social_capital\": 0.517, \"Religious\": 0.625, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.104, \"Married\": 0.57, \"Longitude\": -105.865020751953, \"Latitude\": 37.7030296325684}, {\"ID\": 34901, \"Name\": \"Albuquerque\", \"Mobility\": 0.0659846142, \"State\": \"NM\", \"Population\": 755244, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.177, \"Seg_income\": 0.096, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.111, \"Commute\": 0.273, \"Income\": 35591, \"Gini\": 0.465, \"Share01\": 9.867, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.091, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -13.662, \"HS_dropout\": 0.033, \"Colleges\": 0.016, \"Tuition\": 2527.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.022, \"Foreign_born\": 0.076, \"Social_capital\": -0.76, \"Religious\": 0.547, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.125, \"Married\": 0.515, \"Longitude\": -106.686538696289, \"Latitude\": 35.3091621398926}, {\"ID\": 34902, \"Name\": \"Socorro\", \"Mobility\": 0.052117262, \"State\": \"NM\", \"Population\": 21621, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.204, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.015, \"Commute\": 0.565, \"Income\": 24360, \"Gini\": 0.423, \"Share01\": 7.177, \"Gini_99\": 0.352, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1630.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.411, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -15.373, \"HS_dropout\": -0.025, \"Colleges\": 0.046, \"Tuition\": 1704.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.056, \"Chinese_imports\": 1.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.021, \"Foreign_born\": 0.056, \"Social_capital\": -0.694, \"Religious\": 0.418, \"Violent_crime\": 0.004, \"Single_mothers\": 0.248, \"Divorced\": 0.123, \"Married\": 0.513, \"Longitude\": -107.257507324219, \"Latitude\": 33.9917869567871}, {\"ID\": 35001, \"Name\": \"Phoenix\", \"Mobility\": 0.0752772912, \"State\": \"AZ\", \"Population\": 3303211, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.208, \"Seg_income\": 0.12, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.139, \"Commute\": 0.242, \"Income\": 40624, \"Gini\": 0.49, \"Share01\": 16.807, \"Gini_99\": 0.322, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3109.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -10.107, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 3653.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.045, \"Migration_out\": 0.025, \"Foreign_born\": 0.139, \"Social_capital\": -1.483, \"Religious\": 0.394, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.11, \"Married\": 0.55, \"Longitude\": -111.294647216797, \"Latitude\": 34.0149688720703}, {\"ID\": 35002, \"Name\": \"Safford\", \"Mobility\": 0.1105919033, \"State\": \"AZ\", \"Population\": 42036, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.287, \"Seg_income\": 0.036, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.024, \"Commute\": 0.53, \"Income\": 23579, \"Gini\": 0.287, \"Share01\": 6.422, \"Gini_99\": 0.222, \"Middle_class\": 0.675, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2696.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 4.606, \"Student_teacher_ratio\": 21.8, \"Test_scores\": -7.113, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 748.0, \"Graduation\": -0.15, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -1.325, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -109.825134277344, \"Latitude\": 33.3510894775391}, {\"ID\": 35100, \"Name\": \"Tucson\", \"Mobility\": 0.0705499947, \"State\": \"AZ\", \"Population\": 999882, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.22, \"Seg_income\": 0.112, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.127, \"Commute\": 0.291, \"Income\": 35571, \"Gini\": 0.477, \"Share01\": 12.39, \"Gini_99\": 0.353, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2423.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -10.137, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 777.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.651, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.025, \"Foreign_born\": 0.128, \"Social_capital\": -0.867, \"Religious\": 0.452, \"Violent_crime\": 0.002, \"Single_mothers\": 0.239, \"Divorced\": 0.117, \"Married\": 0.534, \"Longitude\": -111.015380859375, \"Latitude\": 32.0897750854492}, {\"ID\": 35201, \"Name\": \"Grand Junction\", \"Mobility\": 0.1463671476, \"State\": \"CO\", \"Population\": 187857, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.04, \"Seg_income\": 0.05, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.06, \"Commute\": 0.465, \"Income\": 35421, \"Gini\": 0.423, \"Share01\": 10.695, \"Gini_99\": 0.316, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2421.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.357, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.926, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1623.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.467, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": 0.151, \"Religious\": 0.301, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -107.929718017578, \"Latitude\": 38.246826171875}, {\"ID\": 35202, \"Name\": \"Gunnison\", \"Mobility\": 0.1061946899, \"State\": \"CO\", \"Population\": 14746, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.017, \"Seg_income\": 0.045, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.034, \"Commute\": 0.644, \"Income\": 32805, \"Gini\": 0.486, \"Share01\": 12.096, \"Gini_99\": 0.365, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3423.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.487, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.732, \"HS_dropout\": null, \"Colleges\": 0.068, \"Tuition\": 1560.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.73, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.019, \"Foreign_born\": 0.029, \"Social_capital\": 1.798, \"Religious\": 0.381, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.08, \"Married\": 0.462, \"Longitude\": -106.978370666504, \"Latitude\": 38.5557060241699}, {\"ID\": 35300, \"Name\": \"Farmington\", \"Mobility\": 0.0914475247, \"State\": \"NM\", \"Population\": 168198, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.298, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.388, \"Income\": 30450, \"Gini\": 0.44, \"Share01\": 10.796, \"Gini_99\": 0.332, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -8.531, \"HS_dropout\": 0.005, \"Colleges\": 0.012, \"Tuition\": 1248.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.128, \"Teenage_labor\": 0.005, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.025, \"Social_capital\": -0.994, \"Religious\": 0.401, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.108, \"Married\": 0.546, \"Longitude\": -107.683326721191, \"Latitude\": 37.3590621948242}, {\"ID\": 35401, \"Name\": \"Flagstaff\", \"Mobility\": 0.0814509094, \"State\": \"AZ\", \"Population\": 289883, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.287, \"Seg_income\": 0.037, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.461, \"Income\": 35102, \"Gini\": 0.447, \"Share01\": 12.415, \"Gini_99\": 0.323, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2138.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.514, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -4.78, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2482.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.24, \"Teenage_labor\": 0.006, \"Migration_in\": 0.052, \"Migration_out\": 0.035, \"Foreign_born\": 0.052, \"Social_capital\": -0.85, \"Religious\": 0.31, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.116, \"Married\": 0.559, \"Longitude\": -111.797515869141, \"Latitude\": 35.6864929199219}, {\"ID\": 35402, \"Name\": \"Cortez\", \"Mobility\": 0.1267806292, \"State\": \"CO\", \"Population\": 40087, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.383, \"Seg_income\": 0.029, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.018, \"Commute\": 0.502, \"Income\": 28799, \"Gini\": 0.353, \"Share01\": 6.825, \"Gini_99\": 0.285, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2973.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.648, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -7.301, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.041, \"Chinese_imports\": 1.862, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.017, \"Social_capital\": -0.997, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.106, \"Married\": 0.577, \"Longitude\": -109.932220458984, \"Latitude\": 37.6879768371582}, {\"ID\": 35500, \"Name\": \"Gallup\", \"Mobility\": 0.0410613976, \"State\": \"AZ\", \"Population\": 241691, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.476, \"Seg_income\": 0.063, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.056, \"Commute\": 0.468, \"Income\": 20837, \"Gini\": 0.421, \"Share01\": 7.94, \"Gini_99\": 0.341, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2278.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 6.187, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -19.598, \"HS_dropout\": 0.025, \"Colleges\": 0.017, \"Tuition\": 1923.0, \"Graduation\": -0.131, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.146, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.041, \"Foreign_born\": 0.015, \"Social_capital\": -2.204, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.079, \"Married\": 0.496, \"Longitude\": -109.363136291504, \"Latitude\": 34.4800491333008}, {\"ID\": 35600, \"Name\": \"Hilo\", \"Mobility\": 0.0682675838, \"State\": \"HI\", \"Population\": 148677, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.043, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.037, \"Commute\": 0.346, \"Income\": 35010, \"Gini\": 0.439, \"Share01\": 10.432, \"Gini_99\": 0.334, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1422.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 1697.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.026, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.016, \"Foreign_born\": 0.102, \"Social_capital\": null, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.52, \"Longitude\": -155.525268554688, \"Latitude\": 19.5788307189941}, {\"ID\": 35701, \"Name\": \"Twin Falls\", \"Mobility\": 0.0871191844, \"State\": \"ID\", \"Population\": 120807, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.033, \"Seg_income\": 0.035, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.049, \"Commute\": 0.505, \"Income\": 35364, \"Gini\": 0.417, \"Share01\": 11.017, \"Gini_99\": 0.306, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.491, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 1.241, \"HS_dropout\": 0.011, \"Colleges\": 0.017, \"Tuition\": 2918.0, \"Graduation\": -0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.098, \"Chinese_imports\": 0.188, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.084, \"Social_capital\": 0.172, \"Religious\": 0.45, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.108, \"Married\": 0.598, \"Longitude\": -114.11206817627, \"Latitude\": 43.3184967041016}, {\"ID\": 35702, \"Name\": \"Burley\", \"Mobility\": 0.113892369, \"State\": \"ID\", \"Population\": 41590, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.041, \"Seg_income\": 0.021, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.019, \"Commute\": 0.536, \"Income\": 28357, \"Gini\": 0.353, \"Share01\": 9.512, \"Gini_99\": 0.258, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2119.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.1, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.158, \"HS_dropout\": 0.003, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.434, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.019, \"Foreign_born\": 0.092, \"Social_capital\": -0.745, \"Religious\": 0.737, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.083, \"Married\": 0.647, \"Longitude\": -113.599784851074, \"Latitude\": 42.5788764953613}, {\"ID\": 35801, \"Name\": \"Boise City\", \"Mobility\": 0.0739204213, \"State\": \"ID\", \"Population\": 493970, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.085, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.342, \"Income\": 35642, \"Gini\": 0.412, \"Share01\": 12.044, \"Gini_99\": 0.291, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.057, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -0.77, \"HS_dropout\": 0.035, \"Colleges\": 0.014, \"Tuition\": 3783.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.155, \"Chinese_imports\": 2.28, \"Teenage_labor\": 0.005, \"Migration_in\": 0.038, \"Migration_out\": 0.02, \"Foreign_born\": 0.058, \"Social_capital\": 0.415, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.115, \"Married\": 0.597, \"Longitude\": -115.838821411133, \"Latitude\": 43.8810119628906}, {\"ID\": 35802, \"Name\": \"Ontario\", \"Mobility\": 0.0844841599, \"State\": \"OR\", \"Population\": 62170, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.093, \"Seg_income\": 0.016, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.021, \"Commute\": 0.49, \"Income\": 27631, \"Gini\": 0.382, \"Share01\": 7.832, \"Gini_99\": 0.304, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.991, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -0.764, \"HS_dropout\": -0.004, \"Colleges\": 0.016, \"Tuition\": 1800.0, \"Graduation\": -0.219, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.146, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.072, \"Social_capital\": -0.583, \"Religious\": 0.452, \"Violent_crime\": 0.001, \"Single_mothers\": 0.179, \"Divorced\": 0.094, \"Married\": 0.638, \"Longitude\": -117.264678955078, \"Latitude\": 44.1263122558594}, {\"ID\": 35803, \"Name\": \"McCall\", \"Mobility\": 0.1240310073, \"State\": \"ID\", \"Population\": 11127, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.017, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.019, \"Commute\": 0.561, \"Income\": 33157, \"Gini\": 0.49, \"Share01\": 16.583, \"Gini_99\": 0.324, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2807.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 7.824, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 10.852, \"HS_dropout\": 0.0, \"Colleges\": 0.09, \"Tuition\": 4200.0, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.086, \"Teenage_labor\": 0.007, \"Migration_in\": 0.042, \"Migration_out\": 0.033, \"Foreign_born\": 0.015, \"Social_capital\": 1.175, \"Religious\": 0.285, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.116, \"Married\": 0.661, \"Longitude\": -115.799903869629, \"Latitude\": 44.7264404296875}, {\"ID\": 35901, \"Name\": \"St. George\", \"Mobility\": 0.1084832922, \"State\": \"UT\", \"Population\": 130138, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.028, \"Seg_income\": 0.031, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.033, \"Commute\": 0.575, \"Income\": 31383, \"Gini\": 0.405, \"Share01\": 13.401, \"Gini_99\": 0.271, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2203.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.922, \"Student_teacher_ratio\": 22.0, \"Test_scores\": 0.549, \"HS_dropout\": -0.011, \"Colleges\": 0.015, \"Tuition\": 1340.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.006, \"Migration_in\": 0.077, \"Migration_out\": 0.035, \"Foreign_born\": 0.038, \"Social_capital\": -1.208, \"Religious\": 0.755, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.634, \"Longitude\": -112.823417663574, \"Latitude\": 38.0471305847168}, {\"ID\": 35902, \"Name\": \"Price\", \"Mobility\": 0.1373439282, \"State\": \"UT\", \"Population\": 54045, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.039, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.015, \"Commute\": 0.577, \"Income\": 26759, \"Gini\": 0.288, \"Share01\": 5.884, \"Gini_99\": 0.229, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2778.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.631, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 4.096, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 1099.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.176, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.13, \"Divorced\": 0.079, \"Married\": 0.598, \"Longitude\": -110.503723144531, \"Latitude\": 39.1939926147461}, {\"ID\": 35903, \"Name\": \"Moab\", \"Mobility\": 0.1179775298, \"State\": \"UT\", \"Population\": 8485, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.752, \"Income\": 31770, \"Gini\": 0.328, \"Share01\": 4.036, \"Gini_99\": 0.288, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2659.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.369, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 1.621, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.103, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.028, \"Social_capital\": 1.517, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.156, \"Married\": 0.506, \"Longitude\": -109.901496887207, \"Latitude\": 38.9266014099121}, {\"ID\": 35904, \"Name\": \"Richfield\", \"Mobility\": 0.1286031008, \"State\": \"UT\", \"Population\": 25012, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.008, \"Commute\": 0.633, \"Income\": 28605, \"Gini\": 0.33, \"Share01\": 7.302, \"Gini_99\": 0.257, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2087.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.918, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 10.733, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.033, \"Foreign_born\": 0.012, \"Social_capital\": -0.791, \"Religious\": 0.832, \"Violent_crime\": 0.002, \"Single_mothers\": 0.12, \"Divorced\": 0.07, \"Married\": 0.656, \"Longitude\": -111.56950378418, \"Latitude\": 38.2386169433594}, {\"ID\": 35905, \"Name\": \"Loa\", \"Mobility\": 0.2096774131, \"State\": \"UT\", \"Population\": 2509, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.628, \"Income\": 32242, \"Gini\": 0.397, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.2, \"Student_teacher_ratio\": 15.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.02, \"Foreign_born\": 0.017, \"Social_capital\": 1.34, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.06, \"Married\": 0.685, \"Longitude\": -110.32356262207, \"Latitude\": 38.3174514770508}, {\"ID\": 36000, \"Name\": \"Provo\", \"Mobility\": 0.1375119984, \"State\": \"UT\", \"Population\": 389179, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.059, \"Seg_income\": 0.095, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.092, \"Commute\": 0.454, \"Income\": 29115, \"Gini\": 0.393, \"Share01\": 19.986, \"Gini_99\": 0.193, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.742, \"Student_teacher_ratio\": 22.2, \"Test_scores\": -1.256, \"HS_dropout\": -0.018, \"Colleges\": 0.01, \"Tuition\": 2813.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.889, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.045, \"Foreign_born\": 0.062, \"Social_capital\": -0.846, \"Religious\": 0.895, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.05, \"Married\": 0.589, \"Longitude\": -112.007392883301, \"Latitude\": 39.7420043945312}, {\"ID\": 36100, \"Name\": \"Salt Lake City\", \"Mobility\": 0.108327426, \"State\": \"UT\", \"Population\": 1426729, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.114, \"Seg_income\": 0.101, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.107, \"Commute\": 0.294, \"Income\": 36988, \"Gini\": 0.358, \"Share01\": 12.569, \"Gini_99\": 0.232, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2439.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.322, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -8.394, \"HS_dropout\": 0.009, \"Colleges\": 0.009, \"Tuition\": 3838.0, \"Graduation\": -0.079, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.813, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.084, \"Social_capital\": -0.635, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.092, \"Married\": 0.58, \"Longitude\": -111.572448730469, \"Latitude\": 40.61962890625}, {\"ID\": 36200, \"Name\": \"Logan\", \"Mobility\": 0.1369095296, \"State\": \"UT\", \"Population\": 149590, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.053, \"Seg_income\": 0.07, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.07, \"Commute\": 0.528, \"Income\": 28953, \"Gini\": 0.291, \"Share01\": 8.962, \"Gini_99\": 0.201, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1732.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.231, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 6.228, \"HS_dropout\": -0.003, \"Colleges\": 0.007, \"Tuition\": 1947.0, \"Graduation\": 0.11, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.105, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.034, \"Foreign_born\": 0.052, \"Social_capital\": -0.004, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.102, \"Divorced\": 0.056, \"Married\": 0.604, \"Longitude\": -111.994789123535, \"Latitude\": 41.9872283935547}, {\"ID\": 36301, \"Name\": \"Pocatello\", \"Mobility\": 0.0925086662, \"State\": \"ID\", \"Population\": 269722, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.128, \"Seg_income\": 0.063, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.07, \"Commute\": 0.517, \"Income\": 30119, \"Gini\": 0.327, \"Share01\": 7.878, \"Gini_99\": 0.248, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.484, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 3.003, \"HS_dropout\": -0.003, \"Colleges\": 0.011, \"Tuition\": 1178.0, \"Graduation\": 0.095, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.043, \"Social_capital\": -0.144, \"Religious\": 0.718, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.087, \"Married\": 0.596, \"Longitude\": -112.316856384277, \"Latitude\": 43.6178512573242}, {\"ID\": 36302, \"Name\": \"Salmon\", \"Mobility\": 0.1549295783, \"State\": \"ID\", \"Population\": 12148, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.013, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.582, \"Income\": 30782, \"Gini\": 0.323, \"Share01\": 6.123, \"Gini_99\": 0.262, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1797.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.031, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.222, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.006, \"Foreign_born\": 0.018, \"Social_capital\": 0.783, \"Religious\": 0.385, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.117, \"Married\": 0.625, \"Longitude\": -114.175308227539, \"Latitude\": 44.6172065734863}, {\"ID\": 36303, \"Name\": \"Jackson\", \"Mobility\": 0.1139240488, \"State\": \"WY\", \"Population\": 24250, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.027, \"Seg_income\": 0.02, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.035, \"Commute\": 0.488, \"Income\": 53838, \"Gini\": 0.711, \"Share01\": 64.788, \"Gini_99\": 0.063, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.876, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -31.837, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.78, \"Manufacturing\": 0.021, \"Chinese_imports\": 0.1, \"Teenage_labor\": 0.007, \"Migration_in\": 0.015, \"Migration_out\": 0.025, \"Foreign_born\": 0.068, \"Social_capital\": 2.389, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.133, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -110.605415344238, \"Latitude\": 43.9552993774414}, {\"ID\": 36401, \"Name\": \"Steamboat Springs\", \"Mobility\": 0.1589041054, \"State\": \"CO\", \"Population\": 38860, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.032, \"Seg_income\": 0.04, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.056, \"Commute\": 0.549, \"Income\": 39506, \"Gini\": 0.348, \"Share01\": 9.631, \"Gini_99\": 0.251, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 4647.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.607, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 8.282, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 1732.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.748, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.067, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.021, \"Foreign_born\": 0.039, \"Social_capital\": -0.036, \"Religious\": 0.346, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.107, \"Married\": 0.568, \"Longitude\": -107.309448242188, \"Latitude\": 40.4096908569336}, {\"ID\": 36402, \"Name\": \"Vernal\", \"Mobility\": 0.2533783913, \"State\": \"UT\", \"Population\": 39595, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.151, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.557, \"Income\": 26254, \"Gini\": 0.333, \"Share01\": 5.914, \"Gini_99\": 0.273, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2958.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.564, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -3.364, \"HS_dropout\": 0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.11, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -1.541, \"Religious\": 0.727, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.087, \"Married\": 0.623, \"Longitude\": -109.915977478027, \"Latitude\": 40.2199554443359}, {\"ID\": 36403, \"Name\": \"Soda Springs\", \"Mobility\": 0.1769911498, \"State\": \"ID\", \"Population\": 13715, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.018, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.01, \"Commute\": 0.575, \"Income\": 29943, \"Gini\": 0.251, \"Share01\": 4.487, \"Gini_99\": 0.207, \"Middle_class\": 0.691, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2757.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.584, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 5.784, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.165, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.345, \"Religious\": 0.818, \"Violent_crime\": 0.001, \"Single_mothers\": 0.103, \"Divorced\": 0.07, \"Married\": 0.667, \"Longitude\": -111.763107299805, \"Latitude\": 42.5429382324219}, {\"ID\": 36404, \"Name\": \"Rock Springs\", \"Mobility\": 0.2053941935, \"State\": \"WY\", \"Population\": 80730, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.545, \"Income\": 33999, \"Gini\": 0.264, \"Share01\": 6.384, \"Gini_99\": 0.2, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 4123.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.307, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 1.942, \"HS_dropout\": 0.021, \"Colleges\": 0.012, \"Tuition\": 1128.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.273, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.666, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.11, \"Married\": 0.618, \"Longitude\": -110.03832244873, \"Latitude\": 41.9130210876465}, {\"ID\": 36501, \"Name\": \"Klamath Falls\", \"Mobility\": 0.0856175944, \"State\": \"CA\", \"Population\": 151353, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.106, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.036, \"Commute\": 0.528, \"Income\": 29858, \"Gini\": 0.383, \"Share01\": 6.928, \"Gini_99\": 0.314, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2909.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -8.53, \"HS_dropout\": -0.008, \"Colleges\": 0.026, \"Tuition\": 1252.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.537, \"Manufacturing\": 0.087, \"Chinese_imports\": 0.588, \"Teenage_labor\": 0.004, \"Migration_in\": 0.026, \"Migration_out\": 0.021, \"Foreign_born\": 0.045, \"Social_capital\": -0.247, \"Religious\": 0.274, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.125, \"Married\": 0.601, \"Longitude\": -121.740371704102, \"Latitude\": 41.1564483642578}, {\"ID\": 36502, \"Name\": \"Burns\", \"Mobility\": 0.1393939406, \"State\": \"OR\", \"Population\": 7609, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.002, \"Commute\": 0.73, \"Income\": 30896, \"Gini\": 0.283, \"Share01\": 2.673, \"Gini_99\": 0.256, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 3536.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.314, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.847, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.223, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.01, \"Foreign_born\": 0.021, \"Social_capital\": 0.719, \"Religious\": 0.311, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -119.109016418457, \"Latitude\": 43.0806770324707}, {\"ID\": 36503, \"Name\": \"Lakeview\", \"Mobility\": 0.1098265871, \"State\": \"OR\", \"Population\": 7422, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.692, \"Income\": 31635, \"Gini\": 0.37, \"Share01\": 9.273, \"Gini_99\": 0.277, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2561.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.849, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.2, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.106, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.018, \"Foreign_born\": 0.034, \"Social_capital\": 0.928, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.136, \"Married\": 0.623, \"Longitude\": -120.350387573242, \"Latitude\": 42.7652053833008}, {\"ID\": 36600, \"Name\": \"Redding\", \"Mobility\": 0.0880713463, \"State\": \"CA\", \"Population\": 219295, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.042, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.038, \"Commute\": 0.424, \"Income\": 33442, \"Gini\": 0.434, \"Share01\": 9.24, \"Gini_99\": 0.341, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3203.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.688, \"Student_teacher_ratio\": 22.4, \"Test_scores\": -9.694, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2351.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.049, \"Social_capital\": -0.633, \"Religious\": 0.251, \"Violent_crime\": 0.004, \"Single_mothers\": 0.238, \"Divorced\": 0.133, \"Married\": 0.561, \"Longitude\": -122.163536071777, \"Latitude\": 40.3078002929688}, {\"ID\": 36700, \"Name\": \"Eureka\", \"Mobility\": 0.0757927299, \"State\": \"CA\", \"Population\": 139540, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.07, \"Seg_income\": 0.033, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.028, \"Commute\": 0.497, \"Income\": 30456, \"Gini\": 0.431, \"Share01\": 8.783, \"Gini_99\": 0.343, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2849.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.499, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -7.355, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 93.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.043, \"Social_capital\": 0.756, \"Religious\": 0.356, \"Violent_crime\": 0.004, \"Single_mothers\": 0.271, \"Divorced\": 0.13, \"Married\": 0.475, \"Longitude\": -123.048484802246, \"Latitude\": 40.842227935791}, {\"ID\": 36800, \"Name\": \"Medford\", \"Mobility\": 0.0719680116, \"State\": \"OR\", \"Population\": 256995, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.038, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.429, \"Income\": 36289, \"Gini\": 0.448, \"Share01\": 10.847, \"Gini_99\": 0.34, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.787, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 3.153, \"HS_dropout\": 0.023, \"Colleges\": 0.008, \"Tuition\": 2364.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.044, \"Social_capital\": 0.017, \"Religious\": 0.216, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.127, \"Married\": 0.575, \"Longitude\": -123.281646728516, \"Latitude\": 42.6183967590332}, {\"ID\": 36901, \"Name\": \"Crescent City\", \"Mobility\": 0.0834224597, \"State\": \"CA\", \"Population\": 48644, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.117, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.626, \"Income\": 29532, \"Gini\": 0.387, \"Share01\": 8.285, \"Gini_99\": 0.305, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2555.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 20.4, \"Test_scores\": -9.264, \"HS_dropout\": 0.002, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.137, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.02, \"Foreign_born\": 0.048, \"Social_capital\": -0.418, \"Religious\": 0.286, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -123.932952880859, \"Latitude\": 42.3174858093262}, {\"ID\": 36902, \"Name\": \"Roseburg\", \"Mobility\": 0.0819778815, \"State\": \"OR\", \"Population\": 163178, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.021, \"Commute\": 0.462, \"Income\": 32479, \"Gini\": 0.385, \"Share01\": 8.286, \"Gini_99\": 0.302, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2488.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.257, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 1732.0, \"Graduation\": -0.199, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.164, \"Religious\": 0.254, \"Violent_crime\": 0.001, \"Single_mothers\": 0.219, \"Divorced\": 0.124, \"Married\": 0.594, \"Longitude\": -123.371940612793, \"Latitude\": 43.0709075927734}, {\"ID\": 37000, \"Name\": \"Modesto\", \"Mobility\": 0.0936282724, \"State\": \"CA\", \"Population\": 729182, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.121, \"Seg_income\": 0.051, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.056, \"Commute\": 0.372, \"Income\": 31666, \"Gini\": 0.464, \"Share01\": 12.051, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3836.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.838, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -18.956, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 333.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.187, \"Social_capital\": -1.574, \"Religious\": 0.446, \"Violent_crime\": 0.005, \"Single_mothers\": 0.204, \"Divorced\": 0.101, \"Married\": 0.561, \"Longitude\": -120.41040802002, \"Latitude\": 37.6686401367188}, {\"ID\": 37100, \"Name\": \"Bakersfield\", \"Mobility\": 0.1216197163, \"State\": \"CA\", \"Population\": 661645, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.214, \"Seg_income\": 0.099, \"Seg_poverty\": 0.076, \"Seg_affluence\": 0.116, \"Commute\": 0.362, \"Income\": 28781, \"Gini\": 0.48, \"Share01\": 11.528, \"Gini_99\": 0.365, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3644.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.756, \"Student_teacher_ratio\": 23.6, \"Test_scores\": -21.294, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2006.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.245, \"Teenage_labor\": 0.003, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.169, \"Social_capital\": -1.903, \"Religious\": 0.437, \"Violent_crime\": 0.005, \"Single_mothers\": 0.229, \"Divorced\": 0.095, \"Married\": 0.568, \"Longitude\": -119.108604431152, \"Latitude\": 35.3061866760254}, {\"ID\": 37200, \"Name\": \"Fresno\", \"Mobility\": 0.0748793706, \"State\": \"CA\", \"Population\": 1419998, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.168, \"Seg_income\": 0.085, \"Seg_poverty\": 0.067, \"Seg_affluence\": 0.102, \"Commute\": 0.351, \"Income\": 28267, \"Gini\": 0.508, \"Share01\": 11.107, \"Gini_99\": 0.397, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3259.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.555, \"Student_teacher_ratio\": 23.2, \"Test_scores\": -18.836, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1969.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.088, \"Chinese_imports\": 0.47, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.209, \"Social_capital\": -1.648, \"Religious\": 0.466, \"Violent_crime\": 0.006, \"Single_mothers\": 0.222, \"Divorced\": 0.087, \"Married\": 0.549, \"Longitude\": -119.227890014648, \"Latitude\": 36.7168731689453}, {\"ID\": 37300, \"Name\": \"Chico\", \"Mobility\": 0.0948425978, \"State\": \"CA\", \"Population\": 387577, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.1, \"Seg_income\": 0.049, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.053, \"Commute\": 0.442, \"Income\": 31471, \"Gini\": 0.444, \"Share01\": 8.792, \"Gini_99\": 0.356, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2904.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.606, \"Student_teacher_ratio\": 22.7, \"Test_scores\": -14.579, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 92.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.409, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.126, \"Social_capital\": -0.921, \"Religious\": 0.291, \"Violent_crime\": 0.004, \"Single_mothers\": 0.223, \"Divorced\": 0.112, \"Married\": 0.531, \"Longitude\": -121.665008544922, \"Latitude\": 39.5398712158203}, {\"ID\": 37400, \"Name\": \"Sacramento\", \"Mobility\": 0.0969090089, \"State\": \"CA\", \"Population\": 2570609, \"Urban\": 1, \"Black\": 0.063, \"Seg_racial\": 0.161, \"Seg_income\": 0.093, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.099, \"Commute\": 0.285, \"Income\": 39560, \"Gini\": 0.451, \"Share01\": 12.004, \"Gini_99\": 0.331, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3559.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 23.3, \"Test_scores\": -11.615, \"HS_dropout\": -0.02, \"Colleges\": 0.008, \"Tuition\": 2457.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.528, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.147, \"Social_capital\": -0.596, \"Religious\": 0.354, \"Violent_crime\": 0.004, \"Single_mothers\": 0.225, \"Divorced\": 0.111, \"Married\": 0.541, \"Longitude\": -120.881065368652, \"Latitude\": 38.5452499389648}, {\"ID\": 37500, \"Name\": \"San Jose\", \"Mobility\": 0.1293258816, \"State\": \"CA\", \"Population\": 2393183, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.218, \"Seg_income\": 0.092, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.112, \"Commute\": 0.244, \"Income\": 52004, \"Gini\": 0.535, \"Share01\": 26.38, \"Gini_99\": 0.271, \"Middle_class\": 0.42, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3361.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.952, \"Student_teacher_ratio\": 24.0, \"Test_scores\": -20.475, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 4664.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.224, \"Chinese_imports\": 3.15, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.038, \"Foreign_born\": 0.312, \"Social_capital\": -0.609, \"Religious\": 0.432, \"Violent_crime\": 0.003, \"Single_mothers\": 0.155, \"Divorced\": 0.091, \"Married\": 0.541, \"Longitude\": -121.291488647461, \"Latitude\": 36.794002532959}, {\"ID\": 37601, \"Name\": \"Elko\", \"Mobility\": 0.1602941155, \"State\": \"NV\", \"Population\": 61917, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.121, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.044, \"Commute\": 0.513, \"Income\": 32701, \"Gini\": 0.313, \"Share01\": 11.854, \"Gini_99\": 0.194, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3116.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.64, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.153, \"HS_dropout\": -0.002, \"Colleges\": 0.016, \"Tuition\": 1395.0, \"Graduation\": -0.174, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.022, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.09, \"Social_capital\": -2.085, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.114, \"Married\": 0.607, \"Longitude\": -116.75122833252, \"Latitude\": 39.8185768127441}, {\"ID\": 37602, \"Name\": \"Winnemucca\", \"Mobility\": 0.1695501804, \"State\": \"NV\", \"Population\": 22799, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.021, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.016, \"Commute\": 0.496, \"Income\": 31976, \"Gini\": 0.279, \"Share01\": 6.081, \"Gini_99\": 0.218, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 6251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.121, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -7.491, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.094, \"Social_capital\": -2.048, \"Religious\": 0.374, \"Violent_crime\": 0.003, \"Single_mothers\": 0.137, \"Divorced\": 0.123, \"Married\": 0.628, \"Longitude\": -118.409187316895, \"Latitude\": 41.0092391967773}, {\"ID\": 37603, \"Name\": \"Portola\", \"Mobility\": 0.1176470593, \"State\": \"CA\", \"Population\": 24379, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.028, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.552, \"Income\": 36905, \"Gini\": 0.357, \"Share01\": 10.523, \"Gini_99\": 0.252, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 4132.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.694, \"Student_teacher_ratio\": 22.0, \"Test_scores\": -2.797, \"HS_dropout\": null, \"Colleges\": 0.041, \"Tuition\": 264.0, \"Graduation\": -0.047, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.046, \"Teenage_labor\": 0.006, \"Migration_in\": 0.029, \"Migration_out\": 0.024, \"Foreign_born\": 0.026, \"Social_capital\": 0.394, \"Religious\": 0.31, \"Violent_crime\": 0.006, \"Single_mothers\": 0.224, \"Divorced\": 0.118, \"Married\": 0.617, \"Longitude\": -120.850761413574, \"Latitude\": 39.9761695861816}, {\"ID\": 37604, \"Name\": \"Reno\", \"Mobility\": 0.0910304934, \"State\": \"NV\", \"Population\": 453825, \"Urban\": 1, \"Black\": 0.018, \"Seg_racial\": 0.097, \"Seg_income\": 0.099, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.115, \"Commute\": 0.378, \"Income\": 41398, \"Gini\": 0.46, \"Share01\": 16.934, \"Gini_99\": 0.291, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2437.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -10.295, \"HS_dropout\": 0.0, \"Colleges\": 0.013, \"Tuition\": 2377.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.43, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.027, \"Foreign_born\": 0.125, \"Social_capital\": -1.082, \"Religious\": 0.289, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.146, \"Married\": 0.538, \"Longitude\": -118.756866455078, \"Latitude\": 39.5042724609375}, {\"ID\": 37700, \"Name\": \"Santa Rosa\", \"Mobility\": 0.0995508954, \"State\": \"CA\", \"Population\": 603188, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.074, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.069, \"Commute\": 0.349, \"Income\": 43636, \"Gini\": 0.445, \"Share01\": 14.83, \"Gini_99\": 0.297, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3118.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.597, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -14.668, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 165.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.026, \"Foreign_born\": 0.13, \"Social_capital\": -0.103, \"Religious\": 0.323, \"Violent_crime\": 0.004, \"Single_mothers\": 0.207, \"Divorced\": 0.127, \"Married\": 0.525, \"Longitude\": -122.767791748047, \"Latitude\": 38.9323234558105}, {\"ID\": 37800, \"Name\": \"San Francisco\", \"Mobility\": 0.1215258688, \"State\": \"CA\", \"Population\": 4642561, \"Urban\": 1, \"Black\": 0.096, \"Seg_racial\": 0.207, \"Seg_income\": 0.11, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.122, \"Commute\": 0.212, \"Income\": 54014, \"Gini\": 0.496, \"Share01\": 23.587, \"Gini_99\": 0.26, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3650.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 22.9, \"Test_scores\": -17.251, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 4312.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.03, \"Foreign_born\": 0.262, \"Social_capital\": -0.38, \"Religious\": 0.381, \"Violent_crime\": 0.003, \"Single_mothers\": 0.193, \"Divorced\": 0.097, \"Married\": 0.509, \"Longitude\": -122.198585510254, \"Latitude\": 38.0660629272461}, {\"ID\": 37901, \"Name\": \"Las Vegas\", \"Mobility\": 0.0800290108, \"State\": \"NV\", \"Population\": 1568418, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.138, \"Seg_income\": 0.102, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.106, \"Commute\": 0.245, \"Income\": 38429, \"Gini\": 0.518, \"Share01\": 20.8, \"Gini_99\": 0.31, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -16.716, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4577.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.255, \"Teenage_labor\": 0.004, \"Migration_in\": 0.061, \"Migration_out\": 0.036, \"Foreign_born\": 0.165, \"Social_capital\": -2.317, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.136, \"Married\": 0.533, \"Longitude\": -114.026496887207, \"Latitude\": 36.0594253540039}, {\"ID\": 37902, \"Name\": \"Reno\", \"Mobility\": 0.1097560972, \"State\": \"NV\", \"Population\": 5071, \"Urban\": 0, \"Black\": 0.046, \"Seg_racial\": 0.244, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.687, \"Income\": 34004, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.244, \"Student_teacher_ratio\": 16.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": -0.075, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.024, \"Social_capital\": -0.773, \"Religious\": 0.345, \"Violent_crime\": 0.001, \"Single_mothers\": 0.28, \"Divorced\": 0.19, \"Married\": 0.522, \"Longitude\": -118.591743469238, \"Latitude\": 38.641918182373}, {\"ID\": 37903, \"Name\": \"Mammoth Lakes\", \"Mobility\": 0.1159420311, \"State\": \"CA\", \"Population\": 30798, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.06, \"Seg_income\": 0.043, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.045, \"Commute\": 0.64, \"Income\": 38537, \"Gini\": 0.381, \"Share01\": 7.066, \"Gini_99\": 0.311, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 4288.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.223, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -14.086, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.037, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.096, \"Social_capital\": 0.228, \"Religious\": 0.426, \"Violent_crime\": 0.003, \"Single_mothers\": 0.205, \"Divorced\": 0.117, \"Married\": 0.552, \"Longitude\": -118.70630645752, \"Latitude\": 37.272533416748}, {\"ID\": 38000, \"Name\": \"San Diego\", \"Mobility\": 0.1043647528, \"State\": \"CA\", \"Population\": 2813833, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.196, \"Seg_income\": 0.112, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.132, \"Commute\": 0.247, \"Income\": 40913, \"Gini\": 0.516, \"Share01\": 17.139, \"Gini_99\": 0.344, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3083.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.406, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -10.538, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2899.0, \"Graduation\": 0.034, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.11, \"Chinese_imports\": 1.516, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.045, \"Foreign_born\": 0.215, \"Social_capital\": -0.944, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.201, \"Divorced\": 0.102, \"Married\": 0.52, \"Longitude\": -117.107269287109, \"Latitude\": 33.1088333129883}, {\"ID\": 38100, \"Name\": \"Yuma\", \"Mobility\": 0.0982132256, \"State\": \"CA\", \"Population\": 302387, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.223, \"Seg_income\": 0.062, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.075, \"Commute\": 0.45, \"Income\": 26908, \"Gini\": 0.495, \"Share01\": 9.975, \"Gini_99\": 0.396, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3979.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.565, \"Student_teacher_ratio\": 22.8, \"Test_scores\": -19.096, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 314.0, \"Graduation\": -0.148, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.049, \"Chinese_imports\": 1.172, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.026, \"Foreign_born\": 0.278, \"Social_capital\": -2.661, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.216, \"Divorced\": 0.077, \"Married\": 0.591, \"Longitude\": -114.670593261719, \"Latitude\": 33.0404739379883}, {\"ID\": 38200, \"Name\": \"Santa Barbara\", \"Mobility\": 0.112940833, \"State\": \"CA\", \"Population\": 646028, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.154, \"Seg_income\": 0.077, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.082, \"Commute\": 0.448, \"Income\": 40050, \"Gini\": 0.48, \"Share01\": 16.672, \"Gini_99\": 0.313, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2829.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.718, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -10.878, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 997.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.087, \"Chinese_imports\": 1.478, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.031, \"Foreign_born\": 0.165, \"Social_capital\": 0.035, \"Religious\": 0.511, \"Violent_crime\": 0.003, \"Single_mothers\": 0.183, \"Divorced\": 0.098, \"Married\": 0.534, \"Longitude\": -120.072280883789, \"Latitude\": 34.8693542480469}, {\"ID\": 38300, \"Name\": \"Los Angeles\", \"Mobility\": 0.096090205, \"State\": \"CA\", \"Population\": 16393360, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.271, \"Seg_income\": 0.121, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.139, \"Commute\": 0.225, \"Income\": 38902, \"Gini\": 0.566, \"Share01\": 18.528, \"Gini_99\": 0.381, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3609.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.532, \"Student_teacher_ratio\": 24.8, \"Test_scores\": -17.336, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4956.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.309, \"Social_capital\": -1.392, \"Religious\": 0.52, \"Violent_crime\": 0.004, \"Single_mothers\": 0.204, \"Divorced\": 0.089, \"Married\": 0.516, \"Longitude\": -116.288673400879, \"Latitude\": 34.0751686096191}, {\"ID\": 38401, \"Name\": \"Lewiston\", \"Mobility\": 0.0902097896, \"State\": \"ID\", \"Population\": 88546, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.09, \"Seg_income\": 0.033, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.035, \"Commute\": 0.555, \"Income\": 32663, \"Gini\": 0.357, \"Share01\": 6.848, \"Gini_99\": 0.288, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1901.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.639, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 4.83, \"HS_dropout\": 0.017, \"Colleges\": 0.011, \"Tuition\": 0.0, \"Graduation\": -0.154, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.171, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 0.555, \"Religious\": 0.4, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.127, \"Married\": 0.576, \"Longitude\": -115.768684387207, \"Latitude\": 46.1207466125488}, {\"ID\": 38402, \"Name\": \"Pullman\", \"Mobility\": 0.1423611045, \"State\": \"WA\", \"Population\": 75675, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.077, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.061, \"Commute\": 0.557, \"Income\": 24766, \"Gini\": 0.333, \"Share01\": 6.766, \"Gini_99\": 0.266, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.079, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.049, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 2073.0, \"Graduation\": 0.245, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.189, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.04, \"Foreign_born\": 0.06, \"Social_capital\": 0.463, \"Religious\": 0.325, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.066, \"Married\": 0.49, \"Longitude\": -117.456970214844, \"Latitude\": 46.7306709289551}, {\"ID\": 38501, \"Name\": \"Moses Lake\", \"Mobility\": 0.0965794772, \"State\": \"WA\", \"Population\": 91126, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.165, \"Seg_income\": 0.021, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.022, \"Commute\": 0.512, \"Income\": 29315, \"Gini\": 0.365, \"Share01\": 6.787, \"Gini_99\": 0.297, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.336, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -8.035, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.082, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.586, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.182, \"Social_capital\": -0.26, \"Religious\": 0.442, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.086, \"Married\": 0.606, \"Longitude\": -119.342346191406, \"Latitude\": 47.2981109619141}, {\"ID\": 38502, \"Name\": \"Wenatchee\", \"Mobility\": 0.0935460478, \"State\": \"WA\", \"Population\": 99219, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.063, \"Seg_income\": 0.035, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.503, \"Income\": 36330, \"Gini\": 0.402, \"Share01\": 10.772, \"Gini_99\": 0.295, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4553.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -1.827, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 1641.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.132, \"Social_capital\": 0.221, \"Religious\": 0.373, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.105, \"Married\": 0.609, \"Longitude\": -120.148620605469, \"Latitude\": 47.9200592041016}, {\"ID\": 38601, \"Name\": \"Spokane\", \"Mobility\": 0.0928014889, \"State\": \"WA\", \"Population\": 608317, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.047, \"Seg_income\": 0.077, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.089, \"Commute\": 0.348, \"Income\": 34286, \"Gini\": 0.414, \"Share01\": 10.294, \"Gini_99\": 0.311, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.843, \"Student_teacher_ratio\": 20.9, \"Test_scores\": 6.227, \"HS_dropout\": 0.022, \"Colleges\": 0.012, \"Tuition\": 5682.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.106, \"Chinese_imports\": 1.397, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.021, \"Foreign_born\": 0.037, \"Social_capital\": 0.371, \"Religious\": 0.344, \"Violent_crime\": 0.001, \"Single_mothers\": 0.212, \"Divorced\": 0.122, \"Married\": 0.566, \"Longitude\": -116.917655944824, \"Latitude\": 47.739501953125}, {\"ID\": 38602, \"Name\": \"Colville\", \"Mobility\": 0.0975247547, \"State\": \"WA\", \"Population\": 86890, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.258, \"Seg_income\": 0.023, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.427, \"Income\": 29312, \"Gini\": 0.405, \"Share01\": 8.849, \"Gini_99\": 0.316, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.828, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.219, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.667, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.026, \"Foreign_born\": 0.06, \"Social_capital\": -1.069, \"Religious\": 0.257, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.592, \"Longitude\": -119.368103027344, \"Latitude\": 48.2558975219727}, {\"ID\": 38700, \"Name\": \"Longview\", \"Mobility\": 0.0927726701, \"State\": \"WA\", \"Population\": 220580, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.058, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.042, \"Commute\": 0.448, \"Income\": 34298, \"Gini\": 0.379, \"Share01\": 8.287, \"Gini_99\": 0.296, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.257, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.591, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 1660.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.151, \"Chinese_imports\": 0.39, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.025, \"Foreign_born\": 0.041, \"Social_capital\": -0.039, \"Religious\": 0.304, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.129, \"Married\": 0.567, \"Longitude\": -123.489311218262, \"Latitude\": 46.4340553283691}, {\"ID\": 38801, \"Name\": \"Portland\", \"Mobility\": 0.0930585414, \"State\": \"OR\", \"Population\": 1842889, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.103, \"Seg_income\": 0.075, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.083, \"Commute\": 0.258, \"Income\": 41718, \"Gini\": 0.419, \"Share01\": 15.8, \"Gini_99\": 0.261, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2861.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.704, \"Student_teacher_ratio\": 21.4, \"Test_scores\": -2.673, \"HS_dropout\": 0.022, \"Colleges\": 0.013, \"Tuition\": 7901.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.531, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.11, \"Social_capital\": 0.165, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.544, \"Longitude\": -122.585243225098, \"Latitude\": 45.5073280334473}, {\"ID\": 38802, \"Name\": \"The Dalles\", \"Mobility\": 0.1043802425, \"State\": \"OR\", \"Population\": 65297, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.017, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.016, \"Commute\": 0.53, \"Income\": 32881, \"Gini\": 0.35, \"Share01\": 6.761, \"Gini_99\": 0.283, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2931.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.744, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -1.692, \"HS_dropout\": -0.001, \"Colleges\": 0.015, \"Tuition\": 1440.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.091, \"Social_capital\": 0.561, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.111, \"Married\": 0.611, \"Longitude\": -120.97777557373, \"Latitude\": 45.380428314209}, {\"ID\": 38901, \"Name\": \"Eugene\", \"Mobility\": 0.0788958147, \"State\": \"OR\", \"Population\": 936387, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.094, \"Seg_income\": 0.058, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.062, \"Commute\": 0.381, \"Income\": 34589, \"Gini\": 0.399, \"Share01\": 10.922, \"Gini_99\": 0.289, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2431.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.184, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -3.381, \"HS_dropout\": 0.015, \"Colleges\": 0.014, \"Tuition\": 5190.0, \"Graduation\": 0.07, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.077, \"Social_capital\": 0.372, \"Religious\": 0.291, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.111, \"Married\": 0.545, \"Longitude\": -122.91716003418, \"Latitude\": 44.4636039733887}, {\"ID\": 38902, \"Name\": \"Newport\", \"Mobility\": 0.0725744814, \"State\": \"OR\", \"Population\": 68741, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.49, \"Income\": 36264, \"Gini\": 0.411, \"Share01\": 7.284, \"Gini_99\": 0.338, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3803.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.472, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.794, \"HS_dropout\": 0.022, \"Colleges\": 0.015, \"Tuition\": 1296.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.561, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.041, \"Social_capital\": -0.573, \"Religious\": 0.237, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.141, \"Married\": 0.566, \"Longitude\": -123.638946533203, \"Latitude\": 45.1897888183594}, {\"ID\": 39000, \"Name\": \"Yakima\", \"Mobility\": 0.0817065835, \"State\": \"WA\", \"Population\": 255943, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.235, \"Seg_income\": 0.069, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.069, \"Commute\": 0.427, \"Income\": 30403, \"Gini\": 0.442, \"Share01\": 10.008, \"Gini_99\": 0.342, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.026, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -10.483, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2524.0, \"Graduation\": 0.104, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.023, \"Foreign_born\": 0.154, \"Social_capital\": -0.709, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.094, \"Married\": 0.558, \"Longitude\": -120.93709564209, \"Latitude\": 46.9831886291504}, {\"ID\": 39100, \"Name\": \"Kennewick\", \"Mobility\": 0.1058548018, \"State\": \"WA\", \"Population\": 332609, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.158, \"Seg_income\": 0.064, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.453, \"Income\": 34510, \"Gini\": 0.362, \"Share01\": 8.535, \"Gini_99\": 0.276, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 5442.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.699, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.494, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 7160.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.112, \"Social_capital\": -0.22, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -118.693199157715, \"Latitude\": 45.9214706420898}, {\"ID\": 39201, \"Name\": \"La Grande\", \"Mobility\": 0.0876747146, \"State\": \"OR\", \"Population\": 41271, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.016, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.645, \"Income\": 31277, \"Gini\": 0.361, \"Share01\": 7.199, \"Gini_99\": 0.289, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.108, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.022, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 2316.0, \"Graduation\": -0.049, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.023, \"Social_capital\": 0.533, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.113, \"Married\": 0.594, \"Longitude\": -117.899185180664, \"Latitude\": 44.9051361083984}, {\"ID\": 39202, \"Name\": \"Enterprise\", \"Mobility\": 0.143790856, \"State\": \"OR\", \"Population\": 7226, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.004, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.644, \"Income\": 34762, \"Gini\": 0.558, \"Share01\": 30.487, \"Gini_99\": 0.254, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 3575.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.28, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 13.774, \"HS_dropout\": -0.038, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.124, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.203, \"Religious\": 0.374, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.103, \"Married\": 0.637, \"Longitude\": -117.263938903809, \"Latitude\": 45.5163421630859}, {\"ID\": 39203, \"Name\": \"Bend\", \"Mobility\": 0.0817263573, \"State\": \"OR\", \"Population\": 153558, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.168, \"Seg_income\": 0.039, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.049, \"Commute\": 0.474, \"Income\": 37787, \"Gini\": 0.441, \"Share01\": 11.325, \"Gini_99\": 0.327, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.638, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -1.345, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 2169.0, \"Graduation\": -0.27, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.366, \"Teenage_labor\": 0.005, \"Migration_in\": 0.058, \"Migration_out\": 0.028, \"Foreign_born\": 0.037, \"Social_capital\": 0.325, \"Religious\": 0.274, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.112, \"Married\": 0.616, \"Longitude\": -121.15111541748, \"Latitude\": 44.2248649597168}, {\"ID\": 39204, \"Name\": \"Condon\", \"Mobility\": 0.1086956486, \"State\": \"OR\", \"Population\": 3462, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.017, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.546, \"Income\": 33476, \"Gini\": 0.24, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3587.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 9.289, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.019, \"Social_capital\": 0.336, \"Religious\": 0.344, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.117, \"Married\": 0.633, \"Longitude\": -120.325981140137, \"Latitude\": 45.2196655273438}, {\"ID\": 39205, \"Name\": \"John Day\", \"Mobility\": 0.1158536598, \"State\": \"OR\", \"Population\": 7935, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.002, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.579, \"Income\": 32736, \"Gini\": 0.311, \"Share01\": 4.4, \"Gini_99\": 0.267, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 3429.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.887, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 12.204, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.208, \"Religious\": 0.331, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.108, \"Married\": 0.628, \"Longitude\": -118.531196594238, \"Latitude\": 44.5940246582031}, {\"ID\": 39301, \"Name\": \"Friday Harbor\", \"Mobility\": 0.1016949117, \"State\": \"WA\", \"Population\": 14077, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.012, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.001, \"Commute\": 0.628, \"Income\": 58628, \"Gini\": 0.796, \"Share01\": 60.527, \"Gini_99\": 0.19, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2971.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.766, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -3.884, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.821, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.06, \"Social_capital\": 2.716, \"Religious\": 0.171, \"Violent_crime\": 0.0, \"Single_mothers\": 0.219, \"Divorced\": 0.148, \"Married\": 0.604, \"Longitude\": -123.052955627441, \"Latitude\": 48.5253791809082}, {\"ID\": 39302, \"Name\": \"Bellingham\", \"Mobility\": 0.1155751273, \"State\": \"WA\", \"Population\": 166814, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.057, \"Seg_income\": 0.046, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.042, \"Commute\": 0.418, \"Income\": 35491, \"Gini\": 0.416, \"Share01\": 12.245, \"Gini_99\": 0.294, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2615.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.912, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 5.12, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 2682.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.324, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.098, \"Social_capital\": 0.063, \"Religious\": 0.294, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.099, \"Married\": 0.538, \"Longitude\": -121.263442993164, \"Latitude\": 48.8311538696289}, {\"ID\": 39303, \"Name\": \"Port Angeles\", \"Mobility\": 0.0858400613, \"State\": \"WA\", \"Population\": 90478, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.122, \"Seg_income\": 0.025, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.024, \"Commute\": 0.486, \"Income\": 39625, \"Gini\": 0.414, \"Share01\": 12.848, \"Gini_99\": 0.285, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3201.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.609, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.012, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.165, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.043, \"Social_capital\": 0.476, \"Religious\": 0.26, \"Violent_crime\": 0.001, \"Single_mothers\": 0.235, \"Divorced\": 0.124, \"Married\": 0.598, \"Longitude\": -123.544647216797, \"Latitude\": 47.9120674133301}, {\"ID\": 39400, \"Name\": \"Seattle\", \"Mobility\": 0.1085509509, \"State\": \"WA\", \"Population\": 3775744, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.107, \"Seg_income\": 0.083, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.24, \"Income\": 44591, \"Gini\": 0.424, \"Share01\": 18.7, \"Gini_99\": 0.237, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3024.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.604, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -0.108, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 5596.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.677, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.022, \"Foreign_born\": 0.113, \"Social_capital\": -0.125, \"Religious\": 0.323, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.116, \"Married\": 0.544, \"Longitude\": -122.012229919434, \"Latitude\": 47.6443939208984}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 31,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "chart1 = alt.Chart(mobility).mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    alt.Y(\"State:O\"),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=400\n",
    ").add_selection(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart2 = alt.Chart(mobility).mark_bar().encode(\n",
    "    alt.X(\"Mobility:Q\", bin=True, axis=alt.Axis(title='Mobility Score')),\n",
    "    alt.Y('count()')\n",
    ").transform_filter(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart = chart1 | chart2\n",
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 32,
   "id": "f7f21293",
   "metadata": {},
   "outputs": [],
   "source": [
    "chart.save(myJekyllDir + 'side_by_side_with_localdata.json')"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 33,
   "id": "836db1fb",
   "metadata": {},
   "outputs": [],
   "source": [
    "import os"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 35,
   "id": "b2ed5ec5",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "875"
      ]
     },
     "execution_count": 35,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "os.stat(myJekyllDir+'side_by_side_mobility_url.json').st_size # size in bytes ~0.875 kb"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 36,
   "id": "0a99f722",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "699416"
      ]
     },
     "execution_count": 36,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "os.stat(myJekyllDir + 'side_by_side_with_localdata.json').st_size # ~7Mb"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "de830923",
   "metadata": {},
   "source": [
    "## Mobility dataset with dropdown selection for state"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 40,
   "id": "9a2290e7",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4.vega-embed details,\n",
       "  #altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-3e4aa52c3b2243d4885f6239fe52c7b4\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"Population\", \"scale\": {\"type\": \"log\"}, \"type\": \"quantitative\"}}, \"height\": 300, \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 40,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart1 = alt.Chart(mobility_url).mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ")\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 44,
   "id": "7d7df191",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-b9e6a08d97dc4558a73f55a155e6de7f.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-b9e6a08d97dc4558a73f55a155e6de7f.vega-embed details,\n",
       "  #altair-viz-b9e6a08d97dc4558a73f55a155e6de7f.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-b9e6a08d97dc4558a73f55a155e6de7f\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-b9e6a08d97dc4558a73f55a155e6de7f\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-b9e6a08d97dc4558a73f55a155e6de7f\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 44,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ")\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 46,
   "id": "8b0d6b02",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'add_selection' is deprecated. Use 'add_params' instead.\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n"
     ]
    },
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-6f0e1013a2214bb2995c10f5624edacf.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-6f0e1013a2214bb2995c10f5624edacf.vega-embed details,\n",
       "  #altair-viz-6f0e1013a2214bb2995c10f5624edacf.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-6f0e1013a2214bb2995c10f5624edacf\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-6f0e1013a2214bb2995c10f5624edacf\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-6f0e1013a2214bb2995c10f5624edacf\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"name\": \"view_5\", \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}]}, {\"data\": {\"name\": \"data-b10526190cf48649f6e7312c7784ddd8\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_6\"}}]}], \"params\": [{\"name\": \"param_6\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"views\": [\"view_5\"]}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\", \"datasets\": {\"data-b10526190cf48649f6e7312c7784ddd8\": [{\"ID\": 100, \"Name\": \"Johnson City\", \"Mobility\": 0.0621988103, \"State\": \"TN\", \"Population\": 576081, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.09, \"Seg_income\": 0.035, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.038, \"Commute\": 0.325, \"Income\": 31560, \"Gini\": 0.468, \"Share01\": 13.459, \"Gini_99\": 0.333, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.185, \"Student_teacher_ratio\": null, \"Test_scores\": 2.728, \"HS_dropout\": -0.015, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.237, \"Chinese_imports\": 5.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.005, \"Foreign_born\": 0.012, \"Social_capital\": -0.298, \"Religious\": 0.514, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.601, \"Longitude\": -82.4363861083984, \"Latitude\": 36.4703712463379}, {\"ID\": 200, \"Name\": \"Morristown\", \"Mobility\": 0.0536519401, \"State\": \"TN\", \"Population\": 227816, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.093, \"Seg_income\": 0.026, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.025, \"Commute\": 0.276, \"Income\": 29959, \"Gini\": 0.435, \"Share01\": 10.631, \"Gini_99\": 0.328, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2004.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.506, \"Student_teacher_ratio\": null, \"Test_scores\": -3.4, \"HS_dropout\": -0.024, \"Colleges\": 0.009, \"Tuition\": 4762.0, \"Graduation\": -0.101, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.238, \"Chinese_imports\": 3.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.767, \"Religious\": 0.544, \"Violent_crime\": 0.002, \"Single_mothers\": 0.185, \"Divorced\": 0.116, \"Married\": 0.613, \"Longitude\": -83.4072494506836, \"Latitude\": 36.0965385437012}, {\"ID\": 301, \"Name\": \"Middlesborough\", \"Mobility\": 0.0726351365, \"State\": \"TN\", \"Population\": 66708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.064, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.026, \"Commute\": 0.359, \"Income\": 22328, \"Gini\": 0.441, \"Share01\": 10.691, \"Gini_99\": 0.334, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.614, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -9.315, \"HS_dropout\": -0.005, \"Colleges\": 0.045, \"Tuition\": 11840.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.479, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.063, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": -1.27, \"Religious\": 0.668, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.113, \"Married\": 0.59, \"Longitude\": -83.5353317260742, \"Latitude\": 36.5515403747559}, {\"ID\": 302, \"Name\": \"Knoxville\", \"Mobility\": 0.0562812127, \"State\": \"TN\", \"Population\": 727600, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.21, \"Seg_income\": 0.092, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.102, \"Commute\": 0.269, \"Income\": 35884, \"Gini\": 0.508, \"Share01\": 15.08, \"Gini_99\": 0.358, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.9, \"Student_teacher_ratio\": null, \"Test_scores\": -6.032, \"HS_dropout\": -0.011, \"Colleges\": 0.011, \"Tuition\": 3480.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.078, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": -0.222, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.114, \"Married\": 0.575, \"Longitude\": -84.242790222168, \"Latitude\": 35.9522590637207}, {\"ID\": 401, \"Name\": \"Winston-Salem\", \"Mobility\": 0.0448007919, \"State\": \"NC\", \"Population\": 493180, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.262, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.081, \"Commute\": 0.292, \"Income\": 38892, \"Gini\": 0.466, \"Share01\": 11.917, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1891.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.463, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.297, \"HS_dropout\": 0.023, \"Colleges\": 0.014, \"Tuition\": 9715.0, \"Graduation\": 0.052, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.215, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -0.018, \"Religious\": 0.488, \"Violent_crime\": 0.003, \"Single_mothers\": 0.22, \"Divorced\": 0.092, \"Married\": 0.586, \"Longitude\": -80.5053329467773, \"Latitude\": 36.0812759399414}, {\"ID\": 402, \"Name\": \"Martinsville\", \"Mobility\": 0.0518358536, \"State\": \"VA\", \"Population\": 92753, \"Urban\": 0, \"Black\": 0.224, \"Seg_racial\": 0.137, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.028, \"Commute\": 0.313, \"Income\": 31265, \"Gini\": 0.444, \"Share01\": 10.68, \"Gini_99\": 0.338, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1558.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.74, \"Student_teacher_ratio\": null, \"Test_scores\": 4.227, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1113.0, \"Graduation\": -0.116, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.395, \"Chinese_imports\": 3.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.025, \"Social_capital\": -0.903, \"Religious\": 0.454, \"Violent_crime\": 0.002, \"Single_mothers\": 0.241, \"Divorced\": 0.096, \"Married\": 0.58, \"Longitude\": -80.2941131591797, \"Latitude\": 36.7005882263184}, {\"ID\": 500, \"Name\": \"Greensboro\", \"Mobility\": 0.0473969392, \"State\": \"NC\", \"Population\": 1055133, \"Urban\": 1, \"Black\": 0.218, \"Seg_racial\": 0.22, \"Seg_income\": 0.068, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.077, \"Commute\": 0.305, \"Income\": 36582, \"Gini\": 0.524, \"Share01\": 18.228, \"Gini_99\": 0.341, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.008, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -3.716, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 4528.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.261, \"Chinese_imports\": 2.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": -0.513, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.096, \"Married\": 0.56, \"Longitude\": -79.7673873901367, \"Latitude\": 36.311107635498}, {\"ID\": 601, \"Name\": \"North Wilkesboro\", \"Mobility\": 0.0516631268, \"State\": \"NC\", \"Population\": 90016, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.114, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.289, \"Income\": 31544, \"Gini\": 0.446, \"Share01\": 12.645, \"Gini_99\": 0.32, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1661.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.296, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 6.698, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 880.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.275, \"Chinese_imports\": 2.573, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": -0.193, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.165, \"Divorced\": 0.087, \"Married\": 0.632, \"Longitude\": -81.2522048950195, \"Latitude\": 36.2834167480469}, {\"ID\": 602, \"Name\": \"Galax\", \"Mobility\": 0.0795698911, \"State\": \"VA\", \"Population\": 64676, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.131, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.006, \"Commute\": 0.325, \"Income\": 30683, \"Gini\": 0.356, \"Share01\": 8.706, \"Gini_99\": 0.269, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1208.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 4.9, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.321, \"Chinese_imports\": 4.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": -0.801, \"Religious\": 0.43, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.622, \"Longitude\": -81.039924621582, \"Latitude\": 36.5919990539551}, {\"ID\": 700, \"Name\": \"Spartanburg\", \"Mobility\": 0.0431111902, \"State\": \"SC\", \"Population\": 354533, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.139, \"Seg_income\": 0.045, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.045, \"Commute\": 0.299, \"Income\": 33417, \"Gini\": 0.471, \"Share01\": 13.061, \"Gini_99\": 0.341, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2499.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.421, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.009, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7264.0, \"Graduation\": 0.007, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.295, \"Chinese_imports\": 0.946, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.029, \"Social_capital\": -1.001, \"Religious\": 0.596, \"Violent_crime\": 0.003, \"Single_mothers\": 0.246, \"Divorced\": 0.099, \"Married\": 0.561, \"Longitude\": -81.7859649658203, \"Latitude\": 34.8730812072754}, {\"ID\": 800, \"Name\": \"Gastonia\", \"Mobility\": 0.0515273064, \"State\": \"NC\", \"Population\": 413331, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.288, \"Income\": 33582, \"Gini\": 0.415, \"Share01\": 10.08, \"Gini_99\": 0.314, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1996.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.412, \"HS_dropout\": 0.03, \"Colleges\": 0.015, \"Tuition\": 10244.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.311, \"Chinese_imports\": 1.466, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.659, \"Religious\": 0.601, \"Violent_crime\": 0.004, \"Single_mothers\": 0.214, \"Divorced\": 0.094, \"Married\": 0.596, \"Longitude\": -81.6222229003906, \"Latitude\": 35.4115333557129}, {\"ID\": 900, \"Name\": \"Charlotte\", \"Mobility\": 0.0437852368, \"State\": \"NC\", \"Population\": 1423942, \"Urban\": 1, \"Black\": 0.227, \"Seg_racial\": 0.223, \"Seg_income\": 0.098, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.12, \"Commute\": 0.241, \"Income\": 41423, \"Gini\": 0.516, \"Share01\": 15.613, \"Gini_99\": 0.36, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2701.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.674, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -2.291, \"HS_dropout\": 0.023, \"Colleges\": 0.013, \"Tuition\": 4790.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.837, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -0.484, \"Religious\": 0.496, \"Violent_crime\": 0.004, \"Single_mothers\": 0.219, \"Divorced\": 0.088, \"Married\": 0.563, \"Longitude\": -80.691764831543, \"Latitude\": 35.0905609130859}, {\"ID\": 1001, \"Name\": \"Boone\", \"Mobility\": 0.0560836494, \"State\": \"NC\", \"Population\": 77361, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.076, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.375, \"Income\": 25953, \"Gini\": 0.487, \"Share01\": 14.276, \"Gini_99\": 0.344, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1348.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 9.978, \"HS_dropout\": 0.013, \"Colleges\": 0.026, \"Tuition\": 1674.0, \"Graduation\": 0.236, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.11, \"Chinese_imports\": 2.011, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.018, \"Social_capital\": 0.012, \"Religious\": 0.488, \"Violent_crime\": 0.002, \"Single_mothers\": 0.167, \"Divorced\": 0.09, \"Married\": 0.527, \"Longitude\": -81.8403930664062, \"Latitude\": 36.196964263916}, {\"ID\": 1002, \"Name\": \"Morganton\", \"Mobility\": 0.0544464625, \"State\": \"NC\", \"Population\": 164760, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.117, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 30726, \"Gini\": 0.351, \"Share01\": 7.776, \"Gini_99\": 0.273, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1826.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 5.556, \"HS_dropout\": 0.018, \"Colleges\": 0.018, \"Tuition\": 888.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.355, \"Chinese_imports\": 3.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": -0.231, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.096, \"Married\": 0.607, \"Longitude\": -81.9952087402344, \"Latitude\": 35.8018951416016}, {\"ID\": 1100, \"Name\": \"Hickory\", \"Mobility\": 0.0449696705, \"State\": \"NC\", \"Population\": 375363, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.042, \"Commute\": 0.322, \"Income\": 36024, \"Gini\": 0.435, \"Share01\": 11.834, \"Gini_99\": 0.317, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1917.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.205, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 3.202, \"HS_dropout\": 0.026, \"Colleges\": 0.011, \"Tuition\": 4109.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.365, \"Chinese_imports\": 3.949, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.042, \"Social_capital\": -0.235, \"Religious\": 0.578, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.095, \"Married\": 0.601, \"Longitude\": -81.2875671386719, \"Latitude\": 35.8712272644043}, {\"ID\": 1201, \"Name\": \"Franklin\", \"Mobility\": 0.0566615611, \"State\": \"NC\", \"Population\": 44861, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.044, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 37261, \"Gini\": 0.516, \"Share01\": 20.552, \"Gini_99\": 0.311, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1434.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.199, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.11, \"HS_dropout\": 0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.1, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.031, \"Social_capital\": -0.234, \"Religious\": 0.613, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.103, \"Married\": 0.624, \"Longitude\": -83.3769378662109, \"Latitude\": 34.9771461486816}, {\"ID\": 1202, \"Name\": \"Sylva\", \"Mobility\": 0.0606653616, \"State\": \"NC\", \"Population\": 54082, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.326, \"Seg_income\": 0.016, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.014, \"Commute\": 0.412, \"Income\": 28767, \"Gini\": 0.404, \"Share01\": 8.421, \"Gini_99\": 0.32, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1581.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.622, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 3.849, \"HS_dropout\": 0.022, \"Colleges\": 0.037, \"Tuition\": 971.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.106, \"Chinese_imports\": 6.567, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -1.001, \"Religious\": 0.409, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.099, \"Married\": 0.582, \"Longitude\": -83.4053268432617, \"Latitude\": 35.347770690918}, {\"ID\": 1203, \"Name\": \"Asheville\", \"Mobility\": 0.0633802786, \"State\": \"NC\", \"Population\": 398505, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.168, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.314, \"Income\": 37445, \"Gini\": 0.461, \"Share01\": 13.046, \"Gini_99\": 0.331, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2059.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.649, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 9.045, \"HS_dropout\": 0.024, \"Colleges\": 0.023, \"Tuition\": 5560.0, \"Graduation\": 0.001, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.827, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.013, \"Foreign_born\": 0.038, \"Social_capital\": 0.055, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.592, \"Longitude\": -82.6990661621094, \"Latitude\": 35.5480651855469}, {\"ID\": 1204, \"Name\": \"Andrews\", \"Mobility\": 0.0804810375, \"State\": \"NC\", \"Population\": 59681, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.051, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.361, \"Income\": 33712, \"Gini\": 0.847, \"Share01\": 55.821, \"Gini_99\": 0.289, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.167, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 1.551, \"HS_dropout\": 0.017, \"Colleges\": 0.034, \"Tuition\": 7563.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.154, \"Chinese_imports\": 2.853, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.004, \"Foreign_born\": 0.015, \"Social_capital\": -0.999, \"Religious\": 0.549, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -83.8927536010742, \"Latitude\": 34.9651565551758}, {\"ID\": 1301, \"Name\": \"Bennettsville\", \"Mobility\": 0.0297968406, \"State\": \"SC\", \"Population\": 71586, \"Urban\": 0, \"Black\": 0.4, \"Seg_racial\": 0.077, \"Seg_income\": 0.01, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.007, \"Commute\": 0.34, \"Income\": 25531, \"Gini\": 0.455, \"Share01\": 12.783, \"Gini_99\": 0.327, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.493, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -10.92, \"HS_dropout\": 0.019, \"Colleges\": 0.014, \"Tuition\": 1272.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.36, \"Chinese_imports\": 2.828, \"Teenage_labor\": 0.002, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.012, \"Social_capital\": -2.44, \"Religious\": 0.49, \"Violent_crime\": 0.004, \"Single_mothers\": 0.316, \"Divorced\": 0.091, \"Married\": 0.519, \"Longitude\": -79.9775314331055, \"Latitude\": 34.5340118408203}, {\"ID\": 1302, \"Name\": \"Florence\", \"Mobility\": 0.0356782004, \"State\": \"SC\", \"Population\": 548986, \"Urban\": 1, \"Black\": 0.341, \"Seg_racial\": 0.201, \"Seg_income\": 0.047, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.043, \"Commute\": 0.327, \"Income\": 32610, \"Gini\": 0.552, \"Share01\": 13.675, \"Gini_99\": 0.415, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1726.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -2.106, \"HS_dropout\": -0.018, \"Colleges\": 0.013, \"Tuition\": 3523.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.06, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.958, \"Religious\": 0.436, \"Violent_crime\": 0.003, \"Single_mothers\": 0.295, \"Divorced\": 0.095, \"Married\": 0.529, \"Longitude\": -79.712776184082, \"Latitude\": 33.9225311279297}, {\"ID\": 1400, \"Name\": \"Fayetteville\", \"Mobility\": 0.0382470116, \"State\": \"NC\", \"Population\": 644101, \"Urban\": 1, \"Black\": 0.299, \"Seg_racial\": 0.173, \"Seg_income\": 0.052, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.048, \"Commute\": 0.322, \"Income\": 29959, \"Gini\": 0.463, \"Share01\": 11.49, \"Gini_99\": 0.348, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2090.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.866, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.484, \"HS_dropout\": 0.024, \"Colleges\": 0.014, \"Tuition\": 2937.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.202, \"Chinese_imports\": 4.161, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.038, \"Foreign_born\": 0.047, \"Social_capital\": -2.21, \"Religious\": 0.377, \"Violent_crime\": 0.003, \"Single_mothers\": 0.276, \"Divorced\": 0.092, \"Married\": 0.545, \"Longitude\": -79.331413269043, \"Latitude\": 35.0354957580566}, {\"ID\": 1500, \"Name\": \"Wilmington\", \"Mobility\": 0.0418033972, \"State\": \"NC\", \"Population\": 361559, \"Urban\": 1, \"Black\": 0.21, \"Seg_racial\": 0.155, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.069, \"Commute\": 0.317, \"Income\": 35617, \"Gini\": 0.523, \"Share01\": 12.594, \"Gini_99\": 0.397, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2144.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.379, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -0.153, \"HS_dropout\": 0.02, \"Colleges\": 0.019, \"Tuition\": 3723.0, \"Graduation\": 0.156, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.49, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": -1.228, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.253, \"Divorced\": 0.096, \"Married\": 0.556, \"Longitude\": -78.3368682861328, \"Latitude\": 34.4779357910156}, {\"ID\": 1600, \"Name\": \"Wilson\", \"Mobility\": 0.0319583789, \"State\": \"NC\", \"Population\": 216840, \"Urban\": 1, \"Black\": 0.416, \"Seg_racial\": 0.169, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.056, \"Commute\": 0.36, \"Income\": 31549, \"Gini\": 0.514, \"Share01\": 11.255, \"Gini_99\": 0.401, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2899.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.084, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.231, \"HS_dropout\": 0.035, \"Colleges\": 0.023, \"Tuition\": 5705.0, \"Graduation\": -0.093, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.232, \"Chinese_imports\": 3.633, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.035, \"Social_capital\": -1.395, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.291, \"Divorced\": 0.087, \"Married\": 0.525, \"Longitude\": -77.7810287475586, \"Latitude\": 35.9106788635254}, {\"ID\": 1701, \"Name\": \"Raleigh\", \"Mobility\": 0.0499866344, \"State\": \"NC\", \"Population\": 1412127, \"Urban\": 1, \"Black\": 0.23, \"Seg_racial\": 0.159, \"Seg_income\": 0.099, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.114, \"Commute\": 0.25, \"Income\": 40546, \"Gini\": 0.509, \"Share01\": 17.762, \"Gini_99\": 0.331, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3147.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.73, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -0.359, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 5642.0, \"Graduation\": 0.135, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.941, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.023, \"Foreign_born\": 0.085, \"Social_capital\": -0.401, \"Religious\": 0.399, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.085, \"Married\": 0.544, \"Longitude\": -78.7137908935547, \"Latitude\": 35.7296524047852}, {\"ID\": 1702, \"Name\": \"Henderson\", \"Mobility\": 0.0336088166, \"State\": \"NC\", \"Population\": 62926, \"Urban\": 0, \"Black\": 0.499, \"Seg_racial\": 0.095, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.034, \"Commute\": 0.345, \"Income\": 29492, \"Gini\": 0.496, \"Share01\": 12.68, \"Gini_99\": 0.37, \"Middle_class\": 0.4, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2116.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.432, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -10.284, \"HS_dropout\": 0.042, \"Colleges\": 0.016, \"Tuition\": 770.0, \"Graduation\": -0.156, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.262, \"Chinese_imports\": 1.073, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -1.636, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.339, \"Divorced\": 0.086, \"Married\": 0.524, \"Longitude\": -78.2416152954102, \"Latitude\": 36.349494934082}, {\"ID\": 1800, \"Name\": \"Goldsboro\", \"Mobility\": 0.0453549512, \"State\": \"NC\", \"Population\": 222553, \"Urban\": 1, \"Black\": 0.311, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.021, \"Commute\": 0.348, \"Income\": 28925, \"Gini\": 0.457, \"Share01\": 11.11, \"Gini_99\": 0.346, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1844.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.786, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.023, \"HS_dropout\": 0.015, \"Colleges\": 0.018, \"Tuition\": 2665.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.191, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -1.612, \"Religious\": 0.395, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.084, \"Married\": 0.555, \"Longitude\": -78.1784744262695, \"Latitude\": 35.0529937744141}, {\"ID\": 1900, \"Name\": \"Jacksonville\", \"Mobility\": 0.0470072404, \"State\": \"NC\", \"Population\": 536909, \"Urban\": 1, \"Black\": 0.256, \"Seg_racial\": 0.136, \"Seg_income\": 0.049, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.048, \"Commute\": 0.375, \"Income\": 29500, \"Gini\": 0.464, \"Share01\": 11.594, \"Gini_99\": 0.349, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2523.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.758, \"HS_dropout\": 0.024, \"Colleges\": 0.013, \"Tuition\": 1085.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.811, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.034, \"Social_capital\": -1.926, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.243, \"Divorced\": 0.084, \"Married\": 0.544, \"Longitude\": -77.1085052490234, \"Latitude\": 35.192928314209}, {\"ID\": 2000, \"Name\": \"Virginia Beach\", \"Mobility\": 0.0535509437, \"State\": \"VA\", \"Population\": 1119468, \"Urban\": 1, \"Black\": 0.308, \"Seg_racial\": 0.189, \"Seg_income\": 0.111, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.109, \"Commute\": 0.253, \"Income\": 34929, \"Gini\": 0.451, \"Share01\": 10.785, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 5.39, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3090.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.406, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.029, \"Foreign_born\": 0.045, \"Social_capital\": -0.95, \"Religious\": 0.346, \"Violent_crime\": 0.001, \"Single_mothers\": 0.261, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -76.2944564819336, \"Latitude\": 36.498649597168}, {\"ID\": 2100, \"Name\": \"Washington\", \"Mobility\": 0.0497884788, \"State\": \"NC\", \"Population\": 124216, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.158, \"Seg_income\": 0.037, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.029, \"Commute\": 0.387, \"Income\": 32919, \"Gini\": 0.475, \"Share01\": 11.065, \"Gini_99\": 0.365, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2823.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.723, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.067, \"HS_dropout\": 0.026, \"Colleges\": 0.016, \"Tuition\": 880.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.93, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -1.066, \"Religious\": 0.466, \"Violent_crime\": 0.002, \"Single_mothers\": 0.262, \"Divorced\": 0.085, \"Married\": 0.57, \"Longitude\": -76.5391998291016, \"Latitude\": 35.6822280883789}, {\"ID\": 2200, \"Name\": \"South Boston\", \"Mobility\": 0.0490487516, \"State\": \"VA\", \"Population\": 158234, \"Urban\": 0, \"Black\": 0.398, \"Seg_racial\": 0.027, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.318, \"Income\": 28198, \"Gini\": 0.408, \"Share01\": 8.048, \"Gini_99\": 0.328, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1349.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.389, \"Student_teacher_ratio\": null, \"Test_scores\": 4.092, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 5395.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.536, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.786, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": -0.65, \"Religious\": 0.407, \"Violent_crime\": 0.001, \"Single_mothers\": 0.266, \"Divorced\": 0.086, \"Married\": 0.534, \"Longitude\": -78.5038604736328, \"Latitude\": 36.9987564086914}, {\"ID\": 2300, \"Name\": \"Lynchburg\", \"Mobility\": 0.067359142, \"State\": \"VA\", \"Population\": 228616, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.132, \"Seg_income\": 0.05, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.056, \"Commute\": 0.309, \"Income\": 34417, \"Gini\": 0.419, \"Share01\": 9.827, \"Gini_99\": 0.321, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1481.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.263, \"Student_teacher_ratio\": null, \"Test_scores\": 3.333, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 12559.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.221, \"Chinese_imports\": 1.309, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": -0.185, \"Religious\": 0.575, \"Violent_crime\": 0.001, \"Single_mothers\": 0.23, \"Divorced\": 0.089, \"Married\": 0.571, \"Longitude\": -79.2872543334961, \"Latitude\": 37.3504180908203}, {\"ID\": 2400, \"Name\": \"Richmond\", \"Mobility\": 0.0547646731, \"State\": \"VA\", \"Population\": 1040192, \"Urban\": 1, \"Black\": 0.303, \"Seg_racial\": 0.257, \"Seg_income\": 0.119, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.125, \"Commute\": 0.238, \"Income\": 41886, \"Gini\": 0.461, \"Share01\": 11.543, \"Gini_99\": 0.345, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2428.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.919, \"Student_teacher_ratio\": null, \"Test_scores\": 4.649, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 5093.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.57, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.013, \"Foreign_born\": 0.043, \"Social_capital\": 0.249, \"Religious\": 0.433, \"Violent_crime\": 0.002, \"Single_mothers\": 0.259, \"Divorced\": 0.098, \"Married\": 0.533, \"Longitude\": -77.3593826293945, \"Latitude\": 37.4937553405762}, {\"ID\": 2500, \"Name\": \"Newport News\", \"Mobility\": 0.0513657629, \"State\": \"VA\", \"Population\": 570854, \"Urban\": 1, \"Black\": 0.316, \"Seg_racial\": 0.181, \"Seg_income\": 0.087, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.095, \"Commute\": 0.29, \"Income\": 36027, \"Gini\": 0.422, \"Share01\": 9.192, \"Gini_99\": 0.33, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.966, \"Student_teacher_ratio\": null, \"Test_scores\": 3.348, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 3699.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.038, \"Social_capital\": -0.63, \"Religious\": 0.367, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.091, \"Married\": 0.553, \"Longitude\": -76.745735168457, \"Latitude\": 37.1789703369141}, {\"ID\": 2600, \"Name\": \"Roanoke Rapids\", \"Mobility\": 0.0327529013, \"State\": \"NC\", \"Population\": 139055, \"Urban\": 0, \"Black\": 0.567, \"Seg_racial\": 0.104, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.357, \"Income\": 27335, \"Gini\": 0.442, \"Share01\": 8.827, \"Gini_99\": 0.353, \"Middle_class\": 0.409, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2041.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.356, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -11.577, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6298.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.513, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.562, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.01, \"Social_capital\": -0.596, \"Religious\": 0.364, \"Violent_crime\": 0.005, \"Single_mothers\": 0.35, \"Divorced\": 0.084, \"Married\": 0.494, \"Longitude\": -77.3320770263672, \"Latitude\": 36.2598991394043}, {\"ID\": 2700, \"Name\": \"Gulfport\", \"Mobility\": 0.0671070293, \"State\": \"MS\", \"Population\": 458674, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.181, \"Seg_income\": 0.036, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 31028, \"Gini\": 0.465, \"Share01\": 12.053, \"Gini_99\": 0.344, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.627, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -3.592, \"HS_dropout\": 0.002, \"Colleges\": 0.004, \"Tuition\": 956.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.401, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.026, \"Social_capital\": -1.63, \"Religious\": 0.535, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.121, \"Married\": 0.549, \"Longitude\": -89.4176559448242, \"Latitude\": 30.6803550720215}, {\"ID\": 2800, \"Name\": \"Laurel\", \"Mobility\": 0.0692070574, \"State\": \"MS\", \"Population\": 120505, \"Urban\": 0, \"Black\": 0.318, \"Seg_racial\": 0.138, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 26974, \"Gini\": 0.511, \"Share01\": 13.527, \"Gini_99\": 0.376, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1817.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.429, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.186, \"HS_dropout\": 0.001, \"Colleges\": 0.017, \"Tuition\": 872.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.248, \"Chinese_imports\": 2.199, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.56, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.258, \"Divorced\": 0.098, \"Married\": 0.547, \"Longitude\": -89.1161804199219, \"Latitude\": 31.800952911377}, {\"ID\": 2900, \"Name\": \"Hattiesburg\", \"Mobility\": 0.0605108887, \"State\": \"MS\", \"Population\": 157181, \"Urban\": 1, \"Black\": 0.298, \"Seg_racial\": 0.22, \"Seg_income\": 0.062, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.072, \"Commute\": 0.358, \"Income\": 28079, \"Gini\": 0.509, \"Share01\": 11.349, \"Gini_99\": 0.396, \"Middle_class\": 0.441, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.261, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.941, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 3586.0, \"Graduation\": 0.109, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.132, \"Chinese_imports\": 1.094, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -0.707, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.099, \"Married\": 0.512, \"Longitude\": -89.4493865966797, \"Latitude\": 31.2641201019287}, {\"ID\": 3001, \"Name\": \"Kosciusko\", \"Mobility\": 0.0354896672, \"State\": \"MS\", \"Population\": 41270, \"Urban\": 0, \"Black\": 0.598, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.021, \"Commute\": 0.365, \"Income\": 24121, \"Gini\": 0.539, \"Share01\": 18.373, \"Gini_99\": 0.355, \"Middle_class\": 0.325, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1748.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.336, \"Student_teacher_ratio\": 19.8, \"Test_scores\": -13.492, \"HS_dropout\": -0.025, \"Colleges\": 0.048, \"Tuition\": 1220.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.231, \"Chinese_imports\": 5.353, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -0.856, \"Religious\": 0.423, \"Violent_crime\": 0.002, \"Single_mothers\": 0.394, \"Divorced\": 0.083, \"Married\": 0.461, \"Longitude\": -90.0540618896484, \"Latitude\": 33.1420021057129}, {\"ID\": 3002, \"Name\": \"Yazoo City\", \"Mobility\": 0.0247895233, \"State\": \"MS\", \"Population\": 39355, \"Urban\": 1, \"Black\": 0.585, \"Seg_racial\": 0.138, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.038, \"Commute\": 0.417, \"Income\": 22600, \"Gini\": 0.605, \"Share01\": 17.47, \"Gini_99\": 0.43, \"Middle_class\": 0.296, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1809.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.664, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -23.049, \"HS_dropout\": 0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.407, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.031, \"Social_capital\": -0.351, \"Religious\": 0.446, \"Violent_crime\": 0.002, \"Single_mothers\": 0.401, \"Divorced\": 0.079, \"Married\": 0.404, \"Longitude\": -90.47216796875, \"Latitude\": 32.897403717041}, {\"ID\": 3003, \"Name\": \"Jackson\", \"Mobility\": 0.0375340469, \"State\": \"MS\", \"Population\": 546560, \"Urban\": 1, \"Black\": 0.445, \"Seg_racial\": 0.288, \"Seg_income\": 0.1, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.11, \"Commute\": 0.267, \"Income\": 33322, \"Gini\": 0.605, \"Share01\": 17.981, \"Gini_99\": 0.425, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.618, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -15.257, \"HS_dropout\": 0.005, \"Colleges\": 0.016, \"Tuition\": 2959.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.644, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": -0.538, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.303, \"Divorced\": 0.104, \"Married\": 0.495, \"Longitude\": -90.2277221679688, \"Latitude\": 32.2902183532715}, {\"ID\": 3101, \"Name\": \"McComb\", \"Mobility\": 0.0625297204, \"State\": \"MS\", \"Population\": 103602, \"Urban\": 0, \"Black\": 0.443, \"Seg_racial\": 0.083, \"Seg_income\": 0.013, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 25123, \"Gini\": 0.505, \"Share01\": 11.866, \"Gini_99\": 0.386, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.398, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.041, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 970.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.758, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.624, \"Religious\": 0.601, \"Violent_crime\": 0.002, \"Single_mothers\": 0.308, \"Divorced\": 0.094, \"Married\": 0.515, \"Longitude\": -90.7779388427734, \"Latitude\": 31.2274875640869}, {\"ID\": 3102, \"Name\": \"Brookhaven\", \"Mobility\": 0.0642954856, \"State\": \"MS\", \"Population\": 46424, \"Urban\": 0, \"Black\": 0.302, \"Seg_racial\": 0.098, \"Seg_income\": 0.014, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.008, \"Commute\": 0.321, \"Income\": 27071, \"Gini\": 0.569, \"Share01\": 21.251, \"Gini_99\": 0.356, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1806.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.338, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -8.088, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.006, \"Social_capital\": -0.017, \"Religious\": 0.719, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -90.2544555664062, \"Latitude\": 31.5236892700195}, {\"ID\": 3201, \"Name\": \"Jena\", \"Mobility\": 0.1264222562, \"State\": \"LA\", \"Population\": 25202, \"Urban\": 0, \"Black\": 0.185, \"Seg_racial\": 0.145, \"Seg_income\": 0.007, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.369, \"Income\": 24857, \"Gini\": 0.389, \"Share01\": 5.903, \"Gini_99\": 0.33, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2134.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.508, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 1.447, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.495, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.005, \"Social_capital\": 0.244, \"Religious\": 0.698, \"Violent_crime\": 0.006, \"Single_mothers\": 0.191, \"Divorced\": 0.08, \"Married\": 0.6, \"Longitude\": -91.9713516235352, \"Latitude\": 31.5846118927002}, {\"ID\": 3202, \"Name\": \"Natchez\", \"Mobility\": 0.0487460271, \"State\": \"MS\", \"Population\": 69653, \"Urban\": 0, \"Black\": 0.464, \"Seg_racial\": 0.194, \"Seg_income\": 0.04, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.03, \"Commute\": 0.418, \"Income\": 27488, \"Gini\": 0.554, \"Share01\": 12.508, \"Gini_99\": 0.428, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.645, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -19.332, \"HS_dropout\": 0.012, \"Colleges\": 0.029, \"Tuition\": 955.0, \"Graduation\": 0.261, \"Labor_force_participation\": 0.519, \"Manufacturing\": 0.111, \"Chinese_imports\": 0.438, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.373, \"Religious\": 0.53, \"Violent_crime\": 0.004, \"Single_mothers\": 0.35, \"Divorced\": 0.106, \"Married\": 0.488, \"Longitude\": -91.4330596923828, \"Latitude\": 31.6362190246582}, {\"ID\": 3203, \"Name\": \"Vicksburg\", \"Mobility\": 0.0311782081, \"State\": \"MS\", \"Population\": 84943, \"Urban\": 0, \"Black\": 0.563, \"Seg_racial\": 0.239, \"Seg_income\": 0.065, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.072, \"Commute\": 0.379, \"Income\": 27080, \"Gini\": 0.547, \"Share01\": 13.243, \"Gini_99\": 0.414, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1874.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.492, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -18.28, \"HS_dropout\": 0.03, \"Colleges\": 0.024, \"Tuition\": 2402.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.149, \"Chinese_imports\": 2.194, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.662, \"Religious\": 0.46, \"Violent_crime\": 0.004, \"Single_mothers\": 0.371, \"Divorced\": 0.091, \"Married\": 0.457, \"Longitude\": -91.1058883666992, \"Latitude\": 32.1802291870117}, {\"ID\": 3300, \"Name\": \"New Orleans\", \"Mobility\": 0.0512128659, \"State\": \"LA\", \"Population\": 1381652, \"Urban\": 1, \"Black\": 0.371, \"Seg_racial\": 0.354, \"Seg_income\": 0.104, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.107, \"Commute\": 0.247, \"Income\": 34077, \"Gini\": 0.583, \"Share01\": 13.588, \"Gini_99\": 0.447, \"Middle_class\": 0.423, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2299.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -10.714, \"HS_dropout\": 0.053, \"Colleges\": 0.02, \"Tuition\": 9043.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.185, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.047, \"Social_capital\": -0.988, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.312, \"Divorced\": 0.112, \"Married\": 0.475, \"Longitude\": -89.9018478393555, \"Latitude\": 30.0419330596924}, {\"ID\": 3400, \"Name\": \"Houma\", \"Mobility\": 0.1134691536, \"State\": \"LA\", \"Population\": 271365, \"Urban\": 1, \"Black\": 0.199, \"Seg_racial\": 0.177, \"Seg_income\": 0.04, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.043, \"Commute\": 0.414, \"Income\": 28094, \"Gini\": 0.486, \"Share01\": 13.738, \"Gini_99\": 0.349, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2350.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.086, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -11.857, \"HS_dropout\": 0.038, \"Colleges\": 0.015, \"Tuition\": 1744.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.11, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.015, \"Social_capital\": -1.247, \"Religious\": 0.737, \"Violent_crime\": 0.003, \"Single_mothers\": 0.214, \"Divorced\": 0.091, \"Married\": 0.558, \"Longitude\": -90.8623275756836, \"Latitude\": 29.544864654541}, {\"ID\": 3500, \"Name\": \"Baton Rouge\", \"Mobility\": 0.0603968948, \"State\": \"LA\", \"Population\": 806561, \"Urban\": 1, \"Black\": 0.333, \"Seg_racial\": 0.292, \"Seg_income\": 0.084, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.081, \"Commute\": 0.258, \"Income\": 31579, \"Gini\": 0.515, \"Share01\": 11.425, \"Gini_99\": 0.4, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1821.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.793, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -11.033, \"HS_dropout\": 0.041, \"Colleges\": 0.02, \"Tuition\": 2442.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.375, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.168, \"Religious\": 0.513, \"Violent_crime\": 0.004, \"Single_mothers\": 0.266, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -91.1708374023438, \"Latitude\": 30.5509929656982}, {\"ID\": 3600, \"Name\": \"Alexandria\", \"Mobility\": 0.0672128424, \"State\": \"LA\", \"Population\": 186516, \"Urban\": 1, \"Black\": 0.282, \"Seg_racial\": 0.263, \"Seg_income\": 0.057, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.053, \"Commute\": 0.343, \"Income\": 28236, \"Gini\": 0.546, \"Share01\": 13.78, \"Gini_99\": 0.408, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1722.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.587, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.213, \"HS_dropout\": 0.042, \"Colleges\": 0.021, \"Tuition\": 3525.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.197, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.012, \"Social_capital\": -0.97, \"Religious\": 0.611, \"Violent_crime\": 0.004, \"Single_mothers\": 0.281, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -92.3311233520508, \"Latitude\": 31.3210601806641}, {\"ID\": 3700, \"Name\": \"Lake Charles\", \"Mobility\": 0.0971184596, \"State\": \"LA\", \"Population\": 335960, \"Urban\": 1, \"Black\": 0.205, \"Seg_racial\": 0.239, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.051, \"Commute\": 0.369, \"Income\": 29462, \"Gini\": 0.442, \"Share01\": 10.245, \"Gini_99\": 0.34, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1823.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.854, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.394, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 2438.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.357, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.016, \"Social_capital\": -1.312, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.098, \"Married\": 0.572, \"Longitude\": -93.314323425293, \"Latitude\": 30.6558399200439}, {\"ID\": 3800, \"Name\": \"Lafayette\", \"Mobility\": 0.0950535387, \"State\": \"LA\", \"Population\": 548154, \"Urban\": 1, \"Black\": 0.27, \"Seg_racial\": 0.194, \"Seg_income\": 0.059, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.058, \"Commute\": 0.339, \"Income\": 28712, \"Gini\": 0.547, \"Share01\": 14.406, \"Gini_99\": 0.403, \"Middle_class\": 0.47, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2106.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.335, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.928, \"HS_dropout\": 0.031, \"Colleges\": 0.018, \"Tuition\": 1822.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.016, \"Social_capital\": -0.997, \"Religious\": 0.8, \"Violent_crime\": 0.003, \"Single_mothers\": 0.258, \"Divorced\": 0.097, \"Married\": 0.538, \"Longitude\": -91.953857421875, \"Latitude\": 30.2178287506104}, {\"ID\": 3901, \"Name\": \"Monroe\", \"Mobility\": 0.0551850982, \"State\": \"LA\", \"Population\": 253878, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.32, \"Seg_income\": 0.07, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.075, \"Commute\": 0.341, \"Income\": 29496, \"Gini\": 0.571, \"Share01\": 15.644, \"Gini_99\": 0.414, \"Middle_class\": 0.414, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1532.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.623, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.315, \"HS_dropout\": 0.046, \"Colleges\": 0.02, \"Tuition\": 1720.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.121, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -0.459, \"Religious\": 0.583, \"Violent_crime\": 0.004, \"Single_mothers\": 0.307, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -91.7262649536133, \"Latitude\": 32.3551597595215}, {\"ID\": 3902, \"Name\": \"Lake Providence\", \"Mobility\": 0.0573065914, \"State\": \"LA\", \"Population\": 21735, \"Urban\": 0, \"Black\": 0.396, \"Seg_racial\": 0.266, \"Seg_income\": 0.024, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.025, \"Commute\": 0.393, \"Income\": 21037, \"Gini\": 0.461, \"Share01\": 8.917, \"Gini_99\": 0.371, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1946.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.4, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -5.451, \"HS_dropout\": 0.055, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.096, \"Chinese_imports\": 2.112, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.426, \"Religious\": 0.608, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.076, \"Married\": 0.541, \"Longitude\": -91.2655181884766, \"Latitude\": 32.7700843811035}, {\"ID\": 4001, \"Name\": \"Magnolia\", \"Mobility\": 0.060388945, \"State\": \"AR\", \"Population\": 34162, \"Urban\": 0, \"Black\": 0.36, \"Seg_racial\": 0.071, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.027, \"Commute\": 0.463, \"Income\": 29001, \"Gini\": 0.446, \"Share01\": 7.52, \"Gini_99\": 0.371, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1256.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.759, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.371, \"HS_dropout\": 0.0, \"Colleges\": 0.029, \"Tuition\": 2304.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.252, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": -0.504, \"Religious\": 0.618, \"Violent_crime\": 0.005, \"Single_mothers\": 0.277, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -93.628547668457, \"Latitude\": 33.2614669799805}, {\"ID\": 4002, \"Name\": \"Shreveport\", \"Mobility\": 0.0527185053, \"State\": \"LA\", \"Population\": 499101, \"Urban\": 1, \"Black\": 0.381, \"Seg_racial\": 0.237, \"Seg_income\": 0.083, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.089, \"Commute\": 0.312, \"Income\": 31565, \"Gini\": 0.535, \"Share01\": 12.701, \"Gini_99\": 0.408, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1945.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.655, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -12.555, \"HS_dropout\": 0.049, \"Colleges\": 0.016, \"Tuition\": 2514.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.146, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": -0.753, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.327, \"Divorced\": 0.11, \"Married\": 0.501, \"Longitude\": -93.1822052001953, \"Latitude\": 32.0001945495605}, {\"ID\": 4003, \"Name\": \"Ruston\", \"Mobility\": 0.0688279271, \"State\": \"LA\", \"Population\": 74800, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.207, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 24715, \"Gini\": 0.511, \"Share01\": 11.456, \"Gini_99\": 0.396, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1398.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.639, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.971, \"HS_dropout\": 0.02, \"Colleges\": 0.053, \"Tuition\": 2677.0, \"Graduation\": 0.035, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.014, \"Social_capital\": -0.936, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.287, \"Divorced\": 0.08, \"Married\": 0.487, \"Longitude\": -92.6748275756836, \"Latitude\": 32.1847763061523}, {\"ID\": 4004, \"Name\": \"Many\", \"Mobility\": 0.1516079605, \"State\": \"LA\", \"Population\": 23459, \"Urban\": 0, \"Black\": 0.168, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.009, \"Commute\": 0.306, \"Income\": 30067, \"Gini\": 0.438, \"Share01\": 9.71, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1853.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.458, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -9.206, \"HS_dropout\": 0.027, \"Colleges\": 0.043, \"Tuition\": 520.0, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.127, \"Chinese_imports\": 1.441, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.009, \"Social_capital\": -1.556, \"Religious\": 0.709, \"Violent_crime\": 0.003, \"Single_mothers\": 0.236, \"Divorced\": 0.09, \"Married\": 0.594, \"Longitude\": -93.6567306518555, \"Latitude\": 31.4778690338135}, {\"ID\": 4101, \"Name\": \"Crossett\", \"Mobility\": 0.041538462, \"State\": \"AR\", \"Population\": 24209, \"Urban\": 0, \"Black\": 0.269, \"Seg_racial\": 0.054, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.015, \"Commute\": 0.502, \"Income\": 30093, \"Gini\": 0.44, \"Share01\": 7.41, \"Gini_99\": 0.366, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1467.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.643, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -11.593, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.275, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -0.183, \"Religious\": 0.799, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.097, \"Married\": 0.59, \"Longitude\": -92.0092163085938, \"Latitude\": 33.1967811584473}, {\"ID\": 4102, \"Name\": \"Pine Bluff\", \"Mobility\": 0.0428298265, \"State\": \"AR\", \"Population\": 168122, \"Urban\": 1, \"Black\": 0.421, \"Seg_racial\": 0.238, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.048, \"Commute\": 0.396, \"Income\": 27099, \"Gini\": 0.454, \"Share01\": 8.256, \"Gini_99\": 0.371, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1370.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.002, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -15.882, \"HS_dropout\": 0.009, \"Colleges\": 0.018, \"Tuition\": 2089.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.869, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -0.923, \"Religious\": 0.525, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -91.5339050292969, \"Latitude\": 33.6581268310547}, {\"ID\": 4103, \"Name\": \"El Dorado\", \"Mobility\": 0.0566330478, \"State\": \"AR\", \"Population\": 89373, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.093, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.023, \"Commute\": 0.437, \"Income\": 30514, \"Gini\": 0.449, \"Share01\": 9.389, \"Gini_99\": 0.355, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1390.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.725, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.728, \"HS_dropout\": 0.005, \"Colleges\": 0.022, \"Tuition\": 1244.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.272, \"Chinese_imports\": 1.452, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": -0.212, \"Religious\": 0.672, \"Violent_crime\": 0.002, \"Single_mothers\": 0.27, \"Divorced\": 0.106, \"Married\": 0.555, \"Longitude\": -92.5011444091797, \"Latitude\": 33.5784034729004}, {\"ID\": 4200, \"Name\": \"Little Rock\", \"Mobility\": 0.0535617173, \"State\": \"AR\", \"Population\": 630854, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.278, \"Seg_income\": 0.073, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.077, \"Commute\": 0.293, \"Income\": 36101, \"Gini\": 0.484, \"Share01\": 11.732, \"Gini_99\": 0.367, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1687.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.092, \"HS_dropout\": 0.007, \"Colleges\": 0.017, \"Tuition\": 4961.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.047, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.12, \"Married\": 0.563, \"Longitude\": -92.6370162963867, \"Latitude\": 34.7950592041016}, {\"ID\": 4301, \"Name\": \"Stuttgart\", \"Mobility\": 0.0539629012, \"State\": \"AR\", \"Population\": 40542, \"Urban\": 0, \"Black\": 0.249, \"Seg_racial\": 0.113, \"Seg_income\": 0.018, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.015, \"Commute\": 0.529, \"Income\": 30500, \"Gini\": 0.445, \"Share01\": 9.649, \"Gini_99\": 0.349, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1427.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.673, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.254, \"HS_dropout\": 0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.2, \"Chinese_imports\": 6.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.004, \"Social_capital\": -0.367, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.274, \"Divorced\": 0.111, \"Married\": 0.568, \"Longitude\": -91.3426666259766, \"Latitude\": 34.4396324157715}, {\"ID\": 4302, \"Name\": \"Searcy\", \"Mobility\": 0.0891045406, \"State\": \"AR\", \"Population\": 94324, \"Urban\": 0, \"Black\": 0.088, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.029, \"Commute\": 0.421, \"Income\": 28365, \"Gini\": 0.434, \"Share01\": 8.856, \"Gini_99\": 0.346, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1252.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.533, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 3.54, \"HS_dropout\": 0.007, \"Colleges\": 0.021, \"Tuition\": 5684.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.183, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": -0.742, \"Religious\": 0.61, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.105, \"Married\": 0.615, \"Longitude\": -91.454719543457, \"Latitude\": 35.3877983093262}, {\"ID\": 4401, \"Name\": \"London\", \"Mobility\": 0.0638953075, \"State\": \"KY\", \"Population\": 144931, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.105, \"Seg_income\": 0.028, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.025, \"Commute\": 0.345, \"Income\": 22044, \"Gini\": 0.511, \"Share01\": 13.431, \"Gini_99\": 0.377, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1164.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -2.237, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 10136.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.007, \"Social_capital\": -1.462, \"Religious\": 0.507, \"Violent_crime\": 0.0, \"Single_mothers\": 0.201, \"Divorced\": 0.107, \"Married\": 0.609, \"Longitude\": -84.0044937133789, \"Latitude\": 37.024299621582}, {\"ID\": 4402, \"Name\": \"Richmond\", \"Mobility\": 0.0590868406, \"State\": \"KY\", \"Population\": 116256, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.105, \"Seg_income\": 0.051, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.058, \"Commute\": 0.35, \"Income\": 25664, \"Gini\": 0.423, \"Share01\": 7.78, \"Gini_99\": 0.345, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1205.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.932, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.157, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 1729.0, \"Graduation\": 0.067, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.205, \"Chinese_imports\": 2.076, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.328, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.107, \"Married\": 0.555, \"Longitude\": -84.1347045898438, \"Latitude\": 37.589282989502}, {\"ID\": 4501, \"Name\": \"West Liberty\", \"Mobility\": 0.0684385374, \"State\": \"KY\", \"Population\": 49887, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.157, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.295, \"Income\": 20802, \"Gini\": 0.508, \"Share01\": 16.386, \"Gini_99\": 0.344, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1272.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.784, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -5.552, \"HS_dropout\": 0.03, \"Colleges\": 0.02, \"Tuition\": 3750.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.423, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -1.289, \"Religious\": 0.214, \"Violent_crime\": 0.0, \"Single_mothers\": 0.199, \"Divorced\": 0.112, \"Married\": 0.588, \"Longitude\": -83.3554000854492, \"Latitude\": 37.6686782836914}, {\"ID\": 4502, \"Name\": \"Hazard\", \"Mobility\": 0.1306593716, \"State\": \"KY\", \"Population\": 117919, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 20987, \"Gini\": 0.445, \"Share01\": 9.422, \"Gini_99\": 0.35, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1264.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.442, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -7.906, \"HS_dropout\": 0.01, \"Colleges\": 0.025, \"Tuition\": 1610.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.421, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": -1.348, \"Religious\": 0.351, \"Violent_crime\": 0.0, \"Single_mothers\": 0.192, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -83.1802062988281, \"Latitude\": 37.1504173278809}, {\"ID\": 4601, \"Name\": \"Campbellsville\", \"Mobility\": 0.0714285746, \"State\": \"KY\", \"Population\": 83451, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.404, \"Income\": 26923, \"Gini\": 0.394, \"Share01\": 8.527, \"Gini_99\": 0.309, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1624.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.746, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.819, \"HS_dropout\": 0.006, \"Colleges\": 0.024, \"Tuition\": 9292.0, \"Graduation\": 0.049, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": -0.499, \"Religious\": 0.637, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.11, \"Married\": 0.605, \"Longitude\": -85.249870300293, \"Latitude\": 37.2286758422852}, {\"ID\": 4602, \"Name\": \"Somerset\", \"Mobility\": 0.0627145097, \"State\": \"KY\", \"Population\": 123981, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.024, \"Commute\": 0.372, \"Income\": 24892, \"Gini\": 0.466, \"Share01\": 11.635, \"Gini_99\": 0.35, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1271.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.814, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -2.443, \"HS_dropout\": 0.01, \"Colleges\": 0.008, \"Tuition\": 1150.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.471, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": -1.14, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -84.5739974975586, \"Latitude\": 36.7019195556641}, {\"ID\": 4701, \"Name\": \"Greenwood\", \"Mobility\": 0.0331106596, \"State\": \"MS\", \"Population\": 84168, \"Urban\": 0, \"Black\": 0.527, \"Seg_racial\": 0.223, \"Seg_income\": 0.045, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.435, \"Income\": 25756, \"Gini\": 0.539, \"Share01\": 13.772, \"Gini_99\": 0.402, \"Middle_class\": 0.378, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2172.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.481, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.145, \"HS_dropout\": 0.042, \"Colleges\": 0.012, \"Tuition\": 2746.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.228, \"Chinese_imports\": 1.389, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.764, \"Religious\": 0.474, \"Violent_crime\": 0.002, \"Single_mothers\": 0.381, \"Divorced\": 0.087, \"Married\": 0.468, \"Longitude\": -90.0163497924805, \"Latitude\": 33.5430183410645}, {\"ID\": 4702, \"Name\": \"Clarksdale\", \"Mobility\": 0.0271325037, \"State\": \"MS\", \"Population\": 141711, \"Urban\": 0, \"Black\": 0.479, \"Seg_racial\": 0.141, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.41, \"Income\": 25222, \"Gini\": 0.52, \"Share01\": 12.888, \"Gini_99\": 0.391, \"Middle_class\": 0.373, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1928.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.294, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.675, \"HS_dropout\": -0.001, \"Colleges\": 0.014, \"Tuition\": 2889.0, \"Graduation\": 0.21, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.789, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.761, \"Religious\": 0.444, \"Violent_crime\": 0.001, \"Single_mothers\": 0.357, \"Divorced\": 0.083, \"Married\": 0.449, \"Longitude\": -90.2487945556641, \"Latitude\": 34.1848678588867}, {\"ID\": 4800, \"Name\": \"Greenville\", \"Mobility\": 0.0221015904, \"State\": \"MS\", \"Population\": 146833, \"Urban\": 0, \"Black\": 0.658, \"Seg_racial\": 0.218, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.498, \"Income\": 23169, \"Gini\": 0.525, \"Share01\": 11.211, \"Gini_99\": 0.413, \"Middle_class\": 0.314, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1800.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.344, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -20.082, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 1419.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.188, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.007, \"Social_capital\": -1.051, \"Religious\": 0.373, \"Violent_crime\": 0.002, \"Single_mothers\": 0.434, \"Divorced\": 0.083, \"Married\": 0.402, \"Longitude\": -90.9878692626953, \"Latitude\": 33.2874450683594}, {\"ID\": 4901, \"Name\": \"Jackson\", \"Mobility\": 0.0474881269, \"State\": \"TN\", \"Population\": 198166, \"Urban\": 1, \"Black\": 0.274, \"Seg_racial\": 0.223, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.066, \"Commute\": 0.366, \"Income\": 31754, \"Gini\": 0.474, \"Share01\": 12.857, \"Gini_99\": 0.345, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3444.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": null, \"Test_scores\": -8.155, \"HS_dropout\": -0.009, \"Colleges\": 0.025, \"Tuition\": 6396.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.259, \"Chinese_imports\": 2.155, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.251, \"Religious\": 0.57, \"Violent_crime\": 0.003, \"Single_mothers\": 0.269, \"Divorced\": 0.113, \"Married\": 0.54, \"Longitude\": -88.8984222412109, \"Latitude\": 35.6781158447266}, {\"ID\": 4902, \"Name\": \"Dyersburg\", \"Mobility\": 0.0431115292, \"State\": \"TN\", \"Population\": 92131, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 26597, \"Gini\": 0.417, \"Share01\": 9.444, \"Gini_99\": 0.323, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2162.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.951, \"Student_teacher_ratio\": null, \"Test_scores\": -3.103, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 1294.0, \"Graduation\": -0.261, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.316, \"Chinese_imports\": 1.984, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": -1.445, \"Religious\": 0.504, \"Violent_crime\": 0.004, \"Single_mothers\": 0.3, \"Divorced\": 0.121, \"Married\": 0.533, \"Longitude\": -89.5839614868164, \"Latitude\": 35.9390640258789}, {\"ID\": 4903, \"Name\": \"Lexington\", \"Mobility\": 0.0816599727, \"State\": \"TN\", \"Population\": 44884, \"Urban\": 0, \"Black\": 0.057, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 31853, \"Gini\": 0.317, \"Share01\": 6.22, \"Gini_99\": 0.255, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1722.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 3.92, \"Student_teacher_ratio\": null, \"Test_scores\": 1.607, \"HS_dropout\": -0.022, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.32, \"Chinese_imports\": 5.472, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": -1.398, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.121, \"Married\": 0.611, \"Longitude\": -88.0600204467773, \"Latitude\": 35.6141738891602}, {\"ID\": 5000, \"Name\": \"Tupelo\", \"Mobility\": 0.0435734168, \"State\": \"MS\", \"Population\": 197774, \"Urban\": 0, \"Black\": 0.241, \"Seg_racial\": 0.123, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.023, \"Commute\": 0.341, \"Income\": 30736, \"Gini\": 0.457, \"Share01\": 11.467, \"Gini_99\": 0.342, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.352, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -8.12, \"HS_dropout\": -0.008, \"Colleges\": 0.01, \"Tuition\": 950.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.364, \"Chinese_imports\": 4.838, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": -0.694, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.108, \"Married\": 0.569, \"Longitude\": -88.6931762695312, \"Latitude\": 34.0106201171875}, {\"ID\": 5100, \"Name\": \"Corinth\", \"Mobility\": 0.06576325, \"State\": \"MS\", \"Population\": 129508, \"Urban\": 0, \"Black\": 0.079, \"Seg_racial\": 0.128, \"Seg_income\": 0.013, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.01, \"Commute\": 0.372, \"Income\": 28904, \"Gini\": 0.426, \"Share01\": 12.3, \"Gini_99\": 0.303, \"Middle_class\": 0.546, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2222.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.329, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -1.45, \"HS_dropout\": -0.016, \"Colleges\": 0.008, \"Tuition\": 1080.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.336, \"Chinese_imports\": 7.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.766, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.113, \"Married\": 0.599, \"Longitude\": -88.3704833984375, \"Latitude\": 35.0568542480469}, {\"ID\": 5201, \"Name\": \"New Albany\", \"Mobility\": 0.0546255521, \"State\": \"MS\", \"Population\": 54214, \"Urban\": 1, \"Black\": 0.185, \"Seg_racial\": 0.088, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.299, \"Income\": 27596, \"Gini\": 0.389, \"Share01\": 9.491, \"Gini_99\": 0.294, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.111, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -1.196, \"HS_dropout\": -0.014, \"Colleges\": 0.018, \"Tuition\": 5250.0, \"Graduation\": 0.145, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.381, \"Chinese_imports\": 4.226, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 0.047, \"Religious\": 0.734, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.092, \"Married\": 0.6, \"Longitude\": -88.9695587158203, \"Latitude\": 34.6554679870605}, {\"ID\": 5202, \"Name\": \"Memphis\", \"Mobility\": 0.0281827394, \"State\": \"TN\", \"Population\": 1154338, \"Urban\": 1, \"Black\": 0.432, \"Seg_racial\": 0.36, \"Seg_income\": 0.137, \"Seg_poverty\": 0.129, \"Seg_affluence\": 0.148, \"Commute\": 0.224, \"Income\": 37116, \"Gini\": 0.586, \"Share01\": 17.031, \"Gini_99\": 0.415, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2868.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 19.7, \"Test_scores\": -15.57, \"HS_dropout\": 0.02, \"Colleges\": 0.013, \"Tuition\": 4191.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 1.263, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": -0.71, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.106, \"Married\": 0.492, \"Longitude\": -90.0650634765625, \"Latitude\": 35.0354385375977}, {\"ID\": 5300, \"Name\": \"West Memphis\", \"Mobility\": 0.0320140719, \"State\": \"AR\", \"Population\": 138746, \"Urban\": 1, \"Black\": 0.471, \"Seg_racial\": 0.199, \"Seg_income\": 0.045, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.052, \"Commute\": 0.416, \"Income\": 25942, \"Gini\": 0.458, \"Share01\": 8.066, \"Gini_99\": 0.377, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1540.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.632, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -14.367, \"HS_dropout\": 0.024, \"Colleges\": 0.022, \"Tuition\": 1037.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.158, \"Chinese_imports\": 4.292, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -1.195, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.368, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -90.5962371826172, \"Latitude\": 34.7605514526367}, {\"ID\": 5401, \"Name\": \"Bowling Green\", \"Mobility\": 0.0642673522, \"State\": \"KY\", \"Population\": 164944, \"Urban\": 1, \"Black\": 0.072, \"Seg_racial\": 0.123, \"Seg_income\": 0.05, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.056, \"Commute\": 0.375, \"Income\": 31026, \"Gini\": 0.454, \"Share01\": 12.093, \"Gini_99\": 0.333, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1675.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.925, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 3.097, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 2232.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.749, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.027, \"Social_capital\": -0.747, \"Religious\": 0.528, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.105, \"Married\": 0.574, \"Longitude\": -86.3613433837891, \"Latitude\": 36.9742088317871}, {\"ID\": 5402, \"Name\": \"Glasgow\", \"Mobility\": 0.0613557659, \"State\": \"KY\", \"Population\": 92394, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.02, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.022, \"Commute\": 0.376, \"Income\": 27831, \"Gini\": 0.439, \"Share01\": 12.307, \"Gini_99\": 0.316, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1390.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.62, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.207, \"HS_dropout\": -0.006, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.792, \"Religious\": 0.497, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.108, \"Married\": 0.614, \"Longitude\": -85.7584686279297, \"Latitude\": 36.8960647583008}, {\"ID\": 5500, \"Name\": \"Columbia\", \"Mobility\": 0.0570192672, \"State\": \"TN\", \"Population\": 159374, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.113, \"Seg_income\": 0.041, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.047, \"Commute\": 0.304, \"Income\": 32507, \"Gini\": 0.381, \"Share01\": 8.556, \"Gini_99\": 0.296, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2532.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.217, \"Student_teacher_ratio\": null, \"Test_scores\": -4.083, \"HS_dropout\": -0.01, \"Colleges\": 0.013, \"Tuition\": 2663.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.305, \"Chinese_imports\": 2.56, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.021, \"Foreign_born\": 0.015, \"Social_capital\": -1.248, \"Religious\": 0.472, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.113, \"Married\": 0.591, \"Longitude\": -87.1828079223633, \"Latitude\": 35.5133590698242}, {\"ID\": 5600, \"Name\": \"Nashville\", \"Mobility\": 0.0572634488, \"State\": \"TN\", \"Population\": 1246338, \"Urban\": 1, \"Black\": 0.153, \"Seg_racial\": 0.249, \"Seg_income\": 0.103, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.112, \"Commute\": 0.24, \"Income\": 39833, \"Gini\": 0.517, \"Share01\": 18.995, \"Gini_99\": 0.327, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2577.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.088, \"Student_teacher_ratio\": null, \"Test_scores\": -6.695, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 7971.0, \"Graduation\": -0.001, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.499, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.047, \"Social_capital\": -0.397, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.115, \"Married\": 0.549, \"Longitude\": -86.4776077270508, \"Latitude\": 36.0064163208008}, {\"ID\": 5700, \"Name\": \"Tullahoma\", \"Mobility\": 0.0614474267, \"State\": \"TN\", \"Population\": 130610, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.093, \"Seg_income\": 0.017, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.015, \"Commute\": 0.37, \"Income\": 32903, \"Gini\": 0.423, \"Share01\": 10.603, \"Gini_99\": 0.317, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.669, \"Student_teacher_ratio\": null, \"Test_scores\": -2.54, \"HS_dropout\": -0.012, \"Colleges\": 0.015, \"Tuition\": 8383.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.277, \"Chinese_imports\": 2.509, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": -0.715, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -86.3036117553711, \"Latitude\": 35.4622421264648}, {\"ID\": 5800, \"Name\": \"Dickson\", \"Mobility\": 0.0715361461, \"State\": \"TN\", \"Population\": 138212, \"Urban\": 1, \"Black\": 0.062, \"Seg_racial\": 0.083, \"Seg_income\": 0.021, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.024, \"Commute\": 0.33, \"Income\": 31374, \"Gini\": 0.428, \"Share01\": 11.897, \"Gini_99\": 0.309, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2132.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.441, \"Student_teacher_ratio\": null, \"Test_scores\": 2.489, \"HS_dropout\": -0.013, \"Colleges\": 0.007, \"Tuition\": 7860.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.26, \"Chinese_imports\": 3.839, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -0.845, \"Religious\": 0.54, \"Violent_crime\": 0.002, \"Single_mothers\": 0.206, \"Divorced\": 0.116, \"Married\": 0.608, \"Longitude\": -87.8451919555664, \"Latitude\": 36.0888633728027}, {\"ID\": 5900, \"Name\": \"Clarksville\", \"Mobility\": 0.0599688478, \"State\": \"TN\", \"Population\": 252059, \"Urban\": 1, \"Black\": 0.179, \"Seg_racial\": 0.133, \"Seg_income\": 0.056, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.052, \"Commute\": 0.319, \"Income\": 28962, \"Gini\": 0.383, \"Share01\": 9.751, \"Gini_99\": 0.285, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.298, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.633, \"HS_dropout\": -0.004, \"Colleges\": 0.024, \"Tuition\": 2147.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.668, \"Teenage_labor\": 0.003, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.033, \"Social_capital\": -1.828, \"Religious\": 0.48, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.101, \"Married\": 0.608, \"Longitude\": -87.5625991821289, \"Latitude\": 36.6690673828125}, {\"ID\": 6000, \"Name\": \"Huntsville\", \"Mobility\": 0.0566761531, \"State\": \"AL\", \"Population\": 519583, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.225, \"Seg_income\": 0.089, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.098, \"Commute\": 0.286, \"Income\": 37730, \"Gini\": 0.443, \"Share01\": 10.571, \"Gini_99\": 0.337, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.14, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -7.679, \"HS_dropout\": -0.006, \"Colleges\": 0.012, \"Tuition\": 2761.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.228, \"Chinese_imports\": 2.479, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.014, \"Foreign_born\": 0.03, \"Social_capital\": -1.029, \"Religious\": 0.559, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.108, \"Married\": 0.595, \"Longitude\": -86.7002639770508, \"Latitude\": 34.855583190918}, {\"ID\": 6100, \"Name\": \"Gadsden\", \"Mobility\": 0.071056664, \"State\": \"AL\", \"Population\": 304068, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.265, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.032, \"Commute\": 0.328, \"Income\": 30842, \"Gini\": 0.441, \"Share01\": 10.908, \"Gini_99\": 0.332, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1757.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.591, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -7.767, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1449.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.296, \"Chinese_imports\": 2.007, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": -1.024, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.198, \"Divorced\": 0.11, \"Married\": 0.611, \"Longitude\": -86.0703277587891, \"Latitude\": 34.3181457519531}, {\"ID\": 6200, \"Name\": \"Florence\", \"Mobility\": 0.0710671544, \"State\": \"AL\", \"Population\": 230941, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.196, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 31581, \"Gini\": 0.448, \"Share01\": 11.773, \"Gini_99\": 0.33, \"Middle_class\": 0.528, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2708.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.315, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1919.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.348, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.015, \"Social_capital\": -0.834, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.102, \"Married\": 0.611, \"Longitude\": -87.5710220336914, \"Latitude\": 35.096565246582}, {\"ID\": 6301, \"Name\": \"McMinnville\", \"Mobility\": 0.0572254322, \"State\": \"TN\", \"Population\": 84309, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.064, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.367, \"Income\": 29411, \"Gini\": 0.426, \"Share01\": 11.163, \"Gini_99\": 0.314, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1879.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.085, \"Student_teacher_ratio\": null, \"Test_scores\": -1.519, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.318, \"Chinese_imports\": 4.639, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": -1.412, \"Religious\": 0.541, \"Violent_crime\": 0.003, \"Single_mothers\": 0.198, \"Divorced\": 0.123, \"Married\": 0.605, \"Longitude\": -85.6722869873047, \"Latitude\": 35.8743438720703}, {\"ID\": 6302, \"Name\": \"Cookeville\", \"Mobility\": 0.0720288083, \"State\": \"TN\", \"Population\": 98362, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.083, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.029, \"Commute\": 0.38, \"Income\": 28510, \"Gini\": 0.455, \"Share01\": 11.752, \"Gini_99\": 0.337, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.842, \"Student_teacher_ratio\": null, \"Test_scores\": 2.41, \"HS_dropout\": -0.027, \"Colleges\": 0.02, \"Tuition\": 2222.0, \"Graduation\": 0.191, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.025, \"Social_capital\": -1.326, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -85.4125366210938, \"Latitude\": 36.3022613525391}, {\"ID\": 6401, \"Name\": \"Chattanooga\", \"Mobility\": 0.0570530631, \"State\": \"TN\", \"Population\": 490863, \"Urban\": 1, \"Black\": 0.134, \"Seg_racial\": 0.335, \"Seg_income\": 0.075, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.078, \"Commute\": 0.256, \"Income\": 35728, \"Gini\": 0.502, \"Share01\": 14.485, \"Gini_99\": 0.357, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2821.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.825, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.888, \"HS_dropout\": 0.026, \"Colleges\": 0.014, \"Tuition\": 4482.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.114, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.409, \"Religious\": 0.518, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.117, \"Married\": 0.572, \"Longitude\": -85.337043762207, \"Latitude\": 35.1550254821777}, {\"ID\": 6402, \"Name\": \"Crossville\", \"Mobility\": 0.0708446875, \"State\": \"TN\", \"Population\": 104194, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.076, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.017, \"Commute\": 0.338, \"Income\": 29333, \"Gini\": 0.426, \"Share01\": 10.83, \"Gini_99\": 0.318, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1365.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.418, \"Student_teacher_ratio\": null, \"Test_scores\": 0.409, \"HS_dropout\": -0.004, \"Colleges\": 0.01, \"Tuition\": 11700.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.269, \"Chinese_imports\": 2.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": -1.024, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.112, \"Married\": 0.632, \"Longitude\": -84.981071472168, \"Latitude\": 35.9107475280762}, {\"ID\": 6501, \"Name\": \"Ellijay\", \"Mobility\": 0.064965196, \"State\": \"GA\", \"Population\": 43254, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.11, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.292, \"Income\": 31235, \"Gini\": 0.403, \"Share01\": 7.137, \"Gini_99\": 0.331, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1556.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.193, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.837, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.568, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.597, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.017, \"Foreign_born\": 0.036, \"Social_capital\": -1.19, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.11, \"Married\": 0.632, \"Longitude\": -84.3799591064453, \"Latitude\": 34.6945686340332}, {\"ID\": 6502, \"Name\": \"Cleveland\", \"Mobility\": 0.0668229759, \"State\": \"TN\", \"Population\": 203077, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.075, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.343, \"Income\": 30499, \"Gini\": 0.418, \"Share01\": 9.445, \"Gini_99\": 0.323, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2213.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.251, \"Student_teacher_ratio\": null, \"Test_scores\": -4.013, \"HS_dropout\": -0.014, \"Colleges\": 0.02, \"Tuition\": 5002.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.324, \"Chinese_imports\": 4.575, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": -0.643, \"Religious\": 0.627, \"Violent_crime\": 0.002, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.621, \"Longitude\": -84.543327331543, \"Latitude\": 35.4968109130859}, {\"ID\": 6600, \"Name\": \"Rome\", \"Mobility\": 0.0484621339, \"State\": \"GA\", \"Population\": 418304, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.181, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.301, \"Income\": 31877, \"Gini\": 0.491, \"Share01\": 16.237, \"Gini_99\": 0.328, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2610.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.324, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.992, \"HS_dropout\": 0.035, \"Colleges\": 0.012, \"Tuition\": 5002.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.34, \"Chinese_imports\": 1.605, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.066, \"Social_capital\": -1.683, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.108, \"Married\": 0.604, \"Longitude\": -85.1338729858398, \"Latitude\": 34.4316864013672}, {\"ID\": 6700, \"Name\": \"Tampa\", \"Mobility\": 0.060128428, \"State\": \"FL\", \"Population\": 2395997, \"Urban\": 1, \"Black\": 0.099, \"Seg_racial\": 0.232, \"Seg_income\": 0.08, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.097, \"Commute\": 0.264, \"Income\": 42195, \"Gini\": 0.534, \"Share01\": 15.27, \"Gini_99\": 0.381, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2380.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.228, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.514, \"HS_dropout\": -0.001, \"Colleges\": 0.009, \"Tuition\": 6791.0, \"Graduation\": 0.026, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.622, \"Teenage_labor\": 0.004, \"Migration_in\": 0.041, \"Migration_out\": 0.025, \"Foreign_born\": 0.098, \"Social_capital\": -1.04, \"Religious\": 0.379, \"Violent_crime\": null, \"Single_mothers\": 0.252, \"Divorced\": 0.125, \"Married\": 0.537, \"Longitude\": -82.4193954467773, \"Latitude\": 28.1531715393066}, {\"ID\": 6800, \"Name\": \"Lakeland\", \"Mobility\": 0.0520584956, \"State\": \"FL\", \"Population\": 598228, \"Urban\": 1, \"Black\": 0.125, \"Seg_racial\": 0.171, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.289, \"Income\": 36102, \"Gini\": 0.477, \"Share01\": 12.185, \"Gini_99\": 0.355, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2265.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.569, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -7.088, \"HS_dropout\": 0.025, \"Colleges\": 0.015, \"Tuition\": 6001.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.556, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.048, \"Migration_out\": 0.025, \"Foreign_born\": 0.077, \"Social_capital\": -1.73, \"Religious\": 0.422, \"Violent_crime\": null, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.58, \"Longitude\": -81.4550399780273, \"Latitude\": 27.7498950958252}, {\"ID\": 6900, \"Name\": \"Sarasota\", \"Mobility\": 0.0683156624, \"State\": \"FL\", \"Population\": 763795, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.214, \"Seg_income\": 0.067, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.082, \"Commute\": 0.319, \"Income\": 52947, \"Gini\": 0.541, \"Share01\": 17.696, \"Gini_99\": 0.364, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2478.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.457, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -1.082, \"HS_dropout\": 0.004, \"Colleges\": 0.004, \"Tuition\": 4013.0, \"Graduation\": -0.03, \"Labor_force_participation\": 0.504, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.624, \"Teenage_labor\": 0.005, \"Migration_in\": 0.043, \"Migration_out\": 0.023, \"Foreign_born\": 0.092, \"Social_capital\": -0.533, \"Religious\": 0.403, \"Violent_crime\": null, \"Single_mothers\": 0.23, \"Divorced\": 0.11, \"Married\": 0.602, \"Longitude\": -82.2600936889648, \"Latitude\": 27.1796760559082}, {\"ID\": 7000, \"Name\": \"Miami\", \"Mobility\": 0.0729660839, \"State\": \"FL\", \"Population\": 3955969, \"Urban\": 1, \"Black\": 0.191, \"Seg_racial\": 0.33, \"Seg_income\": 0.105, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.12, \"Commute\": 0.198, \"Income\": 38110, \"Gini\": 0.632, \"Share01\": 18.867, \"Gini_99\": 0.444, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 3155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.895, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -6.999, \"HS_dropout\": 0.006, \"Colleges\": 0.009, \"Tuition\": 7491.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.068, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.027, \"Foreign_born\": 0.397, \"Social_capital\": -2.141, \"Religious\": 0.42, \"Violent_crime\": null, \"Single_mothers\": 0.258, \"Divorced\": 0.117, \"Married\": 0.502, \"Longitude\": -80.6895523071289, \"Latitude\": 25.5369129180908}, {\"ID\": 7100, \"Name\": \"Port St. Lucie\", \"Mobility\": 0.062430378, \"State\": \"FL\", \"Population\": 1533306, \"Urban\": 1, \"Black\": 0.129, \"Seg_racial\": 0.248, \"Seg_income\": 0.102, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.122, \"Commute\": 0.26, \"Income\": 55175, \"Gini\": 0.61, \"Share01\": 20.816, \"Gini_99\": 0.402, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.852, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -5.311, \"HS_dropout\": -0.008, \"Colleges\": 0.007, \"Tuition\": 5062.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.475, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.03, \"Foreign_born\": 0.157, \"Social_capital\": -1.433, \"Religious\": 0.516, \"Violent_crime\": null, \"Single_mothers\": 0.226, \"Divorced\": 0.107, \"Married\": 0.569, \"Longitude\": -80.8225402832031, \"Latitude\": 27.1259841918945}, {\"ID\": 7200, \"Name\": \"Cape Coral\", \"Mobility\": 0.0601915196, \"State\": \"FL\", \"Population\": 692265, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.263, \"Seg_income\": 0.078, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.095, \"Commute\": 0.273, \"Income\": 55875, \"Gini\": 0.574, \"Share01\": 17.022, \"Gini_99\": 0.404, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -4.293, \"HS_dropout\": 0.023, \"Colleges\": 0.007, \"Tuition\": 2299.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.531, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.169, \"Teenage_labor\": 0.005, \"Migration_in\": 0.067, \"Migration_out\": 0.026, \"Foreign_born\": 0.125, \"Social_capital\": -1.24, \"Religious\": 0.377, \"Violent_crime\": null, \"Single_mothers\": 0.215, \"Divorced\": 0.108, \"Married\": 0.61, \"Longitude\": -81.7269973754883, \"Latitude\": 26.4002437591553}, {\"ID\": 7300, \"Name\": \"Palm Bay\", \"Mobility\": 0.0658892095, \"State\": \"FL\", \"Population\": 589177, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.144, \"Seg_income\": 0.071, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.079, \"Commute\": 0.3, \"Income\": 45264, \"Gini\": 0.469, \"Share01\": 14.294, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2412.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.628, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 9.036, \"HS_dropout\": -0.015, \"Colleges\": 0.007, \"Tuition\": 6751.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.067, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.026, \"Foreign_born\": 0.068, \"Social_capital\": -0.799, \"Religious\": 0.414, \"Violent_crime\": null, \"Single_mothers\": 0.227, \"Divorced\": 0.119, \"Married\": 0.583, \"Longitude\": -80.7524337768555, \"Latitude\": 28.3434429168701}, {\"ID\": 7400, \"Name\": \"Orlando\", \"Mobility\": 0.0578166097, \"State\": \"FL\", \"Population\": 1697906, \"Urban\": 1, \"Black\": 0.133, \"Seg_racial\": 0.181, \"Seg_income\": 0.083, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.1, \"Commute\": 0.212, \"Income\": 38370, \"Gini\": 0.524, \"Share01\": 14.236, \"Gini_99\": 0.382, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2579.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -2.66, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 2759.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.067, \"Chinese_imports\": 0.462, \"Teenage_labor\": 0.003, \"Migration_in\": 0.057, \"Migration_out\": 0.034, \"Foreign_born\": 0.118, \"Social_capital\": -1.756, \"Religious\": 0.38, \"Violent_crime\": null, \"Single_mothers\": 0.231, \"Divorced\": 0.11, \"Married\": 0.543, \"Longitude\": -81.4672393798828, \"Latitude\": 28.5010166168213}, {\"ID\": 7500, \"Name\": \"Deltona\", \"Mobility\": 0.0587789156, \"State\": \"FL\", \"Population\": 563598, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.196, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.046, \"Commute\": 0.303, \"Income\": 38459, \"Gini\": 0.465, \"Share01\": 11.814, \"Gini_99\": 0.347, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.831, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 0.434, \"HS_dropout\": -0.025, \"Colleges\": 0.009, \"Tuition\": 8990.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.539, \"Teenage_labor\": 0.004, \"Migration_in\": 0.051, \"Migration_out\": 0.028, \"Foreign_born\": 0.062, \"Social_capital\": -1.39, \"Religious\": 0.374, \"Violent_crime\": null, \"Single_mothers\": 0.249, \"Divorced\": 0.12, \"Married\": 0.565, \"Longitude\": -81.4155960083008, \"Latitude\": 29.2213096618652}, {\"ID\": 7600, \"Name\": \"Jacksonville\", \"Mobility\": 0.0492131598, \"State\": \"FL\", \"Population\": 1176696, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.223, \"Seg_income\": 0.088, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.098, \"Commute\": 0.229, \"Income\": 38502, \"Gini\": 0.477, \"Share01\": 13.686, \"Gini_99\": 0.34, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3180.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.353, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -0.763, \"HS_dropout\": 0.032, \"Colleges\": 0.007, \"Tuition\": 4409.0, \"Graduation\": 0.02, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.036, \"Migration_out\": 0.028, \"Foreign_born\": 0.052, \"Social_capital\": -1.441, \"Religious\": 0.427, \"Violent_crime\": 0.002, \"Single_mothers\": 0.252, \"Divorced\": 0.124, \"Married\": 0.546, \"Longitude\": -81.7244110107422, \"Latitude\": 30.4425716400146}, {\"ID\": 7700, \"Name\": \"Lake City\", \"Mobility\": 0.049539458, \"State\": \"FL\", \"Population\": 149695, \"Urban\": 0, \"Black\": 0.206, \"Seg_racial\": 0.118, \"Seg_income\": 0.014, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.009, \"Commute\": 0.339, \"Income\": 25561, \"Gini\": 0.415, \"Share01\": 8.857, \"Gini_99\": 0.326, \"Middle_class\": 0.499, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.592, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -5.551, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1180.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.201, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.013, \"Foreign_born\": 0.029, \"Social_capital\": -1.774, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.122, \"Married\": 0.55, \"Longitude\": -83.1948776245117, \"Latitude\": 30.1301002502441}, {\"ID\": 7800, \"Name\": \"Ocala\", \"Mobility\": 0.0564204939, \"State\": \"FL\", \"Population\": 377001, \"Urban\": 1, \"Black\": 0.085, \"Seg_racial\": 0.158, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.031, \"Commute\": 0.273, \"Income\": 38731, \"Gini\": 0.487, \"Share01\": 12.616, \"Gini_99\": 0.361, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.125, \"HS_dropout\": -0.003, \"Colleges\": 0.005, \"Tuition\": 2370.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.469, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.535, \"Teenage_labor\": 0.004, \"Migration_in\": 0.056, \"Migration_out\": 0.024, \"Foreign_born\": 0.051, \"Social_capital\": -1.831, \"Religious\": 0.35, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.113, \"Married\": 0.611, \"Longitude\": -82.1488647460938, \"Latitude\": 29.1660633087158}, {\"ID\": 7900, \"Name\": \"Gainesville\", \"Mobility\": 0.0496746562, \"State\": \"FL\", \"Population\": 320199, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.137, \"Seg_income\": 0.101, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.114, \"Commute\": 0.321, \"Income\": 28321, \"Gini\": 0.51, \"Share01\": 12.516, \"Gini_99\": 0.385, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2672.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.607, \"HS_dropout\": 0.016, \"Colleges\": 0.012, \"Tuition\": 1796.0, \"Graduation\": 0.416, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.444, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.032, \"Foreign_born\": 0.057, \"Social_capital\": -1.494, \"Religious\": 0.354, \"Violent_crime\": null, \"Single_mothers\": 0.276, \"Divorced\": 0.104, \"Married\": 0.461, \"Longitude\": -82.6522445678711, \"Latitude\": 29.6797657012939}, {\"ID\": 8000, \"Name\": \"Sumter\", \"Mobility\": 0.0349367075, \"State\": \"SC\", \"Population\": 209914, \"Urban\": 1, \"Black\": 0.44, \"Seg_racial\": 0.134, \"Seg_income\": 0.052, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.05, \"Commute\": 0.33, \"Income\": 29459, \"Gini\": 0.444, \"Share01\": 8.648, \"Gini_99\": 0.358, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1518.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.429, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -8.166, \"HS_dropout\": -0.009, \"Colleges\": 0.014, \"Tuition\": 3194.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.021, \"Foreign_born\": 0.019, \"Social_capital\": -1.854, \"Religious\": 0.416, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.089, \"Married\": 0.525, \"Longitude\": -80.3857803344727, \"Latitude\": 33.9842262268066}, {\"ID\": 8100, \"Name\": \"Columbia\", \"Mobility\": 0.0372132659, \"State\": \"SC\", \"Population\": 722201, \"Urban\": 1, \"Black\": 0.367, \"Seg_racial\": 0.215, \"Seg_income\": 0.088, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.094, \"Commute\": 0.28, \"Income\": 34438, \"Gini\": 0.512, \"Share01\": 11.917, \"Gini_99\": 0.393, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.947, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.569, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7896.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.613, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -0.925, \"Religious\": 0.445, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.088, \"Married\": 0.523, \"Longitude\": -80.9798583984375, \"Latitude\": 33.8458404541016}, {\"ID\": 8201, \"Name\": \"Barnwell\", \"Mobility\": 0.0353721455, \"State\": \"SC\", \"Population\": 72733, \"Urban\": 0, \"Black\": 0.551, \"Seg_racial\": 0.084, \"Seg_income\": 0.011, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.349, \"Income\": 25544, \"Gini\": 0.438, \"Share01\": 8.527, \"Gini_99\": 0.352, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.594, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -17.549, \"HS_dropout\": -0.017, \"Colleges\": 0.041, \"Tuition\": 1372.0, \"Graduation\": -0.136, \"Labor_force_participation\": 0.526, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.283, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -1.679, \"Religious\": 0.443, \"Violent_crime\": 0.003, \"Single_mothers\": 0.353, \"Divorced\": 0.076, \"Married\": 0.494, \"Longitude\": -81.2760009765625, \"Latitude\": 32.9641990661621}, {\"ID\": 8202, \"Name\": \"Charleston\", \"Mobility\": 0.0444692373, \"State\": \"SC\", \"Population\": 587297, \"Urban\": 1, \"Black\": 0.314, \"Seg_racial\": 0.157, \"Seg_income\": 0.082, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.079, \"Commute\": 0.269, \"Income\": 34601, \"Gini\": 0.544, \"Share01\": 16.485, \"Gini_99\": 0.379, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1796.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -3.673, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 2602.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.021, \"Foreign_born\": 0.032, \"Social_capital\": -2.111, \"Religious\": 0.396, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.093, \"Married\": 0.517, \"Longitude\": -80.1714706420898, \"Latitude\": 33.056827545166}, {\"ID\": 8300, \"Name\": \"Greenville\", \"Mobility\": 0.0469857492, \"State\": \"SC\", \"Population\": 894291, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.176, \"Seg_income\": 0.066, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.076, \"Commute\": 0.308, \"Income\": 35225, \"Gini\": 0.48, \"Share01\": 12.338, \"Gini_99\": 0.356, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1580.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.21, \"HS_dropout\": -0.01, \"Colleges\": 0.015, \"Tuition\": 5888.0, \"Graduation\": 0.061, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.355, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.033, \"Social_capital\": -1.108, \"Religious\": 0.558, \"Violent_crime\": 0.003, \"Single_mothers\": 0.229, \"Divorced\": 0.092, \"Married\": 0.567, \"Longitude\": -82.5311050415039, \"Latitude\": 34.444034576416}, {\"ID\": 8401, \"Name\": \"Aiken\", \"Mobility\": 0.0410487503, \"State\": \"GA\", \"Population\": 525842, \"Urban\": 1, \"Black\": 0.357, \"Seg_racial\": 0.165, \"Seg_income\": 0.09, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.097, \"Commute\": 0.275, \"Income\": 33294, \"Gini\": 0.487, \"Share01\": 9.765, \"Gini_99\": 0.39, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.214, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -6.018, \"HS_dropout\": 0.011, \"Colleges\": 0.011, \"Tuition\": 2317.0, \"Graduation\": -0.117, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.157, \"Chinese_imports\": 0.745, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -1.373, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.291, \"Divorced\": 0.104, \"Married\": 0.528, \"Longitude\": -82.2422409057617, \"Latitude\": 33.4064865112305}, {\"ID\": 8402, \"Name\": \"Washington\", \"Mobility\": 0.031144781, \"State\": \"GA\", \"Population\": 35518, \"Urban\": 1, \"Black\": 0.424, \"Seg_racial\": 0.021, \"Seg_income\": 0.019, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.015, \"Commute\": 0.341, \"Income\": 35155, \"Gini\": 0.491, \"Share01\": 11.242, \"Gini_99\": 0.379, \"Middle_class\": 0.404, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.394, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -5.032, \"HS_dropout\": 0.037, \"Colleges\": 0.028, \"Tuition\": 16250.0, \"Graduation\": null, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.261, \"Chinese_imports\": 0.662, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.773, \"Religious\": 0.436, \"Violent_crime\": 0.002, \"Single_mothers\": 0.316, \"Divorced\": 0.095, \"Married\": 0.517, \"Longitude\": -82.8233413696289, \"Latitude\": 33.6700859069824}, {\"ID\": 8501, \"Name\": \"Fitzgerald\", \"Mobility\": 0.0359147042, \"State\": \"GA\", \"Population\": 27415, \"Urban\": 0, \"Black\": 0.3, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.012, \"Commute\": 0.458, \"Income\": 27671, \"Gini\": 0.478, \"Share01\": 7.91, \"Gini_99\": 0.399, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2991.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.475, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -4.932, \"HS_dropout\": 0.049, \"Colleges\": 0.036, \"Tuition\": 864.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.299, \"Chinese_imports\": 2.168, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -1.649, \"Religious\": 0.533, \"Violent_crime\": 0.003, \"Single_mothers\": 0.291, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -83.2339935302734, \"Latitude\": 31.6627140045166}, {\"ID\": 8502, \"Name\": \"Cordele\", \"Mobility\": 0.0330490395, \"State\": \"GA\", \"Population\": 42098, \"Urban\": 0, \"Black\": 0.434, \"Seg_racial\": 0.047, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.006, \"Commute\": 0.43, \"Income\": 26103, \"Gini\": 0.496, \"Share01\": 9.602, \"Gini_99\": 0.4, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2474.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.945, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.966, \"HS_dropout\": 0.068, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.54, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.55, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": -1.604, \"Religious\": 0.483, \"Violent_crime\": 0.004, \"Single_mothers\": 0.369, \"Divorced\": 0.098, \"Married\": 0.517, \"Longitude\": -83.5846252441406, \"Latitude\": 32.033317565918}, {\"ID\": 8503, \"Name\": \"Valdosta\", \"Mobility\": 0.0318490118, \"State\": \"GA\", \"Population\": 241530, \"Urban\": 1, \"Black\": 0.292, \"Seg_racial\": 0.169, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.054, \"Commute\": 0.422, \"Income\": 27878, \"Gini\": 0.511, \"Share01\": 11.761, \"Gini_99\": 0.394, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.177, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -3.559, \"HS_dropout\": 0.041, \"Colleges\": 0.021, \"Tuition\": 1501.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.541, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -1.931, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.099, \"Married\": 0.534, \"Longitude\": -83.3960266113281, \"Latitude\": 31.2604084014893}, {\"ID\": 8601, \"Name\": \"Waycross\", \"Mobility\": 0.0445917435, \"State\": \"GA\", \"Population\": 113122, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.113, \"Seg_income\": 0.029, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.032, \"Commute\": 0.41, \"Income\": 26639, \"Gini\": 0.461, \"Share01\": 8.311, \"Gini_99\": 0.378, \"Middle_class\": 0.452, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.098, \"HS_dropout\": 0.047, \"Colleges\": 0.027, \"Tuition\": 1237.0, \"Graduation\": -0.152, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.037, \"Social_capital\": -2.103, \"Religious\": 0.502, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.104, \"Married\": 0.584, \"Longitude\": -82.57080078125, \"Latitude\": 31.2826557159424}, {\"ID\": 8602, \"Name\": \"Brunswick\", \"Mobility\": 0.0473826714, \"State\": \"GA\", \"Population\": 93044, \"Urban\": 1, \"Black\": 0.239, \"Seg_racial\": 0.211, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.093, \"Commute\": 0.348, \"Income\": 36807, \"Gini\": 0.535, \"Share01\": 12.297, \"Gini_99\": 0.412, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2469.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.777, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -8.216, \"HS_dropout\": 0.054, \"Colleges\": 0.011, \"Tuition\": 1280.0, \"Graduation\": -0.206, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.027, \"Social_capital\": -1.655, \"Religious\": 0.463, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.124, \"Married\": 0.567, \"Longitude\": -81.708869934082, \"Latitude\": 31.302375793457}, {\"ID\": 8701, \"Name\": \"Hinesville\", \"Mobility\": 0.0489417985, \"State\": \"GA\", \"Population\": 131279, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.076, \"Seg_income\": 0.02, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.018, \"Commute\": 0.413, \"Income\": 23378, \"Gini\": 0.378, \"Share01\": 7.735, \"Gini_99\": 0.301, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.211, \"HS_dropout\": 0.022, \"Colleges\": 0.008, \"Tuition\": 864.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.278, \"Teenage_labor\": 0.003, \"Migration_in\": 0.037, \"Migration_out\": 0.052, \"Foreign_born\": 0.048, \"Social_capital\": -3.199, \"Religious\": 0.355, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.091, \"Married\": 0.579, \"Longitude\": -81.7807998657227, \"Latitude\": 31.7835903167725}, {\"ID\": 8702, \"Name\": \"Statesboro\", \"Mobility\": 0.0388888903, \"State\": \"GA\", \"Population\": 111346, \"Urban\": 0, \"Black\": 0.325, \"Seg_racial\": 0.055, \"Seg_income\": 0.043, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.036, \"Commute\": 0.398, \"Income\": 26439, \"Gini\": 0.492, \"Share01\": 9.041, \"Gini_99\": 0.402, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2080.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.27, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.486, \"HS_dropout\": 0.03, \"Colleges\": 0.036, \"Tuition\": 1728.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.029, \"Social_capital\": -2.244, \"Religious\": 0.404, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.086, \"Married\": 0.473, \"Longitude\": -81.9179534912109, \"Latitude\": 32.6167068481445}, {\"ID\": 8800, \"Name\": \"Savannah\", \"Mobility\": 0.0409670919, \"State\": \"GA\", \"Population\": 434615, \"Urban\": 1, \"Black\": 0.325, \"Seg_racial\": 0.243, \"Seg_income\": 0.099, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.103, \"Commute\": 0.297, \"Income\": 39851, \"Gini\": 0.553, \"Share01\": 14.606, \"Gini_99\": 0.407, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.81, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.082, \"HS_dropout\": 0.038, \"Colleges\": 0.016, \"Tuition\": 6982.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.187, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.029, \"Foreign_born\": 0.044, \"Social_capital\": -1.703, \"Religious\": 0.407, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.101, \"Married\": 0.542, \"Longitude\": -81.0676116943359, \"Latitude\": 32.2408256530762}, {\"ID\": 8900, \"Name\": \"Macon\", \"Mobility\": 0.0326111726, \"State\": \"GA\", \"Population\": 386870, \"Urban\": 1, \"Black\": 0.36, \"Seg_racial\": 0.193, \"Seg_income\": 0.091, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.085, \"Commute\": 0.294, \"Income\": 33836, \"Gini\": 0.501, \"Share01\": 12.343, \"Gini_99\": 0.377, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2500.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.704, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -6.074, \"HS_dropout\": 0.048, \"Colleges\": 0.021, \"Tuition\": 4954.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.132, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.07, \"Religious\": 0.443, \"Violent_crime\": 0.001, \"Single_mothers\": 0.302, \"Divorced\": 0.109, \"Married\": 0.526, \"Longitude\": -83.9226989746094, \"Latitude\": 32.5219421386719}, {\"ID\": 9001, \"Name\": \"Vidalia\", \"Mobility\": 0.0480652973, \"State\": \"GA\", \"Population\": 108438, \"Urban\": 0, \"Black\": 0.26, \"Seg_racial\": 0.08, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.391, \"Income\": 26104, \"Gini\": 0.483, \"Share01\": 9.534, \"Gini_99\": 0.388, \"Middle_class\": 0.429, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1837.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.256, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.667, \"HS_dropout\": 0.027, \"Colleges\": 0.018, \"Tuition\": 3684.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.194, \"Chinese_imports\": 1.159, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.033, \"Social_capital\": -1.649, \"Religious\": 0.588, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.104, \"Married\": 0.557, \"Longitude\": -82.6852188110352, \"Latitude\": 32.0088043212891}, {\"ID\": 9002, \"Name\": \"Milledgeville\", \"Mobility\": 0.0322265625, \"State\": \"GA\", \"Population\": 83808, \"Urban\": 0, \"Black\": 0.44, \"Seg_racial\": 0.122, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.032, \"Commute\": 0.36, \"Income\": 27862, \"Gini\": 0.442, \"Share01\": 7.55, \"Gini_99\": 0.367, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2059.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.526, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -6.814, \"HS_dropout\": 0.013, \"Colleges\": 0.036, \"Tuition\": 3161.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.523, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": -1.909, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.333, \"Divorced\": 0.104, \"Married\": 0.505, \"Longitude\": -83.0629272460938, \"Latitude\": 33.156005859375}, {\"ID\": 9003, \"Name\": \"Dublin\", \"Mobility\": 0.0320269689, \"State\": \"GA\", \"Population\": 74610, \"Urban\": 0, \"Black\": 0.399, \"Seg_racial\": 0.112, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.343, \"Income\": 29575, \"Gini\": 0.529, \"Share01\": 13.755, \"Gini_99\": 0.392, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.142, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.796, \"HS_dropout\": 0.031, \"Colleges\": 0.027, \"Tuition\": 16895.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.855, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": -1.15, \"Religious\": 0.501, \"Violent_crime\": 0.004, \"Single_mothers\": 0.318, \"Divorced\": 0.105, \"Married\": 0.517, \"Longitude\": -82.7807083129883, \"Latitude\": 32.7125244140625}, {\"ID\": 9100, \"Name\": \"Atlanta\", \"Mobility\": 0.0453297347, \"State\": \"GA\", \"Population\": 3798017, \"Urban\": 1, \"Black\": 0.297, \"Seg_racial\": 0.317, \"Seg_income\": 0.113, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.125, \"Commute\": 0.178, \"Income\": 44162, \"Gini\": 0.568, \"Share01\": 17.257, \"Gini_99\": 0.395, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2885.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.352, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.863, \"HS_dropout\": 0.026, \"Colleges\": 0.01, \"Tuition\": 6876.0, \"Graduation\": -0.046, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.61, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -1.208, \"Religious\": 0.443, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.102, \"Married\": 0.534, \"Longitude\": -84.2125625610352, \"Latitude\": 33.8539428710938}, {\"ID\": 9200, \"Name\": \"Griffin\", \"Mobility\": 0.0402813293, \"State\": \"GA\", \"Population\": 135136, \"Urban\": 1, \"Black\": 0.283, \"Seg_racial\": 0.132, \"Seg_income\": 0.039, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.039, \"Commute\": 0.315, \"Income\": 30888, \"Gini\": 0.445, \"Share01\": 10.339, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1695.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.83, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -6.834, \"HS_dropout\": 0.089, \"Colleges\": 0.022, \"Tuition\": 1148.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.003, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -1.46, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.267, \"Divorced\": 0.115, \"Married\": 0.531, \"Longitude\": -84.2098388671875, \"Latitude\": 33.1149978637695}, {\"ID\": 9301, \"Name\": \"Winder\", \"Mobility\": 0.0379506648, \"State\": \"GA\", \"Population\": 212223, \"Urban\": 1, \"Black\": 0.18, \"Seg_racial\": 0.166, \"Seg_income\": 0.089, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.074, \"Commute\": 0.323, \"Income\": 30685, \"Gini\": 0.505, \"Share01\": 11.936, \"Gini_99\": 0.385, \"Middle_class\": 0.473, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.547, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.911, \"HS_dropout\": 0.048, \"Colleges\": 0.014, \"Tuition\": 2574.0, \"Graduation\": 0.352, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.646, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.056, \"Social_capital\": -1.44, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.088, \"Married\": 0.5, \"Longitude\": -83.3426895141602, \"Latitude\": 33.9783325195312}, {\"ID\": 9302, \"Name\": \"Toccoa\", \"Mobility\": 0.0416666679, \"State\": \"GA\", \"Population\": 89228, \"Urban\": 0, \"Black\": 0.174, \"Seg_racial\": 0.088, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.011, \"Commute\": 0.407, \"Income\": 29484, \"Gini\": 0.41, \"Share01\": 8.902, \"Gini_99\": 0.321, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1785.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.148, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.165, \"HS_dropout\": 0.029, \"Colleges\": 0.022, \"Tuition\": 8355.0, \"Graduation\": 0.205, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.297, \"Chinese_imports\": 1.861, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.015, \"Social_capital\": -1.002, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -83.0066680908203, \"Latitude\": 34.2676086425781}, {\"ID\": 9400, \"Name\": \"Gainesville\", \"Mobility\": 0.069715701, \"State\": \"GA\", \"Population\": 272150, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.2, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.269, \"Income\": 33365, \"Gini\": 0.468, \"Share01\": 12.858, \"Gini_99\": 0.34, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.735, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.318, \"HS_dropout\": 0.022, \"Colleges\": 0.026, \"Tuition\": 3575.0, \"Graduation\": -0.095, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.101, \"Social_capital\": -1.545, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.096, \"Married\": 0.616, \"Longitude\": -83.6861419677734, \"Latitude\": 34.4037170410156}, {\"ID\": 9500, \"Name\": \"Talladega\", \"Mobility\": 0.0449032262, \"State\": \"AL\", \"Population\": 148252, \"Urban\": 0, \"Black\": 0.284, \"Seg_racial\": 0.116, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.016, \"Commute\": 0.339, \"Income\": 29631, \"Gini\": 0.422, \"Share01\": 7.491, \"Gini_99\": 0.347, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1781.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.659, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -14.074, \"HS_dropout\": -0.004, \"Colleges\": 0.013, \"Tuition\": 2766.0, \"Graduation\": -0.075, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.298, \"Chinese_imports\": 0.717, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.019, \"Foreign_born\": 0.006, \"Social_capital\": -1.444, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.26, \"Divorced\": 0.105, \"Married\": 0.575, \"Longitude\": -86.1251373291016, \"Latitude\": 33.1638946533203}, {\"ID\": 9600, \"Name\": \"LaGrange\", \"Mobility\": 0.0523430221, \"State\": \"GA\", \"Population\": 457299, \"Urban\": 1, \"Black\": 0.2, \"Seg_racial\": 0.154, \"Seg_income\": 0.062, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.069, \"Commute\": 0.294, \"Income\": 32720, \"Gini\": 0.458, \"Share01\": 11.202, \"Gini_99\": 0.346, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.261, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.685, \"HS_dropout\": 0.012, \"Colleges\": 0.015, \"Tuition\": 2245.0, \"Graduation\": -0.051, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.003, \"Migration_in\": 0.027, \"Migration_out\": 0.019, \"Foreign_born\": 0.021, \"Social_capital\": -1.461, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.107, \"Married\": 0.57, \"Longitude\": -85.4132308959961, \"Latitude\": 33.5284309387207}, {\"ID\": 9701, \"Name\": \"Columbus\", \"Mobility\": 0.0349603333, \"State\": \"GA\", \"Population\": 303656, \"Urban\": 1, \"Black\": 0.406, \"Seg_racial\": 0.235, \"Seg_income\": 0.108, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.102, \"Commute\": 0.325, \"Income\": 31245, \"Gini\": 0.499, \"Share01\": 12.764, \"Gini_99\": 0.371, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.339, \"HS_dropout\": 0.025, \"Colleges\": 0.016, \"Tuition\": 1618.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.003, \"Migration_in\": 0.028, \"Migration_out\": 0.033, \"Foreign_born\": 0.037, \"Social_capital\": -2.078, \"Religious\": 0.45, \"Violent_crime\": 0.004, \"Single_mothers\": 0.312, \"Divorced\": 0.114, \"Married\": 0.494, \"Longitude\": -84.7794570922852, \"Latitude\": 32.6434173583984}, {\"ID\": 9702, \"Name\": \"Americus\", \"Mobility\": 0.0344074294, \"State\": \"GA\", \"Population\": 65826, \"Urban\": 1, \"Black\": 0.493, \"Seg_racial\": 0.074, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.009, \"Commute\": 0.409, \"Income\": 27083, \"Gini\": 0.519, \"Share01\": 13.18, \"Gini_99\": 0.387, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1976.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.941, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -10.217, \"HS_dropout\": 0.073, \"Colleges\": 0.03, \"Tuition\": 1465.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.219, \"Chinese_imports\": 3.407, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.023, \"Social_capital\": -1.582, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.36, \"Divorced\": 0.092, \"Married\": 0.475, \"Longitude\": -84.4287796020508, \"Latitude\": 32.257884979248}, {\"ID\": 9800, \"Name\": \"Auburn\", \"Mobility\": 0.0342648029, \"State\": \"AL\", \"Population\": 150911, \"Urban\": 1, \"Black\": 0.363, \"Seg_racial\": 0.277, \"Seg_income\": 0.105, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.087, \"Commute\": 0.38, \"Income\": 27283, \"Gini\": 0.526, \"Share01\": 12.003, \"Gini_99\": 0.406, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.021, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -14.15, \"HS_dropout\": -0.019, \"Colleges\": 0.02, \"Tuition\": 3970.0, \"Graduation\": 0.268, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.157, \"Chinese_imports\": 2.686, \"Teenage_labor\": 0.003, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.025, \"Social_capital\": -2.13, \"Religious\": 0.311, \"Violent_crime\": 0.002, \"Single_mothers\": 0.304, \"Divorced\": 0.083, \"Married\": 0.445, \"Longitude\": -85.6117477416992, \"Latitude\": 32.3696784973145}, {\"ID\": 9900, \"Name\": \"Tallahassee\", \"Mobility\": 0.0470258147, \"State\": \"FL\", \"Population\": 426634, \"Urban\": 1, \"Black\": 0.285, \"Seg_racial\": 0.162, \"Seg_income\": 0.122, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.133, \"Commute\": 0.275, \"Income\": 30838, \"Gini\": 0.5, \"Share01\": 11.16, \"Gini_99\": 0.388, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3204.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.107, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 2.693, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 1485.0, \"Graduation\": 0.193, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.96, \"Religious\": 0.373, \"Violent_crime\": null, \"Single_mothers\": 0.283, \"Divorced\": 0.108, \"Married\": 0.479, \"Longitude\": -84.7893295288086, \"Latitude\": 30.4377670288086}, {\"ID\": 10000, \"Name\": \"Panama City\", \"Mobility\": 0.0581574887, \"State\": \"FL\", \"Population\": 172606, \"Urban\": 1, \"Black\": 0.113, \"Seg_racial\": 0.132, \"Seg_income\": 0.046, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.047, \"Commute\": 0.358, \"Income\": 32715, \"Gini\": 0.467, \"Share01\": 12.045, \"Gini_99\": 0.346, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3107.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.882, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.031, \"HS_dropout\": -0.024, \"Colleges\": 0.012, \"Tuition\": 1942.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.143, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": -2.044, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.243, \"Divorced\": 0.133, \"Married\": 0.564, \"Longitude\": -85.3004837036133, \"Latitude\": 30.0905723571777}, {\"ID\": 10101, \"Name\": \"Bainbridge\", \"Mobility\": 0.0393333323, \"State\": \"GA\", \"Population\": 43992, \"Urban\": 0, \"Black\": 0.37, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.39, \"Income\": 29034, \"Gini\": 0.516, \"Share01\": 11.659, \"Gini_99\": 0.399, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.082, \"Student_teacher_ratio\": 16.5, \"Test_scores\": null, \"HS_dropout\": 0.04, \"Colleges\": 0.023, \"Tuition\": 1280.0, \"Graduation\": -0.196, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.21, \"Chinese_imports\": 1.665, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.018, \"Social_capital\": -2.109, \"Religious\": 0.481, \"Violent_crime\": 0.003, \"Single_mothers\": 0.311, \"Divorced\": 0.109, \"Married\": 0.522, \"Longitude\": -84.7773666381836, \"Latitude\": 31.0324802398682}, {\"ID\": 10102, \"Name\": \"Thomasville\", \"Mobility\": 0.0328861959, \"State\": \"GA\", \"Population\": 66396, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.098, \"Seg_income\": 0.02, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.389, \"Income\": 29591, \"Gini\": 0.571, \"Share01\": 13.908, \"Gini_99\": 0.432, \"Middle_class\": 0.408, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2160.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.375, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.13, \"HS_dropout\": 0.018, \"Colleges\": 0.03, \"Tuition\": 3106.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.18, \"Chinese_imports\": 0.951, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.75, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.111, \"Married\": 0.528, \"Longitude\": -84.0003814697266, \"Latitude\": 30.9123077392578}, {\"ID\": 10200, \"Name\": \"Albany\", \"Mobility\": 0.0276326872, \"State\": \"GA\", \"Population\": 181765, \"Urban\": 1, \"Black\": 0.484, \"Seg_racial\": 0.242, \"Seg_income\": 0.091, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.098, \"Commute\": 0.35, \"Income\": 30170, \"Gini\": 0.536, \"Share01\": 10.708, \"Gini_99\": 0.429, \"Middle_class\": 0.403, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2728.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.742, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -4.581, \"HS_dropout\": 0.046, \"Colleges\": 0.017, \"Tuition\": 1469.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.716, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -1.224, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.36, \"Divorced\": 0.101, \"Married\": 0.494, \"Longitude\": -84.1598281860352, \"Latitude\": 31.53928565979}, {\"ID\": 10301, \"Name\": \"Eufaula\", \"Mobility\": 0.022954924, \"State\": \"GA\", \"Population\": 61458, \"Urban\": 0, \"Black\": 0.502, \"Seg_racial\": 0.041, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.017, \"Commute\": 0.388, \"Income\": 25284, \"Gini\": 0.524, \"Share01\": 11.334, \"Gini_99\": 0.411, \"Middle_class\": 0.354, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.587, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -17.626, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 7250.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.428, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.013, \"Social_capital\": -1.448, \"Religious\": 0.416, \"Violent_crime\": 0.002, \"Single_mothers\": 0.369, \"Divorced\": 0.092, \"Married\": 0.474, \"Longitude\": -84.9840850830078, \"Latitude\": 31.6915855407715}, {\"ID\": 10302, \"Name\": \"Dothan\", \"Mobility\": 0.0582822077, \"State\": \"AL\", \"Population\": 223605, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.142, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.055, \"Commute\": 0.361, \"Income\": 32268, \"Gini\": 0.498, \"Share01\": 12.707, \"Gini_99\": 0.37, \"Middle_class\": 0.485, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.822, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -11.823, \"HS_dropout\": 0.006, \"Colleges\": 0.013, \"Tuition\": 1580.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.744, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": -1.4, \"Religious\": 0.632, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.107, \"Married\": 0.589, \"Longitude\": -85.4327774047852, \"Latitude\": 31.4178009033203}, {\"ID\": 10400, \"Name\": \"Meridian\", \"Mobility\": 0.0467728749, \"State\": \"MS\", \"Population\": 157091, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.216, \"Seg_income\": 0.053, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.042, \"Commute\": 0.333, \"Income\": 29016, \"Gini\": 0.477, \"Share01\": 9.726, \"Gini_99\": 0.38, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1496.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.355, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.971, \"HS_dropout\": 0.014, \"Colleges\": 0.019, \"Tuition\": 973.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.198, \"Chinese_imports\": 10.031, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.386, \"Religious\": 0.642, \"Violent_crime\": 0.001, \"Single_mothers\": 0.307, \"Divorced\": 0.101, \"Married\": 0.52, \"Longitude\": -88.8334197998047, \"Latitude\": 32.5009651184082}, {\"ID\": 10501, \"Name\": \"Columbus\", \"Mobility\": 0.0360278524, \"State\": \"MS\", \"Population\": 95083, \"Urban\": 1, \"Black\": 0.453, \"Seg_racial\": 0.134, \"Seg_income\": 0.046, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.362, \"Income\": 29115, \"Gini\": 0.536, \"Share01\": 12.123, \"Gini_99\": 0.415, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2065.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.113, \"Student_teacher_ratio\": 19.3, \"Test_scores\": -13.643, \"HS_dropout\": 0.0, \"Colleges\": 0.011, \"Tuition\": 2656.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.576, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.606, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": -0.966, \"Religious\": 0.524, \"Violent_crime\": 0.002, \"Single_mothers\": 0.332, \"Divorced\": 0.085, \"Married\": 0.524, \"Longitude\": -88.3316268920898, \"Latitude\": 33.3776626586914}, {\"ID\": 10502, \"Name\": \"Starkville\", \"Mobility\": 0.0399361029, \"State\": \"MS\", \"Population\": 105093, \"Urban\": 0, \"Black\": 0.401, \"Seg_racial\": 0.077, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.012, \"Commute\": 0.437, \"Income\": 26131, \"Gini\": 0.486, \"Share01\": 9.504, \"Gini_99\": 0.391, \"Middle_class\": 0.428, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.802, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -14.345, \"HS_dropout\": 0.007, \"Colleges\": 0.029, \"Tuition\": 3215.0, \"Graduation\": 0.286, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.232, \"Chinese_imports\": 4.571, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.427, \"Religious\": 0.545, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.079, \"Married\": 0.479, \"Longitude\": -88.9440841674805, \"Latitude\": 33.4253387451172}, {\"ID\": 10600, \"Name\": \"Jasper\", \"Mobility\": 0.0865883604, \"State\": \"AL\", \"Population\": 161169, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.123, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 28445, \"Gini\": 0.419, \"Share01\": 9.24, \"Gini_99\": 0.326, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1312.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.647, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -5.22, \"HS_dropout\": -0.006, \"Colleges\": 0.006, \"Tuition\": 1560.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.149, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.797, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.107, \"Married\": 0.615, \"Longitude\": -87.3326416015625, \"Latitude\": 33.7509765625}, {\"ID\": 10700, \"Name\": \"Birmingham\", \"Mobility\": 0.0504318327, \"State\": \"AL\", \"Population\": 1038182, \"Urban\": 1, \"Black\": 0.271, \"Seg_racial\": 0.42, \"Seg_income\": 0.108, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.118, \"Commute\": 0.22, \"Income\": 38196, \"Gini\": 0.563, \"Share01\": 16.063, \"Gini_99\": 0.403, \"Middle_class\": 0.453, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.139, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -12.133, \"HS_dropout\": -0.003, \"Colleges\": 0.013, \"Tuition\": 5277.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.378, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -0.392, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.108, \"Married\": 0.553, \"Longitude\": -86.7145309448242, \"Latitude\": 33.4854469299316}, {\"ID\": 10801, \"Name\": \"Tuscaloosa\", \"Mobility\": 0.0403225794, \"State\": \"AL\", \"Population\": 261112, \"Urban\": 1, \"Black\": 0.383, \"Seg_racial\": 0.272, \"Seg_income\": 0.088, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.082, \"Commute\": 0.343, \"Income\": 30158, \"Gini\": 0.56, \"Share01\": 14.755, \"Gini_99\": 0.412, \"Middle_class\": 0.413, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -19.805, \"HS_dropout\": 0.0, \"Colleges\": 0.031, \"Tuition\": 3229.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.177, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.015, \"Social_capital\": -1.124, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.311, \"Divorced\": 0.092, \"Married\": 0.486, \"Longitude\": -87.3525161743164, \"Latitude\": 32.8385696411133}, {\"ID\": 10802, \"Name\": \"Demopolis\", \"Mobility\": 0.042383045, \"State\": \"AL\", \"Population\": 63233, \"Urban\": 0, \"Black\": 0.589, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.035, \"Commute\": 0.337, \"Income\": 27364, \"Gini\": 0.522, \"Share01\": 9.592, \"Gini_99\": 0.426, \"Middle_class\": 0.339, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.282, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -20.059, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 2504.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.247, \"Chinese_imports\": 0.854, \"Teenage_labor\": 0.002, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.006, \"Social_capital\": -0.731, \"Religious\": 0.406, \"Violent_crime\": 0.002, \"Single_mothers\": 0.372, \"Divorced\": 0.084, \"Married\": 0.489, \"Longitude\": -87.9114608764648, \"Latitude\": 32.5304336547852}, {\"ID\": 10900, \"Name\": \"Pensacola\", \"Mobility\": 0.0612063408, \"State\": \"FL\", \"Population\": 623252, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.138, \"Seg_income\": 0.061, \"Seg_poverty\": 0.057, \"Seg_affluence\": 0.067, \"Commute\": 0.309, \"Income\": 34256, \"Gini\": 0.471, \"Share01\": 13.671, \"Gini_99\": 0.334, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1995.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.409, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 5.39, \"HS_dropout\": -0.01, \"Colleges\": 0.006, \"Tuition\": 3254.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.248, \"Teenage_labor\": 0.004, \"Migration_in\": 0.035, \"Migration_out\": 0.034, \"Foreign_born\": 0.04, \"Social_capital\": -1.216, \"Religious\": 0.444, \"Violent_crime\": null, \"Single_mothers\": 0.241, \"Divorced\": 0.121, \"Married\": 0.555, \"Longitude\": -86.7144317626953, \"Latitude\": 30.5462055206299}, {\"ID\": 11001, \"Name\": \"Mobile\", \"Mobility\": 0.0513980016, \"State\": \"AL\", \"Population\": 599405, \"Urban\": 1, \"Black\": 0.289, \"Seg_racial\": 0.317, \"Seg_income\": 0.077, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.071, \"Commute\": 0.267, \"Income\": 33321, \"Gini\": 0.531, \"Share01\": 13.029, \"Gini_99\": 0.401, \"Middle_class\": 0.459, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1805.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.504, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -11.938, \"HS_dropout\": 0.0, \"Colleges\": 0.012, \"Tuition\": 4673.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.773, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.021, \"Social_capital\": -0.984, \"Religious\": 0.515, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.107, \"Married\": 0.55, \"Longitude\": -87.666259765625, \"Latitude\": 31.4869632720947}, {\"ID\": 11002, \"Name\": \"Atmore\", \"Mobility\": 0.0477876104, \"State\": \"AL\", \"Population\": 76853, \"Urban\": 0, \"Black\": 0.359, \"Seg_racial\": 0.134, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.021, \"Commute\": 0.39, \"Income\": 27015, \"Gini\": 0.493, \"Share01\": 11.466, \"Gini_99\": 0.378, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1419.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.63, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -16.944, \"HS_dropout\": 0.004, \"Colleges\": 0.039, \"Tuition\": 1493.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.768, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -1.186, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.111, \"Married\": 0.536, \"Longitude\": -87.3446884155273, \"Latitude\": 31.4372310638428}, {\"ID\": 11101, \"Name\": \"Montgomery\", \"Mobility\": 0.0330373719, \"State\": \"AL\", \"Population\": 367927, \"Urban\": 1, \"Black\": 0.401, \"Seg_racial\": 0.265, \"Seg_income\": 0.102, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.103, \"Commute\": 0.278, \"Income\": 33533, \"Gini\": 0.554, \"Share01\": 13.411, \"Gini_99\": 0.42, \"Middle_class\": 0.436, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1663.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.424, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -17.887, \"HS_dropout\": 0.005, \"Colleges\": 0.024, \"Tuition\": 3753.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.558, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": -0.713, \"Religious\": 0.497, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.113, \"Married\": 0.517, \"Longitude\": -86.4008636474609, \"Latitude\": 32.2923164367676}, {\"ID\": 11102, \"Name\": \"Troy\", \"Mobility\": 0.0679886714, \"State\": \"AL\", \"Population\": 80901, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.129, \"Seg_income\": 0.016, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.409, \"Income\": 28445, \"Gini\": 0.527, \"Share01\": 14.481, \"Gini_99\": 0.382, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2188.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.635, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -10.041, \"HS_dropout\": 0.006, \"Colleges\": 0.037, \"Tuition\": 2423.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.84, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.275, \"Religious\": 0.606, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.098, \"Married\": 0.55, \"Longitude\": -86.189453125, \"Latitude\": 31.7107219696045}, {\"ID\": 11201, \"Name\": \"Bluefield\", \"Mobility\": 0.1107491851, \"State\": \"VA\", \"Population\": 199334, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.132, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.32, \"Income\": 27294, \"Gini\": 0.443, \"Share01\": 10.178, \"Gini_99\": 0.341, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1709.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.618, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -2.029, \"HS_dropout\": -0.015, \"Colleges\": 0.025, \"Tuition\": 1494.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.509, \"Manufacturing\": 0.14, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.007, \"Social_capital\": -0.434, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.182, \"Divorced\": 0.091, \"Married\": 0.606, \"Longitude\": -81.580436706543, \"Latitude\": 37.1378021240234}, {\"ID\": 11202, \"Name\": \"Welch\", \"Mobility\": 0.1599147171, \"State\": \"WV\", \"Population\": 53037, \"Urban\": 0, \"Black\": 0.064, \"Seg_racial\": 0.232, \"Seg_income\": 0.019, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.03, \"Commute\": 0.263, \"Income\": 22244, \"Gini\": 0.4, \"Share01\": 5.447, \"Gini_99\": 0.345, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1211.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -8.757, \"HS_dropout\": -0.006, \"Colleges\": 0.038, \"Tuition\": 11340.0, \"Graduation\": null, \"Labor_force_participation\": 0.364, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.003, \"Social_capital\": -1.495, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.087, \"Married\": 0.593, \"Longitude\": -81.6393432617188, \"Latitude\": 37.4899940490723}, {\"ID\": 11203, \"Name\": \"Big Stone Gap\", \"Mobility\": 0.1036082506, \"State\": \"VA\", \"Population\": 84011, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.317, \"Income\": 25086, \"Gini\": 0.441, \"Share01\": 9.891, \"Gini_99\": 0.342, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1691.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.79, \"Student_teacher_ratio\": null, \"Test_scores\": 7.398, \"HS_dropout\": -0.019, \"Colleges\": 0.024, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -0.662, \"Religious\": 0.417, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.097, \"Married\": 0.585, \"Longitude\": -82.72314453125, \"Latitude\": 36.9120674133301}, {\"ID\": 11301, \"Name\": \"Fredericksburg\", \"Mobility\": 0.0945812836, \"State\": \"VA\", \"Population\": 241044, \"Urban\": 1, \"Black\": 0.152, \"Seg_racial\": 0.051, \"Seg_income\": 0.053, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.044, \"Commute\": 0.205, \"Income\": 41266, \"Gini\": 0.31, \"Share01\": 7.6, \"Gini_99\": 0.234, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.539, \"Student_teacher_ratio\": null, \"Test_scores\": -2.82, \"HS_dropout\": -0.012, \"Colleges\": 0.008, \"Tuition\": 1660.0, \"Graduation\": 0.31, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.005, \"Migration_in\": 0.063, \"Migration_out\": 0.035, \"Foreign_born\": 0.035, \"Social_capital\": -1.145, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.085, \"Married\": 0.609, \"Longitude\": -77.4250640869141, \"Latitude\": 38.0942306518555}, {\"ID\": 11302, \"Name\": \"Baltimore\", \"Mobility\": 0.064007394, \"State\": \"MD\", \"Population\": 2512431, \"Urban\": 1, \"Black\": 0.275, \"Seg_racial\": 0.356, \"Seg_income\": 0.13, \"Seg_poverty\": 0.127, \"Seg_affluence\": 0.132, \"Commute\": 0.199, \"Income\": 44194, \"Gini\": 0.489, \"Share01\": 15.564, \"Gini_99\": 0.334, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2088.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.872, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -2.44, \"HS_dropout\": 0.017, \"Colleges\": 0.012, \"Tuition\": 7780.0, \"Graduation\": -0.035, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.647, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": -0.081, \"Religious\": 0.442, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.092, \"Married\": 0.506, \"Longitude\": -76.7990646362305, \"Latitude\": 39.2704734802246}, {\"ID\": 11303, \"Name\": \"Colonial Beach\", \"Mobility\": 0.0654515326, \"State\": \"VA\", \"Population\": 59342, \"Urban\": 0, \"Black\": 0.312, \"Seg_racial\": 0.046, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.005, \"Commute\": 0.31, \"Income\": 39561, \"Gini\": 0.44, \"Share01\": 6.938, \"Gini_99\": 0.37, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.996, \"Student_teacher_ratio\": null, \"Test_scores\": 1.402, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.97, \"Religious\": 0.437, \"Violent_crime\": 0.001, \"Single_mothers\": 0.251, \"Divorced\": 0.074, \"Married\": 0.6, \"Longitude\": -76.796630859375, \"Latitude\": 37.9297065734863}, {\"ID\": 11304, \"Name\": \"Washington DC\", \"Mobility\": 0.1098117381, \"State\": \"DC\", \"Population\": 4632415, \"Urban\": 1, \"Black\": 0.267, \"Seg_racial\": 0.271, \"Seg_income\": 0.127, \"Seg_poverty\": 0.115, \"Seg_affluence\": 0.136, \"Commute\": 0.16, \"Income\": 53706, \"Gini\": 0.456, \"Share01\": 16.054, \"Gini_99\": 0.295, \"Middle_class\": 0.407, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3566.0, \"Progressivity\": 2.5, \"EITC\": 2.381, \"School_spending\": 7.694, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -6.882, \"HS_dropout\": -0.002, \"Colleges\": 0.009, \"Tuition\": 10317.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.714, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.03, \"Foreign_born\": 0.177, \"Social_capital\": -0.748, \"Religious\": 0.461, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.522, \"Longitude\": -77.4324722290039, \"Latitude\": 38.9264755249023}, {\"ID\": 11401, \"Name\": \"Marquette\", \"Mobility\": 0.0965651348, \"State\": \"MI\", \"Population\": 121919, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.088, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.033, \"Commute\": 0.501, \"Income\": 32535, \"Gini\": 0.337, \"Share01\": 8.571, \"Gini_99\": 0.252, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2236.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.961, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 8.53, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2850.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.238, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 0.697, \"Religious\": 0.633, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.093, \"Married\": 0.561, \"Longitude\": -86.9097442626953, \"Latitude\": 46.1725540161133}, {\"ID\": 11402, \"Name\": \"Marinette\", \"Mobility\": 0.1027253643, \"State\": \"MI\", \"Population\": 114408, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.051, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.017, \"Commute\": 0.525, \"Income\": 34016, \"Gini\": 0.305, \"Share01\": 6.115, \"Gini_99\": 0.244, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2299.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 7.498, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.217, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.255, \"Chinese_imports\": 1.192, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.065, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.18, \"Divorced\": 0.098, \"Married\": 0.592, \"Longitude\": -88.1482696533203, \"Latitude\": 45.6683578491211}, {\"ID\": 11403, \"Name\": \"Sault Ste. Marie\", \"Mobility\": 0.0991831943, \"State\": \"MI\", \"Population\": 57510, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.116, \"Seg_income\": 0.015, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.01, \"Commute\": 0.539, \"Income\": 26896, \"Gini\": 0.381, \"Share01\": 8.244, \"Gini_99\": 0.298, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.246, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -1.094, \"HS_dropout\": null, \"Colleges\": 0.035, \"Tuition\": 3725.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.052, \"Chinese_imports\": 0.251, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.024, \"Social_capital\": -0.01, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.534, \"Longitude\": -84.5001525878906, \"Latitude\": 46.1847114562988}, {\"ID\": 11500, \"Name\": \"Jackson\", \"Mobility\": 0.0630887821, \"State\": \"MI\", \"Population\": 303839, \"Urban\": 1, \"Black\": 0.048, \"Seg_racial\": 0.21, \"Seg_income\": 0.051, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.052, \"Commute\": 0.356, \"Income\": 36188, \"Gini\": 0.35, \"Share01\": 8.529, \"Gini_99\": 0.265, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1937.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.269, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 9197.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.271, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.014, \"Religious\": 0.35, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -84.3774566650391, \"Latitude\": 41.9445495605469}, {\"ID\": 11600, \"Name\": \"Detroit\", \"Mobility\": 0.0545927621, \"State\": \"MI\", \"Population\": 5327827, \"Urban\": 1, \"Black\": 0.214, \"Seg_racial\": 0.474, \"Seg_income\": 0.12, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.128, \"Commute\": 0.243, \"Income\": 44745, \"Gini\": 0.443, \"Share01\": 14.548, \"Gini_99\": 0.297, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2629.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.582, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -5.393, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 5169.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.227, \"Chinese_imports\": 0.747, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.071, \"Social_capital\": -0.263, \"Religious\": 0.408, \"Violent_crime\": 0.003, \"Single_mothers\": 0.249, \"Divorced\": 0.105, \"Married\": 0.516, \"Longitude\": -83.2955093383789, \"Latitude\": 42.7676162719727}, {\"ID\": 11700, \"Name\": \"Lansing\", \"Mobility\": 0.0641167387, \"State\": \"MI\", \"Population\": 447728, \"Urban\": 1, \"Black\": 0.079, \"Seg_racial\": 0.164, \"Seg_income\": 0.08, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.079, \"Commute\": 0.356, \"Income\": 37719, \"Gini\": 0.359, \"Share01\": 10.217, \"Gini_99\": 0.257, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.619, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -1.481, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 4725.0, \"Graduation\": 0.185, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.2, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.045, \"Social_capital\": 1.048, \"Religious\": 0.375, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.105, \"Married\": 0.51, \"Longitude\": -84.648681640625, \"Latitude\": 42.6758804321289}, {\"ID\": 11800, \"Name\": \"Mount Pleasant\", \"Mobility\": 0.0646153837, \"State\": \"MI\", \"Population\": 136888, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.106, \"Seg_income\": 0.035, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.03, \"Commute\": 0.467, \"Income\": 27945, \"Gini\": 0.375, \"Share01\": 8.002, \"Gini_99\": 0.295, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1880.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.39, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 2.197, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 4345.0, \"Graduation\": 0.12, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.152, \"Chinese_imports\": 0.636, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -0.164, \"Religious\": 0.282, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.093, \"Married\": 0.5, \"Longitude\": -84.7600479125977, \"Latitude\": 43.562671661377}, {\"ID\": 11900, \"Name\": \"Saginaw\", \"Mobility\": 0.0644080862, \"State\": \"MI\", \"Population\": 540707, \"Urban\": 1, \"Black\": 0.077, \"Seg_racial\": 0.325, \"Seg_income\": 0.056, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.057, \"Commute\": 0.376, \"Income\": 36938, \"Gini\": 0.398, \"Share01\": 8.79, \"Gini_99\": 0.31, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2118.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.193, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -1.907, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 4224.0, \"Graduation\": -0.092, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": 0.544, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -83.6669769287109, \"Latitude\": 43.6854476928711}, {\"ID\": 12001, \"Name\": \"Big Rapids\", \"Mobility\": 0.0743079185, \"State\": \"MI\", \"Population\": 120045, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.119, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.019, \"Commute\": 0.407, \"Income\": 30109, \"Gini\": 0.371, \"Share01\": 7.829, \"Gini_99\": 0.293, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.059, \"Student_teacher_ratio\": 19.4, \"Test_scores\": 1.666, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 4440.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.233, \"Chinese_imports\": 1.631, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.015, \"Social_capital\": 0.068, \"Religious\": 0.326, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.105, \"Married\": 0.583, \"Longitude\": -85.3946990966797, \"Latitude\": 44.0386199951172}, {\"ID\": 12002, \"Name\": \"Ludington\", \"Mobility\": 0.0760736167, \"State\": \"MI\", \"Population\": 52801, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.02, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.493, \"Income\": 33400, \"Gini\": 0.371, \"Share01\": 9.758, \"Gini_99\": 0.274, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2207.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.004, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 6.417, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 1974.0, \"Graduation\": -0.225, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.208, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.014, \"Social_capital\": 1.041, \"Religious\": 0.447, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -86.1842346191406, \"Latitude\": 44.122974395752}, {\"ID\": 12100, \"Name\": \"Kalamazoo\", \"Mobility\": 0.0526231341, \"State\": \"MI\", \"Population\": 509606, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.183, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.064, \"Commute\": 0.36, \"Income\": 36931, \"Gini\": 0.412, \"Share01\": 10.894, \"Gini_99\": 0.303, \"Middle_class\": 0.52, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.573, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -2.101, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 5369.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.781, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": 0.292, \"Religious\": 0.325, \"Violent_crime\": 0.002, \"Single_mothers\": 0.232, \"Divorced\": 0.106, \"Married\": 0.543, \"Longitude\": -85.5140533447266, \"Latitude\": 42.3128662109375}, {\"ID\": 12200, \"Name\": \"Grand Rapids\", \"Mobility\": 0.063729167, \"State\": \"MI\", \"Population\": 1286045, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.256, \"Seg_income\": 0.066, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.073, \"Commute\": 0.344, \"Income\": 37483, \"Gini\": 0.381, \"Share01\": 12.659, \"Gini_99\": 0.254, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.234, \"Student_teacher_ratio\": 19.8, \"Test_scores\": 0.369, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 7137.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.27, \"Chinese_imports\": 1.197, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.046, \"Social_capital\": 0.505, \"Religious\": 0.469, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.095, \"Married\": 0.571, \"Longitude\": -85.7264099121094, \"Latitude\": 43.1889839172363}, {\"ID\": 12301, \"Name\": \"Traverse City\", \"Mobility\": 0.0742486715, \"State\": \"MI\", \"Population\": 154452, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.036, \"Seg_income\": 0.034, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.038, \"Commute\": 0.356, \"Income\": 39703, \"Gini\": 0.416, \"Share01\": 13.983, \"Gini_99\": 0.276, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2555.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.314, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 5.284, \"HS_dropout\": null, \"Colleges\": 0.006, \"Tuition\": 2984.0, \"Graduation\": -0.279, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.814, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 0.9, \"Religious\": 0.38, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.105, \"Married\": 0.612, \"Longitude\": -85.5310363769531, \"Latitude\": 44.8549652099609}, {\"ID\": 12302, \"Name\": \"Petoskey\", \"Mobility\": 0.0765550211, \"State\": \"MI\", \"Population\": 83975, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.031, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.033, \"Commute\": 0.428, \"Income\": 37711, \"Gini\": 0.488, \"Share01\": 21.387, \"Gini_99\": 0.274, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2363.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.357, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 6.258, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2190.0, \"Graduation\": -0.305, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.671, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": 0.933, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.608, \"Longitude\": -84.7933502197266, \"Latitude\": 45.3941383361816}, {\"ID\": 12401, \"Name\": \"Alpena\", \"Mobility\": 0.078644067, \"State\": \"MI\", \"Population\": 84783, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.019, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.472, \"Income\": 34474, \"Gini\": 0.363, \"Share01\": 7.544, \"Gini_99\": 0.287, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2344.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.684, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -1.233, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2460.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.53, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 0.715, \"Religious\": 0.572, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.102, \"Married\": 0.605, \"Longitude\": -83.6990737915039, \"Latitude\": 45.0324363708496}, {\"ID\": 12402, \"Name\": \"Grayling charter\", \"Mobility\": 0.0748898685, \"State\": \"MI\", \"Population\": 104421, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.037, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.028, \"Commute\": 0.457, \"Income\": 34360, \"Gini\": 0.433, \"Share01\": 13.319, \"Gini_99\": 0.3, \"Middle_class\": 0.556, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -0.154, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2141.0, \"Graduation\": -0.205, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.079, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.014, \"Foreign_born\": 0.015, \"Social_capital\": 0.606, \"Religious\": 0.351, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.105, \"Married\": 0.621, \"Longitude\": -84.4363555908203, \"Latitude\": 44.6857032775879}, {\"ID\": 12501, \"Name\": \"Dayton\", \"Mobility\": 0.0488145053, \"State\": \"OH\", \"Population\": 1179009, \"Urban\": 1, \"Black\": 0.116, \"Seg_racial\": 0.355, \"Seg_income\": 0.08, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.084, \"Commute\": 0.341, \"Income\": 39002, \"Gini\": 0.387, \"Share01\": 10.176, \"Gini_99\": 0.286, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2162.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 6.093, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 8460.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.22, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.021, \"Social_capital\": 0.475, \"Religious\": 0.398, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.112, \"Married\": 0.556, \"Longitude\": -84.1028137207031, \"Latitude\": 40.0221176147461}, {\"ID\": 12502, \"Name\": \"Washington Court House\", \"Mobility\": 0.0533333346, \"State\": \"OH\", \"Population\": 109851, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.066, \"Seg_income\": 0.019, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.017, \"Commute\": 0.345, \"Income\": 32903, \"Gini\": 0.33, \"Share01\": 8.036, \"Gini_99\": 0.25, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1850.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.805, \"Student_teacher_ratio\": 20.5, \"Test_scores\": 7.924, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 8683.0, \"Graduation\": -0.056, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.225, \"Chinese_imports\": 3.351, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.023, \"Foreign_born\": 0.009, \"Social_capital\": 0.21, \"Religious\": 0.318, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.105, \"Married\": 0.597, \"Longitude\": -83.5627670288086, \"Latitude\": 39.2948684692383}, {\"ID\": 12600, \"Name\": \"Wayne\", \"Mobility\": 0.0539811067, \"State\": \"IN\", \"Population\": 104034, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.12, \"Seg_income\": 0.038, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 34115, \"Gini\": 0.389, \"Share01\": 10.525, \"Gini_99\": 0.284, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.067, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.393, \"HS_dropout\": null, \"Colleges\": 0.029, \"Tuition\": 11267.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.444, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 0.887, \"Religious\": 0.417, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.116, \"Married\": 0.586, \"Longitude\": -85.0427474975586, \"Latitude\": 39.7046165466309}, {\"ID\": 12701, \"Name\": \"Cincinnati\", \"Mobility\": 0.0512119494, \"State\": \"OH\", \"Population\": 1954800, \"Urban\": 1, \"Black\": 0.117, \"Seg_racial\": 0.349, \"Seg_income\": 0.11, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.113, \"Commute\": 0.258, \"Income\": 42063, \"Gini\": 0.452, \"Share01\": 13.814, \"Gini_99\": 0.314, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2174.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.243, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 5.432, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5415.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.173, \"Chinese_imports\": 1.216, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 0.388, \"Religious\": 0.444, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.102, \"Married\": 0.546, \"Longitude\": -84.2685470581055, \"Latitude\": 38.8519401550293}, {\"ID\": 12702, \"Name\": \"Maysville\", \"Mobility\": 0.0528455302, \"State\": \"KY\", \"Population\": 52963, \"Urban\": 1, \"Black\": 0.028, \"Seg_racial\": 0.124, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.026, \"Commute\": 0.322, \"Income\": 27372, \"Gini\": 0.422, \"Share01\": 8.344, \"Gini_99\": 0.338, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1613.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.08, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -3.84, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 1150.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.223, \"Chinese_imports\": 11.189, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.162, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.101, \"Married\": 0.603, \"Longitude\": -83.6712799072266, \"Latitude\": 38.4998893737793}, {\"ID\": 12800, \"Name\": \"Washington\", \"Mobility\": 0.1065877154, \"State\": \"IN\", \"Population\": 134026, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.048, \"Seg_income\": 0.039, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.039, \"Commute\": 0.314, \"Income\": 35835, \"Gini\": 0.312, \"Share01\": 8.426, \"Gini_99\": 0.228, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1944.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.15, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.411, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.279, \"Chinese_imports\": 4.476, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": 0.36, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.152, \"Divorced\": 0.094, \"Married\": 0.623, \"Longitude\": -85.0641784667969, \"Latitude\": 39.0648803710938}, {\"ID\": 12901, \"Name\": \"Lexington-Fayette\", \"Mobility\": 0.0537449978, \"State\": \"KY\", \"Population\": 525970, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.17, \"Seg_income\": 0.082, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.345, \"Income\": 36577, \"Gini\": 0.485, \"Share01\": 13.3, \"Gini_99\": 0.352, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.984, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.656, \"HS_dropout\": 0.015, \"Colleges\": 0.019, \"Tuition\": 4441.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.162, \"Chinese_imports\": 2.32, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.037, \"Social_capital\": 0.304, \"Religious\": 0.514, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.544, \"Longitude\": -84.5081634521484, \"Latitude\": 38.1320838928223}, {\"ID\": 12902, \"Name\": \"Mount Sterling\", \"Mobility\": 0.0622914359, \"State\": \"KY\", \"Population\": 40195, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.077, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.025, \"Commute\": 0.323, \"Income\": 28067, \"Gini\": 0.458, \"Share01\": 12.55, \"Gini_99\": 0.332, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1230.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.556, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.92, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.4, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.005, \"Social_capital\": -1.132, \"Religious\": 0.342, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -83.6634368896484, \"Latitude\": 38.0783996582031}, {\"ID\": 12903, \"Name\": \"Danville\", \"Mobility\": 0.0727496892, \"State\": \"KY\", \"Population\": 86667, \"Urban\": 0, \"Black\": 0.051, \"Seg_racial\": 0.09, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.034, \"Commute\": 0.353, \"Income\": 30746, \"Gini\": 0.392, \"Share01\": 7.263, \"Gini_99\": 0.319, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1239.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.847, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.142, \"HS_dropout\": 0.009, \"Colleges\": 0.012, \"Tuition\": 16900.0, \"Graduation\": 0.452, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.243, \"Chinese_imports\": 1.319, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": -0.026, \"Religious\": 0.693, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.106, \"Married\": 0.616, \"Longitude\": -84.7249908447266, \"Latitude\": 37.7040634155273}, {\"ID\": 13000, \"Name\": \"Elizabethtown\", \"Mobility\": 0.081598945, \"State\": \"KY\", \"Population\": 176597, \"Urban\": 1, \"Black\": 0.074, \"Seg_racial\": 0.156, \"Seg_income\": 0.027, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.026, \"Commute\": 0.338, \"Income\": 29945, \"Gini\": 0.351, \"Share01\": 8.532, \"Gini_99\": 0.265, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1517.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.676, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.755, \"HS_dropout\": -0.006, \"Colleges\": 0.011, \"Tuition\": 1084.0, \"Graduation\": -0.103, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.2, \"Chinese_imports\": 0.751, \"Teenage_labor\": 0.003, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.029, \"Social_capital\": -1.309, \"Religious\": 0.526, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -86.0881271362305, \"Latitude\": 37.7544479370117}, {\"ID\": 13101, \"Name\": \"Louisville\", \"Mobility\": 0.051995486, \"State\": \"KY\", \"Population\": 1100767, \"Urban\": 1, \"Black\": 0.132, \"Seg_racial\": 0.311, \"Seg_income\": 0.104, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.11, \"Commute\": 0.261, \"Income\": 39192, \"Gini\": 0.471, \"Share01\": 13.684, \"Gini_99\": 0.334, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1833.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -6.336, \"HS_dropout\": 0.02, \"Colleges\": 0.014, \"Tuition\": 6141.0, \"Graduation\": -0.045, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.162, \"Chinese_imports\": 0.945, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": 0.388, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -85.6781463623047, \"Latitude\": 38.2993583679199}, {\"ID\": 13102, \"Name\": \"Madison\", \"Mobility\": 0.0938271582, \"State\": \"IN\", \"Population\": 49985, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.032, \"Seg_income\": 0.012, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.006, \"Commute\": 0.411, \"Income\": 31205, \"Gini\": 0.355, \"Share01\": 6.725, \"Gini_99\": 0.288, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.717, \"HS_dropout\": 0.008, \"Colleges\": 0.04, \"Tuition\": 9008.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.272, \"Chinese_imports\": 6.025, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": 0.462, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.123, \"Married\": 0.586, \"Longitude\": -85.3903198242188, \"Latitude\": 38.6902122497559}, {\"ID\": 13103, \"Name\": \"Bardstown\", \"Mobility\": 0.0762167126, \"State\": \"KY\", \"Population\": 66605, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.092, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.373, \"Income\": 30726, \"Gini\": 0.395, \"Share01\": 12.494, \"Gini_99\": 0.27, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1284.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.317, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.755, \"HS_dropout\": -0.002, \"Colleges\": 0.015, \"Tuition\": 6000.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.291, \"Chinese_imports\": 0.956, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 0.475, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.568, \"Longitude\": -85.40478515625, \"Latitude\": 37.6990623474121}, {\"ID\": 13200, \"Name\": \"Owensboro\", \"Mobility\": 0.0923025683, \"State\": \"KY\", \"Population\": 177640, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.117, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.053, \"Commute\": 0.387, \"Income\": 31538, \"Gini\": 0.387, \"Share01\": 9.513, \"Gini_99\": 0.292, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2194.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.026, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 9.696, \"HS_dropout\": -0.015, \"Colleges\": 0.023, \"Tuition\": 4452.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.218, \"Chinese_imports\": 1.108, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 0.473, \"Religious\": 0.698, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.107, \"Married\": 0.603, \"Longitude\": -86.9816970825195, \"Latitude\": 37.5197410583496}, {\"ID\": 13300, \"Name\": \"Findlay\", \"Mobility\": 0.0736145601, \"State\": \"OH\", \"Population\": 246623, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.089, \"Seg_income\": 0.032, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.457, \"Income\": 34869, \"Gini\": 0.302, \"Share01\": 8.274, \"Gini_99\": 0.219, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1699.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.355, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 11.407, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 14624.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.324, \"Chinese_imports\": 1.286, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 1.106, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.099, \"Married\": 0.581, \"Longitude\": -83.3274612426758, \"Latitude\": 40.9678688049316}, {\"ID\": 13400, \"Name\": \"Lima\", \"Mobility\": 0.0694817677, \"State\": \"OH\", \"Population\": 260393, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.252, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.043, \"Commute\": 0.445, \"Income\": 35092, \"Gini\": 0.316, \"Share01\": 9.453, \"Gini_99\": 0.221, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1859.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.109, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 13.717, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 7747.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.652, \"Manufacturing\": 0.298, \"Chinese_imports\": 2.666, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": 1.414, \"Religious\": 0.629, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.09, \"Married\": 0.59, \"Longitude\": -84.2717895507812, \"Latitude\": 40.7105560302734}, {\"ID\": 13501, \"Name\": \"Toledo\", \"Mobility\": 0.0574808046, \"State\": \"OH\", \"Population\": 834343, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.29, \"Seg_income\": 0.078, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.079, \"Commute\": 0.345, \"Income\": 38616, \"Gini\": 0.386, \"Share01\": 10.884, \"Gini_99\": 0.277, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2128.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.145, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 2.054, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3600.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.214, \"Chinese_imports\": 0.996, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 0.442, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.105, \"Married\": 0.538, \"Longitude\": -83.6778793334961, \"Latitude\": 41.5681457519531}, {\"ID\": 13502, \"Name\": \"Defiance\", \"Mobility\": 0.0814732164, \"State\": \"OH\", \"Population\": 98981, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.081, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 35188, \"Gini\": 0.315, \"Share01\": 11.039, \"Gini_99\": 0.204, \"Middle_class\": 0.681, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1798.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.048, \"Student_teacher_ratio\": 19.6, \"Test_scores\": 13.318, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 14850.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.422, \"Chinese_imports\": 3.971, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.929, \"Religious\": 0.52, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.602, \"Longitude\": -84.5065536499023, \"Latitude\": 41.3234443664551}, {\"ID\": 13600, \"Name\": \"South Bend\", \"Mobility\": 0.0601345673, \"State\": \"IN\", \"Population\": 657906, \"Urban\": 1, \"Black\": 0.107, \"Seg_racial\": 0.264, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.071, \"Commute\": 0.385, \"Income\": 36189, \"Gini\": 0.423, \"Share01\": 11.211, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1862.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.498, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.923, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 12138.0, \"Graduation\": 0.077, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.247, \"Chinese_imports\": 1.391, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.04, \"Social_capital\": 0.065, \"Religious\": 0.424, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.106, \"Married\": 0.552, \"Longitude\": -86.3163223266602, \"Latitude\": 41.6564559936523}, {\"ID\": 13700, \"Name\": \"Concord\", \"Mobility\": 0.0734009892, \"State\": \"IN\", \"Population\": 372184, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.176, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.024, \"Commute\": 0.405, \"Income\": 35487, \"Gini\": 0.395, \"Share01\": 15.141, \"Gini_99\": 0.244, \"Middle_class\": 0.627, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2052.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.437, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -4.199, \"HS_dropout\": null, \"Colleges\": 0.005, \"Tuition\": 8100.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.421, \"Chinese_imports\": 3.359, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.052, \"Social_capital\": -0.043, \"Religious\": 0.36, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -85.4939270019531, \"Latitude\": 41.6202926635742}, {\"ID\": 13800, \"Name\": \"Wayne\", \"Mobility\": 0.0915141404, \"State\": \"IN\", \"Population\": 129528, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.018, \"Commute\": 0.439, \"Income\": 35790, \"Gini\": 0.364, \"Share01\": 15.072, \"Gini_99\": 0.213, \"Middle_class\": 0.635, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2007.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.961, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.626, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 13030.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.392, \"Chinese_imports\": 1.894, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.022, \"Social_capital\": 0.556, \"Religious\": 0.404, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.1, \"Married\": 0.611, \"Longitude\": -85.9183959960938, \"Latitude\": 41.0524978637695}, {\"ID\": 13900, \"Name\": \"Center\", \"Mobility\": 0.0661350861, \"State\": \"IN\", \"Population\": 192308, \"Urban\": 1, \"Black\": 0.038, \"Seg_racial\": 0.15, \"Seg_income\": 0.046, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.055, \"Commute\": 0.451, \"Income\": 37701, \"Gini\": 0.337, \"Share01\": 8.196, \"Gini_99\": 0.255, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.665, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 0.629, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2811.0, \"Graduation\": -0.271, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.326, \"Chinese_imports\": 1.733, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": 0.854, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.118, \"Married\": 0.588, \"Longitude\": -86.2592697143555, \"Latitude\": 40.6478614807129}, {\"ID\": 14000, \"Name\": \"Muncie\", \"Mobility\": 0.0531732403, \"State\": \"IN\", \"Population\": 415487, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.216, \"Seg_income\": 0.062, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.063, \"Commute\": 0.417, \"Income\": 34884, \"Gini\": 0.384, \"Share01\": 10.075, \"Gini_99\": 0.283, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1858.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.655, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -3.912, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 6770.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.239, \"Chinese_imports\": 1.12, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.654, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.229, \"Divorced\": 0.115, \"Married\": 0.569, \"Longitude\": -85.4548721313477, \"Latitude\": 40.2140159606934}, {\"ID\": 14100, \"Name\": \"Fort Wayne\", \"Mobility\": 0.0659465641, \"State\": \"IN\", \"Population\": 557161, \"Urban\": 1, \"Black\": 0.068, \"Seg_racial\": 0.29, \"Seg_income\": 0.075, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.086, \"Commute\": 0.352, \"Income\": 38529, \"Gini\": 0.381, \"Share01\": 13.303, \"Gini_99\": 0.248, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1814.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.491, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -0.56, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7206.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.272, \"Chinese_imports\": 2.138, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.901, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.105, \"Married\": 0.576, \"Longitude\": -85.1665344238281, \"Latitude\": 41.0252723693848}, {\"ID\": 14200, \"Name\": \"Indianapolis\", \"Mobility\": 0.0490063243, \"State\": \"IN\", \"Population\": 1507346, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.333, \"Seg_income\": 0.107, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.122, \"Commute\": 0.262, \"Income\": 42510, \"Gini\": 0.459, \"Share01\": 13.844, \"Gini_99\": 0.32, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2519.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.991, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 0.549, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 8685.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.154, \"Chinese_imports\": 0.936, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.035, \"Social_capital\": 0.69, \"Religious\": 0.408, \"Violent_crime\": 0.004, \"Single_mothers\": 0.226, \"Divorced\": 0.115, \"Married\": 0.55, \"Longitude\": -86.122688293457, \"Latitude\": 39.611385345459}, {\"ID\": 14300, \"Name\": \"Columbus\", \"Mobility\": 0.0746864304, \"State\": \"IN\", \"Population\": 163284, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.077, \"Seg_income\": 0.048, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.061, \"Commute\": 0.404, \"Income\": 35466, \"Gini\": 0.381, \"Share01\": 12.38, \"Gini_99\": 0.257, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.477, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3264.0, \"Graduation\": -0.302, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.345, \"Chinese_imports\": 1.77, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": 0.535, \"Religious\": 0.5, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.116, \"Married\": 0.625, \"Longitude\": -85.8469085693359, \"Latitude\": 38.8266105651855}, {\"ID\": 14400, \"Name\": \"Terre Haute\", \"Mobility\": 0.082625255, \"State\": \"IN\", \"Population\": 261832, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.155, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.038, \"Commute\": 0.391, \"Income\": 31382, \"Gini\": 0.367, \"Share01\": 8.691, \"Gini_99\": 0.28, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1875.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.317, \"HS_dropout\": null, \"Colleges\": 0.027, \"Tuition\": 8388.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.202, \"Chinese_imports\": 1.947, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.611, \"Religious\": 0.366, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.566, \"Longitude\": -87.3151550292969, \"Latitude\": 39.5072402954102}, {\"ID\": 14500, \"Name\": \"Lafayette\", \"Mobility\": 0.0908335671, \"State\": \"IN\", \"Population\": 347966, \"Urban\": 1, \"Black\": 0.036, \"Seg_racial\": 0.209, \"Seg_income\": 0.072, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.066, \"Commute\": 0.429, \"Income\": 32345, \"Gini\": 0.349, \"Share01\": 8.583, \"Gini_99\": 0.264, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.3, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.095, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 3657.0, \"Graduation\": 0.161, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.236, \"Chinese_imports\": 1.115, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.048, \"Social_capital\": 0.435, \"Religious\": 0.393, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.097, \"Married\": 0.547, \"Longitude\": -87.0883178710938, \"Latitude\": 40.3285369873047}, {\"ID\": 14600, \"Name\": \"Bloomington\", \"Mobility\": 0.0871858522, \"State\": \"IN\", \"Population\": 280923, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.105, \"Seg_income\": 0.063, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 30525, \"Gini\": 0.394, \"Share01\": 10.999, \"Gini_99\": 0.284, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.01, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 1.814, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 3893.0, \"Graduation\": 0.264, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.181, \"Chinese_imports\": 4.994, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 0.043, \"Religious\": 0.402, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.102, \"Married\": 0.523, \"Longitude\": -86.9038391113281, \"Latitude\": 38.8078384399414}, {\"ID\": 14700, \"Name\": \"Evansville\", \"Mobility\": 0.0792389214, \"State\": \"IN\", \"Population\": 388604, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.21, \"Seg_income\": 0.07, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.078, \"Commute\": 0.366, \"Income\": 36908, \"Gini\": 0.402, \"Share01\": 13.881, \"Gini_99\": 0.263, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.535, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.957, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 6157.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.337, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.013, \"Social_capital\": 1.29, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.188, \"Divorced\": 0.11, \"Married\": 0.585, \"Longitude\": -87.454719543457, \"Latitude\": 38.1533546447754}, {\"ID\": 14801, \"Name\": \"Olney\", \"Mobility\": 0.1169398874, \"State\": \"IL\", \"Population\": 55642, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.486, \"Income\": 31875, \"Gini\": 0.343, \"Share01\": 8.23, \"Gini_99\": 0.261, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2254.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.303, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 9.889, \"HS_dropout\": 0.007, \"Colleges\": 0.036, \"Tuition\": 5275.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.215, \"Chinese_imports\": 21.031, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.006, \"Social_capital\": 1.562, \"Religious\": 0.626, \"Violent_crime\": null, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.608, \"Longitude\": -88.0994873046875, \"Latitude\": 38.2621994018555}, {\"ID\": 14802, \"Name\": \"Vincennes\", \"Mobility\": 0.1098398194, \"State\": \"IN\", \"Population\": 54708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.061, \"Seg_income\": 0.034, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.029, \"Commute\": 0.488, \"Income\": 30101, \"Gini\": 0.379, \"Share01\": 8.491, \"Gini_99\": 0.294, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2268.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.712, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.262, \"HS_dropout\": 0.035, \"Colleges\": 0.018, \"Tuition\": 2500.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.963, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 0.687, \"Religious\": 0.495, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.107, \"Married\": 0.56, \"Longitude\": -87.4358901977539, \"Latitude\": 38.6371536254883}, {\"ID\": 14900, \"Name\": \"Gary\", \"Mobility\": 0.081390135, \"State\": \"IN\", \"Population\": 675971, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.444, \"Seg_income\": 0.08, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.075, \"Commute\": 0.277, \"Income\": 38097, \"Gini\": 0.369, \"Share01\": 10.709, \"Gini_99\": 0.262, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.061, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.78, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7395.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.994, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.019, \"Foreign_born\": 0.046, \"Social_capital\": -0.229, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.1, \"Married\": 0.533, \"Longitude\": -87.2666168212891, \"Latitude\": 41.2179756164551}, {\"ID\": 15000, \"Name\": \"Canton\", \"Mobility\": 0.0649108514, \"State\": \"OH\", \"Population\": 700866, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.198, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.058, \"Commute\": 0.378, \"Income\": 35700, \"Gini\": 0.381, \"Share01\": 11.019, \"Gini_99\": 0.271, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1768.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.563, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 12.753, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 8639.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": 0.977, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.101, \"Married\": 0.584, \"Longitude\": -81.465934753418, \"Latitude\": 40.519172668457}, {\"ID\": 15100, \"Name\": \"Lorain\", \"Mobility\": 0.0566001162, \"State\": \"OH\", \"Population\": 423702, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.207, \"Seg_income\": 0.064, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.065, \"Commute\": 0.362, \"Income\": 38660, \"Gini\": 0.342, \"Share01\": 8.711, \"Gini_99\": 0.255, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2044.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.833, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 7.879, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 11565.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.477, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.699, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.106, \"Married\": 0.568, \"Longitude\": -82.3657455444336, \"Latitude\": 41.2349052429199}, {\"ID\": 15200, \"Name\": \"Cleveland\", \"Mobility\": 0.050859265, \"State\": \"OH\", \"Population\": 2661167, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.446, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.119, \"Commute\": 0.268, \"Income\": 42208, \"Gini\": 0.463, \"Share01\": 13.743, \"Gini_99\": 0.326, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2677.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.958, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 5.208, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 7049.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.189, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 0.455, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.254, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -81.4847259521484, \"Latitude\": 41.2727546691895}, {\"ID\": 15300, \"Name\": \"Parkersburg\", \"Mobility\": 0.0708944052, \"State\": \"WV\", \"Population\": 202967, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.044, \"Seg_income\": 0.028, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.031, \"Commute\": 0.346, \"Income\": 32372, \"Gini\": 0.375, \"Share01\": 7.579, \"Gini_99\": 0.3, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1826.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.851, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -0.284, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 7253.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.19, \"Chinese_imports\": 1.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 0.333, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.108, \"Married\": 0.599, \"Longitude\": -81.4451217651367, \"Latitude\": 39.1996803283691}, {\"ID\": 15400, \"Name\": \"Zanesville\", \"Mobility\": 0.0684076101, \"State\": \"OH\", \"Population\": 188410, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.115, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.346, \"Income\": 30313, \"Gini\": 0.352, \"Share01\": 8.705, \"Gini_99\": 0.265, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1635.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.95, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 7.247, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7501.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.24, \"Chinese_imports\": 3.84, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.576, \"Religious\": 0.353, \"Violent_crime\": 0.0, \"Single_mothers\": 0.202, \"Divorced\": 0.107, \"Married\": 0.578, \"Longitude\": -81.7836303710938, \"Latitude\": 39.7343330383301}, {\"ID\": 15500, \"Name\": \"Steubenville\", \"Mobility\": 0.0727181509, \"State\": \"OH\", \"Population\": 132008, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.184, \"Seg_income\": 0.03, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.018, \"Commute\": 0.378, \"Income\": 32010, \"Gini\": 0.35, \"Share01\": 9.312, \"Gini_99\": 0.257, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1512.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.935, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.384, \"HS_dropout\": -0.009, \"Colleges\": 0.023, \"Tuition\": 11197.0, \"Graduation\": 0.196, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 0.893, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.098, \"Married\": 0.571, \"Longitude\": -80.7016906738281, \"Latitude\": 40.4033126831055}, {\"ID\": 15600, \"Name\": \"Wheeling\", \"Mobility\": 0.1254040152, \"State\": \"WV\", \"Population\": 195637, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.151, \"Seg_income\": 0.035, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.029, \"Commute\": 0.343, \"Income\": 31111, \"Gini\": 0.403, \"Share01\": 10.613, \"Gini_99\": 0.297, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1664.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.139, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 1.849, \"HS_dropout\": -0.006, \"Colleges\": 0.026, \"Tuition\": 4864.0, \"Graduation\": -0.089, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.79, \"Religious\": 0.51, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.57, \"Longitude\": -80.8091583251953, \"Latitude\": 39.6376495361328}, {\"ID\": 15700, \"Name\": \"Scioto\", \"Mobility\": 0.0648590028, \"State\": \"OH\", \"Population\": 225682, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.16, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.322, \"Income\": 28949, \"Gini\": 0.403, \"Share01\": 9.722, \"Gini_99\": 0.305, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1577.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.927, \"Student_teacher_ratio\": 20.4, \"Test_scores\": 3.963, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 3057.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.379, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 0.105, \"Religious\": 0.253, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.119, \"Married\": 0.563, \"Longitude\": -82.9105377197266, \"Latitude\": 39.01025390625}, {\"ID\": 15800, \"Name\": \"Athens\", \"Mobility\": 0.0747126415, \"State\": \"OH\", \"Population\": 142321, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.058, \"Seg_income\": 0.03, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.031, \"Commute\": 0.359, \"Income\": 24643, \"Gini\": 0.395, \"Share01\": 7.157, \"Gini_99\": 0.323, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1710.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.361, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 0.706, \"HS_dropout\": -0.008, \"Colleges\": 0.028, \"Tuition\": 4775.0, \"Graduation\": 0.188, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.948, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": -0.328, \"Religious\": 0.251, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.095, \"Married\": 0.523, \"Longitude\": -82.0629959106445, \"Latitude\": 38.9975662231445}, {\"ID\": 15900, \"Name\": \"Columbus\", \"Mobility\": 0.049094066, \"State\": \"OH\", \"Population\": 1663807, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.269, \"Seg_income\": 0.122, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.139, \"Commute\": 0.271, \"Income\": 40286, \"Gini\": 0.451, \"Share01\": 14.001, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2301.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.531, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 3.69, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 8030.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.845, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.61, \"Religious\": 0.363, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.11, \"Married\": 0.527, \"Longitude\": -82.7316818237305, \"Latitude\": 39.9555130004883}, {\"ID\": 16000, \"Name\": \"Mansfield\", \"Mobility\": 0.0644607842, \"State\": \"OH\", \"Population\": 326186, \"Urban\": 1, \"Black\": 0.051, \"Seg_racial\": 0.231, \"Seg_income\": 0.041, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.041, \"Commute\": 0.403, \"Income\": 33186, \"Gini\": 0.335, \"Share01\": 7.903, \"Gini_99\": 0.256, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1713.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.248, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 4.968, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 6365.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.283, \"Chinese_imports\": 1.275, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 0.992, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.113, \"Married\": 0.572, \"Longitude\": -82.7405624389648, \"Latitude\": 40.6658096313477}, {\"ID\": 16100, \"Name\": \"State College\", \"Mobility\": 0.1131276488, \"State\": \"PA\", \"Population\": 310658, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.195, \"Seg_income\": 0.055, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 28923, \"Gini\": 0.373, \"Share01\": 8.759, \"Gini_99\": 0.285, \"Middle_class\": 0.613, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1367.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.981, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 6.352, \"HS_dropout\": -0.013, \"Colleges\": 0.019, \"Tuition\": 7303.0, \"Graduation\": 0.432, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.907, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": 0.295, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.528, \"Longitude\": -78.1835327148438, \"Latitude\": 40.8506507873535}, {\"ID\": 16200, \"Name\": \"Altoona\", \"Mobility\": 0.1023769081, \"State\": \"PA\", \"Population\": 411749, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.163, \"Seg_income\": 0.038, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.034, \"Commute\": 0.391, \"Income\": 30392, \"Gini\": 0.371, \"Share01\": 9.835, \"Gini_99\": 0.272, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.147, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 7.231, \"HS_dropout\": -0.015, \"Colleges\": 0.017, \"Tuition\": 7679.0, \"Graduation\": 0.241, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.449, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 0.938, \"Religious\": 0.65, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.078, \"Married\": 0.564, \"Longitude\": -78.6428298950195, \"Latitude\": 40.2173004150391}, {\"ID\": 16300, \"Name\": \"Pittsburgh\", \"Mobility\": 0.09514869, \"State\": \"PA\", \"Population\": 2561364, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.323, \"Seg_income\": 0.081, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.089, \"Commute\": 0.287, \"Income\": 38686, \"Gini\": 0.45, \"Share01\": 13.848, \"Gini_99\": 0.312, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2244.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.199, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.035, \"HS_dropout\": -0.01, \"Colleges\": 0.022, \"Tuition\": 8789.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.556, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.025, \"Social_capital\": 0.604, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.082, \"Married\": 0.545, \"Longitude\": -79.5761260986328, \"Latitude\": 40.5679092407227}, {\"ID\": 16400, \"Name\": \"Youngstown\", \"Mobility\": 0.0669745952, \"State\": \"OH\", \"Population\": 809682, \"Urban\": 1, \"Black\": 0.086, \"Seg_racial\": 0.338, \"Seg_income\": 0.06, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.059, \"Commute\": 0.374, \"Income\": 34808, \"Gini\": 0.387, \"Share01\": 10.241, \"Gini_99\": 0.284, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1645.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.079, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 6.568, \"HS_dropout\": -0.016, \"Colleges\": 0.025, \"Tuition\": 9907.0, \"Graduation\": 0.011, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.226, \"Chinese_imports\": 0.965, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.019, \"Social_capital\": 0.906, \"Religious\": 0.549, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -80.6030731201172, \"Latitude\": 41.016960144043}, {\"ID\": 16500, \"Name\": \"Erie\", \"Mobility\": 0.0751668066, \"State\": \"PA\", \"Population\": 659098, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.21, \"Seg_income\": 0.05, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.047, \"Commute\": 0.427, \"Income\": 31989, \"Gini\": 0.392, \"Share01\": 10.49, \"Gini_99\": 0.287, \"Middle_class\": 0.596, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.642, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 5.037, \"HS_dropout\": -0.008, \"Colleges\": 0.021, \"Tuition\": 7200.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.341, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.019, \"Social_capital\": 0.694, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.09, \"Married\": 0.546, \"Longitude\": -79.5036315917969, \"Latitude\": 41.3742065429688}, {\"ID\": 16600, \"Name\": \"Roanoke\", \"Mobility\": 0.0640164241, \"State\": \"VA\", \"Population\": 468038, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.225, \"Seg_income\": 0.066, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.064, \"Commute\": 0.334, \"Income\": 34411, \"Gini\": 0.424, \"Share01\": 9.212, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.208, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 3.084, \"HS_dropout\": -0.002, \"Colleges\": 0.024, \"Tuition\": 3970.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.109, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.027, \"Social_capital\": -0.196, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.096, \"Married\": 0.545, \"Longitude\": -80.1677627563477, \"Latitude\": 37.3139152526855}, {\"ID\": 16701, \"Name\": \"Elkins\", \"Mobility\": 0.1057993695, \"State\": \"WV\", \"Population\": 60271, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.05, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.388, \"Income\": 26302, \"Gini\": 0.391, \"Share01\": 8.336, \"Gini_99\": 0.307, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1400.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.979, \"Student_teacher_ratio\": 14.7, \"Test_scores\": -6.483, \"HS_dropout\": -0.017, \"Colleges\": 0.033, \"Tuition\": 13180.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.118, \"Chinese_imports\": 2.177, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.005, \"Foreign_born\": 0.006, \"Social_capital\": -0.342, \"Religious\": 0.357, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.112, \"Married\": 0.58, \"Longitude\": -79.7854919433594, \"Latitude\": 38.7990913391113}, {\"ID\": 16702, \"Name\": \"Morgantown\", \"Mobility\": 0.1049584672, \"State\": \"WV\", \"Population\": 259942, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.108, \"Seg_income\": 0.052, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.046, \"Commute\": 0.336, \"Income\": 28593, \"Gini\": 0.424, \"Share01\": 9.565, \"Gini_99\": 0.328, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1641.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.507, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.397, \"HS_dropout\": -0.008, \"Colleges\": 0.027, \"Tuition\": 2143.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.572, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": 0.372, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.092, \"Married\": 0.536, \"Longitude\": -80.3536605834961, \"Latitude\": 39.3572540283203}, {\"ID\": 16703, \"Name\": \"Buckhannon\", \"Mobility\": 0.1264108419, \"State\": \"WV\", \"Population\": 40323, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.009, \"Commute\": 0.377, \"Income\": 25062, \"Gini\": 0.404, \"Share01\": 7.553, \"Gini_99\": 0.328, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1221.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -10.275, \"HS_dropout\": -0.011, \"Colleges\": 0.025, \"Tuition\": 16800.0, \"Graduation\": 0.197, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.74, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.005, \"Social_capital\": -0.141, \"Religious\": 0.312, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.101, \"Married\": 0.577, \"Longitude\": -80.3829650878906, \"Latitude\": 38.926456451416}, {\"ID\": 16801, \"Name\": \"Beckley\", \"Mobility\": 0.1064450294, \"State\": \"WV\", \"Population\": 174251, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.121, \"Seg_income\": 0.015, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.017, \"Commute\": 0.33, \"Income\": 28131, \"Gini\": 0.446, \"Share01\": 11.535, \"Gini_99\": 0.331, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1317.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.099, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.88, \"HS_dropout\": -0.002, \"Colleges\": 0.029, \"Tuition\": 5808.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.49, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.306, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": -0.862, \"Religious\": 0.303, \"Violent_crime\": 0.001, \"Single_mothers\": 0.217, \"Divorced\": 0.104, \"Married\": 0.58, \"Longitude\": -80.8328170776367, \"Latitude\": 37.9249839782715}, {\"ID\": 16802, \"Name\": \"Summersville\", \"Mobility\": 0.1285289675, \"State\": \"WV\", \"Population\": 58143, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.329, \"Income\": 25662, \"Gini\": 0.452, \"Share01\": 13.73, \"Gini_99\": 0.314, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1483.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.065, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -6.952, \"HS_dropout\": -0.008, \"Colleges\": 0.034, \"Tuition\": 1027.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.486, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.17, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -0.593, \"Religious\": 0.322, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -80.7836837768555, \"Latitude\": 38.5716857910156}, {\"ID\": 16901, \"Name\": \"Charleston\", \"Mobility\": 0.0972293913, \"State\": \"WV\", \"Population\": 347345, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.177, \"Seg_income\": 0.057, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.059, \"Commute\": 0.28, \"Income\": 34109, \"Gini\": 0.474, \"Share01\": 12.717, \"Gini_99\": 0.347, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1532.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.254, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -9.146, \"HS_dropout\": 0.006, \"Colleges\": 0.017, \"Tuition\": 3243.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": -0.087, \"Religious\": 0.3, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.113, \"Married\": 0.573, \"Longitude\": -81.7158126831055, \"Latitude\": 38.1433944702148}, {\"ID\": 16902, \"Name\": \"Spencer\", \"Mobility\": 0.1465677172, \"State\": \"WV\", \"Population\": 23028, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.004, \"Commute\": 0.268, \"Income\": 23337, \"Gini\": 0.356, \"Share01\": 6.941, \"Gini_99\": 0.287, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1333.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.717, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -10.746, \"HS_dropout\": 0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.491, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.231, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.651, \"Religious\": 0.247, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.1, \"Married\": 0.603, \"Longitude\": -81.213020324707, \"Latitude\": 38.7986145019531}, {\"ID\": 17000, \"Name\": \"Pikeville\", \"Mobility\": 0.1378403753, \"State\": \"KY\", \"Population\": 204354, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.017, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.295, \"Income\": 23076, \"Gini\": 0.474, \"Share01\": 10.775, \"Gini_99\": 0.366, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1240.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.46, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.262, \"HS_dropout\": 0.001, \"Colleges\": 0.01, \"Tuition\": 3671.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.002, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -1.347, \"Religious\": 0.331, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -82.6051483154297, \"Latitude\": 37.7573471069336}, {\"ID\": 17100, \"Name\": \"Huntington\", \"Mobility\": 0.0685057491, \"State\": \"KY\", \"Population\": 344380, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.144, \"Seg_income\": 0.043, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.041, \"Commute\": 0.343, \"Income\": 29101, \"Gini\": 0.467, \"Share01\": 11.153, \"Gini_99\": 0.355, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1448.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.436, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.126, \"HS_dropout\": 0.001, \"Colleges\": 0.02, \"Tuition\": 2400.0, \"Graduation\": -0.038, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.45, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": -0.404, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -82.8904647827148, \"Latitude\": 38.2893447875977}, {\"ID\": 17200, \"Name\": \"Harrisonburg\", \"Mobility\": 0.0938897133, \"State\": \"VA\", \"Population\": 174641, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.107, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.033, \"Commute\": 0.378, \"Income\": 31025, \"Gini\": 0.409, \"Share01\": 11.826, \"Gini_99\": 0.291, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1501.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.499, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.775, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 3568.0, \"Graduation\": 0.381, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.544, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.041, \"Social_capital\": -0.385, \"Religious\": 0.465, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -78.7827987670898, \"Latitude\": 38.7607040405273}, {\"ID\": 17300, \"Name\": \"Staunton\", \"Mobility\": 0.0680161938, \"State\": \"VA\", \"Population\": 188559, \"Urban\": 1, \"Black\": 0.071, \"Seg_racial\": 0.079, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.033, \"Commute\": 0.344, \"Income\": 34674, \"Gini\": 0.368, \"Share01\": 7.971, \"Gini_99\": 0.288, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1465.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.003, \"Student_teacher_ratio\": null, \"Test_scores\": 3.633, \"HS_dropout\": null, \"Colleges\": 0.037, \"Tuition\": 9809.0, \"Graduation\": 0.122, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.206, \"Chinese_imports\": 3.52, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": -0.2, \"Religious\": 0.492, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.098, \"Married\": 0.583, \"Longitude\": -79.5354461669922, \"Latitude\": 37.8701171875}, {\"ID\": 17400, \"Name\": \"Hagerstown\", \"Mobility\": 0.0870945826, \"State\": \"PA\", \"Population\": 408535, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.164, \"Seg_income\": 0.035, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 34829, \"Gini\": 0.351, \"Share01\": 8.689, \"Gini_99\": 0.264, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1512.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.288, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 1.236, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 3360.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.176, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": -0.256, \"Religious\": 0.391, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -77.9620590209961, \"Latitude\": 39.7436256408691}, {\"ID\": 17501, \"Name\": \"Cumberland\", \"Mobility\": 0.0969055369, \"State\": \"MD\", \"Population\": 155822, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.149, \"Seg_income\": 0.024, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.021, \"Commute\": 0.373, \"Income\": 29147, \"Gini\": 0.425, \"Share01\": 13.041, \"Gini_99\": 0.294, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1840.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.553, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.043, \"HS_dropout\": -0.006, \"Colleges\": 0.032, \"Tuition\": 12039.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.739, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.038, \"Religious\": 0.491, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.085, \"Married\": 0.6, \"Longitude\": -78.8268737792969, \"Latitude\": 39.2735443115234}, {\"ID\": 17502, \"Name\": \"Winchester\", \"Mobility\": 0.0972972959, \"State\": \"VA\", \"Population\": 115649, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.1, \"Seg_income\": 0.042, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.045, \"Commute\": 0.301, \"Income\": 36887, \"Gini\": 0.402, \"Share01\": 10.978, \"Gini_99\": 0.292, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1801.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.326, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 0.058, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 9058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.669, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.205, \"Teenage_labor\": 0.005, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.029, \"Social_capital\": -0.875, \"Religious\": 0.391, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.098, \"Married\": 0.584, \"Longitude\": -78.4002304077148, \"Latitude\": 39.2103652954102}, {\"ID\": 17600, \"Name\": \"Charlottesville\", \"Mobility\": 0.0613825992, \"State\": \"VA\", \"Population\": 273489, \"Urban\": 1, \"Black\": 0.164, \"Seg_racial\": 0.096, \"Seg_income\": 0.06, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.062, \"Commute\": 0.282, \"Income\": 37999, \"Gini\": 0.489, \"Share01\": 12.275, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1882.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.177, \"Student_teacher_ratio\": null, \"Test_scores\": -0.367, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2786.0, \"Graduation\": 0.327, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.081, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.484, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.089, \"Married\": 0.544, \"Longitude\": -78.2333831787109, \"Latitude\": 38.0418243408203}, {\"ID\": 17700, \"Name\": \"Syracuse\", \"Mobility\": 0.076672107, \"State\": \"NY\", \"Population\": 1080612, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.253, \"Seg_income\": 0.086, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.08, \"Commute\": 0.378, \"Income\": 35778, \"Gini\": 0.409, \"Share01\": 10.819, \"Gini_99\": 0.301, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 3044.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.59, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.814, \"HS_dropout\": -0.016, \"Colleges\": 0.023, \"Tuition\": 10408.0, \"Graduation\": 0.088, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.253, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.043, \"Social_capital\": 0.353, \"Religious\": 0.484, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.087, \"Married\": 0.522, \"Longitude\": -75.6718292236328, \"Latitude\": 43.084644317627}, {\"ID\": 17800, \"Name\": \"Oneonta\", \"Mobility\": 0.0928838924, \"State\": \"NY\", \"Population\": 161132, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.053, \"Seg_income\": 0.012, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.008, \"Commute\": 0.405, \"Income\": 31398, \"Gini\": 0.374, \"Share01\": 7.377, \"Gini_99\": 0.3, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2714.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.284, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 3.69, \"HS_dropout\": -0.021, \"Colleges\": 0.025, \"Tuition\": 5231.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.978, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.102, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.09, \"Married\": 0.553, \"Longitude\": -75.0704956054688, \"Latitude\": 42.4394607543945}, {\"ID\": 17900, \"Name\": \"Union\", \"Mobility\": 0.088044025, \"State\": \"NY\", \"Population\": 294558, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.12, \"Seg_income\": 0.063, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.063, \"Commute\": 0.363, \"Income\": 35192, \"Gini\": 0.39, \"Share01\": 8.997, \"Gini_99\": 0.3, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.034, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 7.263, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 3090.0, \"Graduation\": 0.182, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.189, \"Chinese_imports\": 6.272, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.04, \"Social_capital\": 0.505, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.094, \"Married\": 0.538, \"Longitude\": -76.0699844360352, \"Latitude\": 42.1343231201172}, {\"ID\": 18000, \"Name\": \"Buffalo\", \"Mobility\": 0.066782549, \"State\": \"NY\", \"Population\": 2369699, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.342, \"Seg_income\": 0.098, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.097, \"Commute\": 0.333, \"Income\": 38618, \"Gini\": 0.396, \"Share01\": 10.989, \"Gini_99\": 0.287, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3031.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.08, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.245, \"HS_dropout\": -0.016, \"Colleges\": 0.015, \"Tuition\": 8230.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.183, \"Chinese_imports\": 2.241, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.049, \"Social_capital\": 0.394, \"Religious\": 0.607, \"Violent_crime\": 0.002, \"Single_mothers\": 0.251, \"Divorced\": 0.088, \"Married\": 0.524, \"Longitude\": -77.7660903930664, \"Latitude\": 42.7380714416504}, {\"ID\": 18100, \"Name\": \"Elmira\", \"Mobility\": 0.0936922133, \"State\": \"NY\", \"Population\": 346894, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.158, \"Seg_income\": 0.048, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.411, \"Income\": 32548, \"Gini\": 0.416, \"Share01\": 10.805, \"Gini_99\": 0.308, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.67, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 0.774, \"HS_dropout\": -0.002, \"Colleges\": 0.023, \"Tuition\": 15547.0, \"Graduation\": 0.266, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": 0.5, \"Religious\": 0.396, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.092, \"Married\": 0.516, \"Longitude\": -76.8524780273438, \"Latitude\": 42.3245124816895}, {\"ID\": 18201, \"Name\": \"Olean\", \"Mobility\": 0.0801330507, \"State\": \"NY\", \"Population\": 197898, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.143, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.016, \"Commute\": 0.455, \"Income\": 29823, \"Gini\": 0.37, \"Share01\": 10.119, \"Gini_99\": 0.269, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2566.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.316, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.707, \"HS_dropout\": -0.011, \"Colleges\": 0.04, \"Tuition\": 9250.0, \"Graduation\": 0.168, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.47, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -0.135, \"Religious\": 0.418, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.091, \"Married\": 0.552, \"Longitude\": -78.447868347168, \"Latitude\": 42.1064071655273}, {\"ID\": 18202, \"Name\": \"St. Marys\", \"Mobility\": 0.1629834324, \"State\": \"PA\", \"Population\": 41086, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.013, \"Commute\": 0.53, \"Income\": 34878, \"Gini\": 0.299, \"Share01\": 10.488, \"Gini_99\": 0.194, \"Middle_class\": 0.696, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1510.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.325, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 7.407, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.437, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.145, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.085, \"Married\": 0.576, \"Longitude\": -78.6627578735352, \"Latitude\": 41.3966979980469}, {\"ID\": 18300, \"Name\": \"Watertown\", \"Mobility\": 0.1011804417, \"State\": \"NY\", \"Population\": 250613, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.147, \"Seg_income\": 0.022, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.018, \"Commute\": 0.471, \"Income\": 27436, \"Gini\": 0.353, \"Share01\": 6.815, \"Gini_99\": 0.285, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2904.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.16, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.444, \"HS_dropout\": -0.012, \"Colleges\": 0.024, \"Tuition\": 10602.0, \"Graduation\": 0.134, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.658, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.033, \"Social_capital\": -0.213, \"Religious\": 0.472, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.081, \"Married\": 0.539, \"Longitude\": -75.5392837524414, \"Latitude\": 44.1033897399902}, {\"ID\": 18400, \"Name\": \"Plattsburgh\", \"Mobility\": 0.0854566842, \"State\": \"NY\", \"Population\": 169879, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.285, \"Seg_income\": 0.025, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.023, \"Commute\": 0.47, \"Income\": 28561, \"Gini\": 0.359, \"Share01\": 6.947, \"Gini_99\": 0.29, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2872.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.433, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 2.784, \"HS_dropout\": -0.008, \"Colleges\": 0.035, \"Tuition\": 4636.0, \"Graduation\": 0.068, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.997, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.04, \"Social_capital\": -0.21, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.085, \"Married\": 0.522, \"Longitude\": -73.7126007080078, \"Latitude\": 44.331298828125}, {\"ID\": 18500, \"Name\": \"Amsterdam\", \"Mobility\": 0.082840234, \"State\": \"NY\", \"Population\": 110160, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.13, \"Seg_income\": 0.027, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.026, \"Commute\": 0.416, \"Income\": 32624, \"Gini\": 0.369, \"Share01\": 7.015, \"Gini_99\": 0.299, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2988.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.628, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.667, \"HS_dropout\": -0.007, \"Colleges\": 0.009, \"Tuition\": 2380.0, \"Graduation\": -0.078, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.189, \"Chinese_imports\": 4.284, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.683, \"Religious\": 0.57, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.092, \"Married\": 0.54, \"Longitude\": -74.4513702392578, \"Latitude\": 43.2861976623535}, {\"ID\": 18600, \"Name\": \"Albany\", \"Mobility\": 0.0833333358, \"State\": \"NY\", \"Population\": 1061509, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.201, \"Seg_income\": 0.077, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.078, \"Commute\": 0.317, \"Income\": 40298, \"Gini\": 0.407, \"Share01\": 10.807, \"Gini_99\": 0.299, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2767.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.921, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.01, \"HS_dropout\": -0.011, \"Colleges\": 0.023, \"Tuition\": 9499.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.09, \"Chinese_imports\": 0.466, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.045, \"Social_capital\": 0.602, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.087, \"Married\": 0.533, \"Longitude\": -73.8589172363281, \"Latitude\": 42.8572311401367}, {\"ID\": 18700, \"Name\": \"Sunbury\", \"Mobility\": 0.1113667712, \"State\": \"PA\", \"Population\": 191962, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.169, \"Seg_income\": 0.043, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.044, \"Commute\": 0.396, \"Income\": 30863, \"Gini\": 0.359, \"Share01\": 9.138, \"Gini_99\": 0.268, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.516, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.346, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 20819.0, \"Graduation\": 0.473, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.221, \"Chinese_imports\": 2.797, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.018, \"Social_capital\": 0.692, \"Religious\": 0.521, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.079, \"Married\": 0.592, \"Longitude\": -76.8812713623047, \"Latitude\": 40.8595542907715}, {\"ID\": 18800, \"Name\": \"Scranton\", \"Mobility\": 0.1074531749, \"State\": \"PA\", \"Population\": 857487, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.131, \"Seg_income\": 0.044, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.047, \"Commute\": 0.351, \"Income\": 35125, \"Gini\": 0.412, \"Share01\": 12.428, \"Gini_99\": 0.288, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1568.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.373, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 5.554, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 8661.0, \"Graduation\": 0.142, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.683, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.118, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -75.5423889160156, \"Latitude\": 41.2837600708008}, {\"ID\": 18900, \"Name\": \"Williamsport\", \"Mobility\": 0.1016209498, \"State\": \"PA\", \"Population\": 227275, \"Urban\": 1, \"Black\": 0.025, \"Seg_racial\": 0.162, \"Seg_income\": 0.031, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.026, \"Commute\": 0.414, \"Income\": 31689, \"Gini\": 0.382, \"Share01\": 10.051, \"Gini_99\": 0.281, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1848.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.937, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 4.766, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 7163.0, \"Graduation\": 0.166, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.238, \"Chinese_imports\": 2.495, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": 0.279, \"Religious\": 0.449, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.093, \"Married\": 0.575, \"Longitude\": -77.2385025024414, \"Latitude\": 41.2774848937988}, {\"ID\": 19000, \"Name\": \"Allentown\", \"Mobility\": 0.0826314986, \"State\": \"PA\", \"Population\": 637958, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.214, \"Seg_income\": 0.082, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.094, \"Commute\": 0.329, \"Income\": 39894, \"Gini\": 0.402, \"Share01\": 12.055, \"Gini_99\": 0.281, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2217.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.449, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.125, \"HS_dropout\": -0.007, \"Colleges\": 0.02, \"Tuition\": 14658.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.206, \"Chinese_imports\": 1.102, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.02, \"Foreign_born\": 0.051, \"Social_capital\": 0.448, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.084, \"Married\": 0.567, \"Longitude\": -75.4598083496094, \"Latitude\": 40.8401222229004}, {\"ID\": 19100, \"Name\": \"Reading\", \"Mobility\": 0.0963095427, \"State\": \"PA\", \"Population\": 1114959, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.262, \"Seg_income\": 0.066, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.062, \"Commute\": 0.344, \"Income\": 38217, \"Gini\": 0.372, \"Share01\": 10.983, \"Gini_99\": 0.262, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.694, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 2.944, \"HS_dropout\": -0.001, \"Colleges\": 0.019, \"Tuition\": 8790.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": 0.548, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.17, \"Divorced\": 0.079, \"Married\": 0.583, \"Longitude\": -76.2531967163086, \"Latitude\": 40.153995513916}, {\"ID\": 19200, \"Name\": \"Harrisburg\", \"Mobility\": 0.0792682916, \"State\": \"PA\", \"Population\": 1051424, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.278, \"Seg_income\": 0.06, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.062, \"Commute\": 0.314, \"Income\": 38699, \"Gini\": 0.37, \"Share01\": 11.141, \"Gini_99\": 0.258, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1909.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.256, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 0.608, \"HS_dropout\": -0.002, \"Colleges\": 0.018, \"Tuition\": 8336.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.804, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.013, \"Foreign_born\": 0.028, \"Social_capital\": 0.683, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.583, \"Longitude\": -77.1747894287109, \"Latitude\": 40.3097534179688}, {\"ID\": 19300, \"Name\": \"Poughkeepsie\", \"Mobility\": 0.0948357806, \"State\": \"NY\", \"Population\": 873232, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.142, \"Seg_income\": 0.07, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.068, \"Commute\": 0.301, \"Income\": 39707, \"Gini\": 0.39, \"Share01\": 9.621, \"Gini_99\": 0.293, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3085.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.084, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 2.093, \"HS_dropout\": -0.012, \"Colleges\": 0.014, \"Tuition\": 8390.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.941, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": -0.759, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.183, \"Divorced\": 0.079, \"Married\": 0.557, \"Longitude\": -74.4587554931641, \"Latitude\": 41.7227630615234}, {\"ID\": 19400, \"Name\": \"New York\", \"Mobility\": 0.1050008386, \"State\": \"NY\", \"Population\": 11781395, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.382, \"Seg_income\": 0.132, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.141, \"Commute\": 0.156, \"Income\": 45509, \"Gini\": 0.684, \"Share01\": 29.143, \"Gini_99\": 0.393, \"Middle_class\": 0.44, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3483.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.949, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -1.449, \"HS_dropout\": 0.013, \"Colleges\": 0.012, \"Tuition\": 9269.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.779, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.022, \"Foreign_born\": 0.296, \"Social_capital\": -1.108, \"Religious\": 0.635, \"Violent_crime\": 0.004, \"Single_mothers\": 0.278, \"Divorced\": 0.073, \"Married\": 0.481, \"Longitude\": -73.4934310913086, \"Latitude\": 40.8868293762207}, {\"ID\": 19500, \"Name\": \"Toms River\", \"Mobility\": 0.1222978607, \"State\": \"NJ\", \"Population\": 1126217, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.198, \"Seg_income\": 0.109, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.118, \"Commute\": 0.263, \"Income\": 54036, \"Gini\": 0.407, \"Share01\": 15.42, \"Gini_99\": 0.253, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2632.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 5.938, \"HS_dropout\": -0.012, \"Colleges\": 0.001, \"Tuition\": 4100.0, \"Graduation\": -0.246, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.025, \"Foreign_born\": 0.087, \"Social_capital\": -0.56, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.075, \"Married\": 0.587, \"Longitude\": -74.3227462768555, \"Latitude\": 40.027587890625}, {\"ID\": 19600, \"Name\": \"Newark\", \"Mobility\": 0.1024259701, \"State\": \"NJ\", \"Population\": 5822286, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.323, \"Seg_income\": 0.118, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.131, \"Commute\": 0.234, \"Income\": 51373, \"Gini\": 0.518, \"Share01\": 19.205, \"Gini_99\": 0.325, \"Middle_class\": 0.401, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2782.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -0.599, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 7282.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.13, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.024, \"Foreign_born\": 0.227, \"Social_capital\": -0.466, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.072, \"Married\": 0.542, \"Longitude\": -74.6487045288086, \"Latitude\": 40.7106246948242}, {\"ID\": 19700, \"Name\": \"Philadelphia\", \"Mobility\": 0.0740116686, \"State\": \"PA\", \"Population\": 5602247, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.376, \"Seg_income\": 0.122, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.13, \"Commute\": 0.246, \"Income\": 43746, \"Gini\": 0.491, \"Share01\": 15.29, \"Gini_99\": 0.338, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2877.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.967, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -3.101, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 10851.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.778, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.071, \"Social_capital\": 0.068, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.08, \"Married\": 0.512, \"Longitude\": -75.3061828613281, \"Latitude\": 39.8666076660156}, {\"ID\": 19800, \"Name\": \"Wilmington\", \"Mobility\": 0.0657239258, \"State\": \"DE\", \"Population\": 586216, \"Urban\": 1, \"Black\": 0.176, \"Seg_racial\": 0.216, \"Seg_income\": 0.091, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.1, \"Commute\": 0.251, \"Income\": 44620, \"Gini\": 0.427, \"Share01\": 13.844, \"Gini_99\": 0.289, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1737.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 7.584, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -3.338, \"HS_dropout\": 0.006, \"Colleges\": 0.012, \"Tuition\": 4385.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.54, \"Teenage_labor\": 0.005, \"Migration_in\": 0.028, \"Migration_out\": 0.024, \"Foreign_born\": 0.059, \"Social_capital\": 0.111, \"Religious\": 0.435, \"Violent_crime\": 0.004, \"Single_mothers\": 0.23, \"Divorced\": 0.097, \"Married\": 0.531, \"Longitude\": -75.7440795898438, \"Latitude\": 39.5715065002441}, {\"ID\": 19901, \"Name\": \"Dover\", \"Mobility\": 0.0625960082, \"State\": \"DE\", \"Population\": 439269, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.131, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.029, \"Commute\": 0.358, \"Income\": 36398, \"Gini\": 0.449, \"Share01\": 9.882, \"Gini_99\": 0.35, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1965.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 6.835, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 5.869, \"HS_dropout\": 0.001, \"Colleges\": 0.018, \"Tuition\": 5194.0, \"Graduation\": -0.025, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.426, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.757, \"Religious\": 0.368, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.097, \"Married\": 0.557, \"Longitude\": -75.5329818725586, \"Latitude\": 38.5384826660156}, {\"ID\": 19902, \"Name\": \"Easton\", \"Mobility\": 0.0626359284, \"State\": \"MD\", \"Population\": 154018, \"Urban\": 1, \"Black\": 0.163, \"Seg_racial\": 0.111, \"Seg_income\": 0.056, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.064, \"Commute\": 0.32, \"Income\": 43805, \"Gini\": 0.48, \"Share01\": 14.508, \"Gini_99\": 0.335, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1702.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.562, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 0.006, \"HS_dropout\": -0.001, \"Colleges\": 0.013, \"Tuition\": 14255.0, \"Graduation\": 0.003, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.394, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": -0.476, \"Religious\": 0.43, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.091, \"Married\": 0.577, \"Longitude\": -76.0423736572266, \"Latitude\": 38.7869148254395}, {\"ID\": 19903, \"Name\": \"Chincoteague\", \"Mobility\": 0.0445141047, \"State\": \"VA\", \"Population\": 51398, \"Urban\": 0, \"Black\": 0.343, \"Seg_racial\": 0.084, \"Seg_income\": 0.007, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.009, \"Commute\": 0.393, \"Income\": 31562, \"Gini\": 0.477, \"Share01\": 11.521, \"Gini_99\": 0.362, \"Middle_class\": 0.399, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.638, \"Student_teacher_ratio\": null, \"Test_scores\": 5.172, \"HS_dropout\": 0.023, \"Colleges\": 0.019, \"Tuition\": 1114.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.432, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.04, \"Social_capital\": -0.453, \"Religious\": 0.339, \"Violent_crime\": 0.002, \"Single_mothers\": 0.293, \"Divorced\": 0.085, \"Married\": 0.536, \"Longitude\": -75.6961898803711, \"Latitude\": 37.6719169616699}, {\"ID\": 20001, \"Name\": \"Bangor\", \"Mobility\": 0.0809096843, \"State\": \"ME\", \"Population\": 289843, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.065, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.03, \"Commute\": 0.403, \"Income\": 32900, \"Gini\": 0.397, \"Share01\": 8.898, \"Gini_99\": 0.308, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1720.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.669, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.767, \"HS_dropout\": -0.007, \"Colleges\": 0.024, \"Tuition\": 4991.0, \"Graduation\": 0.141, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.121, \"Chinese_imports\": 2.789, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.392, \"Religious\": 0.292, \"Violent_crime\": 0.001, \"Single_mothers\": 0.207, \"Divorced\": 0.118, \"Married\": 0.561, \"Longitude\": -69.0667114257812, \"Latitude\": 44.9682998657227}, {\"ID\": 20002, \"Name\": \"Calais\", \"Mobility\": 0.0680272132, \"State\": \"ME\", \"Population\": 33941, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.196, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.493, \"Income\": 26505, \"Gini\": 0.377, \"Share01\": 6.18, \"Gini_99\": 0.316, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1529.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 7.988, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 4.963, \"HS_dropout\": -0.009, \"Colleges\": 0.059, \"Tuition\": 2701.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.04, \"Social_capital\": -0.723, \"Religious\": 0.259, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.114, \"Married\": 0.565, \"Longitude\": -67.6050033569336, \"Latitude\": 44.9989395141602}, {\"ID\": 20003, \"Name\": \"Presque Isle\", \"Mobility\": 0.0855855867, \"State\": \"ME\", \"Population\": 73938, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.057, \"Seg_income\": 0.008, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.512, \"Income\": 27952, \"Gini\": 0.368, \"Share01\": 7.492, \"Gini_99\": 0.293, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1769.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.823, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.045, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.02, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.125, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.059, \"Social_capital\": -0.661, \"Religious\": 0.608, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -68.5269775390625, \"Latitude\": 46.3964767456055}, {\"ID\": 20100, \"Name\": \"Portland\", \"Mobility\": 0.0805980191, \"State\": \"ME\", \"Population\": 690459, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.054, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.363, \"Income\": 37252, \"Gini\": 0.439, \"Share01\": 13.348, \"Gini_99\": 0.306, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.85, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 2.793, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 3538.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.669, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.334, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.118, \"Married\": 0.555, \"Longitude\": -69.9392471313477, \"Latitude\": 44.7340354919434}, {\"ID\": 20200, \"Name\": \"Burlington\", \"Mobility\": 0.0931878537, \"State\": \"VT\", \"Population\": 321496, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.044, \"Seg_income\": 0.062, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.067, \"Commute\": 0.366, \"Income\": 37131, \"Gini\": 0.405, \"Share01\": 11.589, \"Gini_99\": 0.289, \"Middle_class\": 0.558, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1866.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 9.101, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 6.641, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 12201.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.706, \"Manufacturing\": 0.161, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.044, \"Social_capital\": 0.451, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.1, \"Married\": 0.542, \"Longitude\": -73.0345230102539, \"Latitude\": 44.0672149658203}, {\"ID\": 20301, \"Name\": \"Berlin\", \"Mobility\": 0.083530806, \"State\": \"VT\", \"Population\": 95549, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.018, \"Seg_income\": 0.014, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.433, \"Income\": 31204, \"Gini\": 0.38, \"Share01\": 10.699, \"Gini_99\": 0.273, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1842.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 7.825, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 3.676, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.024, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.193, \"Chinese_imports\": 1.802, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.012, \"Foreign_born\": 0.04, \"Social_capital\": 0.509, \"Religious\": 0.488, \"Violent_crime\": 0.0, \"Single_mothers\": 0.208, \"Divorced\": 0.112, \"Married\": 0.571, \"Longitude\": -71.7748870849609, \"Latitude\": 44.4993209838867}, {\"ID\": 20302, \"Name\": \"Claremont\", \"Mobility\": 0.078877002, \"State\": \"VT\", \"Population\": 265884, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.041, \"Seg_income\": 0.03, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.037, \"Commute\": 0.383, \"Income\": 38571, \"Gini\": 0.404, \"Share01\": 11.609, \"Gini_99\": 0.288, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 1940.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 8.352, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 6.585, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 16323.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.143, \"Chinese_imports\": 2.416, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": 1.026, \"Religious\": 0.332, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.11, \"Married\": 0.557, \"Longitude\": -72.2651672363281, \"Latitude\": 43.8187103271484}, {\"ID\": 20401, \"Name\": \"Providence\", \"Mobility\": 0.0820953399, \"State\": \"RI\", \"Population\": 1582997, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.23, \"Seg_income\": 0.089, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.092, \"Commute\": 0.328, \"Income\": 39543, \"Gini\": 0.426, \"Share01\": 13.552, \"Gini_99\": 0.291, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1879.0, \"Progressivity\": 6.15, \"EITC\": 19.048, \"School_spending\": 7.203, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -2.206, \"HS_dropout\": 0.008, \"Colleges\": 0.004, \"Tuition\": 11924.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.171, \"Chinese_imports\": 2.592, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.115, \"Social_capital\": -0.389, \"Religious\": 0.623, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -71.3598098754883, \"Latitude\": 41.6681175231934}, {\"ID\": 20402, \"Name\": \"Nantucket\", \"Mobility\": 0.0810810775, \"State\": \"MA\", \"Population\": 9520, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.035, \"Seg_income\": 0.01, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.003, \"Commute\": 0.818, \"Income\": 49651, \"Gini\": 0.364, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 4868.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.164, \"Student_teacher_ratio\": null, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.74, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.08, \"Social_capital\": 7.305, \"Religious\": 0.383, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.121, \"Married\": 0.479, \"Longitude\": -70.063362121582, \"Latitude\": 41.3039436340332}, {\"ID\": 20403, \"Name\": \"Oak Bluffs\", \"Mobility\": 0.0676691756, \"State\": \"MA\", \"Population\": 14987, \"Urban\": 0, \"Black\": 0.023, \"Seg_racial\": 0.016, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.003, \"Commute\": 0.576, \"Income\": 48059, \"Gini\": 0.403, \"Share01\": 10.469, \"Gini_99\": 0.299, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3752.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 17.311, \"HS_dropout\": -0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.036, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.063, \"Social_capital\": 4.994, \"Religious\": 0.86, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.126, \"Married\": 0.515, \"Longitude\": -70.6558151245117, \"Latitude\": 41.390796661377}, {\"ID\": 20500, \"Name\": \"Boston\", \"Mobility\": 0.1048499793, \"State\": \"MA\", \"Population\": 4974945, \"Urban\": 1, \"Black\": 0.054, \"Seg_racial\": 0.264, \"Seg_income\": 0.093, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.107, \"Commute\": 0.251, \"Income\": 49445, \"Gini\": 0.477, \"Share01\": 21.448, \"Gini_99\": 0.263, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.89, \"Student_teacher_ratio\": null, \"Test_scores\": 4.084, \"HS_dropout\": 0.001, \"Colleges\": 0.008, \"Tuition\": 15931.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.12, \"Chinese_imports\": 1.555, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.022, \"Foreign_born\": 0.132, \"Social_capital\": 0.298, \"Religious\": 0.652, \"Violent_crime\": 0.003, \"Single_mothers\": 0.206, \"Divorced\": 0.08, \"Married\": 0.518, \"Longitude\": -71.188606262207, \"Latitude\": 42.212329864502}, {\"ID\": 20600, \"Name\": \"Manchester\", \"Mobility\": 0.1001517475, \"State\": \"NH\", \"Population\": 1193391, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.084, \"Commute\": 0.301, \"Income\": 43530, \"Gini\": 0.38, \"Share01\": 12.697, \"Gini_99\": 0.253, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1804.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.546, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.63, \"HS_dropout\": 0.017, \"Colleges\": 0.008, \"Tuition\": 8732.0, \"Graduation\": 0.018, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.866, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.044, \"Social_capital\": -0.262, \"Religious\": 0.485, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -71.297737121582, \"Latitude\": 43.4739837646484}, {\"ID\": 20700, \"Name\": \"Keene\", \"Mobility\": 0.0901116431, \"State\": \"NH\", \"Population\": 118041, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.024, \"Seg_income\": 0.025, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.023, \"Commute\": 0.407, \"Income\": 37048, \"Gini\": 0.478, \"Share01\": 24.837, \"Gini_99\": 0.229, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.513, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 1.881, \"HS_dropout\": 0.015, \"Colleges\": 0.017, \"Tuition\": 4732.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.159, \"Chinese_imports\": 1.616, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.017, \"Foreign_born\": 0.025, \"Social_capital\": 0.684, \"Religious\": 0.293, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.107, \"Married\": 0.545, \"Longitude\": -72.474739074707, \"Latitude\": 43.0325889587402}, {\"ID\": 20800, \"Name\": \"Springfield\", \"Mobility\": 0.0680504739, \"State\": \"MA\", \"Population\": 680014, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.295, \"Seg_income\": 0.079, \"Seg_poverty\": 0.08, \"Seg_affluence\": 0.075, \"Commute\": 0.342, \"Income\": 36671, \"Gini\": 0.413, \"Share01\": 10.672, \"Gini_99\": 0.307, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2420.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.855, \"Student_teacher_ratio\": null, \"Test_scores\": -0.369, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 7485.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.148, \"Chinese_imports\": 3.403, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.067, \"Social_capital\": 0.235, \"Religious\": 0.586, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.095, \"Married\": 0.486, \"Longitude\": -72.6502075195312, \"Latitude\": 42.3591499328613}, {\"ID\": 20901, \"Name\": \"Bridgeport\", \"Mobility\": 0.0786178932, \"State\": \"CT\", \"Population\": 3405565, \"Urban\": 1, \"Black\": 0.087, \"Seg_racial\": 0.269, \"Seg_income\": 0.117, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.13, \"Commute\": 0.308, \"Income\": 53281, \"Gini\": 0.49, \"Share01\": 21.68, \"Gini_99\": 0.274, \"Middle_class\": 0.438, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2476.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.888, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -4.993, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 9747.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.109, \"Social_capital\": 0.493, \"Religious\": 0.579, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.093, \"Married\": 0.55, \"Longitude\": -72.6092910766602, \"Latitude\": 41.6280708312988}, {\"ID\": 20902, \"Name\": \"Pittsfield\", \"Mobility\": 0.0865191147, \"State\": \"MA\", \"Population\": 171947, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.067, \"Seg_income\": 0.052, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.053, \"Commute\": 0.479, \"Income\": 41091, \"Gini\": 0.437, \"Share01\": 13.776, \"Gini_99\": 0.299, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1669.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.124, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 4.525, \"HS_dropout\": 0.015, \"Colleges\": 0.006, \"Tuition\": 24619.0, \"Graduation\": 0.174, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.701, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 0.951, \"Religious\": 0.624, \"Violent_crime\": 0.002, \"Single_mothers\": 0.238, \"Divorced\": 0.104, \"Married\": 0.534, \"Longitude\": -73.0525436401367, \"Latitude\": 42.6944618225098}, {\"ID\": 21001, \"Name\": \"Ashland\", \"Mobility\": 0.0910326093, \"State\": \"WI\", \"Population\": 47701, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.236, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.533, \"Income\": 32218, \"Gini\": 0.32, \"Share01\": 7.108, \"Gini_99\": 0.249, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2725.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.119, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.588, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 14415.0, \"Graduation\": 0.234, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.231, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 1.525, \"Religious\": 0.583, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.576, \"Longitude\": -90.6493072509766, \"Latitude\": 46.1779747009277}, {\"ID\": 21002, \"Name\": \"Houghton\", \"Mobility\": 0.1022727266, \"State\": \"MI\", \"Population\": 47063, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.01, \"Commute\": 0.55, \"Income\": 26975, \"Gini\": 0.376, \"Share01\": 12.232, \"Gini_99\": 0.254, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2240.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.434, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 7.375, \"HS_dropout\": null, \"Colleges\": 0.042, \"Tuition\": 4935.0, \"Graduation\": 0.23, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": 0.46, \"Religious\": 0.502, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.485, \"Longitude\": -88.5094833374023, \"Latitude\": 47.1474723815918}, {\"ID\": 21003, \"Name\": \"Ironwood\", \"Mobility\": 0.1213872805, \"State\": \"MI\", \"Population\": 32049, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.159, \"Seg_income\": 0.012, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.554, \"Income\": 32111, \"Gini\": 0.332, \"Share01\": 6.552, \"Gini_99\": 0.266, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3036.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.902, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 8.369, \"HS_dropout\": null, \"Colleges\": 0.031, \"Tuition\": 1922.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.262, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.004, \"Foreign_born\": 0.014, \"Social_capital\": 1.087, \"Religious\": 0.552, \"Violent_crime\": 0.0, \"Single_mothers\": 0.203, \"Divorced\": 0.094, \"Married\": 0.578, \"Longitude\": -89.6147308349609, \"Latitude\": 46.4919624328613}, {\"ID\": 21004, \"Name\": \"Rhinelander\", \"Mobility\": 0.1062801927, \"State\": \"WI\", \"Population\": 67833, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.198, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.509, \"Income\": 37115, \"Gini\": 0.403, \"Share01\": 10.478, \"Gini_99\": 0.299, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2512.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.827, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 2.187, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 2018.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 1.928, \"Religious\": 0.593, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.616, \"Longitude\": -89.0856475830078, \"Latitude\": 45.8335456848145}, {\"ID\": 21101, \"Name\": \"Rice Lake\", \"Mobility\": 0.1015262082, \"State\": \"WI\", \"Population\": 92542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.185, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.006, \"Commute\": 0.499, \"Income\": 33974, \"Gini\": 0.407, \"Share01\": 14.031, \"Gini_99\": 0.267, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2679.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.359, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.642, \"HS_dropout\": -0.027, \"Colleges\": 0.032, \"Tuition\": 3003.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 1.542, \"Religious\": 0.568, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -91.4096221923828, \"Latitude\": 45.6672897338867}, {\"ID\": 21102, \"Name\": \"Amery\", \"Mobility\": 0.1285500675, \"State\": \"WI\", \"Population\": 56993, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.066, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.024, \"Commute\": 0.356, \"Income\": 36392, \"Gini\": 0.311, \"Share01\": 7.72, \"Gini_99\": 0.233, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.83, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.446, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.266, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.01, \"Social_capital\": 1.572, \"Religious\": 0.522, \"Violent_crime\": 0.0, \"Single_mothers\": 0.163, \"Divorced\": 0.101, \"Married\": 0.601, \"Longitude\": -92.5343780517578, \"Latitude\": 45.7065849304199}, {\"ID\": 21201, \"Name\": \"Hutchinson\", \"Mobility\": 0.1770657599, \"State\": \"MN\", \"Population\": 72898, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.464, \"Income\": 37753, \"Gini\": 0.272, \"Share01\": 6.513, \"Gini_99\": 0.207, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3364.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 5.951, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.678, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.305, \"Chinese_imports\": 8.387, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.023, \"Foreign_born\": 0.019, \"Social_capital\": 1.706, \"Religious\": 0.791, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.068, \"Married\": 0.623, \"Longitude\": -94.2248153686523, \"Latitude\": 44.8072204589844}, {\"ID\": 21202, \"Name\": \"Redwood Falls\", \"Mobility\": 0.1971831024, \"State\": \"MN\", \"Population\": 33969, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.098, \"Seg_income\": 0.005, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.571, \"Income\": 37685, \"Gini\": 0.285, \"Share01\": 7.039, \"Gini_99\": 0.214, \"Middle_class\": 0.689, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2928.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.256, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.455, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 2.83, \"Religious\": 0.874, \"Violent_crime\": 0.002, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.615, \"Longitude\": -95.0502319335938, \"Latitude\": 44.5783004760742}, {\"ID\": 21301, \"Name\": \"Mankato\", \"Mobility\": 0.1263440847, \"State\": \"MN\", \"Population\": 149925, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.113, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.036, \"Commute\": 0.563, \"Income\": 34778, \"Gini\": 0.303, \"Share01\": 10.199, \"Gini_99\": 0.201, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2663.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.464, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 6.834, \"HS_dropout\": -0.014, \"Colleges\": 0.04, \"Tuition\": 5858.0, \"Graduation\": 0.121, \"Labor_force_participation\": 0.717, \"Manufacturing\": 0.216, \"Chinese_imports\": 0.989, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": 2.004, \"Religious\": 0.701, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.067, \"Married\": 0.552, \"Longitude\": -94.4642868041992, \"Latitude\": 44.210090637207}, {\"ID\": 21302, \"Name\": \"Owatonna\", \"Mobility\": 0.137931034, \"State\": \"MN\", \"Population\": 109871, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.085, \"Seg_income\": 0.025, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.027, \"Commute\": 0.544, \"Income\": 35164, \"Gini\": 0.28, \"Share01\": 8.304, \"Gini_99\": 0.197, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2862.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.047, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 6.546, \"HS_dropout\": 0.002, \"Colleges\": 0.027, \"Tuition\": 20533.0, \"Graduation\": 0.454, \"Labor_force_participation\": 0.705, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.021, \"Foreign_born\": 0.038, \"Social_capital\": 1.71, \"Religious\": 0.726, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.08, \"Married\": 0.579, \"Longitude\": -93.3868789672852, \"Latitude\": 44.1446380615234}, {\"ID\": 21400, \"Name\": \"St. Cloud\", \"Mobility\": 0.1268896013, \"State\": \"MN\", \"Population\": 254139, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.094, \"Seg_income\": 0.056, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.053, \"Commute\": 0.398, \"Income\": 35324, \"Gini\": 0.318, \"Share01\": 9.355, \"Gini_99\": 0.224, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2480.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.503, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.546, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 6714.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.732, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.79, \"Teenage_labor\": 0.006, \"Migration_in\": 0.038, \"Migration_out\": 0.026, \"Foreign_born\": 0.019, \"Social_capital\": 0.717, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.071, \"Married\": 0.569, \"Longitude\": -94.0343246459961, \"Latitude\": 45.5808372497559}, {\"ID\": 21501, \"Name\": \"Minneapolis\", \"Mobility\": 0.0852011293, \"State\": \"MN\", \"Population\": 2904389, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.193, \"Seg_income\": 0.104, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.104, \"Commute\": 0.264, \"Income\": 47071, \"Gini\": 0.375, \"Share01\": 15.617, \"Gini_99\": 0.219, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 3365.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 8.069, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 0.449, \"HS_dropout\": 0.012, \"Colleges\": 0.016, \"Tuition\": 6501.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.743, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.04, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.072, \"Social_capital\": 1.348, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.093, \"Married\": 0.549, \"Longitude\": -93.2317886352539, \"Latitude\": 45.0522193908691}, {\"ID\": 21502, \"Name\": \"Pine City\", \"Mobility\": 0.1096979305, \"State\": \"MN\", \"Population\": 41526, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.099, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.342, \"Income\": 32880, \"Gini\": 0.313, \"Share01\": 6.585, \"Gini_99\": 0.247, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2762.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.613, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 2.736, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 2240.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.71, \"Teenage_labor\": 0.006, \"Migration_in\": 0.037, \"Migration_out\": 0.026, \"Foreign_born\": 0.011, \"Social_capital\": 0.996, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.103, \"Married\": 0.588, \"Longitude\": -92.7871551513672, \"Latitude\": 45.988410949707}, {\"ID\": 21600, \"Name\": \"Brainerd\", \"Mobility\": 0.0842745453, \"State\": \"MN\", \"Population\": 141542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.226, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.02, \"Commute\": 0.42, \"Income\": 35545, \"Gini\": 0.396, \"Share01\": 9.384, \"Gini_99\": 0.302, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3062.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.687, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 9.205, \"HS_dropout\": 0.018, \"Colleges\": 0.021, \"Tuition\": 2234.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.633, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 1.698, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.097, \"Married\": 0.61, \"Longitude\": -94.1722030639648, \"Latitude\": 46.6966896057129}, {\"ID\": 21701, \"Name\": \"Rochester\", \"Mobility\": 0.1421598494, \"State\": \"MN\", \"Population\": 228867, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.112, \"Seg_income\": 0.061, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.072, \"Commute\": 0.469, \"Income\": 42380, \"Gini\": 0.338, \"Share01\": 12.408, \"Gini_99\": 0.214, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3284.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.66, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 7.357, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1931.0, \"Graduation\": -0.23, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.168, \"Chinese_imports\": 7.66, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.049, \"Social_capital\": 2.063, \"Religious\": 0.708, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.079, \"Married\": 0.613, \"Longitude\": -92.4435501098633, \"Latitude\": 44.2314186096191}, {\"ID\": 21702, \"Name\": \"Austin\", \"Mobility\": 0.1177325547, \"State\": \"MN\", \"Population\": 71187, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.039, \"Commute\": 0.555, \"Income\": 38505, \"Gini\": 0.282, \"Share01\": 5.818, \"Gini_99\": 0.224, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 4542.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.479, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 3.989, \"HS_dropout\": 0.012, \"Colleges\": 0.014, \"Tuition\": 2594.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.238, \"Chinese_imports\": 0.804, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 2.541, \"Religious\": 0.758, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -93.0618896484375, \"Latitude\": 43.6721839904785}, {\"ID\": 21801, \"Name\": \"Mason City\", \"Mobility\": 0.1265984625, \"State\": \"IA\", \"Population\": 78179, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.032, \"Seg_income\": 0.016, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.58, \"Income\": 36400, \"Gini\": 0.321, \"Share01\": 9.048, \"Gini_99\": 0.23, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2124.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.795, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.24, \"HS_dropout\": -0.026, \"Colleges\": 0.038, \"Tuition\": 5257.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.229, \"Chinese_imports\": 2.315, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": 2.127, \"Religious\": 0.724, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.091, \"Married\": 0.59, \"Longitude\": -93.4568328857422, \"Latitude\": 43.2174186706543}, {\"ID\": 21802, \"Name\": \"Decorah\", \"Mobility\": 0.1657142788, \"State\": \"IA\", \"Population\": 72111, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.542, \"Income\": 34000, \"Gini\": 0.303, \"Share01\": 9.119, \"Gini_99\": 0.212, \"Middle_class\": 0.698, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2420.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.926, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 10.219, \"HS_dropout\": -0.025, \"Colleges\": 0.028, \"Tuition\": 9547.0, \"Graduation\": 0.124, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.213, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 2.055, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.14, \"Divorced\": 0.065, \"Married\": 0.602, \"Longitude\": -92.3541717529297, \"Latitude\": 43.2467956542969}, {\"ID\": 21900, \"Name\": \"Marshalltown\", \"Mobility\": 0.1126346737, \"State\": \"IA\", \"Population\": 113442, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.174, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.033, \"Commute\": 0.535, \"Income\": 35247, \"Gini\": 0.309, \"Share01\": 9.287, \"Gini_99\": 0.216, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2080.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.155, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.602, \"HS_dropout\": -0.015, \"Colleges\": 0.018, \"Tuition\": 11892.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.235, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.035, \"Social_capital\": 1.578, \"Religious\": 0.534, \"Violent_crime\": 0.002, \"Single_mothers\": 0.176, \"Divorced\": 0.098, \"Married\": 0.603, \"Longitude\": -92.8246612548828, \"Latitude\": 41.8321647644043}, {\"ID\": 22001, \"Name\": \"Waterloo\", \"Mobility\": 0.1224658638, \"State\": \"IA\", \"Population\": 222112, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.264, \"Seg_income\": 0.041, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.492, \"Income\": 34720, \"Gini\": 0.348, \"Share01\": 9.541, \"Gini_99\": 0.253, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2231.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.214, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.667, \"HS_dropout\": -0.011, \"Colleges\": 0.027, \"Tuition\": 4904.0, \"Graduation\": 0.164, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.581, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.026, \"Social_capital\": 1.346, \"Religious\": 0.665, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.08, \"Married\": 0.564, \"Longitude\": -92.3131866455078, \"Latitude\": 42.5283737182617}, {\"ID\": 22002, \"Name\": \"Iowa Falls\", \"Mobility\": 0.1357615888, \"State\": \"IA\", \"Population\": 29516, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.083, \"Seg_income\": 0.009, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.007, \"Commute\": 0.561, \"Income\": 36422, \"Gini\": 0.303, \"Share01\": 9.269, \"Gini_99\": 0.21, \"Middle_class\": 0.71, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2495.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.982, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 3.677, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.068, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.164, \"Chinese_imports\": 2.879, \"Teenage_labor\": 0.007, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 2.434, \"Religious\": 0.729, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.071, \"Married\": 0.612, \"Longitude\": -93.2544174194336, \"Latitude\": 42.5082550048828}, {\"ID\": 22100, \"Name\": \"Iowa City\", \"Mobility\": 0.0931849778, \"State\": \"IA\", \"Population\": 203768, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.135, \"Seg_income\": 0.073, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.075, \"Commute\": 0.432, \"Income\": 35558, \"Gini\": 0.368, \"Share01\": 12.979, \"Gini_99\": 0.238, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2221.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.944, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 2.004, \"HS_dropout\": 0.0, \"Colleges\": 0.005, \"Tuition\": 2906.0, \"Graduation\": 0.226, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.767, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.025, \"Foreign_born\": 0.053, \"Social_capital\": 0.859, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.159, \"Divorced\": 0.084, \"Married\": 0.526, \"Longitude\": -91.2396545410156, \"Latitude\": 41.4012718200684}, {\"ID\": 22200, \"Name\": \"Cedar Rapids\", \"Mobility\": 0.1173184365, \"State\": \"IA\", \"Population\": 252901, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.082, \"Seg_income\": 0.056, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.065, \"Commute\": 0.42, \"Income\": 40330, \"Gini\": 0.335, \"Share01\": 10.673, \"Gini_99\": 0.228, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2109.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.973, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.361, \"HS_dropout\": -0.021, \"Colleges\": 0.02, \"Tuition\": 6043.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.775, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.021, \"Social_capital\": 1.241, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.097, \"Married\": 0.581, \"Longitude\": -91.6312637329102, \"Latitude\": 41.9913520812988}, {\"ID\": 22300, \"Name\": \"Ottumwa\", \"Mobility\": 0.1244979948, \"State\": \"IA\", \"Population\": 142385, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.055, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.037, \"Commute\": 0.493, \"Income\": 33871, \"Gini\": 0.379, \"Share01\": 12.797, \"Gini_99\": 0.251, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2149.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.09, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 3.07, \"HS_dropout\": -0.01, \"Colleges\": 0.035, \"Tuition\": 6514.0, \"Graduation\": 0.033, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": 1.372, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.098, \"Married\": 0.595, \"Longitude\": -92.4260864257812, \"Latitude\": 41.0566139221191}, {\"ID\": 22400, \"Name\": \"Sheboygan\", \"Mobility\": 0.1380908191, \"State\": \"WI\", \"Population\": 195533, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.119, \"Seg_income\": 0.042, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.044, \"Commute\": 0.512, \"Income\": 39238, \"Gini\": 0.291, \"Share01\": 11.586, \"Gini_99\": 0.175, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2600.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.612, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.404, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5759.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.369, \"Chinese_imports\": 1.474, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 1.583, \"Religious\": 0.762, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.081, \"Married\": 0.601, \"Longitude\": -87.8510437011719, \"Latitude\": 43.9855575561523}, {\"ID\": 22500, \"Name\": \"Oshkosh\", \"Mobility\": 0.1148549691, \"State\": \"WI\", \"Population\": 549651, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.092, \"Seg_income\": 0.045, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.048, \"Commute\": 0.445, \"Income\": 38576, \"Gini\": 0.305, \"Share01\": 11.035, \"Gini_99\": 0.195, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2262.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.88, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 4.955, \"HS_dropout\": -0.026, \"Colleges\": 0.011, \"Tuition\": 6688.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.702, \"Manufacturing\": 0.278, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.025, \"Social_capital\": 1.228, \"Religious\": 0.697, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.085, \"Married\": 0.599, \"Longitude\": -88.8022613525391, \"Latitude\": 44.002685546875}, {\"ID\": 22601, \"Name\": \"Green Bay\", \"Mobility\": 0.0910990387, \"State\": \"WI\", \"Population\": 310560, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.153, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.073, \"Commute\": 0.427, \"Income\": 38561, \"Gini\": 0.364, \"Share01\": 14.097, \"Gini_99\": 0.223, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2719.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.849, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 3.521, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 7798.0, \"Graduation\": 0.041, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.222, \"Chinese_imports\": 0.429, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.031, \"Social_capital\": 1.209, \"Religious\": 0.72, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.09, \"Married\": 0.579, \"Longitude\": -87.7272033691406, \"Latitude\": 44.8735694885254}, {\"ID\": 22602, \"Name\": \"Shawano\", \"Mobility\": 0.0839002281, \"State\": \"WI\", \"Population\": 65966, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.382, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.447, \"Income\": 33696, \"Gini\": 0.348, \"Share01\": 9.495, \"Gini_99\": 0.253, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.075, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.282, \"HS_dropout\": -0.019, \"Colleges\": 0.03, \"Tuition\": 2640.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.211, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": 0.65, \"Religious\": 0.718, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.088, \"Married\": 0.598, \"Longitude\": -88.799934387207, \"Latitude\": 45.0303230285645}, {\"ID\": 22700, \"Name\": \"Wausau\", \"Mobility\": 0.1244852692, \"State\": \"WI\", \"Population\": 370092, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.098, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.46, \"Income\": 36499, \"Gini\": 0.328, \"Share01\": 10.158, \"Gini_99\": 0.226, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2411.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.103, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.856, \"HS_dropout\": -0.028, \"Colleges\": 0.008, \"Tuition\": 2251.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": 1.048, \"Religious\": 0.689, \"Violent_crime\": 0.0, \"Single_mothers\": 0.145, \"Divorced\": 0.081, \"Married\": 0.6, \"Longitude\": -90.0060272216797, \"Latitude\": 44.5141868591309}, {\"ID\": 22800, \"Name\": \"Eau Claire\", \"Mobility\": 0.1130195782, \"State\": \"WI\", \"Population\": 305307, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.086, \"Seg_income\": 0.033, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.463, \"Income\": 33090, \"Gini\": 0.338, \"Share01\": 9.385, \"Gini_99\": 0.244, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2424.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.462, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 5.725, \"HS_dropout\": -0.022, \"Colleges\": 0.016, \"Tuition\": 3390.0, \"Graduation\": 0.146, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.121, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": 1.244, \"Religious\": 0.597, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.084, \"Married\": 0.551, \"Longitude\": -91.5252075195312, \"Latitude\": 44.4200897216797}, {\"ID\": 22900, \"Name\": \"La Crosse\", \"Mobility\": 0.1181933284, \"State\": \"WI\", \"Population\": 220109, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.079, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.048, \"Commute\": 0.45, \"Income\": 34419, \"Gini\": 0.368, \"Share01\": 11.846, \"Gini_99\": 0.25, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.258, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.665, \"HS_dropout\": -0.026, \"Colleges\": 0.014, \"Tuition\": 3786.0, \"Graduation\": 0.192, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.177, \"Chinese_imports\": 2.7, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 1.105, \"Religious\": 0.641, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.087, \"Married\": 0.556, \"Longitude\": -90.6592102050781, \"Latitude\": 43.8980979919434}, {\"ID\": 23000, \"Name\": \"Monroe\", \"Mobility\": 0.1671388149, \"State\": \"WI\", \"Population\": 116624, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.063, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.461, \"Income\": 33582, \"Gini\": 0.325, \"Share01\": 9.444, \"Gini_99\": 0.231, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2528.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.237, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.85, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 2517.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.2, \"Chinese_imports\": 2.739, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.799, \"Religious\": 0.676, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.078, \"Married\": 0.587, \"Longitude\": -90.5752639770508, \"Latitude\": 42.8756561279297}, {\"ID\": 23100, \"Name\": \"Madison\", \"Mobility\": 0.0921911746, \"State\": \"WI\", \"Population\": 590755, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.14, \"Seg_income\": 0.09, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.083, \"Commute\": 0.365, \"Income\": 40576, \"Gini\": 0.381, \"Share01\": 13.799, \"Gini_99\": 0.243, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.953, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.277, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 3128.0, \"Graduation\": 0.022, \"Labor_force_participation\": 0.733, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.699, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.026, \"Foreign_born\": 0.049, \"Social_capital\": 1.86, \"Religious\": 0.546, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.536, \"Longitude\": -89.6100234985352, \"Latitude\": 43.4425773620605}, {\"ID\": 23200, \"Name\": \"Dubuque\", \"Mobility\": 0.1594827622, \"State\": \"IA\", \"Population\": 163189, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.091, \"Seg_income\": 0.035, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.035, \"Commute\": 0.524, \"Income\": 36443, \"Gini\": 0.338, \"Share01\": 11.587, \"Gini_99\": 0.222, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1773.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.516, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 3.928, \"HS_dropout\": -0.013, \"Colleges\": 0.031, \"Tuition\": 13580.0, \"Graduation\": 0.136, \"Labor_force_participation\": 0.687, \"Manufacturing\": 0.192, \"Chinese_imports\": 4.49, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 1.147, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.079, \"Married\": 0.599, \"Longitude\": -90.9662704467773, \"Latitude\": 42.7233352661133}, {\"ID\": 23301, \"Name\": \"Charleston\", \"Mobility\": 0.0958677679, \"State\": \"IL\", \"Population\": 101161, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.071, \"Seg_income\": 0.034, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.025, \"Commute\": 0.481, \"Income\": 31206, \"Gini\": 0.352, \"Share01\": 6.921, \"Gini_99\": 0.283, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1503.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.034, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 9.104, \"HS_dropout\": 0.016, \"Colleges\": 0.02, \"Tuition\": 2968.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.223, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 0.609, \"Religious\": 0.456, \"Violent_crime\": null, \"Single_mothers\": 0.187, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -87.8572311401367, \"Latitude\": 39.4560966491699}, {\"ID\": 23302, \"Name\": \"Douglas\", \"Mobility\": 0.1015452519, \"State\": \"IL\", \"Population\": 101195, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.223, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.018, \"Commute\": 0.485, \"Income\": 31741, \"Gini\": 0.367, \"Share01\": 12.107, \"Gini_99\": 0.246, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1491.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.165, \"Student_teacher_ratio\": 18.5, \"Test_scores\": 7.493, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 5275.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.008, \"Social_capital\": 1.223, \"Religious\": 0.621, \"Violent_crime\": null, \"Single_mothers\": 0.163, \"Divorced\": 0.098, \"Married\": 0.604, \"Longitude\": -88.233268737793, \"Latitude\": 38.9690818786621}, {\"ID\": 23400, \"Name\": \"Bloomington\", \"Mobility\": 0.0845864639, \"State\": \"IL\", \"Population\": 206909, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.098, \"Seg_income\": 0.071, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.082, \"Commute\": 0.496, \"Income\": 37177, \"Gini\": 0.339, \"Share01\": 9.715, \"Gini_99\": 0.241, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1666.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.954, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.534, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 5640.0, \"Graduation\": 0.175, \"Labor_force_participation\": 0.7, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.485, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.028, \"Social_capital\": 0.565, \"Religious\": 0.479, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.092, \"Married\": 0.552, \"Longitude\": -88.8387069702148, \"Latitude\": 40.5317306518555}, {\"ID\": 23500, \"Name\": \"Decatur\", \"Mobility\": 0.0677927956, \"State\": \"IL\", \"Population\": 382083, \"Urban\": 1, \"Black\": 0.095, \"Seg_racial\": 0.23, \"Seg_income\": 0.099, \"Seg_poverty\": 0.116, \"Seg_affluence\": 0.082, \"Commute\": 0.451, \"Income\": 34871, \"Gini\": 0.402, \"Share01\": 11.171, \"Gini_99\": 0.29, \"Middle_class\": 0.562, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1607.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.526, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 2.445, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 4872.0, \"Graduation\": 0.309, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.145, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.511, \"Religious\": 0.477, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.093, \"Married\": 0.525, \"Longitude\": -88.5191116333008, \"Latitude\": 39.9406585693359}, {\"ID\": 23600, \"Name\": \"Burlington\", \"Mobility\": 0.1022797301, \"State\": \"IA\", \"Population\": 136489, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.092, \"Seg_income\": 0.026, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.024, \"Commute\": 0.502, \"Income\": 35038, \"Gini\": 0.318, \"Share01\": 8.255, \"Gini_99\": 0.235, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1881.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.634, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 1.478, \"HS_dropout\": -0.008, \"Colleges\": 0.015, \"Tuition\": 3922.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.23, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 1.368, \"Religious\": 0.503, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.108, \"Married\": 0.584, \"Longitude\": -91.4277954101562, \"Latitude\": 40.6801147460938}, {\"ID\": 23700, \"Name\": \"Galesburg\", \"Mobility\": 0.0885935798, \"State\": \"IL\", \"Population\": 145734, \"Urban\": 0, \"Black\": 0.043, \"Seg_racial\": 0.176, \"Seg_income\": 0.038, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.027, \"Commute\": 0.509, \"Income\": 30827, \"Gini\": 0.402, \"Share01\": 15.531, \"Gini_99\": 0.247, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.541, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.43, \"HS_dropout\": 0.031, \"Colleges\": 0.034, \"Tuition\": 6384.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.16, \"Chinese_imports\": 1.161, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 0.751, \"Religious\": 0.399, \"Violent_crime\": null, \"Single_mothers\": 0.211, \"Divorced\": 0.108, \"Married\": 0.556, \"Longitude\": -90.2203521728516, \"Latitude\": 40.5695343017578}, {\"ID\": 23801, \"Name\": \"Davenport\", \"Mobility\": 0.0809443519, \"State\": \"IL\", \"Population\": 382351, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.164, \"Seg_income\": 0.058, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.061, \"Commute\": 0.393, \"Income\": 37759, \"Gini\": 0.37, \"Share01\": 9.948, \"Gini_99\": 0.271, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1921.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.271, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.599, \"HS_dropout\": -0.001, \"Colleges\": 0.024, \"Tuition\": 7381.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.179, \"Chinese_imports\": 1.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.033, \"Social_capital\": 0.735, \"Religious\": 0.508, \"Violent_crime\": 0.005, \"Single_mothers\": 0.226, \"Divorced\": 0.108, \"Married\": 0.562, \"Longitude\": -90.5065460205078, \"Latitude\": 41.4243698120117}, {\"ID\": 23802, \"Name\": \"Clinton\", \"Mobility\": 0.1138790026, \"State\": \"IA\", \"Population\": 70445, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.075, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.03, \"Commute\": 0.479, \"Income\": 34146, \"Gini\": 0.306, \"Share01\": 7.263, \"Gini_99\": 0.234, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2139.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.098, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 5.201, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 13200.0, \"Graduation\": -0.098, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 1.108, \"Religious\": 0.593, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.096, \"Married\": 0.586, \"Longitude\": -90.4713363647461, \"Latitude\": 42.0050468444824}, {\"ID\": 23900, \"Name\": \"Peoria\", \"Mobility\": 0.0717817843, \"State\": \"IL\", \"Population\": 529703, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.27, \"Seg_income\": 0.057, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.055, \"Commute\": 0.394, \"Income\": 38842, \"Gini\": 0.368, \"Share01\": 10.056, \"Gini_99\": 0.268, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1715.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.831, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.328, \"HS_dropout\": 0.011, \"Colleges\": 0.009, \"Tuition\": 8252.0, \"Graduation\": 0.032, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.022, \"Social_capital\": 0.946, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.584, \"Longitude\": -89.7173233032227, \"Latitude\": 40.542537689209}, {\"ID\": 24000, \"Name\": \"Kenosha\", \"Mobility\": 0.0691956431, \"State\": \"WI\", \"Population\": 584474, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.177, \"Seg_income\": 0.051, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.052, \"Commute\": 0.384, \"Income\": 39333, \"Gini\": 0.351, \"Share01\": 11.463, \"Gini_99\": 0.237, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2515.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.816, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -4.058, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 5669.0, \"Graduation\": 0.042, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.276, \"Chinese_imports\": 1.462, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.043, \"Social_capital\": 0.653, \"Religious\": 0.53, \"Violent_crime\": 0.0, \"Single_mothers\": 0.212, \"Divorced\": 0.1, \"Married\": 0.566, \"Longitude\": -88.4470291137695, \"Latitude\": 42.671745300293}, {\"ID\": 24100, \"Name\": \"Milwaukee\", \"Mobility\": 0.0445706695, \"State\": \"WI\", \"Population\": 1660659, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.436, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.118, \"Commute\": 0.312, \"Income\": 42464, \"Gini\": 0.428, \"Share01\": 14.82, \"Gini_99\": 0.28, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2977.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.74, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -4.162, \"HS_dropout\": 0.001, \"Colleges\": 0.009, \"Tuition\": 9352.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.171, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.051, \"Social_capital\": 1.121, \"Religious\": 0.561, \"Violent_crime\": 0.0, \"Single_mothers\": 0.245, \"Divorced\": 0.092, \"Married\": 0.532, \"Longitude\": -88.3217849731445, \"Latitude\": 43.2040901184082}, {\"ID\": 24200, \"Name\": \"Bourbonnais\", \"Mobility\": 0.0730964467, \"State\": \"IL\", \"Population\": 135167, \"Urban\": 1, \"Black\": 0.12, \"Seg_racial\": 0.337, \"Seg_income\": 0.045, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.045, \"Commute\": 0.41, \"Income\": 35849, \"Gini\": 0.355, \"Share01\": 8.544, \"Gini_99\": 0.27, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.785, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 3.27, \"HS_dropout\": 0.002, \"Colleges\": 0.015, \"Tuition\": 9454.0, \"Graduation\": 0.062, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.166, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.017, \"Foreign_born\": 0.032, \"Social_capital\": 0.25, \"Religious\": 0.497, \"Violent_crime\": null, \"Single_mothers\": 0.221, \"Divorced\": 0.093, \"Married\": 0.563, \"Longitude\": -87.9118118286133, \"Latitude\": 40.9501686096191}, {\"ID\": 24300, \"Name\": \"Chicago\", \"Mobility\": 0.0649292618, \"State\": \"IL\", \"Population\": 8183799, \"Urban\": 1, \"Black\": 0.188, \"Seg_racial\": 0.431, \"Seg_income\": 0.115, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.12, \"Commute\": 0.201, \"Income\": 45757, \"Gini\": 0.521, \"Share01\": 19.375, \"Gini_99\": 0.328, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 6.148, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -7.514, \"HS_dropout\": 0.035, \"Colleges\": 0.01, \"Tuition\": 9793.0, \"Graduation\": -0.143, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.184, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.018, \"Foreign_born\": 0.174, \"Social_capital\": -0.533, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.083, \"Married\": 0.521, \"Longitude\": -88.1881637573242, \"Latitude\": 41.7979202270508}, {\"ID\": 24400, \"Name\": \"Rockford\", \"Mobility\": 0.0735386536, \"State\": \"IL\", \"Population\": 622573, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.205, \"Seg_income\": 0.076, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.076, \"Commute\": 0.4, \"Income\": 37848, \"Gini\": 0.343, \"Share01\": 8.898, \"Gini_99\": 0.254, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.363, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -1.328, \"HS_dropout\": 0.008, \"Colleges\": 0.016, \"Tuition\": 6199.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.954, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": 0.663, \"Religious\": 0.529, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.1, \"Married\": 0.571, \"Longitude\": -89.5600738525391, \"Latitude\": 41.9806289672852}, {\"ID\": 24500, \"Name\": \"Rolla\", \"Mobility\": 0.0797373354, \"State\": \"MO\", \"Population\": 111509, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.155, \"Seg_income\": 0.036, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.035, \"Commute\": 0.463, \"Income\": 26402, \"Gini\": 0.365, \"Share01\": 8.074, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 2.588, \"HS_dropout\": -0.008, \"Colleges\": 0.018, \"Tuition\": 4410.0, \"Graduation\": 0.289, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.129, \"Chinese_imports\": 4.171, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.632, \"Religious\": 0.481, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.089, \"Married\": 0.597, \"Longitude\": -91.3987579345703, \"Latitude\": 37.5368385314941}, {\"ID\": 24600, \"Name\": \"Farmington\", \"Mobility\": 0.0852446482, \"State\": \"MO\", \"Population\": 137456, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.104, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.022, \"Commute\": 0.368, \"Income\": 27773, \"Gini\": 0.384, \"Share01\": 10.866, \"Gini_99\": 0.276, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1358.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.863, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 0.327, \"HS_dropout\": -0.004, \"Colleges\": 0.007, \"Tuition\": 1800.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.204, \"Chinese_imports\": 5.628, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.008, \"Social_capital\": -0.126, \"Religious\": 0.56, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -90.2458267211914, \"Latitude\": 37.7623176574707}, {\"ID\": 24701, \"Name\": \"St. Louis\", \"Mobility\": 0.0505231395, \"State\": \"MO\", \"Population\": 2325609, \"Urban\": 1, \"Black\": 0.195, \"Seg_racial\": 0.41, \"Seg_income\": 0.113, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.117, \"Commute\": 0.241, \"Income\": 42680, \"Gini\": 0.471, \"Share01\": 15.666, \"Gini_99\": 0.314, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1896.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.356, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -5.332, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 9685.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.8, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.033, \"Social_capital\": 0.432, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.103, \"Married\": 0.53, \"Longitude\": -90.7478713989258, \"Latitude\": 38.4731979370117}, {\"ID\": 24702, \"Name\": \"Mexico\", \"Mobility\": 0.0756756738, \"State\": \"MO\", \"Population\": 37989, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.103, \"Seg_income\": 0.011, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.012, \"Commute\": 0.463, \"Income\": 30615, \"Gini\": 0.349, \"Share01\": 8.936, \"Gini_99\": 0.26, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1301.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.536, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.478, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.228, \"Chinese_imports\": 7.134, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.008, \"Social_capital\": 0.882, \"Religious\": 0.66, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.109, \"Married\": 0.57, \"Longitude\": -91.6614379882812, \"Latitude\": 39.0269927978516}, {\"ID\": 24801, \"Name\": \"Jacksonville\", \"Mobility\": 0.0911504403, \"State\": \"IL\", \"Population\": 84748, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.219, \"Seg_income\": 0.029, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.034, \"Commute\": 0.472, \"Income\": 30777, \"Gini\": 0.34, \"Share01\": 8.008, \"Gini_99\": 0.26, \"Middle_class\": 0.634, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1361.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.401, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 2.465, \"HS_dropout\": 0.007, \"Colleges\": 0.024, \"Tuition\": 11828.0, \"Graduation\": 0.248, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.233, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.02, \"Social_capital\": 1.224, \"Religious\": 0.582, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.105, \"Married\": 0.598, \"Longitude\": -90.4029922485352, \"Latitude\": 39.7390823364258}, {\"ID\": 24802, \"Name\": \"Springfield\", \"Mobility\": 0.0673715994, \"State\": \"IL\", \"Population\": 267992, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.23, \"Seg_income\": 0.087, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.097, \"Commute\": 0.367, \"Income\": 40182, \"Gini\": 0.429, \"Share01\": 17.164, \"Gini_99\": 0.257, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2261.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.01, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 0.902, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5550.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.191, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 1.834, \"Religious\": 0.566, \"Violent_crime\": 0.002, \"Single_mothers\": 0.228, \"Divorced\": 0.118, \"Married\": 0.556, \"Longitude\": -89.5787887573242, \"Latitude\": 39.9170379638672}, {\"ID\": 24900, \"Name\": \"Edwardsville\", \"Mobility\": 0.0872936994, \"State\": \"IL\", \"Population\": 382997, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.21, \"Seg_income\": 0.045, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.054, \"Commute\": 0.336, \"Income\": 36421, \"Gini\": 0.367, \"Share01\": 11.462, \"Gini_99\": 0.253, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.466, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 2.163, \"HS_dropout\": 0.009, \"Colleges\": 0.013, \"Tuition\": 4505.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.483, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": 0.59, \"Religious\": 0.507, \"Violent_crime\": null, \"Single_mothers\": 0.204, \"Divorced\": 0.104, \"Married\": 0.573, \"Longitude\": -90.1977081298828, \"Latitude\": 39.0804786682129}, {\"ID\": 25000, \"Name\": \"Quincy\", \"Mobility\": 0.0896204859, \"State\": \"IL\", \"Population\": 152421, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.1, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.496, \"Income\": 31869, \"Gini\": 0.364, \"Share01\": 8.906, \"Gini_99\": 0.275, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1588.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 2.451, \"HS_dropout\": -0.001, \"Colleges\": 0.039, \"Tuition\": 8819.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 1.277, \"Religious\": 0.579, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.102, \"Married\": 0.585, \"Longitude\": -91.1898193359375, \"Latitude\": 39.625057220459}, {\"ID\": 25101, \"Name\": \"Mountain Home\", \"Mobility\": 0.0895061716, \"State\": \"AR\", \"Population\": 64068, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.007, \"Seg_income\": 0.005, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.002, \"Commute\": 0.393, \"Income\": 32623, \"Gini\": 0.464, \"Share01\": 12.33, \"Gini_99\": 0.34, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 992.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.895, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.828, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 1200.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.417, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.44, \"Religious\": 0.433, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.104, \"Married\": 0.653, \"Longitude\": -92.4921569824219, \"Latitude\": 36.2963218688965}, {\"ID\": 25102, \"Name\": \"West Plains\", \"Mobility\": 0.0815548748, \"State\": \"MO\", \"Population\": 90551, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 26979, \"Gini\": 0.412, \"Share01\": 9.392, \"Gini_99\": 0.318, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.008, \"Local_gov_spending\": 1252.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.706, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 2.757, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 2190.0, \"Graduation\": -0.006, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.204, \"Chinese_imports\": 9.312, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 0.122, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.101, \"Married\": 0.633, \"Longitude\": -91.5573043823242, \"Latitude\": 37.0019378662109}, {\"ID\": 25103, \"Name\": \"Harrison\", \"Mobility\": 0.0997150987, \"State\": \"AR\", \"Population\": 76174, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.12, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.419, \"Income\": 29629, \"Gini\": 0.418, \"Share01\": 9.6, \"Gini_99\": 0.322, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1558.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.871, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.503, \"HS_dropout\": 0.002, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.714, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.03, \"Social_capital\": 0.176, \"Religious\": 0.455, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.114, \"Married\": 0.625, \"Longitude\": -93.2631530761719, \"Latitude\": 36.113468170166}, {\"ID\": 25104, \"Name\": \"Heber Springs\", \"Mobility\": 0.1096006781, \"State\": \"AR\", \"Population\": 51737, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.014, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.364, \"Income\": 32635, \"Gini\": 0.404, \"Share01\": 8.657, \"Gini_99\": 0.318, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 952.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.875, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.815, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.51, \"Manufacturing\": 0.203, \"Chinese_imports\": 3.186, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.446, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.104, \"Married\": 0.657, \"Longitude\": -92.1270904541016, \"Latitude\": 35.7785453796387}, {\"ID\": 25105, \"Name\": \"Batesville\", \"Mobility\": 0.0960288793, \"State\": \"AR\", \"Population\": 64601, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.054, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.029, \"Commute\": 0.375, \"Income\": 29503, \"Gini\": 0.371, \"Share01\": 6.777, \"Gini_99\": 0.304, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1433.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.942, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.831, \"HS_dropout\": 0.001, \"Colleges\": 0.046, \"Tuition\": 4117.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.239, \"Chinese_imports\": 0.574, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.094, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.11, \"Married\": 0.63, \"Longitude\": -91.6276931762695, \"Latitude\": 35.9889717102051}, {\"ID\": 25200, \"Name\": \"Henderson\", \"Mobility\": 0.099227801, \"State\": \"KY\", \"Population\": 151629, \"Urban\": 1, \"Black\": 0.065, \"Seg_racial\": 0.104, \"Seg_income\": 0.033, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.034, \"Commute\": 0.401, \"Income\": 31361, \"Gini\": 0.381, \"Share01\": 7.515, \"Gini_99\": 0.306, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.944, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -2.106, \"HS_dropout\": 0.001, \"Colleges\": 0.013, \"Tuition\": 1150.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.719, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.009, \"Social_capital\": 0.128, \"Religious\": 0.651, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -87.7652893066406, \"Latitude\": 37.485294342041}, {\"ID\": 25300, \"Name\": \"Union City\", \"Mobility\": 0.073929958, \"State\": \"TN\", \"Population\": 117387, \"Urban\": 0, \"Black\": 0.081, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.014, \"Commute\": 0.403, \"Income\": 30330, \"Gini\": 0.391, \"Share01\": 7.44, \"Gini_99\": 0.316, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.136, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 3.748, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 2492.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.28, \"Chinese_imports\": 4.407, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.017, \"Social_capital\": -0.11, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -89.1215896606445, \"Latitude\": 36.506534576416}, {\"ID\": 25401, \"Name\": \"Paducah\", \"Mobility\": 0.0744777471, \"State\": \"KY\", \"Population\": 138654, \"Urban\": 0, \"Black\": 0.061, \"Seg_racial\": 0.22, \"Seg_income\": 0.053, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.054, \"Commute\": 0.378, \"Income\": 34572, \"Gini\": 0.487, \"Share01\": 16.296, \"Gini_99\": 0.324, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1698.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.039, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.106, \"HS_dropout\": -0.006, \"Colleges\": 0.022, \"Tuition\": 968.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.145, \"Chinese_imports\": 1.741, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.592, \"Religious\": 0.677, \"Violent_crime\": 0.001, \"Single_mothers\": 0.21, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -88.6710662841797, \"Latitude\": 37.0740814208984}, {\"ID\": 25402, \"Name\": \"Murray\", \"Mobility\": 0.0704545453, \"State\": \"KY\", \"Population\": 34177, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.077, \"Seg_income\": 0.041, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.042, \"Commute\": 0.521, \"Income\": 28383, \"Gini\": 0.494, \"Share01\": 14.14, \"Gini_99\": 0.353, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2208.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.148, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.752, \"HS_dropout\": -0.022, \"Colleges\": 0.029, \"Tuition\": 2172.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.177, \"Chinese_imports\": 25.405, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.027, \"Social_capital\": -0.6, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.196, \"Divorced\": 0.084, \"Married\": 0.554, \"Longitude\": -88.1674652099609, \"Latitude\": 36.6015777587891}, {\"ID\": 25500, \"Name\": \"Centralia\", \"Mobility\": 0.0813443735, \"State\": \"IL\", \"Population\": 141040, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.172, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.407, \"Income\": 33265, \"Gini\": 0.351, \"Share01\": 9.007, \"Gini_99\": 0.261, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1687.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.316, \"Student_teacher_ratio\": 20.2, \"Test_scores\": 4.951, \"HS_dropout\": 0.009, \"Colleges\": 0.014, \"Tuition\": 5554.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.754, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.009, \"Social_capital\": 0.998, \"Religious\": 0.649, \"Violent_crime\": null, \"Single_mothers\": 0.182, \"Divorced\": 0.097, \"Married\": 0.606, \"Longitude\": -89.072021484375, \"Latitude\": 38.3731422424316}, {\"ID\": 25601, \"Name\": \"Carbondale\", \"Mobility\": 0.0790478364, \"State\": \"IL\", \"Population\": 265022, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.218, \"Seg_income\": 0.05, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.038, \"Commute\": 0.418, \"Income\": 28913, \"Gini\": 0.397, \"Share01\": 9.027, \"Gini_99\": 0.307, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1606.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.463, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 3.485, \"HS_dropout\": -0.004, \"Colleges\": 0.011, \"Tuition\": 2760.0, \"Graduation\": 0.017, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.629, \"Religious\": 0.524, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.559, \"Longitude\": -89.4100799560547, \"Latitude\": 37.5473556518555}, {\"ID\": 25602, \"Name\": \"Harrisburg\", \"Mobility\": 0.1121372059, \"State\": \"IL\", \"Population\": 37978, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.104, \"Seg_income\": 0.02, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.429, \"Income\": 29680, \"Gini\": 0.399, \"Share01\": 9.9, \"Gini_99\": 0.3, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1782.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.601, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.534, \"HS_dropout\": 0.009, \"Colleges\": 0.026, \"Tuition\": 6048.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.533, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.316, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.206, \"Religious\": 0.525, \"Violent_crime\": null, \"Single_mothers\": 0.199, \"Divorced\": 0.111, \"Married\": 0.582, \"Longitude\": -88.2475967407227, \"Latitude\": 37.704460144043}, {\"ID\": 25701, \"Name\": \"Cape Girardeau\", \"Mobility\": 0.0600515455, \"State\": \"MO\", \"Population\": 184036, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.203, \"Seg_income\": 0.042, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.038, \"Commute\": 0.436, \"Income\": 30141, \"Gini\": 0.453, \"Share01\": 11.114, \"Gini_99\": 0.342, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1658.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.671, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.501, \"HS_dropout\": 0.017, \"Colleges\": 0.016, \"Tuition\": 3329.0, \"Graduation\": 0.16, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.179, \"Chinese_imports\": 3.373, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 0.344, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.225, \"Divorced\": 0.101, \"Married\": 0.576, \"Longitude\": -89.6321792602539, \"Latitude\": 36.898811340332}, {\"ID\": 25702, \"Name\": \"Poplar Bluff\", \"Mobility\": 0.0668257773, \"State\": \"MO\", \"Population\": 73576, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.112, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.031, \"Commute\": 0.401, \"Income\": 28334, \"Gini\": 0.456, \"Share01\": 9.572, \"Gini_99\": 0.36, \"Middle_class\": 0.481, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1175.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.817, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -4.995, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 2484.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.204, \"Chinese_imports\": 1.071, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.009, \"Foreign_born\": 0.011, \"Social_capital\": -0.443, \"Religious\": 0.338, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.594, \"Longitude\": -90.4970626831055, \"Latitude\": 36.8894805908203}, {\"ID\": 25800, \"Name\": \"Blytheville\", \"Mobility\": 0.0514018685, \"State\": \"AR\", \"Population\": 105181, \"Urban\": 0, \"Black\": 0.238, \"Seg_racial\": 0.228, \"Seg_income\": 0.033, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.035, \"Commute\": 0.475, \"Income\": 26795, \"Gini\": 0.448, \"Share01\": 7.453, \"Gini_99\": 0.374, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1499.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.637, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.888, \"HS_dropout\": 0.029, \"Colleges\": 0.01, \"Tuition\": 1152.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.287, \"Chinese_imports\": 3.356, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": -1.007, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.306, \"Divorced\": 0.111, \"Married\": 0.539, \"Longitude\": -89.9065399169922, \"Latitude\": 36.0380096435547}, {\"ID\": 25900, \"Name\": \"Jonesboro\", \"Mobility\": 0.0810322613, \"State\": \"AR\", \"Population\": 198671, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.146, \"Seg_income\": 0.038, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.043, \"Commute\": 0.442, \"Income\": 29115, \"Gini\": 0.429, \"Share01\": 9.279, \"Gini_99\": 0.336, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1341.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.329, \"HS_dropout\": 0.003, \"Colleges\": 0.025, \"Tuition\": 2432.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.247, \"Chinese_imports\": 5.676, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.394, \"Religious\": 0.627, \"Violent_crime\": 0.001, \"Single_mothers\": 0.198, \"Divorced\": 0.111, \"Married\": 0.591, \"Longitude\": -90.7039337158203, \"Latitude\": 36.1401557922363}, {\"ID\": 26001, \"Name\": \"Roseau\", \"Mobility\": 0.1875, \"State\": \"MN\", \"Population\": 20860, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.104, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.533, \"Income\": 33398, \"Gini\": 0.411, \"Share01\": 21.65, \"Gini_99\": 0.194, \"Middle_class\": 0.715, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 5152.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.615, \"Student_teacher_ratio\": 17.0, \"Test_scores\": 10.027, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.4, \"Chinese_imports\": 0.645, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.028, \"Social_capital\": 1.191, \"Religious\": 0.671, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.626, \"Longitude\": -95.3607406616211, \"Latitude\": 48.7619743347168}, {\"ID\": 26002, \"Name\": \"Duluth\", \"Mobility\": 0.0891148299, \"State\": \"MN\", \"Population\": 286544, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.098, \"Seg_income\": 0.061, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.056, \"Commute\": 0.437, \"Income\": 34404, \"Gini\": 0.322, \"Share01\": 7.461, \"Gini_99\": 0.247, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3445.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.838, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.505, \"HS_dropout\": 0.004, \"Colleges\": 0.031, \"Tuition\": 4584.0, \"Graduation\": 0.053, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.408, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.018, \"Social_capital\": 2.081, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.545, \"Longitude\": -92.2538833618164, \"Latitude\": 47.5231513977051}, {\"ID\": 26003, \"Name\": \"West Cook UT\", \"Mobility\": 0.1016949117, \"State\": \"MN\", \"Population\": 5168, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.037, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.588, \"Income\": 39706, \"Gini\": 0.336, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4652.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.391, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.05, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.007, \"Foreign_born\": 0.023, \"Social_capital\": 3.963, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.103, \"Married\": 0.599, \"Longitude\": -90.2893295288086, \"Latitude\": 48.0081367492676}, {\"ID\": 26004, \"Name\": \"International Falls\", \"Mobility\": 0.174129352, \"State\": \"MN\", \"Population\": 14355, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.006, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.618, \"Income\": 37115, \"Gini\": 0.352, \"Share01\": 12.528, \"Gini_99\": 0.227, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3124.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.259, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -0.029, \"HS_dropout\": 0.009, \"Colleges\": 0.139, \"Tuition\": 6322.0, \"Graduation\": -0.194, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.708, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.058, \"Social_capital\": 1.09, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.103, \"Married\": 0.584, \"Longitude\": -93.7525177001953, \"Latitude\": 48.3436889648438}, {\"ID\": 26101, \"Name\": \"Moberly\", \"Mobility\": 0.1013727561, \"State\": \"MO\", \"Population\": 56535, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.087, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.468, \"Income\": 29088, \"Gini\": 0.369, \"Share01\": 12.936, \"Gini_99\": 0.24, \"Middle_class\": 0.642, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.158, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -2.659, \"HS_dropout\": 0.006, \"Colleges\": 0.035, \"Tuition\": 2114.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.468, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.008, \"Social_capital\": 0.694, \"Religious\": 0.64, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.11, \"Married\": 0.583, \"Longitude\": -92.274787902832, \"Latitude\": 39.6471519470215}, {\"ID\": 26102, \"Name\": \"Marshall\", \"Mobility\": 0.0948379338, \"State\": \"MO\", \"Population\": 48599, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.032, \"Commute\": 0.559, \"Income\": 31245, \"Gini\": 0.352, \"Share01\": 8.005, \"Gini_99\": 0.272, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.395, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -2.981, \"HS_dropout\": 0.002, \"Colleges\": 0.021, \"Tuition\": 11500.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.541, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 0.857, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.101, \"Married\": 0.58, \"Longitude\": -93.2859725952148, \"Latitude\": 39.3893966674805}, {\"ID\": 26103, \"Name\": \"Brookfield\", \"Mobility\": 0.1119221374, \"State\": \"MO\", \"Population\": 22192, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.076, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.475, \"Income\": 31879, \"Gini\": 0.309, \"Share01\": 6.202, \"Gini_99\": 0.247, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1326.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -0.06, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.006, \"Social_capital\": 1.201, \"Religious\": 0.687, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -93.1195678710938, \"Latitude\": 39.5413818359375}, {\"ID\": 26104, \"Name\": \"Trenton\", \"Mobility\": 0.1083333343, \"State\": \"MO\", \"Population\": 14189, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.03, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.497, \"Income\": 30864, \"Gini\": 0.342, \"Share01\": 7.244, \"Gini_99\": 0.27, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1939.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 1.442, \"HS_dropout\": 0.018, \"Colleges\": 0.07, \"Tuition\": 1860.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.179, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.201, \"Religious\": 0.749, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.099, \"Married\": 0.602, \"Longitude\": -93.5600128173828, \"Latitude\": 40.2886543273926}, {\"ID\": 26105, \"Name\": \"Polk\", \"Mobility\": 0.0871369317, \"State\": \"MO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.171, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.405, \"Income\": 28324, \"Gini\": 0.312, \"Share01\": 6.607, \"Gini_99\": 0.246, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.69, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -3.398, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.25, \"Chinese_imports\": 0.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.036, \"Social_capital\": 0.206, \"Religious\": 0.47, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.102, \"Married\": 0.61, \"Longitude\": -92.8665390014648, \"Latitude\": 40.3893051147461}, {\"ID\": 26106, \"Name\": \"Centerville\", \"Mobility\": 0.1467181444, \"State\": \"IA\", \"Population\": 29873, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.031, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.004, \"Commute\": 0.517, \"Income\": 30736, \"Gini\": 0.333, \"Share01\": 8.216, \"Gini_99\": 0.251, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1997.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.671, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 4.502, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.185, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.926, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.095, \"Married\": 0.608, \"Longitude\": -93.1888275146484, \"Latitude\": 40.8051719665527}, {\"ID\": 26107, \"Name\": \"Kirksville\", \"Mobility\": 0.1134380475, \"State\": \"MO\", \"Population\": 38491, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.031, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.025, \"Commute\": 0.575, \"Income\": 26767, \"Gini\": 0.433, \"Share01\": 11.805, \"Gini_99\": 0.315, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1337.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.052, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.694, \"HS_dropout\": 0.002, \"Colleges\": 0.026, \"Tuition\": 3680.0, \"Graduation\": 0.346, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.117, \"Chinese_imports\": 3.354, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": 0.836, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.078, \"Married\": 0.506, \"Longitude\": -92.505500793457, \"Latitude\": 40.3530540466309}, {\"ID\": 26201, \"Name\": \"Bismarck\", \"Mobility\": 0.186741367, \"State\": \"ND\", \"Population\": 114739, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.038, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.047, \"Commute\": 0.541, \"Income\": 35396, \"Gini\": 0.333, \"Share01\": 12.604, \"Gini_99\": 0.207, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2035.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.835, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 5.047, \"HS_dropout\": -0.017, \"Colleges\": 0.026, \"Tuition\": 3665.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.06, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 2.551, \"Religious\": 0.814, \"Violent_crime\": 0.0, \"Single_mothers\": 0.167, \"Divorced\": 0.081, \"Married\": 0.596, \"Longitude\": -101.24137878418, \"Latitude\": 46.9527359008789}, {\"ID\": 26202, \"Name\": \"East Grant UT\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2841, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.005, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.006, \"Commute\": 0.552, \"Income\": 30352, \"Gini\": 0.202, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1741.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 11.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.072, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.016, \"Social_capital\": 0.463, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.091, \"Divorced\": 0.048, \"Married\": 0.651, \"Longitude\": -101.601203918457, \"Latitude\": 46.174503326416}, {\"ID\": 26203, \"Name\": \"Linton\", \"Mobility\": 0.2989130318, \"State\": \"ND\", \"Population\": 10029, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.009, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.646, \"Income\": 34910, \"Gini\": 0.261, \"Share01\": 4.489, \"Gini_99\": 0.216, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1456.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.665, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 13.552, \"HS_dropout\": -0.043, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.005, \"Migration_in\": 0.0, \"Migration_out\": 0.012, \"Foreign_born\": 0.006, \"Social_capital\": 2.661, \"Religious\": 1.024, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.04, \"Married\": 0.655, \"Longitude\": -100.160751342773, \"Latitude\": 46.3125801086426}, {\"ID\": 26204, \"Name\": \"Steele\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2753, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.013, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.54, \"Income\": 29680, \"Gini\": 0.277, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1649.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 7.049, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 2.25, \"Religious\": 0.802, \"Violent_crime\": 0.0, \"Single_mothers\": 0.089, \"Divorced\": 0.048, \"Married\": 0.625, \"Longitude\": -99.8482208251953, \"Latitude\": 46.9510536193848}, {\"ID\": 26301, \"Name\": \"Devils Lake\", \"Mobility\": 0.096474953, \"State\": \"ND\", \"Population\": 22745, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.452, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.022, \"Commute\": 0.627, \"Income\": 32687, \"Gini\": 0.336, \"Share01\": 5.591, \"Gini_99\": 0.28, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1716.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.558, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 0.439, \"HS_dropout\": -0.006, \"Colleges\": 0.088, \"Tuition\": 1628.0, \"Graduation\": 0.013, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 2.389, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.21, \"Divorced\": 0.081, \"Married\": 0.547, \"Longitude\": -98.7287750244141, \"Latitude\": 48.0773315429688}, {\"ID\": 26302, \"Name\": \"Carrington\", \"Mobility\": 0.3333333433, \"State\": \"ND\", \"Population\": 6516, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.044, \"Seg_income\": 0.006, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.004, \"Commute\": 0.656, \"Income\": 36561, \"Gini\": 0.321, \"Share01\": 7.593, \"Gini_99\": 0.245, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1576.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.691, \"HS_dropout\": -0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.076, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": 2.557, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.133, \"Divorced\": 0.056, \"Married\": 0.63, \"Longitude\": -98.8668365478516, \"Latitude\": 47.5969772338867}, {\"ID\": 26303, \"Name\": \"Turtle Mountain UT\", \"Mobility\": 0.0825545192, \"State\": \"ND\", \"Population\": 16550, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.46, \"Seg_income\": 0.018, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.006, \"Commute\": 0.574, \"Income\": 25045, \"Gini\": 0.394, \"Share01\": 7.113, \"Gini_99\": 0.323, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1726.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.415, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -16.988, \"HS_dropout\": 0.048, \"Colleges\": 0.06, \"Tuition\": 1344.0, \"Graduation\": -0.175, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.064, \"Chinese_imports\": 3.066, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 0.425, \"Religious\": 1.019, \"Violent_crime\": 0.0, \"Single_mothers\": 0.332, \"Divorced\": 0.097, \"Married\": 0.478, \"Longitude\": -99.5281753540039, \"Latitude\": 48.6522941589355}, {\"ID\": 26304, \"Name\": \"Minot\", \"Mobility\": 0.2241784036, \"State\": \"ND\", \"Population\": 74541, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.088, \"Seg_income\": 0.03, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.026, \"Commute\": 0.606, \"Income\": 31149, \"Gini\": 0.322, \"Share01\": 8.634, \"Gini_99\": 0.235, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1625.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 8.783, \"HS_dropout\": -0.027, \"Colleges\": 0.027, \"Tuition\": 2021.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.019, \"Social_capital\": 1.237, \"Religious\": 0.614, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.079, \"Married\": 0.591, \"Longitude\": -101.18293762207, \"Latitude\": 48.4435234069824}, {\"ID\": 26305, \"Name\": \"Rugby\", \"Mobility\": 0.219101131, \"State\": \"ND\", \"Population\": 11487, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.019, \"Seg_income\": 0.014, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.02, \"Commute\": 0.665, \"Income\": 33947, \"Gini\": 0.369, \"Share01\": 10.406, \"Gini_99\": 0.265, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1410.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.253, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 12.369, \"HS_dropout\": -0.029, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.007, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 2.379, \"Religious\": 0.838, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.061, \"Married\": 0.63, \"Longitude\": -99.9386520385742, \"Latitude\": 47.8406753540039}, {\"ID\": 26401, \"Name\": \"Ekalaka\", \"Mobility\": 0.2297297269, \"State\": \"SD\", \"Population\": 2713, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.0, \"Commute\": 0.665, \"Income\": 25283, \"Gini\": 0.225, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.055, \"Local_gov_spending\": 2352.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.864, \"Student_teacher_ratio\": 11.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.967, \"Religious\": 0.508, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.074, \"Married\": 0.653, \"Longitude\": -104.398811340332, \"Latitude\": 45.6770401000977}, {\"ID\": 26402, \"Name\": \"Baker\", \"Mobility\": 0.2127659619, \"State\": \"MT\", \"Population\": 2837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.713, \"Income\": 30325, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 4110.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.306, \"Student_teacher_ratio\": 12.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.004, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 1.605, \"Religious\": 0.866, \"Violent_crime\": 0.002, \"Single_mothers\": 0.109, \"Divorced\": 0.072, \"Married\": 0.651, \"Longitude\": -104.440422058105, \"Latitude\": 46.3325843811035}, {\"ID\": 26403, \"Name\": \"Bowman\", \"Mobility\": 0.4696969688, \"State\": \"ND\", \"Population\": 4009, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.015, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.002, \"Commute\": 0.648, \"Income\": 34194, \"Gini\": 0.297, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1820.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.772, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.1, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.004, \"Social_capital\": 2.46, \"Religious\": 0.893, \"Violent_crime\": 0.0, \"Single_mothers\": 0.082, \"Divorced\": 0.065, \"Married\": 0.648, \"Longitude\": -103.425262451172, \"Latitude\": 46.3399276733398}, {\"ID\": 26404, \"Name\": \"Lemmon\", \"Mobility\": 0.3571428657, \"State\": \"ND\", \"Population\": 8671, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.042, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.704, \"Income\": 34793, \"Gini\": 0.31, \"Share01\": 8.435, \"Gini_99\": 0.226, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1943.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.404, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 17.086, \"HS_dropout\": -0.036, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.593, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 3.161, \"Religious\": 0.887, \"Violent_crime\": 0.0, \"Single_mothers\": 0.12, \"Divorced\": 0.056, \"Married\": 0.633, \"Longitude\": -102.420112609863, \"Latitude\": 45.9655799865723}, {\"ID\": 26405, \"Name\": \"Scobey\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 2017, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.007, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.71, \"Income\": 32705, \"Gini\": 0.262, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3841.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.514, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.005, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.048, \"Social_capital\": 2.841, \"Religious\": 1.308, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -105.599838256836, \"Latitude\": 48.7802352905273}, {\"ID\": 26406, \"Name\": \"Wolf Point\", \"Mobility\": 0.0941883773, \"State\": \"MT\", \"Population\": 12597, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.3, \"Seg_income\": 0.014, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.7, \"Income\": 24254, \"Gini\": 0.33, \"Share01\": 5.489, \"Gini_99\": 0.275, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.014, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -10.316, \"HS_dropout\": 0.038, \"Colleges\": 0.079, \"Tuition\": 1200.0, \"Graduation\": -0.234, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.016, \"Chinese_imports\": 2.831, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.008, \"Social_capital\": 0.364, \"Religious\": 0.793, \"Violent_crime\": 0.0, \"Single_mothers\": 0.261, \"Divorced\": 0.106, \"Married\": 0.516, \"Longitude\": -105.277793884277, \"Latitude\": 47.9735641479492}, {\"ID\": 26407, \"Name\": \"Plentywood\", \"Mobility\": 0.3181818128, \"State\": \"MT\", \"Population\": 4105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.014, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.002, \"Commute\": 0.681, \"Income\": 33727, \"Gini\": 0.263, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2408.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.281, \"Student_teacher_ratio\": 13.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.007, \"Foreign_born\": 0.018, \"Social_capital\": 1.27, \"Religious\": 0.758, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.068, \"Married\": 0.607, \"Longitude\": -104.65380859375, \"Latitude\": 48.6474342346191}, {\"ID\": 26408, \"Name\": \"Glasgow\", \"Mobility\": 0.1660649776, \"State\": \"MT\", \"Population\": 12276, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.213, \"Seg_income\": 0.021, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.014, \"Commute\": 0.697, \"Income\": 31217, \"Gini\": 0.318, \"Share01\": 4.758, \"Gini_99\": 0.271, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 6900.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.491, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 9.237, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.564, \"Religious\": 0.597, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.613, \"Longitude\": -107.298034667969, \"Latitude\": 47.9512710571289}, {\"ID\": 26409, \"Name\": \"Glendive\", \"Mobility\": 0.2666666806, \"State\": \"MT\", \"Population\": 12051, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.012, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.004, \"Commute\": 0.735, \"Income\": 29215, \"Gini\": 0.26, \"Share01\": 4.291, \"Gini_99\": 0.217, \"Middle_class\": 0.688, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2130.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.793, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 11.656, \"HS_dropout\": -0.026, \"Colleges\": 0.083, \"Tuition\": 1236.0, \"Graduation\": 0.08, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.009, \"Chinese_imports\": 0.018, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.751, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.085, \"Married\": 0.606, \"Longitude\": -104.580238342285, \"Latitude\": 47.0760231018066}, {\"ID\": 26410, \"Name\": \"Dickinson\", \"Mobility\": 0.329207927, \"State\": \"ND\", \"Population\": 27124, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.219, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.019, \"Commute\": 0.659, \"Income\": 29909, \"Gini\": 0.312, \"Share01\": 8.093, \"Gini_99\": 0.231, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1600.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 10.289, \"HS_dropout\": -0.027, \"Colleges\": 0.037, \"Tuition\": 1982.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.259, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 1.261, \"Religious\": 0.836, \"Violent_crime\": 0.0, \"Single_mothers\": 0.154, \"Divorced\": 0.072, \"Married\": 0.598, \"Longitude\": -102.613540649414, \"Latitude\": 47.3269577026367}, {\"ID\": 26411, \"Name\": \"Sidney\", \"Mobility\": 0.2505694628, \"State\": \"ND\", \"Population\": 22035, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.481, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.637, \"Income\": 30292, \"Gini\": 0.296, \"Share01\": 5.407, \"Gini_99\": 0.242, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2385.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.291, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.512, \"HS_dropout\": -0.019, \"Colleges\": 0.045, \"Tuition\": 1920.0, \"Graduation\": -0.185, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.421, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.081, \"Married\": 0.593, \"Longitude\": -103.932495117188, \"Latitude\": 47.976993560791}, {\"ID\": 26412, \"Name\": \"Williston\", \"Mobility\": 0.3383084536, \"State\": \"ND\", \"Population\": 24286, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.092, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.702, \"Income\": 32277, \"Gini\": 0.321, \"Share01\": 7.252, \"Gini_99\": 0.248, \"Middle_class\": 0.654, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1957.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 9.652, \"HS_dropout\": -0.034, \"Colleges\": 0.041, \"Tuition\": 1592.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.013, \"Social_capital\": 1.353, \"Religious\": 0.828, \"Violent_crime\": 0.0, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.584, \"Longitude\": -103.339866638184, \"Latitude\": 48.2544097900391}, {\"ID\": 26501, \"Name\": \"Brookings\", \"Mobility\": 0.1666666716, \"State\": \"SD\", \"Population\": 40630, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.126, \"Seg_income\": 0.012, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.007, \"Commute\": 0.64, \"Income\": 30234, \"Gini\": 0.317, \"Share01\": 9.071, \"Gini_99\": 0.226, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2273.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 12.972, \"HS_dropout\": -0.022, \"Colleges\": 0.025, \"Tuition\": 1933.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.196, \"Chinese_imports\": 1.104, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.262, \"Religious\": 0.663, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.063, \"Married\": 0.525, \"Longitude\": -97.0456924438477, \"Latitude\": 44.2527122497559}, {\"ID\": 26502, \"Name\": \"Madison\", \"Mobility\": 0.1843575388, \"State\": \"SD\", \"Population\": 14160, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.017, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.023, \"Commute\": 0.632, \"Income\": 30819, \"Gini\": 0.323, \"Share01\": 9.604, \"Gini_99\": 0.227, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2611.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.547, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.99, \"HS_dropout\": -0.024, \"Colleges\": 0.071, \"Tuition\": 1935.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.198, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.008, \"Social_capital\": 2.281, \"Religious\": 0.725, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.068, \"Married\": 0.564, \"Longitude\": -97.3513641357422, \"Latitude\": 44.0035781860352}, {\"ID\": 26503, \"Name\": \"Sioux Falls\", \"Mobility\": 0.1186331436, \"State\": \"SD\", \"Population\": 200630, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.082, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.087, \"Commute\": 0.439, \"Income\": 36624, \"Gini\": 0.387, \"Share01\": 13.17, \"Gini_99\": 0.256, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1707.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.132, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.6, \"HS_dropout\": -0.004, \"Colleges\": 0.04, \"Tuition\": 5666.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.742, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 1.629, \"Religious\": 0.643, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.089, \"Married\": 0.563, \"Longitude\": -96.8639984130859, \"Latitude\": 43.2444381713867}, {\"ID\": 26504, \"Name\": \"Watertown\", \"Mobility\": 0.1435294151, \"State\": \"SD\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.028, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.595, \"Income\": 35143, \"Gini\": 0.33, \"Share01\": 7.69, \"Gini_99\": 0.253, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2099.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.92, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 14.26, \"HS_dropout\": -0.013, \"Colleges\": 0.025, \"Tuition\": 1980.0, \"Graduation\": 0.376, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.113, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 1.789, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.071, \"Married\": 0.611, \"Longitude\": -97.2051086425781, \"Latitude\": 44.7741546630859}, {\"ID\": 26601, \"Name\": \"Milbank\", \"Mobility\": 0.1702127606, \"State\": \"MN\", \"Population\": 17801, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.07, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.65, \"Income\": 34361, \"Gini\": 0.31, \"Share01\": 6.661, \"Gini_99\": 0.243, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 5010.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.052, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 11.685, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.258, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": 2.339, \"Religious\": 1.004, \"Violent_crime\": 0.001, \"Single_mothers\": 0.119, \"Divorced\": 0.057, \"Married\": 0.635, \"Longitude\": -96.5079879760742, \"Latitude\": 45.4473838806152}, {\"ID\": 26602, \"Name\": \"Sisseton\", \"Mobility\": 0.107066378, \"State\": \"SD\", \"Population\": 20859, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.263, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.004, \"Commute\": 0.563, \"Income\": 30613, \"Gini\": 0.292, \"Share01\": 4.579, \"Gini_99\": 0.246, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.094, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 4.794, \"HS_dropout\": -0.006, \"Colleges\": 0.048, \"Tuition\": null, \"Graduation\": -0.158, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.75, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.331, \"Religious\": 0.831, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.078, \"Married\": 0.579, \"Longitude\": -97.1130447387695, \"Latitude\": 45.5108833312988}, {\"ID\": 26603, \"Name\": \"East Corson UT\", \"Mobility\": 0.0700280145, \"State\": \"SD\", \"Population\": 8225, \"Urban\": 1, \"Black\": 0.001, \"Seg_racial\": 0.234, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.012, \"Commute\": 0.505, \"Income\": 17401, \"Gini\": 0.457, \"Share01\": 14.908, \"Gini_99\": 0.307, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.853, \"Student_teacher_ratio\": 12.3, \"Test_scores\": -22.102, \"HS_dropout\": 0.099, \"Colleges\": 0.243, \"Tuition\": 17000.0, \"Graduation\": -0.229, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.016, \"Foreign_born\": 0.005, \"Social_capital\": -0.244, \"Religious\": 0.693, \"Violent_crime\": 0.0, \"Single_mothers\": 0.344, \"Divorced\": 0.105, \"Married\": 0.405, \"Longitude\": -101.020462036133, \"Latitude\": 46.0272445678711}, {\"ID\": 26604, \"Name\": \"Mobridge\", \"Mobility\": 0.1111111119, \"State\": \"SD\", \"Population\": 7756, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.141, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.003, \"Commute\": 0.708, \"Income\": 31322, \"Gini\": 0.272, \"Share01\": 4.955, \"Gini_99\": 0.222, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1702.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 19.04, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 2.379, \"Religious\": 0.834, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.083, \"Married\": 0.579, \"Longitude\": -100.26685333252, \"Latitude\": 45.6210784912109}, {\"ID\": 26605, \"Name\": \"Aberdeen\", \"Mobility\": 0.1992687434, \"State\": \"SD\", \"Population\": 52825, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.049, \"Seg_income\": 0.025, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.023, \"Commute\": 0.676, \"Income\": 33760, \"Gini\": 0.366, \"Share01\": 10.84, \"Gini_99\": 0.257, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1759.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 7.676, \"HS_dropout\": -0.014, \"Colleges\": 0.038, \"Tuition\": 2466.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 2.063, \"Religious\": 0.862, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.075, \"Married\": 0.591, \"Longitude\": -98.8909072875977, \"Latitude\": 45.3348693847656}, {\"ID\": 26701, \"Name\": \"Bemidji\", \"Mobility\": 0.0952868834, \"State\": \"MN\", \"Population\": 101639, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.317, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.025, \"Commute\": 0.449, \"Income\": 31567, \"Gini\": 0.395, \"Share01\": 9.319, \"Gini_99\": 0.302, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2723.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.145, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.087, \"HS_dropout\": 0.006, \"Colleges\": 0.039, \"Tuition\": 2810.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.11, \"Chinese_imports\": 0.506, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.443, \"Religious\": 0.564, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.087, \"Married\": 0.57, \"Longitude\": -95.277946472168, \"Latitude\": 47.464656829834}, {\"ID\": 26702, \"Name\": \"Grafton\", \"Mobility\": 0.2325581461, \"State\": \"ND\", \"Population\": 31090, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.072, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.582, \"Income\": 34409, \"Gini\": 0.337, \"Share01\": 9.879, \"Gini_99\": 0.238, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2180.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.561, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 8.881, \"HS_dropout\": -0.026, \"Colleges\": 0.032, \"Tuition\": 13175.0, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.059, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 2.415, \"Religious\": 0.876, \"Violent_crime\": 0.0, \"Single_mothers\": 0.124, \"Divorced\": 0.067, \"Married\": 0.617, \"Longitude\": -97.401252746582, \"Latitude\": 48.4641265869141}, {\"ID\": 26703, \"Name\": \"Thief River Falls\", \"Mobility\": 0.1787564754, \"State\": \"MN\", \"Population\": 28038, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.012, \"Commute\": 0.534, \"Income\": 32095, \"Gini\": 0.336, \"Share01\": 9.085, \"Gini_99\": 0.245, \"Middle_class\": 0.672, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3713.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.982, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 9.516, \"HS_dropout\": -0.032, \"Colleges\": 0.071, \"Tuition\": 2427.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.174, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 2.338, \"Religious\": 0.826, \"Violent_crime\": 0.0, \"Single_mothers\": 0.164, \"Divorced\": 0.077, \"Married\": 0.589, \"Longitude\": -96.7299499511719, \"Latitude\": 48.2184143066406}, {\"ID\": 26704, \"Name\": \"Grand Forks\", \"Mobility\": 0.1279491782, \"State\": \"ND\", \"Population\": 108213, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.077, \"Seg_income\": 0.054, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.056, \"Commute\": 0.613, \"Income\": 31651, \"Gini\": 0.333, \"Share01\": 10.207, \"Gini_99\": 0.231, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2039.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 8.004, \"HS_dropout\": -0.017, \"Colleges\": 0.028, \"Tuition\": 2733.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.074, \"Chinese_imports\": 0.168, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.024, \"Foreign_born\": 0.027, \"Social_capital\": 1.612, \"Religious\": 0.674, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.074, \"Married\": 0.532, \"Longitude\": -96.8492813110352, \"Latitude\": 47.631103515625}, {\"ID\": 26801, \"Name\": \"Fargo\", \"Mobility\": 0.1358173043, \"State\": \"ND\", \"Population\": 206945, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.065, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.518, \"Income\": 34085, \"Gini\": 0.365, \"Share01\": 11.083, \"Gini_99\": 0.254, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2263.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 6.018, \"HS_dropout\": -0.014, \"Colleges\": 0.024, \"Tuition\": 2686.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.096, \"Chinese_imports\": 0.151, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.027, \"Social_capital\": 1.8, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.08, \"Married\": 0.533, \"Longitude\": -96.8047027587891, \"Latitude\": 46.7821769714355}, {\"ID\": 26802, \"Name\": \"Lisbon\", \"Mobility\": 0.2352941185, \"State\": \"ND\", \"Population\": 16013, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.015, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.606, \"Income\": 35168, \"Gini\": 0.268, \"Share01\": 6.895, \"Gini_99\": 0.199, \"Middle_class\": 0.699, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1429.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.879, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 10.804, \"HS_dropout\": -0.031, \"Colleges\": 0.062, \"Tuition\": 5700.0, \"Graduation\": 0.137, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.318, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 2.606, \"Religious\": 0.882, \"Violent_crime\": 0.0, \"Single_mothers\": 0.1, \"Divorced\": 0.07, \"Married\": 0.626, \"Longitude\": -97.9004364013672, \"Latitude\": 46.1610984802246}, {\"ID\": 26803, \"Name\": \"Jamestown\", \"Mobility\": 0.2240566015, \"State\": \"ND\", \"Population\": 38384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.021, \"Commute\": 0.667, \"Income\": 32842, \"Gini\": 0.329, \"Share01\": 8.37, \"Gini_99\": 0.245, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1406.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.257, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 10.253, \"HS_dropout\": -0.034, \"Colleges\": 0.052, \"Tuition\": 5551.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 2.26, \"Religious\": 0.755, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.081, \"Married\": 0.571, \"Longitude\": -98.5546875, \"Latitude\": 46.8599853515625}, {\"ID\": 26804, \"Name\": \"Cooperstown\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2754, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.615, \"Income\": 34890, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1392.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.071, \"Student_teacher_ratio\": 13.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.673, \"Teenage_labor\": null, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 2.695, \"Religious\": 0.746, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.047, \"Married\": 0.638, \"Longitude\": -98.2317657470703, \"Latitude\": 47.3991737365723}, {\"ID\": 26901, \"Name\": \"Fergus Falls\", \"Mobility\": 0.1523076892, \"State\": \"MN\", \"Population\": 117558, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.095, \"Seg_income\": 0.017, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.016, \"Commute\": 0.526, \"Income\": 36094, \"Gini\": 0.335, \"Share01\": 8.518, \"Gini_99\": 0.25, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2972.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.713, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 15.814, \"HS_dropout\": -0.003, \"Colleges\": 0.026, \"Tuition\": 3215.0, \"Graduation\": 0.063, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.148, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 2.729, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -95.8051071166992, \"Latitude\": 45.9277229309082}, {\"ID\": 26902, \"Name\": \"Little Falls\", \"Mobility\": 0.1645569652, \"State\": \"MN\", \"Population\": 69851, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.058, \"Seg_income\": 0.014, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.435, \"Income\": 31851, \"Gini\": 0.308, \"Share01\": 6.947, \"Gini_99\": 0.239, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2770.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.227, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 7.154, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.195, \"Chinese_imports\": 0.876, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.021, \"Foreign_born\": 0.013, \"Social_capital\": 1.556, \"Religious\": 0.667, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.079, \"Married\": 0.602, \"Longitude\": -94.5944213867188, \"Latitude\": 46.2309341430664}, {\"ID\": 27001, \"Name\": \"O'Neill\", \"Mobility\": 0.1893491149, \"State\": \"NE\", \"Population\": 14875, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.022, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.653, \"Income\": 31084, \"Gini\": 0.296, \"Share01\": 6.285, \"Gini_99\": 0.234, \"Middle_class\": 0.628, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.565, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 10.016, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.005, \"Foreign_born\": 0.007, \"Social_capital\": 1.311, \"Religious\": 0.688, \"Violent_crime\": 0.0, \"Single_mothers\": 0.097, \"Divorced\": 0.06, \"Married\": 0.649, \"Longitude\": -98.7092666625977, \"Latitude\": 42.4437103271484}, {\"ID\": 27002, \"Name\": \"Ord\", \"Mobility\": 0.2392344475, \"State\": \"NE\", \"Population\": 9975, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.658, \"Income\": 31042, \"Gini\": 0.362, \"Share01\": 6.536, \"Gini_99\": 0.296, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2684.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 9.69, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": 0.837, \"Religious\": 0.822, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.065, \"Married\": 0.636, \"Longitude\": -99.0196533203125, \"Latitude\": 41.712028503418}, {\"ID\": 27003, \"Name\": \"Ainsworth\", \"Mobility\": 0.1920529753, \"State\": \"NE\", \"Population\": 6264, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.007, \"Commute\": 0.67, \"Income\": 30825, \"Gini\": 0.291, \"Share01\": 5.895, \"Gini_99\": 0.232, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2817.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.274, \"Student_teacher_ratio\": 11.6, \"Test_scores\": 0.131, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.548, \"Religious\": 0.545, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.076, \"Married\": 0.639, \"Longitude\": -99.7006912231445, \"Latitude\": 42.5554466247559}, {\"ID\": 27004, \"Name\": \"Winner\", \"Mobility\": 0.1392857134, \"State\": \"SD\", \"Population\": 11222, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.034, \"Seg_income\": 0.005, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.006, \"Commute\": 0.673, \"Income\": 29623, \"Gini\": 0.346, \"Share01\": 7.011, \"Gini_99\": 0.276, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.964, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 16.809, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.007, \"Migration_in\": 0.001, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 1.978, \"Religious\": 0.705, \"Violent_crime\": 0.001, \"Single_mothers\": 0.122, \"Divorced\": 0.071, \"Married\": 0.6, \"Longitude\": -99.5870895385742, \"Latitude\": 43.4869003295898}, {\"ID\": 27005, \"Name\": \"Yankton\", \"Mobility\": 0.1712000072, \"State\": \"SD\", \"Population\": 47901, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.148, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.016, \"Commute\": 0.583, \"Income\": 31086, \"Gini\": 0.309, \"Share01\": 6.798, \"Gini_99\": 0.241, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.307, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 8.914, \"HS_dropout\": -0.017, \"Colleges\": 0.021, \"Tuition\": 9710.0, \"Graduation\": 0.071, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.142, \"Chinese_imports\": 1.58, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.011, \"Social_capital\": 1.31, \"Religious\": 0.769, \"Violent_crime\": 0.001, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.619, \"Longitude\": -97.7685089111328, \"Latitude\": 42.8132400512695}, {\"ID\": 27006, \"Name\": \"Mitchell\", \"Mobility\": 0.1338199526, \"State\": \"SD\", \"Population\": 27613, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.032, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.641, \"Income\": 33753, \"Gini\": 0.396, \"Share01\": 13.422, \"Gini_99\": 0.261, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1673.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.252, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 15.04, \"HS_dropout\": -0.03, \"Colleges\": 0.072, \"Tuition\": 4330.0, \"Graduation\": 0.337, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.133, \"Chinese_imports\": 1.86, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 2.059, \"Religious\": 0.787, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.077, \"Married\": 0.587, \"Longitude\": -98.2380447387695, \"Latitude\": 43.7194900512695}, {\"ID\": 27007, \"Name\": \"Huron\", \"Mobility\": 0.1204819307, \"State\": \"SD\", \"Population\": 19318, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.041, \"Seg_income\": 0.008, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.67, \"Income\": 35617, \"Gini\": 0.329, \"Share01\": 8.42, \"Gini_99\": 0.245, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1636.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.12, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 7.178, \"HS_dropout\": -0.01, \"Colleges\": 0.052, \"Tuition\": 7200.0, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.073, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 3.55, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.091, \"Married\": 0.594, \"Longitude\": -98.4064025878906, \"Latitude\": 44.2393493652344}, {\"ID\": 27008, \"Name\": \"Parkston\", \"Mobility\": 0.157107234, \"State\": \"SD\", \"Population\": 20883, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.333, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.006, \"Commute\": 0.613, \"Income\": 29594, \"Gini\": 0.34, \"Share01\": 8.575, \"Gini_99\": 0.254, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.127, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.061, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.774, \"Religious\": 0.903, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -98.4186553955078, \"Latitude\": 43.1798553466797}, {\"ID\": 27009, \"Name\": \"Chamberlain\", \"Mobility\": 0.0804195777, \"State\": \"SD\", \"Population\": 11291, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.554, \"Seg_income\": 0.056, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.039, \"Commute\": 0.6, \"Income\": 26746, \"Gini\": 0.374, \"Share01\": 7.207, \"Gini_99\": 0.302, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 13.686, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.048, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 0.682, \"Religious\": 0.696, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.081, \"Married\": 0.531, \"Longitude\": -99.7316207885742, \"Latitude\": 43.847541809082}, {\"ID\": 27010, \"Name\": \"Miller\", \"Mobility\": 0.3150684834, \"State\": \"SD\", \"Population\": 5412, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.353, \"Seg_income\": 0.01, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.013, \"Commute\": 0.697, \"Income\": 39611, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 1977.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.358, \"Student_teacher_ratio\": 14.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": 0.004, \"Migration_out\": 0.0, \"Foreign_born\": 0.009, \"Social_capital\": 3.375, \"Religious\": 0.722, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.063, \"Married\": 0.605, \"Longitude\": -99.2775802612305, \"Latitude\": 44.5331344604492}, {\"ID\": 27011, \"Name\": \"Pierre\", \"Mobility\": 0.0924369767, \"State\": \"SD\", \"Population\": 20809, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.767, \"Income\": 38653, \"Gini\": 0.344, \"Share01\": 7.779, \"Gini_99\": 0.266, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1943.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.099, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.612, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.739, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 5.266, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.098, \"Married\": 0.616, \"Longitude\": -100.434280395508, \"Latitude\": 44.5327339172363}, {\"ID\": 27012, \"Name\": \"Gettysburg\", \"Mobility\": 0.3265306056, \"State\": \"SD\", \"Population\": 2693, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.729, \"Income\": 37190, \"Gini\": 0.3, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1832.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.693, \"Student_teacher_ratio\": 14.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.047, \"Chinese_imports\": 0.052, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": 4.555, \"Religious\": 1.158, \"Violent_crime\": 0.0, \"Single_mothers\": 0.084, \"Divorced\": 0.074, \"Married\": 0.655, \"Longitude\": -100.195465087891, \"Latitude\": 45.0510025024414}, {\"ID\": 27101, \"Name\": \"Willmar\", \"Mobility\": 0.1247139573, \"State\": \"MN\", \"Population\": 85394, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.181, \"Seg_income\": 0.024, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.025, \"Commute\": 0.549, \"Income\": 35795, \"Gini\": 0.313, \"Share01\": 7.697, \"Gini_99\": 0.236, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3638.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.863, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 5.464, \"HS_dropout\": -0.012, \"Colleges\": 0.023, \"Tuition\": 2232.0, \"Graduation\": 0.046, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.158, \"Chinese_imports\": 2.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 2.626, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.074, \"Married\": 0.595, \"Longitude\": -95.7932357788086, \"Latitude\": 45.0299758911133}, {\"ID\": 27102, \"Name\": \"Marshall\", \"Mobility\": 0.153061226, \"State\": \"MN\", \"Population\": 51470, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.089, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.02, \"Commute\": 0.621, \"Income\": 34330, \"Gini\": 0.331, \"Share01\": 9.09, \"Gini_99\": 0.24, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3783.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.325, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 11.332, \"HS_dropout\": -0.017, \"Colleges\": 0.019, \"Tuition\": 2790.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.175, \"Chinese_imports\": 0.729, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.027, \"Social_capital\": 2.843, \"Religious\": 0.808, \"Violent_crime\": 0.0, \"Single_mothers\": 0.135, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -96.1117172241211, \"Latitude\": 44.1432304382324}, {\"ID\": 27201, \"Name\": \"Sioux Center\", \"Mobility\": 0.2307692319, \"State\": \"IA\", \"Population\": 58454, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.629, \"Income\": 32542, \"Gini\": 0.33, \"Share01\": 13.264, \"Gini_99\": 0.198, \"Middle_class\": 0.734, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2097.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.003, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.514, \"HS_dropout\": -0.031, \"Colleges\": 0.051, \"Tuition\": 10233.0, \"Graduation\": 0.195, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.188, \"Chinese_imports\": 1.407, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.023, \"Social_capital\": 2.82, \"Religious\": 0.928, \"Violent_crime\": 0.001, \"Single_mothers\": 0.082, \"Divorced\": 0.042, \"Married\": 0.634, \"Longitude\": -96.3176116943359, \"Latitude\": 43.2065963745117}, {\"ID\": 27202, \"Name\": \"Worthington\", \"Mobility\": 0.1402936429, \"State\": \"MN\", \"Population\": 60435, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.193, \"Seg_income\": 0.01, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.01, \"Commute\": 0.589, \"Income\": 34678, \"Gini\": 0.271, \"Share01\": 6.866, \"Gini_99\": 0.202, \"Middle_class\": 0.713, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3025.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.848, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 8.616, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.193, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.043, \"Social_capital\": 2.813, \"Religious\": 0.864, \"Violent_crime\": 0.001, \"Single_mothers\": 0.132, \"Divorced\": 0.059, \"Married\": 0.627, \"Longitude\": -95.4412689208984, \"Latitude\": 43.7808990478516}, {\"ID\": 27301, \"Name\": \"Spencer\", \"Mobility\": 0.1850079745, \"State\": \"IA\", \"Population\": 61106, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.598, \"Income\": 38061, \"Gini\": 0.37, \"Share01\": 12.545, \"Gini_99\": 0.245, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2689.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.271, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.503, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.783, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.821, \"Religious\": 0.781, \"Violent_crime\": 0.0, \"Single_mothers\": 0.147, \"Divorced\": 0.077, \"Married\": 0.612, \"Longitude\": -94.7032241821289, \"Latitude\": 43.2080116271973}, {\"ID\": 27302, \"Name\": \"Fairmont\", \"Mobility\": 0.1287128776, \"State\": \"MN\", \"Population\": 49010, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.052, \"Seg_income\": 0.017, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.013, \"Commute\": 0.576, \"Income\": 35648, \"Gini\": 0.294, \"Share01\": 7.086, \"Gini_99\": 0.223, \"Middle_class\": 0.695, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3270.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.665, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 9.026, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 2016.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.207, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 2.86, \"Religious\": 0.878, \"Violent_crime\": 0.001, \"Single_mothers\": 0.157, \"Divorced\": 0.073, \"Married\": 0.608, \"Longitude\": -94.3489074707031, \"Latitude\": 43.5703163146973}, {\"ID\": 27401, \"Name\": \"Storm Lake\", \"Mobility\": 0.1734317392, \"State\": \"IA\", \"Population\": 52812, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.217, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.614, \"Income\": 34279, \"Gini\": 0.318, \"Share01\": 8.244, \"Gini_99\": 0.235, \"Middle_class\": 0.692, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1936.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.03, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 4.72, \"HS_dropout\": -0.033, \"Colleges\": 0.019, \"Tuition\": 17176.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.19, \"Chinese_imports\": 0.705, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.053, \"Social_capital\": 2.078, \"Religious\": 0.741, \"Violent_crime\": 0.0, \"Single_mothers\": 0.146, \"Divorced\": 0.069, \"Married\": 0.597, \"Longitude\": -95.3256225585938, \"Latitude\": 42.5063896179199}, {\"ID\": 27402, \"Name\": \"Fort Dodge\", \"Mobility\": 0.1300448477, \"State\": \"IA\", \"Population\": 101165, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.109, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.572, \"Income\": 35646, \"Gini\": 0.33, \"Share01\": 10.56, \"Gini_99\": 0.224, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2322.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.203, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.168, \"HS_dropout\": -0.022, \"Colleges\": 0.01, \"Tuition\": 1830.0, \"Graduation\": 0.014, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.018, \"Social_capital\": 2.08, \"Religious\": 0.719, \"Violent_crime\": 0.002, \"Single_mothers\": 0.174, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -94.1821441650391, \"Latitude\": 42.4745178222656}, {\"ID\": 27501, \"Name\": \"Des Moines\", \"Mobility\": 0.0910248235, \"State\": \"IA\", \"Population\": 595842, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.175, \"Seg_income\": 0.076, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.087, \"Commute\": 0.384, \"Income\": 40108, \"Gini\": 0.391, \"Share01\": 13.556, \"Gini_99\": 0.255, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2490.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.405, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 1.707, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 4899.0, \"Graduation\": 0.09, \"Labor_force_participation\": 0.722, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.27, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.051, \"Social_capital\": 1.595, \"Religious\": 0.483, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.098, \"Married\": 0.564, \"Longitude\": -93.9295120239258, \"Latitude\": 41.6039848327637}, {\"ID\": 27502, \"Name\": \"Creston\", \"Mobility\": 0.1245136186, \"State\": \"IA\", \"Population\": 35600, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.068, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.556, \"Income\": 31082, \"Gini\": 0.324, \"Share01\": 8.285, \"Gini_99\": 0.241, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2736.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.49, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 4.511, \"HS_dropout\": -0.018, \"Colleges\": 0.056, \"Tuition\": 6668.0, \"Graduation\": 0.123, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.172, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 1.415, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.091, \"Married\": 0.599, \"Longitude\": -94.0072784423828, \"Latitude\": 40.8755035400391}, {\"ID\": 27503, \"Name\": \"Atlantic\", \"Mobility\": 0.1515837163, \"State\": \"IA\", \"Population\": 34687, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.016, \"Commute\": 0.557, \"Income\": 35644, \"Gini\": 0.315, \"Share01\": 8.047, \"Gini_99\": 0.235, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2557.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.166, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.915, \"HS_dropout\": -0.032, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": 1.971, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.074, \"Married\": 0.642, \"Longitude\": -95.0605239868164, \"Latitude\": 41.5310440063477}, {\"ID\": 27504, \"Name\": \"Carroll\", \"Mobility\": 0.1672354937, \"State\": \"IA\", \"Population\": 48729, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.178, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.611, \"Income\": 34862, \"Gini\": 0.299, \"Share01\": 6.69, \"Gini_99\": 0.232, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2694.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.048, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.525, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.313, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.026, \"Social_capital\": 2.376, \"Religious\": 0.784, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.071, \"Married\": 0.604, \"Longitude\": -94.8914413452148, \"Latitude\": 42.0172080993652}, {\"ID\": 27601, \"Name\": \"Rapid City\", \"Mobility\": 0.0930329561, \"State\": \"SD\", \"Population\": 158442, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.058, \"Commute\": 0.484, \"Income\": 33201, \"Gini\": 0.39, \"Share01\": 10.24, \"Gini_99\": 0.287, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.695, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 0.755, \"HS_dropout\": 0.012, \"Colleges\": 0.025, \"Tuition\": 3265.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.628, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": 0.744, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.111, \"Married\": 0.576, \"Longitude\": -102.985694885254, \"Latitude\": 43.9553756713867}, {\"ID\": 27602, \"Name\": \"Eagle Butte\", \"Mobility\": 0.05111821, \"State\": \"SD\", \"Population\": 8491, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.177, \"Seg_income\": 0.034, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.019, \"Commute\": 0.578, \"Income\": 18546, \"Gini\": 0.317, \"Share01\": 5.469, \"Gini_99\": 0.262, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.721, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 0.729, \"HS_dropout\": 0.064, \"Colleges\": 0.118, \"Tuition\": 2940.0, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.008, \"Foreign_born\": 0.005, \"Social_capital\": -0.009, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.124, \"Married\": 0.422, \"Longitude\": -100.94905090332, \"Latitude\": 44.8710060119629}, {\"ID\": 27603, \"Name\": \"Southwest Jackson UT\", \"Mobility\": 0.1103448272, \"State\": \"SD\", \"Population\": 5126, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.441, \"Seg_income\": 0.039, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.024, \"Commute\": 0.669, \"Income\": 26268, \"Gini\": 0.296, \"Share01\": 7.437, \"Gini_99\": 0.222, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1560.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 11.09, \"HS_dropout\": -0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.207, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.482, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.066, \"Married\": 0.562, \"Longitude\": -101.566413879395, \"Latitude\": 44.2099189758301}, {\"ID\": 27604, \"Name\": \"Murdo\", \"Mobility\": null, \"State\": \"SD\", \"Population\": 1193, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.715, \"Income\": 30669, \"Gini\": 0.309, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.161, \"Student_teacher_ratio\": 15.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.001, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.0, \"Social_capital\": 1.618, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.137, \"Divorced\": 0.107, \"Married\": 0.562, \"Longitude\": -100.711044311523, \"Latitude\": 43.7982406616211}, {\"ID\": 27605, \"Name\": \"Mission\", \"Mobility\": 0.0242537316, \"State\": \"SD\", \"Population\": 11133, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.102, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.465, \"Income\": 17598, \"Gini\": 0.381, \"Share01\": 5.522, \"Gini_99\": 0.326, \"Middle_class\": 0.379, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2285.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -30.399, \"HS_dropout\": null, \"Colleges\": 0.09, \"Tuition\": 1632.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 0.035, \"Religious\": 0.551, \"Violent_crime\": 0.0, \"Single_mothers\": 0.391, \"Divorced\": 0.138, \"Married\": 0.373, \"Longitude\": -100.702262878418, \"Latitude\": 43.6780586242676}, {\"ID\": 27701, \"Name\": \"Scottsbluff\", \"Mobility\": 0.1194029823, \"State\": \"NE\", \"Population\": 65903, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.115, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.02, \"Commute\": 0.642, \"Income\": 33192, \"Gini\": 0.346, \"Share01\": 6.759, \"Gini_99\": 0.279, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.664, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -1.08, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1677.0, \"Graduation\": -0.063, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.035, \"Social_capital\": 1.136, \"Religious\": 0.532, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.591, \"Longitude\": -103.237144470215, \"Latitude\": 42.1022415161133}, {\"ID\": 27702, \"Name\": \"Cheyenne\", \"Mobility\": 0.0956375822, \"State\": \"WY\", \"Population\": 95526, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.064, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.072, \"Commute\": 0.564, \"Income\": 34425, \"Gini\": 0.366, \"Share01\": 9.978, \"Gini_99\": 0.266, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.823, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.301, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1128.0, \"Graduation\": -0.248, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.027, \"Foreign_born\": 0.026, \"Social_capital\": 0.876, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.125, \"Married\": 0.583, \"Longitude\": -103.619277954102, \"Latitude\": 41.2267875671387}, {\"ID\": 27703, \"Name\": \"Torrington\", \"Mobility\": 0.171581775, \"State\": \"WY\", \"Population\": 21345, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.025, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.005, \"Commute\": 0.624, \"Income\": 31966, \"Gini\": 0.324, \"Share01\": 5.398, \"Gini_99\": 0.27, \"Middle_class\": 0.618, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3131.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.934, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 8.823, \"HS_dropout\": -0.003, \"Colleges\": 0.047, \"Tuition\": 1128.0, \"Graduation\": -0.019, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.017, \"Social_capital\": 0.935, \"Religious\": 0.411, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.105, \"Married\": 0.616, \"Longitude\": -104.755416870117, \"Latitude\": 42.0708351135254}, {\"ID\": 27704, \"Name\": \"Gordon\", \"Mobility\": 0.0319488831, \"State\": \"SD\", \"Population\": 22238, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.486, \"Seg_income\": 0.034, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.019, \"Commute\": 0.588, \"Income\": 19815, \"Gini\": 0.334, \"Share01\": 6.245, \"Gini_99\": 0.271, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.731, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -19.811, \"HS_dropout\": -0.006, \"Colleges\": 0.045, \"Tuition\": 1560.0, \"Graduation\": -0.277, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.157, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.007, \"Social_capital\": -0.153, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.095, \"Married\": 0.454, \"Longitude\": -102.420791625977, \"Latitude\": 42.9795875549316}, {\"ID\": 27801, \"Name\": \"Virginia Beach\", \"Mobility\": 0.1516079605, \"State\": \"NE\", \"Population\": 56990, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.108, \"Seg_income\": 0.028, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.039, \"Commute\": 0.614, \"Income\": 31600, \"Gini\": 0.331, \"Share01\": 11.685, \"Gini_99\": 0.214, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2142.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.382, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 9.922, \"HS_dropout\": -0.022, \"Colleges\": 0.035, \"Tuition\": 1621.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.176, \"Chinese_imports\": 0.301, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.037, \"Social_capital\": 1.106, \"Religious\": 0.756, \"Violent_crime\": 0.0, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.605, \"Longitude\": -97.6046447753906, \"Latitude\": 42.0407600402832}, {\"ID\": 27802, \"Name\": \"Columbus\", \"Mobility\": 0.1691842973, \"State\": \"NE\", \"Population\": 61167, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.212, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.017, \"Commute\": 0.581, \"Income\": 34258, \"Gini\": 0.279, \"Share01\": 7.077, \"Gini_99\": 0.208, \"Middle_class\": 0.712, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 11529.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.299, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.493, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.271, \"Chinese_imports\": 0.803, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.055, \"Social_capital\": 0.982, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.131, \"Divorced\": 0.062, \"Married\": 0.629, \"Longitude\": -97.6625366210938, \"Latitude\": 41.4536361694336}, {\"ID\": 27901, \"Name\": \"Hastings\", \"Mobility\": 0.1111111119, \"State\": \"NE\", \"Population\": 42251, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.059, \"Seg_income\": 0.041, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.036, \"Commute\": 0.599, \"Income\": 34343, \"Gini\": 0.375, \"Share01\": 12.631, \"Gini_99\": 0.248, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.202, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.591, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 12396.0, \"Graduation\": 0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.323, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.038, \"Social_capital\": 1.596, \"Religious\": 0.645, \"Violent_crime\": 0.0, \"Single_mothers\": 0.16, \"Divorced\": 0.078, \"Married\": 0.594, \"Longitude\": -98.4005584716797, \"Latitude\": 40.3708229064941}, {\"ID\": 27902, \"Name\": \"York\", \"Mobility\": 0.1868131906, \"State\": \"NE\", \"Population\": 26871, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.037, \"Seg_income\": 0.004, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.628, \"Income\": 35524, \"Gini\": 0.304, \"Share01\": 7.531, \"Gini_99\": 0.228, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2505.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.759, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 5.696, \"HS_dropout\": -0.03, \"Colleges\": 0.037, \"Tuition\": 8200.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 2.329, \"Religious\": 0.695, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.068, \"Married\": 0.639, \"Longitude\": -97.6013412475586, \"Latitude\": 41.0392227172852}, {\"ID\": 27903, \"Name\": \"Grand Island\", \"Mobility\": 0.1420996785, \"State\": \"NE\", \"Population\": 77708, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.15, \"Seg_income\": 0.032, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.037, \"Commute\": 0.561, \"Income\": 33160, \"Gini\": 0.355, \"Share01\": 10.709, \"Gini_99\": 0.248, \"Middle_class\": 0.653, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2479.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.078, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.948, \"HS_dropout\": 0.003, \"Colleges\": 0.013, \"Tuition\": 1320.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.06, \"Social_capital\": 1.308, \"Religious\": 0.802, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.089, \"Married\": 0.616, \"Longitude\": -98.0804901123047, \"Latitude\": 41.1507186889648}, {\"ID\": 28001, \"Name\": \"Sioux City\", \"Mobility\": 0.1125235409, \"State\": \"IA\", \"Population\": 187773, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.2, \"Seg_income\": 0.044, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.052, \"Commute\": 0.454, \"Income\": 35655, \"Gini\": 0.381, \"Share01\": 10.997, \"Gini_99\": 0.271, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2173.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.613, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.747, \"HS_dropout\": 0.003, \"Colleges\": 0.032, \"Tuition\": 5084.0, \"Graduation\": 0.036, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.062, \"Social_capital\": 1.267, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.568, \"Longitude\": -96.4562072753906, \"Latitude\": 42.4197807312012}, {\"ID\": 28002, \"Name\": \"West Point\", \"Mobility\": 0.100386098, \"State\": \"NE\", \"Population\": 25165, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.36, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.551, \"Income\": 32028, \"Gini\": 0.315, \"Share01\": 6.198, \"Gini_99\": 0.253, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2508.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 6.98, \"HS_dropout\": 0.003, \"Colleges\": 0.079, \"Tuition\": 1807.0, \"Graduation\": -0.227, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.118, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.024, \"Social_capital\": 1.341, \"Religious\": 0.723, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -96.3958435058594, \"Latitude\": 41.9670219421387}, {\"ID\": 28101, \"Name\": \"Lincoln\", \"Mobility\": 0.0913167521, \"State\": \"NE\", \"Population\": 311956, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.094, \"Seg_income\": 0.095, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.109, \"Commute\": 0.434, \"Income\": 35973, \"Gini\": 0.376, \"Share01\": 14.437, \"Gini_99\": 0.231, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2960.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.915, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -1.788, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 4557.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.048, \"Social_capital\": 1.659, \"Religious\": 0.496, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.537, \"Longitude\": -96.8775787353516, \"Latitude\": 40.5198974609375}, {\"ID\": 28102, \"Name\": \"Nebraska City\", \"Mobility\": 0.1583514065, \"State\": \"NE\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.062, \"Seg_income\": 0.013, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.514, \"Income\": 34517, \"Gini\": 0.287, \"Share01\": 5.397, \"Gini_99\": 0.233, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2052.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.737, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 6.023, \"HS_dropout\": -0.031, \"Colleges\": 0.025, \"Tuition\": 1973.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.56, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.015, \"Social_capital\": 1.614, \"Religious\": 0.662, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.088, \"Married\": 0.606, \"Longitude\": -95.7429656982422, \"Latitude\": 40.315299987793}, {\"ID\": 28201, \"Name\": \"Red Oak\", \"Mobility\": 0.1242138371, \"State\": \"IA\", \"Population\": 48197, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.111, \"Seg_income\": 0.016, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.018, \"Commute\": 0.55, \"Income\": 33242, \"Gini\": 0.306, \"Share01\": 8.44, \"Gini_99\": 0.221, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2014.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.934, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.605, \"HS_dropout\": -0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.985, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 1.309, \"Religious\": 0.556, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.095, \"Married\": 0.61, \"Longitude\": -95.2053680419922, \"Latitude\": 40.838794708252}, {\"ID\": 28202, \"Name\": \"Omaha\", \"Mobility\": 0.0775407478, \"State\": \"NE\", \"Population\": 803201, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.262, \"Seg_income\": 0.109, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.123, \"Commute\": 0.349, \"Income\": 39948, \"Gini\": 0.432, \"Share01\": 17.652, \"Gini_99\": 0.255, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2743.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.173, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.627, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6011.0, \"Graduation\": -0.068, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.557, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.015, \"Foreign_born\": 0.044, \"Social_capital\": 0.535, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.103, \"Married\": 0.555, \"Longitude\": -96.0118179321289, \"Latitude\": 41.3732566833496}, {\"ID\": 28301, \"Name\": \"Sterling\", \"Mobility\": 0.1446345299, \"State\": \"CO\", \"Population\": 39751, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.015, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.014, \"Commute\": 0.64, \"Income\": 31170, \"Gini\": 0.399, \"Share01\": 10.371, \"Gini_99\": 0.295, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2621.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.612, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.504, \"HS_dropout\": null, \"Colleges\": 0.025, \"Tuition\": 1386.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 1.084, \"Religious\": 0.506, \"Violent_crime\": 0.001, \"Single_mothers\": 0.149, \"Divorced\": 0.082, \"Married\": 0.629, \"Longitude\": -102.941719055176, \"Latitude\": 40.2619552612305}, {\"ID\": 28302, \"Name\": \"Ogallala\", \"Mobility\": 0.1622807086, \"State\": \"NE\", \"Population\": 16920, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.038, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.614, \"Income\": 34904, \"Gini\": 0.326, \"Share01\": 8.858, \"Gini_99\": 0.238, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2532.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.616, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 10.627, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.061, \"Chinese_imports\": 0.289, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.017, \"Social_capital\": 1.193, \"Religious\": 0.598, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.087, \"Married\": 0.638, \"Longitude\": -101.926559448242, \"Latitude\": 41.021427154541}, {\"ID\": 28303, \"Name\": \"Oshkosh\", \"Mobility\": null, \"State\": \"NE\", \"Population\": 2292, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.677, \"Income\": 31316, \"Gini\": 0.278, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2821.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.744, \"Student_teacher_ratio\": 11.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.026, \"Chinese_imports\": 1.331, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 3.942, \"Religious\": 0.7, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.095, \"Married\": 0.628, \"Longitude\": -102.358543395996, \"Latitude\": 41.5615425109863}, {\"ID\": 28304, \"Name\": \"Valentine\", \"Mobility\": 0.145348832, \"State\": \"NE\", \"Population\": 8122, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.031, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.004, \"Commute\": 0.704, \"Income\": 31506, \"Gini\": 0.347, \"Share01\": 7.675, \"Gini_99\": 0.27, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2561.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.509, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 6.61, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.026, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 1.716, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.638, \"Longitude\": -101.297538757324, \"Latitude\": 42.2140884399414}, {\"ID\": 28305, \"Name\": \"Broken Bow\", \"Mobility\": 0.1764705926, \"State\": \"NE\", \"Population\": 13105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.004, \"Commute\": 0.63, \"Income\": 33846, \"Gini\": 0.3, \"Share01\": 6.249, \"Gini_99\": 0.237, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2927.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.951, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 9.913, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.414, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.005, \"Social_capital\": 1.554, \"Religious\": 0.585, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.068, \"Married\": 0.664, \"Longitude\": -99.9864883422852, \"Latitude\": 41.6120452880859}, {\"ID\": 28306, \"Name\": \"North Platte\", \"Mobility\": 0.1227678582, \"State\": \"NE\", \"Population\": 35939, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.038, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.023, \"Commute\": 0.598, \"Income\": 35591, \"Gini\": 0.323, \"Share01\": 7.625, \"Gini_99\": 0.247, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2203.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.038, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 5.513, \"HS_dropout\": -0.004, \"Colleges\": 0.028, \"Tuition\": 1260.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.184, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 1.646, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.172, \"Divorced\": 0.095, \"Married\": 0.618, \"Longitude\": -100.81453704834, \"Latitude\": 41.278678894043}, {\"ID\": 28401, \"Name\": \"Colorado Springs\", \"Mobility\": 0.089342691, \"State\": \"CO\", \"Population\": 587132, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.084, \"Seg_income\": 0.111, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.129, \"Commute\": 0.311, \"Income\": 37765, \"Gini\": 0.404, \"Share01\": 11.252, \"Gini_99\": 0.292, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2739.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.477, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 6.149, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 4922.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.108, \"Chinese_imports\": 1.91, \"Teenage_labor\": 0.005, \"Migration_in\": 0.05, \"Migration_out\": 0.047, \"Foreign_born\": 0.058, \"Social_capital\": -0.169, \"Religious\": 0.365, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.108, \"Married\": 0.594, \"Longitude\": -105.356147766113, \"Latitude\": 38.3224334716797}, {\"ID\": 28402, \"Name\": \"Limon\", \"Mobility\": 0.1785714328, \"State\": \"CO\", \"Population\": 6087, \"Urban\": 0, \"Black\": 0.049, \"Seg_racial\": 0.059, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.631, \"Income\": 25562, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3139.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.838, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.018, \"Social_capital\": -0.17, \"Religious\": 0.346, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.658, \"Longitude\": -103.501205444336, \"Latitude\": 38.9132118225098}, {\"ID\": 28501, \"Name\": \"Springfield\", \"Mobility\": 0.1919191927, \"State\": \"CO\", \"Population\": 4517, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.001, \"Seg_income\": 0.001, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.667, \"Income\": 31260, \"Gini\": 0.305, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3379.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.474, \"Student_teacher_ratio\": 10.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.009, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.024, \"Social_capital\": 0.665, \"Religious\": 0.403, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.09, \"Married\": 0.629, \"Longitude\": -102.721206665039, \"Latitude\": 37.3058547973633}, {\"ID\": 28502, \"Name\": \"Pueblo\", \"Mobility\": 0.0656216815, \"State\": \"CO\", \"Population\": 187782, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.089, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.44, \"Income\": 31075, \"Gini\": 0.442, \"Share01\": 13.04, \"Gini_99\": 0.312, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2410.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.7, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 0.741, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 1795.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.609, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": 0.547, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.247, \"Divorced\": 0.112, \"Married\": 0.555, \"Longitude\": -103.660545349121, \"Latitude\": 38.0061569213867}, {\"ID\": 28503, \"Name\": \"Trinidad\", \"Mobility\": 0.1176470593, \"State\": \"CO\", \"Population\": 23069, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.065, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.579, \"Income\": 30720, \"Gini\": 0.372, \"Share01\": 6.173, \"Gini_99\": 0.31, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3305.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.233, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -3.549, \"HS_dropout\": null, \"Colleges\": 0.043, \"Tuition\": 1386.0, \"Graduation\": 0.091, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 0.505, \"Religious\": 0.708, \"Violent_crime\": 0.003, \"Single_mothers\": 0.242, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -104.934707641602, \"Latitude\": 37.6306228637695}, {\"ID\": 28504, \"Name\": \"Burlington\", \"Mobility\": 0.204651162, \"State\": \"CO\", \"Population\": 11864, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.005, \"Commute\": 0.655, \"Income\": 32575, \"Gini\": 0.354, \"Share01\": 7.888, \"Gini_99\": 0.275, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 3420.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.836, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 8.654, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.052, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.013, \"Foreign_born\": 0.048, \"Social_capital\": 2.048, \"Religious\": 0.634, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.082, \"Married\": 0.633, \"Longitude\": -102.805702209473, \"Latitude\": 38.8101425170898}, {\"ID\": 28601, \"Name\": \"Oberlin\", \"Mobility\": 0.2432432473, \"State\": \"KS\", \"Population\": 6438, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.004, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.645, \"Income\": 36684, \"Gini\": 0.274, \"Share01\": 4.693, \"Gini_99\": 0.227, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2135.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.4, \"Student_teacher_ratio\": 11.2, \"Test_scores\": 15.591, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.579, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.192, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 3.01, \"Religious\": 0.694, \"Violent_crime\": 0.0, \"Single_mothers\": 0.113, \"Divorced\": 0.077, \"Married\": 0.626, \"Longitude\": -100.807014465332, \"Latitude\": 39.7994422912598}, {\"ID\": 28602, \"Name\": \"Norton\", \"Mobility\": 0.1686746925, \"State\": \"KS\", \"Population\": 5953, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.735, \"Income\": 27980, \"Gini\": 0.285, \"Share01\": 5.438, \"Gini_99\": 0.231, \"Middle_class\": 0.658, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2660.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.952, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 17.097, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.496, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.006, \"Social_capital\": 2.706, \"Religious\": 0.593, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.68, \"Longitude\": -99.9901733398438, \"Latitude\": 39.7069816589355}, {\"ID\": 28603, \"Name\": \"Phillipsburg\", \"Mobility\": 0.1486486495, \"State\": \"KS\", \"Population\": 10537, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.007, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.652, \"Income\": 34879, \"Gini\": 0.331, \"Share01\": 10.852, \"Gini_99\": 0.222, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.507, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 15.222, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.098, \"Chinese_imports\": 2.728, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.311, \"Religious\": 0.765, \"Violent_crime\": 0.001, \"Single_mothers\": 0.114, \"Divorced\": 0.06, \"Married\": 0.668, \"Longitude\": -99.084831237793, \"Latitude\": 39.7482604980469}, {\"ID\": 28604, \"Name\": \"Colby\", \"Mobility\": 0.1958762854, \"State\": \"KS\", \"Population\": 17107, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.015, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.008, \"Commute\": 0.72, \"Income\": 36561, \"Gini\": 0.286, \"Share01\": 5.535, \"Gini_99\": 0.231, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3042.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.703, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 9.678, \"HS_dropout\": -0.025, \"Colleges\": 0.058, \"Tuition\": 1056.0, \"Graduation\": 0.147, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 2.534, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.117, \"Divorced\": 0.065, \"Married\": 0.643, \"Longitude\": -100.723945617676, \"Latitude\": 39.066593170166}, {\"ID\": 28605, \"Name\": \"Goodland\", \"Mobility\": 0.1949152499, \"State\": \"KS\", \"Population\": 8509, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.0, \"Commute\": 0.716, \"Income\": 32861, \"Gini\": 0.353, \"Share01\": 11.603, \"Gini_99\": 0.237, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2866.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.592, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -2.205, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.528, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.004, \"Foreign_born\": 0.019, \"Social_capital\": 2.447, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.13, \"Divorced\": 0.061, \"Married\": 0.605, \"Longitude\": -101.69017791748, \"Latitude\": 39.0880584716797}, {\"ID\": 28606, \"Name\": \"Wano\", \"Mobility\": 0.2045454532, \"State\": \"KS\", \"Population\": 5457, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.0, \"Commute\": 0.661, \"Income\": 36524, \"Gini\": 0.245, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2514.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.904, \"Student_teacher_ratio\": 12.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.023, \"Social_capital\": 2.323, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.114, \"Divorced\": 0.065, \"Married\": 0.661, \"Longitude\": -101.708808898926, \"Latitude\": 39.9409866333008}, {\"ID\": 28607, \"Name\": \"McCook\", \"Mobility\": 0.1824561357, \"State\": \"NE\", \"Population\": 19695, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.681, \"Income\": 32797, \"Gini\": 0.339, \"Share01\": 8.313, \"Gini_99\": 0.256, \"Middle_class\": 0.656, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2859.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.169, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 10.092, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.112, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.369, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.084, \"Married\": 0.633, \"Longitude\": -101.12816619873, \"Latitude\": 40.3337936401367}, {\"ID\": 28608, \"Name\": \"Kearney\", \"Mobility\": 0.1644295305, \"State\": \"NE\", \"Population\": 56033, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.068, \"Seg_income\": 0.04, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.049, \"Commute\": 0.603, \"Income\": 31135, \"Gini\": 0.379, \"Share01\": 13.401, \"Gini_99\": 0.245, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1721.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.265, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 10.943, \"HS_dropout\": -0.024, \"Colleges\": 0.018, \"Tuition\": 2243.0, \"Graduation\": 0.173, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.451, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.02, \"Foreign_born\": 0.022, \"Social_capital\": 1.265, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.567, \"Longitude\": -99.045539855957, \"Latitude\": 40.6866874694824}, {\"ID\": 28609, \"Name\": \"Lexington\", \"Mobility\": 0.1652777791, \"State\": \"NE\", \"Population\": 48464, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.308, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.642, \"Income\": 33765, \"Gini\": 0.304, \"Share01\": 6.246, \"Gini_99\": 0.242, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3189.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.039, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 7.094, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 2486.0, \"Graduation\": 0.116, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.083, \"Social_capital\": 1.83, \"Religious\": 0.797, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.073, \"Married\": 0.634, \"Longitude\": -99.8502349853516, \"Latitude\": 40.4506645202637}, {\"ID\": 28701, \"Name\": \"Salida\", \"Mobility\": 0.0894736871, \"State\": \"CO\", \"Population\": 16242, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.032, \"Seg_income\": 0.023, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.029, \"Commute\": 0.644, \"Income\": 33185, \"Gini\": 0.326, \"Share01\": 4.764, \"Gini_99\": 0.279, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1897.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 6.261, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.359, \"Teenage_labor\": 0.008, \"Migration_in\": 0.026, \"Migration_out\": 0.022, \"Foreign_born\": 0.02, \"Social_capital\": 0.35, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.64, \"Longitude\": -106.205490112305, \"Latitude\": 38.7574195861816}, {\"ID\": 28702, \"Name\": \"Glenwood Springs\", \"Mobility\": 0.1690140814, \"State\": \"CO\", \"Population\": 131682, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.035, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.042, \"Commute\": 0.424, \"Income\": 45256, \"Gini\": 0.528, \"Share01\": 29.671, \"Gini_99\": 0.232, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 5292.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 11.906, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -9.601, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1980.0, \"Graduation\": -0.35, \"Labor_force_participation\": 0.782, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.054, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.134, \"Social_capital\": -0.212, \"Religious\": 0.296, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.108, \"Married\": 0.521, \"Longitude\": -106.726539611816, \"Latitude\": 39.4495620727539}, {\"ID\": 28703, \"Name\": \"Granby\", \"Mobility\": 0.0754716992, \"State\": \"CO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.458, \"Income\": 40411, \"Gini\": 0.361, \"Share01\": 8.12, \"Gini_99\": 0.28, \"Middle_class\": 0.579, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 3926.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.111, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.263, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.771, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.247, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": 1.425, \"Religious\": 0.212, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.101, \"Married\": 0.574, \"Longitude\": -106.005493164062, \"Latitude\": 40.1051750183105}, {\"ID\": 28704, \"Name\": \"Laramie\", \"Mobility\": 0.1628664434, \"State\": \"WY\", \"Population\": 33591, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.036, \"Seg_income\": 0.059, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.074, \"Commute\": 0.755, \"Income\": 26024, \"Gini\": 0.457, \"Share01\": 22.854, \"Gini_99\": 0.229, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2985.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.262, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.725, \"HS_dropout\": 0.027, \"Colleges\": 0.06, \"Tuition\": 2166.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.676, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.403, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.041, \"Foreign_born\": 0.038, \"Social_capital\": 0.666, \"Religious\": 0.366, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.087, \"Married\": 0.458, \"Longitude\": -106.113212585449, \"Latitude\": 41.119514465332}, {\"ID\": 28800, \"Name\": \"Fort Collins\", \"Mobility\": 0.1153677776, \"State\": \"CO\", \"Population\": 459601, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.123, \"Seg_income\": 0.08, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.081, \"Commute\": 0.388, \"Income\": 37523, \"Gini\": 0.398, \"Share01\": 10.663, \"Gini_99\": 0.291, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 3164.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.458, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 0.13, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 2261.0, \"Graduation\": 0.129, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.907, \"Teenage_labor\": 0.005, \"Migration_in\": 0.04, \"Migration_out\": 0.03, \"Foreign_born\": 0.068, \"Social_capital\": -0.078, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.093, \"Married\": 0.567, \"Longitude\": -104.999366760254, \"Latitude\": 40.085018157959}, {\"ID\": 28900, \"Name\": \"Denver\", \"Mobility\": 0.0870277509, \"State\": \"CO\", \"Population\": 2449044, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.203, \"Seg_income\": 0.125, \"Seg_poverty\": 0.11, \"Seg_affluence\": 0.136, \"Commute\": 0.23, \"Income\": 46181, \"Gini\": 0.441, \"Share01\": 17.396, \"Gini_99\": 0.267, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3018.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.045, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -5.737, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 5826.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.09, \"Chinese_imports\": 1.228, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.107, \"Social_capital\": 0.317, \"Religious\": 0.392, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.115, \"Married\": 0.542, \"Longitude\": -105.126136779785, \"Latitude\": 39.8737144470215}, {\"ID\": 29001, \"Name\": \"Pratt\", \"Mobility\": 0.1551724076, \"State\": \"KS\", \"Population\": 18232, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.016, \"Seg_income\": 0.004, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.005, \"Commute\": 0.706, \"Income\": 35115, \"Gini\": 0.311, \"Share01\": 6.88, \"Gini_99\": 0.242, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2894.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.334, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 10.643, \"HS_dropout\": -0.027, \"Colleges\": 0.11, \"Tuition\": 1576.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.155, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.012, \"Social_capital\": 2.265, \"Religious\": 0.686, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.08, \"Married\": 0.641, \"Longitude\": -98.84619140625, \"Latitude\": 37.4480171203613}, {\"ID\": 29002, \"Name\": \"Coldwater\", \"Mobility\": null, \"State\": \"KS\", \"Population\": 1967, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.648, \"Income\": 37696, \"Gini\": 0.211, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.05, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 10.5, \"Student_teacher_ratio\": 9.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.059, \"Chinese_imports\": 0.124, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 0.777, \"Religious\": 0.743, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.08, \"Married\": 0.647, \"Longitude\": -99.2806625366211, \"Latitude\": 37.1599464416504}, {\"ID\": 29003, \"Name\": \"Dodge City\", \"Mobility\": 0.1133093536, \"State\": \"KS\", \"Population\": 42837, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.151, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.62, \"Income\": 31771, \"Gini\": 0.373, \"Share01\": 7.995, \"Gini_99\": 0.293, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2324.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.524, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.287, \"HS_dropout\": -0.022, \"Colleges\": 0.023, \"Tuition\": 1024.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.186, \"Social_capital\": 0.719, \"Religious\": 0.52, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.073, \"Married\": 0.605, \"Longitude\": -99.9319229125977, \"Latitude\": 37.6102981567383}, {\"ID\": 29004, \"Name\": \"Great Bend\", \"Mobility\": 0.1312803924, \"State\": \"KS\", \"Population\": 47227, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.59, \"Income\": 33946, \"Gini\": 0.288, \"Share01\": 5.615, \"Gini_99\": 0.232, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2292.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 9.964, \"HS_dropout\": -0.009, \"Colleges\": 0.021, \"Tuition\": 896.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.354, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.037, \"Social_capital\": 1.878, \"Religious\": 0.709, \"Violent_crime\": 0.001, \"Single_mothers\": 0.16, \"Divorced\": 0.091, \"Married\": 0.624, \"Longitude\": -99.0215377807617, \"Latitude\": 38.2106246948242}, {\"ID\": 29005, \"Name\": \"Hutchinson\", \"Mobility\": 0.1073891595, \"State\": \"KS\", \"Population\": 82076, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.082, \"Seg_income\": 0.043, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.047, \"Commute\": 0.522, \"Income\": 33452, \"Gini\": 0.352, \"Share01\": 8.738, \"Gini_99\": 0.265, \"Middle_class\": 0.629, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2086.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.078, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.217, \"HS_dropout\": -0.008, \"Colleges\": 0.024, \"Tuition\": 2482.0, \"Graduation\": -0.036, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.155, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.02, \"Social_capital\": 1.055, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -98.1981658935547, \"Latitude\": 38.2410125732422}, {\"ID\": 29006, \"Name\": \"Hays\", \"Mobility\": 0.1578947306, \"State\": \"KS\", \"Population\": 38196, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.039, \"Seg_income\": 0.031, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.038, \"Commute\": 0.711, \"Income\": 33330, \"Gini\": 0.327, \"Share01\": 8.124, \"Gini_99\": 0.246, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1881.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.468, \"Student_teacher_ratio\": 13.1, \"Test_scores\": 17.463, \"HS_dropout\": -0.012, \"Colleges\": 0.026, \"Tuition\": 1353.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.49, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.55, \"Longitude\": -99.2211227416992, \"Latitude\": 38.9188270568848}, {\"ID\": 29007, \"Name\": \"Township 11\", \"Mobility\": 0.1151079163, \"State\": \"KS\", \"Population\": 8631, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.026, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.63, \"Income\": 34104, \"Gini\": 0.28, \"Share01\": 7.854, \"Gini_99\": 0.202, \"Middle_class\": 0.702, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3309.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.61, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 8.363, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.02, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.009, \"Foreign_born\": 0.005, \"Social_capital\": 1.698, \"Religious\": 0.683, \"Violent_crime\": 0.0, \"Single_mothers\": 0.162, \"Divorced\": 0.09, \"Married\": 0.625, \"Longitude\": -99.6424331665039, \"Latitude\": 39.3125343322754}, {\"ID\": 29008, \"Name\": \"Center\", \"Mobility\": 0.1494252831, \"State\": \"KS\", \"Population\": 5609, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.01, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.671, \"Income\": 38615, \"Gini\": 0.286, \"Share01\": 4.858, \"Gini_99\": 0.238, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.285, \"Student_teacher_ratio\": 10.9, \"Test_scores\": 10.459, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.003, \"Foreign_born\": 0.007, \"Social_capital\": 2.434, \"Religious\": 0.888, \"Violent_crime\": 0.001, \"Single_mothers\": 0.105, \"Divorced\": 0.082, \"Married\": 0.63, \"Longitude\": -100.085990905762, \"Latitude\": 38.479606628418}, {\"ID\": 29101, \"Name\": \"Concordia\", \"Mobility\": 0.152823925, \"State\": \"KS\", \"Population\": 19894, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.009, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.62, \"Income\": 36131, \"Gini\": 0.329, \"Share01\": 9.884, \"Gini_99\": 0.23, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2256.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.398, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 9.956, \"HS_dropout\": -0.034, \"Colleges\": 0.05, \"Tuition\": 1020.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.101, \"Chinese_imports\": 2.339, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.011, \"Social_capital\": 2.373, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.075, \"Married\": 0.614, \"Longitude\": -97.8416595458984, \"Latitude\": 39.680534362793}, {\"ID\": 29102, \"Name\": \"Superior\", \"Mobility\": 0.1863353997, \"State\": \"NE\", \"Population\": 11112, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.008, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.634, \"Income\": 35206, \"Gini\": 0.419, \"Share01\": 20.119, \"Gini_99\": 0.218, \"Middle_class\": 0.685, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2611.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.74, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 10.549, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 2.516, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.064, \"Married\": 0.64, \"Longitude\": -97.8256378173828, \"Latitude\": 40.1240043640137}, {\"ID\": 29103, \"Name\": \"Beloit\", \"Mobility\": 0.1503759325, \"State\": \"KS\", \"Population\": 11384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.014, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.69, \"Income\": 36359, \"Gini\": 0.309, \"Share01\": 9.313, \"Gini_99\": 0.215, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.754, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 14.946, \"HS_dropout\": -0.023, \"Colleges\": 0.088, \"Tuition\": null, \"Graduation\": 0.417, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.23, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.018, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.075, \"Married\": 0.612, \"Longitude\": -98.4854736328125, \"Latitude\": 39.3434638977051}, {\"ID\": 29104, \"Name\": \"Salina\", \"Mobility\": 0.0829986632, \"State\": \"KS\", \"Population\": 63338, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.07, \"Seg_income\": 0.069, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.09, \"Commute\": 0.594, \"Income\": 35541, \"Gini\": 0.375, \"Share01\": 11.286, \"Gini_99\": 0.262, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1964.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.878, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.971, \"HS_dropout\": -0.021, \"Colleges\": 0.032, \"Tuition\": 5400.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.035, \"Social_capital\": 1.742, \"Religious\": 0.546, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.11, \"Married\": 0.59, \"Longitude\": -97.8871536254883, \"Latitude\": 39.0212440490723}, {\"ID\": 29201, \"Name\": \"Hiawatha\", \"Mobility\": 0.1718213111, \"State\": \"KS\", \"Population\": 21441, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.115, \"Seg_income\": 0.008, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.005, \"Commute\": 0.578, \"Income\": 34022, \"Gini\": 0.317, \"Share01\": 8.562, \"Gini_99\": 0.231, \"Middle_class\": 0.68, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1956.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.534, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 15.663, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.139, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": 2.298, \"Religious\": 0.744, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.079, \"Married\": 0.609, \"Longitude\": -95.8358383178711, \"Latitude\": 39.7535018920898}, {\"ID\": 29202, \"Name\": \"Marysville\", \"Mobility\": 0.145228222, \"State\": \"KS\", \"Population\": 17448, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.557, \"Income\": 34953, \"Gini\": 0.346, \"Share01\": 10.779, \"Gini_99\": 0.238, \"Middle_class\": 0.652, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 4099.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.199, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 20.071, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.715, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.009, \"Social_capital\": 2.206, \"Religious\": 0.776, \"Violent_crime\": 0.0, \"Single_mothers\": 0.104, \"Divorced\": 0.065, \"Married\": 0.633, \"Longitude\": -96.8196640014648, \"Latitude\": 39.7686767578125}, {\"ID\": 29203, \"Name\": \"Manhattan\", \"Mobility\": 0.0885311887, \"State\": \"KS\", \"Population\": 143269, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.139, \"Seg_income\": 0.051, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.049, \"Commute\": 0.558, \"Income\": 28788, \"Gini\": 0.324, \"Share01\": 6.743, \"Gini_99\": 0.257, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1680.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.102, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 14.006, \"HS_dropout\": -0.023, \"Colleges\": 0.021, \"Tuition\": 2356.0, \"Graduation\": 0.243, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.14, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.032, \"Foreign_born\": 0.046, \"Social_capital\": -0.177, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.081, \"Married\": 0.538, \"Longitude\": -96.5464096069336, \"Latitude\": 39.08251953125}, {\"ID\": 29204, \"Name\": \"Topeka\", \"Mobility\": 0.0704687983, \"State\": \"KS\", \"Population\": 324513, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.128, \"Seg_income\": 0.087, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.092, \"Commute\": 0.397, \"Income\": 35816, \"Gini\": 0.37, \"Share01\": 9.003, \"Gini_99\": 0.28, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2006.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.66, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 4.064, \"HS_dropout\": -0.006, \"Colleges\": 0.018, \"Tuition\": 3569.0, \"Graduation\": 0.143, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.509, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": 1.13, \"Religious\": 0.397, \"Violent_crime\": 0.0, \"Single_mothers\": 0.216, \"Divorced\": 0.107, \"Married\": 0.533, \"Longitude\": -95.847053527832, \"Latitude\": 39.0243988037109}, {\"ID\": 29301, \"Name\": \"Wichita\", \"Mobility\": 0.0722466931, \"State\": \"KS\", \"Population\": 553506, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.216, \"Seg_income\": 0.102, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.113, \"Commute\": 0.344, \"Income\": 38847, \"Gini\": 0.374, \"Share01\": 12.404, \"Gini_99\": 0.249, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2058.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.149, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -2.99, \"HS_dropout\": 0.01, \"Colleges\": 0.009, \"Tuition\": 2786.0, \"Graduation\": -0.09, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.244, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.018, \"Foreign_born\": 0.056, \"Social_capital\": 0.478, \"Religious\": 0.484, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.114, \"Married\": 0.577, \"Longitude\": -97.5765991210938, \"Latitude\": 37.520824432373}, {\"ID\": 29302, \"Name\": \"Newton\", \"Mobility\": 0.1034965068, \"State\": \"KS\", \"Population\": 75784, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.073, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.015, \"Commute\": 0.563, \"Income\": 36055, \"Gini\": 0.279, \"Share01\": 6.387, \"Gini_99\": 0.215, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2175.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.414, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 14.538, \"HS_dropout\": -0.022, \"Colleges\": 0.079, \"Tuition\": 11661.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.746, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 2.756, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.078, \"Married\": 0.628, \"Longitude\": -97.3318862915039, \"Latitude\": 38.2679824829102}, {\"ID\": 29303, \"Name\": \"Winfield\", \"Mobility\": 0.1098626703, \"State\": \"KS\", \"Population\": 51584, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.05, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.027, \"Commute\": 0.504, \"Income\": 33686, \"Gini\": 0.362, \"Share01\": 12.208, \"Gini_99\": 0.24, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2477.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.473, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 4.974, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3652.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.923, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.021, \"Foreign_born\": 0.02, \"Social_capital\": 0.598, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.102, \"Married\": 0.606, \"Longitude\": -96.3221664428711, \"Latitude\": 37.460880279541}, {\"ID\": 29401, \"Name\": \"Ottawa\", \"Mobility\": 0.0926395953, \"State\": \"KS\", \"Population\": 51067, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.039, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.02, \"Commute\": 0.444, \"Income\": 32282, \"Gini\": 0.302, \"Share01\": 6.638, \"Gini_99\": 0.235, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2317.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.182, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 5.142, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3650.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.182, \"Chinese_imports\": 0.927, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.836, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.101, \"Married\": 0.598, \"Longitude\": -95.3749542236328, \"Latitude\": 38.2016677856445}, {\"ID\": 29402, \"Name\": \"Emporia\", \"Mobility\": 0.1094017103, \"State\": \"KS\", \"Population\": 47830, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.147, \"Seg_income\": 0.033, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.039, \"Commute\": 0.595, \"Income\": 29885, \"Gini\": 0.313, \"Share01\": 6.731, \"Gini_99\": 0.246, \"Middle_class\": 0.63, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2568.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.784, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.357, \"HS_dropout\": -0.023, \"Colleges\": 0.042, \"Tuition\": 1692.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.198, \"Chinese_imports\": 0.225, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.02, \"Foreign_born\": 0.07, \"Social_capital\": 0.753, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.092, \"Married\": 0.558, \"Longitude\": -96.1186904907227, \"Latitude\": 38.3217277526855}, {\"ID\": 29403, \"Name\": \"Bartlesville\", \"Mobility\": 0.089498803, \"State\": \"KS\", \"Population\": 145981, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.099, \"Seg_income\": 0.045, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.053, \"Commute\": 0.529, \"Income\": 34266, \"Gini\": 0.387, \"Share01\": 7.497, \"Gini_99\": 0.312, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.039, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 1.513, \"HS_dropout\": -0.007, \"Colleges\": 0.034, \"Tuition\": 1865.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.122, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.883, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.2, \"Divorced\": 0.107, \"Married\": 0.606, \"Longitude\": -95.5712280273438, \"Latitude\": 37.1653289794922}, {\"ID\": 29501, \"Name\": \"Leavenworth\", \"Mobility\": 0.0803461075, \"State\": \"KS\", \"Population\": 85465, \"Urban\": 1, \"Black\": 0.092, \"Seg_racial\": 0.089, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.072, \"Commute\": 0.425, \"Income\": 33080, \"Gini\": 0.296, \"Share01\": 5.759, \"Gini_99\": 0.239, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1378.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.836, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.203, \"HS_dropout\": 0.0, \"Colleges\": 0.023, \"Tuition\": 12305.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.411, \"Teenage_labor\": 0.005, \"Migration_in\": 0.047, \"Migration_out\": 0.048, \"Foreign_born\": 0.023, \"Social_capital\": -0.548, \"Religious\": 0.378, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.136, \"Married\": 0.564, \"Longitude\": -95.0571975708008, \"Latitude\": 39.2769317626953}, {\"ID\": 29502, \"Name\": \"Kansas City\", \"Mobility\": 0.0701465756, \"State\": \"MO\", \"Population\": 1762873, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.306, \"Seg_income\": 0.121, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.134, \"Commute\": 0.281, \"Income\": 42531, \"Gini\": 0.437, \"Share01\": 14.187, \"Gini_99\": 0.296, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.787, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.508, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.045, \"Social_capital\": 0.185, \"Religious\": 0.487, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.113, \"Married\": 0.556, \"Longitude\": -94.3817443847656, \"Latitude\": 38.8295593261719}, {\"ID\": 29503, \"Name\": \"St. Joseph\", \"Mobility\": 0.0831134543, \"State\": \"MO\", \"Population\": 158300, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.037, \"Commute\": 0.406, \"Income\": 32194, \"Gini\": 0.366, \"Share01\": 8.984, \"Gini_99\": 0.277, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1386.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -0.567, \"HS_dropout\": -0.015, \"Colleges\": 0.019, \"Tuition\": 2148.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": 0.698, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.116, \"Married\": 0.562, \"Longitude\": -94.72216796875, \"Latitude\": 39.8095703125}, {\"ID\": 29504, \"Name\": \"Sedalia\", \"Mobility\": 0.0825631544, \"State\": \"MO\", \"Population\": 88232, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.104, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 31289, \"Gini\": 0.37, \"Share01\": 8.315, \"Gini_99\": 0.287, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2237.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.665, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -2.015, \"HS_dropout\": -0.007, \"Colleges\": 0.011, \"Tuition\": 1950.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.202, \"Chinese_imports\": 2.752, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.018, \"Foreign_born\": 0.017, \"Social_capital\": 0.7, \"Religious\": 0.578, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.116, \"Married\": 0.602, \"Longitude\": -93.558349609375, \"Latitude\": 38.2539405822754}, {\"ID\": 29505, \"Name\": \"Polk\", \"Mobility\": 0.1127450988, \"State\": \"MO\", \"Population\": 33693, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.569, \"Income\": 27754, \"Gini\": 0.312, \"Share01\": 6.424, \"Gini_99\": 0.248, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1336.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.779, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 3.919, \"HS_dropout\": -0.02, \"Colleges\": 0.059, \"Tuition\": 2369.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.169, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.927, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.146, \"Divorced\": 0.077, \"Married\": 0.53, \"Longitude\": -95.2944183349609, \"Latitude\": 40.2349052429199}, {\"ID\": 29506, \"Name\": \"Bethany\", \"Mobility\": 0.1208459213, \"State\": \"MO\", \"Population\": 18093, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.007, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.006, \"Commute\": 0.468, \"Income\": 31181, \"Gini\": 0.295, \"Share01\": 6.668, \"Gini_99\": 0.228, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1696.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.239, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 1.058, \"HS_dropout\": -0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 2.356, \"Religious\": 0.751, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.088, \"Married\": 0.628, \"Longitude\": -94.2919845581055, \"Latitude\": 40.3535690307617}, {\"ID\": 29601, \"Name\": \"Columbia\", \"Mobility\": 0.0655129775, \"State\": \"MO\", \"Population\": 302388, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.131, \"Seg_income\": 0.075, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.068, \"Commute\": 0.422, \"Income\": 32705, \"Gini\": 0.39, \"Share01\": 11.061, \"Gini_99\": 0.279, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1593.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.346, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 1.566, \"HS_dropout\": -0.004, \"Colleges\": 0.033, \"Tuition\": 5571.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.092, \"Chinese_imports\": 2.119, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 1.107, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.102, \"Married\": 0.527, \"Longitude\": -92.4945755004883, \"Latitude\": 38.809684753418}, {\"ID\": 29602, \"Name\": \"Eldon\", \"Mobility\": 0.0677856654, \"State\": \"MO\", \"Population\": 79924, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.023, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.027, \"Commute\": 0.336, \"Income\": 34165, \"Gini\": 0.401, \"Share01\": 7.975, \"Gini_99\": 0.321, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1062.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.582, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.124, \"Chinese_imports\": 1.891, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.011, \"Social_capital\": -0.929, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.106, \"Married\": 0.629, \"Longitude\": -92.6218490600586, \"Latitude\": 38.1600875854492}, {\"ID\": 29700, \"Name\": \"Springfield\", \"Mobility\": 0.0714676157, \"State\": \"MO\", \"Population\": 440866, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.067, \"Seg_income\": 0.073, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.084, \"Commute\": 0.344, \"Income\": 31926, \"Gini\": 0.463, \"Share01\": 12.472, \"Gini_99\": 0.338, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1639.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.77, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 3.364, \"HS_dropout\": 0.002, \"Colleges\": 0.023, \"Tuition\": 5048.0, \"Graduation\": 0.027, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.144, \"Chinese_imports\": 4.333, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 0.311, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.586, \"Longitude\": -92.9565582275391, \"Latitude\": 37.4749717712402}, {\"ID\": 29800, \"Name\": \"Aurora\", \"Mobility\": 0.0748914629, \"State\": \"MO\", \"Population\": 137575, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.053, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.363, \"Income\": 31417, \"Gini\": 0.384, \"Share01\": 9.762, \"Gini_99\": 0.287, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1288.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.398, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -0.8, \"HS_dropout\": 0.001, \"Colleges\": 0.007, \"Tuition\": null, \"Graduation\": 0.263, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.174, \"Chinese_imports\": 5.418, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.161, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.629, \"Longitude\": -93.4975433349609, \"Latitude\": 36.802604675293}, {\"ID\": 29901, \"Name\": \"Joplin\", \"Mobility\": 0.0722867027, \"State\": \"MO\", \"Population\": 266742, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.101, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.026, \"Commute\": 0.454, \"Income\": 30456, \"Gini\": 0.428, \"Share01\": 12.377, \"Gini_99\": 0.304, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1445.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 1.806, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1858.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.212, \"Chinese_imports\": 2.265, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": 0.232, \"Religious\": 0.558, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.111, \"Married\": 0.581, \"Longitude\": -94.7157211303711, \"Latitude\": 37.2266082763672}, {\"ID\": 29902, \"Name\": \"Center\", \"Mobility\": 0.0856643394, \"State\": \"MO\", \"Population\": 54651, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.014, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.467, \"Income\": 28968, \"Gini\": 0.342, \"Share01\": 6.683, \"Gini_99\": 0.275, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.534, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.341, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 8800.0, \"Graduation\": 0.247, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.216, \"Chinese_imports\": 2.036, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.415, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -94.0962448120117, \"Latitude\": 37.7702980041504}, {\"ID\": 30000, \"Name\": \"Russellville\", \"Mobility\": 0.0887360871, \"State\": \"AR\", \"Population\": 138646, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.108, \"Seg_income\": 0.021, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.035, \"Commute\": 0.404, \"Income\": 28758, \"Gini\": 0.444, \"Share01\": 10.927, \"Gini_99\": 0.335, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1303.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.529, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.951, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 3395.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.252, \"Chinese_imports\": 3.638, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.033, \"Social_capital\": -0.927, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.615, \"Longitude\": -93.5011291503906, \"Latitude\": 35.2363166809082}, {\"ID\": 30100, \"Name\": \"Fort Smith\", \"Mobility\": 0.0939385965, \"State\": \"AR\", \"Population\": 332832, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.371, \"Income\": 29347, \"Gini\": 0.441, \"Share01\": 10.514, \"Gini_99\": 0.336, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1414.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.869, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.179, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 1241.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.222, \"Chinese_imports\": 1.529, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.036, \"Social_capital\": -0.835, \"Religious\": 0.619, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.119, \"Married\": 0.602, \"Longitude\": -94.6526184082031, \"Latitude\": 35.1809616088867}, {\"ID\": 30200, \"Name\": \"Muskogee\", \"Mobility\": 0.0631011054, \"State\": \"OK\", \"Population\": 152466, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.113, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.027, \"Commute\": 0.388, \"Income\": 27011, \"Gini\": 0.476, \"Share01\": 14.553, \"Gini_99\": 0.33, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2018.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.189, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.951, \"HS_dropout\": 0.004, \"Colleges\": 0.02, \"Tuition\": 4006.0, \"Graduation\": -0.094, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.018, \"Social_capital\": -0.712, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.117, \"Married\": 0.575, \"Longitude\": -95.3609848022461, \"Latitude\": 35.6208419799805}, {\"ID\": 30300, \"Name\": \"Fayetteville\", \"Mobility\": 0.0918065161, \"State\": \"AR\", \"Population\": 384122, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.151, \"Seg_income\": 0.046, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.378, \"Income\": 32612, \"Gini\": 0.545, \"Share01\": 20.44, \"Gini_99\": 0.341, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1293.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.063, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 1.533, \"HS_dropout\": 0.014, \"Colleges\": 0.008, \"Tuition\": 3621.0, \"Graduation\": 0.105, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.225, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.016, \"Foreign_born\": 0.061, \"Social_capital\": -0.967, \"Religious\": 0.512, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.103, \"Married\": 0.617, \"Longitude\": -93.9666748046875, \"Latitude\": 36.1406059265137}, {\"ID\": 30401, \"Name\": \"Stillwater\", \"Mobility\": 0.0984643176, \"State\": \"OK\", \"Population\": 79601, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.047, \"Seg_income\": 0.072, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.068, \"Commute\": 0.568, \"Income\": 26432, \"Gini\": 0.408, \"Share01\": 8.371, \"Gini_99\": 0.324, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.159, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.166, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1890.0, \"Graduation\": 0.218, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.493, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.033, \"Foreign_born\": 0.04, \"Social_capital\": 0.074, \"Religious\": 0.554, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.089, \"Married\": 0.491, \"Longitude\": -97.0795364379883, \"Latitude\": 36.2519454956055}, {\"ID\": 30402, \"Name\": \"Tulsa\", \"Mobility\": 0.0783574954, \"State\": \"OK\", \"Population\": 921246, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.167, \"Seg_income\": 0.091, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.108, \"Commute\": 0.323, \"Income\": 36227, \"Gini\": 0.493, \"Share01\": 14.218, \"Gini_99\": 0.351, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.642, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -5.513, \"HS_dropout\": 0.016, \"Colleges\": 0.01, \"Tuition\": 4752.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.038, \"Social_capital\": -0.121, \"Religious\": 0.539, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.579, \"Longitude\": -96.0058746337891, \"Latitude\": 36.3555793762207}, {\"ID\": 30403, \"Name\": \"Okmulgee\", \"Mobility\": 0.0810611621, \"State\": \"OK\", \"Population\": 51499, \"Urban\": 1, \"Black\": 0.102, \"Seg_racial\": 0.074, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.025, \"Commute\": 0.369, \"Income\": 26343, \"Gini\": 0.392, \"Share01\": 7.645, \"Gini_99\": 0.316, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.683, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.907, \"HS_dropout\": -0.009, \"Colleges\": 0.019, \"Tuition\": 1320.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.266, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.03, \"Foreign_born\": 0.009, \"Social_capital\": -0.717, \"Religious\": 0.56, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.113, \"Married\": 0.575, \"Longitude\": -96.2062530517578, \"Latitude\": 35.5346832275391}, {\"ID\": 30501, \"Name\": \"Woodward\", \"Mobility\": 0.200000003, \"State\": \"OK\", \"Population\": 26123, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.049, \"Seg_income\": 0.014, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.02, \"Commute\": 0.556, \"Income\": 32076, \"Gini\": 0.36, \"Share01\": 9.308, \"Gini_99\": 0.267, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.339, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.373, \"HS_dropout\": 0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.127, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -0.036, \"Religious\": 0.811, \"Violent_crime\": 0.001, \"Single_mothers\": 0.162, \"Divorced\": 0.102, \"Married\": 0.637, \"Longitude\": -99.5493392944336, \"Latitude\": 36.3311462402344}, {\"ID\": 30502, \"Name\": \"Enid\", \"Mobility\": 0.1492687911, \"State\": \"OK\", \"Population\": 102415, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.079, \"Seg_income\": 0.034, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.561, \"Income\": 31507, \"Gini\": 0.372, \"Share01\": 8.515, \"Gini_99\": 0.287, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.108, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 0.799, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 1584.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.097, \"Chinese_imports\": 0.179, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.78, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.598, \"Longitude\": -98.6559677124023, \"Latitude\": 36.3940048217773}, {\"ID\": 30601, \"Name\": \"El Paso\", \"Mobility\": 0.0864412785, \"State\": \"TX\", \"Population\": 857648, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.169, \"Seg_income\": 0.096, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.106, \"Commute\": 0.28, \"Income\": 25721, \"Gini\": 0.534, \"Share01\": 13.174, \"Gini_99\": 0.403, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.51, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -6.376, \"HS_dropout\": 0.008, \"Colleges\": 0.009, \"Tuition\": 1436.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.129, \"Chinese_imports\": 2.135, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.025, \"Foreign_born\": 0.257, \"Social_capital\": -1.899, \"Religious\": 0.662, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.092, \"Married\": 0.548, \"Longitude\": -105.859382629395, \"Latitude\": 31.5354995727539}, {\"ID\": 30602, \"Name\": \"Alamogordo\", \"Mobility\": 0.0849557519, \"State\": \"NM\", \"Population\": 81709, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.133, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.447, \"Income\": 29489, \"Gini\": 0.38, \"Share01\": 7.508, \"Gini_99\": 0.305, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1520.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.472, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -5.96, \"HS_dropout\": -0.025, \"Colleges\": 0.024, \"Tuition\": 864.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.943, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.029, \"Foreign_born\": 0.081, \"Social_capital\": -0.483, \"Religious\": 0.462, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.111, \"Married\": 0.602, \"Longitude\": -105.501594543457, \"Latitude\": 33.1880378723145}, {\"ID\": 30603, \"Name\": \"Truth or Consequences\", \"Mobility\": 0.081272088, \"State\": \"NM\", \"Population\": 13270, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.009, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.01, \"Commute\": 0.6, \"Income\": 32267, \"Gini\": 0.347, \"Share01\": 5.967, \"Gini_99\": 0.287, \"Middle_class\": 0.457, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1867.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.238, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -18.629, \"HS_dropout\": 0.037, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.066, \"Social_capital\": -1.349, \"Religious\": 0.359, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.146, \"Married\": 0.557, \"Longitude\": -107.568260192871, \"Latitude\": 32.9778213500977}, {\"ID\": 30604, \"Name\": \"Deming\", \"Mobility\": 0.0697278902, \"State\": \"NM\", \"Population\": 61950, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.072, \"Seg_income\": 0.036, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.034, \"Commute\": 0.51, \"Income\": 26356, \"Gini\": 0.381, \"Share01\": 7.628, \"Gini_99\": 0.305, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2356.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.444, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.654, \"HS_dropout\": -0.017, \"Colleges\": 0.016, \"Tuition\": 1262.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.071, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.106, \"Social_capital\": -0.614, \"Religious\": 0.673, \"Violent_crime\": 0.002, \"Single_mothers\": 0.254, \"Divorced\": 0.113, \"Married\": 0.559, \"Longitude\": -107.963706970215, \"Latitude\": 32.6858901977539}, {\"ID\": 30605, \"Name\": \"Van Horn\", \"Mobility\": 0.2234636843, \"State\": \"TX\", \"Population\": 2975, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.753, \"Income\": 21738, \"Gini\": 0.441, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.059, \"Local_gov_spending\": 2144.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.778, \"Student_teacher_ratio\": 13.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.474, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.152, \"Social_capital\": -1.035, \"Religious\": 0.959, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -104.736427307129, \"Latitude\": 31.2084007263184}, {\"ID\": 30701, \"Name\": \"Roswell\", \"Mobility\": 0.1166123748, \"State\": \"NM\", \"Population\": 113040, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.073, \"Seg_income\": 0.037, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.046, \"Commute\": 0.539, \"Income\": 30443, \"Gini\": 0.452, \"Share01\": 10.401, \"Gini_99\": 0.348, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.614, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -10.46, \"HS_dropout\": -0.009, \"Colleges\": 0.035, \"Tuition\": 894.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.08, \"Chinese_imports\": 0.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.085, \"Social_capital\": 0.317, \"Religious\": 0.674, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.109, \"Married\": 0.569, \"Longitude\": -104.325439453125, \"Latitude\": 33.1401672363281}, {\"ID\": 30702, \"Name\": \"Santa Rosa\", \"Mobility\": 0.1204819307, \"State\": \"NM\", \"Population\": 6920, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.152, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.702, \"Income\": 22180, \"Gini\": 0.381, \"Share01\": 11.46, \"Gini_99\": 0.266, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2393.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.364, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -9.72, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.487, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.011, \"Foreign_born\": 0.037, \"Social_capital\": 0.118, \"Religious\": 0.918, \"Violent_crime\": 0.004, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.559, \"Longitude\": -104.565170288086, \"Latitude\": 34.5060882568359}, {\"ID\": 30801, \"Name\": \"Hobbs\", \"Mobility\": 0.1619496793, \"State\": \"NM\", \"Population\": 90061, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.033, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.035, \"Commute\": 0.598, \"Income\": 27195, \"Gini\": 0.428, \"Share01\": 9.764, \"Gini_99\": 0.331, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2154.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.976, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -7.005, \"HS_dropout\": -0.017, \"Colleges\": 0.022, \"Tuition\": 981.0, \"Graduation\": -0.193, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.124, \"Social_capital\": -1.065, \"Religious\": 0.819, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.084, \"Married\": 0.613, \"Longitude\": -103.114616394043, \"Latitude\": 32.8736839294434}, {\"ID\": 30802, \"Name\": \"Lubbock\", \"Mobility\": 0.0673753768, \"State\": \"TX\", \"Population\": 287568, \"Urban\": 1, \"Black\": 0.069, \"Seg_racial\": 0.184, \"Seg_income\": 0.08, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.096, \"Commute\": 0.449, \"Income\": 30597, \"Gini\": 0.525, \"Share01\": 12.472, \"Gini_99\": 0.401, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2460.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.336, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 4.305, \"HS_dropout\": -0.007, \"Colleges\": 0.017, \"Tuition\": 2381.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.037, \"Social_capital\": -0.877, \"Religious\": 0.639, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -101.969863891602, \"Latitude\": 33.3977088928223}, {\"ID\": 30901, \"Name\": \"Clovis\", \"Mobility\": 0.0828157365, \"State\": \"NM\", \"Population\": 73078, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.1, \"Seg_income\": 0.055, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.061, \"Commute\": 0.617, \"Income\": 28205, \"Gini\": 0.436, \"Share01\": 13.37, \"Gini_99\": 0.302, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1511.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.674, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -7.413, \"HS_dropout\": -0.014, \"Colleges\": 0.027, \"Tuition\": 1221.0, \"Graduation\": -0.108, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.13, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.079, \"Social_capital\": -0.742, \"Religious\": 0.639, \"Violent_crime\": 0.001, \"Single_mothers\": 0.214, \"Divorced\": 0.099, \"Married\": 0.587, \"Longitude\": -103.358520507812, \"Latitude\": 34.3509559631348}, {\"ID\": 30902, \"Name\": \"Littlefield\", \"Mobility\": 0.0803662241, \"State\": \"TX\", \"Population\": 29588, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.038, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.607, \"Income\": 29302, \"Gini\": 0.434, \"Share01\": 9.154, \"Gini_99\": 0.342, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.744, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 3.218, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.041, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.022, \"Foreign_born\": 0.093, \"Social_capital\": -0.861, \"Religious\": 0.866, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.619, \"Longitude\": -102.468887329102, \"Latitude\": 34.2419090270996}, {\"ID\": 30903, \"Name\": \"Amarillo\", \"Mobility\": 0.0861367062, \"State\": \"TX\", \"Population\": 240752, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.223, \"Seg_income\": 0.079, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.099, \"Commute\": 0.438, \"Income\": 33188, \"Gini\": 0.51, \"Share01\": 15.757, \"Gini_99\": 0.352, \"Middle_class\": 0.512, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2112.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.695, \"HS_dropout\": -0.005, \"Colleges\": 0.008, \"Tuition\": 1254.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.335, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.066, \"Social_capital\": -0.469, \"Religious\": 0.701, \"Violent_crime\": 0.002, \"Single_mothers\": 0.22, \"Divorced\": 0.107, \"Married\": 0.583, \"Longitude\": -102.076210021973, \"Latitude\": 35.016960144043}, {\"ID\": 30904, \"Name\": \"Pampa\", \"Mobility\": 0.1533333361, \"State\": \"TX\", \"Population\": 57355, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.103, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.06, \"Commute\": 0.549, \"Income\": 33957, \"Gini\": 0.355, \"Share01\": 8.602, \"Gini_99\": 0.269, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.538, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 3.792, \"HS_dropout\": -0.017, \"Colleges\": 0.017, \"Tuition\": 800.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.049, \"Social_capital\": 0.063, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -100.796180725098, \"Latitude\": 35.6877746582031}, {\"ID\": 30905, \"Name\": \"Wellington\", \"Mobility\": 0.1336405575, \"State\": \"TX\", \"Population\": 8490, \"Urban\": 0, \"Black\": 0.036, \"Seg_racial\": 0.04, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.006, \"Commute\": 0.64, \"Income\": 32499, \"Gini\": 0.392, \"Share01\": 6.738, \"Gini_99\": 0.325, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2584.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.345, \"Student_teacher_ratio\": 10.5, \"Test_scores\": 8.86, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.049, \"Social_capital\": 0.756, \"Religious\": 0.809, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.071, \"Married\": 0.655, \"Longitude\": -100.259323120117, \"Latitude\": 35.1179351806641}, {\"ID\": 30906, \"Name\": \"Memphis\", \"Mobility\": 0.1171548143, \"State\": \"TX\", \"Population\": 9400, \"Urban\": 0, \"Black\": 0.052, \"Seg_racial\": 0.071, \"Seg_income\": 0.012, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.013, \"Commute\": 0.601, \"Income\": 29000, \"Gini\": 0.379, \"Share01\": 8.488, \"Gini_99\": 0.294, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.922, \"Student_teacher_ratio\": 10.7, \"Test_scores\": 8.631, \"HS_dropout\": -0.031, \"Colleges\": 0.106, \"Tuition\": 432.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.053, \"Social_capital\": 0.679, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.169, \"Divorced\": 0.087, \"Married\": 0.622, \"Longitude\": -100.850151062012, \"Latitude\": 34.5850830078125}, {\"ID\": 30907, \"Name\": \"Matador\", \"Mobility\": null, \"State\": \"TX\", \"Population\": 1426, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.582, \"Income\": 36160, \"Gini\": 0.471, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1490.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.484, \"Student_teacher_ratio\": 10.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.079, \"Chinese_imports\": 1.061, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.032, \"Social_capital\": 1.841, \"Religious\": 0.82, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.07, \"Married\": 0.646, \"Longitude\": -100.855758666992, \"Latitude\": 34.0759429931641}, {\"ID\": 30908, \"Name\": \"Plainview\", \"Mobility\": 0.0848522931, \"State\": \"TX\", \"Population\": 52751, \"Urban\": 0, \"Black\": 0.053, \"Seg_racial\": 0.068, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.612, \"Income\": 27000, \"Gini\": 0.417, \"Share01\": 7.827, \"Gini_99\": 0.339, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1603.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.729, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 5.612, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7500.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.077, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.072, \"Social_capital\": -0.417, \"Religious\": 0.874, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.615, \"Longitude\": -101.677635192871, \"Latitude\": 34.2349853515625}, {\"ID\": 31001, \"Name\": \"Garden City\", \"Mobility\": 0.1089108884, \"State\": \"KS\", \"Population\": 52031, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.015, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.021, \"Commute\": 0.586, \"Income\": 30158, \"Gini\": 0.37, \"Share01\": 8.429, \"Gini_99\": 0.286, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.047, \"Local_gov_spending\": 2953.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.504, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -1.545, \"HS_dropout\": -0.004, \"Colleges\": 0.019, \"Tuition\": 992.0, \"Graduation\": -0.031, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.018, \"Foreign_born\": 0.207, \"Social_capital\": 0.517, \"Religious\": 0.55, \"Violent_crime\": 0.002, \"Single_mothers\": 0.16, \"Divorced\": 0.079, \"Married\": 0.614, \"Longitude\": -101.044975280762, \"Latitude\": 37.9037780761719}, {\"ID\": 31002, \"Name\": \"Ulysses\", \"Mobility\": 0.190721646, \"State\": \"KS\", \"Population\": 15778, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.019, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.685, \"Income\": 34785, \"Gini\": 0.305, \"Share01\": 5.824, \"Gini_99\": 0.247, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.073, \"Local_gov_spending\": 3487.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 9.888, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -3.071, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.029, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.123, \"Social_capital\": 0.8, \"Religious\": 0.69, \"Violent_crime\": 0.002, \"Single_mothers\": 0.116, \"Divorced\": 0.074, \"Married\": 0.658, \"Longitude\": -101.449340820312, \"Latitude\": 37.4209480285645}, {\"ID\": 31003, \"Name\": \"Scott City\", \"Mobility\": 0.191304341, \"State\": \"KS\", \"Population\": 9185, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.035, \"Seg_income\": 0.004, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.007, \"Commute\": 0.658, \"Income\": 39001, \"Gini\": 0.32, \"Share01\": 5.73, \"Gini_99\": 0.262, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2291.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.577, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 15.348, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.097, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.003, \"Foreign_born\": 0.051, \"Social_capital\": 1.959, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.128, \"Divorced\": 0.075, \"Married\": 0.659, \"Longitude\": -101.361518859863, \"Latitude\": 38.4598960876465}, {\"ID\": 31004, \"Name\": \"Liberal\", \"Mobility\": 0.1211453751, \"State\": \"KS\", \"Population\": 32998, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.16, \"Seg_income\": 0.02, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.033, \"Commute\": 0.642, \"Income\": 30590, \"Gini\": 0.34, \"Share01\": 7.505, \"Gini_99\": 0.265, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2769.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.555, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -8.461, \"HS_dropout\": 0.023, \"Colleges\": 0.03, \"Tuition\": 1024.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.173, \"Chinese_imports\": 0.173, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.209, \"Social_capital\": 1.114, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.147, \"Divorced\": 0.079, \"Married\": 0.626, \"Longitude\": -100.481628417969, \"Latitude\": 37.0461921691895}, {\"ID\": 31005, \"Name\": \"Perryton\", \"Mobility\": 0.2328358144, \"State\": \"TX\", \"Population\": 17432, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.059, \"Seg_income\": 0.008, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.009, \"Commute\": 0.632, \"Income\": 33736, \"Gini\": 0.366, \"Share01\": 8.223, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.59, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 4.529, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.08, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.151, \"Social_capital\": 0.396, \"Religious\": 0.779, \"Violent_crime\": 0.002, \"Single_mothers\": 0.124, \"Divorced\": 0.074, \"Married\": 0.677, \"Longitude\": -100.772438049316, \"Latitude\": 36.3008232116699}, {\"ID\": 31006, \"Name\": \"Guymon\", \"Mobility\": 0.1617021263, \"State\": \"OK\", \"Population\": 29937, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.043, \"Seg_income\": 0.007, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.609, \"Income\": 30685, \"Gini\": 0.339, \"Share01\": 6.358, \"Gini_99\": 0.276, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2403.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.397, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 0.488, \"HS_dropout\": -0.016, \"Colleges\": 0.033, \"Tuition\": 1470.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.12, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.149, \"Social_capital\": 0.789, \"Religious\": 0.843, \"Violent_crime\": 0.003, \"Single_mothers\": 0.125, \"Divorced\": 0.073, \"Married\": 0.641, \"Longitude\": -101.82502746582, \"Latitude\": 36.7060203552246}, {\"ID\": 31007, \"Name\": \"Dumas\", \"Mobility\": 0.1360153258, \"State\": \"TX\", \"Population\": 31880, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.082, \"Seg_income\": 0.021, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.023, \"Commute\": 0.611, \"Income\": 29327, \"Gini\": 0.334, \"Share01\": 5.804, \"Gini_99\": 0.276, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 1967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.242, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 2.879, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.206, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.151, \"Social_capital\": -0.356, \"Religious\": 0.568, \"Violent_crime\": 0.002, \"Single_mothers\": 0.142, \"Divorced\": 0.072, \"Married\": 0.665, \"Longitude\": -102.514724731445, \"Latitude\": 35.9725379943848}, {\"ID\": 31101, \"Name\": \"Victoria\", \"Mobility\": 0.1014729962, \"State\": \"TX\", \"Population\": 165277, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.12, \"Seg_income\": 0.047, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.06, \"Commute\": 0.425, \"Income\": 33599, \"Gini\": 0.472, \"Share01\": 12.592, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2667.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.359, \"HS_dropout\": 0.006, \"Colleges\": 0.006, \"Tuition\": 1194.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.161, \"Chinese_imports\": 0.809, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.449, \"Religious\": 0.703, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.092, \"Married\": 0.592, \"Longitude\": -96.8904342651367, \"Latitude\": 28.643892288208}, {\"ID\": 31102, \"Name\": \"La Grange\", \"Mobility\": 0.114014253, \"State\": \"TX\", \"Population\": 42194, \"Urban\": 0, \"Black\": 0.106, \"Seg_racial\": 0.075, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.457, \"Income\": 36151, \"Gini\": 0.518, \"Share01\": 20.962, \"Gini_99\": 0.309, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1581.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.745, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 2.489, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.068, \"Social_capital\": 0.372, \"Religious\": 0.723, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.069, \"Married\": 0.6, \"Longitude\": -96.6481399536133, \"Latitude\": 29.8095932006836}, {\"ID\": 31103, \"Name\": \"Gonzales\", \"Mobility\": 0.0696202517, \"State\": \"TX\", \"Population\": 18628, \"Urban\": 0, \"Black\": 0.08, \"Seg_racial\": 0.046, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.02, \"Commute\": 0.492, \"Income\": 28893, \"Gini\": 0.442, \"Share01\": 13.004, \"Gini_99\": 0.312, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2045.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.388, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -1.242, \"HS_dropout\": -0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.759, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -0.823, \"Religious\": 0.584, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.088, \"Married\": 0.572, \"Longitude\": -97.4857635498047, \"Latitude\": 29.4550743103027}, {\"ID\": 31201, \"Name\": \"Austin\", \"Mobility\": 0.0693216324, \"State\": \"TX\", \"Population\": 1298076, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.171, \"Seg_income\": 0.138, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.152, \"Commute\": 0.249, \"Income\": 41322, \"Gini\": 0.542, \"Share01\": 22.009, \"Gini_99\": 0.321, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 3399.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.891, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -2.109, \"HS_dropout\": 0.002, \"Colleges\": 0.008, \"Tuition\": 3161.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.139, \"Chinese_imports\": 2.074, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.027, \"Foreign_born\": 0.12, \"Social_capital\": -0.191, \"Religious\": 0.453, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.103, \"Married\": 0.523, \"Longitude\": -97.3492889404297, \"Latitude\": 30.3460788726807}, {\"ID\": 31202, \"Name\": \"Burnet\", \"Mobility\": 0.0947368443, \"State\": \"TX\", \"Population\": 51191, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.03, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.041, \"Commute\": 0.349, \"Income\": 41431, \"Gini\": 0.457, \"Share01\": 11.996, \"Gini_99\": 0.337, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2038.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.983, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 10.297, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.649, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.025, \"Foreign_born\": 0.044, \"Social_capital\": 0.27, \"Religious\": 0.501, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.1, \"Married\": 0.656, \"Longitude\": -98.3323822021484, \"Latitude\": 30.7476081848145}, {\"ID\": 31301, \"Name\": \"San Antonio\", \"Mobility\": 0.0643825904, \"State\": \"TX\", \"Population\": 1724863, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.222, \"Seg_income\": 0.111, \"Seg_poverty\": 0.094, \"Seg_affluence\": 0.128, \"Commute\": 0.242, \"Income\": 34002, \"Gini\": 0.537, \"Share01\": 14.409, \"Gini_99\": 0.393, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.845, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.064, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 6515.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.993, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.024, \"Foreign_born\": 0.097, \"Social_capital\": -0.88, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.232, \"Divorced\": 0.109, \"Married\": 0.543, \"Longitude\": -98.3233032226562, \"Latitude\": 29.3254833221436}, {\"ID\": 31302, \"Name\": \"Beeville\", \"Mobility\": 0.1021594703, \"State\": \"TX\", \"Population\": 47805, \"Urban\": 0, \"Black\": 0.099, \"Seg_racial\": 0.08, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.466, \"Income\": 18313, \"Gini\": 0.462, \"Share01\": 13.835, \"Gini_99\": 0.324, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.794, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 0.022, \"HS_dropout\": -0.014, \"Colleges\": 0.021, \"Tuition\": 720.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.417, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.166, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.025, \"Social_capital\": -0.714, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.098, \"Married\": 0.558, \"Longitude\": -97.6544952392578, \"Latitude\": 28.5498275756836}, {\"ID\": 31303, \"Name\": \"Kerrville\", \"Mobility\": 0.0956375822, \"State\": \"TX\", \"Population\": 64467, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.056, \"Seg_income\": 0.022, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.025, \"Commute\": 0.471, \"Income\": 42197, \"Gini\": 0.481, \"Share01\": 11.13, \"Gini_99\": 0.37, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.5, \"HS_dropout\": -0.005, \"Colleges\": 0.016, \"Tuition\": 11540.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.065, \"Social_capital\": 0.837, \"Religious\": 0.603, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.1, \"Married\": 0.632, \"Longitude\": -99.226936340332, \"Latitude\": 30.1375942230225}, {\"ID\": 31304, \"Name\": \"Mason\", \"Mobility\": 0.1744185984, \"State\": \"TX\", \"Population\": 3738, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.058, \"Seg_income\": 0.015, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.009, \"Commute\": 0.589, \"Income\": 44195, \"Gini\": 0.255, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 1861.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.087, \"Student_teacher_ratio\": 10.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.054, \"Social_capital\": 0.72, \"Religious\": 0.775, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.091, \"Married\": 0.631, \"Longitude\": -99.2017440795898, \"Latitude\": 30.7203540802002}, {\"ID\": 31401, \"Name\": \"Midland\", \"Mobility\": 0.1788869947, \"State\": \"TX\", \"Population\": 262282, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.174, \"Seg_income\": 0.066, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.09, \"Commute\": 0.462, \"Income\": 33502, \"Gini\": 0.524, \"Share01\": 14.337, \"Gini_99\": 0.38, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.923, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.318, \"HS_dropout\": 0.013, \"Colleges\": 0.011, \"Tuition\": 812.0, \"Graduation\": -0.17, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.093, \"Social_capital\": -0.815, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.105, \"Married\": 0.593, \"Longitude\": -102.464363098145, \"Latitude\": 31.5839157104492}, {\"ID\": 31402, \"Name\": \"Pecos\", \"Mobility\": 0.2329545468, \"State\": \"TX\", \"Population\": 31286, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.109, \"Seg_income\": 0.033, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.041, \"Commute\": 0.632, \"Income\": 24735, \"Gini\": 0.431, \"Share01\": 11.584, \"Gini_99\": 0.315, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 2585.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.427, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 1.343, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.118, \"Social_capital\": -1.386, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.619, \"Longitude\": -103.23291015625, \"Latitude\": 31.5871601104736}, {\"ID\": 31403, \"Name\": \"Fort Stockton\", \"Mobility\": 0.2227805704, \"State\": \"TX\", \"Population\": 20908, \"Urban\": 0, \"Black\": 0.034, \"Seg_racial\": 0.081, \"Seg_income\": 0.019, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.021, \"Commute\": 0.664, \"Income\": 22363, \"Gini\": 0.439, \"Share01\": 9.256, \"Gini_99\": 0.347, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 2754.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.336, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -3.859, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.006, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.019, \"Foreign_born\": 0.13, \"Social_capital\": -1.094, \"Religious\": 0.53, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.067, \"Married\": 0.665, \"Longitude\": -102.181854248047, \"Latitude\": 30.8465766906738}, {\"ID\": 31404, \"Name\": \"Alpine\", \"Mobility\": 0.1802656502, \"State\": \"TX\", \"Population\": 18377, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.192, \"Seg_income\": 0.041, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.045, \"Commute\": 0.705, \"Income\": 25586, \"Gini\": 0.442, \"Share01\": 8.578, \"Gini_99\": 0.356, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.333, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -0.945, \"HS_dropout\": -0.007, \"Colleges\": 0.054, \"Tuition\": 960.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.022, \"Foreign_born\": 0.189, \"Social_capital\": -0.263, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -103.635215759277, \"Latitude\": 29.7494506835938}, {\"ID\": 31501, \"Name\": \"Crystal City\", \"Mobility\": 0.0832049325, \"State\": \"TX\", \"Population\": 21848, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.033, \"Seg_income\": 0.02, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.606, \"Income\": 17379, \"Gini\": 0.442, \"Share01\": 10.724, \"Gini_99\": 0.334, \"Middle_class\": 0.285, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2097.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.533, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -8.178, \"HS_dropout\": 0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.489, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.329, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.014, \"Foreign_born\": 0.109, \"Social_capital\": -1.574, \"Religious\": 0.777, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.068, \"Married\": 0.563, \"Longitude\": -99.6863174438477, \"Latitude\": 28.5983295440674}, {\"ID\": 31502, \"Name\": \"Pearsall\", \"Mobility\": 0.09375, \"State\": \"TX\", \"Population\": 22118, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.084, \"Seg_income\": 0.012, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.544, \"Income\": 18365, \"Gini\": 0.445, \"Share01\": 9.465, \"Gini_99\": 0.35, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3074.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.349, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -11.674, \"HS_dropout\": 0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.467, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.334, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.054, \"Social_capital\": -0.801, \"Religious\": 0.882, \"Violent_crime\": 0.003, \"Single_mothers\": 0.222, \"Divorced\": 0.074, \"Married\": 0.607, \"Longitude\": -99.1302490234375, \"Latitude\": 28.5215797424316}, {\"ID\": 31503, \"Name\": \"Laredo\", \"Mobility\": 0.108853586, \"State\": \"TX\", \"Population\": 210580, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.065, \"Seg_income\": 0.088, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.114, \"Commute\": 0.327, \"Income\": 21530, \"Gini\": 0.645, \"Share01\": 21.104, \"Gini_99\": 0.434, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.04, \"Local_gov_spending\": 2257.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.223, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.566, \"HS_dropout\": 0.0, \"Colleges\": 0.009, \"Tuition\": 1058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.281, \"Social_capital\": -2.353, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.058, \"Married\": 0.581, \"Longitude\": -99.1148910522461, \"Latitude\": 27.3538513183594}, {\"ID\": 31600, \"Name\": \"Brownsville\", \"Mobility\": 0.0916091129, \"State\": \"TX\", \"Population\": 978369, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.147, \"Seg_income\": 0.066, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.084, \"Commute\": 0.343, \"Income\": 20392, \"Gini\": 0.577, \"Share01\": 15.093, \"Gini_99\": 0.426, \"Middle_class\": 0.301, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2360.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.028, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.41, \"HS_dropout\": 0.012, \"Colleges\": 0.005, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.282, \"Social_capital\": -2.687, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.06, \"Married\": 0.59, \"Longitude\": -97.8867797851562, \"Latitude\": 26.2901172637939}, {\"ID\": 31700, \"Name\": \"Corpus Christi\", \"Mobility\": 0.1055676043, \"State\": \"TX\", \"Population\": 503493, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.191, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.077, \"Commute\": 0.387, \"Income\": 30127, \"Gini\": 0.528, \"Share01\": 13.484, \"Gini_99\": 0.393, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2263.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.918, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.187, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 1182.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.073, \"Chinese_imports\": 0.176, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.057, \"Social_capital\": -1.032, \"Religious\": 0.545, \"Violent_crime\": 0.002, \"Single_mothers\": 0.229, \"Divorced\": 0.107, \"Married\": 0.542, \"Longitude\": -97.4435424804688, \"Latitude\": 27.7055282592773}, {\"ID\": 31800, \"Name\": \"College Station\", \"Mobility\": 0.0777777806, \"State\": \"TX\", \"Population\": 208437, \"Urban\": 1, \"Black\": 0.13, \"Seg_racial\": 0.16, \"Seg_income\": 0.082, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.09, \"Commute\": 0.451, \"Income\": 26268, \"Gini\": 0.486, \"Share01\": 10.991, \"Gini_99\": 0.376, \"Middle_class\": 0.497, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2210.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.227, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 1.182, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 2400.0, \"Graduation\": 0.408, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.031, \"Foreign_born\": 0.086, \"Social_capital\": -1.111, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.22, \"Divorced\": 0.07, \"Married\": 0.481, \"Longitude\": -96.4033737182617, \"Latitude\": 30.6951713562012}, {\"ID\": 31900, \"Name\": \"Pearland\", \"Mobility\": 0.1157161221, \"State\": \"TX\", \"Population\": 320912, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.091, \"Seg_income\": 0.067, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.078, \"Commute\": 0.291, \"Income\": 34849, \"Gini\": 0.401, \"Share01\": 7.742, \"Gini_99\": 0.324, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1988.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.65, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 10.619, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 391.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.874, \"Teenage_labor\": 0.003, \"Migration_in\": 0.043, \"Migration_out\": 0.032, \"Foreign_born\": 0.084, \"Social_capital\": -1.568, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.168, \"Divorced\": 0.099, \"Married\": 0.601, \"Longitude\": -95.8137359619141, \"Latitude\": 29.2001705169678}, {\"ID\": 32000, \"Name\": \"Houston\", \"Mobility\": 0.0927379802, \"State\": \"TX\", \"Population\": 4504013, \"Urban\": 1, \"Black\": 0.171, \"Seg_racial\": 0.281, \"Seg_income\": 0.13, \"Seg_poverty\": 0.105, \"Seg_affluence\": 0.154, \"Commute\": 0.21, \"Income\": 38963, \"Gini\": 0.564, \"Share01\": 17.512, \"Gini_99\": 0.389, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.791, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.559, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 2535.0, \"Graduation\": -0.212, \"Labor_force_participation\": 0.655, \"Manufacturing\": 0.118, \"Chinese_imports\": 0.455, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.02, \"Foreign_born\": 0.195, \"Social_capital\": -1.829, \"Religious\": 0.498, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.096, \"Married\": 0.557, \"Longitude\": -95.5459060668945, \"Latitude\": 29.9028282165527}, {\"ID\": 32100, \"Name\": \"Beaumont\", \"Mobility\": 0.094970569, \"State\": \"TX\", \"Population\": 497770, \"Urban\": 1, \"Black\": 0.225, \"Seg_racial\": 0.295, \"Seg_income\": 0.053, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.056, \"Commute\": 0.337, \"Income\": 31840, \"Gini\": 0.476, \"Share01\": 11.668, \"Gini_99\": 0.36, \"Middle_class\": 0.483, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1992.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.083, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 6575.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.418, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": -0.95, \"Religious\": 0.621, \"Violent_crime\": 0.002, \"Single_mothers\": 0.246, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -94.03515625, \"Latitude\": 30.648624420166}, {\"ID\": 32201, \"Name\": \"Huntsville\", \"Mobility\": 0.0773425847, \"State\": \"TX\", \"Population\": 191792, \"Urban\": 0, \"Black\": 0.195, \"Seg_racial\": 0.124, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.411, \"Income\": 25251, \"Gini\": 0.505, \"Share01\": 13.918, \"Gini_99\": 0.365, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2423.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.359, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.851, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 1219.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.129, \"Chinese_imports\": 0.178, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.024, \"Foreign_born\": 0.052, \"Social_capital\": -1.386, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.224, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -95.265251159668, \"Latitude\": 31.2139835357666}, {\"ID\": 32202, \"Name\": \"Nacogdoches\", \"Mobility\": 0.093918398, \"State\": \"TX\", \"Population\": 103842, \"Urban\": 0, \"Black\": 0.175, \"Seg_racial\": 0.141, \"Seg_income\": 0.039, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.042, \"Commute\": 0.439, \"Income\": 28783, \"Gini\": 0.508, \"Share01\": 13.012, \"Gini_99\": 0.377, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1749.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.958, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 1.487, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 960.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.757, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -1.496, \"Religious\": 0.579, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.088, \"Married\": 0.555, \"Longitude\": -94.1027450561523, \"Latitude\": 31.5270881652832}, {\"ID\": 32301, \"Name\": \"San Angelo\", \"Mobility\": 0.0863864273, \"State\": \"TX\", \"Population\": 113973, \"Urban\": 1, \"Black\": 0.037, \"Seg_racial\": 0.113, \"Seg_income\": 0.051, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.057, \"Commute\": 0.479, \"Income\": 31936, \"Gini\": 0.467, \"Share01\": 11.329, \"Gini_99\": 0.354, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.299, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 3.469, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 1416.0, \"Graduation\": -0.064, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.034, \"Foreign_born\": 0.061, \"Social_capital\": -0.388, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.565, \"Longitude\": -100.759674072266, \"Latitude\": 31.4733448028564}, {\"ID\": 32302, \"Name\": \"Brady\", \"Mobility\": 0.1181434616, \"State\": \"TX\", \"Population\": 23666, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.577, \"Income\": 27666, \"Gini\": 0.466, \"Share01\": 14.675, \"Gini_99\": 0.319, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.125, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 7.546, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.52, \"Manufacturing\": 0.135, \"Chinese_imports\": 0.454, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": -0.828, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.077, \"Married\": 0.655, \"Longitude\": -99.5421981811523, \"Latitude\": 31.4680957794189}, {\"ID\": 32303, \"Name\": \"Junction\", \"Mobility\": 0.0734693855, \"State\": \"TX\", \"Population\": 6828, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.05, \"Seg_income\": 0.032, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.542, \"Income\": 35219, \"Gini\": 0.394, \"Share01\": 5.439, \"Gini_99\": 0.34, \"Middle_class\": 0.433, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.72, \"Student_teacher_ratio\": 11.4, \"Test_scores\": 16.151, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.402, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.054, \"Social_capital\": -0.369, \"Religious\": 0.568, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.112, \"Married\": 0.606, \"Longitude\": -99.7238006591797, \"Latitude\": 30.6518516540527}, {\"ID\": 32304, \"Name\": \"Uvalde\", \"Mobility\": 0.0968436152, \"State\": \"TX\", \"Population\": 35212, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.117, \"Seg_income\": 0.015, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.58, \"Income\": 26771, \"Gini\": 0.535, \"Share01\": 13.255, \"Gini_99\": 0.403, \"Middle_class\": 0.406, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.031, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -2.206, \"HS_dropout\": 0.006, \"Colleges\": 0.028, \"Tuition\": 466.0, \"Graduation\": -0.139, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.161, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.022, \"Foreign_born\": 0.107, \"Social_capital\": -0.435, \"Religious\": 0.872, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.076, \"Married\": 0.614, \"Longitude\": -100.020957946777, \"Latitude\": 29.9200191497803}, {\"ID\": 32305, \"Name\": \"Del Rio\", \"Mobility\": 0.1230604574, \"State\": \"TX\", \"Population\": 49316, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.144, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.068, \"Commute\": 0.515, \"Income\": 24076, \"Gini\": 0.482, \"Share01\": 7.013, \"Gini_99\": 0.412, \"Middle_class\": 0.367, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2350.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.212, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -4.028, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.029, \"Foreign_born\": 0.223, \"Social_capital\": -1.797, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.183, \"Divorced\": 0.065, \"Married\": 0.619, \"Longitude\": -101.532440185547, \"Latitude\": 30.0164203643799}, {\"ID\": 32306, \"Name\": \"Eagle Pass\", \"Mobility\": 0.100081034, \"State\": \"TX\", \"Population\": 47297, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.041, \"Commute\": 0.526, \"Income\": 18470, \"Gini\": 0.42, \"Share01\": 9.534, \"Gini_99\": 0.324, \"Middle_class\": 0.287, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.012, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.101, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.378, \"Social_capital\": -2.985, \"Religious\": 0.347, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.047, \"Married\": 0.616, \"Longitude\": -100.34016418457, \"Latitude\": 28.5439357757568}, {\"ID\": 32401, \"Name\": \"Big Spring\", \"Mobility\": 0.1144414172, \"State\": \"TX\", \"Population\": 54073, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.103, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.038, \"Commute\": 0.633, \"Income\": 26412, \"Gini\": 0.447, \"Share01\": 10.352, \"Gini_99\": 0.344, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 2934.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.082, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.588, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 552.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.116, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.063, \"Social_capital\": -0.701, \"Religious\": 0.706, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.085, \"Married\": 0.626, \"Longitude\": -101.563087463379, \"Latitude\": 32.1483917236328}, {\"ID\": 32402, \"Name\": \"Sweetwater\", \"Mobility\": 0.1220285296, \"State\": \"TX\", \"Population\": 20146, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.084, \"Seg_income\": 0.041, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.051, \"Commute\": 0.588, \"Income\": 28676, \"Gini\": 0.417, \"Share01\": 7.36, \"Gini_99\": 0.344, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1820.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.216, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 13.841, \"HS_dropout\": -0.01, \"Colleges\": 0.05, \"Tuition\": 1176.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.326, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.037, \"Social_capital\": -0.553, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.244, \"Divorced\": 0.092, \"Married\": 0.588, \"Longitude\": -100.380096435547, \"Latitude\": 32.4817771911621}, {\"ID\": 32403, \"Name\": \"Snyder\", \"Mobility\": 0.1560891867, \"State\": \"TX\", \"Population\": 26918, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.066, \"Seg_income\": 0.024, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.608, \"Income\": 26045, \"Gini\": 0.373, \"Share01\": 7.916, \"Gini_99\": 0.294, \"Middle_class\": 0.567, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 2009.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.856, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 0.891, \"HS_dropout\": -0.009, \"Colleges\": 0.037, \"Tuition\": 750.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.069, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.439, \"Religious\": 0.715, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.088, \"Married\": 0.594, \"Longitude\": -100.849517822266, \"Latitude\": 32.726921081543}, {\"ID\": 32501, \"Name\": \"Abilene\", \"Mobility\": 0.1032919884, \"State\": \"TX\", \"Population\": 191518, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.123, \"Seg_income\": 0.066, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.08, \"Commute\": 0.487, \"Income\": 29968, \"Gini\": 0.449, \"Share01\": 11.684, \"Gini_99\": 0.332, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1846.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.929, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 11.0, \"HS_dropout\": -0.01, \"Colleges\": 0.031, \"Tuition\": 7843.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.408, \"Religious\": 0.676, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -99.2288284301758, \"Latitude\": 32.4658317565918}, {\"ID\": 32502, \"Name\": \"Childress\", \"Mobility\": 0.0782608688, \"State\": \"TX\", \"Population\": 9592, \"Urban\": 0, \"Black\": 0.13, \"Seg_racial\": 0.055, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.011, \"Commute\": 0.757, \"Income\": 23872, \"Gini\": 0.336, \"Share01\": 4.029, \"Gini_99\": 0.296, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2093.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.916, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 7.926, \"HS_dropout\": -0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.459, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.005, \"Foreign_born\": 0.046, \"Social_capital\": 0.165, \"Religious\": 0.736, \"Violent_crime\": 0.001, \"Single_mothers\": 0.241, \"Divorced\": 0.06, \"Married\": 0.695, \"Longitude\": -100.163948059082, \"Latitude\": 34.2973518371582}, {\"ID\": 32503, \"Name\": \"Haskell\", \"Mobility\": 0.1690140814, \"State\": \"TX\", \"Population\": 15157, \"Urban\": 0, \"Black\": 0.048, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.612, \"Income\": 29543, \"Gini\": 0.389, \"Share01\": 5.069, \"Gini_99\": 0.338, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2378.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.916, \"Student_teacher_ratio\": 10.3, \"Test_scores\": 10.797, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.516, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.01, \"Foreign_born\": 0.041, \"Social_capital\": 0.115, \"Religious\": 1.049, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.073, \"Married\": 0.659, \"Longitude\": -99.8993225097656, \"Latitude\": 33.619556427002}, {\"ID\": 32601, \"Name\": \"Wichita Falls\", \"Mobility\": 0.0966044962, \"State\": \"TX\", \"Population\": 151524, \"Urban\": 1, \"Black\": 0.088, \"Seg_racial\": 0.148, \"Seg_income\": 0.057, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.055, \"Commute\": 0.441, \"Income\": 30238, \"Gini\": 0.419, \"Share01\": 12.378, \"Gini_99\": 0.296, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1618.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.821, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 6.765, \"HS_dropout\": -0.014, \"Colleges\": 0.007, \"Tuition\": 1200.0, \"Graduation\": -0.096, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.037, \"Foreign_born\": 0.047, \"Social_capital\": -0.171, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.108, \"Married\": 0.587, \"Longitude\": -98.3824691772461, \"Latitude\": 33.9784851074219}, {\"ID\": 32602, \"Name\": \"Graham\", \"Mobility\": 0.1759398431, \"State\": \"TX\", \"Population\": 28556, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.068, \"Seg_income\": 0.013, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.01, \"Commute\": 0.548, \"Income\": 31567, \"Gini\": 0.386, \"Share01\": 8.506, \"Gini_99\": 0.301, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2295.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.504, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 10.139, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.093, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": -0.026, \"Religious\": 0.802, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.093, \"Married\": 0.64, \"Longitude\": -98.5917892456055, \"Latitude\": 33.1651992797852}, {\"ID\": 32603, \"Name\": \"Seymour\", \"Mobility\": 0.0860215053, \"State\": \"TX\", \"Population\": 4093, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.01, \"Seg_income\": 0.018, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.004, \"Commute\": 0.674, \"Income\": 35578, \"Gini\": 0.4, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2829.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.971, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.498, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.14, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.837, \"Religious\": 1.017, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.622, \"Longitude\": -99.2113494873047, \"Latitude\": 33.5981521606445}, {\"ID\": 32604, \"Name\": \"Vernon\", \"Mobility\": 0.0880733952, \"State\": \"TX\", \"Population\": 21022, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.058, \"Seg_income\": 0.025, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.033, \"Commute\": 0.678, \"Income\": 32588, \"Gini\": 0.615, \"Share01\": 32.43, \"Gini_99\": 0.291, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2126.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.626, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -1.516, \"HS_dropout\": -0.022, \"Colleges\": 0.048, \"Tuition\": 720.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.29, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -0.308, \"Religious\": 0.869, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.084, \"Married\": 0.607, \"Longitude\": -99.5828475952148, \"Latitude\": 34.1137962341309}, {\"ID\": 32701, \"Name\": \"Brownwood\", \"Mobility\": 0.1086637303, \"State\": \"TX\", \"Population\": 58246, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.063, \"Seg_income\": 0.028, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.028, \"Commute\": 0.495, \"Income\": 30586, \"Gini\": 0.408, \"Share01\": 9.849, \"Gini_99\": 0.31, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.841, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 9.944, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 8400.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.153, \"Chinese_imports\": 1.168, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": -0.565, \"Religious\": 0.714, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.104, \"Married\": 0.609, \"Longitude\": -99.0878524780273, \"Latitude\": 31.3928127288818}, {\"ID\": 32702, \"Name\": \"Stephenville\", \"Mobility\": 0.1141975299, \"State\": \"TX\", \"Population\": 55256, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.523, \"Income\": 30856, \"Gini\": 0.453, \"Share01\": 13.86, \"Gini_99\": 0.315, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1531.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.216, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 7.532, \"HS_dropout\": -0.016, \"Colleges\": 0.018, \"Tuition\": 1608.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.068, \"Social_capital\": -0.963, \"Religious\": 0.607, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.076, \"Married\": 0.62, \"Longitude\": -98.3416976928711, \"Latitude\": 31.9958343505859}, {\"ID\": 32801, \"Name\": \"Waco\", \"Mobility\": 0.0675374344, \"State\": \"TX\", \"Population\": 281618, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.191, \"Seg_income\": 0.105, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.101, \"Commute\": 0.363, \"Income\": 31690, \"Gini\": 0.492, \"Share01\": 12.76, \"Gini_99\": 0.364, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1729.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.56, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.721, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 6505.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.902, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.021, \"Foreign_born\": 0.059, \"Social_capital\": -0.468, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.098, \"Married\": 0.557, \"Longitude\": -97.3319702148438, \"Latitude\": 31.7745532989502}, {\"ID\": 32802, \"Name\": \"Corsicana\", \"Mobility\": 0.1013043448, \"State\": \"TX\", \"Population\": 100377, \"Urban\": 0, \"Black\": 0.166, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.377, \"Income\": 29976, \"Gini\": 0.418, \"Share01\": 7.452, \"Gini_99\": 0.343, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1739.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.463, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 1.524, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 540.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.022, \"Foreign_born\": 0.065, \"Social_capital\": -1.163, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.095, \"Married\": 0.598, \"Longitude\": -96.0071182250977, \"Latitude\": 31.6485042572021}, {\"ID\": 32900, \"Name\": \"Killeen\", \"Mobility\": 0.0772482678, \"State\": \"TX\", \"Population\": 330714, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.091, \"Seg_income\": 0.059, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.064, \"Commute\": 0.383, \"Income\": 28336, \"Gini\": 0.369, \"Share01\": 8.11, \"Gini_99\": 0.288, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.49, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.108, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 3269.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.092, \"Chinese_imports\": 1.342, \"Teenage_labor\": 0.003, \"Migration_in\": 0.05, \"Migration_out\": 0.052, \"Foreign_born\": 0.068, \"Social_capital\": -2.246, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.098, \"Married\": 0.602, \"Longitude\": -98.1207427978516, \"Latitude\": 31.1772727966309}, {\"ID\": 33000, \"Name\": \"Fort Worth\", \"Mobility\": 0.0913628563, \"State\": \"TX\", \"Population\": 1804370, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.23, \"Seg_income\": 0.114, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.131, \"Commute\": 0.24, \"Income\": 39232, \"Gini\": 0.496, \"Share01\": 15.257, \"Gini_99\": 0.343, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2338.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.928, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.276, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 4313.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.834, \"Teenage_labor\": 0.004, \"Migration_in\": 0.038, \"Migration_out\": 0.032, \"Foreign_born\": 0.109, \"Social_capital\": -1.102, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.11, \"Married\": 0.579, \"Longitude\": -97.7361831665039, \"Latitude\": 32.9755783081055}, {\"ID\": 33100, \"Name\": \"Dallas\", \"Mobility\": 0.0710824654, \"State\": \"TX\", \"Population\": 3405666, \"Urban\": 1, \"Black\": 0.151, \"Seg_racial\": 0.262, \"Seg_income\": 0.134, \"Seg_poverty\": 0.112, \"Seg_affluence\": 0.154, \"Commute\": 0.218, \"Income\": 43436, \"Gini\": 0.561, \"Share01\": 19.639, \"Gini_99\": 0.364, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.018, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -1.675, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 4829.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.029, \"Foreign_born\": 0.172, \"Social_capital\": -1.179, \"Religious\": 0.526, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -96.9760665893555, \"Latitude\": 33.3759765625}, {\"ID\": 33200, \"Name\": \"Paris\", \"Mobility\": 0.0767123252, \"State\": \"TX\", \"Population\": 185835, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.39, \"Income\": 32552, \"Gini\": 0.418, \"Share01\": 9.075, \"Gini_99\": 0.327, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.042, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.65, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 1551.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.025, \"Foreign_born\": 0.038, \"Social_capital\": -0.884, \"Religious\": 0.592, \"Violent_crime\": 0.003, \"Single_mothers\": 0.212, \"Divorced\": 0.107, \"Married\": 0.597, \"Longitude\": -95.3130340576172, \"Latitude\": 33.589714050293}, {\"ID\": 33300, \"Name\": \"Tyler\", \"Mobility\": 0.0951065049, \"State\": \"TX\", \"Population\": 434643, \"Urban\": 1, \"Black\": 0.142, \"Seg_racial\": 0.2, \"Seg_income\": 0.032, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 32245, \"Gini\": 0.483, \"Share01\": 11.932, \"Gini_99\": 0.364, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.168, \"Student_teacher_ratio\": 15.0, \"Test_scores\": 3.891, \"HS_dropout\": -0.009, \"Colleges\": 0.018, \"Tuition\": 1469.0, \"Graduation\": -0.203, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.334, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.052, \"Social_capital\": -0.807, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.097, \"Married\": 0.621, \"Longitude\": -95.6436920166016, \"Latitude\": 32.015209197998}, {\"ID\": 33400, \"Name\": \"Longview\", \"Mobility\": 0.1141970754, \"State\": \"TX\", \"Population\": 289849, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.121, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.361, \"Income\": 32365, \"Gini\": 0.47, \"Share01\": 11.649, \"Gini_99\": 0.354, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1733.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 4.051, \"HS_dropout\": -0.008, \"Colleges\": 0.017, \"Tuition\": 3851.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.157, \"Chinese_imports\": 1.02, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": -0.387, \"Religious\": 0.622, \"Violent_crime\": 0.003, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.593, \"Longitude\": -94.6648025512695, \"Latitude\": 32.3712310791016}, {\"ID\": 33500, \"Name\": \"Texarkana\", \"Mobility\": 0.0788930878, \"State\": \"TX\", \"Population\": 235988, \"Urban\": 1, \"Black\": 0.201, \"Seg_racial\": 0.163, \"Seg_income\": 0.039, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.399, \"Income\": 31309, \"Gini\": 0.458, \"Share01\": 10.247, \"Gini_99\": 0.356, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.48, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.345, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 659.0, \"Graduation\": -0.207, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.163, \"Chinese_imports\": 0.733, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.856, \"Religious\": 0.657, \"Violent_crime\": 0.003, \"Single_mothers\": 0.252, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -94.2661209106445, \"Latitude\": 33.4860382080078}, {\"ID\": 33601, \"Name\": \"Lawton\", \"Mobility\": 0.1048808843, \"State\": \"OK\", \"Population\": 171610, \"Urban\": 1, \"Black\": 0.131, \"Seg_racial\": 0.105, \"Seg_income\": 0.057, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.058, \"Commute\": 0.472, \"Income\": 27931, \"Gini\": 0.389, \"Share01\": 8.63, \"Gini_99\": 0.303, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1627.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.616, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.779, \"HS_dropout\": -0.009, \"Colleges\": 0.006, \"Tuition\": 1470.0, \"Graduation\": -0.167, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.569, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.035, \"Foreign_born\": 0.043, \"Social_capital\": -1.228, \"Religious\": 0.653, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.11, \"Married\": 0.578, \"Longitude\": -98.0752716064453, \"Latitude\": 34.1608734130859}, {\"ID\": 33602, \"Name\": \"Altus\", \"Mobility\": 0.1121495292, \"State\": \"OK\", \"Population\": 48010, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.081, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.621, \"Income\": 28343, \"Gini\": 0.376, \"Share01\": 7.529, \"Gini_99\": 0.301, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2464.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.88, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 5.331, \"HS_dropout\": -0.004, \"Colleges\": 0.021, \"Tuition\": 1440.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.503, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.023, \"Foreign_born\": 0.034, \"Social_capital\": -0.928, \"Religious\": 0.894, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.11, \"Married\": 0.592, \"Longitude\": -99.3089218139648, \"Latitude\": 34.6671600341797}, {\"ID\": 33603, \"Name\": \"Frederick\", \"Mobility\": 0.0743034035, \"State\": \"OK\", \"Population\": 9287, \"Urban\": 0, \"Black\": 0.089, \"Seg_racial\": 0.02, \"Seg_income\": 0.011, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.022, \"Commute\": 0.538, \"Income\": 29047, \"Gini\": 0.311, \"Share01\": 5.457, \"Gini_99\": 0.256, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.161, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -8.75, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.512, \"Manufacturing\": 0.151, \"Chinese_imports\": 2.565, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.043, \"Social_capital\": -0.338, \"Religious\": 0.97, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.616, \"Longitude\": -99.0044326782227, \"Latitude\": 34.3735809326172}, {\"ID\": 33700, \"Name\": \"Ardmore\", \"Mobility\": 0.1107882336, \"State\": \"OK\", \"Population\": 117982, \"Urban\": 0, \"Black\": 0.042, \"Seg_racial\": 0.077, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 29691, \"Gini\": 0.412, \"Share01\": 9.046, \"Gini_99\": 0.321, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1642.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.889, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.527, \"HS_dropout\": -0.007, \"Colleges\": 0.008, \"Tuition\": 882.0, \"Graduation\": -0.166, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.998, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": -0.366, \"Religious\": 0.761, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.609, \"Longitude\": -97.0431671142578, \"Latitude\": 34.0510444641113}, {\"ID\": 33801, \"Name\": \"Elk City\", \"Mobility\": 0.1871988922, \"State\": \"OK\", \"Population\": 60885, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.076, \"Seg_income\": 0.024, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.032, \"Commute\": 0.604, \"Income\": 28315, \"Gini\": 0.378, \"Share01\": 6.759, \"Gini_99\": 0.31, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1895.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.11, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 1.21, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 1485.0, \"Graduation\": -0.007, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.076, \"Chinese_imports\": 1.884, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": -0.062, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.102, \"Married\": 0.562, \"Longitude\": -99.3613891601562, \"Latitude\": 35.531982421875}, {\"ID\": 33802, \"Name\": \"Chickasha\", \"Mobility\": 0.1154462844, \"State\": \"OK\", \"Population\": 75666, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.152, \"Seg_income\": 0.042, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.051, \"Commute\": 0.382, \"Income\": 28080, \"Gini\": 0.393, \"Share01\": 7.397, \"Gini_99\": 0.319, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.913, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.818, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.016, \"Social_capital\": -0.745, \"Religious\": 0.712, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.111, \"Married\": 0.597, \"Longitude\": -98.0712890625, \"Latitude\": 35.2133979797363}, {\"ID\": 33803, \"Name\": \"Oklahoma City\", \"Mobility\": 0.0820752904, \"State\": \"OK\", \"Population\": 1154246, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.17, \"Seg_income\": 0.096, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.107, \"Commute\": 0.305, \"Income\": 34352, \"Gini\": 0.477, \"Share01\": 12.936, \"Gini_99\": 0.348, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.512, \"HS_dropout\": 0.018, \"Colleges\": 0.017, \"Tuition\": 3426.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.364, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.054, \"Social_capital\": -0.49, \"Religious\": 0.596, \"Violent_crime\": 0.001, \"Single_mothers\": 0.234, \"Divorced\": 0.122, \"Married\": 0.549, \"Longitude\": -97.1959533691406, \"Latitude\": 35.4306831359863}, {\"ID\": 33901, \"Name\": \"Ada\", \"Mobility\": 0.1167294234, \"State\": \"OK\", \"Population\": 69207, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.033, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.033, \"Commute\": 0.458, \"Income\": 25140, \"Gini\": 0.427, \"Share01\": 9.299, \"Gini_99\": 0.334, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2173.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.012, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -3.446, \"HS_dropout\": 0.008, \"Colleges\": 0.014, \"Tuition\": 1470.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.02, \"Foreign_born\": 0.011, \"Social_capital\": -0.078, \"Religious\": 0.626, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.112, \"Married\": 0.594, \"Longitude\": -96.4050521850586, \"Latitude\": 34.7829170227051}, {\"ID\": 33902, \"Name\": \"Sherman\", \"Mobility\": 0.0884798095, \"State\": \"TX\", \"Population\": 178371, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.122, \"Seg_income\": 0.035, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.036, \"Commute\": 0.372, \"Income\": 32930, \"Gini\": 0.412, \"Share01\": 8.671, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.715, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.063, \"HS_dropout\": -0.01, \"Colleges\": 0.017, \"Tuition\": 4705.0, \"Graduation\": 0.0, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.18, \"Chinese_imports\": 1.282, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.032, \"Social_capital\": -0.678, \"Religious\": 0.641, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.584, \"Longitude\": -96.4016571044922, \"Latitude\": 33.860767364502}, {\"ID\": 34001, \"Name\": \"Hot Springs\", \"Mobility\": 0.0707567334, \"State\": \"AR\", \"Population\": 210357, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.176, \"Seg_income\": 0.03, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.024, \"Commute\": 0.384, \"Income\": 31877, \"Gini\": 0.473, \"Share01\": 12.163, \"Gini_99\": 0.352, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1323.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.738, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.747, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 3910.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.199, \"Chinese_imports\": 2.903, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -0.572, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.226, \"Divorced\": 0.114, \"Married\": 0.591, \"Longitude\": -93.462532043457, \"Latitude\": 34.0640487670898}, {\"ID\": 34002, \"Name\": \"Idabel\", \"Mobility\": 0.0922787189, \"State\": \"OK\", \"Population\": 97397, \"Urban\": 0, \"Black\": 0.059, \"Seg_racial\": 0.163, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.011, \"Commute\": 0.423, \"Income\": 26431, \"Gini\": 0.387, \"Share01\": 7.085, \"Gini_99\": 0.316, \"Middle_class\": 0.46, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1318.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.887, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -1.466, \"HS_dropout\": 0.0, \"Colleges\": 0.021, \"Tuition\": 1136.0, \"Graduation\": -0.138, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.034, \"Social_capital\": -1.12, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.11, \"Married\": 0.603, \"Longitude\": -94.8076782226562, \"Latitude\": 33.9497184753418}, {\"ID\": 34101, \"Name\": \"Sand Point\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 2697, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.945, \"Income\": 16696, \"Gini\": 0.332, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.072, \"Local_gov_spending\": 5546.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.793, \"Manufacturing\": 0.449, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.183, \"Social_capital\": null, \"Religious\": 0.11, \"Violent_crime\": 0.004, \"Single_mothers\": 0.282, \"Divorced\": 0.08, \"Married\": 0.633, \"Longitude\": -160.06298828125, \"Latitude\": 56.0933952331543}, {\"ID\": 34102, \"Name\": \"Anchorage\", \"Mobility\": 0.1339529753, \"State\": \"AK\", \"Population\": 369296, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.082, \"Seg_income\": 0.082, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.092, \"Commute\": 0.364, \"Income\": 41724, \"Gini\": 0.35, \"Share01\": 8.657, \"Gini_99\": 0.264, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3857.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.706, \"Student_teacher_ratio\": 20.0, \"Test_scores\": -5.599, \"HS_dropout\": 0.044, \"Colleges\": 0.008, \"Tuition\": 2786.0, \"Graduation\": -0.2, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.029, \"Foreign_born\": 0.065, \"Social_capital\": null, \"Religious\": 0.344, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.125, \"Married\": 0.552, \"Longitude\": -150.678268432617, \"Latitude\": 61.3298072814941}, {\"ID\": 34103, \"Name\": \"Valdez\", \"Mobility\": 0.1599999964, \"State\": \"AK\", \"Population\": 10195, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.013, \"Seg_income\": 0.045, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.056, \"Commute\": 0.687, \"Income\": 39972, \"Gini\": 0.33, \"Share01\": 3.202, \"Gini_99\": 0.298, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 13621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 10.053, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -0.438, \"HS_dropout\": -0.004, \"Colleges\": 0.196, \"Tuition\": 2719.0, \"Graduation\": null, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.039, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.029, \"Foreign_born\": 0.052, \"Social_capital\": null, \"Religious\": 0.225, \"Violent_crime\": 0.003, \"Single_mothers\": 0.166, \"Divorced\": 0.114, \"Married\": 0.566, \"Longitude\": -144.957824707031, \"Latitude\": 62.0689888000488}, {\"ID\": 34104, \"Name\": \"Bristol Bay\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 1258, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.744, \"Income\": 39909, \"Gini\": 0.283, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 11742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.36, \"Student_teacher_ratio\": 20.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.015, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.006, \"Social_capital\": null, \"Religious\": 0.215, \"Violent_crime\": 0.0, \"Single_mothers\": 0.112, \"Divorced\": 0.129, \"Married\": 0.541, \"Longitude\": -156.767288208008, \"Latitude\": 58.7393684387207}, {\"ID\": 34105, \"Name\": \"Kotzebue\", \"Mobility\": 0.0645161271, \"State\": \"AK\", \"Population\": 7208, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.044, \"Seg_income\": 0.03, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.032, \"Commute\": 0.864, \"Income\": 27613, \"Gini\": 0.302, \"Share01\": 3.179, \"Gini_99\": 0.27, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.075, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -25.289, \"HS_dropout\": 0.095, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.002, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.027, \"Foreign_born\": 0.014, \"Social_capital\": null, \"Religious\": 0.391, \"Violent_crime\": 0.028, \"Single_mothers\": 0.248, \"Divorced\": 0.066, \"Married\": 0.425, \"Longitude\": -159.437805175781, \"Latitude\": 67.0281829833984}, {\"ID\": 34106, \"Name\": \"Nome\", \"Mobility\": 0.0467836261, \"State\": \"AK\", \"Population\": 9196, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.143, \"Seg_income\": 0.066, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.081, \"Commute\": 0.928, \"Income\": 29589, \"Gini\": 0.392, \"Share01\": 6.635, \"Gini_99\": 0.325, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3670.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -30.813, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.009, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": null, \"Religious\": 0.486, \"Violent_crime\": 0.004, \"Single_mothers\": 0.209, \"Divorced\": 0.074, \"Married\": 0.398, \"Longitude\": -162.030120849609, \"Latitude\": 64.4751434326172}, {\"ID\": 34107, \"Name\": \"Dillingham\", \"Mobility\": 0.1118421033, \"State\": \"AK\", \"Population\": 6745, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.082, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.028, \"Commute\": 0.812, \"Income\": 31291, \"Gini\": 0.377, \"Share01\": 4.54, \"Gini_99\": 0.332, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 6661.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -28.735, \"HS_dropout\": 0.109, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.022, \"Foreign_born\": 0.009, \"Social_capital\": null, \"Religious\": 0.304, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.091, \"Married\": 0.49, \"Longitude\": -156.831787109375, \"Latitude\": 58.8879241943359}, {\"ID\": 34108, \"Name\": \"Kodiak\", \"Mobility\": 0.1461538523, \"State\": \"AK\", \"Population\": 13913, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.076, \"Seg_income\": 0.028, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.031, \"Commute\": 0.752, \"Income\": 38933, \"Gini\": 0.371, \"Share01\": 14.251, \"Gini_99\": 0.229, \"Middle_class\": 0.594, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3471.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.42, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -1.741, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.741, \"Manufacturing\": 0.168, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.036, \"Foreign_born\": 0.167, \"Social_capital\": null, \"Religious\": 0.256, \"Violent_crime\": 0.004, \"Single_mothers\": 0.137, \"Divorced\": 0.102, \"Married\": 0.604, \"Longitude\": -154.833114624023, \"Latitude\": 57.9822540283203}, {\"ID\": 34109, \"Name\": \"Juneau\", \"Mobility\": 0.125, \"State\": \"AK\", \"Population\": 37347, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.051, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.043, \"Commute\": 0.547, \"Income\": 43595, \"Gini\": 0.283, \"Share01\": 5.475, \"Gini_99\": 0.229, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 4509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.217, \"Student_teacher_ratio\": 27.7, \"Test_scores\": -4.643, \"HS_dropout\": 0.036, \"Colleges\": 0.027, \"Tuition\": 2460.0, \"Graduation\": -0.208, \"Labor_force_participation\": 0.738, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.018, \"Foreign_born\": 0.051, \"Social_capital\": null, \"Religious\": 0.24, \"Violent_crime\": 0.004, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.54, \"Longitude\": -136.051284790039, \"Latitude\": 58.6503791809082}, {\"ID\": 34110, \"Name\": \"Sitka\", \"Mobility\": 0.0708661452, \"State\": \"AK\", \"Population\": 15519, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.805, \"Income\": 42159, \"Gini\": 0.275, \"Share01\": 4.478, \"Gini_99\": 0.23, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 4665.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.366, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.428, \"HS_dropout\": 0.004, \"Colleges\": 0.064, \"Tuition\": 7250.0, \"Graduation\": null, \"Labor_force_participation\": 0.718, \"Manufacturing\": 0.058, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": null, \"Religious\": 0.386, \"Violent_crime\": 0.004, \"Single_mothers\": 0.188, \"Divorced\": 0.119, \"Married\": 0.574, \"Longitude\": -132.383071899414, \"Latitude\": 56.4937133789062}, {\"ID\": 34111, \"Name\": \"Ketchikan\", \"Mobility\": 0.122605361, \"State\": \"AK\", \"Population\": 20216, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.112, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.036, \"Commute\": 0.556, \"Income\": 39002, \"Gini\": 0.331, \"Share01\": 7.918, \"Gini_99\": 0.252, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3802.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.46, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -6.395, \"HS_dropout\": 0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.057, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.045, \"Social_capital\": null, \"Religious\": 0.306, \"Violent_crime\": 0.005, \"Single_mothers\": 0.21, \"Divorced\": 0.134, \"Married\": 0.553, \"Longitude\": -131.585510253906, \"Latitude\": 55.9489822387695}, {\"ID\": 34112, \"Name\": \"Bethel\", \"Mobility\": 0.0518638566, \"State\": \"AK\", \"Population\": 23034, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.132, \"Seg_income\": 0.052, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.095, \"Commute\": 0.909, \"Income\": 23593, \"Gini\": 0.429, \"Share01\": 6.028, \"Gini_99\": 0.369, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1789.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -32.785, \"HS_dropout\": 0.072, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.616, \"Manufacturing\": 0.007, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": null, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.062, \"Married\": 0.443, \"Longitude\": -158.382125854492, \"Latitude\": 61.3771209716797}, {\"ID\": 34113, \"Name\": \"Barrow\", \"Mobility\": 0.1000000015, \"State\": \"AK\", \"Population\": 7385, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.034, \"Seg_income\": 0.009, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.017, \"Commute\": 0.879, \"Income\": 39123, \"Gini\": 0.261, \"Share01\": 5.017, \"Gini_99\": 0.211, \"Middle_class\": 0.412, \"Local_tax_rate\": null, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -25.019, \"HS_dropout\": 0.098, \"Colleges\": 0.135, \"Tuition\": 1680.0, \"Graduation\": -0.144, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.004, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": null, \"Religious\": 0.231, \"Violent_crime\": 0.001, \"Single_mothers\": 0.25, \"Divorced\": 0.092, \"Married\": 0.427, \"Longitude\": -153.819198608398, \"Latitude\": 68.3710174560547}, {\"ID\": 34114, \"Name\": \"Unalaska\", \"Mobility\": 0.1304347813, \"State\": \"AK\", \"Population\": 5465, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.039, \"Seg_income\": 0.028, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.026, \"Commute\": 0.852, \"Income\": 23637, \"Gini\": 0.285, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 2949.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 16.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.816, \"Manufacturing\": 0.317, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.029, \"Foreign_born\": 0.214, \"Social_capital\": null, \"Religious\": 0.166, \"Violent_crime\": 0.008, \"Single_mothers\": 0.134, \"Divorced\": 0.128, \"Married\": 0.512, \"Longitude\": -170.719665527344, \"Latitude\": 52.9120216369629}, {\"ID\": 34115, \"Name\": \"Fairbanks\", \"Mobility\": 0.1606268436, \"State\": \"AK\", \"Population\": 97458, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.139, \"Seg_income\": 0.06, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.067, \"Commute\": 0.477, \"Income\": 35935, \"Gini\": 0.311, \"Share01\": 7.605, \"Gini_99\": 0.235, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2655.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.849, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -3.754, \"HS_dropout\": 0.051, \"Colleges\": 0.01, \"Tuition\": 2460.0, \"Graduation\": -0.157, \"Labor_force_participation\": 0.725, \"Manufacturing\": 0.022, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.042, \"Social_capital\": null, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.106, \"Married\": 0.56, \"Longitude\": -149.947402954102, \"Latitude\": 64.2072830200195}, {\"ID\": 34201, \"Name\": \"Havre\", \"Mobility\": 0.0821484998, \"State\": \"MT\", \"Population\": 25840, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.472, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.04, \"Commute\": 0.714, \"Income\": 27557, \"Gini\": 0.367, \"Share01\": 5.873, \"Gini_99\": 0.309, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2021.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.557, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.699, \"HS_dropout\": 0.018, \"Colleges\": 0.116, \"Tuition\": 1979.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.018, \"Social_capital\": 0.976, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.223, \"Divorced\": 0.092, \"Married\": 0.569, \"Longitude\": -109.412696838379, \"Latitude\": 48.1714363098145}, {\"ID\": 34202, \"Name\": \"Shelby\", \"Mobility\": 0.0475059375, \"State\": \"MT\", \"Population\": 24938, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.515, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.024, \"Commute\": 0.664, \"Income\": 25615, \"Gini\": 0.385, \"Share01\": 6.095, \"Gini_99\": 0.324, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2671.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.803, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -7.629, \"HS_dropout\": 0.014, \"Colleges\": 0.04, \"Tuition\": 1620.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.753, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.596, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -113.255950927734, \"Latitude\": 48.5029525756836}, {\"ID\": 34203, \"Name\": \"Great Falls\", \"Mobility\": 0.0963597447, \"State\": \"MT\", \"Population\": 95101, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.114, \"Seg_income\": 0.06, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.056, \"Commute\": 0.538, \"Income\": 32458, \"Gini\": 0.388, \"Share01\": 9.7, \"Gini_99\": 0.291, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1763.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.102, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 12.992, \"HS_dropout\": -0.021, \"Colleges\": 0.021, \"Tuition\": 5187.0, \"Graduation\": -0.188, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.025, \"Foreign_born\": 0.022, \"Social_capital\": 0.698, \"Religious\": 0.487, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.113, \"Married\": 0.588, \"Longitude\": -111.069396972656, \"Latitude\": 47.3781547546387}, {\"ID\": 34204, \"Name\": \"Lewistown\", \"Mobility\": 0.1716417968, \"State\": \"MT\", \"Population\": 12386, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.003, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.685, \"Income\": 31401, \"Gini\": 0.352, \"Share01\": 6.108, \"Gini_99\": 0.291, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.873, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 16.404, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.016, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 1.756, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.143, \"Divorced\": 0.106, \"Married\": 0.596, \"Longitude\": -108.902824401855, \"Latitude\": 47.3193817138672}, {\"ID\": 34301, \"Name\": \"Cody\", \"Mobility\": 0.1474036872, \"State\": \"WY\", \"Population\": 37247, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.018, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.019, \"Commute\": 0.617, \"Income\": 32675, \"Gini\": 0.354, \"Share01\": 9.305, \"Gini_99\": 0.261, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 3675.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.041, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 14.809, \"HS_dropout\": -0.001, \"Colleges\": 0.027, \"Tuition\": 1128.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.014, \"Foreign_born\": 0.019, \"Social_capital\": -0.026, \"Religious\": 0.486, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.106, \"Married\": 0.614, \"Longitude\": -108.963806152344, \"Latitude\": 44.3489227294922}, {\"ID\": 34302, \"Name\": \"Worland\", \"Mobility\": 0.1306532621, \"State\": \"WY\", \"Population\": 13171, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.766, \"Income\": 34375, \"Gini\": 0.376, \"Share01\": 15.103, \"Gini_99\": 0.225, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2810.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.028, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.059, \"Chinese_imports\": -0.003, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 1.624, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.157, \"Divorced\": 0.109, \"Married\": 0.627, \"Longitude\": -108.455688476562, \"Latitude\": 43.7189445495605}, {\"ID\": 34303, \"Name\": \"Riverton\", \"Mobility\": 0.1243184283, \"State\": \"WY\", \"Population\": 35804, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.226, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.019, \"Commute\": 0.632, \"Income\": 30954, \"Gini\": 0.435, \"Share01\": 10.233, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2643.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.755, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -2.51, \"HS_dropout\": 0.035, \"Colleges\": 0.028, \"Tuition\": 1108.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.03, \"Chinese_imports\": 2.156, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.008, \"Social_capital\": -0.09, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.127, \"Married\": 0.559, \"Longitude\": -109.151588439941, \"Latitude\": 43.4414443969727}, {\"ID\": 34304, \"Name\": \"Sheridan\", \"Mobility\": 0.1044932082, \"State\": \"WY\", \"Population\": 46306, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.421, \"Seg_income\": 0.018, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.023, \"Commute\": 0.583, \"Income\": 32114, \"Gini\": 0.501, \"Share01\": 20.947, \"Gini_99\": 0.292, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2865.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.88, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 1.819, \"HS_dropout\": 0.017, \"Colleges\": 0.043, \"Tuition\": 1304.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.025, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 1.138, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.121, \"Married\": 0.58, \"Longitude\": -107.365310668945, \"Latitude\": 44.9746780395508}, {\"ID\": 34305, \"Name\": \"Miles City\", \"Mobility\": 0.1792828739, \"State\": \"MT\", \"Population\": 12895, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.023, \"Seg_income\": 0.032, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.031, \"Commute\": 0.755, \"Income\": 30026, \"Gini\": 0.345, \"Share01\": 7.98, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2043.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.025, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 10.444, \"HS_dropout\": -0.006, \"Colleges\": 0.078, \"Tuition\": 1440.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.085, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.014, \"Social_capital\": 0.593, \"Religious\": 0.506, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.118, \"Married\": 0.56, \"Longitude\": -105.343276977539, \"Latitude\": 46.6650810241699}, {\"ID\": 34306, \"Name\": \"Jordan\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 1279, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.739, \"Income\": 27449, \"Gini\": 0.288, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.802, \"Student_teacher_ratio\": 11.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.038, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 0.205, \"Religious\": 0.408, \"Violent_crime\": 0.001, \"Single_mothers\": 0.111, \"Divorced\": 0.055, \"Married\": 0.673, \"Longitude\": -107.190254211426, \"Latitude\": 47.4496040344238}, {\"ID\": 34307, \"Name\": \"Colstrip\", \"Mobility\": 0.088888891, \"State\": \"MT\", \"Population\": 12102, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.495, \"Seg_income\": 0.061, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.072, \"Commute\": 0.693, \"Income\": 28921, \"Gini\": 0.325, \"Share01\": 4.599, \"Gini_99\": 0.279, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.057, \"Local_gov_spending\": 6886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.773, \"Student_teacher_ratio\": 13.4, \"Test_scores\": -3.745, \"HS_dropout\": 0.01, \"Colleges\": 0.083, \"Tuition\": null, \"Graduation\": 0.092, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.026, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.01, \"Social_capital\": -0.134, \"Religious\": 0.462, \"Violent_crime\": 0.002, \"Single_mothers\": 0.192, \"Divorced\": 0.097, \"Married\": 0.578, \"Longitude\": -107.025497436523, \"Latitude\": 46.1281814575195}, {\"ID\": 34308, \"Name\": \"Billings\", \"Mobility\": 0.1305191666, \"State\": \"MT\", \"Population\": 152638, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.065, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.083, \"Commute\": 0.446, \"Income\": 35377, \"Gini\": 0.415, \"Share01\": 10.966, \"Gini_99\": 0.305, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1750.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.226, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 6.772, \"HS_dropout\": -0.001, \"Colleges\": 0.02, \"Tuition\": 4681.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.057, \"Chinese_imports\": 0.142, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.014, \"Social_capital\": 1.177, \"Religious\": 0.462, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.117, \"Married\": 0.57, \"Longitude\": -108.364715576172, \"Latitude\": 45.9727478027344}, {\"ID\": 34309, \"Name\": \"Harlowton\", \"Mobility\": 0.200000003, \"State\": \"MT\", \"Population\": 4191, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.005, \"Seg_income\": 0.003, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.003, \"Commute\": 0.696, \"Income\": 26263, \"Gini\": 0.372, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1850.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.585, \"Student_teacher_ratio\": 13.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.112, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.024, \"Social_capital\": 1.232, \"Religious\": 0.438, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.628, \"Longitude\": -110.863861083984, \"Latitude\": 46.6356086730957}, {\"ID\": 34401, \"Name\": \"Dillon\", \"Mobility\": 0.116883114, \"State\": \"MT\", \"Population\": 9202, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.013, \"Commute\": 0.73, \"Income\": 27667, \"Gini\": 0.404, \"Share01\": 13.733, \"Gini_99\": 0.266, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.431, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 11.176, \"HS_dropout\": -0.003, \"Colleges\": 0.109, \"Tuition\": 2072.0, \"Graduation\": -0.12, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.016, \"Social_capital\": 0.908, \"Religious\": 0.485, \"Violent_crime\": 0.0, \"Single_mothers\": 0.123, \"Divorced\": 0.083, \"Married\": 0.57, \"Longitude\": -112.863098144531, \"Latitude\": 45.0694007873535}, {\"ID\": 34402, \"Name\": \"Bozeman\", \"Mobility\": 0.1259689927, \"State\": \"MT\", \"Population\": 93985, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.021, \"Seg_income\": 0.044, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.527, \"Income\": 31692, \"Gini\": 0.414, \"Share01\": 11.081, \"Gini_99\": 0.303, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.05, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 13.863, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 2272.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.073, \"Chinese_imports\": 1.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.026, \"Social_capital\": 1.329, \"Religious\": 0.267, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.092, \"Married\": 0.562, \"Longitude\": -111.284934997559, \"Latitude\": 45.4459915161133}, {\"ID\": 34403, \"Name\": \"Helena\", \"Mobility\": 0.1197410971, \"State\": \"MT\", \"Population\": 70150, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.009, \"Seg_income\": 0.043, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.046, \"Commute\": 0.472, \"Income\": 33610, \"Gini\": 0.355, \"Share01\": 8.999, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.237, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 8.937, \"HS_dropout\": 0.001, \"Colleges\": 0.029, \"Tuition\": 8644.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.368, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": 3.071, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.126, \"Married\": 0.6, \"Longitude\": -112.109184265137, \"Latitude\": 46.6794281005859}, {\"ID\": 34404, \"Name\": \"Butte-Silver Bow\", \"Mobility\": 0.089366518, \"State\": \"MT\", \"Population\": 54033, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.027, \"Seg_income\": 0.036, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.042, \"Commute\": 0.61, \"Income\": 30173, \"Gini\": 0.398, \"Share01\": 6.68, \"Gini_99\": 0.331, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.335, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 6.263, \"HS_dropout\": 0.017, \"Colleges\": 0.037, \"Tuition\": 2123.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.014, \"Social_capital\": 1.018, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.12, \"Married\": 0.543, \"Longitude\": -113.062614440918, \"Latitude\": 46.2734794616699}, {\"ID\": 34501, \"Name\": \"Bonners Ferry\", \"Mobility\": 0.0991379321, \"State\": \"ID\", \"Population\": 9871, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.011, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.0, \"Commute\": 0.438, \"Income\": 28983, \"Gini\": 0.383, \"Share01\": 10.362, \"Gini_99\": 0.28, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2032.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.668, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 4.734, \"HS_dropout\": 0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.463, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -0.295, \"Religious\": 0.358, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.11, \"Married\": 0.616, \"Longitude\": -116.683563232422, \"Latitude\": 48.7867660522461}, {\"ID\": 34502, \"Name\": \"Libby\", \"Mobility\": 0.1302605271, \"State\": \"MT\", \"Population\": 18837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.004, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.599, \"Income\": 26385, \"Gini\": 0.369, \"Share01\": 9.077, \"Gini_99\": 0.278, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1638.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.077, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.058, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.033, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.014, \"Social_capital\": 0.66, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.116, \"Married\": 0.619, \"Longitude\": -115.327323913574, \"Latitude\": 48.2843475341797}, {\"ID\": 34503, \"Name\": \"Kalispell\", \"Mobility\": 0.1108414233, \"State\": \"MT\", \"Population\": 111205, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.173, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.028, \"Commute\": 0.45, \"Income\": 32003, \"Gini\": 0.44, \"Share01\": 11.362, \"Gini_99\": 0.326, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1710.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.985, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 5.978, \"HS_dropout\": 0.008, \"Colleges\": 0.018, \"Tuition\": 2096.0, \"Graduation\": -0.121, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.65, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 0.527, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.118, \"Married\": 0.592, \"Longitude\": -114.455520629883, \"Latitude\": 48.0249977111816}, {\"ID\": 34504, \"Name\": \"Missoula\", \"Mobility\": 0.1056273058, \"State\": \"MT\", \"Population\": 135756, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.033, \"Seg_income\": 0.06, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.058, \"Commute\": 0.467, \"Income\": 31286, \"Gini\": 0.418, \"Share01\": 8.702, \"Gini_99\": 0.331, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1657.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 8.573, \"HS_dropout\": 0.004, \"Colleges\": 0.007, \"Tuition\": 2250.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.512, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.024, \"Foreign_born\": 0.021, \"Social_capital\": 1.17, \"Religious\": 0.314, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.108, \"Married\": 0.543, \"Longitude\": -114.380409240723, \"Latitude\": 46.5549201965332}, {\"ID\": 34601, \"Name\": \"Gillette\", \"Mobility\": 0.2641843855, \"State\": \"WY\", \"Population\": 46229, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.045, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.04, \"Commute\": 0.536, \"Income\": 34452, \"Gini\": 0.295, \"Share01\": 8.507, \"Gini_99\": 0.21, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.062, \"Local_gov_spending\": 4315.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.142, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 5.883, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": -0.926, \"Religious\": 0.482, \"Violent_crime\": 0.002, \"Single_mothers\": 0.152, \"Divorced\": 0.098, \"Married\": 0.626, \"Longitude\": -105.158653259277, \"Latitude\": 44.2510757446289}, {\"ID\": 34602, \"Name\": \"Rawlins\", \"Mobility\": 0.1934156418, \"State\": \"WY\", \"Population\": 15639, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.066, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.003, \"Commute\": 0.722, \"Income\": 31828, \"Gini\": 0.269, \"Share01\": 4.303, \"Gini_99\": 0.226, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3351.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.182, \"Student_teacher_ratio\": 13.7, \"Test_scores\": -5.208, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.025, \"Foreign_born\": 0.029, \"Social_capital\": -0.646, \"Religious\": 0.429, \"Violent_crime\": 0.003, \"Single_mothers\": 0.192, \"Divorced\": 0.123, \"Married\": 0.613, \"Longitude\": -107.257133483887, \"Latitude\": 41.5921669006348}, {\"ID\": 34603, \"Name\": \"Casper\", \"Mobility\": 0.1662689, \"State\": \"WY\", \"Population\": 78585, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.025, \"Seg_income\": 0.057, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.056, \"Commute\": 0.528, \"Income\": 34840, \"Gini\": 0.43, \"Share01\": 15.007, \"Gini_99\": 0.28, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3000.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.458, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -0.214, \"HS_dropout\": 0.059, \"Colleges\": 0.013, \"Tuition\": 1248.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.448, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.018, \"Social_capital\": 0.542, \"Religious\": 0.435, \"Violent_crime\": 0.001, \"Single_mothers\": 0.221, \"Divorced\": 0.132, \"Married\": 0.571, \"Longitude\": -106.016143798828, \"Latitude\": 42.7822189331055}, {\"ID\": 34604, \"Name\": \"Lusk\", \"Mobility\": null, \"State\": \"WY\", \"Population\": 2407, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.72, \"Income\": 30783, \"Gini\": 0.418, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 5706.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.655, \"Student_teacher_ratio\": 12.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.034, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.007, \"Social_capital\": 0.808, \"Religious\": 0.492, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.106, \"Married\": 0.605, \"Longitude\": -104.457618713379, \"Latitude\": 43.089038848877}, {\"ID\": 34701, \"Name\": \"Honolulu\", \"Mobility\": 0.1052926034, \"State\": \"HI\", \"Population\": 876156, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.14, \"Seg_income\": 0.107, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.105, \"Commute\": 0.235, \"Income\": 39404, \"Gini\": 0.396, \"Share01\": 9.084, \"Gini_99\": 0.305, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1316.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -14.799, \"HS_dropout\": 0.018, \"Colleges\": 0.015, \"Tuition\": 5088.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.038, \"Chinese_imports\": null, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.034, \"Foreign_born\": 0.192, \"Social_capital\": null, \"Religious\": 0.333, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.084, \"Married\": 0.534, \"Longitude\": -157.932189941406, \"Latitude\": 21.4360733032227}, {\"ID\": 34702, \"Name\": \"Kapaa\", \"Mobility\": 0.0993071571, \"State\": \"HI\", \"Population\": 58463, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.014, \"Commute\": 0.37, \"Income\": 38210, \"Gini\": 0.351, \"Share01\": 5.7, \"Gini_99\": 0.294, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1405.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 1032.0, \"Graduation\": -0.244, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.006, \"Foreign_born\": 0.13, \"Social_capital\": null, \"Religious\": 0.523, \"Violent_crime\": 0.002, \"Single_mothers\": 0.207, \"Divorced\": 0.098, \"Married\": 0.546, \"Longitude\": -159.764556884766, \"Latitude\": 21.9938297271729}, {\"ID\": 34703, \"Name\": \"Kahului\", \"Mobility\": 0.0848938823, \"State\": \"HI\", \"Population\": 128241, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.119, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.384, \"Income\": 39556, \"Gini\": 0.391, \"Share01\": 9.414, \"Gini_99\": 0.297, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1559.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1032.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.034, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.165, \"Social_capital\": null, \"Religious\": 0.445, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.109, \"Married\": 0.52, \"Longitude\": -156.808609008789, \"Latitude\": 21.0115718841553}, {\"ID\": 34801, \"Name\": \"Las Vegas\", \"Mobility\": 0.0858484209, \"State\": \"NM\", \"Population\": 49495, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.092, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.537, \"Income\": 26569, \"Gini\": 0.381, \"Share01\": 7.039, \"Gini_99\": 0.311, \"Middle_class\": 0.464, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2459.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.37, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -13.802, \"HS_dropout\": -0.029, \"Colleges\": 0.04, \"Tuition\": 1750.0, \"Graduation\": -0.134, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.024, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -1.273, \"Religious\": 0.738, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.124, \"Married\": 0.492, \"Longitude\": -104.827262878418, \"Latitude\": 36.0686874389648}, {\"ID\": 34802, \"Name\": \"Santa Fe\", \"Mobility\": 0.0803233162, \"State\": \"NM\", \"Population\": 218804, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.201, \"Seg_income\": 0.089, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.116, \"Commute\": 0.371, \"Income\": 38838, \"Gini\": 0.49, \"Share01\": 11.007, \"Gini_99\": 0.38, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2090.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.527, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -16.69, \"HS_dropout\": 0.012, \"Colleges\": 0.032, \"Tuition\": 9992.0, \"Graduation\": -0.182, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.828, \"Teenage_labor\": 0.006, \"Migration_in\": 0.02, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": 0.311, \"Religious\": 0.576, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.134, \"Married\": 0.519, \"Longitude\": -105.962219238281, \"Latitude\": 36.2350006103516}, {\"ID\": 34803, \"Name\": \"Tucumcari\", \"Mobility\": 0.0730337054, \"State\": \"NM\", \"Population\": 10965, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.689, \"Income\": 30332, \"Gini\": 0.442, \"Share01\": 9.005, \"Gini_99\": 0.352, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.57, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -11.254, \"HS_dropout\": 0.039, \"Colleges\": 0.091, \"Tuition\": 780.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.04, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.034, \"Social_capital\": -0.96, \"Religious\": 0.893, \"Violent_crime\": 0.002, \"Single_mothers\": 0.255, \"Divorced\": 0.109, \"Married\": 0.562, \"Longitude\": -103.997459411621, \"Latitude\": 35.6330223083496}, {\"ID\": 34804, \"Name\": \"Clayton\", \"Mobility\": 0.1223021597, \"State\": \"NM\", \"Population\": 4174, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.625, \"Income\": 30305, \"Gini\": 0.389, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2538.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.4, \"Student_teacher_ratio\": 13.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.039, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.005, \"Foreign_born\": 0.022, \"Social_capital\": -0.018, \"Religious\": 0.471, \"Violent_crime\": 0.003, \"Single_mothers\": 0.169, \"Divorced\": 0.099, \"Married\": 0.603, \"Longitude\": -103.414817810059, \"Latitude\": 36.2873802185059}, {\"ID\": 34805, \"Name\": \"Alamosa\", \"Mobility\": 0.098867923, \"State\": \"CO\", \"Population\": 46190, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.112, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.552, \"Income\": 27094, \"Gini\": 0.444, \"Share01\": 9.743, \"Gini_99\": 0.346, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2794.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.952, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -4.938, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 1574.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.011, \"Foreign_born\": 0.061, \"Social_capital\": 0.517, \"Religious\": 0.625, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.104, \"Married\": 0.57, \"Longitude\": -105.865020751953, \"Latitude\": 37.7030296325684}, {\"ID\": 34901, \"Name\": \"Albuquerque\", \"Mobility\": 0.0659846142, \"State\": \"NM\", \"Population\": 755244, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.177, \"Seg_income\": 0.096, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.111, \"Commute\": 0.273, \"Income\": 35591, \"Gini\": 0.465, \"Share01\": 9.867, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.091, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -13.662, \"HS_dropout\": 0.033, \"Colleges\": 0.016, \"Tuition\": 2527.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.022, \"Foreign_born\": 0.076, \"Social_capital\": -0.76, \"Religious\": 0.547, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.125, \"Married\": 0.515, \"Longitude\": -106.686538696289, \"Latitude\": 35.3091621398926}, {\"ID\": 34902, \"Name\": \"Socorro\", \"Mobility\": 0.052117262, \"State\": \"NM\", \"Population\": 21621, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.204, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.015, \"Commute\": 0.565, \"Income\": 24360, \"Gini\": 0.423, \"Share01\": 7.177, \"Gini_99\": 0.352, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1630.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.411, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -15.373, \"HS_dropout\": -0.025, \"Colleges\": 0.046, \"Tuition\": 1704.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.056, \"Chinese_imports\": 1.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.021, \"Foreign_born\": 0.056, \"Social_capital\": -0.694, \"Religious\": 0.418, \"Violent_crime\": 0.004, \"Single_mothers\": 0.248, \"Divorced\": 0.123, \"Married\": 0.513, \"Longitude\": -107.257507324219, \"Latitude\": 33.9917869567871}, {\"ID\": 35001, \"Name\": \"Phoenix\", \"Mobility\": 0.0752772912, \"State\": \"AZ\", \"Population\": 3303211, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.208, \"Seg_income\": 0.12, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.139, \"Commute\": 0.242, \"Income\": 40624, \"Gini\": 0.49, \"Share01\": 16.807, \"Gini_99\": 0.322, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3109.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -10.107, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 3653.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.045, \"Migration_out\": 0.025, \"Foreign_born\": 0.139, \"Social_capital\": -1.483, \"Religious\": 0.394, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.11, \"Married\": 0.55, \"Longitude\": -111.294647216797, \"Latitude\": 34.0149688720703}, {\"ID\": 35002, \"Name\": \"Safford\", \"Mobility\": 0.1105919033, \"State\": \"AZ\", \"Population\": 42036, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.287, \"Seg_income\": 0.036, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.024, \"Commute\": 0.53, \"Income\": 23579, \"Gini\": 0.287, \"Share01\": 6.422, \"Gini_99\": 0.222, \"Middle_class\": 0.675, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2696.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 4.606, \"Student_teacher_ratio\": 21.8, \"Test_scores\": -7.113, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 748.0, \"Graduation\": -0.15, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -1.325, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -109.825134277344, \"Latitude\": 33.3510894775391}, {\"ID\": 35100, \"Name\": \"Tucson\", \"Mobility\": 0.0705499947, \"State\": \"AZ\", \"Population\": 999882, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.22, \"Seg_income\": 0.112, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.127, \"Commute\": 0.291, \"Income\": 35571, \"Gini\": 0.477, \"Share01\": 12.39, \"Gini_99\": 0.353, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2423.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -10.137, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 777.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.651, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.025, \"Foreign_born\": 0.128, \"Social_capital\": -0.867, \"Religious\": 0.452, \"Violent_crime\": 0.002, \"Single_mothers\": 0.239, \"Divorced\": 0.117, \"Married\": 0.534, \"Longitude\": -111.015380859375, \"Latitude\": 32.0897750854492}, {\"ID\": 35201, \"Name\": \"Grand Junction\", \"Mobility\": 0.1463671476, \"State\": \"CO\", \"Population\": 187857, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.04, \"Seg_income\": 0.05, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.06, \"Commute\": 0.465, \"Income\": 35421, \"Gini\": 0.423, \"Share01\": 10.695, \"Gini_99\": 0.316, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2421.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.357, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.926, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1623.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.467, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": 0.151, \"Religious\": 0.301, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -107.929718017578, \"Latitude\": 38.246826171875}, {\"ID\": 35202, \"Name\": \"Gunnison\", \"Mobility\": 0.1061946899, \"State\": \"CO\", \"Population\": 14746, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.017, \"Seg_income\": 0.045, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.034, \"Commute\": 0.644, \"Income\": 32805, \"Gini\": 0.486, \"Share01\": 12.096, \"Gini_99\": 0.365, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3423.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.487, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.732, \"HS_dropout\": null, \"Colleges\": 0.068, \"Tuition\": 1560.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.73, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.019, \"Foreign_born\": 0.029, \"Social_capital\": 1.798, \"Religious\": 0.381, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.08, \"Married\": 0.462, \"Longitude\": -106.978370666504, \"Latitude\": 38.5557060241699}, {\"ID\": 35300, \"Name\": \"Farmington\", \"Mobility\": 0.0914475247, \"State\": \"NM\", \"Population\": 168198, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.298, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.388, \"Income\": 30450, \"Gini\": 0.44, \"Share01\": 10.796, \"Gini_99\": 0.332, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -8.531, \"HS_dropout\": 0.005, \"Colleges\": 0.012, \"Tuition\": 1248.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.128, \"Teenage_labor\": 0.005, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.025, \"Social_capital\": -0.994, \"Religious\": 0.401, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.108, \"Married\": 0.546, \"Longitude\": -107.683326721191, \"Latitude\": 37.3590621948242}, {\"ID\": 35401, \"Name\": \"Flagstaff\", \"Mobility\": 0.0814509094, \"State\": \"AZ\", \"Population\": 289883, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.287, \"Seg_income\": 0.037, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.461, \"Income\": 35102, \"Gini\": 0.447, \"Share01\": 12.415, \"Gini_99\": 0.323, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2138.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.514, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -4.78, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2482.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.24, \"Teenage_labor\": 0.006, \"Migration_in\": 0.052, \"Migration_out\": 0.035, \"Foreign_born\": 0.052, \"Social_capital\": -0.85, \"Religious\": 0.31, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.116, \"Married\": 0.559, \"Longitude\": -111.797515869141, \"Latitude\": 35.6864929199219}, {\"ID\": 35402, \"Name\": \"Cortez\", \"Mobility\": 0.1267806292, \"State\": \"CO\", \"Population\": 40087, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.383, \"Seg_income\": 0.029, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.018, \"Commute\": 0.502, \"Income\": 28799, \"Gini\": 0.353, \"Share01\": 6.825, \"Gini_99\": 0.285, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2973.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.648, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -7.301, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.041, \"Chinese_imports\": 1.862, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.017, \"Social_capital\": -0.997, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.106, \"Married\": 0.577, \"Longitude\": -109.932220458984, \"Latitude\": 37.6879768371582}, {\"ID\": 35500, \"Name\": \"Gallup\", \"Mobility\": 0.0410613976, \"State\": \"AZ\", \"Population\": 241691, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.476, \"Seg_income\": 0.063, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.056, \"Commute\": 0.468, \"Income\": 20837, \"Gini\": 0.421, \"Share01\": 7.94, \"Gini_99\": 0.341, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2278.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 6.187, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -19.598, \"HS_dropout\": 0.025, \"Colleges\": 0.017, \"Tuition\": 1923.0, \"Graduation\": -0.131, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.146, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.041, \"Foreign_born\": 0.015, \"Social_capital\": -2.204, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.079, \"Married\": 0.496, \"Longitude\": -109.363136291504, \"Latitude\": 34.4800491333008}, {\"ID\": 35600, \"Name\": \"Hilo\", \"Mobility\": 0.0682675838, \"State\": \"HI\", \"Population\": 148677, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.043, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.037, \"Commute\": 0.346, \"Income\": 35010, \"Gini\": 0.439, \"Share01\": 10.432, \"Gini_99\": 0.334, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1422.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 1697.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.026, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.016, \"Foreign_born\": 0.102, \"Social_capital\": null, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.52, \"Longitude\": -155.525268554688, \"Latitude\": 19.5788307189941}, {\"ID\": 35701, \"Name\": \"Twin Falls\", \"Mobility\": 0.0871191844, \"State\": \"ID\", \"Population\": 120807, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.033, \"Seg_income\": 0.035, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.049, \"Commute\": 0.505, \"Income\": 35364, \"Gini\": 0.417, \"Share01\": 11.017, \"Gini_99\": 0.306, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.491, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 1.241, \"HS_dropout\": 0.011, \"Colleges\": 0.017, \"Tuition\": 2918.0, \"Graduation\": -0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.098, \"Chinese_imports\": 0.188, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.084, \"Social_capital\": 0.172, \"Religious\": 0.45, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.108, \"Married\": 0.598, \"Longitude\": -114.11206817627, \"Latitude\": 43.3184967041016}, {\"ID\": 35702, \"Name\": \"Burley\", \"Mobility\": 0.113892369, \"State\": \"ID\", \"Population\": 41590, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.041, \"Seg_income\": 0.021, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.019, \"Commute\": 0.536, \"Income\": 28357, \"Gini\": 0.353, \"Share01\": 9.512, \"Gini_99\": 0.258, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2119.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.1, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.158, \"HS_dropout\": 0.003, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.434, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.019, \"Foreign_born\": 0.092, \"Social_capital\": -0.745, \"Religious\": 0.737, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.083, \"Married\": 0.647, \"Longitude\": -113.599784851074, \"Latitude\": 42.5788764953613}, {\"ID\": 35801, \"Name\": \"Boise City\", \"Mobility\": 0.0739204213, \"State\": \"ID\", \"Population\": 493970, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.085, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.342, \"Income\": 35642, \"Gini\": 0.412, \"Share01\": 12.044, \"Gini_99\": 0.291, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.057, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -0.77, \"HS_dropout\": 0.035, \"Colleges\": 0.014, \"Tuition\": 3783.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.155, \"Chinese_imports\": 2.28, \"Teenage_labor\": 0.005, \"Migration_in\": 0.038, \"Migration_out\": 0.02, \"Foreign_born\": 0.058, \"Social_capital\": 0.415, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.115, \"Married\": 0.597, \"Longitude\": -115.838821411133, \"Latitude\": 43.8810119628906}, {\"ID\": 35802, \"Name\": \"Ontario\", \"Mobility\": 0.0844841599, \"State\": \"OR\", \"Population\": 62170, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.093, \"Seg_income\": 0.016, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.021, \"Commute\": 0.49, \"Income\": 27631, \"Gini\": 0.382, \"Share01\": 7.832, \"Gini_99\": 0.304, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.991, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -0.764, \"HS_dropout\": -0.004, \"Colleges\": 0.016, \"Tuition\": 1800.0, \"Graduation\": -0.219, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.146, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.072, \"Social_capital\": -0.583, \"Religious\": 0.452, \"Violent_crime\": 0.001, \"Single_mothers\": 0.179, \"Divorced\": 0.094, \"Married\": 0.638, \"Longitude\": -117.264678955078, \"Latitude\": 44.1263122558594}, {\"ID\": 35803, \"Name\": \"McCall\", \"Mobility\": 0.1240310073, \"State\": \"ID\", \"Population\": 11127, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.017, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.019, \"Commute\": 0.561, \"Income\": 33157, \"Gini\": 0.49, \"Share01\": 16.583, \"Gini_99\": 0.324, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2807.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 7.824, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 10.852, \"HS_dropout\": 0.0, \"Colleges\": 0.09, \"Tuition\": 4200.0, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.086, \"Teenage_labor\": 0.007, \"Migration_in\": 0.042, \"Migration_out\": 0.033, \"Foreign_born\": 0.015, \"Social_capital\": 1.175, \"Religious\": 0.285, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.116, \"Married\": 0.661, \"Longitude\": -115.799903869629, \"Latitude\": 44.7264404296875}, {\"ID\": 35901, \"Name\": \"St. George\", \"Mobility\": 0.1084832922, \"State\": \"UT\", \"Population\": 130138, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.028, \"Seg_income\": 0.031, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.033, \"Commute\": 0.575, \"Income\": 31383, \"Gini\": 0.405, \"Share01\": 13.401, \"Gini_99\": 0.271, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2203.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.922, \"Student_teacher_ratio\": 22.0, \"Test_scores\": 0.549, \"HS_dropout\": -0.011, \"Colleges\": 0.015, \"Tuition\": 1340.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.006, \"Migration_in\": 0.077, \"Migration_out\": 0.035, \"Foreign_born\": 0.038, \"Social_capital\": -1.208, \"Religious\": 0.755, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.634, \"Longitude\": -112.823417663574, \"Latitude\": 38.0471305847168}, {\"ID\": 35902, \"Name\": \"Price\", \"Mobility\": 0.1373439282, \"State\": \"UT\", \"Population\": 54045, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.039, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.015, \"Commute\": 0.577, \"Income\": 26759, \"Gini\": 0.288, \"Share01\": 5.884, \"Gini_99\": 0.229, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2778.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.631, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 4.096, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 1099.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.176, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.13, \"Divorced\": 0.079, \"Married\": 0.598, \"Longitude\": -110.503723144531, \"Latitude\": 39.1939926147461}, {\"ID\": 35903, \"Name\": \"Moab\", \"Mobility\": 0.1179775298, \"State\": \"UT\", \"Population\": 8485, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.752, \"Income\": 31770, \"Gini\": 0.328, \"Share01\": 4.036, \"Gini_99\": 0.288, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2659.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.369, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 1.621, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.103, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.028, \"Social_capital\": 1.517, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.156, \"Married\": 0.506, \"Longitude\": -109.901496887207, \"Latitude\": 38.9266014099121}, {\"ID\": 35904, \"Name\": \"Richfield\", \"Mobility\": 0.1286031008, \"State\": \"UT\", \"Population\": 25012, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.008, \"Commute\": 0.633, \"Income\": 28605, \"Gini\": 0.33, \"Share01\": 7.302, \"Gini_99\": 0.257, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2087.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.918, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 10.733, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.033, \"Foreign_born\": 0.012, \"Social_capital\": -0.791, \"Religious\": 0.832, \"Violent_crime\": 0.002, \"Single_mothers\": 0.12, \"Divorced\": 0.07, \"Married\": 0.656, \"Longitude\": -111.56950378418, \"Latitude\": 38.2386169433594}, {\"ID\": 35905, \"Name\": \"Loa\", \"Mobility\": 0.2096774131, \"State\": \"UT\", \"Population\": 2509, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.628, \"Income\": 32242, \"Gini\": 0.397, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.2, \"Student_teacher_ratio\": 15.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.02, \"Foreign_born\": 0.017, \"Social_capital\": 1.34, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.06, \"Married\": 0.685, \"Longitude\": -110.32356262207, \"Latitude\": 38.3174514770508}, {\"ID\": 36000, \"Name\": \"Provo\", \"Mobility\": 0.1375119984, \"State\": \"UT\", \"Population\": 389179, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.059, \"Seg_income\": 0.095, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.092, \"Commute\": 0.454, \"Income\": 29115, \"Gini\": 0.393, \"Share01\": 19.986, \"Gini_99\": 0.193, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.742, \"Student_teacher_ratio\": 22.2, \"Test_scores\": -1.256, \"HS_dropout\": -0.018, \"Colleges\": 0.01, \"Tuition\": 2813.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.889, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.045, \"Foreign_born\": 0.062, \"Social_capital\": -0.846, \"Religious\": 0.895, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.05, \"Married\": 0.589, \"Longitude\": -112.007392883301, \"Latitude\": 39.7420043945312}, {\"ID\": 36100, \"Name\": \"Salt Lake City\", \"Mobility\": 0.108327426, \"State\": \"UT\", \"Population\": 1426729, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.114, \"Seg_income\": 0.101, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.107, \"Commute\": 0.294, \"Income\": 36988, \"Gini\": 0.358, \"Share01\": 12.569, \"Gini_99\": 0.232, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2439.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.322, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -8.394, \"HS_dropout\": 0.009, \"Colleges\": 0.009, \"Tuition\": 3838.0, \"Graduation\": -0.079, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.813, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.084, \"Social_capital\": -0.635, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.092, \"Married\": 0.58, \"Longitude\": -111.572448730469, \"Latitude\": 40.61962890625}, {\"ID\": 36200, \"Name\": \"Logan\", \"Mobility\": 0.1369095296, \"State\": \"UT\", \"Population\": 149590, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.053, \"Seg_income\": 0.07, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.07, \"Commute\": 0.528, \"Income\": 28953, \"Gini\": 0.291, \"Share01\": 8.962, \"Gini_99\": 0.201, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1732.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.231, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 6.228, \"HS_dropout\": -0.003, \"Colleges\": 0.007, \"Tuition\": 1947.0, \"Graduation\": 0.11, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.105, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.034, \"Foreign_born\": 0.052, \"Social_capital\": -0.004, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.102, \"Divorced\": 0.056, \"Married\": 0.604, \"Longitude\": -111.994789123535, \"Latitude\": 41.9872283935547}, {\"ID\": 36301, \"Name\": \"Pocatello\", \"Mobility\": 0.0925086662, \"State\": \"ID\", \"Population\": 269722, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.128, \"Seg_income\": 0.063, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.07, \"Commute\": 0.517, \"Income\": 30119, \"Gini\": 0.327, \"Share01\": 7.878, \"Gini_99\": 0.248, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.484, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 3.003, \"HS_dropout\": -0.003, \"Colleges\": 0.011, \"Tuition\": 1178.0, \"Graduation\": 0.095, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.043, \"Social_capital\": -0.144, \"Religious\": 0.718, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.087, \"Married\": 0.596, \"Longitude\": -112.316856384277, \"Latitude\": 43.6178512573242}, {\"ID\": 36302, \"Name\": \"Salmon\", \"Mobility\": 0.1549295783, \"State\": \"ID\", \"Population\": 12148, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.013, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.582, \"Income\": 30782, \"Gini\": 0.323, \"Share01\": 6.123, \"Gini_99\": 0.262, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1797.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.031, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.222, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.006, \"Foreign_born\": 0.018, \"Social_capital\": 0.783, \"Religious\": 0.385, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.117, \"Married\": 0.625, \"Longitude\": -114.175308227539, \"Latitude\": 44.6172065734863}, {\"ID\": 36303, \"Name\": \"Jackson\", \"Mobility\": 0.1139240488, \"State\": \"WY\", \"Population\": 24250, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.027, \"Seg_income\": 0.02, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.035, \"Commute\": 0.488, \"Income\": 53838, \"Gini\": 0.711, \"Share01\": 64.788, \"Gini_99\": 0.063, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.876, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -31.837, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.78, \"Manufacturing\": 0.021, \"Chinese_imports\": 0.1, \"Teenage_labor\": 0.007, \"Migration_in\": 0.015, \"Migration_out\": 0.025, \"Foreign_born\": 0.068, \"Social_capital\": 2.389, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.133, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -110.605415344238, \"Latitude\": 43.9552993774414}, {\"ID\": 36401, \"Name\": \"Steamboat Springs\", \"Mobility\": 0.1589041054, \"State\": \"CO\", \"Population\": 38860, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.032, \"Seg_income\": 0.04, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.056, \"Commute\": 0.549, \"Income\": 39506, \"Gini\": 0.348, \"Share01\": 9.631, \"Gini_99\": 0.251, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 4647.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.607, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 8.282, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 1732.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.748, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.067, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.021, \"Foreign_born\": 0.039, \"Social_capital\": -0.036, \"Religious\": 0.346, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.107, \"Married\": 0.568, \"Longitude\": -107.309448242188, \"Latitude\": 40.4096908569336}, {\"ID\": 36402, \"Name\": \"Vernal\", \"Mobility\": 0.2533783913, \"State\": \"UT\", \"Population\": 39595, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.151, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.557, \"Income\": 26254, \"Gini\": 0.333, \"Share01\": 5.914, \"Gini_99\": 0.273, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2958.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.564, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -3.364, \"HS_dropout\": 0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.11, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -1.541, \"Religious\": 0.727, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.087, \"Married\": 0.623, \"Longitude\": -109.915977478027, \"Latitude\": 40.2199554443359}, {\"ID\": 36403, \"Name\": \"Soda Springs\", \"Mobility\": 0.1769911498, \"State\": \"ID\", \"Population\": 13715, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.018, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.01, \"Commute\": 0.575, \"Income\": 29943, \"Gini\": 0.251, \"Share01\": 4.487, \"Gini_99\": 0.207, \"Middle_class\": 0.691, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2757.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.584, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 5.784, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.165, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.345, \"Religious\": 0.818, \"Violent_crime\": 0.001, \"Single_mothers\": 0.103, \"Divorced\": 0.07, \"Married\": 0.667, \"Longitude\": -111.763107299805, \"Latitude\": 42.5429382324219}, {\"ID\": 36404, \"Name\": \"Rock Springs\", \"Mobility\": 0.2053941935, \"State\": \"WY\", \"Population\": 80730, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.545, \"Income\": 33999, \"Gini\": 0.264, \"Share01\": 6.384, \"Gini_99\": 0.2, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 4123.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.307, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 1.942, \"HS_dropout\": 0.021, \"Colleges\": 0.012, \"Tuition\": 1128.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.273, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.666, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.11, \"Married\": 0.618, \"Longitude\": -110.03832244873, \"Latitude\": 41.9130210876465}, {\"ID\": 36501, \"Name\": \"Klamath Falls\", \"Mobility\": 0.0856175944, \"State\": \"CA\", \"Population\": 151353, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.106, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.036, \"Commute\": 0.528, \"Income\": 29858, \"Gini\": 0.383, \"Share01\": 6.928, \"Gini_99\": 0.314, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2909.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -8.53, \"HS_dropout\": -0.008, \"Colleges\": 0.026, \"Tuition\": 1252.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.537, \"Manufacturing\": 0.087, \"Chinese_imports\": 0.588, \"Teenage_labor\": 0.004, \"Migration_in\": 0.026, \"Migration_out\": 0.021, \"Foreign_born\": 0.045, \"Social_capital\": -0.247, \"Religious\": 0.274, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.125, \"Married\": 0.601, \"Longitude\": -121.740371704102, \"Latitude\": 41.1564483642578}, {\"ID\": 36502, \"Name\": \"Burns\", \"Mobility\": 0.1393939406, \"State\": \"OR\", \"Population\": 7609, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.002, \"Commute\": 0.73, \"Income\": 30896, \"Gini\": 0.283, \"Share01\": 2.673, \"Gini_99\": 0.256, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 3536.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.314, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.847, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.223, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.01, \"Foreign_born\": 0.021, \"Social_capital\": 0.719, \"Religious\": 0.311, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -119.109016418457, \"Latitude\": 43.0806770324707}, {\"ID\": 36503, \"Name\": \"Lakeview\", \"Mobility\": 0.1098265871, \"State\": \"OR\", \"Population\": 7422, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.692, \"Income\": 31635, \"Gini\": 0.37, \"Share01\": 9.273, \"Gini_99\": 0.277, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2561.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.849, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.2, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.106, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.018, \"Foreign_born\": 0.034, \"Social_capital\": 0.928, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.136, \"Married\": 0.623, \"Longitude\": -120.350387573242, \"Latitude\": 42.7652053833008}, {\"ID\": 36600, \"Name\": \"Redding\", \"Mobility\": 0.0880713463, \"State\": \"CA\", \"Population\": 219295, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.042, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.038, \"Commute\": 0.424, \"Income\": 33442, \"Gini\": 0.434, \"Share01\": 9.24, \"Gini_99\": 0.341, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3203.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.688, \"Student_teacher_ratio\": 22.4, \"Test_scores\": -9.694, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2351.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.049, \"Social_capital\": -0.633, \"Religious\": 0.251, \"Violent_crime\": 0.004, \"Single_mothers\": 0.238, \"Divorced\": 0.133, \"Married\": 0.561, \"Longitude\": -122.163536071777, \"Latitude\": 40.3078002929688}, {\"ID\": 36700, \"Name\": \"Eureka\", \"Mobility\": 0.0757927299, \"State\": \"CA\", \"Population\": 139540, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.07, \"Seg_income\": 0.033, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.028, \"Commute\": 0.497, \"Income\": 30456, \"Gini\": 0.431, \"Share01\": 8.783, \"Gini_99\": 0.343, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2849.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.499, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -7.355, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 93.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.043, \"Social_capital\": 0.756, \"Religious\": 0.356, \"Violent_crime\": 0.004, \"Single_mothers\": 0.271, \"Divorced\": 0.13, \"Married\": 0.475, \"Longitude\": -123.048484802246, \"Latitude\": 40.842227935791}, {\"ID\": 36800, \"Name\": \"Medford\", \"Mobility\": 0.0719680116, \"State\": \"OR\", \"Population\": 256995, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.038, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.429, \"Income\": 36289, \"Gini\": 0.448, \"Share01\": 10.847, \"Gini_99\": 0.34, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.787, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 3.153, \"HS_dropout\": 0.023, \"Colleges\": 0.008, \"Tuition\": 2364.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.044, \"Social_capital\": 0.017, \"Religious\": 0.216, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.127, \"Married\": 0.575, \"Longitude\": -123.281646728516, \"Latitude\": 42.6183967590332}, {\"ID\": 36901, \"Name\": \"Crescent City\", \"Mobility\": 0.0834224597, \"State\": \"CA\", \"Population\": 48644, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.117, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.626, \"Income\": 29532, \"Gini\": 0.387, \"Share01\": 8.285, \"Gini_99\": 0.305, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2555.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 20.4, \"Test_scores\": -9.264, \"HS_dropout\": 0.002, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.137, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.02, \"Foreign_born\": 0.048, \"Social_capital\": -0.418, \"Religious\": 0.286, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -123.932952880859, \"Latitude\": 42.3174858093262}, {\"ID\": 36902, \"Name\": \"Roseburg\", \"Mobility\": 0.0819778815, \"State\": \"OR\", \"Population\": 163178, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.021, \"Commute\": 0.462, \"Income\": 32479, \"Gini\": 0.385, \"Share01\": 8.286, \"Gini_99\": 0.302, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2488.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.257, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 1732.0, \"Graduation\": -0.199, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.164, \"Religious\": 0.254, \"Violent_crime\": 0.001, \"Single_mothers\": 0.219, \"Divorced\": 0.124, \"Married\": 0.594, \"Longitude\": -123.371940612793, \"Latitude\": 43.0709075927734}, {\"ID\": 37000, \"Name\": \"Modesto\", \"Mobility\": 0.0936282724, \"State\": \"CA\", \"Population\": 729182, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.121, \"Seg_income\": 0.051, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.056, \"Commute\": 0.372, \"Income\": 31666, \"Gini\": 0.464, \"Share01\": 12.051, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3836.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.838, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -18.956, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 333.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.187, \"Social_capital\": -1.574, \"Religious\": 0.446, \"Violent_crime\": 0.005, \"Single_mothers\": 0.204, \"Divorced\": 0.101, \"Married\": 0.561, \"Longitude\": -120.41040802002, \"Latitude\": 37.6686401367188}, {\"ID\": 37100, \"Name\": \"Bakersfield\", \"Mobility\": 0.1216197163, \"State\": \"CA\", \"Population\": 661645, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.214, \"Seg_income\": 0.099, \"Seg_poverty\": 0.076, \"Seg_affluence\": 0.116, \"Commute\": 0.362, \"Income\": 28781, \"Gini\": 0.48, \"Share01\": 11.528, \"Gini_99\": 0.365, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3644.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.756, \"Student_teacher_ratio\": 23.6, \"Test_scores\": -21.294, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2006.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.245, \"Teenage_labor\": 0.003, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.169, \"Social_capital\": -1.903, \"Religious\": 0.437, \"Violent_crime\": 0.005, \"Single_mothers\": 0.229, \"Divorced\": 0.095, \"Married\": 0.568, \"Longitude\": -119.108604431152, \"Latitude\": 35.3061866760254}, {\"ID\": 37200, \"Name\": \"Fresno\", \"Mobility\": 0.0748793706, \"State\": \"CA\", \"Population\": 1419998, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.168, \"Seg_income\": 0.085, \"Seg_poverty\": 0.067, \"Seg_affluence\": 0.102, \"Commute\": 0.351, \"Income\": 28267, \"Gini\": 0.508, \"Share01\": 11.107, \"Gini_99\": 0.397, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3259.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.555, \"Student_teacher_ratio\": 23.2, \"Test_scores\": -18.836, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1969.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.088, \"Chinese_imports\": 0.47, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.209, \"Social_capital\": -1.648, \"Religious\": 0.466, \"Violent_crime\": 0.006, \"Single_mothers\": 0.222, \"Divorced\": 0.087, \"Married\": 0.549, \"Longitude\": -119.227890014648, \"Latitude\": 36.7168731689453}, {\"ID\": 37300, \"Name\": \"Chico\", \"Mobility\": 0.0948425978, \"State\": \"CA\", \"Population\": 387577, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.1, \"Seg_income\": 0.049, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.053, \"Commute\": 0.442, \"Income\": 31471, \"Gini\": 0.444, \"Share01\": 8.792, \"Gini_99\": 0.356, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2904.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.606, \"Student_teacher_ratio\": 22.7, \"Test_scores\": -14.579, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 92.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.409, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.126, \"Social_capital\": -0.921, \"Religious\": 0.291, \"Violent_crime\": 0.004, \"Single_mothers\": 0.223, \"Divorced\": 0.112, \"Married\": 0.531, \"Longitude\": -121.665008544922, \"Latitude\": 39.5398712158203}, {\"ID\": 37400, \"Name\": \"Sacramento\", \"Mobility\": 0.0969090089, \"State\": \"CA\", \"Population\": 2570609, \"Urban\": 1, \"Black\": 0.063, \"Seg_racial\": 0.161, \"Seg_income\": 0.093, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.099, \"Commute\": 0.285, \"Income\": 39560, \"Gini\": 0.451, \"Share01\": 12.004, \"Gini_99\": 0.331, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3559.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 23.3, \"Test_scores\": -11.615, \"HS_dropout\": -0.02, \"Colleges\": 0.008, \"Tuition\": 2457.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.528, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.147, \"Social_capital\": -0.596, \"Religious\": 0.354, \"Violent_crime\": 0.004, \"Single_mothers\": 0.225, \"Divorced\": 0.111, \"Married\": 0.541, \"Longitude\": -120.881065368652, \"Latitude\": 38.5452499389648}, {\"ID\": 37500, \"Name\": \"San Jose\", \"Mobility\": 0.1293258816, \"State\": \"CA\", \"Population\": 2393183, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.218, \"Seg_income\": 0.092, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.112, \"Commute\": 0.244, \"Income\": 52004, \"Gini\": 0.535, \"Share01\": 26.38, \"Gini_99\": 0.271, \"Middle_class\": 0.42, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3361.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.952, \"Student_teacher_ratio\": 24.0, \"Test_scores\": -20.475, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 4664.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.224, \"Chinese_imports\": 3.15, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.038, \"Foreign_born\": 0.312, \"Social_capital\": -0.609, \"Religious\": 0.432, \"Violent_crime\": 0.003, \"Single_mothers\": 0.155, \"Divorced\": 0.091, \"Married\": 0.541, \"Longitude\": -121.291488647461, \"Latitude\": 36.794002532959}, {\"ID\": 37601, \"Name\": \"Elko\", \"Mobility\": 0.1602941155, \"State\": \"NV\", \"Population\": 61917, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.121, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.044, \"Commute\": 0.513, \"Income\": 32701, \"Gini\": 0.313, \"Share01\": 11.854, \"Gini_99\": 0.194, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3116.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.64, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.153, \"HS_dropout\": -0.002, \"Colleges\": 0.016, \"Tuition\": 1395.0, \"Graduation\": -0.174, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.022, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.09, \"Social_capital\": -2.085, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.114, \"Married\": 0.607, \"Longitude\": -116.75122833252, \"Latitude\": 39.8185768127441}, {\"ID\": 37602, \"Name\": \"Winnemucca\", \"Mobility\": 0.1695501804, \"State\": \"NV\", \"Population\": 22799, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.021, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.016, \"Commute\": 0.496, \"Income\": 31976, \"Gini\": 0.279, \"Share01\": 6.081, \"Gini_99\": 0.218, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 6251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.121, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -7.491, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.094, \"Social_capital\": -2.048, \"Religious\": 0.374, \"Violent_crime\": 0.003, \"Single_mothers\": 0.137, \"Divorced\": 0.123, \"Married\": 0.628, \"Longitude\": -118.409187316895, \"Latitude\": 41.0092391967773}, {\"ID\": 37603, \"Name\": \"Portola\", \"Mobility\": 0.1176470593, \"State\": \"CA\", \"Population\": 24379, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.028, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.552, \"Income\": 36905, \"Gini\": 0.357, \"Share01\": 10.523, \"Gini_99\": 0.252, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 4132.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.694, \"Student_teacher_ratio\": 22.0, \"Test_scores\": -2.797, \"HS_dropout\": null, \"Colleges\": 0.041, \"Tuition\": 264.0, \"Graduation\": -0.047, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.046, \"Teenage_labor\": 0.006, \"Migration_in\": 0.029, \"Migration_out\": 0.024, \"Foreign_born\": 0.026, \"Social_capital\": 0.394, \"Religious\": 0.31, \"Violent_crime\": 0.006, \"Single_mothers\": 0.224, \"Divorced\": 0.118, \"Married\": 0.617, \"Longitude\": -120.850761413574, \"Latitude\": 39.9761695861816}, {\"ID\": 37604, \"Name\": \"Reno\", \"Mobility\": 0.0910304934, \"State\": \"NV\", \"Population\": 453825, \"Urban\": 1, \"Black\": 0.018, \"Seg_racial\": 0.097, \"Seg_income\": 0.099, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.115, \"Commute\": 0.378, \"Income\": 41398, \"Gini\": 0.46, \"Share01\": 16.934, \"Gini_99\": 0.291, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2437.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -10.295, \"HS_dropout\": 0.0, \"Colleges\": 0.013, \"Tuition\": 2377.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.43, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.027, \"Foreign_born\": 0.125, \"Social_capital\": -1.082, \"Religious\": 0.289, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.146, \"Married\": 0.538, \"Longitude\": -118.756866455078, \"Latitude\": 39.5042724609375}, {\"ID\": 37700, \"Name\": \"Santa Rosa\", \"Mobility\": 0.0995508954, \"State\": \"CA\", \"Population\": 603188, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.074, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.069, \"Commute\": 0.349, \"Income\": 43636, \"Gini\": 0.445, \"Share01\": 14.83, \"Gini_99\": 0.297, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3118.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.597, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -14.668, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 165.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.026, \"Foreign_born\": 0.13, \"Social_capital\": -0.103, \"Religious\": 0.323, \"Violent_crime\": 0.004, \"Single_mothers\": 0.207, \"Divorced\": 0.127, \"Married\": 0.525, \"Longitude\": -122.767791748047, \"Latitude\": 38.9323234558105}, {\"ID\": 37800, \"Name\": \"San Francisco\", \"Mobility\": 0.1215258688, \"State\": \"CA\", \"Population\": 4642561, \"Urban\": 1, \"Black\": 0.096, \"Seg_racial\": 0.207, \"Seg_income\": 0.11, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.122, \"Commute\": 0.212, \"Income\": 54014, \"Gini\": 0.496, \"Share01\": 23.587, \"Gini_99\": 0.26, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3650.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 22.9, \"Test_scores\": -17.251, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 4312.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.03, \"Foreign_born\": 0.262, \"Social_capital\": -0.38, \"Religious\": 0.381, \"Violent_crime\": 0.003, \"Single_mothers\": 0.193, \"Divorced\": 0.097, \"Married\": 0.509, \"Longitude\": -122.198585510254, \"Latitude\": 38.0660629272461}, {\"ID\": 37901, \"Name\": \"Las Vegas\", \"Mobility\": 0.0800290108, \"State\": \"NV\", \"Population\": 1568418, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.138, \"Seg_income\": 0.102, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.106, \"Commute\": 0.245, \"Income\": 38429, \"Gini\": 0.518, \"Share01\": 20.8, \"Gini_99\": 0.31, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -16.716, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4577.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.255, \"Teenage_labor\": 0.004, \"Migration_in\": 0.061, \"Migration_out\": 0.036, \"Foreign_born\": 0.165, \"Social_capital\": -2.317, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.136, \"Married\": 0.533, \"Longitude\": -114.026496887207, \"Latitude\": 36.0594253540039}, {\"ID\": 37902, \"Name\": \"Reno\", \"Mobility\": 0.1097560972, \"State\": \"NV\", \"Population\": 5071, \"Urban\": 0, \"Black\": 0.046, \"Seg_racial\": 0.244, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.687, \"Income\": 34004, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.244, \"Student_teacher_ratio\": 16.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": -0.075, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.024, \"Social_capital\": -0.773, \"Religious\": 0.345, \"Violent_crime\": 0.001, \"Single_mothers\": 0.28, \"Divorced\": 0.19, \"Married\": 0.522, \"Longitude\": -118.591743469238, \"Latitude\": 38.641918182373}, {\"ID\": 37903, \"Name\": \"Mammoth Lakes\", \"Mobility\": 0.1159420311, \"State\": \"CA\", \"Population\": 30798, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.06, \"Seg_income\": 0.043, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.045, \"Commute\": 0.64, \"Income\": 38537, \"Gini\": 0.381, \"Share01\": 7.066, \"Gini_99\": 0.311, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 4288.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.223, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -14.086, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.037, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.096, \"Social_capital\": 0.228, \"Religious\": 0.426, \"Violent_crime\": 0.003, \"Single_mothers\": 0.205, \"Divorced\": 0.117, \"Married\": 0.552, \"Longitude\": -118.70630645752, \"Latitude\": 37.272533416748}, {\"ID\": 38000, \"Name\": \"San Diego\", \"Mobility\": 0.1043647528, \"State\": \"CA\", \"Population\": 2813833, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.196, \"Seg_income\": 0.112, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.132, \"Commute\": 0.247, \"Income\": 40913, \"Gini\": 0.516, \"Share01\": 17.139, \"Gini_99\": 0.344, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3083.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.406, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -10.538, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2899.0, \"Graduation\": 0.034, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.11, \"Chinese_imports\": 1.516, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.045, \"Foreign_born\": 0.215, \"Social_capital\": -0.944, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.201, \"Divorced\": 0.102, \"Married\": 0.52, \"Longitude\": -117.107269287109, \"Latitude\": 33.1088333129883}, {\"ID\": 38100, \"Name\": \"Yuma\", \"Mobility\": 0.0982132256, \"State\": \"CA\", \"Population\": 302387, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.223, \"Seg_income\": 0.062, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.075, \"Commute\": 0.45, \"Income\": 26908, \"Gini\": 0.495, \"Share01\": 9.975, \"Gini_99\": 0.396, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3979.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.565, \"Student_teacher_ratio\": 22.8, \"Test_scores\": -19.096, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 314.0, \"Graduation\": -0.148, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.049, \"Chinese_imports\": 1.172, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.026, \"Foreign_born\": 0.278, \"Social_capital\": -2.661, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.216, \"Divorced\": 0.077, \"Married\": 0.591, \"Longitude\": -114.670593261719, \"Latitude\": 33.0404739379883}, {\"ID\": 38200, \"Name\": \"Santa Barbara\", \"Mobility\": 0.112940833, \"State\": \"CA\", \"Population\": 646028, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.154, \"Seg_income\": 0.077, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.082, \"Commute\": 0.448, \"Income\": 40050, \"Gini\": 0.48, \"Share01\": 16.672, \"Gini_99\": 0.313, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2829.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.718, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -10.878, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 997.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.087, \"Chinese_imports\": 1.478, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.031, \"Foreign_born\": 0.165, \"Social_capital\": 0.035, \"Religious\": 0.511, \"Violent_crime\": 0.003, \"Single_mothers\": 0.183, \"Divorced\": 0.098, \"Married\": 0.534, \"Longitude\": -120.072280883789, \"Latitude\": 34.8693542480469}, {\"ID\": 38300, \"Name\": \"Los Angeles\", \"Mobility\": 0.096090205, \"State\": \"CA\", \"Population\": 16393360, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.271, \"Seg_income\": 0.121, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.139, \"Commute\": 0.225, \"Income\": 38902, \"Gini\": 0.566, \"Share01\": 18.528, \"Gini_99\": 0.381, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3609.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.532, \"Student_teacher_ratio\": 24.8, \"Test_scores\": -17.336, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4956.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.309, \"Social_capital\": -1.392, \"Religious\": 0.52, \"Violent_crime\": 0.004, \"Single_mothers\": 0.204, \"Divorced\": 0.089, \"Married\": 0.516, \"Longitude\": -116.288673400879, \"Latitude\": 34.0751686096191}, {\"ID\": 38401, \"Name\": \"Lewiston\", \"Mobility\": 0.0902097896, \"State\": \"ID\", \"Population\": 88546, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.09, \"Seg_income\": 0.033, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.035, \"Commute\": 0.555, \"Income\": 32663, \"Gini\": 0.357, \"Share01\": 6.848, \"Gini_99\": 0.288, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1901.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.639, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 4.83, \"HS_dropout\": 0.017, \"Colleges\": 0.011, \"Tuition\": 0.0, \"Graduation\": -0.154, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.171, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 0.555, \"Religious\": 0.4, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.127, \"Married\": 0.576, \"Longitude\": -115.768684387207, \"Latitude\": 46.1207466125488}, {\"ID\": 38402, \"Name\": \"Pullman\", \"Mobility\": 0.1423611045, \"State\": \"WA\", \"Population\": 75675, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.077, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.061, \"Commute\": 0.557, \"Income\": 24766, \"Gini\": 0.333, \"Share01\": 6.766, \"Gini_99\": 0.266, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.079, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.049, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 2073.0, \"Graduation\": 0.245, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.189, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.04, \"Foreign_born\": 0.06, \"Social_capital\": 0.463, \"Religious\": 0.325, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.066, \"Married\": 0.49, \"Longitude\": -117.456970214844, \"Latitude\": 46.7306709289551}, {\"ID\": 38501, \"Name\": \"Moses Lake\", \"Mobility\": 0.0965794772, \"State\": \"WA\", \"Population\": 91126, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.165, \"Seg_income\": 0.021, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.022, \"Commute\": 0.512, \"Income\": 29315, \"Gini\": 0.365, \"Share01\": 6.787, \"Gini_99\": 0.297, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.336, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -8.035, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.082, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.586, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.182, \"Social_capital\": -0.26, \"Religious\": 0.442, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.086, \"Married\": 0.606, \"Longitude\": -119.342346191406, \"Latitude\": 47.2981109619141}, {\"ID\": 38502, \"Name\": \"Wenatchee\", \"Mobility\": 0.0935460478, \"State\": \"WA\", \"Population\": 99219, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.063, \"Seg_income\": 0.035, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.503, \"Income\": 36330, \"Gini\": 0.402, \"Share01\": 10.772, \"Gini_99\": 0.295, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4553.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -1.827, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 1641.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.132, \"Social_capital\": 0.221, \"Religious\": 0.373, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.105, \"Married\": 0.609, \"Longitude\": -120.148620605469, \"Latitude\": 47.9200592041016}, {\"ID\": 38601, \"Name\": \"Spokane\", \"Mobility\": 0.0928014889, \"State\": \"WA\", \"Population\": 608317, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.047, \"Seg_income\": 0.077, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.089, \"Commute\": 0.348, \"Income\": 34286, \"Gini\": 0.414, \"Share01\": 10.294, \"Gini_99\": 0.311, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.843, \"Student_teacher_ratio\": 20.9, \"Test_scores\": 6.227, \"HS_dropout\": 0.022, \"Colleges\": 0.012, \"Tuition\": 5682.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.106, \"Chinese_imports\": 1.397, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.021, \"Foreign_born\": 0.037, \"Social_capital\": 0.371, \"Religious\": 0.344, \"Violent_crime\": 0.001, \"Single_mothers\": 0.212, \"Divorced\": 0.122, \"Married\": 0.566, \"Longitude\": -116.917655944824, \"Latitude\": 47.739501953125}, {\"ID\": 38602, \"Name\": \"Colville\", \"Mobility\": 0.0975247547, \"State\": \"WA\", \"Population\": 86890, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.258, \"Seg_income\": 0.023, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.427, \"Income\": 29312, \"Gini\": 0.405, \"Share01\": 8.849, \"Gini_99\": 0.316, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.828, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.219, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.667, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.026, \"Foreign_born\": 0.06, \"Social_capital\": -1.069, \"Religious\": 0.257, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.592, \"Longitude\": -119.368103027344, \"Latitude\": 48.2558975219727}, {\"ID\": 38700, \"Name\": \"Longview\", \"Mobility\": 0.0927726701, \"State\": \"WA\", \"Population\": 220580, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.058, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.042, \"Commute\": 0.448, \"Income\": 34298, \"Gini\": 0.379, \"Share01\": 8.287, \"Gini_99\": 0.296, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.257, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.591, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 1660.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.151, \"Chinese_imports\": 0.39, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.025, \"Foreign_born\": 0.041, \"Social_capital\": -0.039, \"Religious\": 0.304, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.129, \"Married\": 0.567, \"Longitude\": -123.489311218262, \"Latitude\": 46.4340553283691}, {\"ID\": 38801, \"Name\": \"Portland\", \"Mobility\": 0.0930585414, \"State\": \"OR\", \"Population\": 1842889, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.103, \"Seg_income\": 0.075, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.083, \"Commute\": 0.258, \"Income\": 41718, \"Gini\": 0.419, \"Share01\": 15.8, \"Gini_99\": 0.261, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2861.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.704, \"Student_teacher_ratio\": 21.4, \"Test_scores\": -2.673, \"HS_dropout\": 0.022, \"Colleges\": 0.013, \"Tuition\": 7901.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.531, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.11, \"Social_capital\": 0.165, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.544, \"Longitude\": -122.585243225098, \"Latitude\": 45.5073280334473}, {\"ID\": 38802, \"Name\": \"The Dalles\", \"Mobility\": 0.1043802425, \"State\": \"OR\", \"Population\": 65297, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.017, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.016, \"Commute\": 0.53, \"Income\": 32881, \"Gini\": 0.35, \"Share01\": 6.761, \"Gini_99\": 0.283, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2931.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.744, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -1.692, \"HS_dropout\": -0.001, \"Colleges\": 0.015, \"Tuition\": 1440.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.091, \"Social_capital\": 0.561, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.111, \"Married\": 0.611, \"Longitude\": -120.97777557373, \"Latitude\": 45.380428314209}, {\"ID\": 38901, \"Name\": \"Eugene\", \"Mobility\": 0.0788958147, \"State\": \"OR\", \"Population\": 936387, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.094, \"Seg_income\": 0.058, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.062, \"Commute\": 0.381, \"Income\": 34589, \"Gini\": 0.399, \"Share01\": 10.922, \"Gini_99\": 0.289, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2431.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.184, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -3.381, \"HS_dropout\": 0.015, \"Colleges\": 0.014, \"Tuition\": 5190.0, \"Graduation\": 0.07, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.077, \"Social_capital\": 0.372, \"Religious\": 0.291, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.111, \"Married\": 0.545, \"Longitude\": -122.91716003418, \"Latitude\": 44.4636039733887}, {\"ID\": 38902, \"Name\": \"Newport\", \"Mobility\": 0.0725744814, \"State\": \"OR\", \"Population\": 68741, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.49, \"Income\": 36264, \"Gini\": 0.411, \"Share01\": 7.284, \"Gini_99\": 0.338, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3803.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.472, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.794, \"HS_dropout\": 0.022, \"Colleges\": 0.015, \"Tuition\": 1296.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.561, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.041, \"Social_capital\": -0.573, \"Religious\": 0.237, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.141, \"Married\": 0.566, \"Longitude\": -123.638946533203, \"Latitude\": 45.1897888183594}, {\"ID\": 39000, \"Name\": \"Yakima\", \"Mobility\": 0.0817065835, \"State\": \"WA\", \"Population\": 255943, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.235, \"Seg_income\": 0.069, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.069, \"Commute\": 0.427, \"Income\": 30403, \"Gini\": 0.442, \"Share01\": 10.008, \"Gini_99\": 0.342, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.026, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -10.483, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2524.0, \"Graduation\": 0.104, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.023, \"Foreign_born\": 0.154, \"Social_capital\": -0.709, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.094, \"Married\": 0.558, \"Longitude\": -120.93709564209, \"Latitude\": 46.9831886291504}, {\"ID\": 39100, \"Name\": \"Kennewick\", \"Mobility\": 0.1058548018, \"State\": \"WA\", \"Population\": 332609, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.158, \"Seg_income\": 0.064, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.453, \"Income\": 34510, \"Gini\": 0.362, \"Share01\": 8.535, \"Gini_99\": 0.276, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 5442.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.699, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.494, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 7160.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.112, \"Social_capital\": -0.22, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -118.693199157715, \"Latitude\": 45.9214706420898}, {\"ID\": 39201, \"Name\": \"La Grande\", \"Mobility\": 0.0876747146, \"State\": \"OR\", \"Population\": 41271, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.016, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.645, \"Income\": 31277, \"Gini\": 0.361, \"Share01\": 7.199, \"Gini_99\": 0.289, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.108, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.022, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 2316.0, \"Graduation\": -0.049, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.023, \"Social_capital\": 0.533, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.113, \"Married\": 0.594, \"Longitude\": -117.899185180664, \"Latitude\": 44.9051361083984}, {\"ID\": 39202, \"Name\": \"Enterprise\", \"Mobility\": 0.143790856, \"State\": \"OR\", \"Population\": 7226, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.004, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.644, \"Income\": 34762, \"Gini\": 0.558, \"Share01\": 30.487, \"Gini_99\": 0.254, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 3575.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.28, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 13.774, \"HS_dropout\": -0.038, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.124, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.203, \"Religious\": 0.374, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.103, \"Married\": 0.637, \"Longitude\": -117.263938903809, \"Latitude\": 45.5163421630859}, {\"ID\": 39203, \"Name\": \"Bend\", \"Mobility\": 0.0817263573, \"State\": \"OR\", \"Population\": 153558, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.168, \"Seg_income\": 0.039, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.049, \"Commute\": 0.474, \"Income\": 37787, \"Gini\": 0.441, \"Share01\": 11.325, \"Gini_99\": 0.327, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.638, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -1.345, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 2169.0, \"Graduation\": -0.27, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.366, \"Teenage_labor\": 0.005, \"Migration_in\": 0.058, \"Migration_out\": 0.028, \"Foreign_born\": 0.037, \"Social_capital\": 0.325, \"Religious\": 0.274, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.112, \"Married\": 0.616, \"Longitude\": -121.15111541748, \"Latitude\": 44.2248649597168}, {\"ID\": 39204, \"Name\": \"Condon\", \"Mobility\": 0.1086956486, \"State\": \"OR\", \"Population\": 3462, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.017, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.546, \"Income\": 33476, \"Gini\": 0.24, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3587.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 9.289, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.019, \"Social_capital\": 0.336, \"Religious\": 0.344, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.117, \"Married\": 0.633, \"Longitude\": -120.325981140137, \"Latitude\": 45.2196655273438}, {\"ID\": 39205, \"Name\": \"John Day\", \"Mobility\": 0.1158536598, \"State\": \"OR\", \"Population\": 7935, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.002, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.579, \"Income\": 32736, \"Gini\": 0.311, \"Share01\": 4.4, \"Gini_99\": 0.267, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 3429.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.887, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 12.204, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.208, \"Religious\": 0.331, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.108, \"Married\": 0.628, \"Longitude\": -118.531196594238, \"Latitude\": 44.5940246582031}, {\"ID\": 39301, \"Name\": \"Friday Harbor\", \"Mobility\": 0.1016949117, \"State\": \"WA\", \"Population\": 14077, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.012, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.001, \"Commute\": 0.628, \"Income\": 58628, \"Gini\": 0.796, \"Share01\": 60.527, \"Gini_99\": 0.19, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2971.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.766, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -3.884, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.821, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.06, \"Social_capital\": 2.716, \"Religious\": 0.171, \"Violent_crime\": 0.0, \"Single_mothers\": 0.219, \"Divorced\": 0.148, \"Married\": 0.604, \"Longitude\": -123.052955627441, \"Latitude\": 48.5253791809082}, {\"ID\": 39302, \"Name\": \"Bellingham\", \"Mobility\": 0.1155751273, \"State\": \"WA\", \"Population\": 166814, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.057, \"Seg_income\": 0.046, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.042, \"Commute\": 0.418, \"Income\": 35491, \"Gini\": 0.416, \"Share01\": 12.245, \"Gini_99\": 0.294, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2615.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.912, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 5.12, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 2682.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.324, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.098, \"Social_capital\": 0.063, \"Religious\": 0.294, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.099, \"Married\": 0.538, \"Longitude\": -121.263442993164, \"Latitude\": 48.8311538696289}, {\"ID\": 39303, \"Name\": \"Port Angeles\", \"Mobility\": 0.0858400613, \"State\": \"WA\", \"Population\": 90478, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.122, \"Seg_income\": 0.025, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.024, \"Commute\": 0.486, \"Income\": 39625, \"Gini\": 0.414, \"Share01\": 12.848, \"Gini_99\": 0.285, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3201.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.609, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.012, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.165, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.043, \"Social_capital\": 0.476, \"Religious\": 0.26, \"Violent_crime\": 0.001, \"Single_mothers\": 0.235, \"Divorced\": 0.124, \"Married\": 0.598, \"Longitude\": -123.544647216797, \"Latitude\": 47.9120674133301}, {\"ID\": 39400, \"Name\": \"Seattle\", \"Mobility\": 0.1085509509, \"State\": \"WA\", \"Population\": 3775744, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.107, \"Seg_income\": 0.083, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.24, \"Income\": 44591, \"Gini\": 0.424, \"Share01\": 18.7, \"Gini_99\": 0.237, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3024.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.604, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -0.108, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 5596.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.677, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.022, \"Foreign_born\": 0.113, \"Social_capital\": -0.125, \"Religious\": 0.323, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.116, \"Married\": 0.544, \"Longitude\": -122.012229919434, \"Latitude\": 47.6443939208984}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 46,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").add_selection(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart2 = alt.Chart(mobility).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_bar().encode(\n",
    "    alt.X(\"Mobility:Q\", bin=True, axis=alt.Axis(title='Mobility Score')),\n",
    "    alt.Y('count()')\n",
    ").transform_filter(\n",
    "    brush\n",
    ")\n",
    "\n",
    "chart = chart1 | chart2\n",
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 47,
   "id": "bc48f289",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/plain": [
       "array(['TN', 'NC', 'VA', 'SC', 'MS', 'LA', 'AR', 'KY', 'AL', 'GA', 'FL',\n",
       "       'WV', 'MD', 'DC', 'MI', 'OH', 'IN', 'IL', 'PA', 'NY', 'NJ', 'DE',\n",
       "       'ME', 'VT', 'RI', 'MA', 'NH', 'CT', 'WI', 'MN', 'IA', 'MO', 'ND',\n",
       "       'SD', 'MT', 'NE', 'WY', 'CO', 'KS', 'OK', 'TX', 'NM', 'AK', 'ID',\n",
       "       'HI', 'AZ', 'OR', 'UT', 'CA', 'NV', 'WA'], dtype=object)"
      ]
     },
     "execution_count": 47,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "mobility['State'].unique()"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 48,
   "id": "694c1c19",
   "metadata": {},
   "outputs": [],
   "source": [
    "alt.binding_select?"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 53,
   "id": "8290aba2",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'selection_single' is deprecated.  Use 'selection_point'\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n",
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'add_selection' is deprecated. Use 'add_params' instead.\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n"
     ]
    },
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-4f1b72a557c142ce92eefc4ff5e937cf.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-4f1b72a557c142ce92eefc4ff5e937cf.vega-embed details,\n",
       "  #altair-viz-4f1b72a557c142ce92eefc4ff5e937cf.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-4f1b72a557c142ce92eefc4ff5e937cf\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-4f1b72a557c142ce92eefc4ff5e937cf\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-4f1b72a557c142ce92eefc4ff5e937cf\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"hconcat\": [{\"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"name\": \"view_9\", \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_15\"}}]}, {\"data\": {\"name\": \"data-b10526190cf48649f6e7312c7784ddd8\"}, \"mark\": {\"type\": \"bar\"}, \"encoding\": {\"x\": {\"axis\": {\"title\": \"Mobility Score\"}, \"bin\": true, \"field\": \"Mobility\", \"type\": \"quantitative\"}, \"y\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}}, \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_14\"}}, {\"filter\": {\"param\": \"param_15\"}}]}], \"params\": [{\"name\": \"param_14\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"views\": [\"view_9\"]}, {\"name\": \"param_15\", \"select\": {\"type\": \"point\", \"fields\": [\"State\"]}, \"bind\": {\"input\": \"select\", \"options\": [\"TN\", \"NC\", \"VA\", \"SC\", \"MS\", \"LA\", \"AR\", \"KY\", \"AL\", \"GA\", \"FL\", \"WV\", \"MD\", \"DC\", \"MI\", \"OH\", \"IN\", \"IL\", \"PA\", \"NY\", \"NJ\", \"DE\", \"ME\", \"VT\", \"RI\", \"MA\", \"NH\", \"CT\", \"WI\", \"MN\", \"IA\", \"MO\", \"ND\", \"SD\", \"MT\", \"NE\", \"WY\", \"CO\", \"KS\", \"OK\", \"TX\", \"NM\", \"AK\", \"ID\", \"HI\", \"AZ\", \"OR\", \"UT\", \"CA\", \"NV\", \"WA\"]}, \"views\": [\"view_9\"]}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\", \"datasets\": {\"data-b10526190cf48649f6e7312c7784ddd8\": [{\"ID\": 100, \"Name\": \"Johnson City\", \"Mobility\": 0.0621988103, \"State\": \"TN\", \"Population\": 576081, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.09, \"Seg_income\": 0.035, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.038, \"Commute\": 0.325, \"Income\": 31560, \"Gini\": 0.468, \"Share01\": 13.459, \"Gini_99\": 0.333, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.185, \"Student_teacher_ratio\": null, \"Test_scores\": 2.728, \"HS_dropout\": -0.015, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.237, \"Chinese_imports\": 5.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.005, \"Foreign_born\": 0.012, \"Social_capital\": -0.298, \"Religious\": 0.514, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.601, \"Longitude\": -82.4363861083984, \"Latitude\": 36.4703712463379}, {\"ID\": 200, \"Name\": \"Morristown\", \"Mobility\": 0.0536519401, \"State\": \"TN\", \"Population\": 227816, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.093, \"Seg_income\": 0.026, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.025, \"Commute\": 0.276, \"Income\": 29959, \"Gini\": 0.435, \"Share01\": 10.631, \"Gini_99\": 0.328, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2004.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.506, \"Student_teacher_ratio\": null, \"Test_scores\": -3.4, \"HS_dropout\": -0.024, \"Colleges\": 0.009, \"Tuition\": 4762.0, \"Graduation\": -0.101, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.238, \"Chinese_imports\": 3.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.767, \"Religious\": 0.544, \"Violent_crime\": 0.002, \"Single_mothers\": 0.185, \"Divorced\": 0.116, \"Married\": 0.613, \"Longitude\": -83.4072494506836, \"Latitude\": 36.0965385437012}, {\"ID\": 301, \"Name\": \"Middlesborough\", \"Mobility\": 0.0726351365, \"State\": \"TN\", \"Population\": 66708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.064, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.026, \"Commute\": 0.359, \"Income\": 22328, \"Gini\": 0.441, \"Share01\": 10.691, \"Gini_99\": 0.334, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.614, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -9.315, \"HS_dropout\": -0.005, \"Colleges\": 0.045, \"Tuition\": 11840.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.479, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.063, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": -1.27, \"Religious\": 0.668, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.113, \"Married\": 0.59, \"Longitude\": -83.5353317260742, \"Latitude\": 36.5515403747559}, {\"ID\": 302, \"Name\": \"Knoxville\", \"Mobility\": 0.0562812127, \"State\": \"TN\", \"Population\": 727600, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.21, \"Seg_income\": 0.092, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.102, \"Commute\": 0.269, \"Income\": 35884, \"Gini\": 0.508, \"Share01\": 15.08, \"Gini_99\": 0.358, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.9, \"Student_teacher_ratio\": null, \"Test_scores\": -6.032, \"HS_dropout\": -0.011, \"Colleges\": 0.011, \"Tuition\": 3480.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.078, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": -0.222, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.114, \"Married\": 0.575, \"Longitude\": -84.242790222168, \"Latitude\": 35.9522590637207}, {\"ID\": 401, \"Name\": \"Winston-Salem\", \"Mobility\": 0.0448007919, \"State\": \"NC\", \"Population\": 493180, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.262, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.081, \"Commute\": 0.292, \"Income\": 38892, \"Gini\": 0.466, \"Share01\": 11.917, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1891.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.463, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.297, \"HS_dropout\": 0.023, \"Colleges\": 0.014, \"Tuition\": 9715.0, \"Graduation\": 0.052, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.215, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -0.018, \"Religious\": 0.488, \"Violent_crime\": 0.003, \"Single_mothers\": 0.22, \"Divorced\": 0.092, \"Married\": 0.586, \"Longitude\": -80.5053329467773, \"Latitude\": 36.0812759399414}, {\"ID\": 402, \"Name\": \"Martinsville\", \"Mobility\": 0.0518358536, \"State\": \"VA\", \"Population\": 92753, \"Urban\": 0, \"Black\": 0.224, \"Seg_racial\": 0.137, \"Seg_income\": 0.024, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.028, \"Commute\": 0.313, \"Income\": 31265, \"Gini\": 0.444, \"Share01\": 10.68, \"Gini_99\": 0.338, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1558.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.74, \"Student_teacher_ratio\": null, \"Test_scores\": 4.227, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1113.0, \"Graduation\": -0.116, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.395, \"Chinese_imports\": 3.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.025, \"Social_capital\": -0.903, \"Religious\": 0.454, \"Violent_crime\": 0.002, \"Single_mothers\": 0.241, \"Divorced\": 0.096, \"Married\": 0.58, \"Longitude\": -80.2941131591797, \"Latitude\": 36.7005882263184}, {\"ID\": 500, \"Name\": \"Greensboro\", \"Mobility\": 0.0473969392, \"State\": \"NC\", \"Population\": 1055133, \"Urban\": 1, \"Black\": 0.218, \"Seg_racial\": 0.22, \"Seg_income\": 0.068, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.077, \"Commute\": 0.305, \"Income\": 36582, \"Gini\": 0.524, \"Share01\": 18.228, \"Gini_99\": 0.341, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.008, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -3.716, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 4528.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.261, \"Chinese_imports\": 2.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": -0.513, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.096, \"Married\": 0.56, \"Longitude\": -79.7673873901367, \"Latitude\": 36.311107635498}, {\"ID\": 601, \"Name\": \"North Wilkesboro\", \"Mobility\": 0.0516631268, \"State\": \"NC\", \"Population\": 90016, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.114, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.289, \"Income\": 31544, \"Gini\": 0.446, \"Share01\": 12.645, \"Gini_99\": 0.32, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1661.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.296, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 6.698, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 880.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.275, \"Chinese_imports\": 2.573, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": -0.193, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.165, \"Divorced\": 0.087, \"Married\": 0.632, \"Longitude\": -81.2522048950195, \"Latitude\": 36.2834167480469}, {\"ID\": 602, \"Name\": \"Galax\", \"Mobility\": 0.0795698911, \"State\": \"VA\", \"Population\": 64676, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.131, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.006, \"Commute\": 0.325, \"Income\": 30683, \"Gini\": 0.356, \"Share01\": 8.706, \"Gini_99\": 0.269, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1208.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 4.9, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.321, \"Chinese_imports\": 4.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": -0.801, \"Religious\": 0.43, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.622, \"Longitude\": -81.039924621582, \"Latitude\": 36.5919990539551}, {\"ID\": 700, \"Name\": \"Spartanburg\", \"Mobility\": 0.0431111902, \"State\": \"SC\", \"Population\": 354533, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.139, \"Seg_income\": 0.045, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.045, \"Commute\": 0.299, \"Income\": 33417, \"Gini\": 0.471, \"Share01\": 13.061, \"Gini_99\": 0.341, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2499.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.421, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.009, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7264.0, \"Graduation\": 0.007, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.295, \"Chinese_imports\": 0.946, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.029, \"Social_capital\": -1.001, \"Religious\": 0.596, \"Violent_crime\": 0.003, \"Single_mothers\": 0.246, \"Divorced\": 0.099, \"Married\": 0.561, \"Longitude\": -81.7859649658203, \"Latitude\": 34.8730812072754}, {\"ID\": 800, \"Name\": \"Gastonia\", \"Mobility\": 0.0515273064, \"State\": \"NC\", \"Population\": 413331, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.288, \"Income\": 33582, \"Gini\": 0.415, \"Share01\": 10.08, \"Gini_99\": 0.314, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1996.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.412, \"HS_dropout\": 0.03, \"Colleges\": 0.015, \"Tuition\": 10244.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.311, \"Chinese_imports\": 1.466, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.659, \"Religious\": 0.601, \"Violent_crime\": 0.004, \"Single_mothers\": 0.214, \"Divorced\": 0.094, \"Married\": 0.596, \"Longitude\": -81.6222229003906, \"Latitude\": 35.4115333557129}, {\"ID\": 900, \"Name\": \"Charlotte\", \"Mobility\": 0.0437852368, \"State\": \"NC\", \"Population\": 1423942, \"Urban\": 1, \"Black\": 0.227, \"Seg_racial\": 0.223, \"Seg_income\": 0.098, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.12, \"Commute\": 0.241, \"Income\": 41423, \"Gini\": 0.516, \"Share01\": 15.613, \"Gini_99\": 0.36, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2701.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.674, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -2.291, \"HS_dropout\": 0.023, \"Colleges\": 0.013, \"Tuition\": 4790.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.837, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -0.484, \"Religious\": 0.496, \"Violent_crime\": 0.004, \"Single_mothers\": 0.219, \"Divorced\": 0.088, \"Married\": 0.563, \"Longitude\": -80.691764831543, \"Latitude\": 35.0905609130859}, {\"ID\": 1001, \"Name\": \"Boone\", \"Mobility\": 0.0560836494, \"State\": \"NC\", \"Population\": 77361, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.076, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.375, \"Income\": 25953, \"Gini\": 0.487, \"Share01\": 14.276, \"Gini_99\": 0.344, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1348.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 9.978, \"HS_dropout\": 0.013, \"Colleges\": 0.026, \"Tuition\": 1674.0, \"Graduation\": 0.236, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.11, \"Chinese_imports\": 2.011, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.018, \"Social_capital\": 0.012, \"Religious\": 0.488, \"Violent_crime\": 0.002, \"Single_mothers\": 0.167, \"Divorced\": 0.09, \"Married\": 0.527, \"Longitude\": -81.8403930664062, \"Latitude\": 36.196964263916}, {\"ID\": 1002, \"Name\": \"Morganton\", \"Mobility\": 0.0544464625, \"State\": \"NC\", \"Population\": 164760, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.117, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 30726, \"Gini\": 0.351, \"Share01\": 7.776, \"Gini_99\": 0.273, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1826.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 5.556, \"HS_dropout\": 0.018, \"Colleges\": 0.018, \"Tuition\": 888.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.355, \"Chinese_imports\": 3.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": -0.231, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.096, \"Married\": 0.607, \"Longitude\": -81.9952087402344, \"Latitude\": 35.8018951416016}, {\"ID\": 1100, \"Name\": \"Hickory\", \"Mobility\": 0.0449696705, \"State\": \"NC\", \"Population\": 375363, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.134, \"Seg_income\": 0.038, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.042, \"Commute\": 0.322, \"Income\": 36024, \"Gini\": 0.435, \"Share01\": 11.834, \"Gini_99\": 0.317, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1917.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.205, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 3.202, \"HS_dropout\": 0.026, \"Colleges\": 0.011, \"Tuition\": 4109.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.365, \"Chinese_imports\": 3.949, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.042, \"Social_capital\": -0.235, \"Religious\": 0.578, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.095, \"Married\": 0.601, \"Longitude\": -81.2875671386719, \"Latitude\": 35.8712272644043}, {\"ID\": 1201, \"Name\": \"Franklin\", \"Mobility\": 0.0566615611, \"State\": \"NC\", \"Population\": 44861, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.044, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 37261, \"Gini\": 0.516, \"Share01\": 20.552, \"Gini_99\": 0.311, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1434.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.199, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.11, \"HS_dropout\": 0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.1, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.031, \"Social_capital\": -0.234, \"Religious\": 0.613, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.103, \"Married\": 0.624, \"Longitude\": -83.3769378662109, \"Latitude\": 34.9771461486816}, {\"ID\": 1202, \"Name\": \"Sylva\", \"Mobility\": 0.0606653616, \"State\": \"NC\", \"Population\": 54082, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.326, \"Seg_income\": 0.016, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.014, \"Commute\": 0.412, \"Income\": 28767, \"Gini\": 0.404, \"Share01\": 8.421, \"Gini_99\": 0.32, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1581.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.622, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 3.849, \"HS_dropout\": 0.022, \"Colleges\": 0.037, \"Tuition\": 971.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.106, \"Chinese_imports\": 6.567, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -1.001, \"Religious\": 0.409, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.099, \"Married\": 0.582, \"Longitude\": -83.4053268432617, \"Latitude\": 35.347770690918}, {\"ID\": 1203, \"Name\": \"Asheville\", \"Mobility\": 0.0633802786, \"State\": \"NC\", \"Population\": 398505, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.168, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.314, \"Income\": 37445, \"Gini\": 0.461, \"Share01\": 13.046, \"Gini_99\": 0.331, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2059.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.649, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 9.045, \"HS_dropout\": 0.024, \"Colleges\": 0.023, \"Tuition\": 5560.0, \"Graduation\": 0.001, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.827, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.013, \"Foreign_born\": 0.038, \"Social_capital\": 0.055, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.592, \"Longitude\": -82.6990661621094, \"Latitude\": 35.5480651855469}, {\"ID\": 1204, \"Name\": \"Andrews\", \"Mobility\": 0.0804810375, \"State\": \"NC\", \"Population\": 59681, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.051, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.361, \"Income\": 33712, \"Gini\": 0.847, \"Share01\": 55.821, \"Gini_99\": 0.289, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1932.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.167, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 1.551, \"HS_dropout\": 0.017, \"Colleges\": 0.034, \"Tuition\": 7563.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.154, \"Chinese_imports\": 2.853, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.004, \"Foreign_born\": 0.015, \"Social_capital\": -0.999, \"Religious\": 0.549, \"Violent_crime\": 0.002, \"Single_mothers\": 0.166, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -83.8927536010742, \"Latitude\": 34.9651565551758}, {\"ID\": 1301, \"Name\": \"Bennettsville\", \"Mobility\": 0.0297968406, \"State\": \"SC\", \"Population\": 71586, \"Urban\": 0, \"Black\": 0.4, \"Seg_racial\": 0.077, \"Seg_income\": 0.01, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.007, \"Commute\": 0.34, \"Income\": 25531, \"Gini\": 0.455, \"Share01\": 12.783, \"Gini_99\": 0.327, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.493, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -10.92, \"HS_dropout\": 0.019, \"Colleges\": 0.014, \"Tuition\": 1272.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.36, \"Chinese_imports\": 2.828, \"Teenage_labor\": 0.002, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.012, \"Social_capital\": -2.44, \"Religious\": 0.49, \"Violent_crime\": 0.004, \"Single_mothers\": 0.316, \"Divorced\": 0.091, \"Married\": 0.519, \"Longitude\": -79.9775314331055, \"Latitude\": 34.5340118408203}, {\"ID\": 1302, \"Name\": \"Florence\", \"Mobility\": 0.0356782004, \"State\": \"SC\", \"Population\": 548986, \"Urban\": 1, \"Black\": 0.341, \"Seg_racial\": 0.201, \"Seg_income\": 0.047, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.043, \"Commute\": 0.327, \"Income\": 32610, \"Gini\": 0.552, \"Share01\": 13.675, \"Gini_99\": 0.415, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1726.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -2.106, \"HS_dropout\": -0.018, \"Colleges\": 0.013, \"Tuition\": 3523.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.06, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.958, \"Religious\": 0.436, \"Violent_crime\": 0.003, \"Single_mothers\": 0.295, \"Divorced\": 0.095, \"Married\": 0.529, \"Longitude\": -79.712776184082, \"Latitude\": 33.9225311279297}, {\"ID\": 1400, \"Name\": \"Fayetteville\", \"Mobility\": 0.0382470116, \"State\": \"NC\", \"Population\": 644101, \"Urban\": 1, \"Black\": 0.299, \"Seg_racial\": 0.173, \"Seg_income\": 0.052, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.048, \"Commute\": 0.322, \"Income\": 29959, \"Gini\": 0.463, \"Share01\": 11.49, \"Gini_99\": 0.348, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2090.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.866, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.484, \"HS_dropout\": 0.024, \"Colleges\": 0.014, \"Tuition\": 2937.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.202, \"Chinese_imports\": 4.161, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.038, \"Foreign_born\": 0.047, \"Social_capital\": -2.21, \"Religious\": 0.377, \"Violent_crime\": 0.003, \"Single_mothers\": 0.276, \"Divorced\": 0.092, \"Married\": 0.545, \"Longitude\": -79.331413269043, \"Latitude\": 35.0354957580566}, {\"ID\": 1500, \"Name\": \"Wilmington\", \"Mobility\": 0.0418033972, \"State\": \"NC\", \"Population\": 361559, \"Urban\": 1, \"Black\": 0.21, \"Seg_racial\": 0.155, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.069, \"Commute\": 0.317, \"Income\": 35617, \"Gini\": 0.523, \"Share01\": 12.594, \"Gini_99\": 0.397, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2144.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.379, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -0.153, \"HS_dropout\": 0.02, \"Colleges\": 0.019, \"Tuition\": 3723.0, \"Graduation\": 0.156, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.49, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": -1.228, \"Religious\": 0.434, \"Violent_crime\": 0.003, \"Single_mothers\": 0.253, \"Divorced\": 0.096, \"Married\": 0.556, \"Longitude\": -78.3368682861328, \"Latitude\": 34.4779357910156}, {\"ID\": 1600, \"Name\": \"Wilson\", \"Mobility\": 0.0319583789, \"State\": \"NC\", \"Population\": 216840, \"Urban\": 1, \"Black\": 0.416, \"Seg_racial\": 0.169, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.056, \"Commute\": 0.36, \"Income\": 31549, \"Gini\": 0.514, \"Share01\": 11.255, \"Gini_99\": 0.401, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2899.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.084, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.231, \"HS_dropout\": 0.035, \"Colleges\": 0.023, \"Tuition\": 5705.0, \"Graduation\": -0.093, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.232, \"Chinese_imports\": 3.633, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.035, \"Social_capital\": -1.395, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.291, \"Divorced\": 0.087, \"Married\": 0.525, \"Longitude\": -77.7810287475586, \"Latitude\": 35.9106788635254}, {\"ID\": 1701, \"Name\": \"Raleigh\", \"Mobility\": 0.0499866344, \"State\": \"NC\", \"Population\": 1412127, \"Urban\": 1, \"Black\": 0.23, \"Seg_racial\": 0.159, \"Seg_income\": 0.099, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.114, \"Commute\": 0.25, \"Income\": 40546, \"Gini\": 0.509, \"Share01\": 17.762, \"Gini_99\": 0.331, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3147.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.73, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -0.359, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 5642.0, \"Graduation\": 0.135, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.941, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.023, \"Foreign_born\": 0.085, \"Social_capital\": -0.401, \"Religious\": 0.399, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.085, \"Married\": 0.544, \"Longitude\": -78.7137908935547, \"Latitude\": 35.7296524047852}, {\"ID\": 1702, \"Name\": \"Henderson\", \"Mobility\": 0.0336088166, \"State\": \"NC\", \"Population\": 62926, \"Urban\": 0, \"Black\": 0.499, \"Seg_racial\": 0.095, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.034, \"Commute\": 0.345, \"Income\": 29492, \"Gini\": 0.496, \"Share01\": 12.68, \"Gini_99\": 0.37, \"Middle_class\": 0.4, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2116.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.432, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -10.284, \"HS_dropout\": 0.042, \"Colleges\": 0.016, \"Tuition\": 770.0, \"Graduation\": -0.156, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.262, \"Chinese_imports\": 1.073, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -1.636, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.339, \"Divorced\": 0.086, \"Married\": 0.524, \"Longitude\": -78.2416152954102, \"Latitude\": 36.349494934082}, {\"ID\": 1800, \"Name\": \"Goldsboro\", \"Mobility\": 0.0453549512, \"State\": \"NC\", \"Population\": 222553, \"Urban\": 1, \"Black\": 0.311, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.021, \"Commute\": 0.348, \"Income\": 28925, \"Gini\": 0.457, \"Share01\": 11.11, \"Gini_99\": 0.346, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1844.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.786, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.023, \"HS_dropout\": 0.015, \"Colleges\": 0.018, \"Tuition\": 2665.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.191, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.065, \"Social_capital\": -1.612, \"Religious\": 0.395, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.084, \"Married\": 0.555, \"Longitude\": -78.1784744262695, \"Latitude\": 35.0529937744141}, {\"ID\": 1900, \"Name\": \"Jacksonville\", \"Mobility\": 0.0470072404, \"State\": \"NC\", \"Population\": 536909, \"Urban\": 1, \"Black\": 0.256, \"Seg_racial\": 0.136, \"Seg_income\": 0.049, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.048, \"Commute\": 0.375, \"Income\": 29500, \"Gini\": 0.464, \"Share01\": 11.594, \"Gini_99\": 0.349, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2523.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.758, \"HS_dropout\": 0.024, \"Colleges\": 0.013, \"Tuition\": 1085.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.811, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.034, \"Social_capital\": -1.926, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.243, \"Divorced\": 0.084, \"Married\": 0.544, \"Longitude\": -77.1085052490234, \"Latitude\": 35.192928314209}, {\"ID\": 2000, \"Name\": \"Virginia Beach\", \"Mobility\": 0.0535509437, \"State\": \"VA\", \"Population\": 1119468, \"Urban\": 1, \"Black\": 0.308, \"Seg_racial\": 0.189, \"Seg_income\": 0.111, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.109, \"Commute\": 0.253, \"Income\": 34929, \"Gini\": 0.451, \"Share01\": 10.785, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 5.39, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3090.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.406, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.029, \"Foreign_born\": 0.045, \"Social_capital\": -0.95, \"Religious\": 0.346, \"Violent_crime\": 0.001, \"Single_mothers\": 0.261, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -76.2944564819336, \"Latitude\": 36.498649597168}, {\"ID\": 2100, \"Name\": \"Washington\", \"Mobility\": 0.0497884788, \"State\": \"NC\", \"Population\": 124216, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.158, \"Seg_income\": 0.037, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.029, \"Commute\": 0.387, \"Income\": 32919, \"Gini\": 0.475, \"Share01\": 11.065, \"Gini_99\": 0.365, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2823.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.723, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.067, \"HS_dropout\": 0.026, \"Colleges\": 0.016, \"Tuition\": 880.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.162, \"Chinese_imports\": 1.93, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -1.066, \"Religious\": 0.466, \"Violent_crime\": 0.002, \"Single_mothers\": 0.262, \"Divorced\": 0.085, \"Married\": 0.57, \"Longitude\": -76.5391998291016, \"Latitude\": 35.6822280883789}, {\"ID\": 2200, \"Name\": \"South Boston\", \"Mobility\": 0.0490487516, \"State\": \"VA\", \"Population\": 158234, \"Urban\": 0, \"Black\": 0.398, \"Seg_racial\": 0.027, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.007, \"Commute\": 0.318, \"Income\": 28198, \"Gini\": 0.408, \"Share01\": 8.048, \"Gini_99\": 0.328, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1349.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.389, \"Student_teacher_ratio\": null, \"Test_scores\": 4.092, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 5395.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.536, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.786, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": -0.65, \"Religious\": 0.407, \"Violent_crime\": 0.001, \"Single_mothers\": 0.266, \"Divorced\": 0.086, \"Married\": 0.534, \"Longitude\": -78.5038604736328, \"Latitude\": 36.9987564086914}, {\"ID\": 2300, \"Name\": \"Lynchburg\", \"Mobility\": 0.067359142, \"State\": \"VA\", \"Population\": 228616, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.132, \"Seg_income\": 0.05, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.056, \"Commute\": 0.309, \"Income\": 34417, \"Gini\": 0.419, \"Share01\": 9.827, \"Gini_99\": 0.321, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1481.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.263, \"Student_teacher_ratio\": null, \"Test_scores\": 3.333, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 12559.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.221, \"Chinese_imports\": 1.309, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": -0.185, \"Religious\": 0.575, \"Violent_crime\": 0.001, \"Single_mothers\": 0.23, \"Divorced\": 0.089, \"Married\": 0.571, \"Longitude\": -79.2872543334961, \"Latitude\": 37.3504180908203}, {\"ID\": 2400, \"Name\": \"Richmond\", \"Mobility\": 0.0547646731, \"State\": \"VA\", \"Population\": 1040192, \"Urban\": 1, \"Black\": 0.303, \"Seg_racial\": 0.257, \"Seg_income\": 0.119, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.125, \"Commute\": 0.238, \"Income\": 41886, \"Gini\": 0.461, \"Share01\": 11.543, \"Gini_99\": 0.345, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2428.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.919, \"Student_teacher_ratio\": null, \"Test_scores\": 4.649, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 5093.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.57, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.013, \"Foreign_born\": 0.043, \"Social_capital\": 0.249, \"Religious\": 0.433, \"Violent_crime\": 0.002, \"Single_mothers\": 0.259, \"Divorced\": 0.098, \"Married\": 0.533, \"Longitude\": -77.3593826293945, \"Latitude\": 37.4937553405762}, {\"ID\": 2500, \"Name\": \"Newport News\", \"Mobility\": 0.0513657629, \"State\": \"VA\", \"Population\": 570854, \"Urban\": 1, \"Black\": 0.316, \"Seg_racial\": 0.181, \"Seg_income\": 0.087, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.095, \"Commute\": 0.29, \"Income\": 36027, \"Gini\": 0.422, \"Share01\": 9.192, \"Gini_99\": 0.33, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.966, \"Student_teacher_ratio\": null, \"Test_scores\": 3.348, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 3699.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.038, \"Social_capital\": -0.63, \"Religious\": 0.367, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.091, \"Married\": 0.553, \"Longitude\": -76.745735168457, \"Latitude\": 37.1789703369141}, {\"ID\": 2600, \"Name\": \"Roanoke Rapids\", \"Mobility\": 0.0327529013, \"State\": \"NC\", \"Population\": 139055, \"Urban\": 0, \"Black\": 0.567, \"Seg_racial\": 0.104, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.357, \"Income\": 27335, \"Gini\": 0.442, \"Share01\": 8.827, \"Gini_99\": 0.353, \"Middle_class\": 0.409, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2041.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.356, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -11.577, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6298.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.513, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.562, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.01, \"Social_capital\": -0.596, \"Religious\": 0.364, \"Violent_crime\": 0.005, \"Single_mothers\": 0.35, \"Divorced\": 0.084, \"Married\": 0.494, \"Longitude\": -77.3320770263672, \"Latitude\": 36.2598991394043}, {\"ID\": 2700, \"Name\": \"Gulfport\", \"Mobility\": 0.0671070293, \"State\": \"MS\", \"Population\": 458674, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.181, \"Seg_income\": 0.036, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 31028, \"Gini\": 0.465, \"Share01\": 12.053, \"Gini_99\": 0.344, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.627, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -3.592, \"HS_dropout\": 0.002, \"Colleges\": 0.004, \"Tuition\": 956.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.401, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.026, \"Social_capital\": -1.63, \"Religious\": 0.535, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.121, \"Married\": 0.549, \"Longitude\": -89.4176559448242, \"Latitude\": 30.6803550720215}, {\"ID\": 2800, \"Name\": \"Laurel\", \"Mobility\": 0.0692070574, \"State\": \"MS\", \"Population\": 120505, \"Urban\": 0, \"Black\": 0.318, \"Seg_racial\": 0.138, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 26974, \"Gini\": 0.511, \"Share01\": 13.527, \"Gini_99\": 0.376, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1817.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.429, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.186, \"HS_dropout\": 0.001, \"Colleges\": 0.017, \"Tuition\": 872.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.248, \"Chinese_imports\": 2.199, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.56, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.258, \"Divorced\": 0.098, \"Married\": 0.547, \"Longitude\": -89.1161804199219, \"Latitude\": 31.800952911377}, {\"ID\": 2900, \"Name\": \"Hattiesburg\", \"Mobility\": 0.0605108887, \"State\": \"MS\", \"Population\": 157181, \"Urban\": 1, \"Black\": 0.298, \"Seg_racial\": 0.22, \"Seg_income\": 0.062, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.072, \"Commute\": 0.358, \"Income\": 28079, \"Gini\": 0.509, \"Share01\": 11.349, \"Gini_99\": 0.396, \"Middle_class\": 0.441, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.261, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.941, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 3586.0, \"Graduation\": 0.109, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.132, \"Chinese_imports\": 1.094, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -0.707, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.099, \"Married\": 0.512, \"Longitude\": -89.4493865966797, \"Latitude\": 31.2641201019287}, {\"ID\": 3001, \"Name\": \"Kosciusko\", \"Mobility\": 0.0354896672, \"State\": \"MS\", \"Population\": 41270, \"Urban\": 0, \"Black\": 0.598, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.021, \"Commute\": 0.365, \"Income\": 24121, \"Gini\": 0.539, \"Share01\": 18.373, \"Gini_99\": 0.355, \"Middle_class\": 0.325, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1748.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.336, \"Student_teacher_ratio\": 19.8, \"Test_scores\": -13.492, \"HS_dropout\": -0.025, \"Colleges\": 0.048, \"Tuition\": 1220.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.231, \"Chinese_imports\": 5.353, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -0.856, \"Religious\": 0.423, \"Violent_crime\": 0.002, \"Single_mothers\": 0.394, \"Divorced\": 0.083, \"Married\": 0.461, \"Longitude\": -90.0540618896484, \"Latitude\": 33.1420021057129}, {\"ID\": 3002, \"Name\": \"Yazoo City\", \"Mobility\": 0.0247895233, \"State\": \"MS\", \"Population\": 39355, \"Urban\": 1, \"Black\": 0.585, \"Seg_racial\": 0.138, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.038, \"Commute\": 0.417, \"Income\": 22600, \"Gini\": 0.605, \"Share01\": 17.47, \"Gini_99\": 0.43, \"Middle_class\": 0.296, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1809.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.664, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -23.049, \"HS_dropout\": 0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.407, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.031, \"Social_capital\": -0.351, \"Religious\": 0.446, \"Violent_crime\": 0.002, \"Single_mothers\": 0.401, \"Divorced\": 0.079, \"Married\": 0.404, \"Longitude\": -90.47216796875, \"Latitude\": 32.897403717041}, {\"ID\": 3003, \"Name\": \"Jackson\", \"Mobility\": 0.0375340469, \"State\": \"MS\", \"Population\": 546560, \"Urban\": 1, \"Black\": 0.445, \"Seg_racial\": 0.288, \"Seg_income\": 0.1, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.11, \"Commute\": 0.267, \"Income\": 33322, \"Gini\": 0.605, \"Share01\": 17.981, \"Gini_99\": 0.425, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.618, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -15.257, \"HS_dropout\": 0.005, \"Colleges\": 0.016, \"Tuition\": 2959.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.644, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": -0.538, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.303, \"Divorced\": 0.104, \"Married\": 0.495, \"Longitude\": -90.2277221679688, \"Latitude\": 32.2902183532715}, {\"ID\": 3101, \"Name\": \"McComb\", \"Mobility\": 0.0625297204, \"State\": \"MS\", \"Population\": 103602, \"Urban\": 0, \"Black\": 0.443, \"Seg_racial\": 0.083, \"Seg_income\": 0.013, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 25123, \"Gini\": 0.505, \"Share01\": 11.866, \"Gini_99\": 0.386, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.398, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.041, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 970.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.758, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.624, \"Religious\": 0.601, \"Violent_crime\": 0.002, \"Single_mothers\": 0.308, \"Divorced\": 0.094, \"Married\": 0.515, \"Longitude\": -90.7779388427734, \"Latitude\": 31.2274875640869}, {\"ID\": 3102, \"Name\": \"Brookhaven\", \"Mobility\": 0.0642954856, \"State\": \"MS\", \"Population\": 46424, \"Urban\": 0, \"Black\": 0.302, \"Seg_racial\": 0.098, \"Seg_income\": 0.014, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.008, \"Commute\": 0.321, \"Income\": 27071, \"Gini\": 0.569, \"Share01\": 21.251, \"Gini_99\": 0.356, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1806.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.338, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -8.088, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.006, \"Social_capital\": -0.017, \"Religious\": 0.719, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -90.2544555664062, \"Latitude\": 31.5236892700195}, {\"ID\": 3201, \"Name\": \"Jena\", \"Mobility\": 0.1264222562, \"State\": \"LA\", \"Population\": 25202, \"Urban\": 0, \"Black\": 0.185, \"Seg_racial\": 0.145, \"Seg_income\": 0.007, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.369, \"Income\": 24857, \"Gini\": 0.389, \"Share01\": 5.903, \"Gini_99\": 0.33, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2134.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.508, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 1.447, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.495, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.005, \"Social_capital\": 0.244, \"Religious\": 0.698, \"Violent_crime\": 0.006, \"Single_mothers\": 0.191, \"Divorced\": 0.08, \"Married\": 0.6, \"Longitude\": -91.9713516235352, \"Latitude\": 31.5846118927002}, {\"ID\": 3202, \"Name\": \"Natchez\", \"Mobility\": 0.0487460271, \"State\": \"MS\", \"Population\": 69653, \"Urban\": 0, \"Black\": 0.464, \"Seg_racial\": 0.194, \"Seg_income\": 0.04, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.03, \"Commute\": 0.418, \"Income\": 27488, \"Gini\": 0.554, \"Share01\": 12.508, \"Gini_99\": 0.428, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.645, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -19.332, \"HS_dropout\": 0.012, \"Colleges\": 0.029, \"Tuition\": 955.0, \"Graduation\": 0.261, \"Labor_force_participation\": 0.519, \"Manufacturing\": 0.111, \"Chinese_imports\": 0.438, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.373, \"Religious\": 0.53, \"Violent_crime\": 0.004, \"Single_mothers\": 0.35, \"Divorced\": 0.106, \"Married\": 0.488, \"Longitude\": -91.4330596923828, \"Latitude\": 31.6362190246582}, {\"ID\": 3203, \"Name\": \"Vicksburg\", \"Mobility\": 0.0311782081, \"State\": \"MS\", \"Population\": 84943, \"Urban\": 0, \"Black\": 0.563, \"Seg_racial\": 0.239, \"Seg_income\": 0.065, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.072, \"Commute\": 0.379, \"Income\": 27080, \"Gini\": 0.547, \"Share01\": 13.243, \"Gini_99\": 0.414, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1874.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.492, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -18.28, \"HS_dropout\": 0.03, \"Colleges\": 0.024, \"Tuition\": 2402.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.149, \"Chinese_imports\": 2.194, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.662, \"Religious\": 0.46, \"Violent_crime\": 0.004, \"Single_mothers\": 0.371, \"Divorced\": 0.091, \"Married\": 0.457, \"Longitude\": -91.1058883666992, \"Latitude\": 32.1802291870117}, {\"ID\": 3300, \"Name\": \"New Orleans\", \"Mobility\": 0.0512128659, \"State\": \"LA\", \"Population\": 1381652, \"Urban\": 1, \"Black\": 0.371, \"Seg_racial\": 0.354, \"Seg_income\": 0.104, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.107, \"Commute\": 0.247, \"Income\": 34077, \"Gini\": 0.583, \"Share01\": 13.588, \"Gini_99\": 0.447, \"Middle_class\": 0.423, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2299.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -10.714, \"HS_dropout\": 0.053, \"Colleges\": 0.02, \"Tuition\": 9043.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.185, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.047, \"Social_capital\": -0.988, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.312, \"Divorced\": 0.112, \"Married\": 0.475, \"Longitude\": -89.9018478393555, \"Latitude\": 30.0419330596924}, {\"ID\": 3400, \"Name\": \"Houma\", \"Mobility\": 0.1134691536, \"State\": \"LA\", \"Population\": 271365, \"Urban\": 1, \"Black\": 0.199, \"Seg_racial\": 0.177, \"Seg_income\": 0.04, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.043, \"Commute\": 0.414, \"Income\": 28094, \"Gini\": 0.486, \"Share01\": 13.738, \"Gini_99\": 0.349, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2350.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.086, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -11.857, \"HS_dropout\": 0.038, \"Colleges\": 0.015, \"Tuition\": 1744.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.11, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.015, \"Social_capital\": -1.247, \"Religious\": 0.737, \"Violent_crime\": 0.003, \"Single_mothers\": 0.214, \"Divorced\": 0.091, \"Married\": 0.558, \"Longitude\": -90.8623275756836, \"Latitude\": 29.544864654541}, {\"ID\": 3500, \"Name\": \"Baton Rouge\", \"Mobility\": 0.0603968948, \"State\": \"LA\", \"Population\": 806561, \"Urban\": 1, \"Black\": 0.333, \"Seg_racial\": 0.292, \"Seg_income\": 0.084, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.081, \"Commute\": 0.258, \"Income\": 31579, \"Gini\": 0.515, \"Share01\": 11.425, \"Gini_99\": 0.4, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1821.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.793, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -11.033, \"HS_dropout\": 0.041, \"Colleges\": 0.02, \"Tuition\": 2442.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.375, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.168, \"Religious\": 0.513, \"Violent_crime\": 0.004, \"Single_mothers\": 0.266, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -91.1708374023438, \"Latitude\": 30.5509929656982}, {\"ID\": 3600, \"Name\": \"Alexandria\", \"Mobility\": 0.0672128424, \"State\": \"LA\", \"Population\": 186516, \"Urban\": 1, \"Black\": 0.282, \"Seg_racial\": 0.263, \"Seg_income\": 0.057, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.053, \"Commute\": 0.343, \"Income\": 28236, \"Gini\": 0.546, \"Share01\": 13.78, \"Gini_99\": 0.408, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1722.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.587, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.213, \"HS_dropout\": 0.042, \"Colleges\": 0.021, \"Tuition\": 3525.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.197, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.012, \"Social_capital\": -0.97, \"Religious\": 0.611, \"Violent_crime\": 0.004, \"Single_mothers\": 0.281, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -92.3311233520508, \"Latitude\": 31.3210601806641}, {\"ID\": 3700, \"Name\": \"Lake Charles\", \"Mobility\": 0.0971184596, \"State\": \"LA\", \"Population\": 335960, \"Urban\": 1, \"Black\": 0.205, \"Seg_racial\": 0.239, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.051, \"Commute\": 0.369, \"Income\": 29462, \"Gini\": 0.442, \"Share01\": 10.245, \"Gini_99\": 0.34, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1823.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.854, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.394, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 2438.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.357, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.016, \"Social_capital\": -1.312, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.098, \"Married\": 0.572, \"Longitude\": -93.314323425293, \"Latitude\": 30.6558399200439}, {\"ID\": 3800, \"Name\": \"Lafayette\", \"Mobility\": 0.0950535387, \"State\": \"LA\", \"Population\": 548154, \"Urban\": 1, \"Black\": 0.27, \"Seg_racial\": 0.194, \"Seg_income\": 0.059, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.058, \"Commute\": 0.339, \"Income\": 28712, \"Gini\": 0.547, \"Share01\": 14.406, \"Gini_99\": 0.403, \"Middle_class\": 0.47, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2106.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.335, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.928, \"HS_dropout\": 0.031, \"Colleges\": 0.018, \"Tuition\": 1822.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.016, \"Social_capital\": -0.997, \"Religious\": 0.8, \"Violent_crime\": 0.003, \"Single_mothers\": 0.258, \"Divorced\": 0.097, \"Married\": 0.538, \"Longitude\": -91.953857421875, \"Latitude\": 30.2178287506104}, {\"ID\": 3901, \"Name\": \"Monroe\", \"Mobility\": 0.0551850982, \"State\": \"LA\", \"Population\": 253878, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.32, \"Seg_income\": 0.07, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.075, \"Commute\": 0.341, \"Income\": 29496, \"Gini\": 0.571, \"Share01\": 15.644, \"Gini_99\": 0.414, \"Middle_class\": 0.414, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1532.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.623, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -6.315, \"HS_dropout\": 0.046, \"Colleges\": 0.02, \"Tuition\": 1720.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.121, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -0.459, \"Religious\": 0.583, \"Violent_crime\": 0.004, \"Single_mothers\": 0.307, \"Divorced\": 0.094, \"Married\": 0.527, \"Longitude\": -91.7262649536133, \"Latitude\": 32.3551597595215}, {\"ID\": 3902, \"Name\": \"Lake Providence\", \"Mobility\": 0.0573065914, \"State\": \"LA\", \"Population\": 21735, \"Urban\": 0, \"Black\": 0.396, \"Seg_racial\": 0.266, \"Seg_income\": 0.024, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.025, \"Commute\": 0.393, \"Income\": 21037, \"Gini\": 0.461, \"Share01\": 8.917, \"Gini_99\": 0.371, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1946.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.4, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -5.451, \"HS_dropout\": 0.055, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.096, \"Chinese_imports\": 2.112, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.426, \"Religious\": 0.608, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.076, \"Married\": 0.541, \"Longitude\": -91.2655181884766, \"Latitude\": 32.7700843811035}, {\"ID\": 4001, \"Name\": \"Magnolia\", \"Mobility\": 0.060388945, \"State\": \"AR\", \"Population\": 34162, \"Urban\": 0, \"Black\": 0.36, \"Seg_racial\": 0.071, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.027, \"Commute\": 0.463, \"Income\": 29001, \"Gini\": 0.446, \"Share01\": 7.52, \"Gini_99\": 0.371, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1256.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.759, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.371, \"HS_dropout\": 0.0, \"Colleges\": 0.029, \"Tuition\": 2304.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.252, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": -0.504, \"Religious\": 0.618, \"Violent_crime\": 0.005, \"Single_mothers\": 0.277, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -93.628547668457, \"Latitude\": 33.2614669799805}, {\"ID\": 4002, \"Name\": \"Shreveport\", \"Mobility\": 0.0527185053, \"State\": \"LA\", \"Population\": 499101, \"Urban\": 1, \"Black\": 0.381, \"Seg_racial\": 0.237, \"Seg_income\": 0.083, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.089, \"Commute\": 0.312, \"Income\": 31565, \"Gini\": 0.535, \"Share01\": 12.701, \"Gini_99\": 0.408, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1945.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.655, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -12.555, \"HS_dropout\": 0.049, \"Colleges\": 0.016, \"Tuition\": 2514.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.146, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": -0.753, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.327, \"Divorced\": 0.11, \"Married\": 0.501, \"Longitude\": -93.1822052001953, \"Latitude\": 32.0001945495605}, {\"ID\": 4003, \"Name\": \"Ruston\", \"Mobility\": 0.0688279271, \"State\": \"LA\", \"Population\": 74800, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.207, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 24715, \"Gini\": 0.511, \"Share01\": 11.456, \"Gini_99\": 0.396, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1398.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.639, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.971, \"HS_dropout\": 0.02, \"Colleges\": 0.053, \"Tuition\": 2677.0, \"Graduation\": 0.035, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.014, \"Social_capital\": -0.936, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.287, \"Divorced\": 0.08, \"Married\": 0.487, \"Longitude\": -92.6748275756836, \"Latitude\": 32.1847763061523}, {\"ID\": 4004, \"Name\": \"Many\", \"Mobility\": 0.1516079605, \"State\": \"LA\", \"Population\": 23459, \"Urban\": 0, \"Black\": 0.168, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.009, \"Commute\": 0.306, \"Income\": 30067, \"Gini\": 0.438, \"Share01\": 9.71, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1853.0, \"Progressivity\": 4.0, \"EITC\": 0.0, \"School_spending\": 4.458, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -9.206, \"HS_dropout\": 0.027, \"Colleges\": 0.043, \"Tuition\": 520.0, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.127, \"Chinese_imports\": 1.441, \"Teenage_labor\": 0.002, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.009, \"Social_capital\": -1.556, \"Religious\": 0.709, \"Violent_crime\": 0.003, \"Single_mothers\": 0.236, \"Divorced\": 0.09, \"Married\": 0.594, \"Longitude\": -93.6567306518555, \"Latitude\": 31.4778690338135}, {\"ID\": 4101, \"Name\": \"Crossett\", \"Mobility\": 0.041538462, \"State\": \"AR\", \"Population\": 24209, \"Urban\": 0, \"Black\": 0.269, \"Seg_racial\": 0.054, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.015, \"Commute\": 0.502, \"Income\": 30093, \"Gini\": 0.44, \"Share01\": 7.41, \"Gini_99\": 0.366, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1467.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.643, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -11.593, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.275, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -0.183, \"Religious\": 0.799, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.097, \"Married\": 0.59, \"Longitude\": -92.0092163085938, \"Latitude\": 33.1967811584473}, {\"ID\": 4102, \"Name\": \"Pine Bluff\", \"Mobility\": 0.0428298265, \"State\": \"AR\", \"Population\": 168122, \"Urban\": 1, \"Black\": 0.421, \"Seg_racial\": 0.238, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.048, \"Commute\": 0.396, \"Income\": 27099, \"Gini\": 0.454, \"Share01\": 8.256, \"Gini_99\": 0.371, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1370.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.002, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -15.882, \"HS_dropout\": 0.009, \"Colleges\": 0.018, \"Tuition\": 2089.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.869, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -0.923, \"Religious\": 0.525, \"Violent_crime\": 0.003, \"Single_mothers\": 0.317, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -91.5339050292969, \"Latitude\": 33.6581268310547}, {\"ID\": 4103, \"Name\": \"El Dorado\", \"Mobility\": 0.0566330478, \"State\": \"AR\", \"Population\": 89373, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.093, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.023, \"Commute\": 0.437, \"Income\": 30514, \"Gini\": 0.449, \"Share01\": 9.389, \"Gini_99\": 0.355, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1390.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.725, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.728, \"HS_dropout\": 0.005, \"Colleges\": 0.022, \"Tuition\": 1244.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.272, \"Chinese_imports\": 1.452, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": -0.212, \"Religious\": 0.672, \"Violent_crime\": 0.002, \"Single_mothers\": 0.27, \"Divorced\": 0.106, \"Married\": 0.555, \"Longitude\": -92.5011444091797, \"Latitude\": 33.5784034729004}, {\"ID\": 4200, \"Name\": \"Little Rock\", \"Mobility\": 0.0535617173, \"State\": \"AR\", \"Population\": 630854, \"Urban\": 1, \"Black\": 0.207, \"Seg_racial\": 0.278, \"Seg_income\": 0.073, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.077, \"Commute\": 0.293, \"Income\": 36101, \"Gini\": 0.484, \"Share01\": 11.732, \"Gini_99\": 0.367, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1687.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.092, \"HS_dropout\": 0.007, \"Colleges\": 0.017, \"Tuition\": 4961.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.047, \"Religious\": 0.577, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.12, \"Married\": 0.563, \"Longitude\": -92.6370162963867, \"Latitude\": 34.7950592041016}, {\"ID\": 4301, \"Name\": \"Stuttgart\", \"Mobility\": 0.0539629012, \"State\": \"AR\", \"Population\": 40542, \"Urban\": 0, \"Black\": 0.249, \"Seg_racial\": 0.113, \"Seg_income\": 0.018, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.015, \"Commute\": 0.529, \"Income\": 30500, \"Gini\": 0.445, \"Share01\": 9.649, \"Gini_99\": 0.349, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1427.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.673, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.254, \"HS_dropout\": 0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.2, \"Chinese_imports\": 6.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.004, \"Social_capital\": -0.367, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.274, \"Divorced\": 0.111, \"Married\": 0.568, \"Longitude\": -91.3426666259766, \"Latitude\": 34.4396324157715}, {\"ID\": 4302, \"Name\": \"Searcy\", \"Mobility\": 0.0891045406, \"State\": \"AR\", \"Population\": 94324, \"Urban\": 0, \"Black\": 0.088, \"Seg_racial\": 0.135, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.029, \"Commute\": 0.421, \"Income\": 28365, \"Gini\": 0.434, \"Share01\": 8.856, \"Gini_99\": 0.346, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1252.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.533, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 3.54, \"HS_dropout\": 0.007, \"Colleges\": 0.021, \"Tuition\": 5684.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.183, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": -0.742, \"Religious\": 0.61, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.105, \"Married\": 0.615, \"Longitude\": -91.454719543457, \"Latitude\": 35.3877983093262}, {\"ID\": 4401, \"Name\": \"London\", \"Mobility\": 0.0638953075, \"State\": \"KY\", \"Population\": 144931, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.105, \"Seg_income\": 0.028, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.025, \"Commute\": 0.345, \"Income\": 22044, \"Gini\": 0.511, \"Share01\": 13.431, \"Gini_99\": 0.377, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1164.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -2.237, \"HS_dropout\": 0.016, \"Colleges\": 0.014, \"Tuition\": 10136.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.007, \"Social_capital\": -1.462, \"Religious\": 0.507, \"Violent_crime\": 0.0, \"Single_mothers\": 0.201, \"Divorced\": 0.107, \"Married\": 0.609, \"Longitude\": -84.0044937133789, \"Latitude\": 37.024299621582}, {\"ID\": 4402, \"Name\": \"Richmond\", \"Mobility\": 0.0590868406, \"State\": \"KY\", \"Population\": 116256, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.105, \"Seg_income\": 0.051, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.058, \"Commute\": 0.35, \"Income\": 25664, \"Gini\": 0.423, \"Share01\": 7.78, \"Gini_99\": 0.345, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1205.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.932, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.157, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 1729.0, \"Graduation\": 0.067, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.205, \"Chinese_imports\": 2.076, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.328, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.107, \"Married\": 0.555, \"Longitude\": -84.1347045898438, \"Latitude\": 37.589282989502}, {\"ID\": 4501, \"Name\": \"West Liberty\", \"Mobility\": 0.0684385374, \"State\": \"KY\", \"Population\": 49887, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.157, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.295, \"Income\": 20802, \"Gini\": 0.508, \"Share01\": 16.386, \"Gini_99\": 0.344, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1272.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.784, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -5.552, \"HS_dropout\": 0.03, \"Colleges\": 0.02, \"Tuition\": 3750.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.423, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -1.289, \"Religious\": 0.214, \"Violent_crime\": 0.0, \"Single_mothers\": 0.199, \"Divorced\": 0.112, \"Married\": 0.588, \"Longitude\": -83.3554000854492, \"Latitude\": 37.6686782836914}, {\"ID\": 4502, \"Name\": \"Hazard\", \"Mobility\": 0.1306593716, \"State\": \"KY\", \"Population\": 117919, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.315, \"Income\": 20987, \"Gini\": 0.445, \"Share01\": 9.422, \"Gini_99\": 0.35, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1264.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.442, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -7.906, \"HS_dropout\": 0.01, \"Colleges\": 0.025, \"Tuition\": 1610.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.421, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": -1.348, \"Religious\": 0.351, \"Violent_crime\": 0.0, \"Single_mothers\": 0.192, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -83.1802062988281, \"Latitude\": 37.1504173278809}, {\"ID\": 4601, \"Name\": \"Campbellsville\", \"Mobility\": 0.0714285746, \"State\": \"KY\", \"Population\": 83451, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.404, \"Income\": 26923, \"Gini\": 0.394, \"Share01\": 8.527, \"Gini_99\": 0.309, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1624.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.746, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.819, \"HS_dropout\": 0.006, \"Colleges\": 0.024, \"Tuition\": 9292.0, \"Graduation\": 0.049, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": -0.499, \"Religious\": 0.637, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.11, \"Married\": 0.605, \"Longitude\": -85.249870300293, \"Latitude\": 37.2286758422852}, {\"ID\": 4602, \"Name\": \"Somerset\", \"Mobility\": 0.0627145097, \"State\": \"KY\", \"Population\": 123981, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.024, \"Commute\": 0.372, \"Income\": 24892, \"Gini\": 0.466, \"Share01\": 11.635, \"Gini_99\": 0.35, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1271.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.814, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -2.443, \"HS_dropout\": 0.01, \"Colleges\": 0.008, \"Tuition\": 1150.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.471, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": -1.14, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -84.5739974975586, \"Latitude\": 36.7019195556641}, {\"ID\": 4701, \"Name\": \"Greenwood\", \"Mobility\": 0.0331106596, \"State\": \"MS\", \"Population\": 84168, \"Urban\": 0, \"Black\": 0.527, \"Seg_racial\": 0.223, \"Seg_income\": 0.045, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.435, \"Income\": 25756, \"Gini\": 0.539, \"Share01\": 13.772, \"Gini_99\": 0.402, \"Middle_class\": 0.378, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2172.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.481, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.145, \"HS_dropout\": 0.042, \"Colleges\": 0.012, \"Tuition\": 2746.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.228, \"Chinese_imports\": 1.389, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.009, \"Social_capital\": -0.764, \"Religious\": 0.474, \"Violent_crime\": 0.002, \"Single_mothers\": 0.381, \"Divorced\": 0.087, \"Married\": 0.468, \"Longitude\": -90.0163497924805, \"Latitude\": 33.5430183410645}, {\"ID\": 4702, \"Name\": \"Clarksdale\", \"Mobility\": 0.0271325037, \"State\": \"MS\", \"Population\": 141711, \"Urban\": 0, \"Black\": 0.479, \"Seg_racial\": 0.141, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.41, \"Income\": 25222, \"Gini\": 0.52, \"Share01\": 12.888, \"Gini_99\": 0.391, \"Middle_class\": 0.373, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1928.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.294, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -17.675, \"HS_dropout\": -0.001, \"Colleges\": 0.014, \"Tuition\": 2889.0, \"Graduation\": 0.21, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.789, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.761, \"Religious\": 0.444, \"Violent_crime\": 0.001, \"Single_mothers\": 0.357, \"Divorced\": 0.083, \"Married\": 0.449, \"Longitude\": -90.2487945556641, \"Latitude\": 34.1848678588867}, {\"ID\": 4800, \"Name\": \"Greenville\", \"Mobility\": 0.0221015904, \"State\": \"MS\", \"Population\": 146833, \"Urban\": 0, \"Black\": 0.658, \"Seg_racial\": 0.218, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.498, \"Income\": 23169, \"Gini\": 0.525, \"Share01\": 11.211, \"Gini_99\": 0.413, \"Middle_class\": 0.314, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1800.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.344, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -20.082, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 1419.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.188, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.007, \"Social_capital\": -1.051, \"Religious\": 0.373, \"Violent_crime\": 0.002, \"Single_mothers\": 0.434, \"Divorced\": 0.083, \"Married\": 0.402, \"Longitude\": -90.9878692626953, \"Latitude\": 33.2874450683594}, {\"ID\": 4901, \"Name\": \"Jackson\", \"Mobility\": 0.0474881269, \"State\": \"TN\", \"Population\": 198166, \"Urban\": 1, \"Black\": 0.274, \"Seg_racial\": 0.223, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.066, \"Commute\": 0.366, \"Income\": 31754, \"Gini\": 0.474, \"Share01\": 12.857, \"Gini_99\": 0.345, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3444.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": null, \"Test_scores\": -8.155, \"HS_dropout\": -0.009, \"Colleges\": 0.025, \"Tuition\": 6396.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.259, \"Chinese_imports\": 2.155, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.251, \"Religious\": 0.57, \"Violent_crime\": 0.003, \"Single_mothers\": 0.269, \"Divorced\": 0.113, \"Married\": 0.54, \"Longitude\": -88.8984222412109, \"Latitude\": 35.6781158447266}, {\"ID\": 4902, \"Name\": \"Dyersburg\", \"Mobility\": 0.0431115292, \"State\": \"TN\", \"Population\": 92131, \"Urban\": 0, \"Black\": 0.288, \"Seg_racial\": 0.16, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 26597, \"Gini\": 0.417, \"Share01\": 9.444, \"Gini_99\": 0.323, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2162.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.951, \"Student_teacher_ratio\": null, \"Test_scores\": -3.103, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 1294.0, \"Graduation\": -0.261, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.316, \"Chinese_imports\": 1.984, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": -1.445, \"Religious\": 0.504, \"Violent_crime\": 0.004, \"Single_mothers\": 0.3, \"Divorced\": 0.121, \"Married\": 0.533, \"Longitude\": -89.5839614868164, \"Latitude\": 35.9390640258789}, {\"ID\": 4903, \"Name\": \"Lexington\", \"Mobility\": 0.0816599727, \"State\": \"TN\", \"Population\": 44884, \"Urban\": 0, \"Black\": 0.057, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.341, \"Income\": 31853, \"Gini\": 0.317, \"Share01\": 6.22, \"Gini_99\": 0.255, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1722.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 3.92, \"Student_teacher_ratio\": null, \"Test_scores\": 1.607, \"HS_dropout\": -0.022, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.32, \"Chinese_imports\": 5.472, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": -1.398, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.121, \"Married\": 0.611, \"Longitude\": -88.0600204467773, \"Latitude\": 35.6141738891602}, {\"ID\": 5000, \"Name\": \"Tupelo\", \"Mobility\": 0.0435734168, \"State\": \"MS\", \"Population\": 197774, \"Urban\": 0, \"Black\": 0.241, \"Seg_racial\": 0.123, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.023, \"Commute\": 0.341, \"Income\": 30736, \"Gini\": 0.457, \"Share01\": 11.467, \"Gini_99\": 0.342, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.352, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -8.12, \"HS_dropout\": -0.008, \"Colleges\": 0.01, \"Tuition\": 950.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.364, \"Chinese_imports\": 4.838, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": -0.694, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.108, \"Married\": 0.569, \"Longitude\": -88.6931762695312, \"Latitude\": 34.0106201171875}, {\"ID\": 5100, \"Name\": \"Corinth\", \"Mobility\": 0.06576325, \"State\": \"MS\", \"Population\": 129508, \"Urban\": 0, \"Black\": 0.079, \"Seg_racial\": 0.128, \"Seg_income\": 0.013, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.01, \"Commute\": 0.372, \"Income\": 28904, \"Gini\": 0.426, \"Share01\": 12.3, \"Gini_99\": 0.303, \"Middle_class\": 0.546, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2222.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.329, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -1.45, \"HS_dropout\": -0.016, \"Colleges\": 0.008, \"Tuition\": 1080.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.336, \"Chinese_imports\": 7.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.766, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.113, \"Married\": 0.599, \"Longitude\": -88.3704833984375, \"Latitude\": 35.0568542480469}, {\"ID\": 5201, \"Name\": \"New Albany\", \"Mobility\": 0.0546255521, \"State\": \"MS\", \"Population\": 54214, \"Urban\": 1, \"Black\": 0.185, \"Seg_racial\": 0.088, \"Seg_income\": 0.011, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.299, \"Income\": 27596, \"Gini\": 0.389, \"Share01\": 9.491, \"Gini_99\": 0.294, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.111, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -1.196, \"HS_dropout\": -0.014, \"Colleges\": 0.018, \"Tuition\": 5250.0, \"Graduation\": 0.145, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.381, \"Chinese_imports\": 4.226, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 0.047, \"Religious\": 0.734, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.092, \"Married\": 0.6, \"Longitude\": -88.9695587158203, \"Latitude\": 34.6554679870605}, {\"ID\": 5202, \"Name\": \"Memphis\", \"Mobility\": 0.0281827394, \"State\": \"TN\", \"Population\": 1154338, \"Urban\": 1, \"Black\": 0.432, \"Seg_racial\": 0.36, \"Seg_income\": 0.137, \"Seg_poverty\": 0.129, \"Seg_affluence\": 0.148, \"Commute\": 0.224, \"Income\": 37116, \"Gini\": 0.586, \"Share01\": 17.031, \"Gini_99\": 0.415, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2868.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 19.7, \"Test_scores\": -15.57, \"HS_dropout\": 0.02, \"Colleges\": 0.013, \"Tuition\": 4191.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 1.263, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": -0.71, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.106, \"Married\": 0.492, \"Longitude\": -90.0650634765625, \"Latitude\": 35.0354385375977}, {\"ID\": 5300, \"Name\": \"West Memphis\", \"Mobility\": 0.0320140719, \"State\": \"AR\", \"Population\": 138746, \"Urban\": 1, \"Black\": 0.471, \"Seg_racial\": 0.199, \"Seg_income\": 0.045, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.052, \"Commute\": 0.416, \"Income\": 25942, \"Gini\": 0.458, \"Share01\": 8.066, \"Gini_99\": 0.377, \"Middle_class\": 0.386, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1540.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.632, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -14.367, \"HS_dropout\": 0.024, \"Colleges\": 0.022, \"Tuition\": 1037.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.158, \"Chinese_imports\": 4.292, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -1.195, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.368, \"Divorced\": 0.097, \"Married\": 0.513, \"Longitude\": -90.5962371826172, \"Latitude\": 34.7605514526367}, {\"ID\": 5401, \"Name\": \"Bowling Green\", \"Mobility\": 0.0642673522, \"State\": \"KY\", \"Population\": 164944, \"Urban\": 1, \"Black\": 0.072, \"Seg_racial\": 0.123, \"Seg_income\": 0.05, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.056, \"Commute\": 0.375, \"Income\": 31026, \"Gini\": 0.454, \"Share01\": 12.093, \"Gini_99\": 0.333, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1675.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.925, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 3.097, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 2232.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.749, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.027, \"Social_capital\": -0.747, \"Religious\": 0.528, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.105, \"Married\": 0.574, \"Longitude\": -86.3613433837891, \"Latitude\": 36.9742088317871}, {\"ID\": 5402, \"Name\": \"Glasgow\", \"Mobility\": 0.0613557659, \"State\": \"KY\", \"Population\": 92394, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.02, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.022, \"Commute\": 0.376, \"Income\": 27831, \"Gini\": 0.439, \"Share01\": 12.307, \"Gini_99\": 0.316, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1390.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.62, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.207, \"HS_dropout\": -0.006, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": -0.792, \"Religious\": 0.497, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.108, \"Married\": 0.614, \"Longitude\": -85.7584686279297, \"Latitude\": 36.8960647583008}, {\"ID\": 5500, \"Name\": \"Columbia\", \"Mobility\": 0.0570192672, \"State\": \"TN\", \"Population\": 159374, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.113, \"Seg_income\": 0.041, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.047, \"Commute\": 0.304, \"Income\": 32507, \"Gini\": 0.381, \"Share01\": 8.556, \"Gini_99\": 0.296, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2532.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.217, \"Student_teacher_ratio\": null, \"Test_scores\": -4.083, \"HS_dropout\": -0.01, \"Colleges\": 0.013, \"Tuition\": 2663.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.305, \"Chinese_imports\": 2.56, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.021, \"Foreign_born\": 0.015, \"Social_capital\": -1.248, \"Religious\": 0.472, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.113, \"Married\": 0.591, \"Longitude\": -87.1828079223633, \"Latitude\": 35.5133590698242}, {\"ID\": 5600, \"Name\": \"Nashville\", \"Mobility\": 0.0572634488, \"State\": \"TN\", \"Population\": 1246338, \"Urban\": 1, \"Black\": 0.153, \"Seg_racial\": 0.249, \"Seg_income\": 0.103, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.112, \"Commute\": 0.24, \"Income\": 39833, \"Gini\": 0.517, \"Share01\": 18.995, \"Gini_99\": 0.327, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2577.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.088, \"Student_teacher_ratio\": null, \"Test_scores\": -6.695, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 7971.0, \"Graduation\": -0.001, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.499, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.047, \"Social_capital\": -0.397, \"Religious\": 0.476, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.115, \"Married\": 0.549, \"Longitude\": -86.4776077270508, \"Latitude\": 36.0064163208008}, {\"ID\": 5700, \"Name\": \"Tullahoma\", \"Mobility\": 0.0614474267, \"State\": \"TN\", \"Population\": 130610, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.093, \"Seg_income\": 0.017, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.015, \"Commute\": 0.37, \"Income\": 32903, \"Gini\": 0.423, \"Share01\": 10.603, \"Gini_99\": 0.317, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.669, \"Student_teacher_ratio\": null, \"Test_scores\": -2.54, \"HS_dropout\": -0.012, \"Colleges\": 0.015, \"Tuition\": 8383.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.277, \"Chinese_imports\": 2.509, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": -0.715, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -86.3036117553711, \"Latitude\": 35.4622421264648}, {\"ID\": 5800, \"Name\": \"Dickson\", \"Mobility\": 0.0715361461, \"State\": \"TN\", \"Population\": 138212, \"Urban\": 1, \"Black\": 0.062, \"Seg_racial\": 0.083, \"Seg_income\": 0.021, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.024, \"Commute\": 0.33, \"Income\": 31374, \"Gini\": 0.428, \"Share01\": 11.897, \"Gini_99\": 0.309, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2132.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.441, \"Student_teacher_ratio\": null, \"Test_scores\": 2.489, \"HS_dropout\": -0.013, \"Colleges\": 0.007, \"Tuition\": 7860.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.26, \"Chinese_imports\": 3.839, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": -0.845, \"Religious\": 0.54, \"Violent_crime\": 0.002, \"Single_mothers\": 0.206, \"Divorced\": 0.116, \"Married\": 0.608, \"Longitude\": -87.8451919555664, \"Latitude\": 36.0888633728027}, {\"ID\": 5900, \"Name\": \"Clarksville\", \"Mobility\": 0.0599688478, \"State\": \"TN\", \"Population\": 252059, \"Urban\": 1, \"Black\": 0.179, \"Seg_racial\": 0.133, \"Seg_income\": 0.056, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.052, \"Commute\": 0.319, \"Income\": 28962, \"Gini\": 0.383, \"Share01\": 9.751, \"Gini_99\": 0.285, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.298, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.633, \"HS_dropout\": -0.004, \"Colleges\": 0.024, \"Tuition\": 2147.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.668, \"Teenage_labor\": 0.003, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.033, \"Social_capital\": -1.828, \"Religious\": 0.48, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.101, \"Married\": 0.608, \"Longitude\": -87.5625991821289, \"Latitude\": 36.6690673828125}, {\"ID\": 6000, \"Name\": \"Huntsville\", \"Mobility\": 0.0566761531, \"State\": \"AL\", \"Population\": 519583, \"Urban\": 1, \"Black\": 0.174, \"Seg_racial\": 0.225, \"Seg_income\": 0.089, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.098, \"Commute\": 0.286, \"Income\": 37730, \"Gini\": 0.443, \"Share01\": 10.571, \"Gini_99\": 0.337, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.14, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -7.679, \"HS_dropout\": -0.006, \"Colleges\": 0.012, \"Tuition\": 2761.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.228, \"Chinese_imports\": 2.479, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.014, \"Foreign_born\": 0.03, \"Social_capital\": -1.029, \"Religious\": 0.559, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.108, \"Married\": 0.595, \"Longitude\": -86.7002639770508, \"Latitude\": 34.855583190918}, {\"ID\": 6100, \"Name\": \"Gadsden\", \"Mobility\": 0.071056664, \"State\": \"AL\", \"Population\": 304068, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.265, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.032, \"Commute\": 0.328, \"Income\": 30842, \"Gini\": 0.441, \"Share01\": 10.908, \"Gini_99\": 0.332, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1757.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.591, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -7.767, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1449.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.296, \"Chinese_imports\": 2.007, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": -1.024, \"Religious\": 0.62, \"Violent_crime\": 0.002, \"Single_mothers\": 0.198, \"Divorced\": 0.11, \"Married\": 0.611, \"Longitude\": -86.0703277587891, \"Latitude\": 34.3181457519531}, {\"ID\": 6200, \"Name\": \"Florence\", \"Mobility\": 0.0710671544, \"State\": \"AL\", \"Population\": 230941, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.196, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 31581, \"Gini\": 0.448, \"Share01\": 11.773, \"Gini_99\": 0.33, \"Middle_class\": 0.528, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2708.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.315, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1919.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.348, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.015, \"Social_capital\": -0.834, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.196, \"Divorced\": 0.102, \"Married\": 0.611, \"Longitude\": -87.5710220336914, \"Latitude\": 35.096565246582}, {\"ID\": 6301, \"Name\": \"McMinnville\", \"Mobility\": 0.0572254322, \"State\": \"TN\", \"Population\": 84309, \"Urban\": 0, \"Black\": 0.022, \"Seg_racial\": 0.064, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.367, \"Income\": 29411, \"Gini\": 0.426, \"Share01\": 11.163, \"Gini_99\": 0.314, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1879.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.085, \"Student_teacher_ratio\": null, \"Test_scores\": -1.519, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.318, \"Chinese_imports\": 4.639, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": -1.412, \"Religious\": 0.541, \"Violent_crime\": 0.003, \"Single_mothers\": 0.198, \"Divorced\": 0.123, \"Married\": 0.605, \"Longitude\": -85.6722869873047, \"Latitude\": 35.8743438720703}, {\"ID\": 6302, \"Name\": \"Cookeville\", \"Mobility\": 0.0720288083, \"State\": \"TN\", \"Population\": 98362, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.083, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.029, \"Commute\": 0.38, \"Income\": 28510, \"Gini\": 0.455, \"Share01\": 11.752, \"Gini_99\": 0.337, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.842, \"Student_teacher_ratio\": null, \"Test_scores\": 2.41, \"HS_dropout\": -0.027, \"Colleges\": 0.02, \"Tuition\": 2222.0, \"Graduation\": 0.191, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.025, \"Social_capital\": -1.326, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -85.4125366210938, \"Latitude\": 36.3022613525391}, {\"ID\": 6401, \"Name\": \"Chattanooga\", \"Mobility\": 0.0570530631, \"State\": \"TN\", \"Population\": 490863, \"Urban\": 1, \"Black\": 0.134, \"Seg_racial\": 0.335, \"Seg_income\": 0.075, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.078, \"Commute\": 0.256, \"Income\": 35728, \"Gini\": 0.502, \"Share01\": 14.485, \"Gini_99\": 0.357, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2821.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.825, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.888, \"HS_dropout\": 0.026, \"Colleges\": 0.014, \"Tuition\": 4482.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.114, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -0.409, \"Religious\": 0.518, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.117, \"Married\": 0.572, \"Longitude\": -85.337043762207, \"Latitude\": 35.1550254821777}, {\"ID\": 6402, \"Name\": \"Crossville\", \"Mobility\": 0.0708446875, \"State\": \"TN\", \"Population\": 104194, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.076, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.017, \"Commute\": 0.338, \"Income\": 29333, \"Gini\": 0.426, \"Share01\": 10.83, \"Gini_99\": 0.318, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1365.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.418, \"Student_teacher_ratio\": null, \"Test_scores\": 0.409, \"HS_dropout\": -0.004, \"Colleges\": 0.01, \"Tuition\": 11700.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.269, \"Chinese_imports\": 2.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": -1.024, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.112, \"Married\": 0.632, \"Longitude\": -84.981071472168, \"Latitude\": 35.9107475280762}, {\"ID\": 6501, \"Name\": \"Ellijay\", \"Mobility\": 0.064965196, \"State\": \"GA\", \"Population\": 43254, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.11, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.292, \"Income\": 31235, \"Gini\": 0.403, \"Share01\": 7.137, \"Gini_99\": 0.331, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1556.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.193, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.837, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.568, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.597, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.017, \"Foreign_born\": 0.036, \"Social_capital\": -1.19, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.11, \"Married\": 0.632, \"Longitude\": -84.3799591064453, \"Latitude\": 34.6945686340332}, {\"ID\": 6502, \"Name\": \"Cleveland\", \"Mobility\": 0.0668229759, \"State\": \"TN\", \"Population\": 203077, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.075, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.343, \"Income\": 30499, \"Gini\": 0.418, \"Share01\": 9.445, \"Gini_99\": 0.323, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2213.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.251, \"Student_teacher_ratio\": null, \"Test_scores\": -4.013, \"HS_dropout\": -0.014, \"Colleges\": 0.02, \"Tuition\": 5002.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.324, \"Chinese_imports\": 4.575, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": -0.643, \"Religious\": 0.627, \"Violent_crime\": 0.002, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.621, \"Longitude\": -84.543327331543, \"Latitude\": 35.4968109130859}, {\"ID\": 6600, \"Name\": \"Rome\", \"Mobility\": 0.0484621339, \"State\": \"GA\", \"Population\": 418304, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.181, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.301, \"Income\": 31877, \"Gini\": 0.491, \"Share01\": 16.237, \"Gini_99\": 0.328, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2610.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.324, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -4.992, \"HS_dropout\": 0.035, \"Colleges\": 0.012, \"Tuition\": 5002.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.34, \"Chinese_imports\": 1.605, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.066, \"Social_capital\": -1.683, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.108, \"Married\": 0.604, \"Longitude\": -85.1338729858398, \"Latitude\": 34.4316864013672}, {\"ID\": 6700, \"Name\": \"Tampa\", \"Mobility\": 0.060128428, \"State\": \"FL\", \"Population\": 2395997, \"Urban\": 1, \"Black\": 0.099, \"Seg_racial\": 0.232, \"Seg_income\": 0.08, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.097, \"Commute\": 0.264, \"Income\": 42195, \"Gini\": 0.534, \"Share01\": 15.27, \"Gini_99\": 0.381, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2380.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.228, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.514, \"HS_dropout\": -0.001, \"Colleges\": 0.009, \"Tuition\": 6791.0, \"Graduation\": 0.026, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.622, \"Teenage_labor\": 0.004, \"Migration_in\": 0.041, \"Migration_out\": 0.025, \"Foreign_born\": 0.098, \"Social_capital\": -1.04, \"Religious\": 0.379, \"Violent_crime\": null, \"Single_mothers\": 0.252, \"Divorced\": 0.125, \"Married\": 0.537, \"Longitude\": -82.4193954467773, \"Latitude\": 28.1531715393066}, {\"ID\": 6800, \"Name\": \"Lakeland\", \"Mobility\": 0.0520584956, \"State\": \"FL\", \"Population\": 598228, \"Urban\": 1, \"Black\": 0.125, \"Seg_racial\": 0.171, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.289, \"Income\": 36102, \"Gini\": 0.477, \"Share01\": 12.185, \"Gini_99\": 0.355, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2265.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.569, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -7.088, \"HS_dropout\": 0.025, \"Colleges\": 0.015, \"Tuition\": 6001.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.556, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.048, \"Migration_out\": 0.025, \"Foreign_born\": 0.077, \"Social_capital\": -1.73, \"Religious\": 0.422, \"Violent_crime\": null, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.58, \"Longitude\": -81.4550399780273, \"Latitude\": 27.7498950958252}, {\"ID\": 6900, \"Name\": \"Sarasota\", \"Mobility\": 0.0683156624, \"State\": \"FL\", \"Population\": 763795, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.214, \"Seg_income\": 0.067, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.082, \"Commute\": 0.319, \"Income\": 52947, \"Gini\": 0.541, \"Share01\": 17.696, \"Gini_99\": 0.364, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2478.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.457, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -1.082, \"HS_dropout\": 0.004, \"Colleges\": 0.004, \"Tuition\": 4013.0, \"Graduation\": -0.03, \"Labor_force_participation\": 0.504, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.624, \"Teenage_labor\": 0.005, \"Migration_in\": 0.043, \"Migration_out\": 0.023, \"Foreign_born\": 0.092, \"Social_capital\": -0.533, \"Religious\": 0.403, \"Violent_crime\": null, \"Single_mothers\": 0.23, \"Divorced\": 0.11, \"Married\": 0.602, \"Longitude\": -82.2600936889648, \"Latitude\": 27.1796760559082}, {\"ID\": 7000, \"Name\": \"Miami\", \"Mobility\": 0.0729660839, \"State\": \"FL\", \"Population\": 3955969, \"Urban\": 1, \"Black\": 0.191, \"Seg_racial\": 0.33, \"Seg_income\": 0.105, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.12, \"Commute\": 0.198, \"Income\": 38110, \"Gini\": 0.632, \"Share01\": 18.867, \"Gini_99\": 0.444, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 3155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.895, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -6.999, \"HS_dropout\": 0.006, \"Colleges\": 0.009, \"Tuition\": 7491.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.068, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.027, \"Foreign_born\": 0.397, \"Social_capital\": -2.141, \"Religious\": 0.42, \"Violent_crime\": null, \"Single_mothers\": 0.258, \"Divorced\": 0.117, \"Married\": 0.502, \"Longitude\": -80.6895523071289, \"Latitude\": 25.5369129180908}, {\"ID\": 7100, \"Name\": \"Port St. Lucie\", \"Mobility\": 0.062430378, \"State\": \"FL\", \"Population\": 1533306, \"Urban\": 1, \"Black\": 0.129, \"Seg_racial\": 0.248, \"Seg_income\": 0.102, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.122, \"Commute\": 0.26, \"Income\": 55175, \"Gini\": 0.61, \"Share01\": 20.816, \"Gini_99\": 0.402, \"Middle_class\": 0.466, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.852, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -5.311, \"HS_dropout\": -0.008, \"Colleges\": 0.007, \"Tuition\": 5062.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.475, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.03, \"Foreign_born\": 0.157, \"Social_capital\": -1.433, \"Religious\": 0.516, \"Violent_crime\": null, \"Single_mothers\": 0.226, \"Divorced\": 0.107, \"Married\": 0.569, \"Longitude\": -80.8225402832031, \"Latitude\": 27.1259841918945}, {\"ID\": 7200, \"Name\": \"Cape Coral\", \"Mobility\": 0.0601915196, \"State\": \"FL\", \"Population\": 692265, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.263, \"Seg_income\": 0.078, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.095, \"Commute\": 0.273, \"Income\": 55875, \"Gini\": 0.574, \"Share01\": 17.022, \"Gini_99\": 0.404, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -4.293, \"HS_dropout\": 0.023, \"Colleges\": 0.007, \"Tuition\": 2299.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.531, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.169, \"Teenage_labor\": 0.005, \"Migration_in\": 0.067, \"Migration_out\": 0.026, \"Foreign_born\": 0.125, \"Social_capital\": -1.24, \"Religious\": 0.377, \"Violent_crime\": null, \"Single_mothers\": 0.215, \"Divorced\": 0.108, \"Married\": 0.61, \"Longitude\": -81.7269973754883, \"Latitude\": 26.4002437591553}, {\"ID\": 7300, \"Name\": \"Palm Bay\", \"Mobility\": 0.0658892095, \"State\": \"FL\", \"Population\": 589177, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.144, \"Seg_income\": 0.071, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.079, \"Commute\": 0.3, \"Income\": 45264, \"Gini\": 0.469, \"Share01\": 14.294, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2412.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.628, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 9.036, \"HS_dropout\": -0.015, \"Colleges\": 0.007, \"Tuition\": 6751.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.123, \"Chinese_imports\": 1.067, \"Teenage_labor\": 0.004, \"Migration_in\": 0.047, \"Migration_out\": 0.026, \"Foreign_born\": 0.068, \"Social_capital\": -0.799, \"Religious\": 0.414, \"Violent_crime\": null, \"Single_mothers\": 0.227, \"Divorced\": 0.119, \"Married\": 0.583, \"Longitude\": -80.7524337768555, \"Latitude\": 28.3434429168701}, {\"ID\": 7400, \"Name\": \"Orlando\", \"Mobility\": 0.0578166097, \"State\": \"FL\", \"Population\": 1697906, \"Urban\": 1, \"Black\": 0.133, \"Seg_racial\": 0.181, \"Seg_income\": 0.083, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.1, \"Commute\": 0.212, \"Income\": 38370, \"Gini\": 0.524, \"Share01\": 14.236, \"Gini_99\": 0.382, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2579.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -2.66, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 2759.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.067, \"Chinese_imports\": 0.462, \"Teenage_labor\": 0.003, \"Migration_in\": 0.057, \"Migration_out\": 0.034, \"Foreign_born\": 0.118, \"Social_capital\": -1.756, \"Religious\": 0.38, \"Violent_crime\": null, \"Single_mothers\": 0.231, \"Divorced\": 0.11, \"Married\": 0.543, \"Longitude\": -81.4672393798828, \"Latitude\": 28.5010166168213}, {\"ID\": 7500, \"Name\": \"Deltona\", \"Mobility\": 0.0587789156, \"State\": \"FL\", \"Population\": 563598, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.196, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.046, \"Commute\": 0.303, \"Income\": 38459, \"Gini\": 0.465, \"Share01\": 11.814, \"Gini_99\": 0.347, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.831, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 0.434, \"HS_dropout\": -0.025, \"Colleges\": 0.009, \"Tuition\": 8990.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.539, \"Teenage_labor\": 0.004, \"Migration_in\": 0.051, \"Migration_out\": 0.028, \"Foreign_born\": 0.062, \"Social_capital\": -1.39, \"Religious\": 0.374, \"Violent_crime\": null, \"Single_mothers\": 0.249, \"Divorced\": 0.12, \"Married\": 0.565, \"Longitude\": -81.4155960083008, \"Latitude\": 29.2213096618652}, {\"ID\": 7600, \"Name\": \"Jacksonville\", \"Mobility\": 0.0492131598, \"State\": \"FL\", \"Population\": 1176696, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.223, \"Seg_income\": 0.088, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.098, \"Commute\": 0.229, \"Income\": 38502, \"Gini\": 0.477, \"Share01\": 13.686, \"Gini_99\": 0.34, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3180.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.353, \"Student_teacher_ratio\": 19.9, \"Test_scores\": -0.763, \"HS_dropout\": 0.032, \"Colleges\": 0.007, \"Tuition\": 4409.0, \"Graduation\": 0.02, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.004, \"Migration_in\": 0.036, \"Migration_out\": 0.028, \"Foreign_born\": 0.052, \"Social_capital\": -1.441, \"Religious\": 0.427, \"Violent_crime\": 0.002, \"Single_mothers\": 0.252, \"Divorced\": 0.124, \"Married\": 0.546, \"Longitude\": -81.7244110107422, \"Latitude\": 30.4425716400146}, {\"ID\": 7700, \"Name\": \"Lake City\", \"Mobility\": 0.049539458, \"State\": \"FL\", \"Population\": 149695, \"Urban\": 0, \"Black\": 0.206, \"Seg_racial\": 0.118, \"Seg_income\": 0.014, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.009, \"Commute\": 0.339, \"Income\": 25561, \"Gini\": 0.415, \"Share01\": 8.857, \"Gini_99\": 0.326, \"Middle_class\": 0.499, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.592, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -5.551, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1180.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.201, \"Teenage_labor\": 0.003, \"Migration_in\": 0.022, \"Migration_out\": 0.013, \"Foreign_born\": 0.029, \"Social_capital\": -1.774, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.122, \"Married\": 0.55, \"Longitude\": -83.1948776245117, \"Latitude\": 30.1301002502441}, {\"ID\": 7800, \"Name\": \"Ocala\", \"Mobility\": 0.0564204939, \"State\": \"FL\", \"Population\": 377001, \"Urban\": 1, \"Black\": 0.085, \"Seg_racial\": 0.158, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.031, \"Commute\": 0.273, \"Income\": 38731, \"Gini\": 0.487, \"Share01\": 12.616, \"Gini_99\": 0.361, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.125, \"HS_dropout\": -0.003, \"Colleges\": 0.005, \"Tuition\": 2370.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.469, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.535, \"Teenage_labor\": 0.004, \"Migration_in\": 0.056, \"Migration_out\": 0.024, \"Foreign_born\": 0.051, \"Social_capital\": -1.831, \"Religious\": 0.35, \"Violent_crime\": null, \"Single_mothers\": 0.246, \"Divorced\": 0.113, \"Married\": 0.611, \"Longitude\": -82.1488647460938, \"Latitude\": 29.1660633087158}, {\"ID\": 7900, \"Name\": \"Gainesville\", \"Mobility\": 0.0496746562, \"State\": \"FL\", \"Population\": 320199, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.137, \"Seg_income\": 0.101, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.114, \"Commute\": 0.321, \"Income\": 28321, \"Gini\": 0.51, \"Share01\": 12.516, \"Gini_99\": 0.385, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2672.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.897, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.607, \"HS_dropout\": 0.016, \"Colleges\": 0.012, \"Tuition\": 1796.0, \"Graduation\": 0.416, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.444, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.032, \"Foreign_born\": 0.057, \"Social_capital\": -1.494, \"Religious\": 0.354, \"Violent_crime\": null, \"Single_mothers\": 0.276, \"Divorced\": 0.104, \"Married\": 0.461, \"Longitude\": -82.6522445678711, \"Latitude\": 29.6797657012939}, {\"ID\": 8000, \"Name\": \"Sumter\", \"Mobility\": 0.0349367075, \"State\": \"SC\", \"Population\": 209914, \"Urban\": 1, \"Black\": 0.44, \"Seg_racial\": 0.134, \"Seg_income\": 0.052, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.05, \"Commute\": 0.33, \"Income\": 29459, \"Gini\": 0.444, \"Share01\": 8.648, \"Gini_99\": 0.358, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1518.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.429, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -8.166, \"HS_dropout\": -0.009, \"Colleges\": 0.014, \"Tuition\": 3194.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.021, \"Foreign_born\": 0.019, \"Social_capital\": -1.854, \"Religious\": 0.416, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.089, \"Married\": 0.525, \"Longitude\": -80.3857803344727, \"Latitude\": 33.9842262268066}, {\"ID\": 8100, \"Name\": \"Columbia\", \"Mobility\": 0.0372132659, \"State\": \"SC\", \"Population\": 722201, \"Urban\": 1, \"Black\": 0.367, \"Seg_racial\": 0.215, \"Seg_income\": 0.088, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.094, \"Commute\": 0.28, \"Income\": 34438, \"Gini\": 0.512, \"Share01\": 11.917, \"Gini_99\": 0.393, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.947, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.569, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7896.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.613, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": -0.925, \"Religious\": 0.445, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.088, \"Married\": 0.523, \"Longitude\": -80.9798583984375, \"Latitude\": 33.8458404541016}, {\"ID\": 8201, \"Name\": \"Barnwell\", \"Mobility\": 0.0353721455, \"State\": \"SC\", \"Population\": 72733, \"Urban\": 0, \"Black\": 0.551, \"Seg_racial\": 0.084, \"Seg_income\": 0.011, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.349, \"Income\": 25544, \"Gini\": 0.438, \"Share01\": 8.527, \"Gini_99\": 0.352, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.594, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -17.549, \"HS_dropout\": -0.017, \"Colleges\": 0.041, \"Tuition\": 1372.0, \"Graduation\": -0.136, \"Labor_force_participation\": 0.526, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.283, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": -1.679, \"Religious\": 0.443, \"Violent_crime\": 0.003, \"Single_mothers\": 0.353, \"Divorced\": 0.076, \"Married\": 0.494, \"Longitude\": -81.2760009765625, \"Latitude\": 32.9641990661621}, {\"ID\": 8202, \"Name\": \"Charleston\", \"Mobility\": 0.0444692373, \"State\": \"SC\", \"Population\": 587297, \"Urban\": 1, \"Black\": 0.314, \"Seg_racial\": 0.157, \"Seg_income\": 0.082, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.079, \"Commute\": 0.269, \"Income\": 34601, \"Gini\": 0.544, \"Share01\": 16.485, \"Gini_99\": 0.379, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1796.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -3.673, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 2602.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.021, \"Foreign_born\": 0.032, \"Social_capital\": -2.111, \"Religious\": 0.396, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.093, \"Married\": 0.517, \"Longitude\": -80.1714706420898, \"Latitude\": 33.056827545166}, {\"ID\": 8300, \"Name\": \"Greenville\", \"Mobility\": 0.0469857492, \"State\": \"SC\", \"Population\": 894291, \"Urban\": 1, \"Black\": 0.181, \"Seg_racial\": 0.176, \"Seg_income\": 0.066, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.076, \"Commute\": 0.308, \"Income\": 35225, \"Gini\": 0.48, \"Share01\": 12.338, \"Gini_99\": 0.356, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1580.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.21, \"HS_dropout\": -0.01, \"Colleges\": 0.015, \"Tuition\": 5888.0, \"Graduation\": 0.061, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.355, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.012, \"Foreign_born\": 0.033, \"Social_capital\": -1.108, \"Religious\": 0.558, \"Violent_crime\": 0.003, \"Single_mothers\": 0.229, \"Divorced\": 0.092, \"Married\": 0.567, \"Longitude\": -82.5311050415039, \"Latitude\": 34.444034576416}, {\"ID\": 8401, \"Name\": \"Aiken\", \"Mobility\": 0.0410487503, \"State\": \"GA\", \"Population\": 525842, \"Urban\": 1, \"Black\": 0.357, \"Seg_racial\": 0.165, \"Seg_income\": 0.09, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.097, \"Commute\": 0.275, \"Income\": 33294, \"Gini\": 0.487, \"Share01\": 9.765, \"Gini_99\": 0.39, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.214, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -6.018, \"HS_dropout\": 0.011, \"Colleges\": 0.011, \"Tuition\": 2317.0, \"Graduation\": -0.117, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.157, \"Chinese_imports\": 0.745, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -1.373, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.291, \"Divorced\": 0.104, \"Married\": 0.528, \"Longitude\": -82.2422409057617, \"Latitude\": 33.4064865112305}, {\"ID\": 8402, \"Name\": \"Washington\", \"Mobility\": 0.031144781, \"State\": \"GA\", \"Population\": 35518, \"Urban\": 1, \"Black\": 0.424, \"Seg_racial\": 0.021, \"Seg_income\": 0.019, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.015, \"Commute\": 0.341, \"Income\": 35155, \"Gini\": 0.491, \"Share01\": 11.242, \"Gini_99\": 0.379, \"Middle_class\": 0.404, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.394, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -5.032, \"HS_dropout\": 0.037, \"Colleges\": 0.028, \"Tuition\": 16250.0, \"Graduation\": null, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.261, \"Chinese_imports\": 0.662, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.773, \"Religious\": 0.436, \"Violent_crime\": 0.002, \"Single_mothers\": 0.316, \"Divorced\": 0.095, \"Married\": 0.517, \"Longitude\": -82.8233413696289, \"Latitude\": 33.6700859069824}, {\"ID\": 8501, \"Name\": \"Fitzgerald\", \"Mobility\": 0.0359147042, \"State\": \"GA\", \"Population\": 27415, \"Urban\": 0, \"Black\": 0.3, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.012, \"Commute\": 0.458, \"Income\": 27671, \"Gini\": 0.478, \"Share01\": 7.91, \"Gini_99\": 0.399, \"Middle_class\": 0.425, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2991.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.475, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -4.932, \"HS_dropout\": 0.049, \"Colleges\": 0.036, \"Tuition\": 864.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.299, \"Chinese_imports\": 2.168, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -1.649, \"Religious\": 0.533, \"Violent_crime\": 0.003, \"Single_mothers\": 0.291, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -83.2339935302734, \"Latitude\": 31.6627140045166}, {\"ID\": 8502, \"Name\": \"Cordele\", \"Mobility\": 0.0330490395, \"State\": \"GA\", \"Population\": 42098, \"Urban\": 0, \"Black\": 0.434, \"Seg_racial\": 0.047, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.006, \"Commute\": 0.43, \"Income\": 26103, \"Gini\": 0.496, \"Share01\": 9.602, \"Gini_99\": 0.4, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2474.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.945, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -4.966, \"HS_dropout\": 0.068, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.54, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.55, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": -1.604, \"Religious\": 0.483, \"Violent_crime\": 0.004, \"Single_mothers\": 0.369, \"Divorced\": 0.098, \"Married\": 0.517, \"Longitude\": -83.5846252441406, \"Latitude\": 32.033317565918}, {\"ID\": 8503, \"Name\": \"Valdosta\", \"Mobility\": 0.0318490118, \"State\": \"GA\", \"Population\": 241530, \"Urban\": 1, \"Black\": 0.292, \"Seg_racial\": 0.169, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.054, \"Commute\": 0.422, \"Income\": 27878, \"Gini\": 0.511, \"Share01\": 11.761, \"Gini_99\": 0.394, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.177, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -3.559, \"HS_dropout\": 0.041, \"Colleges\": 0.021, \"Tuition\": 1501.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.541, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -1.931, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.099, \"Married\": 0.534, \"Longitude\": -83.3960266113281, \"Latitude\": 31.2604084014893}, {\"ID\": 8601, \"Name\": \"Waycross\", \"Mobility\": 0.0445917435, \"State\": \"GA\", \"Population\": 113122, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.113, \"Seg_income\": 0.029, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.032, \"Commute\": 0.41, \"Income\": 26639, \"Gini\": 0.461, \"Share01\": 8.311, \"Gini_99\": 0.378, \"Middle_class\": 0.452, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.098, \"HS_dropout\": 0.047, \"Colleges\": 0.027, \"Tuition\": 1237.0, \"Graduation\": -0.152, \"Labor_force_participation\": 0.574, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.037, \"Social_capital\": -2.103, \"Religious\": 0.502, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.104, \"Married\": 0.584, \"Longitude\": -82.57080078125, \"Latitude\": 31.2826557159424}, {\"ID\": 8602, \"Name\": \"Brunswick\", \"Mobility\": 0.0473826714, \"State\": \"GA\", \"Population\": 93044, \"Urban\": 1, \"Black\": 0.239, \"Seg_racial\": 0.211, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.093, \"Commute\": 0.348, \"Income\": 36807, \"Gini\": 0.535, \"Share01\": 12.297, \"Gini_99\": 0.412, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2469.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.777, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -8.216, \"HS_dropout\": 0.054, \"Colleges\": 0.011, \"Tuition\": 1280.0, \"Graduation\": -0.206, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.027, \"Social_capital\": -1.655, \"Religious\": 0.463, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.124, \"Married\": 0.567, \"Longitude\": -81.708869934082, \"Latitude\": 31.302375793457}, {\"ID\": 8701, \"Name\": \"Hinesville\", \"Mobility\": 0.0489417985, \"State\": \"GA\", \"Population\": 131279, \"Urban\": 1, \"Black\": 0.337, \"Seg_racial\": 0.076, \"Seg_income\": 0.02, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.018, \"Commute\": 0.413, \"Income\": 23378, \"Gini\": 0.378, \"Share01\": 7.735, \"Gini_99\": 0.301, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.211, \"HS_dropout\": 0.022, \"Colleges\": 0.008, \"Tuition\": 864.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.278, \"Teenage_labor\": 0.003, \"Migration_in\": 0.037, \"Migration_out\": 0.052, \"Foreign_born\": 0.048, \"Social_capital\": -3.199, \"Religious\": 0.355, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.091, \"Married\": 0.579, \"Longitude\": -81.7807998657227, \"Latitude\": 31.7835903167725}, {\"ID\": 8702, \"Name\": \"Statesboro\", \"Mobility\": 0.0388888903, \"State\": \"GA\", \"Population\": 111346, \"Urban\": 0, \"Black\": 0.325, \"Seg_racial\": 0.055, \"Seg_income\": 0.043, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.036, \"Commute\": 0.398, \"Income\": 26439, \"Gini\": 0.492, \"Share01\": 9.041, \"Gini_99\": 0.402, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2080.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.27, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.486, \"HS_dropout\": 0.03, \"Colleges\": 0.036, \"Tuition\": 1728.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.489, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.029, \"Social_capital\": -2.244, \"Religious\": 0.404, \"Violent_crime\": 0.002, \"Single_mothers\": 0.279, \"Divorced\": 0.086, \"Married\": 0.473, \"Longitude\": -81.9179534912109, \"Latitude\": 32.6167068481445}, {\"ID\": 8800, \"Name\": \"Savannah\", \"Mobility\": 0.0409670919, \"State\": \"GA\", \"Population\": 434615, \"Urban\": 1, \"Black\": 0.325, \"Seg_racial\": 0.243, \"Seg_income\": 0.099, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.103, \"Commute\": 0.297, \"Income\": 39851, \"Gini\": 0.553, \"Share01\": 14.606, \"Gini_99\": 0.407, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.81, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -9.082, \"HS_dropout\": 0.038, \"Colleges\": 0.016, \"Tuition\": 6982.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.187, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.029, \"Foreign_born\": 0.044, \"Social_capital\": -1.703, \"Religious\": 0.407, \"Violent_crime\": 0.002, \"Single_mothers\": 0.269, \"Divorced\": 0.101, \"Married\": 0.542, \"Longitude\": -81.0676116943359, \"Latitude\": 32.2408256530762}, {\"ID\": 8900, \"Name\": \"Macon\", \"Mobility\": 0.0326111726, \"State\": \"GA\", \"Population\": 386870, \"Urban\": 1, \"Black\": 0.36, \"Seg_racial\": 0.193, \"Seg_income\": 0.091, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.085, \"Commute\": 0.294, \"Income\": 33836, \"Gini\": 0.501, \"Share01\": 12.343, \"Gini_99\": 0.377, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2500.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.704, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -6.074, \"HS_dropout\": 0.048, \"Colleges\": 0.021, \"Tuition\": 4954.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.132, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.023, \"Social_capital\": -1.07, \"Religious\": 0.443, \"Violent_crime\": 0.001, \"Single_mothers\": 0.302, \"Divorced\": 0.109, \"Married\": 0.526, \"Longitude\": -83.9226989746094, \"Latitude\": 32.5219421386719}, {\"ID\": 9001, \"Name\": \"Vidalia\", \"Mobility\": 0.0480652973, \"State\": \"GA\", \"Population\": 108438, \"Urban\": 0, \"Black\": 0.26, \"Seg_racial\": 0.08, \"Seg_income\": 0.01, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.391, \"Income\": 26104, \"Gini\": 0.483, \"Share01\": 9.534, \"Gini_99\": 0.388, \"Middle_class\": 0.429, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1837.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.256, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -1.667, \"HS_dropout\": 0.027, \"Colleges\": 0.018, \"Tuition\": 3684.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.194, \"Chinese_imports\": 1.159, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.033, \"Social_capital\": -1.649, \"Religious\": 0.588, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.104, \"Married\": 0.557, \"Longitude\": -82.6852188110352, \"Latitude\": 32.0088043212891}, {\"ID\": 9002, \"Name\": \"Milledgeville\", \"Mobility\": 0.0322265625, \"State\": \"GA\", \"Population\": 83808, \"Urban\": 0, \"Black\": 0.44, \"Seg_racial\": 0.122, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.032, \"Commute\": 0.36, \"Income\": 27862, \"Gini\": 0.442, \"Share01\": 7.55, \"Gini_99\": 0.367, \"Middle_class\": 0.448, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2059.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.526, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -6.814, \"HS_dropout\": 0.013, \"Colleges\": 0.036, \"Tuition\": 3161.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.523, \"Manufacturing\": 0.181, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": -1.909, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.333, \"Divorced\": 0.104, \"Married\": 0.505, \"Longitude\": -83.0629272460938, \"Latitude\": 33.156005859375}, {\"ID\": 9003, \"Name\": \"Dublin\", \"Mobility\": 0.0320269689, \"State\": \"GA\", \"Population\": 74610, \"Urban\": 0, \"Black\": 0.399, \"Seg_racial\": 0.112, \"Seg_income\": 0.04, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.038, \"Commute\": 0.343, \"Income\": 29575, \"Gini\": 0.529, \"Share01\": 13.755, \"Gini_99\": 0.392, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1911.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.142, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.796, \"HS_dropout\": 0.031, \"Colleges\": 0.027, \"Tuition\": 16895.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.199, \"Chinese_imports\": 0.855, \"Teenage_labor\": 0.002, \"Migration_in\": 0.012, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": -1.15, \"Religious\": 0.501, \"Violent_crime\": 0.004, \"Single_mothers\": 0.318, \"Divorced\": 0.105, \"Married\": 0.517, \"Longitude\": -82.7807083129883, \"Latitude\": 32.7125244140625}, {\"ID\": 9100, \"Name\": \"Atlanta\", \"Mobility\": 0.0453297347, \"State\": \"GA\", \"Population\": 3798017, \"Urban\": 1, \"Black\": 0.297, \"Seg_racial\": 0.317, \"Seg_income\": 0.113, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.125, \"Commute\": 0.178, \"Income\": 44162, \"Gini\": 0.568, \"Share01\": 17.257, \"Gini_99\": 0.395, \"Middle_class\": 0.439, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2885.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.352, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.863, \"HS_dropout\": 0.026, \"Colleges\": 0.01, \"Tuition\": 6876.0, \"Graduation\": -0.046, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.61, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -1.208, \"Religious\": 0.443, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.102, \"Married\": 0.534, \"Longitude\": -84.2125625610352, \"Latitude\": 33.8539428710938}, {\"ID\": 9200, \"Name\": \"Griffin\", \"Mobility\": 0.0402813293, \"State\": \"GA\", \"Population\": 135136, \"Urban\": 1, \"Black\": 0.283, \"Seg_racial\": 0.132, \"Seg_income\": 0.039, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.039, \"Commute\": 0.315, \"Income\": 30888, \"Gini\": 0.445, \"Share01\": 10.339, \"Gini_99\": 0.341, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1695.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.83, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -6.834, \"HS_dropout\": 0.089, \"Colleges\": 0.022, \"Tuition\": 1148.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.003, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -1.46, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.267, \"Divorced\": 0.115, \"Married\": 0.531, \"Longitude\": -84.2098388671875, \"Latitude\": 33.1149978637695}, {\"ID\": 9301, \"Name\": \"Winder\", \"Mobility\": 0.0379506648, \"State\": \"GA\", \"Population\": 212223, \"Urban\": 1, \"Black\": 0.18, \"Seg_racial\": 0.166, \"Seg_income\": 0.089, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.074, \"Commute\": 0.323, \"Income\": 30685, \"Gini\": 0.505, \"Share01\": 11.936, \"Gini_99\": 0.385, \"Middle_class\": 0.473, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2155.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.547, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -6.911, \"HS_dropout\": 0.048, \"Colleges\": 0.014, \"Tuition\": 2574.0, \"Graduation\": 0.352, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.646, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.056, \"Social_capital\": -1.44, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.088, \"Married\": 0.5, \"Longitude\": -83.3426895141602, \"Latitude\": 33.9783325195312}, {\"ID\": 9302, \"Name\": \"Toccoa\", \"Mobility\": 0.0416666679, \"State\": \"GA\", \"Population\": 89228, \"Urban\": 0, \"Black\": 0.174, \"Seg_racial\": 0.088, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.011, \"Commute\": 0.407, \"Income\": 29484, \"Gini\": 0.41, \"Share01\": 8.902, \"Gini_99\": 0.321, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1785.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.148, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.165, \"HS_dropout\": 0.029, \"Colleges\": 0.022, \"Tuition\": 8355.0, \"Graduation\": 0.205, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.297, \"Chinese_imports\": 1.861, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.015, \"Social_capital\": -1.002, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -83.0066680908203, \"Latitude\": 34.2676086425781}, {\"ID\": 9400, \"Name\": \"Gainesville\", \"Mobility\": 0.069715701, \"State\": \"GA\", \"Population\": 272150, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.2, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.269, \"Income\": 33365, \"Gini\": 0.468, \"Share01\": 12.858, \"Gini_99\": 0.34, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.735, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -7.318, \"HS_dropout\": 0.022, \"Colleges\": 0.026, \"Tuition\": 3575.0, \"Graduation\": -0.095, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.234, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.101, \"Social_capital\": -1.545, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.096, \"Married\": 0.616, \"Longitude\": -83.6861419677734, \"Latitude\": 34.4037170410156}, {\"ID\": 9500, \"Name\": \"Talladega\", \"Mobility\": 0.0449032262, \"State\": \"AL\", \"Population\": 148252, \"Urban\": 0, \"Black\": 0.284, \"Seg_racial\": 0.116, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.016, \"Commute\": 0.339, \"Income\": 29631, \"Gini\": 0.422, \"Share01\": 7.491, \"Gini_99\": 0.347, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1781.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.659, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -14.074, \"HS_dropout\": -0.004, \"Colleges\": 0.013, \"Tuition\": 2766.0, \"Graduation\": -0.075, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.298, \"Chinese_imports\": 0.717, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.019, \"Foreign_born\": 0.006, \"Social_capital\": -1.444, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.26, \"Divorced\": 0.105, \"Married\": 0.575, \"Longitude\": -86.1251373291016, \"Latitude\": 33.1638946533203}, {\"ID\": 9600, \"Name\": \"LaGrange\", \"Mobility\": 0.0523430221, \"State\": \"GA\", \"Population\": 457299, \"Urban\": 1, \"Black\": 0.2, \"Seg_racial\": 0.154, \"Seg_income\": 0.062, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.069, \"Commute\": 0.294, \"Income\": 32720, \"Gini\": 0.458, \"Share01\": 11.202, \"Gini_99\": 0.346, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.261, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -7.685, \"HS_dropout\": 0.012, \"Colleges\": 0.015, \"Tuition\": 2245.0, \"Graduation\": -0.051, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.003, \"Migration_in\": 0.027, \"Migration_out\": 0.019, \"Foreign_born\": 0.021, \"Social_capital\": -1.461, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.107, \"Married\": 0.57, \"Longitude\": -85.4132308959961, \"Latitude\": 33.5284309387207}, {\"ID\": 9701, \"Name\": \"Columbus\", \"Mobility\": 0.0349603333, \"State\": \"GA\", \"Population\": 303656, \"Urban\": 1, \"Black\": 0.406, \"Seg_racial\": 0.235, \"Seg_income\": 0.108, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.102, \"Commute\": 0.325, \"Income\": 31245, \"Gini\": 0.499, \"Share01\": 12.764, \"Gini_99\": 0.371, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.339, \"HS_dropout\": 0.025, \"Colleges\": 0.016, \"Tuition\": 1618.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.003, \"Migration_in\": 0.028, \"Migration_out\": 0.033, \"Foreign_born\": 0.037, \"Social_capital\": -2.078, \"Religious\": 0.45, \"Violent_crime\": 0.004, \"Single_mothers\": 0.312, \"Divorced\": 0.114, \"Married\": 0.494, \"Longitude\": -84.7794570922852, \"Latitude\": 32.6434173583984}, {\"ID\": 9702, \"Name\": \"Americus\", \"Mobility\": 0.0344074294, \"State\": \"GA\", \"Population\": 65826, \"Urban\": 1, \"Black\": 0.493, \"Seg_racial\": 0.074, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.009, \"Commute\": 0.409, \"Income\": 27083, \"Gini\": 0.519, \"Share01\": 13.18, \"Gini_99\": 0.387, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1976.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.941, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -10.217, \"HS_dropout\": 0.073, \"Colleges\": 0.03, \"Tuition\": 1465.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.219, \"Chinese_imports\": 3.407, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.023, \"Social_capital\": -1.582, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.36, \"Divorced\": 0.092, \"Married\": 0.475, \"Longitude\": -84.4287796020508, \"Latitude\": 32.257884979248}, {\"ID\": 9800, \"Name\": \"Auburn\", \"Mobility\": 0.0342648029, \"State\": \"AL\", \"Population\": 150911, \"Urban\": 1, \"Black\": 0.363, \"Seg_racial\": 0.277, \"Seg_income\": 0.105, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.087, \"Commute\": 0.38, \"Income\": 27283, \"Gini\": 0.526, \"Share01\": 12.003, \"Gini_99\": 0.406, \"Middle_class\": 0.446, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.021, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -14.15, \"HS_dropout\": -0.019, \"Colleges\": 0.02, \"Tuition\": 3970.0, \"Graduation\": 0.268, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.157, \"Chinese_imports\": 2.686, \"Teenage_labor\": 0.003, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.025, \"Social_capital\": -2.13, \"Religious\": 0.311, \"Violent_crime\": 0.002, \"Single_mothers\": 0.304, \"Divorced\": 0.083, \"Married\": 0.445, \"Longitude\": -85.6117477416992, \"Latitude\": 32.3696784973145}, {\"ID\": 9900, \"Name\": \"Tallahassee\", \"Mobility\": 0.0470258147, \"State\": \"FL\", \"Population\": 426634, \"Urban\": 1, \"Black\": 0.285, \"Seg_racial\": 0.162, \"Seg_income\": 0.122, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.133, \"Commute\": 0.275, \"Income\": 30838, \"Gini\": 0.5, \"Share01\": 11.16, \"Gini_99\": 0.388, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3204.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.107, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 2.693, \"HS_dropout\": -0.008, \"Colleges\": 0.012, \"Tuition\": 1485.0, \"Graduation\": 0.193, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.96, \"Religious\": 0.373, \"Violent_crime\": null, \"Single_mothers\": 0.283, \"Divorced\": 0.108, \"Married\": 0.479, \"Longitude\": -84.7893295288086, \"Latitude\": 30.4377670288086}, {\"ID\": 10000, \"Name\": \"Panama City\", \"Mobility\": 0.0581574887, \"State\": \"FL\", \"Population\": 172606, \"Urban\": 1, \"Black\": 0.113, \"Seg_racial\": 0.132, \"Seg_income\": 0.046, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.047, \"Commute\": 0.358, \"Income\": 32715, \"Gini\": 0.467, \"Share01\": 12.045, \"Gini_99\": 0.346, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3107.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.882, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.031, \"HS_dropout\": -0.024, \"Colleges\": 0.012, \"Tuition\": 1942.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.143, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": -2.044, \"Religious\": 0.411, \"Violent_crime\": null, \"Single_mothers\": 0.243, \"Divorced\": 0.133, \"Married\": 0.564, \"Longitude\": -85.3004837036133, \"Latitude\": 30.0905723571777}, {\"ID\": 10101, \"Name\": \"Bainbridge\", \"Mobility\": 0.0393333323, \"State\": \"GA\", \"Population\": 43992, \"Urban\": 0, \"Black\": 0.37, \"Seg_racial\": 0.082, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.39, \"Income\": 29034, \"Gini\": 0.516, \"Share01\": 11.659, \"Gini_99\": 0.399, \"Middle_class\": 0.395, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.082, \"Student_teacher_ratio\": 16.5, \"Test_scores\": null, \"HS_dropout\": 0.04, \"Colleges\": 0.023, \"Tuition\": 1280.0, \"Graduation\": -0.196, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.21, \"Chinese_imports\": 1.665, \"Teenage_labor\": 0.003, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.018, \"Social_capital\": -2.109, \"Religious\": 0.481, \"Violent_crime\": 0.003, \"Single_mothers\": 0.311, \"Divorced\": 0.109, \"Married\": 0.522, \"Longitude\": -84.7773666381836, \"Latitude\": 31.0324802398682}, {\"ID\": 10102, \"Name\": \"Thomasville\", \"Mobility\": 0.0328861959, \"State\": \"GA\", \"Population\": 66396, \"Urban\": 0, \"Black\": 0.355, \"Seg_racial\": 0.098, \"Seg_income\": 0.02, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.389, \"Income\": 29591, \"Gini\": 0.571, \"Share01\": 13.908, \"Gini_99\": 0.432, \"Middle_class\": 0.408, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2160.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.375, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -5.13, \"HS_dropout\": 0.018, \"Colleges\": 0.03, \"Tuition\": 3106.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.18, \"Chinese_imports\": 0.951, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -1.75, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.111, \"Married\": 0.528, \"Longitude\": -84.0003814697266, \"Latitude\": 30.9123077392578}, {\"ID\": 10200, \"Name\": \"Albany\", \"Mobility\": 0.0276326872, \"State\": \"GA\", \"Population\": 181765, \"Urban\": 1, \"Black\": 0.484, \"Seg_racial\": 0.242, \"Seg_income\": 0.091, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.098, \"Commute\": 0.35, \"Income\": 30170, \"Gini\": 0.536, \"Share01\": 10.708, \"Gini_99\": 0.429, \"Middle_class\": 0.403, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2728.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.742, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -4.581, \"HS_dropout\": 0.046, \"Colleges\": 0.017, \"Tuition\": 1469.0, \"Graduation\": -0.057, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.716, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": -1.224, \"Religious\": 0.398, \"Violent_crime\": 0.004, \"Single_mothers\": 0.36, \"Divorced\": 0.101, \"Married\": 0.494, \"Longitude\": -84.1598281860352, \"Latitude\": 31.53928565979}, {\"ID\": 10301, \"Name\": \"Eufaula\", \"Mobility\": 0.022954924, \"State\": \"GA\", \"Population\": 61458, \"Urban\": 0, \"Black\": 0.502, \"Seg_racial\": 0.041, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.017, \"Commute\": 0.388, \"Income\": 25284, \"Gini\": 0.524, \"Share01\": 11.334, \"Gini_99\": 0.411, \"Middle_class\": 0.354, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.587, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -17.626, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 7250.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.256, \"Chinese_imports\": 2.428, \"Teenage_labor\": 0.002, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.013, \"Social_capital\": -1.448, \"Religious\": 0.416, \"Violent_crime\": 0.002, \"Single_mothers\": 0.369, \"Divorced\": 0.092, \"Married\": 0.474, \"Longitude\": -84.9840850830078, \"Latitude\": 31.6915855407715}, {\"ID\": 10302, \"Name\": \"Dothan\", \"Mobility\": 0.0582822077, \"State\": \"AL\", \"Population\": 223605, \"Urban\": 1, \"Black\": 0.213, \"Seg_racial\": 0.142, \"Seg_income\": 0.05, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.055, \"Commute\": 0.361, \"Income\": 32268, \"Gini\": 0.498, \"Share01\": 12.707, \"Gini_99\": 0.37, \"Middle_class\": 0.485, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.822, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -11.823, \"HS_dropout\": 0.006, \"Colleges\": 0.013, \"Tuition\": 1580.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.744, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": -1.4, \"Religious\": 0.632, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.107, \"Married\": 0.589, \"Longitude\": -85.4327774047852, \"Latitude\": 31.4178009033203}, {\"ID\": 10400, \"Name\": \"Meridian\", \"Mobility\": 0.0467728749, \"State\": \"MS\", \"Population\": 157091, \"Urban\": 0, \"Black\": 0.344, \"Seg_racial\": 0.216, \"Seg_income\": 0.053, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.042, \"Commute\": 0.333, \"Income\": 29016, \"Gini\": 0.477, \"Share01\": 9.726, \"Gini_99\": 0.38, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1496.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.355, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -9.971, \"HS_dropout\": 0.014, \"Colleges\": 0.019, \"Tuition\": 973.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.198, \"Chinese_imports\": 10.031, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.006, \"Social_capital\": -0.386, \"Religious\": 0.642, \"Violent_crime\": 0.001, \"Single_mothers\": 0.307, \"Divorced\": 0.101, \"Married\": 0.52, \"Longitude\": -88.8334197998047, \"Latitude\": 32.5009651184082}, {\"ID\": 10501, \"Name\": \"Columbus\", \"Mobility\": 0.0360278524, \"State\": \"MS\", \"Population\": 95083, \"Urban\": 1, \"Black\": 0.453, \"Seg_racial\": 0.134, \"Seg_income\": 0.046, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.362, \"Income\": 29115, \"Gini\": 0.536, \"Share01\": 12.123, \"Gini_99\": 0.415, \"Middle_class\": 0.416, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2065.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.113, \"Student_teacher_ratio\": 19.3, \"Test_scores\": -13.643, \"HS_dropout\": 0.0, \"Colleges\": 0.011, \"Tuition\": 2656.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.576, \"Manufacturing\": 0.248, \"Chinese_imports\": 1.606, \"Teenage_labor\": 0.002, \"Migration_in\": 0.013, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": -0.966, \"Religious\": 0.524, \"Violent_crime\": 0.002, \"Single_mothers\": 0.332, \"Divorced\": 0.085, \"Married\": 0.524, \"Longitude\": -88.3316268920898, \"Latitude\": 33.3776626586914}, {\"ID\": 10502, \"Name\": \"Starkville\", \"Mobility\": 0.0399361029, \"State\": \"MS\", \"Population\": 105093, \"Urban\": 0, \"Black\": 0.401, \"Seg_racial\": 0.077, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.012, \"Commute\": 0.437, \"Income\": 26131, \"Gini\": 0.486, \"Share01\": 9.504, \"Gini_99\": 0.391, \"Middle_class\": 0.428, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.802, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -14.345, \"HS_dropout\": 0.007, \"Colleges\": 0.029, \"Tuition\": 3215.0, \"Graduation\": 0.286, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.232, \"Chinese_imports\": 4.571, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.017, \"Social_capital\": -0.427, \"Religious\": 0.545, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.079, \"Married\": 0.479, \"Longitude\": -88.9440841674805, \"Latitude\": 33.4253387451172}, {\"ID\": 10600, \"Name\": \"Jasper\", \"Mobility\": 0.0865883604, \"State\": \"AL\", \"Population\": 161169, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.123, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.32, \"Income\": 28445, \"Gini\": 0.419, \"Share01\": 9.24, \"Gini_99\": 0.326, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1312.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.647, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -5.22, \"HS_dropout\": -0.006, \"Colleges\": 0.006, \"Tuition\": 1560.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.149, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": -0.797, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.107, \"Married\": 0.615, \"Longitude\": -87.3326416015625, \"Latitude\": 33.7509765625}, {\"ID\": 10700, \"Name\": \"Birmingham\", \"Mobility\": 0.0504318327, \"State\": \"AL\", \"Population\": 1038182, \"Urban\": 1, \"Black\": 0.271, \"Seg_racial\": 0.42, \"Seg_income\": 0.108, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.118, \"Commute\": 0.22, \"Income\": 38196, \"Gini\": 0.563, \"Share01\": 16.063, \"Gini_99\": 0.403, \"Middle_class\": 0.453, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1864.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.139, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -12.133, \"HS_dropout\": -0.003, \"Colleges\": 0.013, \"Tuition\": 5277.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.378, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.022, \"Social_capital\": -0.392, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.108, \"Married\": 0.553, \"Longitude\": -86.7145309448242, \"Latitude\": 33.4854469299316}, {\"ID\": 10801, \"Name\": \"Tuscaloosa\", \"Mobility\": 0.0403225794, \"State\": \"AL\", \"Population\": 261112, \"Urban\": 1, \"Black\": 0.383, \"Seg_racial\": 0.272, \"Seg_income\": 0.088, \"Seg_poverty\": 0.087, \"Seg_affluence\": 0.082, \"Commute\": 0.343, \"Income\": 30158, \"Gini\": 0.56, \"Share01\": 14.755, \"Gini_99\": 0.412, \"Middle_class\": 0.413, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1979.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.862, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -19.805, \"HS_dropout\": 0.0, \"Colleges\": 0.031, \"Tuition\": 3229.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.177, \"Chinese_imports\": 1.195, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.015, \"Social_capital\": -1.124, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.311, \"Divorced\": 0.092, \"Married\": 0.486, \"Longitude\": -87.3525161743164, \"Latitude\": 32.8385696411133}, {\"ID\": 10802, \"Name\": \"Demopolis\", \"Mobility\": 0.042383045, \"State\": \"AL\", \"Population\": 63233, \"Urban\": 0, \"Black\": 0.589, \"Seg_racial\": 0.113, \"Seg_income\": 0.026, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.035, \"Commute\": 0.337, \"Income\": 27364, \"Gini\": 0.522, \"Share01\": 9.592, \"Gini_99\": 0.426, \"Middle_class\": 0.339, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.282, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -20.059, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 2504.0, \"Graduation\": 0.028, \"Labor_force_participation\": 0.497, \"Manufacturing\": 0.247, \"Chinese_imports\": 0.854, \"Teenage_labor\": 0.002, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.006, \"Social_capital\": -0.731, \"Religious\": 0.406, \"Violent_crime\": 0.002, \"Single_mothers\": 0.372, \"Divorced\": 0.084, \"Married\": 0.489, \"Longitude\": -87.9114608764648, \"Latitude\": 32.5304336547852}, {\"ID\": 10900, \"Name\": \"Pensacola\", \"Mobility\": 0.0612063408, \"State\": \"FL\", \"Population\": 623252, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.138, \"Seg_income\": 0.061, \"Seg_poverty\": 0.057, \"Seg_affluence\": 0.067, \"Commute\": 0.309, \"Income\": 34256, \"Gini\": 0.471, \"Share01\": 13.671, \"Gini_99\": 0.334, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1995.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.409, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 5.39, \"HS_dropout\": -0.01, \"Colleges\": 0.006, \"Tuition\": 3254.0, \"Graduation\": 0.025, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.248, \"Teenage_labor\": 0.004, \"Migration_in\": 0.035, \"Migration_out\": 0.034, \"Foreign_born\": 0.04, \"Social_capital\": -1.216, \"Religious\": 0.444, \"Violent_crime\": null, \"Single_mothers\": 0.241, \"Divorced\": 0.121, \"Married\": 0.555, \"Longitude\": -86.7144317626953, \"Latitude\": 30.5462055206299}, {\"ID\": 11001, \"Name\": \"Mobile\", \"Mobility\": 0.0513980016, \"State\": \"AL\", \"Population\": 599405, \"Urban\": 1, \"Black\": 0.289, \"Seg_racial\": 0.317, \"Seg_income\": 0.077, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.071, \"Commute\": 0.267, \"Income\": 33321, \"Gini\": 0.531, \"Share01\": 13.029, \"Gini_99\": 0.401, \"Middle_class\": 0.459, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1805.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.504, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -11.938, \"HS_dropout\": 0.0, \"Colleges\": 0.012, \"Tuition\": 4673.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.773, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.021, \"Social_capital\": -0.984, \"Religious\": 0.515, \"Violent_crime\": 0.002, \"Single_mothers\": 0.273, \"Divorced\": 0.107, \"Married\": 0.55, \"Longitude\": -87.666259765625, \"Latitude\": 31.4869632720947}, {\"ID\": 11002, \"Name\": \"Atmore\", \"Mobility\": 0.0477876104, \"State\": \"AL\", \"Population\": 76853, \"Urban\": 0, \"Black\": 0.359, \"Seg_racial\": 0.134, \"Seg_income\": 0.022, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.021, \"Commute\": 0.39, \"Income\": 27015, \"Gini\": 0.493, \"Share01\": 11.466, \"Gini_99\": 0.378, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1419.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.63, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -16.944, \"HS_dropout\": 0.004, \"Colleges\": 0.039, \"Tuition\": 1493.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.254, \"Chinese_imports\": 0.768, \"Teenage_labor\": 0.002, \"Migration_in\": 0.011, \"Migration_out\": 0.017, \"Foreign_born\": 0.005, \"Social_capital\": -1.186, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.277, \"Divorced\": 0.111, \"Married\": 0.536, \"Longitude\": -87.3446884155273, \"Latitude\": 31.4372310638428}, {\"ID\": 11101, \"Name\": \"Montgomery\", \"Mobility\": 0.0330373719, \"State\": \"AL\", \"Population\": 367927, \"Urban\": 1, \"Black\": 0.401, \"Seg_racial\": 0.265, \"Seg_income\": 0.102, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.103, \"Commute\": 0.278, \"Income\": 33533, \"Gini\": 0.554, \"Share01\": 13.411, \"Gini_99\": 0.42, \"Middle_class\": 0.436, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1663.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.424, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -17.887, \"HS_dropout\": 0.005, \"Colleges\": 0.024, \"Tuition\": 3753.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.558, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": -0.713, \"Religious\": 0.497, \"Violent_crime\": 0.002, \"Single_mothers\": 0.301, \"Divorced\": 0.113, \"Married\": 0.517, \"Longitude\": -86.4008636474609, \"Latitude\": 32.2923164367676}, {\"ID\": 11102, \"Name\": \"Troy\", \"Mobility\": 0.0679886714, \"State\": \"AL\", \"Population\": 80901, \"Urban\": 0, \"Black\": 0.232, \"Seg_racial\": 0.129, \"Seg_income\": 0.016, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.409, \"Income\": 28445, \"Gini\": 0.527, \"Share01\": 14.481, \"Gini_99\": 0.382, \"Middle_class\": 0.432, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 2188.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.635, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -10.041, \"HS_dropout\": 0.006, \"Colleges\": 0.037, \"Tuition\": 2423.0, \"Graduation\": 0.016, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.171, \"Chinese_imports\": 0.84, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.01, \"Social_capital\": -1.275, \"Religious\": 0.606, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.098, \"Married\": 0.55, \"Longitude\": -86.189453125, \"Latitude\": 31.7107219696045}, {\"ID\": 11201, \"Name\": \"Bluefield\", \"Mobility\": 0.1107491851, \"State\": \"VA\", \"Population\": 199334, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.132, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.32, \"Income\": 27294, \"Gini\": 0.443, \"Share01\": 10.178, \"Gini_99\": 0.341, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1709.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.618, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -2.029, \"HS_dropout\": -0.015, \"Colleges\": 0.025, \"Tuition\": 1494.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.509, \"Manufacturing\": 0.14, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.007, \"Social_capital\": -0.434, \"Religious\": 0.39, \"Violent_crime\": 0.003, \"Single_mothers\": 0.182, \"Divorced\": 0.091, \"Married\": 0.606, \"Longitude\": -81.580436706543, \"Latitude\": 37.1378021240234}, {\"ID\": 11202, \"Name\": \"Welch\", \"Mobility\": 0.1599147171, \"State\": \"WV\", \"Population\": 53037, \"Urban\": 0, \"Black\": 0.064, \"Seg_racial\": 0.232, \"Seg_income\": 0.019, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.03, \"Commute\": 0.263, \"Income\": 22244, \"Gini\": 0.4, \"Share01\": 5.447, \"Gini_99\": 0.345, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1211.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -8.757, \"HS_dropout\": -0.006, \"Colleges\": 0.038, \"Tuition\": 11340.0, \"Graduation\": null, \"Labor_force_participation\": 0.364, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.009, \"Teenage_labor\": 0.002, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.003, \"Social_capital\": -1.495, \"Religious\": 0.277, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.087, \"Married\": 0.593, \"Longitude\": -81.6393432617188, \"Latitude\": 37.4899940490723}, {\"ID\": 11203, \"Name\": \"Big Stone Gap\", \"Mobility\": 0.1036082506, \"State\": \"VA\", \"Population\": 84011, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.317, \"Income\": 25086, \"Gini\": 0.441, \"Share01\": 9.891, \"Gini_99\": 0.342, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1691.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.79, \"Student_teacher_ratio\": null, \"Test_scores\": 7.398, \"HS_dropout\": -0.019, \"Colleges\": 0.024, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.477, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -0.662, \"Religious\": 0.417, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.097, \"Married\": 0.585, \"Longitude\": -82.72314453125, \"Latitude\": 36.9120674133301}, {\"ID\": 11301, \"Name\": \"Fredericksburg\", \"Mobility\": 0.0945812836, \"State\": \"VA\", \"Population\": 241044, \"Urban\": 1, \"Black\": 0.152, \"Seg_racial\": 0.051, \"Seg_income\": 0.053, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.044, \"Commute\": 0.205, \"Income\": 41266, \"Gini\": 0.31, \"Share01\": 7.6, \"Gini_99\": 0.234, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.539, \"Student_teacher_ratio\": null, \"Test_scores\": -2.82, \"HS_dropout\": -0.012, \"Colleges\": 0.008, \"Tuition\": 1660.0, \"Graduation\": 0.31, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.005, \"Migration_in\": 0.063, \"Migration_out\": 0.035, \"Foreign_born\": 0.035, \"Social_capital\": -1.145, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.158, \"Divorced\": 0.085, \"Married\": 0.609, \"Longitude\": -77.4250640869141, \"Latitude\": 38.0942306518555}, {\"ID\": 11302, \"Name\": \"Baltimore\", \"Mobility\": 0.064007394, \"State\": \"MD\", \"Population\": 2512431, \"Urban\": 1, \"Black\": 0.275, \"Seg_racial\": 0.356, \"Seg_income\": 0.13, \"Seg_poverty\": 0.127, \"Seg_affluence\": 0.132, \"Commute\": 0.199, \"Income\": 44194, \"Gini\": 0.489, \"Share01\": 15.564, \"Gini_99\": 0.334, \"Middle_class\": 0.456, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2088.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.872, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -2.44, \"HS_dropout\": 0.017, \"Colleges\": 0.012, \"Tuition\": 7780.0, \"Graduation\": -0.035, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.647, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": -0.081, \"Religious\": 0.442, \"Violent_crime\": 0.003, \"Single_mothers\": 0.262, \"Divorced\": 0.092, \"Married\": 0.506, \"Longitude\": -76.7990646362305, \"Latitude\": 39.2704734802246}, {\"ID\": 11303, \"Name\": \"Colonial Beach\", \"Mobility\": 0.0654515326, \"State\": \"VA\", \"Population\": 59342, \"Urban\": 0, \"Black\": 0.312, \"Seg_racial\": 0.046, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.005, \"Commute\": 0.31, \"Income\": 39561, \"Gini\": 0.44, \"Share01\": 6.938, \"Gini_99\": 0.37, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1583.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.996, \"Student_teacher_ratio\": null, \"Test_scores\": 1.402, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.97, \"Religious\": 0.437, \"Violent_crime\": 0.001, \"Single_mothers\": 0.251, \"Divorced\": 0.074, \"Married\": 0.6, \"Longitude\": -76.796630859375, \"Latitude\": 37.9297065734863}, {\"ID\": 11304, \"Name\": \"Washington DC\", \"Mobility\": 0.1098117381, \"State\": \"DC\", \"Population\": 4632415, \"Urban\": 1, \"Black\": 0.267, \"Seg_racial\": 0.271, \"Seg_income\": 0.127, \"Seg_poverty\": 0.115, \"Seg_affluence\": 0.136, \"Commute\": 0.16, \"Income\": 53706, \"Gini\": 0.456, \"Share01\": 16.054, \"Gini_99\": 0.295, \"Middle_class\": 0.407, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3566.0, \"Progressivity\": 2.5, \"EITC\": 2.381, \"School_spending\": 7.694, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -6.882, \"HS_dropout\": -0.002, \"Colleges\": 0.009, \"Tuition\": 10317.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.714, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.209, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.03, \"Foreign_born\": 0.177, \"Social_capital\": -0.748, \"Religious\": 0.461, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.522, \"Longitude\": -77.4324722290039, \"Latitude\": 38.9264755249023}, {\"ID\": 11401, \"Name\": \"Marquette\", \"Mobility\": 0.0965651348, \"State\": \"MI\", \"Population\": 121919, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.088, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.033, \"Commute\": 0.501, \"Income\": 32535, \"Gini\": 0.337, \"Share01\": 8.571, \"Gini_99\": 0.252, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2236.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.961, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 8.53, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2850.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.238, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 0.697, \"Religious\": 0.633, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.093, \"Married\": 0.561, \"Longitude\": -86.9097442626953, \"Latitude\": 46.1725540161133}, {\"ID\": 11402, \"Name\": \"Marinette\", \"Mobility\": 0.1027253643, \"State\": \"MI\", \"Population\": 114408, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.051, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.017, \"Commute\": 0.525, \"Income\": 34016, \"Gini\": 0.305, \"Share01\": 6.115, \"Gini_99\": 0.244, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2299.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 7.498, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.217, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.255, \"Chinese_imports\": 1.192, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.065, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.18, \"Divorced\": 0.098, \"Married\": 0.592, \"Longitude\": -88.1482696533203, \"Latitude\": 45.6683578491211}, {\"ID\": 11403, \"Name\": \"Sault Ste. Marie\", \"Mobility\": 0.0991831943, \"State\": \"MI\", \"Population\": 57510, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.116, \"Seg_income\": 0.015, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.01, \"Commute\": 0.539, \"Income\": 26896, \"Gini\": 0.381, \"Share01\": 8.244, \"Gini_99\": 0.298, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.246, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -1.094, \"HS_dropout\": null, \"Colleges\": 0.035, \"Tuition\": 3725.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.052, \"Chinese_imports\": 0.251, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.024, \"Social_capital\": -0.01, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.534, \"Longitude\": -84.5001525878906, \"Latitude\": 46.1847114562988}, {\"ID\": 11500, \"Name\": \"Jackson\", \"Mobility\": 0.0630887821, \"State\": \"MI\", \"Population\": 303839, \"Urban\": 1, \"Black\": 0.048, \"Seg_racial\": 0.21, \"Seg_income\": 0.051, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.052, \"Commute\": 0.356, \"Income\": 36188, \"Gini\": 0.35, \"Share01\": 8.529, \"Gini_99\": 0.265, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1937.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.269, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 9197.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.271, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.016, \"Foreign_born\": 0.016, \"Social_capital\": -0.014, \"Religious\": 0.35, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -84.3774566650391, \"Latitude\": 41.9445495605469}, {\"ID\": 11600, \"Name\": \"Detroit\", \"Mobility\": 0.0545927621, \"State\": \"MI\", \"Population\": 5327827, \"Urban\": 1, \"Black\": 0.214, \"Seg_racial\": 0.474, \"Seg_income\": 0.12, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.128, \"Commute\": 0.243, \"Income\": 44745, \"Gini\": 0.443, \"Share01\": 14.548, \"Gini_99\": 0.297, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2629.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.582, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -5.393, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 5169.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.227, \"Chinese_imports\": 0.747, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.013, \"Foreign_born\": 0.071, \"Social_capital\": -0.263, \"Religious\": 0.408, \"Violent_crime\": 0.003, \"Single_mothers\": 0.249, \"Divorced\": 0.105, \"Married\": 0.516, \"Longitude\": -83.2955093383789, \"Latitude\": 42.7676162719727}, {\"ID\": 11700, \"Name\": \"Lansing\", \"Mobility\": 0.0641167387, \"State\": \"MI\", \"Population\": 447728, \"Urban\": 1, \"Black\": 0.079, \"Seg_racial\": 0.164, \"Seg_income\": 0.08, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.079, \"Commute\": 0.356, \"Income\": 37719, \"Gini\": 0.359, \"Share01\": 10.217, \"Gini_99\": 0.257, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.619, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -1.481, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 4725.0, \"Graduation\": 0.185, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.2, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.045, \"Social_capital\": 1.048, \"Religious\": 0.375, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.105, \"Married\": 0.51, \"Longitude\": -84.648681640625, \"Latitude\": 42.6758804321289}, {\"ID\": 11800, \"Name\": \"Mount Pleasant\", \"Mobility\": 0.0646153837, \"State\": \"MI\", \"Population\": 136888, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.106, \"Seg_income\": 0.035, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.03, \"Commute\": 0.467, \"Income\": 27945, \"Gini\": 0.375, \"Share01\": 8.002, \"Gini_99\": 0.295, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1880.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.39, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 2.197, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 4345.0, \"Graduation\": 0.12, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.152, \"Chinese_imports\": 0.636, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.017, \"Social_capital\": -0.164, \"Religious\": 0.282, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.093, \"Married\": 0.5, \"Longitude\": -84.7600479125977, \"Latitude\": 43.562671661377}, {\"ID\": 11900, \"Name\": \"Saginaw\", \"Mobility\": 0.0644080862, \"State\": \"MI\", \"Population\": 540707, \"Urban\": 1, \"Black\": 0.077, \"Seg_racial\": 0.325, \"Seg_income\": 0.056, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.057, \"Commute\": 0.376, \"Income\": 36938, \"Gini\": 0.398, \"Share01\": 8.79, \"Gini_99\": 0.31, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2118.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.193, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -1.907, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 4224.0, \"Graduation\": -0.092, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": 0.544, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -83.6669769287109, \"Latitude\": 43.6854476928711}, {\"ID\": 12001, \"Name\": \"Big Rapids\", \"Mobility\": 0.0743079185, \"State\": \"MI\", \"Population\": 120045, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.119, \"Seg_income\": 0.022, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.019, \"Commute\": 0.407, \"Income\": 30109, \"Gini\": 0.371, \"Share01\": 7.829, \"Gini_99\": 0.293, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.059, \"Student_teacher_ratio\": 19.4, \"Test_scores\": 1.666, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 4440.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.233, \"Chinese_imports\": 1.631, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.015, \"Social_capital\": 0.068, \"Religious\": 0.326, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.105, \"Married\": 0.583, \"Longitude\": -85.3946990966797, \"Latitude\": 44.0386199951172}, {\"ID\": 12002, \"Name\": \"Ludington\", \"Mobility\": 0.0760736167, \"State\": \"MI\", \"Population\": 52801, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.02, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.493, \"Income\": 33400, \"Gini\": 0.371, \"Share01\": 9.758, \"Gini_99\": 0.274, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2207.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.004, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 6.417, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 1974.0, \"Graduation\": -0.225, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.208, \"Chinese_imports\": 1.481, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.014, \"Social_capital\": 1.041, \"Religious\": 0.447, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -86.1842346191406, \"Latitude\": 44.122974395752}, {\"ID\": 12100, \"Name\": \"Kalamazoo\", \"Mobility\": 0.0526231341, \"State\": \"MI\", \"Population\": 509606, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.183, \"Seg_income\": 0.064, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.064, \"Commute\": 0.36, \"Income\": 36931, \"Gini\": 0.412, \"Share01\": 10.894, \"Gini_99\": 0.303, \"Middle_class\": 0.52, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.573, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -2.101, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 5369.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.781, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": 0.292, \"Religious\": 0.325, \"Violent_crime\": 0.002, \"Single_mothers\": 0.232, \"Divorced\": 0.106, \"Married\": 0.543, \"Longitude\": -85.5140533447266, \"Latitude\": 42.3128662109375}, {\"ID\": 12200, \"Name\": \"Grand Rapids\", \"Mobility\": 0.063729167, \"State\": \"MI\", \"Population\": 1286045, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.256, \"Seg_income\": 0.066, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.073, \"Commute\": 0.344, \"Income\": 37483, \"Gini\": 0.381, \"Share01\": 12.659, \"Gini_99\": 0.254, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.234, \"Student_teacher_ratio\": 19.8, \"Test_scores\": 0.369, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 7137.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.27, \"Chinese_imports\": 1.197, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.046, \"Social_capital\": 0.505, \"Religious\": 0.469, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.095, \"Married\": 0.571, \"Longitude\": -85.7264099121094, \"Latitude\": 43.1889839172363}, {\"ID\": 12301, \"Name\": \"Traverse City\", \"Mobility\": 0.0742486715, \"State\": \"MI\", \"Population\": 154452, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.036, \"Seg_income\": 0.034, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.038, \"Commute\": 0.356, \"Income\": 39703, \"Gini\": 0.416, \"Share01\": 13.983, \"Gini_99\": 0.276, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2555.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.314, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 5.284, \"HS_dropout\": null, \"Colleges\": 0.006, \"Tuition\": 2984.0, \"Graduation\": -0.279, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.814, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 0.9, \"Religious\": 0.38, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.105, \"Married\": 0.612, \"Longitude\": -85.5310363769531, \"Latitude\": 44.8549652099609}, {\"ID\": 12302, \"Name\": \"Petoskey\", \"Mobility\": 0.0765550211, \"State\": \"MI\", \"Population\": 83975, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.031, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.033, \"Commute\": 0.428, \"Income\": 37711, \"Gini\": 0.488, \"Share01\": 21.387, \"Gini_99\": 0.274, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2363.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.357, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 6.258, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2190.0, \"Graduation\": -0.305, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.671, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.014, \"Social_capital\": 0.933, \"Religious\": 0.416, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.107, \"Married\": 0.608, \"Longitude\": -84.7933502197266, \"Latitude\": 45.3941383361816}, {\"ID\": 12401, \"Name\": \"Alpena\", \"Mobility\": 0.078644067, \"State\": \"MI\", \"Population\": 84783, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.019, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.472, \"Income\": 34474, \"Gini\": 0.363, \"Share01\": 7.544, \"Gini_99\": 0.287, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2344.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.684, \"Student_teacher_ratio\": 19.2, \"Test_scores\": -1.233, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2460.0, \"Graduation\": -0.053, \"Labor_force_participation\": 0.53, \"Manufacturing\": 0.17, \"Chinese_imports\": 0.695, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 0.715, \"Religious\": 0.572, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.102, \"Married\": 0.605, \"Longitude\": -83.6990737915039, \"Latitude\": 45.0324363708496}, {\"ID\": 12402, \"Name\": \"Grayling charter\", \"Mobility\": 0.0748898685, \"State\": \"MI\", \"Population\": 104421, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.037, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.028, \"Commute\": 0.457, \"Income\": 34360, \"Gini\": 0.433, \"Share01\": 13.319, \"Gini_99\": 0.3, \"Middle_class\": 0.556, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -0.154, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2141.0, \"Graduation\": -0.205, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.14, \"Chinese_imports\": 1.079, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.014, \"Foreign_born\": 0.015, \"Social_capital\": 0.606, \"Religious\": 0.351, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.105, \"Married\": 0.621, \"Longitude\": -84.4363555908203, \"Latitude\": 44.6857032775879}, {\"ID\": 12501, \"Name\": \"Dayton\", \"Mobility\": 0.0488145053, \"State\": \"OH\", \"Population\": 1179009, \"Urban\": 1, \"Black\": 0.116, \"Seg_racial\": 0.355, \"Seg_income\": 0.08, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.084, \"Commute\": 0.341, \"Income\": 39002, \"Gini\": 0.387, \"Share01\": 10.176, \"Gini_99\": 0.286, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2162.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.71, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 6.093, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 8460.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.22, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.021, \"Social_capital\": 0.475, \"Religious\": 0.398, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.112, \"Married\": 0.556, \"Longitude\": -84.1028137207031, \"Latitude\": 40.0221176147461}, {\"ID\": 12502, \"Name\": \"Washington Court House\", \"Mobility\": 0.0533333346, \"State\": \"OH\", \"Population\": 109851, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.066, \"Seg_income\": 0.019, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.017, \"Commute\": 0.345, \"Income\": 32903, \"Gini\": 0.33, \"Share01\": 8.036, \"Gini_99\": 0.25, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1850.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.805, \"Student_teacher_ratio\": 20.5, \"Test_scores\": 7.924, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 8683.0, \"Graduation\": -0.056, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.225, \"Chinese_imports\": 3.351, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.023, \"Foreign_born\": 0.009, \"Social_capital\": 0.21, \"Religious\": 0.318, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.105, \"Married\": 0.597, \"Longitude\": -83.5627670288086, \"Latitude\": 39.2948684692383}, {\"ID\": 12600, \"Name\": \"Wayne\", \"Mobility\": 0.0539811067, \"State\": \"IN\", \"Population\": 104034, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.12, \"Seg_income\": 0.038, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.038, \"Commute\": 0.464, \"Income\": 34115, \"Gini\": 0.389, \"Share01\": 10.525, \"Gini_99\": 0.284, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.067, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.393, \"HS_dropout\": null, \"Colleges\": 0.029, \"Tuition\": 11267.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.282, \"Chinese_imports\": 1.444, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 0.887, \"Religious\": 0.417, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.116, \"Married\": 0.586, \"Longitude\": -85.0427474975586, \"Latitude\": 39.7046165466309}, {\"ID\": 12701, \"Name\": \"Cincinnati\", \"Mobility\": 0.0512119494, \"State\": \"OH\", \"Population\": 1954800, \"Urban\": 1, \"Black\": 0.117, \"Seg_racial\": 0.349, \"Seg_income\": 0.11, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.113, \"Commute\": 0.258, \"Income\": 42063, \"Gini\": 0.452, \"Share01\": 13.814, \"Gini_99\": 0.314, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2174.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.243, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 5.432, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5415.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.173, \"Chinese_imports\": 1.216, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 0.388, \"Religious\": 0.444, \"Violent_crime\": 0.002, \"Single_mothers\": 0.225, \"Divorced\": 0.102, \"Married\": 0.546, \"Longitude\": -84.2685470581055, \"Latitude\": 38.8519401550293}, {\"ID\": 12702, \"Name\": \"Maysville\", \"Mobility\": 0.0528455302, \"State\": \"KY\", \"Population\": 52963, \"Urban\": 1, \"Black\": 0.028, \"Seg_racial\": 0.124, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.026, \"Commute\": 0.322, \"Income\": 27372, \"Gini\": 0.422, \"Share01\": 8.344, \"Gini_99\": 0.338, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1613.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.08, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -3.84, \"HS_dropout\": -0.005, \"Colleges\": 0.019, \"Tuition\": 1150.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.223, \"Chinese_imports\": 11.189, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.162, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.101, \"Married\": 0.603, \"Longitude\": -83.6712799072266, \"Latitude\": 38.4998893737793}, {\"ID\": 12800, \"Name\": \"Washington\", \"Mobility\": 0.1065877154, \"State\": \"IN\", \"Population\": 134026, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.048, \"Seg_income\": 0.039, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.039, \"Commute\": 0.314, \"Income\": 35835, \"Gini\": 0.312, \"Share01\": 8.426, \"Gini_99\": 0.228, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1944.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.15, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.411, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.279, \"Chinese_imports\": 4.476, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.016, \"Foreign_born\": 0.009, \"Social_capital\": 0.36, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.152, \"Divorced\": 0.094, \"Married\": 0.623, \"Longitude\": -85.0641784667969, \"Latitude\": 39.0648803710938}, {\"ID\": 12901, \"Name\": \"Lexington-Fayette\", \"Mobility\": 0.0537449978, \"State\": \"KY\", \"Population\": 525970, \"Urban\": 1, \"Black\": 0.09, \"Seg_racial\": 0.17, \"Seg_income\": 0.082, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.345, \"Income\": 36577, \"Gini\": 0.485, \"Share01\": 13.3, \"Gini_99\": 0.352, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.984, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -3.656, \"HS_dropout\": 0.015, \"Colleges\": 0.019, \"Tuition\": 4441.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.162, \"Chinese_imports\": 2.32, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.037, \"Social_capital\": 0.304, \"Religious\": 0.514, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.111, \"Married\": 0.544, \"Longitude\": -84.5081634521484, \"Latitude\": 38.1320838928223}, {\"ID\": 12902, \"Name\": \"Mount Sterling\", \"Mobility\": 0.0622914359, \"State\": \"KY\", \"Population\": 40195, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.077, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.025, \"Commute\": 0.323, \"Income\": 28067, \"Gini\": 0.458, \"Share01\": 12.55, \"Gini_99\": 0.332, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1230.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.556, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -6.92, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.235, \"Chinese_imports\": 1.4, \"Teenage_labor\": 0.003, \"Migration_in\": 0.018, \"Migration_out\": 0.013, \"Foreign_born\": 0.005, \"Social_capital\": -1.132, \"Religious\": 0.342, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -83.6634368896484, \"Latitude\": 38.0783996582031}, {\"ID\": 12903, \"Name\": \"Danville\", \"Mobility\": 0.0727496892, \"State\": \"KY\", \"Population\": 86667, \"Urban\": 0, \"Black\": 0.051, \"Seg_racial\": 0.09, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.034, \"Commute\": 0.353, \"Income\": 30746, \"Gini\": 0.392, \"Share01\": 7.263, \"Gini_99\": 0.319, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1239.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.847, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.142, \"HS_dropout\": 0.009, \"Colleges\": 0.012, \"Tuition\": 16900.0, \"Graduation\": 0.452, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.243, \"Chinese_imports\": 1.319, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": -0.026, \"Religious\": 0.693, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.106, \"Married\": 0.616, \"Longitude\": -84.7249908447266, \"Latitude\": 37.7040634155273}, {\"ID\": 13000, \"Name\": \"Elizabethtown\", \"Mobility\": 0.081598945, \"State\": \"KY\", \"Population\": 176597, \"Urban\": 1, \"Black\": 0.074, \"Seg_racial\": 0.156, \"Seg_income\": 0.027, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.026, \"Commute\": 0.338, \"Income\": 29945, \"Gini\": 0.351, \"Share01\": 8.532, \"Gini_99\": 0.265, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1517.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.676, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -1.755, \"HS_dropout\": -0.006, \"Colleges\": 0.011, \"Tuition\": 1084.0, \"Graduation\": -0.103, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.2, \"Chinese_imports\": 0.751, \"Teenage_labor\": 0.003, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.029, \"Social_capital\": -1.309, \"Religious\": 0.526, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.107, \"Married\": 0.612, \"Longitude\": -86.0881271362305, \"Latitude\": 37.7544479370117}, {\"ID\": 13101, \"Name\": \"Louisville\", \"Mobility\": 0.051995486, \"State\": \"KY\", \"Population\": 1100767, \"Urban\": 1, \"Black\": 0.132, \"Seg_racial\": 0.311, \"Seg_income\": 0.104, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.11, \"Commute\": 0.261, \"Income\": 39192, \"Gini\": 0.471, \"Share01\": 13.684, \"Gini_99\": 0.334, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1833.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.998, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -6.336, \"HS_dropout\": 0.02, \"Colleges\": 0.014, \"Tuition\": 6141.0, \"Graduation\": -0.045, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.162, \"Chinese_imports\": 0.945, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.027, \"Social_capital\": 0.388, \"Religious\": 0.529, \"Violent_crime\": 0.003, \"Single_mothers\": 0.25, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -85.6781463623047, \"Latitude\": 38.2993583679199}, {\"ID\": 13102, \"Name\": \"Madison\", \"Mobility\": 0.0938271582, \"State\": \"IN\", \"Population\": 49985, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.032, \"Seg_income\": 0.012, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.006, \"Commute\": 0.411, \"Income\": 31205, \"Gini\": 0.355, \"Share01\": 6.725, \"Gini_99\": 0.288, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2190.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.717, \"HS_dropout\": 0.008, \"Colleges\": 0.04, \"Tuition\": 9008.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.272, \"Chinese_imports\": 6.025, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": 0.462, \"Religious\": 0.504, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.123, \"Married\": 0.586, \"Longitude\": -85.3903198242188, \"Latitude\": 38.6902122497559}, {\"ID\": 13103, \"Name\": \"Bardstown\", \"Mobility\": 0.0762167126, \"State\": \"KY\", \"Population\": 66605, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.092, \"Seg_income\": 0.022, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.017, \"Commute\": 0.373, \"Income\": 30726, \"Gini\": 0.395, \"Share01\": 12.494, \"Gini_99\": 0.27, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1284.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.317, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -1.755, \"HS_dropout\": -0.002, \"Colleges\": 0.015, \"Tuition\": 6000.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.291, \"Chinese_imports\": 0.956, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 0.475, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.568, \"Longitude\": -85.40478515625, \"Latitude\": 37.6990623474121}, {\"ID\": 13200, \"Name\": \"Owensboro\", \"Mobility\": 0.0923025683, \"State\": \"KY\", \"Population\": 177640, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.117, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.053, \"Commute\": 0.387, \"Income\": 31538, \"Gini\": 0.387, \"Share01\": 9.513, \"Gini_99\": 0.292, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2194.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.026, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 9.696, \"HS_dropout\": -0.015, \"Colleges\": 0.023, \"Tuition\": 4452.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.218, \"Chinese_imports\": 1.108, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 0.473, \"Religious\": 0.698, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.107, \"Married\": 0.603, \"Longitude\": -86.9816970825195, \"Latitude\": 37.5197410583496}, {\"ID\": 13300, \"Name\": \"Findlay\", \"Mobility\": 0.0736145601, \"State\": \"OH\", \"Population\": 246623, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.089, \"Seg_income\": 0.032, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.034, \"Commute\": 0.457, \"Income\": 34869, \"Gini\": 0.302, \"Share01\": 8.274, \"Gini_99\": 0.219, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1699.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.355, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 11.407, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 14624.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.324, \"Chinese_imports\": 1.286, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 1.106, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.099, \"Married\": 0.581, \"Longitude\": -83.3274612426758, \"Latitude\": 40.9678688049316}, {\"ID\": 13400, \"Name\": \"Lima\", \"Mobility\": 0.0694817677, \"State\": \"OH\", \"Population\": 260393, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.252, \"Seg_income\": 0.048, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.043, \"Commute\": 0.445, \"Income\": 35092, \"Gini\": 0.316, \"Share01\": 9.453, \"Gini_99\": 0.221, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1859.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.109, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 13.717, \"HS_dropout\": null, \"Colleges\": 0.019, \"Tuition\": 7747.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.652, \"Manufacturing\": 0.298, \"Chinese_imports\": 2.666, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.011, \"Foreign_born\": 0.009, \"Social_capital\": 1.414, \"Religious\": 0.629, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.09, \"Married\": 0.59, \"Longitude\": -84.2717895507812, \"Latitude\": 40.7105560302734}, {\"ID\": 13501, \"Name\": \"Toledo\", \"Mobility\": 0.0574808046, \"State\": \"OH\", \"Population\": 834343, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.29, \"Seg_income\": 0.078, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.079, \"Commute\": 0.345, \"Income\": 38616, \"Gini\": 0.386, \"Share01\": 10.884, \"Gini_99\": 0.277, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2128.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.145, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 2.054, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3600.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.214, \"Chinese_imports\": 0.996, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 0.442, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.105, \"Married\": 0.538, \"Longitude\": -83.6778793334961, \"Latitude\": 41.5681457519531}, {\"ID\": 13502, \"Name\": \"Defiance\", \"Mobility\": 0.0814732164, \"State\": \"OH\", \"Population\": 98981, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.081, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 35188, \"Gini\": 0.315, \"Share01\": 11.039, \"Gini_99\": 0.204, \"Middle_class\": 0.681, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1798.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.048, \"Student_teacher_ratio\": 19.6, \"Test_scores\": 13.318, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 14850.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.422, \"Chinese_imports\": 3.971, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.929, \"Religious\": 0.52, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.602, \"Longitude\": -84.5065536499023, \"Latitude\": 41.3234443664551}, {\"ID\": 13600, \"Name\": \"South Bend\", \"Mobility\": 0.0601345673, \"State\": \"IN\", \"Population\": 657906, \"Urban\": 1, \"Black\": 0.107, \"Seg_racial\": 0.264, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.071, \"Commute\": 0.385, \"Income\": 36189, \"Gini\": 0.423, \"Share01\": 11.211, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1862.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.498, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -2.923, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 12138.0, \"Graduation\": 0.077, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.247, \"Chinese_imports\": 1.391, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.04, \"Social_capital\": 0.065, \"Religious\": 0.424, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.106, \"Married\": 0.552, \"Longitude\": -86.3163223266602, \"Latitude\": 41.6564559936523}, {\"ID\": 13700, \"Name\": \"Concord\", \"Mobility\": 0.0734009892, \"State\": \"IN\", \"Population\": 372184, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.176, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.024, \"Commute\": 0.405, \"Income\": 35487, \"Gini\": 0.395, \"Share01\": 15.141, \"Gini_99\": 0.244, \"Middle_class\": 0.627, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2052.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.437, \"Student_teacher_ratio\": 18.8, \"Test_scores\": -4.199, \"HS_dropout\": null, \"Colleges\": 0.005, \"Tuition\": 8100.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.421, \"Chinese_imports\": 3.359, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.052, \"Social_capital\": -0.043, \"Religious\": 0.36, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -85.4939270019531, \"Latitude\": 41.6202926635742}, {\"ID\": 13800, \"Name\": \"Wayne\", \"Mobility\": 0.0915141404, \"State\": \"IN\", \"Population\": 129528, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.018, \"Commute\": 0.439, \"Income\": 35790, \"Gini\": 0.364, \"Share01\": 15.072, \"Gini_99\": 0.213, \"Middle_class\": 0.635, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2007.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.961, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.626, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 13030.0, \"Graduation\": 0.086, \"Labor_force_participation\": 0.679, \"Manufacturing\": 0.392, \"Chinese_imports\": 1.894, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.022, \"Social_capital\": 0.556, \"Religious\": 0.404, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.1, \"Married\": 0.611, \"Longitude\": -85.9183959960938, \"Latitude\": 41.0524978637695}, {\"ID\": 13900, \"Name\": \"Center\", \"Mobility\": 0.0661350861, \"State\": \"IN\", \"Population\": 192308, \"Urban\": 1, \"Black\": 0.038, \"Seg_racial\": 0.15, \"Seg_income\": 0.046, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.055, \"Commute\": 0.451, \"Income\": 37701, \"Gini\": 0.337, \"Share01\": 8.196, \"Gini_99\": 0.255, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.665, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 0.629, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 2811.0, \"Graduation\": -0.271, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.326, \"Chinese_imports\": 1.733, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": 0.854, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.118, \"Married\": 0.588, \"Longitude\": -86.2592697143555, \"Latitude\": 40.6478614807129}, {\"ID\": 14000, \"Name\": \"Muncie\", \"Mobility\": 0.0531732403, \"State\": \"IN\", \"Population\": 415487, \"Urban\": 1, \"Black\": 0.058, \"Seg_racial\": 0.216, \"Seg_income\": 0.062, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.063, \"Commute\": 0.417, \"Income\": 34884, \"Gini\": 0.384, \"Share01\": 10.075, \"Gini_99\": 0.283, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1858.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.655, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -3.912, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 6770.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.239, \"Chinese_imports\": 1.12, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.654, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.229, \"Divorced\": 0.115, \"Married\": 0.569, \"Longitude\": -85.4548721313477, \"Latitude\": 40.2140159606934}, {\"ID\": 14100, \"Name\": \"Fort Wayne\", \"Mobility\": 0.0659465641, \"State\": \"IN\", \"Population\": 557161, \"Urban\": 1, \"Black\": 0.068, \"Seg_racial\": 0.29, \"Seg_income\": 0.075, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.086, \"Commute\": 0.352, \"Income\": 38529, \"Gini\": 0.381, \"Share01\": 13.303, \"Gini_99\": 0.248, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1814.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.491, \"Student_teacher_ratio\": 19.1, \"Test_scores\": -0.56, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 7206.0, \"Graduation\": -0.155, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.272, \"Chinese_imports\": 2.138, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.901, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.105, \"Married\": 0.576, \"Longitude\": -85.1665344238281, \"Latitude\": 41.0252723693848}, {\"ID\": 14200, \"Name\": \"Indianapolis\", \"Mobility\": 0.0490063243, \"State\": \"IN\", \"Population\": 1507346, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.333, \"Seg_income\": 0.107, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.122, \"Commute\": 0.262, \"Income\": 42510, \"Gini\": 0.459, \"Share01\": 13.844, \"Gini_99\": 0.32, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2519.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.991, \"Student_teacher_ratio\": 18.8, \"Test_scores\": 0.549, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 8685.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.154, \"Chinese_imports\": 0.936, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.016, \"Foreign_born\": 0.035, \"Social_capital\": 0.69, \"Religious\": 0.408, \"Violent_crime\": 0.004, \"Single_mothers\": 0.226, \"Divorced\": 0.115, \"Married\": 0.55, \"Longitude\": -86.122688293457, \"Latitude\": 39.611385345459}, {\"ID\": 14300, \"Name\": \"Columbus\", \"Mobility\": 0.0746864304, \"State\": \"IN\", \"Population\": 163284, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.077, \"Seg_income\": 0.048, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.061, \"Commute\": 0.404, \"Income\": 35466, \"Gini\": 0.381, \"Share01\": 12.38, \"Gini_99\": 0.257, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.341, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.477, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 3264.0, \"Graduation\": -0.302, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.345, \"Chinese_imports\": 1.77, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.024, \"Social_capital\": 0.535, \"Religious\": 0.5, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.116, \"Married\": 0.625, \"Longitude\": -85.8469085693359, \"Latitude\": 38.8266105651855}, {\"ID\": 14400, \"Name\": \"Terre Haute\", \"Mobility\": 0.082625255, \"State\": \"IN\", \"Population\": 261832, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.155, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.038, \"Commute\": 0.391, \"Income\": 31382, \"Gini\": 0.367, \"Share01\": 8.691, \"Gini_99\": 0.28, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1875.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.317, \"HS_dropout\": null, \"Colleges\": 0.027, \"Tuition\": 8388.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.202, \"Chinese_imports\": 1.947, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.611, \"Religious\": 0.366, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.566, \"Longitude\": -87.3151550292969, \"Latitude\": 39.5072402954102}, {\"ID\": 14500, \"Name\": \"Lafayette\", \"Mobility\": 0.0908335671, \"State\": \"IN\", \"Population\": 347966, \"Urban\": 1, \"Black\": 0.036, \"Seg_racial\": 0.209, \"Seg_income\": 0.072, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.066, \"Commute\": 0.429, \"Income\": 32345, \"Gini\": 0.349, \"Share01\": 8.583, \"Gini_99\": 0.264, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.3, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.095, \"HS_dropout\": 0.021, \"Colleges\": 0.011, \"Tuition\": 3657.0, \"Graduation\": 0.161, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.236, \"Chinese_imports\": 1.115, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.048, \"Social_capital\": 0.435, \"Religious\": 0.393, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.097, \"Married\": 0.547, \"Longitude\": -87.0883178710938, \"Latitude\": 40.3285369873047}, {\"ID\": 14600, \"Name\": \"Bloomington\", \"Mobility\": 0.0871858522, \"State\": \"IN\", \"Population\": 280923, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.105, \"Seg_income\": 0.063, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 30525, \"Gini\": 0.394, \"Share01\": 10.999, \"Gini_99\": 0.284, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.01, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 1.814, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 3893.0, \"Graduation\": 0.264, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.181, \"Chinese_imports\": 4.994, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 0.043, \"Religious\": 0.402, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.102, \"Married\": 0.523, \"Longitude\": -86.9038391113281, \"Latitude\": 38.8078384399414}, {\"ID\": 14700, \"Name\": \"Evansville\", \"Mobility\": 0.0792389214, \"State\": \"IN\", \"Population\": 388604, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.21, \"Seg_income\": 0.07, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.078, \"Commute\": 0.366, \"Income\": 36908, \"Gini\": 0.402, \"Share01\": 13.881, \"Gini_99\": 0.263, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.535, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 0.957, \"HS_dropout\": 0.014, \"Colleges\": 0.018, \"Tuition\": 6157.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.337, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.013, \"Social_capital\": 1.29, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.188, \"Divorced\": 0.11, \"Married\": 0.585, \"Longitude\": -87.454719543457, \"Latitude\": 38.1533546447754}, {\"ID\": 14801, \"Name\": \"Olney\", \"Mobility\": 0.1169398874, \"State\": \"IL\", \"Population\": 55642, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.486, \"Income\": 31875, \"Gini\": 0.343, \"Share01\": 8.23, \"Gini_99\": 0.261, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2254.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.303, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 9.889, \"HS_dropout\": 0.007, \"Colleges\": 0.036, \"Tuition\": 5275.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.215, \"Chinese_imports\": 21.031, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.006, \"Social_capital\": 1.562, \"Religious\": 0.626, \"Violent_crime\": null, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.608, \"Longitude\": -88.0994873046875, \"Latitude\": 38.2621994018555}, {\"ID\": 14802, \"Name\": \"Vincennes\", \"Mobility\": 0.1098398194, \"State\": \"IN\", \"Population\": 54708, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.061, \"Seg_income\": 0.034, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.029, \"Commute\": 0.488, \"Income\": 30101, \"Gini\": 0.379, \"Share01\": 8.491, \"Gini_99\": 0.294, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2268.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.712, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.262, \"HS_dropout\": 0.035, \"Colleges\": 0.018, \"Tuition\": 2500.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.963, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 0.687, \"Religious\": 0.495, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.107, \"Married\": 0.56, \"Longitude\": -87.4358901977539, \"Latitude\": 38.6371536254883}, {\"ID\": 14900, \"Name\": \"Gary\", \"Mobility\": 0.081390135, \"State\": \"IN\", \"Population\": 675971, \"Urban\": 1, \"Black\": 0.182, \"Seg_racial\": 0.444, \"Seg_income\": 0.08, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.075, \"Commute\": 0.277, \"Income\": 38097, \"Gini\": 0.369, \"Share01\": 10.709, \"Gini_99\": 0.262, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.061, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -3.78, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7395.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.994, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.019, \"Foreign_born\": 0.046, \"Social_capital\": -0.229, \"Religious\": 0.439, \"Violent_crime\": 0.002, \"Single_mothers\": 0.244, \"Divorced\": 0.1, \"Married\": 0.533, \"Longitude\": -87.2666168212891, \"Latitude\": 41.2179756164551}, {\"ID\": 15000, \"Name\": \"Canton\", \"Mobility\": 0.0649108514, \"State\": \"OH\", \"Population\": 700866, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.198, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.058, \"Commute\": 0.378, \"Income\": 35700, \"Gini\": 0.381, \"Share01\": 11.019, \"Gini_99\": 0.271, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1768.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.563, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 12.753, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 8639.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.259, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.015, \"Social_capital\": 0.977, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.101, \"Married\": 0.584, \"Longitude\": -81.465934753418, \"Latitude\": 40.519172668457}, {\"ID\": 15100, \"Name\": \"Lorain\", \"Mobility\": 0.0566001162, \"State\": \"OH\", \"Population\": 423702, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.207, \"Seg_income\": 0.064, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.065, \"Commute\": 0.362, \"Income\": 38660, \"Gini\": 0.342, \"Share01\": 8.711, \"Gini_99\": 0.255, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2044.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.833, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 7.879, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 11565.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.256, \"Chinese_imports\": 1.477, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.699, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.106, \"Married\": 0.568, \"Longitude\": -82.3657455444336, \"Latitude\": 41.2349052429199}, {\"ID\": 15200, \"Name\": \"Cleveland\", \"Mobility\": 0.050859265, \"State\": \"OH\", \"Population\": 2661167, \"Urban\": 1, \"Black\": 0.175, \"Seg_racial\": 0.446, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.119, \"Commute\": 0.268, \"Income\": 42208, \"Gini\": 0.463, \"Share01\": 13.743, \"Gini_99\": 0.326, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2677.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.958, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 5.208, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 7049.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.189, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 0.455, \"Religious\": 0.518, \"Violent_crime\": 0.001, \"Single_mothers\": 0.254, \"Divorced\": 0.107, \"Married\": 0.521, \"Longitude\": -81.4847259521484, \"Latitude\": 41.2727546691895}, {\"ID\": 15300, \"Name\": \"Parkersburg\", \"Mobility\": 0.0708944052, \"State\": \"WV\", \"Population\": 202967, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.044, \"Seg_income\": 0.028, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.031, \"Commute\": 0.346, \"Income\": 32372, \"Gini\": 0.375, \"Share01\": 7.579, \"Gini_99\": 0.3, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1826.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.851, \"Student_teacher_ratio\": 16.9, \"Test_scores\": -0.284, \"HS_dropout\": -0.003, \"Colleges\": 0.025, \"Tuition\": 7253.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.19, \"Chinese_imports\": 1.383, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 0.333, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.108, \"Married\": 0.599, \"Longitude\": -81.4451217651367, \"Latitude\": 39.1996803283691}, {\"ID\": 15400, \"Name\": \"Zanesville\", \"Mobility\": 0.0684076101, \"State\": \"OH\", \"Population\": 188410, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.115, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.346, \"Income\": 30313, \"Gini\": 0.352, \"Share01\": 8.705, \"Gini_99\": 0.265, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1635.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.95, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 7.247, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 7501.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.603, \"Manufacturing\": 0.24, \"Chinese_imports\": 3.84, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.576, \"Religious\": 0.353, \"Violent_crime\": 0.0, \"Single_mothers\": 0.202, \"Divorced\": 0.107, \"Married\": 0.578, \"Longitude\": -81.7836303710938, \"Latitude\": 39.7343330383301}, {\"ID\": 15500, \"Name\": \"Steubenville\", \"Mobility\": 0.0727181509, \"State\": \"OH\", \"Population\": 132008, \"Urban\": 1, \"Black\": 0.039, \"Seg_racial\": 0.184, \"Seg_income\": 0.03, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.018, \"Commute\": 0.378, \"Income\": 32010, \"Gini\": 0.35, \"Share01\": 9.312, \"Gini_99\": 0.257, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1512.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.935, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.384, \"HS_dropout\": -0.009, \"Colleges\": 0.023, \"Tuition\": 11197.0, \"Graduation\": 0.196, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 0.893, \"Religious\": 0.448, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.098, \"Married\": 0.571, \"Longitude\": -80.7016906738281, \"Latitude\": 40.4033126831055}, {\"ID\": 15600, \"Name\": \"Wheeling\", \"Mobility\": 0.1254040152, \"State\": \"WV\", \"Population\": 195637, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.151, \"Seg_income\": 0.035, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.029, \"Commute\": 0.343, \"Income\": 31111, \"Gini\": 0.403, \"Share01\": 10.613, \"Gini_99\": 0.297, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1664.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.139, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 1.849, \"HS_dropout\": -0.006, \"Colleges\": 0.026, \"Tuition\": 4864.0, \"Graduation\": -0.089, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.79, \"Religious\": 0.51, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.099, \"Married\": 0.57, \"Longitude\": -80.8091583251953, \"Latitude\": 39.6376495361328}, {\"ID\": 15700, \"Name\": \"Scioto\", \"Mobility\": 0.0648590028, \"State\": \"OH\", \"Population\": 225682, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.16, \"Seg_income\": 0.027, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.028, \"Commute\": 0.322, \"Income\": 28949, \"Gini\": 0.403, \"Share01\": 9.722, \"Gini_99\": 0.305, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1577.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 4.927, \"Student_teacher_ratio\": 20.4, \"Test_scores\": 3.963, \"HS_dropout\": null, \"Colleges\": 0.018, \"Tuition\": 3057.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.545, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.379, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 0.105, \"Religious\": 0.253, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.119, \"Married\": 0.563, \"Longitude\": -82.9105377197266, \"Latitude\": 39.01025390625}, {\"ID\": 15800, \"Name\": \"Athens\", \"Mobility\": 0.0747126415, \"State\": \"OH\", \"Population\": 142321, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.058, \"Seg_income\": 0.03, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.031, \"Commute\": 0.359, \"Income\": 24643, \"Gini\": 0.395, \"Share01\": 7.157, \"Gini_99\": 0.323, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1710.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.361, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 0.706, \"HS_dropout\": -0.008, \"Colleges\": 0.028, \"Tuition\": 4775.0, \"Graduation\": 0.188, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.948, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": -0.328, \"Religious\": 0.251, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.095, \"Married\": 0.523, \"Longitude\": -82.0629959106445, \"Latitude\": 38.9975662231445}, {\"ID\": 15900, \"Name\": \"Columbus\", \"Mobility\": 0.049094066, \"State\": \"OH\", \"Population\": 1663807, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.269, \"Seg_income\": 0.122, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.139, \"Commute\": 0.271, \"Income\": 40286, \"Gini\": 0.451, \"Share01\": 14.001, \"Gini_99\": 0.311, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2301.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.531, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 3.69, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 8030.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.845, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.61, \"Religious\": 0.363, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.11, \"Married\": 0.527, \"Longitude\": -82.7316818237305, \"Latitude\": 39.9555130004883}, {\"ID\": 16000, \"Name\": \"Mansfield\", \"Mobility\": 0.0644607842, \"State\": \"OH\", \"Population\": 326186, \"Urban\": 1, \"Black\": 0.051, \"Seg_racial\": 0.231, \"Seg_income\": 0.041, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.041, \"Commute\": 0.403, \"Income\": 33186, \"Gini\": 0.335, \"Share01\": 7.903, \"Gini_99\": 0.256, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1713.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 5.248, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 4.968, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 6365.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.283, \"Chinese_imports\": 1.275, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 0.992, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.206, \"Divorced\": 0.113, \"Married\": 0.572, \"Longitude\": -82.7405624389648, \"Latitude\": 40.6658096313477}, {\"ID\": 16100, \"Name\": \"State College\", \"Mobility\": 0.1131276488, \"State\": \"PA\", \"Population\": 310658, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.195, \"Seg_income\": 0.055, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.058, \"Commute\": 0.397, \"Income\": 28923, \"Gini\": 0.373, \"Share01\": 8.759, \"Gini_99\": 0.285, \"Middle_class\": 0.613, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1367.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.981, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 6.352, \"HS_dropout\": -0.013, \"Colleges\": 0.019, \"Tuition\": 7303.0, \"Graduation\": 0.432, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.159, \"Chinese_imports\": 0.907, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": 0.295, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.528, \"Longitude\": -78.1835327148438, \"Latitude\": 40.8506507873535}, {\"ID\": 16200, \"Name\": \"Altoona\", \"Mobility\": 0.1023769081, \"State\": \"PA\", \"Population\": 411749, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.163, \"Seg_income\": 0.038, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.034, \"Commute\": 0.391, \"Income\": 30392, \"Gini\": 0.371, \"Share01\": 9.835, \"Gini_99\": 0.272, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.147, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 7.231, \"HS_dropout\": -0.015, \"Colleges\": 0.017, \"Tuition\": 7679.0, \"Graduation\": 0.241, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.449, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 0.938, \"Religious\": 0.65, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.078, \"Married\": 0.564, \"Longitude\": -78.6428298950195, \"Latitude\": 40.2173004150391}, {\"ID\": 16300, \"Name\": \"Pittsburgh\", \"Mobility\": 0.09514869, \"State\": \"PA\", \"Population\": 2561364, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.323, \"Seg_income\": 0.081, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.089, \"Commute\": 0.287, \"Income\": 38686, \"Gini\": 0.45, \"Share01\": 13.848, \"Gini_99\": 0.312, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2244.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.199, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.035, \"HS_dropout\": -0.01, \"Colleges\": 0.022, \"Tuition\": 8789.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.556, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.025, \"Social_capital\": 0.604, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.209, \"Divorced\": 0.082, \"Married\": 0.545, \"Longitude\": -79.5761260986328, \"Latitude\": 40.5679092407227}, {\"ID\": 16400, \"Name\": \"Youngstown\", \"Mobility\": 0.0669745952, \"State\": \"OH\", \"Population\": 809682, \"Urban\": 1, \"Black\": 0.086, \"Seg_racial\": 0.338, \"Seg_income\": 0.06, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.059, \"Commute\": 0.374, \"Income\": 34808, \"Gini\": 0.387, \"Share01\": 10.241, \"Gini_99\": 0.284, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1645.0, \"Progressivity\": 2.66, \"EITC\": 0.0, \"School_spending\": 6.079, \"Student_teacher_ratio\": 19.2, \"Test_scores\": 6.568, \"HS_dropout\": -0.016, \"Colleges\": 0.025, \"Tuition\": 9907.0, \"Graduation\": 0.011, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.226, \"Chinese_imports\": 0.965, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.019, \"Social_capital\": 0.906, \"Religious\": 0.549, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -80.6030731201172, \"Latitude\": 41.016960144043}, {\"ID\": 16500, \"Name\": \"Erie\", \"Mobility\": 0.0751668066, \"State\": \"PA\", \"Population\": 659098, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.21, \"Seg_income\": 0.05, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.047, \"Commute\": 0.427, \"Income\": 31989, \"Gini\": 0.392, \"Share01\": 10.49, \"Gini_99\": 0.287, \"Middle_class\": 0.596, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2011.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.642, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 5.037, \"HS_dropout\": -0.008, \"Colleges\": 0.021, \"Tuition\": 7200.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.23, \"Chinese_imports\": 1.341, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.019, \"Social_capital\": 0.694, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.09, \"Married\": 0.546, \"Longitude\": -79.5036315917969, \"Latitude\": 41.3742065429688}, {\"ID\": 16600, \"Name\": \"Roanoke\", \"Mobility\": 0.0640164241, \"State\": \"VA\", \"Population\": 468038, \"Urban\": 1, \"Black\": 0.091, \"Seg_racial\": 0.225, \"Seg_income\": 0.066, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.064, \"Commute\": 0.334, \"Income\": 34411, \"Gini\": 0.424, \"Share01\": 9.212, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.208, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 3.084, \"HS_dropout\": -0.002, \"Colleges\": 0.024, \"Tuition\": 3970.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.109, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.027, \"Social_capital\": -0.196, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.096, \"Married\": 0.545, \"Longitude\": -80.1677627563477, \"Latitude\": 37.3139152526855}, {\"ID\": 16701, \"Name\": \"Elkins\", \"Mobility\": 0.1057993695, \"State\": \"WV\", \"Population\": 60271, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.05, \"Seg_income\": 0.009, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.388, \"Income\": 26302, \"Gini\": 0.391, \"Share01\": 8.336, \"Gini_99\": 0.307, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.009, \"Local_gov_spending\": 1400.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 5.979, \"Student_teacher_ratio\": 14.7, \"Test_scores\": -6.483, \"HS_dropout\": -0.017, \"Colleges\": 0.033, \"Tuition\": 13180.0, \"Graduation\": 0.152, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.118, \"Chinese_imports\": 2.177, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.005, \"Foreign_born\": 0.006, \"Social_capital\": -0.342, \"Religious\": 0.357, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.112, \"Married\": 0.58, \"Longitude\": -79.7854919433594, \"Latitude\": 38.7990913391113}, {\"ID\": 16702, \"Name\": \"Morgantown\", \"Mobility\": 0.1049584672, \"State\": \"WV\", \"Population\": 259942, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.108, \"Seg_income\": 0.052, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.046, \"Commute\": 0.336, \"Income\": 28593, \"Gini\": 0.424, \"Share01\": 9.565, \"Gini_99\": 0.328, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1641.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.507, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.397, \"HS_dropout\": -0.008, \"Colleges\": 0.027, \"Tuition\": 2143.0, \"Graduation\": 0.131, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.572, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": 0.372, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.092, \"Married\": 0.536, \"Longitude\": -80.3536605834961, \"Latitude\": 39.3572540283203}, {\"ID\": 16703, \"Name\": \"Buckhannon\", \"Mobility\": 0.1264108419, \"State\": \"WV\", \"Population\": 40323, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.009, \"Commute\": 0.377, \"Income\": 25062, \"Gini\": 0.404, \"Share01\": 7.553, \"Gini_99\": 0.328, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1221.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.238, \"Student_teacher_ratio\": 16.1, \"Test_scores\": -10.275, \"HS_dropout\": -0.011, \"Colleges\": 0.025, \"Tuition\": 16800.0, \"Graduation\": 0.197, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.74, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.011, \"Foreign_born\": 0.005, \"Social_capital\": -0.141, \"Religious\": 0.312, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.101, \"Married\": 0.577, \"Longitude\": -80.3829650878906, \"Latitude\": 38.926456451416}, {\"ID\": 16801, \"Name\": \"Beckley\", \"Mobility\": 0.1064450294, \"State\": \"WV\", \"Population\": 174251, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.121, \"Seg_income\": 0.015, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.017, \"Commute\": 0.33, \"Income\": 28131, \"Gini\": 0.446, \"Share01\": 11.535, \"Gini_99\": 0.331, \"Middle_class\": 0.539, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1317.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.099, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -6.88, \"HS_dropout\": -0.002, \"Colleges\": 0.029, \"Tuition\": 5808.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.49, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.306, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": -0.862, \"Religious\": 0.303, \"Violent_crime\": 0.001, \"Single_mothers\": 0.217, \"Divorced\": 0.104, \"Married\": 0.58, \"Longitude\": -80.8328170776367, \"Latitude\": 37.9249839782715}, {\"ID\": 16802, \"Name\": \"Summersville\", \"Mobility\": 0.1285289675, \"State\": \"WV\", \"Population\": 58143, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.01, \"Commute\": 0.329, \"Income\": 25662, \"Gini\": 0.452, \"Share01\": 13.73, \"Gini_99\": 0.314, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1483.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.065, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -6.952, \"HS_dropout\": -0.008, \"Colleges\": 0.034, \"Tuition\": 1027.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.486, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.17, \"Teenage_labor\": 0.003, \"Migration_in\": 0.006, \"Migration_out\": 0.007, \"Foreign_born\": 0.005, \"Social_capital\": -0.593, \"Religious\": 0.322, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.101, \"Married\": 0.595, \"Longitude\": -80.7836837768555, \"Latitude\": 38.5716857910156}, {\"ID\": 16901, \"Name\": \"Charleston\", \"Mobility\": 0.0972293913, \"State\": \"WV\", \"Population\": 347345, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.177, \"Seg_income\": 0.057, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.059, \"Commute\": 0.28, \"Income\": 34109, \"Gini\": 0.474, \"Share01\": 12.717, \"Gini_99\": 0.347, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1532.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.254, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -9.146, \"HS_dropout\": 0.006, \"Colleges\": 0.017, \"Tuition\": 3243.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.553, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.003, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": -0.087, \"Religious\": 0.3, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.113, \"Married\": 0.573, \"Longitude\": -81.7158126831055, \"Latitude\": 38.1433944702148}, {\"ID\": 16902, \"Name\": \"Spencer\", \"Mobility\": 0.1465677172, \"State\": \"WV\", \"Population\": 23028, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.004, \"Commute\": 0.268, \"Income\": 23337, \"Gini\": 0.356, \"Share01\": 6.941, \"Gini_99\": 0.287, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1333.0, \"Progressivity\": 2.5, \"EITC\": 0.0, \"School_spending\": 6.717, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -10.746, \"HS_dropout\": 0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.491, \"Manufacturing\": 0.141, \"Chinese_imports\": 0.231, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.009, \"Foreign_born\": 0.006, \"Social_capital\": -0.651, \"Religious\": 0.247, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.1, \"Married\": 0.603, \"Longitude\": -81.213020324707, \"Latitude\": 38.7986145019531}, {\"ID\": 17000, \"Name\": \"Pikeville\", \"Mobility\": 0.1378403753, \"State\": \"KY\", \"Population\": 204354, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.017, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.295, \"Income\": 23076, \"Gini\": 0.474, \"Share01\": 10.775, \"Gini_99\": 0.366, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1240.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.46, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -2.262, \"HS_dropout\": 0.001, \"Colleges\": 0.01, \"Tuition\": 3671.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.002, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": -1.347, \"Religious\": 0.331, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.103, \"Married\": 0.608, \"Longitude\": -82.6051483154297, \"Latitude\": 37.7573471069336}, {\"ID\": 17100, \"Name\": \"Huntington\", \"Mobility\": 0.0685057491, \"State\": \"KY\", \"Population\": 344380, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.144, \"Seg_income\": 0.043, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.041, \"Commute\": 0.343, \"Income\": 29101, \"Gini\": 0.467, \"Share01\": 11.153, \"Gini_99\": 0.355, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1448.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.436, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.126, \"HS_dropout\": 0.001, \"Colleges\": 0.02, \"Tuition\": 2400.0, \"Graduation\": -0.038, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.122, \"Chinese_imports\": 0.45, \"Teenage_labor\": 0.003, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": -0.404, \"Religious\": 0.37, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.107, \"Married\": 0.577, \"Longitude\": -82.8904647827148, \"Latitude\": 38.2893447875977}, {\"ID\": 17200, \"Name\": \"Harrisonburg\", \"Mobility\": 0.0938897133, \"State\": \"VA\", \"Population\": 174641, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.107, \"Seg_income\": 0.034, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.033, \"Commute\": 0.378, \"Income\": 31025, \"Gini\": 0.409, \"Share01\": 11.826, \"Gini_99\": 0.291, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1501.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.499, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.775, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 3568.0, \"Graduation\": 0.381, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.544, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.011, \"Foreign_born\": 0.041, \"Social_capital\": -0.385, \"Religious\": 0.465, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -78.7827987670898, \"Latitude\": 38.7607040405273}, {\"ID\": 17300, \"Name\": \"Staunton\", \"Mobility\": 0.0680161938, \"State\": \"VA\", \"Population\": 188559, \"Urban\": 1, \"Black\": 0.071, \"Seg_racial\": 0.079, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.033, \"Commute\": 0.344, \"Income\": 34674, \"Gini\": 0.368, \"Share01\": 7.971, \"Gini_99\": 0.288, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1465.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.003, \"Student_teacher_ratio\": null, \"Test_scores\": 3.633, \"HS_dropout\": null, \"Colleges\": 0.037, \"Tuition\": 9809.0, \"Graduation\": 0.122, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.206, \"Chinese_imports\": 3.52, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.007, \"Foreign_born\": 0.019, \"Social_capital\": -0.2, \"Religious\": 0.492, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.098, \"Married\": 0.583, \"Longitude\": -79.5354461669922, \"Latitude\": 37.8701171875}, {\"ID\": 17400, \"Name\": \"Hagerstown\", \"Mobility\": 0.0870945826, \"State\": \"PA\", \"Population\": 408535, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.164, \"Seg_income\": 0.035, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.298, \"Income\": 34829, \"Gini\": 0.351, \"Share01\": 8.689, \"Gini_99\": 0.264, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1512.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.288, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 1.236, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 3360.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.176, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.012, \"Foreign_born\": 0.019, \"Social_capital\": -0.256, \"Religious\": 0.391, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -77.9620590209961, \"Latitude\": 39.7436256408691}, {\"ID\": 17501, \"Name\": \"Cumberland\", \"Mobility\": 0.0969055369, \"State\": \"MD\", \"Population\": 155822, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.149, \"Seg_income\": 0.024, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.021, \"Commute\": 0.373, \"Income\": 29147, \"Gini\": 0.425, \"Share01\": 13.041, \"Gini_99\": 0.294, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1840.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.553, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -2.043, \"HS_dropout\": -0.006, \"Colleges\": 0.032, \"Tuition\": 12039.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.566, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.739, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 0.038, \"Religious\": 0.491, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.085, \"Married\": 0.6, \"Longitude\": -78.8268737792969, \"Latitude\": 39.2735443115234}, {\"ID\": 17502, \"Name\": \"Winchester\", \"Mobility\": 0.0972972959, \"State\": \"VA\", \"Population\": 115649, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.1, \"Seg_income\": 0.042, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.045, \"Commute\": 0.301, \"Income\": 36887, \"Gini\": 0.402, \"Share01\": 10.978, \"Gini_99\": 0.292, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1801.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.326, \"Student_teacher_ratio\": 16.6, \"Test_scores\": 0.058, \"HS_dropout\": -0.003, \"Colleges\": 0.017, \"Tuition\": 9058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.669, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.205, \"Teenage_labor\": 0.005, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.029, \"Social_capital\": -0.875, \"Religious\": 0.391, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.098, \"Married\": 0.584, \"Longitude\": -78.4002304077148, \"Latitude\": 39.2103652954102}, {\"ID\": 17600, \"Name\": \"Charlottesville\", \"Mobility\": 0.0613825992, \"State\": \"VA\", \"Population\": 273489, \"Urban\": 1, \"Black\": 0.164, \"Seg_racial\": 0.096, \"Seg_income\": 0.06, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.062, \"Commute\": 0.282, \"Income\": 37999, \"Gini\": 0.489, \"Share01\": 12.275, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1882.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.177, \"Student_teacher_ratio\": null, \"Test_scores\": -0.367, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2786.0, \"Graduation\": 0.327, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.081, \"Teenage_labor\": 0.005, \"Migration_in\": 0.031, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.484, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.089, \"Married\": 0.544, \"Longitude\": -78.2333831787109, \"Latitude\": 38.0418243408203}, {\"ID\": 17700, \"Name\": \"Syracuse\", \"Mobility\": 0.076672107, \"State\": \"NY\", \"Population\": 1080612, \"Urban\": 1, \"Black\": 0.056, \"Seg_racial\": 0.253, \"Seg_income\": 0.086, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.08, \"Commute\": 0.378, \"Income\": 35778, \"Gini\": 0.409, \"Share01\": 10.819, \"Gini_99\": 0.301, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 3044.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.59, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.814, \"HS_dropout\": -0.016, \"Colleges\": 0.023, \"Tuition\": 10408.0, \"Graduation\": 0.088, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.253, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.043, \"Social_capital\": 0.353, \"Religious\": 0.484, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.087, \"Married\": 0.522, \"Longitude\": -75.6718292236328, \"Latitude\": 43.084644317627}, {\"ID\": 17800, \"Name\": \"Oneonta\", \"Mobility\": 0.0928838924, \"State\": \"NY\", \"Population\": 161132, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.053, \"Seg_income\": 0.012, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.008, \"Commute\": 0.405, \"Income\": 31398, \"Gini\": 0.374, \"Share01\": 7.377, \"Gini_99\": 0.3, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2714.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.284, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 3.69, \"HS_dropout\": -0.021, \"Colleges\": 0.025, \"Tuition\": 5231.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.978, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.102, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.199, \"Divorced\": 0.09, \"Married\": 0.553, \"Longitude\": -75.0704956054688, \"Latitude\": 42.4394607543945}, {\"ID\": 17900, \"Name\": \"Union\", \"Mobility\": 0.088044025, \"State\": \"NY\", \"Population\": 294558, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.12, \"Seg_income\": 0.063, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.063, \"Commute\": 0.363, \"Income\": 35192, \"Gini\": 0.39, \"Share01\": 8.997, \"Gini_99\": 0.3, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2370.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.034, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 7.263, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 3090.0, \"Graduation\": 0.182, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.189, \"Chinese_imports\": 6.272, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.04, \"Social_capital\": 0.505, \"Religious\": 0.493, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.094, \"Married\": 0.538, \"Longitude\": -76.0699844360352, \"Latitude\": 42.1343231201172}, {\"ID\": 18000, \"Name\": \"Buffalo\", \"Mobility\": 0.066782549, \"State\": \"NY\", \"Population\": 2369699, \"Urban\": 1, \"Black\": 0.104, \"Seg_racial\": 0.342, \"Seg_income\": 0.098, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.097, \"Commute\": 0.333, \"Income\": 38618, \"Gini\": 0.396, \"Share01\": 10.989, \"Gini_99\": 0.287, \"Middle_class\": 0.521, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 3031.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.08, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.245, \"HS_dropout\": -0.016, \"Colleges\": 0.015, \"Tuition\": 8230.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.183, \"Chinese_imports\": 2.241, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.049, \"Social_capital\": 0.394, \"Religious\": 0.607, \"Violent_crime\": 0.002, \"Single_mothers\": 0.251, \"Divorced\": 0.088, \"Married\": 0.524, \"Longitude\": -77.7660903930664, \"Latitude\": 42.7380714416504}, {\"ID\": 18100, \"Name\": \"Elmira\", \"Mobility\": 0.0936922133, \"State\": \"NY\", \"Population\": 346894, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.158, \"Seg_income\": 0.048, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.411, \"Income\": 32548, \"Gini\": 0.416, \"Share01\": 10.805, \"Gini_99\": 0.308, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2590.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.67, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 0.774, \"HS_dropout\": -0.002, \"Colleges\": 0.023, \"Tuition\": 15547.0, \"Graduation\": 0.266, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.175, \"Chinese_imports\": 1.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": 0.5, \"Religious\": 0.396, \"Violent_crime\": 0.001, \"Single_mothers\": 0.222, \"Divorced\": 0.092, \"Married\": 0.516, \"Longitude\": -76.8524780273438, \"Latitude\": 42.3245124816895}, {\"ID\": 18201, \"Name\": \"Olean\", \"Mobility\": 0.0801330507, \"State\": \"NY\", \"Population\": 197898, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.143, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.016, \"Commute\": 0.455, \"Income\": 29823, \"Gini\": 0.37, \"Share01\": 10.119, \"Gini_99\": 0.269, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2566.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.316, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.707, \"HS_dropout\": -0.011, \"Colleges\": 0.04, \"Tuition\": 9250.0, \"Graduation\": 0.168, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.208, \"Chinese_imports\": 2.47, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": -0.135, \"Religious\": 0.418, \"Violent_crime\": 0.002, \"Single_mothers\": 0.197, \"Divorced\": 0.091, \"Married\": 0.552, \"Longitude\": -78.447868347168, \"Latitude\": 42.1064071655273}, {\"ID\": 18202, \"Name\": \"St. Marys\", \"Mobility\": 0.1629834324, \"State\": \"PA\", \"Population\": 41086, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.013, \"Commute\": 0.53, \"Income\": 34878, \"Gini\": 0.299, \"Share01\": 10.488, \"Gini_99\": 0.194, \"Middle_class\": 0.696, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1510.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.325, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 7.407, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.437, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.004, \"Migration_in\": 0.005, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.145, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.085, \"Married\": 0.576, \"Longitude\": -78.6627578735352, \"Latitude\": 41.3966979980469}, {\"ID\": 18300, \"Name\": \"Watertown\", \"Mobility\": 0.1011804417, \"State\": \"NY\", \"Population\": 250613, \"Urban\": 1, \"Black\": 0.035, \"Seg_racial\": 0.147, \"Seg_income\": 0.022, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.018, \"Commute\": 0.471, \"Income\": 27436, \"Gini\": 0.353, \"Share01\": 6.815, \"Gini_99\": 0.285, \"Middle_class\": 0.59, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2904.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.16, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.444, \"HS_dropout\": -0.012, \"Colleges\": 0.024, \"Tuition\": 10602.0, \"Graduation\": 0.134, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.658, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.033, \"Social_capital\": -0.213, \"Religious\": 0.472, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.081, \"Married\": 0.539, \"Longitude\": -75.5392837524414, \"Latitude\": 44.1033897399902}, {\"ID\": 18400, \"Name\": \"Plattsburgh\", \"Mobility\": 0.0854566842, \"State\": \"NY\", \"Population\": 169879, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.285, \"Seg_income\": 0.025, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.023, \"Commute\": 0.47, \"Income\": 28561, \"Gini\": 0.359, \"Share01\": 6.947, \"Gini_99\": 0.29, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2872.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.433, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 2.784, \"HS_dropout\": -0.008, \"Colleges\": 0.035, \"Tuition\": 4636.0, \"Graduation\": 0.068, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.997, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.04, \"Social_capital\": -0.21, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.085, \"Married\": 0.522, \"Longitude\": -73.7126007080078, \"Latitude\": 44.331298828125}, {\"ID\": 18500, \"Name\": \"Amsterdam\", \"Mobility\": 0.082840234, \"State\": \"NY\", \"Population\": 110160, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.13, \"Seg_income\": 0.027, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.026, \"Commute\": 0.416, \"Income\": 32624, \"Gini\": 0.369, \"Share01\": 7.015, \"Gini_99\": 0.299, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2988.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.628, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.667, \"HS_dropout\": -0.007, \"Colleges\": 0.009, \"Tuition\": 2380.0, \"Graduation\": -0.078, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.189, \"Chinese_imports\": 4.284, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 0.683, \"Religious\": 0.57, \"Violent_crime\": 0.001, \"Single_mothers\": 0.231, \"Divorced\": 0.092, \"Married\": 0.54, \"Longitude\": -74.4513702392578, \"Latitude\": 43.2861976623535}, {\"ID\": 18600, \"Name\": \"Albany\", \"Mobility\": 0.0833333358, \"State\": \"NY\", \"Population\": 1061509, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.201, \"Seg_income\": 0.077, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.078, \"Commute\": 0.317, \"Income\": 40298, \"Gini\": 0.407, \"Share01\": 10.807, \"Gini_99\": 0.299, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2767.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 8.921, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 4.01, \"HS_dropout\": -0.011, \"Colleges\": 0.023, \"Tuition\": 9499.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.09, \"Chinese_imports\": 0.466, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.045, \"Social_capital\": 0.602, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.087, \"Married\": 0.533, \"Longitude\": -73.8589172363281, \"Latitude\": 42.8572311401367}, {\"ID\": 18700, \"Name\": \"Sunbury\", \"Mobility\": 0.1113667712, \"State\": \"PA\", \"Population\": 191962, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.169, \"Seg_income\": 0.043, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.044, \"Commute\": 0.396, \"Income\": 30863, \"Gini\": 0.359, \"Share01\": 9.138, \"Gini_99\": 0.268, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1426.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.516, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.346, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 20819.0, \"Graduation\": 0.473, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.221, \"Chinese_imports\": 2.797, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.018, \"Social_capital\": 0.692, \"Religious\": 0.521, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.079, \"Married\": 0.592, \"Longitude\": -76.8812713623047, \"Latitude\": 40.8595542907715}, {\"ID\": 18800, \"Name\": \"Scranton\", \"Mobility\": 0.1074531749, \"State\": \"PA\", \"Population\": 857487, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.131, \"Seg_income\": 0.044, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.047, \"Commute\": 0.351, \"Income\": 35125, \"Gini\": 0.412, \"Share01\": 12.428, \"Gini_99\": 0.288, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1568.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.373, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 5.554, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 8661.0, \"Graduation\": 0.142, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.683, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.118, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.08, \"Married\": 0.548, \"Longitude\": -75.5423889160156, \"Latitude\": 41.2837600708008}, {\"ID\": 18900, \"Name\": \"Williamsport\", \"Mobility\": 0.1016209498, \"State\": \"PA\", \"Population\": 227275, \"Urban\": 1, \"Black\": 0.025, \"Seg_racial\": 0.162, \"Seg_income\": 0.031, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.026, \"Commute\": 0.414, \"Income\": 31689, \"Gini\": 0.382, \"Share01\": 10.051, \"Gini_99\": 0.281, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1848.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.937, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 4.766, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 7163.0, \"Graduation\": 0.166, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.238, \"Chinese_imports\": 2.495, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.011, \"Social_capital\": 0.279, \"Religious\": 0.449, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.093, \"Married\": 0.575, \"Longitude\": -77.2385025024414, \"Latitude\": 41.2774848937988}, {\"ID\": 19000, \"Name\": \"Allentown\", \"Mobility\": 0.0826314986, \"State\": \"PA\", \"Population\": 637958, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.214, \"Seg_income\": 0.082, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.094, \"Commute\": 0.329, \"Income\": 39894, \"Gini\": 0.402, \"Share01\": 12.055, \"Gini_99\": 0.281, \"Middle_class\": 0.53, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2217.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.449, \"Student_teacher_ratio\": 19.3, \"Test_scores\": 0.125, \"HS_dropout\": -0.007, \"Colleges\": 0.02, \"Tuition\": 14658.0, \"Graduation\": 0.037, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.206, \"Chinese_imports\": 1.102, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.02, \"Foreign_born\": 0.051, \"Social_capital\": 0.448, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.084, \"Married\": 0.567, \"Longitude\": -75.4598083496094, \"Latitude\": 40.8401222229004}, {\"ID\": 19100, \"Name\": \"Reading\", \"Mobility\": 0.0963095427, \"State\": \"PA\", \"Population\": 1114959, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.262, \"Seg_income\": 0.066, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.062, \"Commute\": 0.344, \"Income\": 38217, \"Gini\": 0.372, \"Share01\": 10.983, \"Gini_99\": 0.262, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1807.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.694, \"Student_teacher_ratio\": 19.1, \"Test_scores\": 2.944, \"HS_dropout\": -0.001, \"Colleges\": 0.019, \"Tuition\": 8790.0, \"Graduation\": 0.144, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.234, \"Chinese_imports\": 2.03, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.032, \"Social_capital\": 0.548, \"Religious\": 0.538, \"Violent_crime\": 0.002, \"Single_mothers\": 0.17, \"Divorced\": 0.079, \"Married\": 0.583, \"Longitude\": -76.2531967163086, \"Latitude\": 40.153995513916}, {\"ID\": 19200, \"Name\": \"Harrisburg\", \"Mobility\": 0.0792682916, \"State\": \"PA\", \"Population\": 1051424, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.278, \"Seg_income\": 0.06, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.062, \"Commute\": 0.314, \"Income\": 38699, \"Gini\": 0.37, \"Share01\": 11.141, \"Gini_99\": 0.258, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1909.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.256, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 0.608, \"HS_dropout\": -0.002, \"Colleges\": 0.018, \"Tuition\": 8336.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.178, \"Chinese_imports\": 1.804, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.013, \"Foreign_born\": 0.028, \"Social_capital\": 0.683, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.583, \"Longitude\": -77.1747894287109, \"Latitude\": 40.3097534179688}, {\"ID\": 19300, \"Name\": \"Poughkeepsie\", \"Mobility\": 0.0948357806, \"State\": \"NY\", \"Population\": 873232, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.142, \"Seg_income\": 0.07, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.068, \"Commute\": 0.301, \"Income\": 39707, \"Gini\": 0.39, \"Share01\": 9.621, \"Gini_99\": 0.293, \"Middle_class\": 0.482, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3085.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.084, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 2.093, \"HS_dropout\": -0.012, \"Colleges\": 0.014, \"Tuition\": 8390.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.941, \"Teenage_labor\": 0.005, \"Migration_in\": 0.026, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": -0.759, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.183, \"Divorced\": 0.079, \"Married\": 0.557, \"Longitude\": -74.4587554931641, \"Latitude\": 41.7227630615234}, {\"ID\": 19400, \"Name\": \"New York\", \"Mobility\": 0.1050008386, \"State\": \"NY\", \"Population\": 11781395, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.382, \"Seg_income\": 0.132, \"Seg_poverty\": 0.114, \"Seg_affluence\": 0.141, \"Commute\": 0.156, \"Income\": 45509, \"Gini\": 0.684, \"Share01\": 29.143, \"Gini_99\": 0.393, \"Middle_class\": 0.44, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3483.0, \"Progressivity\": 0.0, \"EITC\": 6.905, \"School_spending\": 9.949, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -1.449, \"HS_dropout\": 0.013, \"Colleges\": 0.012, \"Tuition\": 9269.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.779, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.022, \"Foreign_born\": 0.296, \"Social_capital\": -1.108, \"Religious\": 0.635, \"Violent_crime\": 0.004, \"Single_mothers\": 0.278, \"Divorced\": 0.073, \"Married\": 0.481, \"Longitude\": -73.4934310913086, \"Latitude\": 40.8868293762207}, {\"ID\": 19500, \"Name\": \"Toms River\", \"Mobility\": 0.1222978607, \"State\": \"NJ\", \"Population\": 1126217, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.198, \"Seg_income\": 0.109, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.118, \"Commute\": 0.263, \"Income\": 54036, \"Gini\": 0.407, \"Share01\": 15.42, \"Gini_99\": 0.253, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2632.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 5.938, \"HS_dropout\": -0.012, \"Colleges\": 0.001, \"Tuition\": 4100.0, \"Graduation\": -0.246, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.081, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.025, \"Foreign_born\": 0.087, \"Social_capital\": -0.56, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.075, \"Married\": 0.587, \"Longitude\": -74.3227462768555, \"Latitude\": 40.027587890625}, {\"ID\": 19600, \"Name\": \"Newark\", \"Mobility\": 0.1024259701, \"State\": \"NJ\", \"Population\": 5822286, \"Urban\": 1, \"Black\": 0.138, \"Seg_racial\": 0.323, \"Seg_income\": 0.118, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.131, \"Commute\": 0.234, \"Income\": 51373, \"Gini\": 0.518, \"Share01\": 19.205, \"Gini_99\": 0.325, \"Middle_class\": 0.401, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2782.0, \"Progressivity\": 7.22, \"EITC\": 1.19, \"School_spending\": null, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -0.599, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 7282.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.13, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.024, \"Foreign_born\": 0.227, \"Social_capital\": -0.466, \"Religious\": 0.611, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.072, \"Married\": 0.542, \"Longitude\": -74.6487045288086, \"Latitude\": 40.7106246948242}, {\"ID\": 19700, \"Name\": \"Philadelphia\", \"Mobility\": 0.0740116686, \"State\": \"PA\", \"Population\": 5602247, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.376, \"Seg_income\": 0.122, \"Seg_poverty\": 0.111, \"Seg_affluence\": 0.13, \"Commute\": 0.246, \"Income\": 43746, \"Gini\": 0.491, \"Share01\": 15.29, \"Gini_99\": 0.338, \"Middle_class\": 0.461, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2877.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.967, \"Student_teacher_ratio\": 18.7, \"Test_scores\": -3.101, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 10851.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.117, \"Chinese_imports\": 0.778, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.071, \"Social_capital\": 0.068, \"Religious\": 0.561, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.08, \"Married\": 0.512, \"Longitude\": -75.3061828613281, \"Latitude\": 39.8666076660156}, {\"ID\": 19800, \"Name\": \"Wilmington\", \"Mobility\": 0.0657239258, \"State\": \"DE\", \"Population\": 586216, \"Urban\": 1, \"Black\": 0.176, \"Seg_racial\": 0.216, \"Seg_income\": 0.091, \"Seg_poverty\": 0.078, \"Seg_affluence\": 0.1, \"Commute\": 0.251, \"Income\": 44620, \"Gini\": 0.427, \"Share01\": 13.844, \"Gini_99\": 0.289, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1737.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 7.584, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -3.338, \"HS_dropout\": 0.006, \"Colleges\": 0.012, \"Tuition\": 4385.0, \"Graduation\": 0.051, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.54, \"Teenage_labor\": 0.005, \"Migration_in\": 0.028, \"Migration_out\": 0.024, \"Foreign_born\": 0.059, \"Social_capital\": 0.111, \"Religious\": 0.435, \"Violent_crime\": 0.004, \"Single_mothers\": 0.23, \"Divorced\": 0.097, \"Married\": 0.531, \"Longitude\": -75.7440795898438, \"Latitude\": 39.5715065002441}, {\"ID\": 19901, \"Name\": \"Dover\", \"Mobility\": 0.0625960082, \"State\": \"DE\", \"Population\": 439269, \"Urban\": 1, \"Black\": 0.196, \"Seg_racial\": 0.131, \"Seg_income\": 0.03, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.029, \"Commute\": 0.358, \"Income\": 36398, \"Gini\": 0.449, \"Share01\": 9.882, \"Gini_99\": 0.35, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1965.0, \"Progressivity\": 0.75, \"EITC\": 0.0, \"School_spending\": 6.835, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 5.869, \"HS_dropout\": 0.001, \"Colleges\": 0.018, \"Tuition\": 5194.0, \"Graduation\": -0.025, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.426, \"Teenage_labor\": 0.006, \"Migration_in\": 0.027, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.757, \"Religious\": 0.368, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.097, \"Married\": 0.557, \"Longitude\": -75.5329818725586, \"Latitude\": 38.5384826660156}, {\"ID\": 19902, \"Name\": \"Easton\", \"Mobility\": 0.0626359284, \"State\": \"MD\", \"Population\": 154018, \"Urban\": 1, \"Black\": 0.163, \"Seg_racial\": 0.111, \"Seg_income\": 0.056, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.064, \"Commute\": 0.32, \"Income\": 43805, \"Gini\": 0.48, \"Share01\": 14.508, \"Gini_99\": 0.335, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1702.0, \"Progressivity\": 1.0, \"EITC\": 11.429, \"School_spending\": 6.562, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 0.006, \"HS_dropout\": -0.001, \"Colleges\": 0.013, \"Tuition\": 14255.0, \"Graduation\": 0.003, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.394, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": -0.476, \"Religious\": 0.43, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.091, \"Married\": 0.577, \"Longitude\": -76.0423736572266, \"Latitude\": 38.7869148254395}, {\"ID\": 19903, \"Name\": \"Chincoteague\", \"Mobility\": 0.0445141047, \"State\": \"VA\", \"Population\": 51398, \"Urban\": 0, \"Black\": 0.343, \"Seg_racial\": 0.084, \"Seg_income\": 0.007, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.009, \"Commute\": 0.393, \"Income\": 31562, \"Gini\": 0.477, \"Share01\": 11.521, \"Gini_99\": 0.362, \"Middle_class\": 0.399, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1947.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.638, \"Student_teacher_ratio\": null, \"Test_scores\": 5.172, \"HS_dropout\": 0.023, \"Colleges\": 0.019, \"Tuition\": 1114.0, \"Graduation\": -0.059, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.164, \"Chinese_imports\": 0.432, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.04, \"Social_capital\": -0.453, \"Religious\": 0.339, \"Violent_crime\": 0.002, \"Single_mothers\": 0.293, \"Divorced\": 0.085, \"Married\": 0.536, \"Longitude\": -75.6961898803711, \"Latitude\": 37.6719169616699}, {\"ID\": 20001, \"Name\": \"Bangor\", \"Mobility\": 0.0809096843, \"State\": \"ME\", \"Population\": 289843, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.065, \"Seg_income\": 0.028, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.03, \"Commute\": 0.403, \"Income\": 32900, \"Gini\": 0.397, \"Share01\": 8.898, \"Gini_99\": 0.308, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1720.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.669, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.767, \"HS_dropout\": -0.007, \"Colleges\": 0.024, \"Tuition\": 4991.0, \"Graduation\": 0.141, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.121, \"Chinese_imports\": 2.789, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.392, \"Religious\": 0.292, \"Violent_crime\": 0.001, \"Single_mothers\": 0.207, \"Divorced\": 0.118, \"Married\": 0.561, \"Longitude\": -69.0667114257812, \"Latitude\": 44.9682998657227}, {\"ID\": 20002, \"Name\": \"Calais\", \"Mobility\": 0.0680272132, \"State\": \"ME\", \"Population\": 33941, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.196, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.493, \"Income\": 26505, \"Gini\": 0.377, \"Share01\": 6.18, \"Gini_99\": 0.316, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1529.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 7.988, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 4.963, \"HS_dropout\": -0.009, \"Colleges\": 0.059, \"Tuition\": 2701.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.04, \"Social_capital\": -0.723, \"Religious\": 0.259, \"Violent_crime\": 0.001, \"Single_mothers\": 0.213, \"Divorced\": 0.114, \"Married\": 0.565, \"Longitude\": -67.6050033569336, \"Latitude\": 44.9989395141602}, {\"ID\": 20003, \"Name\": \"Presque Isle\", \"Mobility\": 0.0855855867, \"State\": \"ME\", \"Population\": 73938, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.057, \"Seg_income\": 0.008, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.512, \"Income\": 27952, \"Gini\": 0.368, \"Share01\": 7.492, \"Gini_99\": 0.293, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1769.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.823, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.045, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.02, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.125, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.059, \"Social_capital\": -0.661, \"Religious\": 0.608, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -68.5269775390625, \"Latitude\": 46.3964767456055}, {\"ID\": 20100, \"Name\": \"Portland\", \"Mobility\": 0.0805980191, \"State\": \"ME\", \"Population\": 690459, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.054, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.055, \"Commute\": 0.363, \"Income\": 37252, \"Gini\": 0.439, \"Share01\": 13.348, \"Gini_99\": 0.306, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.234, \"School_spending\": 6.85, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 2.793, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 3538.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.141, \"Chinese_imports\": 2.669, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.028, \"Social_capital\": 0.334, \"Religious\": 0.365, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.118, \"Married\": 0.555, \"Longitude\": -69.9392471313477, \"Latitude\": 44.7340354919434}, {\"ID\": 20200, \"Name\": \"Burlington\", \"Mobility\": 0.0931878537, \"State\": \"VT\", \"Population\": 321496, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.044, \"Seg_income\": 0.062, \"Seg_poverty\": 0.058, \"Seg_affluence\": 0.067, \"Commute\": 0.366, \"Income\": 37131, \"Gini\": 0.405, \"Share01\": 11.589, \"Gini_99\": 0.289, \"Middle_class\": 0.558, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1866.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 9.101, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 6.641, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 12201.0, \"Graduation\": 0.239, \"Labor_force_participation\": 0.706, \"Manufacturing\": 0.161, \"Chinese_imports\": 1.427, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.044, \"Social_capital\": 0.451, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.1, \"Married\": 0.542, \"Longitude\": -73.0345230102539, \"Latitude\": 44.0672149658203}, {\"ID\": 20301, \"Name\": \"Berlin\", \"Mobility\": 0.083530806, \"State\": \"VT\", \"Population\": 95549, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.018, \"Seg_income\": 0.014, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.013, \"Commute\": 0.433, \"Income\": 31204, \"Gini\": 0.38, \"Share01\": 10.699, \"Gini_99\": 0.273, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1842.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 7.825, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 3.676, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.024, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.193, \"Chinese_imports\": 1.802, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.012, \"Foreign_born\": 0.04, \"Social_capital\": 0.509, \"Religious\": 0.488, \"Violent_crime\": 0.0, \"Single_mothers\": 0.208, \"Divorced\": 0.112, \"Married\": 0.571, \"Longitude\": -71.7748870849609, \"Latitude\": 44.4993209838867}, {\"ID\": 20302, \"Name\": \"Claremont\", \"Mobility\": 0.078877002, \"State\": \"VT\", \"Population\": 265884, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.041, \"Seg_income\": 0.03, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.037, \"Commute\": 0.383, \"Income\": 38571, \"Gini\": 0.404, \"Share01\": 11.609, \"Gini_99\": 0.288, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 1940.0, \"Progressivity\": 5.9, \"EITC\": 21.333, \"School_spending\": 8.352, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 6.585, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 16323.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.143, \"Chinese_imports\": 2.416, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.017, \"Foreign_born\": 0.033, \"Social_capital\": 1.026, \"Religious\": 0.332, \"Violent_crime\": 0.0, \"Single_mothers\": 0.193, \"Divorced\": 0.11, \"Married\": 0.557, \"Longitude\": -72.2651672363281, \"Latitude\": 43.8187103271484}, {\"ID\": 20401, \"Name\": \"Providence\", \"Mobility\": 0.0820953399, \"State\": \"RI\", \"Population\": 1582997, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.23, \"Seg_income\": 0.089, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.092, \"Commute\": 0.328, \"Income\": 39543, \"Gini\": 0.426, \"Share01\": 13.552, \"Gini_99\": 0.291, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1879.0, \"Progressivity\": 6.15, \"EITC\": 19.048, \"School_spending\": 7.203, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -2.206, \"HS_dropout\": 0.008, \"Colleges\": 0.004, \"Tuition\": 11924.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.171, \"Chinese_imports\": 2.592, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.115, \"Social_capital\": -0.389, \"Religious\": 0.623, \"Violent_crime\": 0.002, \"Single_mothers\": 0.248, \"Divorced\": 0.092, \"Married\": 0.524, \"Longitude\": -71.3598098754883, \"Latitude\": 41.6681175231934}, {\"ID\": 20402, \"Name\": \"Nantucket\", \"Mobility\": 0.0810810775, \"State\": \"MA\", \"Population\": 9520, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.035, \"Seg_income\": 0.01, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.003, \"Commute\": 0.818, \"Income\": 49651, \"Gini\": 0.364, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 4868.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.164, \"Student_teacher_ratio\": null, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.74, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.08, \"Social_capital\": 7.305, \"Religious\": 0.383, \"Violent_crime\": 0.002, \"Single_mothers\": 0.179, \"Divorced\": 0.121, \"Married\": 0.479, \"Longitude\": -70.063362121582, \"Latitude\": 41.3039436340332}, {\"ID\": 20403, \"Name\": \"Oak Bluffs\", \"Mobility\": 0.0676691756, \"State\": \"MA\", \"Population\": 14987, \"Urban\": 0, \"Black\": 0.023, \"Seg_racial\": 0.016, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.003, \"Commute\": 0.576, \"Income\": 48059, \"Gini\": 0.403, \"Share01\": 10.469, \"Gini_99\": 0.299, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3752.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": null, \"Student_teacher_ratio\": null, \"Test_scores\": 17.311, \"HS_dropout\": -0.001, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.036, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.011, \"Foreign_born\": 0.063, \"Social_capital\": 4.994, \"Religious\": 0.86, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.126, \"Married\": 0.515, \"Longitude\": -70.6558151245117, \"Latitude\": 41.390796661377}, {\"ID\": 20500, \"Name\": \"Boston\", \"Mobility\": 0.1048499793, \"State\": \"MA\", \"Population\": 4974945, \"Urban\": 1, \"Black\": 0.054, \"Seg_racial\": 0.264, \"Seg_income\": 0.093, \"Seg_poverty\": 0.075, \"Seg_affluence\": 0.107, \"Commute\": 0.251, \"Income\": 49445, \"Gini\": 0.477, \"Share01\": 21.448, \"Gini_99\": 0.263, \"Middle_class\": 0.444, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.89, \"Student_teacher_ratio\": null, \"Test_scores\": 4.084, \"HS_dropout\": 0.001, \"Colleges\": 0.008, \"Tuition\": 15931.0, \"Graduation\": -0.002, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.12, \"Chinese_imports\": 1.555, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.022, \"Foreign_born\": 0.132, \"Social_capital\": 0.298, \"Religious\": 0.652, \"Violent_crime\": 0.003, \"Single_mothers\": 0.206, \"Divorced\": 0.08, \"Married\": 0.518, \"Longitude\": -71.188606262207, \"Latitude\": 42.212329864502}, {\"ID\": 20600, \"Name\": \"Manchester\", \"Mobility\": 0.1001517475, \"State\": \"NH\", \"Population\": 1193391, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.084, \"Commute\": 0.301, \"Income\": 43530, \"Gini\": 0.38, \"Share01\": 12.697, \"Gini_99\": 0.253, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1804.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.546, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.63, \"HS_dropout\": 0.017, \"Colleges\": 0.008, \"Tuition\": 8732.0, \"Graduation\": 0.018, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.182, \"Chinese_imports\": 1.866, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.044, \"Social_capital\": -0.262, \"Religious\": 0.485, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -71.297737121582, \"Latitude\": 43.4739837646484}, {\"ID\": 20700, \"Name\": \"Keene\", \"Mobility\": 0.0901116431, \"State\": \"NH\", \"Population\": 118041, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.024, \"Seg_income\": 0.025, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.023, \"Commute\": 0.407, \"Income\": 37048, \"Gini\": 0.478, \"Share01\": 24.837, \"Gini_99\": 0.229, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.513, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 1.881, \"HS_dropout\": 0.015, \"Colleges\": 0.017, \"Tuition\": 4732.0, \"Graduation\": 0.059, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.159, \"Chinese_imports\": 1.616, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.017, \"Foreign_born\": 0.025, \"Social_capital\": 0.684, \"Religious\": 0.293, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.107, \"Married\": 0.545, \"Longitude\": -72.474739074707, \"Latitude\": 43.0325889587402}, {\"ID\": 20800, \"Name\": \"Springfield\", \"Mobility\": 0.0680504739, \"State\": \"MA\", \"Population\": 680014, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.295, \"Seg_income\": 0.079, \"Seg_poverty\": 0.08, \"Seg_affluence\": 0.075, \"Commute\": 0.342, \"Income\": 36671, \"Gini\": 0.413, \"Share01\": 10.672, \"Gini_99\": 0.307, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2420.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 7.855, \"Student_teacher_ratio\": null, \"Test_scores\": -0.369, \"HS_dropout\": 0.007, \"Colleges\": 0.012, \"Tuition\": 7485.0, \"Graduation\": 0.13, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.148, \"Chinese_imports\": 3.403, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.067, \"Social_capital\": 0.235, \"Religious\": 0.586, \"Violent_crime\": 0.003, \"Single_mothers\": 0.286, \"Divorced\": 0.095, \"Married\": 0.486, \"Longitude\": -72.6502075195312, \"Latitude\": 42.3591499328613}, {\"ID\": 20901, \"Name\": \"Bridgeport\", \"Mobility\": 0.0786178932, \"State\": \"CT\", \"Population\": 3405565, \"Urban\": 1, \"Black\": 0.087, \"Seg_racial\": 0.269, \"Seg_income\": 0.117, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.13, \"Commute\": 0.308, \"Income\": 53281, \"Gini\": 0.49, \"Share01\": 21.68, \"Gini_99\": 0.274, \"Middle_class\": 0.438, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2476.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.888, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -4.993, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 9747.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.271, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.109, \"Social_capital\": 0.493, \"Religious\": 0.579, \"Violent_crime\": 0.002, \"Single_mothers\": 0.217, \"Divorced\": 0.093, \"Married\": 0.55, \"Longitude\": -72.6092910766602, \"Latitude\": 41.6280708312988}, {\"ID\": 20902, \"Name\": \"Pittsfield\", \"Mobility\": 0.0865191147, \"State\": \"MA\", \"Population\": 171947, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.067, \"Seg_income\": 0.052, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.053, \"Commute\": 0.479, \"Income\": 41091, \"Gini\": 0.437, \"Share01\": 13.776, \"Gini_99\": 0.299, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1669.0, \"Progressivity\": 0.0, \"EITC\": 3.571, \"School_spending\": 8.124, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 4.525, \"HS_dropout\": 0.015, \"Colleges\": 0.006, \"Tuition\": 24619.0, \"Graduation\": 0.174, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.701, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 0.951, \"Religious\": 0.624, \"Violent_crime\": 0.002, \"Single_mothers\": 0.238, \"Divorced\": 0.104, \"Married\": 0.534, \"Longitude\": -73.0525436401367, \"Latitude\": 42.6944618225098}, {\"ID\": 21001, \"Name\": \"Ashland\", \"Mobility\": 0.0910326093, \"State\": \"WI\", \"Population\": 47701, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.236, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.009, \"Commute\": 0.533, \"Income\": 32218, \"Gini\": 0.32, \"Share01\": 7.108, \"Gini_99\": 0.249, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2725.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.119, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.588, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 14415.0, \"Graduation\": 0.234, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.231, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 1.525, \"Religious\": 0.583, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.576, \"Longitude\": -90.6493072509766, \"Latitude\": 46.1779747009277}, {\"ID\": 21002, \"Name\": \"Houghton\", \"Mobility\": 0.1022727266, \"State\": \"MI\", \"Population\": 47063, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.01, \"Commute\": 0.55, \"Income\": 26975, \"Gini\": 0.376, \"Share01\": 12.232, \"Gini_99\": 0.254, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2240.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.434, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 7.375, \"HS_dropout\": null, \"Colleges\": 0.042, \"Tuition\": 4935.0, \"Graduation\": 0.23, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.006, \"Foreign_born\": 0.023, \"Social_capital\": 0.46, \"Religious\": 0.502, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.485, \"Longitude\": -88.5094833374023, \"Latitude\": 47.1474723815918}, {\"ID\": 21003, \"Name\": \"Ironwood\", \"Mobility\": 0.1213872805, \"State\": \"MI\", \"Population\": 32049, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.159, \"Seg_income\": 0.012, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.554, \"Income\": 32111, \"Gini\": 0.332, \"Share01\": 6.552, \"Gini_99\": 0.266, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 3036.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.902, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 8.369, \"HS_dropout\": null, \"Colleges\": 0.031, \"Tuition\": 1922.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.143, \"Chinese_imports\": 0.262, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.004, \"Foreign_born\": 0.014, \"Social_capital\": 1.087, \"Religious\": 0.552, \"Violent_crime\": 0.0, \"Single_mothers\": 0.203, \"Divorced\": 0.094, \"Married\": 0.578, \"Longitude\": -89.6147308349609, \"Latitude\": 46.4919624328613}, {\"ID\": 21004, \"Name\": \"Rhinelander\", \"Mobility\": 0.1062801927, \"State\": \"WI\", \"Population\": 67833, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.198, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.509, \"Income\": 37115, \"Gini\": 0.403, \"Share01\": 10.478, \"Gini_99\": 0.299, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2512.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.827, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 2.187, \"HS_dropout\": null, \"Colleges\": 0.015, \"Tuition\": 2018.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 1.928, \"Religious\": 0.593, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.616, \"Longitude\": -89.0856475830078, \"Latitude\": 45.8335456848145}, {\"ID\": 21101, \"Name\": \"Rice Lake\", \"Mobility\": 0.1015262082, \"State\": \"WI\", \"Population\": 92542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.185, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.006, \"Commute\": 0.499, \"Income\": 33974, \"Gini\": 0.407, \"Share01\": 14.031, \"Gini_99\": 0.267, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2679.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.359, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.642, \"HS_dropout\": -0.027, \"Colleges\": 0.032, \"Tuition\": 3003.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.762, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 1.542, \"Religious\": 0.568, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.097, \"Married\": 0.598, \"Longitude\": -91.4096221923828, \"Latitude\": 45.6672897338867}, {\"ID\": 21102, \"Name\": \"Amery\", \"Mobility\": 0.1285500675, \"State\": \"WI\", \"Population\": 56993, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.066, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.024, \"Commute\": 0.356, \"Income\": 36392, \"Gini\": 0.311, \"Share01\": 7.72, \"Gini_99\": 0.233, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.83, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 7.446, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.266, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.01, \"Social_capital\": 1.572, \"Religious\": 0.522, \"Violent_crime\": 0.0, \"Single_mothers\": 0.163, \"Divorced\": 0.101, \"Married\": 0.601, \"Longitude\": -92.5343780517578, \"Latitude\": 45.7065849304199}, {\"ID\": 21201, \"Name\": \"Hutchinson\", \"Mobility\": 0.1770657599, \"State\": \"MN\", \"Population\": 72898, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.012, \"Commute\": 0.464, \"Income\": 37753, \"Gini\": 0.272, \"Share01\": 6.513, \"Gini_99\": 0.207, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3364.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 5.951, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.678, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.305, \"Chinese_imports\": 8.387, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.023, \"Foreign_born\": 0.019, \"Social_capital\": 1.706, \"Religious\": 0.791, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.068, \"Married\": 0.623, \"Longitude\": -94.2248153686523, \"Latitude\": 44.8072204589844}, {\"ID\": 21202, \"Name\": \"Redwood Falls\", \"Mobility\": 0.1971831024, \"State\": \"MN\", \"Population\": 33969, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.098, \"Seg_income\": 0.005, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.571, \"Income\": 37685, \"Gini\": 0.285, \"Share01\": 7.039, \"Gini_99\": 0.214, \"Middle_class\": 0.689, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2928.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.256, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.455, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 2.83, \"Religious\": 0.874, \"Violent_crime\": 0.002, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.615, \"Longitude\": -95.0502319335938, \"Latitude\": 44.5783004760742}, {\"ID\": 21301, \"Name\": \"Mankato\", \"Mobility\": 0.1263440847, \"State\": \"MN\", \"Population\": 149925, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.113, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.036, \"Commute\": 0.563, \"Income\": 34778, \"Gini\": 0.303, \"Share01\": 10.199, \"Gini_99\": 0.201, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2663.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.464, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 6.834, \"HS_dropout\": -0.014, \"Colleges\": 0.04, \"Tuition\": 5858.0, \"Graduation\": 0.121, \"Labor_force_participation\": 0.717, \"Manufacturing\": 0.216, \"Chinese_imports\": 0.989, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.028, \"Social_capital\": 2.004, \"Religious\": 0.701, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.067, \"Married\": 0.552, \"Longitude\": -94.4642868041992, \"Latitude\": 44.210090637207}, {\"ID\": 21302, \"Name\": \"Owatonna\", \"Mobility\": 0.137931034, \"State\": \"MN\", \"Population\": 109871, \"Urban\": 0, \"Black\": 0.014, \"Seg_racial\": 0.085, \"Seg_income\": 0.025, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.027, \"Commute\": 0.544, \"Income\": 35164, \"Gini\": 0.28, \"Share01\": 8.304, \"Gini_99\": 0.197, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2862.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.047, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 6.546, \"HS_dropout\": 0.002, \"Colleges\": 0.027, \"Tuition\": 20533.0, \"Graduation\": 0.454, \"Labor_force_participation\": 0.705, \"Manufacturing\": 0.232, \"Chinese_imports\": 1.749, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.021, \"Foreign_born\": 0.038, \"Social_capital\": 1.71, \"Religious\": 0.726, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.08, \"Married\": 0.579, \"Longitude\": -93.3868789672852, \"Latitude\": 44.1446380615234}, {\"ID\": 21400, \"Name\": \"St. Cloud\", \"Mobility\": 0.1268896013, \"State\": \"MN\", \"Population\": 254139, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.094, \"Seg_income\": 0.056, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.053, \"Commute\": 0.398, \"Income\": 35324, \"Gini\": 0.318, \"Share01\": 9.355, \"Gini_99\": 0.224, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2480.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.503, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 6.546, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 6714.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.732, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.79, \"Teenage_labor\": 0.006, \"Migration_in\": 0.038, \"Migration_out\": 0.026, \"Foreign_born\": 0.019, \"Social_capital\": 0.717, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.071, \"Married\": 0.569, \"Longitude\": -94.0343246459961, \"Latitude\": 45.5808372497559}, {\"ID\": 21501, \"Name\": \"Minneapolis\", \"Mobility\": 0.0852011293, \"State\": \"MN\", \"Population\": 2904389, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.193, \"Seg_income\": 0.104, \"Seg_poverty\": 0.1, \"Seg_affluence\": 0.104, \"Commute\": 0.264, \"Income\": 47071, \"Gini\": 0.375, \"Share01\": 15.617, \"Gini_99\": 0.219, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 3365.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 8.069, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 0.449, \"HS_dropout\": 0.012, \"Colleges\": 0.016, \"Tuition\": 6501.0, \"Graduation\": -0.076, \"Labor_force_participation\": 0.743, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.04, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.072, \"Social_capital\": 1.348, \"Religious\": 0.569, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.093, \"Married\": 0.549, \"Longitude\": -93.2317886352539, \"Latitude\": 45.0522193908691}, {\"ID\": 21502, \"Name\": \"Pine City\", \"Mobility\": 0.1096979305, \"State\": \"MN\", \"Population\": 41526, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.099, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.342, \"Income\": 32880, \"Gini\": 0.313, \"Share01\": 6.585, \"Gini_99\": 0.247, \"Middle_class\": 0.644, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2762.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.613, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 2.736, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 2240.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.71, \"Teenage_labor\": 0.006, \"Migration_in\": 0.037, \"Migration_out\": 0.026, \"Foreign_born\": 0.011, \"Social_capital\": 0.996, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.103, \"Married\": 0.588, \"Longitude\": -92.7871551513672, \"Latitude\": 45.988410949707}, {\"ID\": 21600, \"Name\": \"Brainerd\", \"Mobility\": 0.0842745453, \"State\": \"MN\", \"Population\": 141542, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.226, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.02, \"Commute\": 0.42, \"Income\": 35545, \"Gini\": 0.396, \"Share01\": 9.384, \"Gini_99\": 0.302, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3062.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.687, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 9.205, \"HS_dropout\": 0.018, \"Colleges\": 0.021, \"Tuition\": 2234.0, \"Graduation\": -0.013, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.125, \"Chinese_imports\": 0.633, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": 1.698, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.097, \"Married\": 0.61, \"Longitude\": -94.1722030639648, \"Latitude\": 46.6966896057129}, {\"ID\": 21701, \"Name\": \"Rochester\", \"Mobility\": 0.1421598494, \"State\": \"MN\", \"Population\": 228867, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.112, \"Seg_income\": 0.061, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.072, \"Commute\": 0.469, \"Income\": 42380, \"Gini\": 0.338, \"Share01\": 12.408, \"Gini_99\": 0.214, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3284.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.66, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 7.357, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1931.0, \"Graduation\": -0.23, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.168, \"Chinese_imports\": 7.66, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.049, \"Social_capital\": 2.063, \"Religious\": 0.708, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.079, \"Married\": 0.613, \"Longitude\": -92.4435501098633, \"Latitude\": 44.2314186096191}, {\"ID\": 21702, \"Name\": \"Austin\", \"Mobility\": 0.1177325547, \"State\": \"MN\", \"Population\": 71187, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.039, \"Commute\": 0.555, \"Income\": 38505, \"Gini\": 0.282, \"Share01\": 5.818, \"Gini_99\": 0.224, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 4542.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.479, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 3.989, \"HS_dropout\": 0.012, \"Colleges\": 0.014, \"Tuition\": 2594.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.238, \"Chinese_imports\": 0.804, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 2.541, \"Religious\": 0.758, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -93.0618896484375, \"Latitude\": 43.6721839904785}, {\"ID\": 21801, \"Name\": \"Mason City\", \"Mobility\": 0.1265984625, \"State\": \"IA\", \"Population\": 78179, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.032, \"Seg_income\": 0.016, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.58, \"Income\": 36400, \"Gini\": 0.321, \"Share01\": 9.048, \"Gini_99\": 0.23, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2124.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.795, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.24, \"HS_dropout\": -0.026, \"Colleges\": 0.038, \"Tuition\": 5257.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.229, \"Chinese_imports\": 2.315, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.015, \"Social_capital\": 2.127, \"Religious\": 0.724, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.091, \"Married\": 0.59, \"Longitude\": -93.4568328857422, \"Latitude\": 43.2174186706543}, {\"ID\": 21802, \"Name\": \"Decorah\", \"Mobility\": 0.1657142788, \"State\": \"IA\", \"Population\": 72111, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.542, \"Income\": 34000, \"Gini\": 0.303, \"Share01\": 9.119, \"Gini_99\": 0.212, \"Middle_class\": 0.698, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2420.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.926, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 10.219, \"HS_dropout\": -0.025, \"Colleges\": 0.028, \"Tuition\": 9547.0, \"Graduation\": 0.124, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.213, \"Chinese_imports\": 0.321, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 2.055, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.14, \"Divorced\": 0.065, \"Married\": 0.602, \"Longitude\": -92.3541717529297, \"Latitude\": 43.2467956542969}, {\"ID\": 21900, \"Name\": \"Marshalltown\", \"Mobility\": 0.1126346737, \"State\": \"IA\", \"Population\": 113442, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.174, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.033, \"Commute\": 0.535, \"Income\": 35247, \"Gini\": 0.309, \"Share01\": 9.287, \"Gini_99\": 0.216, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2080.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.155, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.602, \"HS_dropout\": -0.015, \"Colleges\": 0.018, \"Tuition\": 11892.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.235, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.035, \"Social_capital\": 1.578, \"Religious\": 0.534, \"Violent_crime\": 0.002, \"Single_mothers\": 0.176, \"Divorced\": 0.098, \"Married\": 0.603, \"Longitude\": -92.8246612548828, \"Latitude\": 41.8321647644043}, {\"ID\": 22001, \"Name\": \"Waterloo\", \"Mobility\": 0.1224658638, \"State\": \"IA\", \"Population\": 222112, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.264, \"Seg_income\": 0.041, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.492, \"Income\": 34720, \"Gini\": 0.348, \"Share01\": 9.541, \"Gini_99\": 0.253, \"Middle_class\": 0.592, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2231.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.214, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.667, \"HS_dropout\": -0.011, \"Colleges\": 0.027, \"Tuition\": 4904.0, \"Graduation\": 0.164, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.581, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.026, \"Social_capital\": 1.346, \"Religious\": 0.665, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.08, \"Married\": 0.564, \"Longitude\": -92.3131866455078, \"Latitude\": 42.5283737182617}, {\"ID\": 22002, \"Name\": \"Iowa Falls\", \"Mobility\": 0.1357615888, \"State\": \"IA\", \"Population\": 29516, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.083, \"Seg_income\": 0.009, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.007, \"Commute\": 0.561, \"Income\": 36422, \"Gini\": 0.303, \"Share01\": 9.269, \"Gini_99\": 0.21, \"Middle_class\": 0.71, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2495.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.982, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 3.677, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": -0.068, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.164, \"Chinese_imports\": 2.879, \"Teenage_labor\": 0.007, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.026, \"Social_capital\": 2.434, \"Religious\": 0.729, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.071, \"Married\": 0.612, \"Longitude\": -93.2544174194336, \"Latitude\": 42.5082550048828}, {\"ID\": 22100, \"Name\": \"Iowa City\", \"Mobility\": 0.0931849778, \"State\": \"IA\", \"Population\": 203768, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.135, \"Seg_income\": 0.073, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.075, \"Commute\": 0.432, \"Income\": 35558, \"Gini\": 0.368, \"Share01\": 12.979, \"Gini_99\": 0.238, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2221.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.944, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 2.004, \"HS_dropout\": 0.0, \"Colleges\": 0.005, \"Tuition\": 2906.0, \"Graduation\": 0.226, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.767, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.025, \"Foreign_born\": 0.053, \"Social_capital\": 0.859, \"Religious\": 0.432, \"Violent_crime\": 0.002, \"Single_mothers\": 0.159, \"Divorced\": 0.084, \"Married\": 0.526, \"Longitude\": -91.2396545410156, \"Latitude\": 41.4012718200684}, {\"ID\": 22200, \"Name\": \"Cedar Rapids\", \"Mobility\": 0.1173184365, \"State\": \"IA\", \"Population\": 252901, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.082, \"Seg_income\": 0.056, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.065, \"Commute\": 0.42, \"Income\": 40330, \"Gini\": 0.335, \"Share01\": 10.673, \"Gini_99\": 0.228, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2109.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.973, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 3.361, \"HS_dropout\": -0.021, \"Colleges\": 0.02, \"Tuition\": 6043.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.775, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.021, \"Social_capital\": 1.241, \"Religious\": 0.58, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.097, \"Married\": 0.581, \"Longitude\": -91.6312637329102, \"Latitude\": 41.9913520812988}, {\"ID\": 22300, \"Name\": \"Ottumwa\", \"Mobility\": 0.1244979948, \"State\": \"IA\", \"Population\": 142385, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.055, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.037, \"Commute\": 0.493, \"Income\": 33871, \"Gini\": 0.379, \"Share01\": 12.797, \"Gini_99\": 0.251, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2149.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.09, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 3.07, \"HS_dropout\": -0.01, \"Colleges\": 0.035, \"Tuition\": 6514.0, \"Graduation\": 0.033, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.245, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.017, \"Social_capital\": 1.372, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.098, \"Married\": 0.595, \"Longitude\": -92.4260864257812, \"Latitude\": 41.0566139221191}, {\"ID\": 22400, \"Name\": \"Sheboygan\", \"Mobility\": 0.1380908191, \"State\": \"WI\", \"Population\": 195533, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.119, \"Seg_income\": 0.042, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.044, \"Commute\": 0.512, \"Income\": 39238, \"Gini\": 0.291, \"Share01\": 11.586, \"Gini_99\": 0.175, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2600.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.612, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.404, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5759.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.369, \"Chinese_imports\": 1.474, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": 1.583, \"Religious\": 0.762, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.081, \"Married\": 0.601, \"Longitude\": -87.8510437011719, \"Latitude\": 43.9855575561523}, {\"ID\": 22500, \"Name\": \"Oshkosh\", \"Mobility\": 0.1148549691, \"State\": \"WI\", \"Population\": 549651, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.092, \"Seg_income\": 0.045, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.048, \"Commute\": 0.445, \"Income\": 38576, \"Gini\": 0.305, \"Share01\": 11.035, \"Gini_99\": 0.195, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2262.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.88, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 4.955, \"HS_dropout\": -0.026, \"Colleges\": 0.011, \"Tuition\": 6688.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.702, \"Manufacturing\": 0.278, \"Chinese_imports\": 1.101, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.014, \"Foreign_born\": 0.025, \"Social_capital\": 1.228, \"Religious\": 0.697, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.085, \"Married\": 0.599, \"Longitude\": -88.8022613525391, \"Latitude\": 44.002685546875}, {\"ID\": 22601, \"Name\": \"Green Bay\", \"Mobility\": 0.0910990387, \"State\": \"WI\", \"Population\": 310560, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.153, \"Seg_income\": 0.067, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.073, \"Commute\": 0.427, \"Income\": 38561, \"Gini\": 0.364, \"Share01\": 14.097, \"Gini_99\": 0.223, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2719.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.849, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 3.521, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 7798.0, \"Graduation\": 0.041, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.222, \"Chinese_imports\": 0.429, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.031, \"Social_capital\": 1.209, \"Religious\": 0.72, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.09, \"Married\": 0.579, \"Longitude\": -87.7272033691406, \"Latitude\": 44.8735694885254}, {\"ID\": 22602, \"Name\": \"Shawano\", \"Mobility\": 0.0839002281, \"State\": \"WI\", \"Population\": 65966, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.382, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.447, \"Income\": 33696, \"Gini\": 0.348, \"Share01\": 9.495, \"Gini_99\": 0.253, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2475.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.075, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.282, \"HS_dropout\": -0.019, \"Colleges\": 0.03, \"Tuition\": 2640.0, \"Graduation\": -0.171, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.211, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.012, \"Social_capital\": 0.65, \"Religious\": 0.718, \"Violent_crime\": 0.0, \"Single_mothers\": 0.184, \"Divorced\": 0.088, \"Married\": 0.598, \"Longitude\": -88.799934387207, \"Latitude\": 45.0303230285645}, {\"ID\": 22700, \"Name\": \"Wausau\", \"Mobility\": 0.1244852692, \"State\": \"WI\", \"Population\": 370092, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.098, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.04, \"Commute\": 0.46, \"Income\": 36499, \"Gini\": 0.328, \"Share01\": 10.158, \"Gini_99\": 0.226, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2411.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.103, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.856, \"HS_dropout\": -0.028, \"Colleges\": 0.008, \"Tuition\": 2251.0, \"Graduation\": 0.106, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.237, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": 1.048, \"Religious\": 0.689, \"Violent_crime\": 0.0, \"Single_mothers\": 0.145, \"Divorced\": 0.081, \"Married\": 0.6, \"Longitude\": -90.0060272216797, \"Latitude\": 44.5141868591309}, {\"ID\": 22800, \"Name\": \"Eau Claire\", \"Mobility\": 0.1130195782, \"State\": \"WI\", \"Population\": 305307, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.086, \"Seg_income\": 0.033, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.033, \"Commute\": 0.463, \"Income\": 33090, \"Gini\": 0.338, \"Share01\": 9.385, \"Gini_99\": 0.244, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2424.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.462, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 5.725, \"HS_dropout\": -0.022, \"Colleges\": 0.016, \"Tuition\": 3390.0, \"Graduation\": 0.146, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.193, \"Chinese_imports\": 2.121, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.018, \"Social_capital\": 1.244, \"Religious\": 0.597, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.084, \"Married\": 0.551, \"Longitude\": -91.5252075195312, \"Latitude\": 44.4200897216797}, {\"ID\": 22900, \"Name\": \"La Crosse\", \"Mobility\": 0.1181933284, \"State\": \"WI\", \"Population\": 220109, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.079, \"Seg_income\": 0.049, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.048, \"Commute\": 0.45, \"Income\": 34419, \"Gini\": 0.368, \"Share01\": 11.846, \"Gini_99\": 0.25, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.258, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.665, \"HS_dropout\": -0.026, \"Colleges\": 0.014, \"Tuition\": 3786.0, \"Graduation\": 0.192, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.177, \"Chinese_imports\": 2.7, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 1.105, \"Religious\": 0.641, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.087, \"Married\": 0.556, \"Longitude\": -90.6592102050781, \"Latitude\": 43.8980979919434}, {\"ID\": 23000, \"Name\": \"Monroe\", \"Mobility\": 0.1671388149, \"State\": \"WI\", \"Population\": 116624, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.063, \"Seg_income\": 0.018, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.018, \"Commute\": 0.461, \"Income\": 33582, \"Gini\": 0.325, \"Share01\": 9.444, \"Gini_99\": 0.231, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2528.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 8.237, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.85, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 2517.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.2, \"Chinese_imports\": 2.739, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.799, \"Religious\": 0.676, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.078, \"Married\": 0.587, \"Longitude\": -90.5752639770508, \"Latitude\": 42.8756561279297}, {\"ID\": 23100, \"Name\": \"Madison\", \"Mobility\": 0.0921911746, \"State\": \"WI\", \"Population\": 590755, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.14, \"Seg_income\": 0.09, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.083, \"Commute\": 0.365, \"Income\": 40576, \"Gini\": 0.381, \"Share01\": 13.799, \"Gini_99\": 0.243, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2839.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.953, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.277, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 3128.0, \"Graduation\": 0.022, \"Labor_force_participation\": 0.733, \"Manufacturing\": 0.132, \"Chinese_imports\": 0.699, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.026, \"Foreign_born\": 0.049, \"Social_capital\": 1.86, \"Religious\": 0.546, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.536, \"Longitude\": -89.6100234985352, \"Latitude\": 43.4425773620605}, {\"ID\": 23200, \"Name\": \"Dubuque\", \"Mobility\": 0.1594827622, \"State\": \"IA\", \"Population\": 163189, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.091, \"Seg_income\": 0.035, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.035, \"Commute\": 0.524, \"Income\": 36443, \"Gini\": 0.338, \"Share01\": 11.587, \"Gini_99\": 0.222, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1773.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.516, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 3.928, \"HS_dropout\": -0.013, \"Colleges\": 0.031, \"Tuition\": 13580.0, \"Graduation\": 0.136, \"Labor_force_participation\": 0.687, \"Manufacturing\": 0.192, \"Chinese_imports\": 4.49, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.019, \"Social_capital\": 1.147, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.079, \"Married\": 0.599, \"Longitude\": -90.9662704467773, \"Latitude\": 42.7233352661133}, {\"ID\": 23301, \"Name\": \"Charleston\", \"Mobility\": 0.0958677679, \"State\": \"IL\", \"Population\": 101161, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.071, \"Seg_income\": 0.034, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.025, \"Commute\": 0.481, \"Income\": 31206, \"Gini\": 0.352, \"Share01\": 6.921, \"Gini_99\": 0.283, \"Middle_class\": 0.604, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1503.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.034, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 9.104, \"HS_dropout\": 0.016, \"Colleges\": 0.02, \"Tuition\": 2968.0, \"Graduation\": 0.111, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.223, \"Chinese_imports\": 1.55, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 0.609, \"Religious\": 0.456, \"Violent_crime\": null, \"Single_mothers\": 0.187, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -87.8572311401367, \"Latitude\": 39.4560966491699}, {\"ID\": 23302, \"Name\": \"Douglas\", \"Mobility\": 0.1015452519, \"State\": \"IL\", \"Population\": 101195, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.223, \"Seg_income\": 0.018, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.018, \"Commute\": 0.485, \"Income\": 31741, \"Gini\": 0.367, \"Share01\": 12.107, \"Gini_99\": 0.246, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1491.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.165, \"Student_teacher_ratio\": 18.5, \"Test_scores\": 7.493, \"HS_dropout\": -0.015, \"Colleges\": 0.01, \"Tuition\": 5275.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.008, \"Social_capital\": 1.223, \"Religious\": 0.621, \"Violent_crime\": null, \"Single_mothers\": 0.163, \"Divorced\": 0.098, \"Married\": 0.604, \"Longitude\": -88.233268737793, \"Latitude\": 38.9690818786621}, {\"ID\": 23400, \"Name\": \"Bloomington\", \"Mobility\": 0.0845864639, \"State\": \"IL\", \"Population\": 206909, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.098, \"Seg_income\": 0.071, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.082, \"Commute\": 0.496, \"Income\": 37177, \"Gini\": 0.339, \"Share01\": 9.715, \"Gini_99\": 0.241, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1666.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.954, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.534, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 5640.0, \"Graduation\": 0.175, \"Labor_force_participation\": 0.7, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.485, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.028, \"Social_capital\": 0.565, \"Religious\": 0.479, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.092, \"Married\": 0.552, \"Longitude\": -88.8387069702148, \"Latitude\": 40.5317306518555}, {\"ID\": 23500, \"Name\": \"Decatur\", \"Mobility\": 0.0677927956, \"State\": \"IL\", \"Population\": 382083, \"Urban\": 1, \"Black\": 0.095, \"Seg_racial\": 0.23, \"Seg_income\": 0.099, \"Seg_poverty\": 0.116, \"Seg_affluence\": 0.082, \"Commute\": 0.451, \"Income\": 34871, \"Gini\": 0.402, \"Share01\": 11.171, \"Gini_99\": 0.29, \"Middle_class\": 0.562, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1607.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.526, \"Student_teacher_ratio\": 17.8, \"Test_scores\": 2.445, \"HS_dropout\": 0.011, \"Colleges\": 0.01, \"Tuition\": 4872.0, \"Graduation\": 0.309, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.145, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.019, \"Foreign_born\": 0.044, \"Social_capital\": 0.511, \"Religious\": 0.477, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.093, \"Married\": 0.525, \"Longitude\": -88.5191116333008, \"Latitude\": 39.9406585693359}, {\"ID\": 23600, \"Name\": \"Burlington\", \"Mobility\": 0.1022797301, \"State\": \"IA\", \"Population\": 136489, \"Urban\": 0, \"Black\": 0.021, \"Seg_racial\": 0.092, \"Seg_income\": 0.026, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.024, \"Commute\": 0.502, \"Income\": 35038, \"Gini\": 0.318, \"Share01\": 8.255, \"Gini_99\": 0.235, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1881.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.634, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 1.478, \"HS_dropout\": -0.008, \"Colleges\": 0.015, \"Tuition\": 3922.0, \"Graduation\": -0.142, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.23, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.012, \"Social_capital\": 1.368, \"Religious\": 0.503, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.108, \"Married\": 0.584, \"Longitude\": -91.4277954101562, \"Latitude\": 40.6801147460938}, {\"ID\": 23700, \"Name\": \"Galesburg\", \"Mobility\": 0.0885935798, \"State\": \"IL\", \"Population\": 145734, \"Urban\": 0, \"Black\": 0.043, \"Seg_racial\": 0.176, \"Seg_income\": 0.038, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.027, \"Commute\": 0.509, \"Income\": 30827, \"Gini\": 0.402, \"Share01\": 15.531, \"Gini_99\": 0.247, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.541, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 5.43, \"HS_dropout\": 0.031, \"Colleges\": 0.034, \"Tuition\": 6384.0, \"Graduation\": 0.151, \"Labor_force_participation\": 0.61, \"Manufacturing\": 0.16, \"Chinese_imports\": 1.161, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 0.751, \"Religious\": 0.399, \"Violent_crime\": null, \"Single_mothers\": 0.211, \"Divorced\": 0.108, \"Married\": 0.556, \"Longitude\": -90.2203521728516, \"Latitude\": 40.5695343017578}, {\"ID\": 23801, \"Name\": \"Davenport\", \"Mobility\": 0.0809443519, \"State\": \"IL\", \"Population\": 382351, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.164, \"Seg_income\": 0.058, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.061, \"Commute\": 0.393, \"Income\": 37759, \"Gini\": 0.37, \"Share01\": 9.948, \"Gini_99\": 0.271, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1921.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.271, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.599, \"HS_dropout\": -0.001, \"Colleges\": 0.024, \"Tuition\": 7381.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.179, \"Chinese_imports\": 1.202, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.033, \"Social_capital\": 0.735, \"Religious\": 0.508, \"Violent_crime\": 0.005, \"Single_mothers\": 0.226, \"Divorced\": 0.108, \"Married\": 0.562, \"Longitude\": -90.5065460205078, \"Latitude\": 41.4243698120117}, {\"ID\": 23802, \"Name\": \"Clinton\", \"Mobility\": 0.1138790026, \"State\": \"IA\", \"Population\": 70445, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.075, \"Seg_income\": 0.026, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.03, \"Commute\": 0.479, \"Income\": 34146, \"Gini\": 0.306, \"Share01\": 7.263, \"Gini_99\": 0.234, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2139.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.098, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 5.201, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 13200.0, \"Graduation\": -0.098, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.232, \"Chinese_imports\": 0.605, \"Teenage_labor\": 0.006, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": 1.108, \"Religious\": 0.593, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.096, \"Married\": 0.586, \"Longitude\": -90.4713363647461, \"Latitude\": 42.0050468444824}, {\"ID\": 23900, \"Name\": \"Peoria\", \"Mobility\": 0.0717817843, \"State\": \"IL\", \"Population\": 529703, \"Urban\": 1, \"Black\": 0.061, \"Seg_racial\": 0.27, \"Seg_income\": 0.057, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.055, \"Commute\": 0.394, \"Income\": 38842, \"Gini\": 0.368, \"Share01\": 10.056, \"Gini_99\": 0.268, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1715.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.831, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 4.328, \"HS_dropout\": 0.011, \"Colleges\": 0.009, \"Tuition\": 8252.0, \"Graduation\": 0.032, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.191, \"Chinese_imports\": 0.53, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.012, \"Foreign_born\": 0.022, \"Social_capital\": 0.946, \"Religious\": 0.52, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.584, \"Longitude\": -89.7173233032227, \"Latitude\": 40.542537689209}, {\"ID\": 24000, \"Name\": \"Kenosha\", \"Mobility\": 0.0691956431, \"State\": \"WI\", \"Population\": 584474, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.177, \"Seg_income\": 0.051, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.052, \"Commute\": 0.384, \"Income\": 39333, \"Gini\": 0.351, \"Share01\": 11.463, \"Gini_99\": 0.237, \"Middle_class\": 0.55, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2515.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 6.816, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -4.058, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 5669.0, \"Graduation\": 0.042, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.276, \"Chinese_imports\": 1.462, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.043, \"Social_capital\": 0.653, \"Religious\": 0.53, \"Violent_crime\": 0.0, \"Single_mothers\": 0.212, \"Divorced\": 0.1, \"Married\": 0.566, \"Longitude\": -88.4470291137695, \"Latitude\": 42.671745300293}, {\"ID\": 24100, \"Name\": \"Milwaukee\", \"Mobility\": 0.0445706695, \"State\": \"WI\", \"Population\": 1660659, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.436, \"Seg_income\": 0.115, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.118, \"Commute\": 0.312, \"Income\": 42464, \"Gini\": 0.428, \"Share01\": 14.82, \"Gini_99\": 0.28, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2977.0, \"Progressivity\": 0.25, \"EITC\": 11.667, \"School_spending\": 7.74, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -4.162, \"HS_dropout\": 0.001, \"Colleges\": 0.009, \"Tuition\": 9352.0, \"Graduation\": 0.002, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.216, \"Chinese_imports\": 1.171, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.051, \"Social_capital\": 1.121, \"Religious\": 0.561, \"Violent_crime\": 0.0, \"Single_mothers\": 0.245, \"Divorced\": 0.092, \"Married\": 0.532, \"Longitude\": -88.3217849731445, \"Latitude\": 43.2040901184082}, {\"ID\": 24200, \"Name\": \"Bourbonnais\", \"Mobility\": 0.0730964467, \"State\": \"IL\", \"Population\": 135167, \"Urban\": 1, \"Black\": 0.12, \"Seg_racial\": 0.337, \"Seg_income\": 0.045, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.045, \"Commute\": 0.41, \"Income\": 35849, \"Gini\": 0.355, \"Share01\": 8.544, \"Gini_99\": 0.27, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1632.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.785, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 3.27, \"HS_dropout\": 0.002, \"Colleges\": 0.015, \"Tuition\": 9454.0, \"Graduation\": 0.062, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.166, \"Chinese_imports\": 1.003, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.017, \"Foreign_born\": 0.032, \"Social_capital\": 0.25, \"Religious\": 0.497, \"Violent_crime\": null, \"Single_mothers\": 0.221, \"Divorced\": 0.093, \"Married\": 0.563, \"Longitude\": -87.9118118286133, \"Latitude\": 40.9501686096191}, {\"ID\": 24300, \"Name\": \"Chicago\", \"Mobility\": 0.0649292618, \"State\": \"IL\", \"Population\": 8183799, \"Urban\": 1, \"Black\": 0.188, \"Seg_racial\": 0.431, \"Seg_income\": 0.115, \"Seg_poverty\": 0.104, \"Seg_affluence\": 0.12, \"Commute\": 0.201, \"Income\": 45757, \"Gini\": 0.521, \"Share01\": 19.375, \"Gini_99\": 0.328, \"Middle_class\": 0.443, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2784.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 6.148, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -7.514, \"HS_dropout\": 0.035, \"Colleges\": 0.01, \"Tuition\": 9793.0, \"Graduation\": -0.143, \"Labor_force_participation\": 0.661, \"Manufacturing\": 0.154, \"Chinese_imports\": 1.184, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.018, \"Foreign_born\": 0.174, \"Social_capital\": -0.533, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.208, \"Divorced\": 0.083, \"Married\": 0.521, \"Longitude\": -88.1881637573242, \"Latitude\": 41.7979202270508}, {\"ID\": 24400, \"Name\": \"Rockford\", \"Mobility\": 0.0735386536, \"State\": \"IL\", \"Population\": 622573, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.205, \"Seg_income\": 0.076, \"Seg_poverty\": 0.074, \"Seg_affluence\": 0.076, \"Commute\": 0.4, \"Income\": 37848, \"Gini\": 0.343, \"Share01\": 8.898, \"Gini_99\": 0.254, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.363, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -1.328, \"HS_dropout\": 0.008, \"Colleges\": 0.016, \"Tuition\": 6199.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.254, \"Chinese_imports\": 1.954, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.015, \"Foreign_born\": 0.05, \"Social_capital\": 0.663, \"Religious\": 0.529, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.1, \"Married\": 0.571, \"Longitude\": -89.5600738525391, \"Latitude\": 41.9806289672852}, {\"ID\": 24500, \"Name\": \"Rolla\", \"Mobility\": 0.0797373354, \"State\": \"MO\", \"Population\": 111509, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.155, \"Seg_income\": 0.036, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.035, \"Commute\": 0.463, \"Income\": 26402, \"Gini\": 0.365, \"Share01\": 8.074, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1536.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.264, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 2.588, \"HS_dropout\": -0.008, \"Colleges\": 0.018, \"Tuition\": 4410.0, \"Graduation\": 0.289, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.129, \"Chinese_imports\": 4.171, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.632, \"Religious\": 0.481, \"Violent_crime\": 0.001, \"Single_mothers\": 0.177, \"Divorced\": 0.089, \"Married\": 0.597, \"Longitude\": -91.3987579345703, \"Latitude\": 37.5368385314941}, {\"ID\": 24600, \"Name\": \"Farmington\", \"Mobility\": 0.0852446482, \"State\": \"MO\", \"Population\": 137456, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.104, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.022, \"Commute\": 0.368, \"Income\": 27773, \"Gini\": 0.384, \"Share01\": 10.866, \"Gini_99\": 0.276, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1358.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.863, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 0.327, \"HS_dropout\": -0.004, \"Colleges\": 0.007, \"Tuition\": 1800.0, \"Graduation\": -0.039, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.204, \"Chinese_imports\": 5.628, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.008, \"Social_capital\": -0.126, \"Religious\": 0.56, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.105, \"Married\": 0.59, \"Longitude\": -90.2458267211914, \"Latitude\": 37.7623176574707}, {\"ID\": 24701, \"Name\": \"St. Louis\", \"Mobility\": 0.0505231395, \"State\": \"MO\", \"Population\": 2325609, \"Urban\": 1, \"Black\": 0.195, \"Seg_racial\": 0.41, \"Seg_income\": 0.113, \"Seg_poverty\": 0.103, \"Seg_affluence\": 0.117, \"Commute\": 0.241, \"Income\": 42680, \"Gini\": 0.471, \"Share01\": 15.666, \"Gini_99\": 0.314, \"Middle_class\": 0.476, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1896.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.356, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -5.332, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 9685.0, \"Graduation\": -0.023, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.8, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.033, \"Social_capital\": 0.432, \"Religious\": 0.509, \"Violent_crime\": 0.003, \"Single_mothers\": 0.247, \"Divorced\": 0.103, \"Married\": 0.53, \"Longitude\": -90.7478713989258, \"Latitude\": 38.4731979370117}, {\"ID\": 24702, \"Name\": \"Mexico\", \"Mobility\": 0.0756756738, \"State\": \"MO\", \"Population\": 37989, \"Urban\": 0, \"Black\": 0.055, \"Seg_racial\": 0.103, \"Seg_income\": 0.011, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.012, \"Commute\": 0.463, \"Income\": 30615, \"Gini\": 0.349, \"Share01\": 8.936, \"Gini_99\": 0.26, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1301.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.536, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -3.478, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.228, \"Chinese_imports\": 7.134, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.008, \"Social_capital\": 0.882, \"Religious\": 0.66, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.109, \"Married\": 0.57, \"Longitude\": -91.6614379882812, \"Latitude\": 39.0269927978516}, {\"ID\": 24801, \"Name\": \"Jacksonville\", \"Mobility\": 0.0911504403, \"State\": \"IL\", \"Population\": 84748, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.219, \"Seg_income\": 0.029, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.034, \"Commute\": 0.472, \"Income\": 30777, \"Gini\": 0.34, \"Share01\": 8.008, \"Gini_99\": 0.26, \"Middle_class\": 0.634, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1361.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.401, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 2.465, \"HS_dropout\": 0.007, \"Colleges\": 0.024, \"Tuition\": 11828.0, \"Graduation\": 0.248, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.233, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.02, \"Social_capital\": 1.224, \"Religious\": 0.582, \"Violent_crime\": null, \"Single_mothers\": 0.183, \"Divorced\": 0.105, \"Married\": 0.598, \"Longitude\": -90.4029922485352, \"Latitude\": 39.7390823364258}, {\"ID\": 24802, \"Name\": \"Springfield\", \"Mobility\": 0.0673715994, \"State\": \"IL\", \"Population\": 267992, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.23, \"Seg_income\": 0.087, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.097, \"Commute\": 0.367, \"Income\": 40182, \"Gini\": 0.429, \"Share01\": 17.164, \"Gini_99\": 0.257, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2261.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.01, \"Student_teacher_ratio\": 19.0, \"Test_scores\": 0.902, \"HS_dropout\": -0.015, \"Colleges\": 0.015, \"Tuition\": 5550.0, \"Graduation\": -0.042, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.191, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.016, \"Foreign_born\": 0.017, \"Social_capital\": 1.834, \"Religious\": 0.566, \"Violent_crime\": 0.002, \"Single_mothers\": 0.228, \"Divorced\": 0.118, \"Married\": 0.556, \"Longitude\": -89.5787887573242, \"Latitude\": 39.9170379638672}, {\"ID\": 24900, \"Name\": \"Edwardsville\", \"Mobility\": 0.0872936994, \"State\": \"IL\", \"Population\": 382997, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.21, \"Seg_income\": 0.045, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.054, \"Commute\": 0.336, \"Income\": 36421, \"Gini\": 0.367, \"Share01\": 11.462, \"Gini_99\": 0.253, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.466, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 2.163, \"HS_dropout\": 0.009, \"Colleges\": 0.013, \"Tuition\": 4505.0, \"Graduation\": 0.004, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.158, \"Chinese_imports\": 0.483, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.011, \"Social_capital\": 0.59, \"Religious\": 0.507, \"Violent_crime\": null, \"Single_mothers\": 0.204, \"Divorced\": 0.104, \"Married\": 0.573, \"Longitude\": -90.1977081298828, \"Latitude\": 39.0804786682129}, {\"ID\": 25000, \"Name\": \"Quincy\", \"Mobility\": 0.0896204859, \"State\": \"IL\", \"Population\": 152421, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.1, \"Seg_income\": 0.036, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.037, \"Commute\": 0.496, \"Income\": 31869, \"Gini\": 0.364, \"Share01\": 8.906, \"Gini_99\": 0.275, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1588.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 2.451, \"HS_dropout\": -0.001, \"Colleges\": 0.039, \"Tuition\": 8819.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.183, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.007, \"Foreign_born\": 0.009, \"Social_capital\": 1.277, \"Religious\": 0.579, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.102, \"Married\": 0.585, \"Longitude\": -91.1898193359375, \"Latitude\": 39.625057220459}, {\"ID\": 25101, \"Name\": \"Mountain Home\", \"Mobility\": 0.0895061716, \"State\": \"AR\", \"Population\": 64068, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.007, \"Seg_income\": 0.005, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.002, \"Commute\": 0.393, \"Income\": 32623, \"Gini\": 0.464, \"Share01\": 12.33, \"Gini_99\": 0.34, \"Middle_class\": 0.506, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 992.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.895, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.828, \"HS_dropout\": -0.007, \"Colleges\": 0.016, \"Tuition\": 1200.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.225, \"Chinese_imports\": 1.417, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.013, \"Social_capital\": -0.44, \"Religious\": 0.433, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.104, \"Married\": 0.653, \"Longitude\": -92.4921569824219, \"Latitude\": 36.2963218688965}, {\"ID\": 25102, \"Name\": \"West Plains\", \"Mobility\": 0.0815548748, \"State\": \"MO\", \"Population\": 90551, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.016, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.416, \"Income\": 26979, \"Gini\": 0.412, \"Share01\": 9.392, \"Gini_99\": 0.318, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.008, \"Local_gov_spending\": 1252.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.706, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 2.757, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 2190.0, \"Graduation\": -0.006, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.204, \"Chinese_imports\": 9.312, \"Teenage_labor\": 0.003, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 0.122, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.101, \"Married\": 0.633, \"Longitude\": -91.5573043823242, \"Latitude\": 37.0019378662109}, {\"ID\": 25103, \"Name\": \"Harrison\", \"Mobility\": 0.0997150987, \"State\": \"AR\", \"Population\": 76174, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.12, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.419, \"Income\": 29629, \"Gini\": 0.418, \"Share01\": 9.6, \"Gini_99\": 0.322, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1558.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.871, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 5.503, \"HS_dropout\": 0.002, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.714, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.03, \"Social_capital\": 0.176, \"Religious\": 0.455, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.114, \"Married\": 0.625, \"Longitude\": -93.2631530761719, \"Latitude\": 36.113468170166}, {\"ID\": 25104, \"Name\": \"Heber Springs\", \"Mobility\": 0.1096006781, \"State\": \"AR\", \"Population\": 51737, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.014, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.01, \"Commute\": 0.364, \"Income\": 32635, \"Gini\": 0.404, \"Share01\": 8.657, \"Gini_99\": 0.318, \"Middle_class\": 0.51, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 952.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.875, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 6.815, \"HS_dropout\": 0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.51, \"Manufacturing\": 0.203, \"Chinese_imports\": 3.186, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.016, \"Foreign_born\": 0.011, \"Social_capital\": -0.446, \"Religious\": 0.488, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.104, \"Married\": 0.657, \"Longitude\": -92.1270904541016, \"Latitude\": 35.7785453796387}, {\"ID\": 25105, \"Name\": \"Batesville\", \"Mobility\": 0.0960288793, \"State\": \"AR\", \"Population\": 64601, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.054, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.029, \"Commute\": 0.375, \"Income\": 29503, \"Gini\": 0.371, \"Share01\": 6.777, \"Gini_99\": 0.304, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1433.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.942, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 5.831, \"HS_dropout\": 0.001, \"Colleges\": 0.046, \"Tuition\": 4117.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.539, \"Manufacturing\": 0.239, \"Chinese_imports\": 0.574, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.094, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.11, \"Married\": 0.63, \"Longitude\": -91.6276931762695, \"Latitude\": 35.9889717102051}, {\"ID\": 25200, \"Name\": \"Henderson\", \"Mobility\": 0.099227801, \"State\": \"KY\", \"Population\": 151629, \"Urban\": 1, \"Black\": 0.065, \"Seg_racial\": 0.104, \"Seg_income\": 0.033, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.034, \"Commute\": 0.401, \"Income\": 31361, \"Gini\": 0.381, \"Share01\": 7.515, \"Gini_99\": 0.306, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1604.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.944, \"Student_teacher_ratio\": 17.2, \"Test_scores\": -2.106, \"HS_dropout\": 0.001, \"Colleges\": 0.013, \"Tuition\": 1150.0, \"Graduation\": -0.024, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.224, \"Chinese_imports\": 0.719, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.009, \"Social_capital\": 0.128, \"Religious\": 0.651, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -87.7652893066406, \"Latitude\": 37.485294342041}, {\"ID\": 25300, \"Name\": \"Union City\", \"Mobility\": 0.073929958, \"State\": \"TN\", \"Population\": 117387, \"Urban\": 0, \"Black\": 0.081, \"Seg_racial\": 0.124, \"Seg_income\": 0.016, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.014, \"Commute\": 0.403, \"Income\": 30330, \"Gini\": 0.391, \"Share01\": 7.44, \"Gini_99\": 0.316, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.136, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 3.748, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 2492.0, \"Graduation\": 0.101, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.28, \"Chinese_imports\": 4.407, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.017, \"Social_capital\": -0.11, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -89.1215896606445, \"Latitude\": 36.506534576416}, {\"ID\": 25401, \"Name\": \"Paducah\", \"Mobility\": 0.0744777471, \"State\": \"KY\", \"Population\": 138654, \"Urban\": 0, \"Black\": 0.061, \"Seg_racial\": 0.22, \"Seg_income\": 0.053, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.054, \"Commute\": 0.378, \"Income\": 34572, \"Gini\": 0.487, \"Share01\": 16.296, \"Gini_99\": 0.324, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1698.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 5.039, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 1.106, \"HS_dropout\": -0.006, \"Colleges\": 0.022, \"Tuition\": 968.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.145, \"Chinese_imports\": 1.741, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.592, \"Religious\": 0.677, \"Violent_crime\": 0.001, \"Single_mothers\": 0.21, \"Divorced\": 0.114, \"Married\": 0.604, \"Longitude\": -88.6710662841797, \"Latitude\": 37.0740814208984}, {\"ID\": 25402, \"Name\": \"Murray\", \"Mobility\": 0.0704545453, \"State\": \"KY\", \"Population\": 34177, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.077, \"Seg_income\": 0.041, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.042, \"Commute\": 0.521, \"Income\": 28383, \"Gini\": 0.494, \"Share01\": 14.14, \"Gini_99\": 0.353, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 2208.0, \"Progressivity\": 0.2, \"EITC\": 0.0, \"School_spending\": 6.148, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.752, \"HS_dropout\": -0.022, \"Colleges\": 0.029, \"Tuition\": 2172.0, \"Graduation\": 0.097, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.177, \"Chinese_imports\": 25.405, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.027, \"Social_capital\": -0.6, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.196, \"Divorced\": 0.084, \"Married\": 0.554, \"Longitude\": -88.1674652099609, \"Latitude\": 36.6015777587891}, {\"ID\": 25500, \"Name\": \"Centralia\", \"Mobility\": 0.0813443735, \"State\": \"IL\", \"Population\": 141040, \"Urban\": 1, \"Black\": 0.044, \"Seg_racial\": 0.172, \"Seg_income\": 0.036, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.036, \"Commute\": 0.407, \"Income\": 33265, \"Gini\": 0.351, \"Share01\": 9.007, \"Gini_99\": 0.261, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1687.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.316, \"Student_teacher_ratio\": 20.2, \"Test_scores\": 4.951, \"HS_dropout\": 0.009, \"Colleges\": 0.014, \"Tuition\": 5554.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.754, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.009, \"Social_capital\": 0.998, \"Religious\": 0.649, \"Violent_crime\": null, \"Single_mothers\": 0.182, \"Divorced\": 0.097, \"Married\": 0.606, \"Longitude\": -89.072021484375, \"Latitude\": 38.3731422424316}, {\"ID\": 25601, \"Name\": \"Carbondale\", \"Mobility\": 0.0790478364, \"State\": \"IL\", \"Population\": 265022, \"Urban\": 1, \"Black\": 0.082, \"Seg_racial\": 0.218, \"Seg_income\": 0.05, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.038, \"Commute\": 0.418, \"Income\": 28913, \"Gini\": 0.397, \"Share01\": 9.027, \"Gini_99\": 0.307, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1606.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.463, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 3.485, \"HS_dropout\": -0.004, \"Colleges\": 0.011, \"Tuition\": 2760.0, \"Graduation\": 0.017, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.85, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.629, \"Religious\": 0.524, \"Violent_crime\": null, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.559, \"Longitude\": -89.4100799560547, \"Latitude\": 37.5473556518555}, {\"ID\": 25602, \"Name\": \"Harrisburg\", \"Mobility\": 0.1121372059, \"State\": \"IL\", \"Population\": 37978, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.104, \"Seg_income\": 0.02, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.429, \"Income\": 29680, \"Gini\": 0.399, \"Share01\": 9.9, \"Gini_99\": 0.3, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1782.0, \"Progressivity\": 0.0, \"EITC\": 0.476, \"School_spending\": 4.601, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.534, \"HS_dropout\": 0.009, \"Colleges\": 0.026, \"Tuition\": 6048.0, \"Graduation\": -0.018, \"Labor_force_participation\": 0.533, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.316, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.206, \"Religious\": 0.525, \"Violent_crime\": null, \"Single_mothers\": 0.199, \"Divorced\": 0.111, \"Married\": 0.582, \"Longitude\": -88.2475967407227, \"Latitude\": 37.704460144043}, {\"ID\": 25701, \"Name\": \"Cape Girardeau\", \"Mobility\": 0.0600515455, \"State\": \"MO\", \"Population\": 184036, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.203, \"Seg_income\": 0.042, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.038, \"Commute\": 0.436, \"Income\": 30141, \"Gini\": 0.453, \"Share01\": 11.114, \"Gini_99\": 0.342, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1658.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.671, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -3.501, \"HS_dropout\": 0.017, \"Colleges\": 0.016, \"Tuition\": 3329.0, \"Graduation\": 0.16, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.179, \"Chinese_imports\": 3.373, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 0.344, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.225, \"Divorced\": 0.101, \"Married\": 0.576, \"Longitude\": -89.6321792602539, \"Latitude\": 36.898811340332}, {\"ID\": 25702, \"Name\": \"Poplar Bluff\", \"Mobility\": 0.0668257773, \"State\": \"MO\", \"Population\": 73576, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.112, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.031, \"Commute\": 0.401, \"Income\": 28334, \"Gini\": 0.456, \"Share01\": 9.572, \"Gini_99\": 0.36, \"Middle_class\": 0.481, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1175.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.817, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -4.995, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 2484.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.204, \"Chinese_imports\": 1.071, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.009, \"Foreign_born\": 0.011, \"Social_capital\": -0.443, \"Religious\": 0.338, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.594, \"Longitude\": -90.4970626831055, \"Latitude\": 36.8894805908203}, {\"ID\": 25800, \"Name\": \"Blytheville\", \"Mobility\": 0.0514018685, \"State\": \"AR\", \"Population\": 105181, \"Urban\": 0, \"Black\": 0.238, \"Seg_racial\": 0.228, \"Seg_income\": 0.033, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.035, \"Commute\": 0.475, \"Income\": 26795, \"Gini\": 0.448, \"Share01\": 7.453, \"Gini_99\": 0.374, \"Middle_class\": 0.419, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1499.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.637, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -12.888, \"HS_dropout\": 0.029, \"Colleges\": 0.01, \"Tuition\": 1152.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.287, \"Chinese_imports\": 3.356, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.016, \"Foreign_born\": 0.012, \"Social_capital\": -1.007, \"Religious\": 0.6, \"Violent_crime\": 0.002, \"Single_mothers\": 0.306, \"Divorced\": 0.111, \"Married\": 0.539, \"Longitude\": -89.9065399169922, \"Latitude\": 36.0380096435547}, {\"ID\": 25900, \"Name\": \"Jonesboro\", \"Mobility\": 0.0810322613, \"State\": \"AR\", \"Population\": 198671, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.146, \"Seg_income\": 0.038, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.043, \"Commute\": 0.442, \"Income\": 29115, \"Gini\": 0.429, \"Share01\": 9.279, \"Gini_99\": 0.336, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1341.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 0.329, \"HS_dropout\": 0.003, \"Colleges\": 0.025, \"Tuition\": 2432.0, \"Graduation\": -0.003, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.247, \"Chinese_imports\": 5.676, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": -0.394, \"Religious\": 0.627, \"Violent_crime\": 0.001, \"Single_mothers\": 0.198, \"Divorced\": 0.111, \"Married\": 0.591, \"Longitude\": -90.7039337158203, \"Latitude\": 36.1401557922363}, {\"ID\": 26001, \"Name\": \"Roseau\", \"Mobility\": 0.1875, \"State\": \"MN\", \"Population\": 20860, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.104, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.008, \"Commute\": 0.533, \"Income\": 33398, \"Gini\": 0.411, \"Share01\": 21.65, \"Gini_99\": 0.194, \"Middle_class\": 0.715, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 5152.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.615, \"Student_teacher_ratio\": 17.0, \"Test_scores\": 10.027, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.707, \"Manufacturing\": 0.4, \"Chinese_imports\": 0.645, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.028, \"Social_capital\": 1.191, \"Religious\": 0.671, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.626, \"Longitude\": -95.3607406616211, \"Latitude\": 48.7619743347168}, {\"ID\": 26002, \"Name\": \"Duluth\", \"Mobility\": 0.0891148299, \"State\": \"MN\", \"Population\": 286544, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.098, \"Seg_income\": 0.061, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.056, \"Commute\": 0.437, \"Income\": 34404, \"Gini\": 0.322, \"Share01\": 7.461, \"Gini_99\": 0.247, \"Middle_class\": 0.608, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3445.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.838, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 7.505, \"HS_dropout\": 0.004, \"Colleges\": 0.031, \"Tuition\": 4584.0, \"Graduation\": 0.053, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.091, \"Chinese_imports\": 0.408, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.012, \"Foreign_born\": 0.018, \"Social_capital\": 2.081, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.545, \"Longitude\": -92.2538833618164, \"Latitude\": 47.5231513977051}, {\"ID\": 26003, \"Name\": \"West Cook UT\", \"Mobility\": 0.1016949117, \"State\": \"MN\", \"Population\": 5168, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.037, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.588, \"Income\": 39706, \"Gini\": 0.336, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4652.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.391, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.672, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.05, \"Teenage_labor\": null, \"Migration_in\": 0.013, \"Migration_out\": 0.007, \"Foreign_born\": 0.023, \"Social_capital\": 3.963, \"Religious\": 0.474, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.103, \"Married\": 0.599, \"Longitude\": -90.2893295288086, \"Latitude\": 48.0081367492676}, {\"ID\": 26004, \"Name\": \"International Falls\", \"Mobility\": 0.174129352, \"State\": \"MN\", \"Population\": 14355, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.006, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.618, \"Income\": 37115, \"Gini\": 0.352, \"Share01\": 12.528, \"Gini_99\": 0.227, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3124.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.259, \"Student_teacher_ratio\": 16.8, \"Test_scores\": -0.029, \"HS_dropout\": 0.009, \"Colleges\": 0.139, \"Tuition\": 6322.0, \"Graduation\": -0.194, \"Labor_force_participation\": 0.601, \"Manufacturing\": 0.227, \"Chinese_imports\": 1.708, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.058, \"Social_capital\": 1.09, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.103, \"Married\": 0.584, \"Longitude\": -93.7525177001953, \"Latitude\": 48.3436889648438}, {\"ID\": 26101, \"Name\": \"Moberly\", \"Mobility\": 0.1013727561, \"State\": \"MO\", \"Population\": 56535, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.087, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.468, \"Income\": 29088, \"Gini\": 0.369, \"Share01\": 12.936, \"Gini_99\": 0.24, \"Middle_class\": 0.642, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.158, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -2.659, \"HS_dropout\": 0.006, \"Colleges\": 0.035, \"Tuition\": 2114.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.468, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.008, \"Social_capital\": 0.694, \"Religious\": 0.64, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.11, \"Married\": 0.583, \"Longitude\": -92.274787902832, \"Latitude\": 39.6471519470215}, {\"ID\": 26102, \"Name\": \"Marshall\", \"Mobility\": 0.0948379338, \"State\": \"MO\", \"Population\": 48599, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.032, \"Commute\": 0.559, \"Income\": 31245, \"Gini\": 0.352, \"Share01\": 8.005, \"Gini_99\": 0.272, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.395, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -2.981, \"HS_dropout\": 0.002, \"Colleges\": 0.021, \"Tuition\": 11500.0, \"Graduation\": -0.026, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.171, \"Chinese_imports\": 1.541, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.015, \"Foreign_born\": 0.019, \"Social_capital\": 0.857, \"Religious\": 0.651, \"Violent_crime\": 0.002, \"Single_mothers\": 0.188, \"Divorced\": 0.101, \"Married\": 0.58, \"Longitude\": -93.2859725952148, \"Latitude\": 39.3893966674805}, {\"ID\": 26103, \"Name\": \"Brookfield\", \"Mobility\": 0.1119221374, \"State\": \"MO\", \"Population\": 22192, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.076, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.475, \"Income\": 31879, \"Gini\": 0.309, \"Share01\": 6.202, \"Gini_99\": 0.247, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1326.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.365, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -0.06, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.853, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.006, \"Social_capital\": 1.201, \"Religious\": 0.687, \"Violent_crime\": 0.001, \"Single_mothers\": 0.174, \"Divorced\": 0.096, \"Married\": 0.588, \"Longitude\": -93.1195678710938, \"Latitude\": 39.5413818359375}, {\"ID\": 26104, \"Name\": \"Trenton\", \"Mobility\": 0.1083333343, \"State\": \"MO\", \"Population\": 14189, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.03, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.497, \"Income\": 30864, \"Gini\": 0.342, \"Share01\": 7.244, \"Gini_99\": 0.27, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1939.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 1.442, \"HS_dropout\": 0.018, \"Colleges\": 0.07, \"Tuition\": 1860.0, \"Graduation\": 0.102, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.179, \"Chinese_imports\": 0.233, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.201, \"Religious\": 0.749, \"Violent_crime\": 0.002, \"Single_mothers\": 0.194, \"Divorced\": 0.099, \"Married\": 0.602, \"Longitude\": -93.5600128173828, \"Latitude\": 40.2886543273926}, {\"ID\": 26105, \"Name\": \"Polk\", \"Mobility\": 0.0871369317, \"State\": \"MO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.171, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.405, \"Income\": 28324, \"Gini\": 0.312, \"Share01\": 6.607, \"Gini_99\": 0.246, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.69, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -3.398, \"HS_dropout\": -0.026, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.25, \"Chinese_imports\": 0.028, \"Teenage_labor\": 0.004, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.036, \"Social_capital\": 0.206, \"Religious\": 0.47, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.102, \"Married\": 0.61, \"Longitude\": -92.8665390014648, \"Latitude\": 40.3893051147461}, {\"ID\": 26106, \"Name\": \"Centerville\", \"Mobility\": 0.1467181444, \"State\": \"IA\", \"Population\": 29873, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.031, \"Seg_income\": 0.008, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.004, \"Commute\": 0.517, \"Income\": 30736, \"Gini\": 0.333, \"Share01\": 8.216, \"Gini_99\": 0.251, \"Middle_class\": 0.638, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1997.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.671, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 4.502, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.598, \"Manufacturing\": 0.185, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 0.926, \"Religious\": 0.434, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.095, \"Married\": 0.608, \"Longitude\": -93.1888275146484, \"Latitude\": 40.8051719665527}, {\"ID\": 26107, \"Name\": \"Kirksville\", \"Mobility\": 0.1134380475, \"State\": \"MO\", \"Population\": 38491, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.047, \"Seg_income\": 0.031, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.025, \"Commute\": 0.575, \"Income\": 26767, \"Gini\": 0.433, \"Share01\": 11.805, \"Gini_99\": 0.315, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1337.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.052, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.694, \"HS_dropout\": 0.002, \"Colleges\": 0.026, \"Tuition\": 3680.0, \"Graduation\": 0.346, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.117, \"Chinese_imports\": 3.354, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.014, \"Social_capital\": 0.836, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.078, \"Married\": 0.506, \"Longitude\": -92.505500793457, \"Latitude\": 40.3530540466309}, {\"ID\": 26201, \"Name\": \"Bismarck\", \"Mobility\": 0.186741367, \"State\": \"ND\", \"Population\": 114739, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.038, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.047, \"Commute\": 0.541, \"Income\": 35396, \"Gini\": 0.333, \"Share01\": 12.604, \"Gini_99\": 0.207, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2035.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.835, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 5.047, \"HS_dropout\": -0.017, \"Colleges\": 0.026, \"Tuition\": 3665.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.06, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.012, \"Foreign_born\": 0.013, \"Social_capital\": 2.551, \"Religious\": 0.814, \"Violent_crime\": 0.0, \"Single_mothers\": 0.167, \"Divorced\": 0.081, \"Married\": 0.596, \"Longitude\": -101.24137878418, \"Latitude\": 46.9527359008789}, {\"ID\": 26202, \"Name\": \"East Grant UT\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2841, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.005, \"Seg_income\": 0.009, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.006, \"Commute\": 0.552, \"Income\": 30352, \"Gini\": 0.202, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1741.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.846, \"Student_teacher_ratio\": 11.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.072, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.016, \"Social_capital\": 0.463, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.091, \"Divorced\": 0.048, \"Married\": 0.651, \"Longitude\": -101.601203918457, \"Latitude\": 46.174503326416}, {\"ID\": 26203, \"Name\": \"Linton\", \"Mobility\": 0.2989130318, \"State\": \"ND\", \"Population\": 10029, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.009, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.646, \"Income\": 34910, \"Gini\": 0.261, \"Share01\": 4.489, \"Gini_99\": 0.216, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1456.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.665, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 13.552, \"HS_dropout\": -0.043, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.541, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.005, \"Migration_in\": 0.0, \"Migration_out\": 0.012, \"Foreign_born\": 0.006, \"Social_capital\": 2.661, \"Religious\": 1.024, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.04, \"Married\": 0.655, \"Longitude\": -100.160751342773, \"Latitude\": 46.3125801086426}, {\"ID\": 26204, \"Name\": \"Steele\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2753, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.013, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.54, \"Income\": 29680, \"Gini\": 0.277, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1649.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 7.049, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 2.25, \"Religious\": 0.802, \"Violent_crime\": 0.0, \"Single_mothers\": 0.089, \"Divorced\": 0.048, \"Married\": 0.625, \"Longitude\": -99.8482208251953, \"Latitude\": 46.9510536193848}, {\"ID\": 26301, \"Name\": \"Devils Lake\", \"Mobility\": 0.096474953, \"State\": \"ND\", \"Population\": 22745, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.452, \"Seg_income\": 0.027, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.022, \"Commute\": 0.627, \"Income\": 32687, \"Gini\": 0.336, \"Share01\": 5.591, \"Gini_99\": 0.28, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1716.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.558, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 0.439, \"HS_dropout\": -0.006, \"Colleges\": 0.088, \"Tuition\": 1628.0, \"Graduation\": 0.013, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 2.389, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.21, \"Divorced\": 0.081, \"Married\": 0.547, \"Longitude\": -98.7287750244141, \"Latitude\": 48.0773315429688}, {\"ID\": 26302, \"Name\": \"Carrington\", \"Mobility\": 0.3333333433, \"State\": \"ND\", \"Population\": 6516, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.044, \"Seg_income\": 0.006, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.004, \"Commute\": 0.656, \"Income\": 36561, \"Gini\": 0.321, \"Share01\": 7.593, \"Gini_99\": 0.245, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1576.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.691, \"HS_dropout\": -0.041, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.076, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.01, \"Social_capital\": 2.557, \"Religious\": 0.881, \"Violent_crime\": 0.0, \"Single_mothers\": 0.133, \"Divorced\": 0.056, \"Married\": 0.63, \"Longitude\": -98.8668365478516, \"Latitude\": 47.5969772338867}, {\"ID\": 26303, \"Name\": \"Turtle Mountain UT\", \"Mobility\": 0.0825545192, \"State\": \"ND\", \"Population\": 16550, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.46, \"Seg_income\": 0.018, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.006, \"Commute\": 0.574, \"Income\": 25045, \"Gini\": 0.394, \"Share01\": 7.113, \"Gini_99\": 0.323, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1726.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.415, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -16.988, \"HS_dropout\": 0.048, \"Colleges\": 0.06, \"Tuition\": 1344.0, \"Graduation\": -0.175, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.064, \"Chinese_imports\": 3.066, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 0.425, \"Religious\": 1.019, \"Violent_crime\": 0.0, \"Single_mothers\": 0.332, \"Divorced\": 0.097, \"Married\": 0.478, \"Longitude\": -99.5281753540039, \"Latitude\": 48.6522941589355}, {\"ID\": 26304, \"Name\": \"Minot\", \"Mobility\": 0.2241784036, \"State\": \"ND\", \"Population\": 74541, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.088, \"Seg_income\": 0.03, \"Seg_poverty\": 0.035, \"Seg_affluence\": 0.026, \"Commute\": 0.606, \"Income\": 31149, \"Gini\": 0.322, \"Share01\": 8.634, \"Gini_99\": 0.235, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1625.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.748, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 8.783, \"HS_dropout\": -0.027, \"Colleges\": 0.027, \"Tuition\": 2021.0, \"Graduation\": -0.034, \"Labor_force_participation\": 0.668, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.019, \"Social_capital\": 1.237, \"Religious\": 0.614, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.079, \"Married\": 0.591, \"Longitude\": -101.18293762207, \"Latitude\": 48.4435234069824}, {\"ID\": 26305, \"Name\": \"Rugby\", \"Mobility\": 0.219101131, \"State\": \"ND\", \"Population\": 11487, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.019, \"Seg_income\": 0.014, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.02, \"Commute\": 0.665, \"Income\": 33947, \"Gini\": 0.369, \"Share01\": 10.406, \"Gini_99\": 0.265, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1410.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.253, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 12.369, \"HS_dropout\": -0.029, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.007, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 2.379, \"Religious\": 0.838, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.061, \"Married\": 0.63, \"Longitude\": -99.9386520385742, \"Latitude\": 47.8406753540039}, {\"ID\": 26401, \"Name\": \"Ekalaka\", \"Mobility\": 0.2297297269, \"State\": \"SD\", \"Population\": 2713, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.0, \"Commute\": 0.665, \"Income\": 25283, \"Gini\": 0.225, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.055, \"Local_gov_spending\": 2352.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.864, \"Student_teacher_ratio\": 11.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.967, \"Religious\": 0.508, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.074, \"Married\": 0.653, \"Longitude\": -104.398811340332, \"Latitude\": 45.6770401000977}, {\"ID\": 26402, \"Name\": \"Baker\", \"Mobility\": 0.2127659619, \"State\": \"MT\", \"Population\": 2837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.713, \"Income\": 30325, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 4110.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.306, \"Student_teacher_ratio\": 12.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.007, \"Chinese_imports\": 0.004, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 1.605, \"Religious\": 0.866, \"Violent_crime\": 0.002, \"Single_mothers\": 0.109, \"Divorced\": 0.072, \"Married\": 0.651, \"Longitude\": -104.440422058105, \"Latitude\": 46.3325843811035}, {\"ID\": 26403, \"Name\": \"Bowman\", \"Mobility\": 0.4696969688, \"State\": \"ND\", \"Population\": 4009, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.015, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.002, \"Commute\": 0.648, \"Income\": 34194, \"Gini\": 0.297, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1820.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.772, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.1, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.004, \"Social_capital\": 2.46, \"Religious\": 0.893, \"Violent_crime\": 0.0, \"Single_mothers\": 0.082, \"Divorced\": 0.065, \"Married\": 0.648, \"Longitude\": -103.425262451172, \"Latitude\": 46.3399276733398}, {\"ID\": 26404, \"Name\": \"Lemmon\", \"Mobility\": 0.3571428657, \"State\": \"ND\", \"Population\": 8671, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.042, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.704, \"Income\": 34793, \"Gini\": 0.31, \"Share01\": 8.435, \"Gini_99\": 0.226, \"Middle_class\": 0.673, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1943.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.404, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 17.086, \"HS_dropout\": -0.036, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.054, \"Chinese_imports\": 0.593, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.01, \"Social_capital\": 3.161, \"Religious\": 0.887, \"Violent_crime\": 0.0, \"Single_mothers\": 0.12, \"Divorced\": 0.056, \"Married\": 0.633, \"Longitude\": -102.420112609863, \"Latitude\": 45.9655799865723}, {\"ID\": 26405, \"Name\": \"Scobey\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 2017, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.007, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.012, \"Commute\": 0.71, \"Income\": 32705, \"Gini\": 0.262, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3841.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.514, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.005, \"Chinese_imports\": 0.005, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.048, \"Social_capital\": 2.841, \"Religious\": 1.308, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -105.599838256836, \"Latitude\": 48.7802352905273}, {\"ID\": 26406, \"Name\": \"Wolf Point\", \"Mobility\": 0.0941883773, \"State\": \"MT\", \"Population\": 12597, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.3, \"Seg_income\": 0.014, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.7, \"Income\": 24254, \"Gini\": 0.33, \"Share01\": 5.489, \"Gini_99\": 0.275, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2392.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.014, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -10.316, \"HS_dropout\": 0.038, \"Colleges\": 0.079, \"Tuition\": 1200.0, \"Graduation\": -0.234, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.016, \"Chinese_imports\": 2.831, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.008, \"Social_capital\": 0.364, \"Religious\": 0.793, \"Violent_crime\": 0.0, \"Single_mothers\": 0.261, \"Divorced\": 0.106, \"Married\": 0.516, \"Longitude\": -105.277793884277, \"Latitude\": 47.9735641479492}, {\"ID\": 26407, \"Name\": \"Plentywood\", \"Mobility\": 0.3181818128, \"State\": \"MT\", \"Population\": 4105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.014, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.002, \"Commute\": 0.681, \"Income\": 33727, \"Gini\": 0.263, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2408.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.281, \"Student_teacher_ratio\": 13.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.007, \"Foreign_born\": 0.018, \"Social_capital\": 1.27, \"Religious\": 0.758, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.068, \"Married\": 0.607, \"Longitude\": -104.65380859375, \"Latitude\": 48.6474342346191}, {\"ID\": 26408, \"Name\": \"Glasgow\", \"Mobility\": 0.1660649776, \"State\": \"MT\", \"Population\": 12276, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.213, \"Seg_income\": 0.021, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.014, \"Commute\": 0.697, \"Income\": 31217, \"Gini\": 0.318, \"Share01\": 4.758, \"Gini_99\": 0.271, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 6900.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.491, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 9.237, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.564, \"Religious\": 0.597, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.613, \"Longitude\": -107.298034667969, \"Latitude\": 47.9512710571289}, {\"ID\": 26409, \"Name\": \"Glendive\", \"Mobility\": 0.2666666806, \"State\": \"MT\", \"Population\": 12051, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.012, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.004, \"Commute\": 0.735, \"Income\": 29215, \"Gini\": 0.26, \"Share01\": 4.291, \"Gini_99\": 0.217, \"Middle_class\": 0.688, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2130.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.793, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 11.656, \"HS_dropout\": -0.026, \"Colleges\": 0.083, \"Tuition\": 1236.0, \"Graduation\": 0.08, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.009, \"Chinese_imports\": 0.018, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.009, \"Foreign_born\": 0.01, \"Social_capital\": 1.751, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.085, \"Married\": 0.606, \"Longitude\": -104.580238342285, \"Latitude\": 47.0760231018066}, {\"ID\": 26410, \"Name\": \"Dickinson\", \"Mobility\": 0.329207927, \"State\": \"ND\", \"Population\": 27124, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.219, \"Seg_income\": 0.016, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.019, \"Commute\": 0.659, \"Income\": 29909, \"Gini\": 0.312, \"Share01\": 8.093, \"Gini_99\": 0.231, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1600.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.08, \"Student_teacher_ratio\": 18.1, \"Test_scores\": 10.289, \"HS_dropout\": -0.027, \"Colleges\": 0.037, \"Tuition\": 1982.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.259, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 1.261, \"Religious\": 0.836, \"Violent_crime\": 0.0, \"Single_mothers\": 0.154, \"Divorced\": 0.072, \"Married\": 0.598, \"Longitude\": -102.613540649414, \"Latitude\": 47.3269577026367}, {\"ID\": 26411, \"Name\": \"Sidney\", \"Mobility\": 0.2505694628, \"State\": \"ND\", \"Population\": 22035, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.481, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.007, \"Commute\": 0.637, \"Income\": 30292, \"Gini\": 0.296, \"Share01\": 5.407, \"Gini_99\": 0.242, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2385.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.291, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.512, \"HS_dropout\": -0.019, \"Colleges\": 0.045, \"Tuition\": 1920.0, \"Graduation\": -0.185, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.042, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.421, \"Religious\": 0.658, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.081, \"Married\": 0.593, \"Longitude\": -103.932495117188, \"Latitude\": 47.976993560791}, {\"ID\": 26412, \"Name\": \"Williston\", \"Mobility\": 0.3383084536, \"State\": \"ND\", \"Population\": 24286, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.092, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.702, \"Income\": 32277, \"Gini\": 0.321, \"Share01\": 7.252, \"Gini_99\": 0.248, \"Middle_class\": 0.654, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1957.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 9.652, \"HS_dropout\": -0.034, \"Colleges\": 0.041, \"Tuition\": 1592.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.013, \"Social_capital\": 1.353, \"Religious\": 0.828, \"Violent_crime\": 0.0, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.584, \"Longitude\": -103.339866638184, \"Latitude\": 48.2544097900391}, {\"ID\": 26501, \"Name\": \"Brookings\", \"Mobility\": 0.1666666716, \"State\": \"SD\", \"Population\": 40630, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.126, \"Seg_income\": 0.012, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.007, \"Commute\": 0.64, \"Income\": 30234, \"Gini\": 0.317, \"Share01\": 9.071, \"Gini_99\": 0.226, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2273.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.768, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 12.972, \"HS_dropout\": -0.022, \"Colleges\": 0.025, \"Tuition\": 1933.0, \"Graduation\": 0.127, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.196, \"Chinese_imports\": 1.104, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.262, \"Religious\": 0.663, \"Violent_crime\": 0.0, \"Single_mothers\": 0.151, \"Divorced\": 0.063, \"Married\": 0.525, \"Longitude\": -97.0456924438477, \"Latitude\": 44.2527122497559}, {\"ID\": 26502, \"Name\": \"Madison\", \"Mobility\": 0.1843575388, \"State\": \"SD\", \"Population\": 14160, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.017, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.023, \"Commute\": 0.632, \"Income\": 30819, \"Gini\": 0.323, \"Share01\": 9.604, \"Gini_99\": 0.227, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2611.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.547, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.99, \"HS_dropout\": -0.024, \"Colleges\": 0.071, \"Tuition\": 1935.0, \"Graduation\": -0.016, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.198, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.008, \"Social_capital\": 2.281, \"Religious\": 0.725, \"Violent_crime\": 0.0, \"Single_mothers\": 0.139, \"Divorced\": 0.068, \"Married\": 0.564, \"Longitude\": -97.3513641357422, \"Latitude\": 44.0035781860352}, {\"ID\": 26503, \"Name\": \"Sioux Falls\", \"Mobility\": 0.1186331436, \"State\": \"SD\", \"Population\": 200630, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.082, \"Seg_income\": 0.076, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.087, \"Commute\": 0.439, \"Income\": 36624, \"Gini\": 0.387, \"Share01\": 13.17, \"Gini_99\": 0.256, \"Middle_class\": 0.599, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1707.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.132, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -0.6, \"HS_dropout\": -0.004, \"Colleges\": 0.04, \"Tuition\": 5666.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.742, \"Manufacturing\": 0.119, \"Chinese_imports\": 0.492, \"Teenage_labor\": 0.007, \"Migration_in\": 0.026, \"Migration_out\": 0.019, \"Foreign_born\": 0.034, \"Social_capital\": 1.629, \"Religious\": 0.643, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.089, \"Married\": 0.563, \"Longitude\": -96.8639984130859, \"Latitude\": 43.2444381713867}, {\"ID\": 26504, \"Name\": \"Watertown\", \"Mobility\": 0.1435294151, \"State\": \"SD\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.028, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.595, \"Income\": 35143, \"Gini\": 0.33, \"Share01\": 7.69, \"Gini_99\": 0.253, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2099.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.92, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 14.26, \"HS_dropout\": -0.013, \"Colleges\": 0.025, \"Tuition\": 1980.0, \"Graduation\": 0.376, \"Labor_force_participation\": 0.693, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.113, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 1.789, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.071, \"Married\": 0.611, \"Longitude\": -97.2051086425781, \"Latitude\": 44.7741546630859}, {\"ID\": 26601, \"Name\": \"Milbank\", \"Mobility\": 0.1702127606, \"State\": \"MN\", \"Population\": 17801, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.07, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.65, \"Income\": 34361, \"Gini\": 0.31, \"Share01\": 6.661, \"Gini_99\": 0.243, \"Middle_class\": 0.686, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 5010.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.052, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 11.685, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.258, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.01, \"Social_capital\": 2.339, \"Religious\": 1.004, \"Violent_crime\": 0.001, \"Single_mothers\": 0.119, \"Divorced\": 0.057, \"Married\": 0.635, \"Longitude\": -96.5079879760742, \"Latitude\": 45.4473838806152}, {\"ID\": 26602, \"Name\": \"Sisseton\", \"Mobility\": 0.107066378, \"State\": \"SD\", \"Population\": 20859, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.263, \"Seg_income\": 0.011, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.004, \"Commute\": 0.563, \"Income\": 30613, \"Gini\": 0.292, \"Share01\": 4.579, \"Gini_99\": 0.246, \"Middle_class\": 0.616, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1563.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.094, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 4.794, \"HS_dropout\": -0.006, \"Colleges\": 0.048, \"Tuition\": null, \"Graduation\": -0.158, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.75, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.331, \"Religious\": 0.831, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.078, \"Married\": 0.579, \"Longitude\": -97.1130447387695, \"Latitude\": 45.5108833312988}, {\"ID\": 26603, \"Name\": \"East Corson UT\", \"Mobility\": 0.0700280145, \"State\": \"SD\", \"Population\": 8225, \"Urban\": 1, \"Black\": 0.001, \"Seg_racial\": 0.234, \"Seg_income\": 0.014, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.012, \"Commute\": 0.505, \"Income\": 17401, \"Gini\": 0.457, \"Share01\": 14.908, \"Gini_99\": 0.307, \"Middle_class\": 0.465, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.853, \"Student_teacher_ratio\": 12.3, \"Test_scores\": -22.102, \"HS_dropout\": 0.099, \"Colleges\": 0.243, \"Tuition\": 17000.0, \"Graduation\": -0.229, \"Labor_force_participation\": 0.546, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.016, \"Foreign_born\": 0.005, \"Social_capital\": -0.244, \"Religious\": 0.693, \"Violent_crime\": 0.0, \"Single_mothers\": 0.344, \"Divorced\": 0.105, \"Married\": 0.405, \"Longitude\": -101.020462036133, \"Latitude\": 46.0272445678711}, {\"ID\": 26604, \"Name\": \"Mobridge\", \"Mobility\": 0.1111111119, \"State\": \"SD\", \"Population\": 7756, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.141, \"Seg_income\": 0.003, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.003, \"Commute\": 0.708, \"Income\": 31322, \"Gini\": 0.272, \"Share01\": 4.955, \"Gini_99\": 0.222, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1702.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 19.04, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 2.379, \"Religious\": 0.834, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.083, \"Married\": 0.579, \"Longitude\": -100.26685333252, \"Latitude\": 45.6210784912109}, {\"ID\": 26605, \"Name\": \"Aberdeen\", \"Mobility\": 0.1992687434, \"State\": \"SD\", \"Population\": 52825, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.049, \"Seg_income\": 0.025, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.023, \"Commute\": 0.676, \"Income\": 33760, \"Gini\": 0.366, \"Share01\": 10.84, \"Gini_99\": 0.257, \"Middle_class\": 0.636, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1759.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.042, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 7.676, \"HS_dropout\": -0.014, \"Colleges\": 0.038, \"Tuition\": 2466.0, \"Graduation\": -0.014, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.275, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.008, \"Social_capital\": 2.063, \"Religious\": 0.862, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.075, \"Married\": 0.591, \"Longitude\": -98.8909072875977, \"Latitude\": 45.3348693847656}, {\"ID\": 26701, \"Name\": \"Bemidji\", \"Mobility\": 0.0952868834, \"State\": \"MN\", \"Population\": 101639, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.317, \"Seg_income\": 0.027, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.025, \"Commute\": 0.449, \"Income\": 31567, \"Gini\": 0.395, \"Share01\": 9.319, \"Gini_99\": 0.302, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2723.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.145, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 4.087, \"HS_dropout\": 0.006, \"Colleges\": 0.039, \"Tuition\": 2810.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.11, \"Chinese_imports\": 0.506, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": 1.443, \"Religious\": 0.564, \"Violent_crime\": 0.001, \"Single_mothers\": 0.211, \"Divorced\": 0.087, \"Married\": 0.57, \"Longitude\": -95.277946472168, \"Latitude\": 47.464656829834}, {\"ID\": 26702, \"Name\": \"Grafton\", \"Mobility\": 0.2325581461, \"State\": \"ND\", \"Population\": 31090, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.072, \"Seg_income\": 0.013, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.012, \"Commute\": 0.582, \"Income\": 34409, \"Gini\": 0.337, \"Share01\": 9.879, \"Gini_99\": 0.238, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2180.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.561, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 8.881, \"HS_dropout\": -0.026, \"Colleges\": 0.032, \"Tuition\": 13175.0, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.059, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.026, \"Social_capital\": 2.415, \"Religious\": 0.876, \"Violent_crime\": 0.0, \"Single_mothers\": 0.124, \"Divorced\": 0.067, \"Married\": 0.617, \"Longitude\": -97.401252746582, \"Latitude\": 48.4641265869141}, {\"ID\": 26703, \"Name\": \"Thief River Falls\", \"Mobility\": 0.1787564754, \"State\": \"MN\", \"Population\": 28038, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.012, \"Commute\": 0.534, \"Income\": 32095, \"Gini\": 0.336, \"Share01\": 9.085, \"Gini_99\": 0.245, \"Middle_class\": 0.672, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3713.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.982, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 9.516, \"HS_dropout\": -0.032, \"Colleges\": 0.071, \"Tuition\": 2427.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.174, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 2.338, \"Religious\": 0.826, \"Violent_crime\": 0.0, \"Single_mothers\": 0.164, \"Divorced\": 0.077, \"Married\": 0.589, \"Longitude\": -96.7299499511719, \"Latitude\": 48.2184143066406}, {\"ID\": 26704, \"Name\": \"Grand Forks\", \"Mobility\": 0.1279491782, \"State\": \"ND\", \"Population\": 108213, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.077, \"Seg_income\": 0.054, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.056, \"Commute\": 0.613, \"Income\": 31651, \"Gini\": 0.333, \"Share01\": 10.207, \"Gini_99\": 0.231, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2039.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.709, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 8.004, \"HS_dropout\": -0.017, \"Colleges\": 0.028, \"Tuition\": 2733.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.074, \"Chinese_imports\": 0.168, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.024, \"Foreign_born\": 0.027, \"Social_capital\": 1.612, \"Religious\": 0.674, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.074, \"Married\": 0.532, \"Longitude\": -96.8492813110352, \"Latitude\": 47.631103515625}, {\"ID\": 26801, \"Name\": \"Fargo\", \"Mobility\": 0.1358173043, \"State\": \"ND\", \"Population\": 206945, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.056, \"Seg_income\": 0.065, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.518, \"Income\": 34085, \"Gini\": 0.365, \"Share01\": 11.083, \"Gini_99\": 0.254, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2263.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 6.018, \"HS_dropout\": -0.014, \"Colleges\": 0.024, \"Tuition\": 2686.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.096, \"Chinese_imports\": 0.151, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.027, \"Social_capital\": 1.8, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.08, \"Married\": 0.533, \"Longitude\": -96.8047027587891, \"Latitude\": 46.7821769714355}, {\"ID\": 26802, \"Name\": \"Lisbon\", \"Mobility\": 0.2352941185, \"State\": \"ND\", \"Population\": 16013, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.015, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.606, \"Income\": 35168, \"Gini\": 0.268, \"Share01\": 6.895, \"Gini_99\": 0.199, \"Middle_class\": 0.699, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1429.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 4.879, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 10.804, \"HS_dropout\": -0.031, \"Colleges\": 0.062, \"Tuition\": 5700.0, \"Graduation\": 0.137, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.192, \"Chinese_imports\": 0.318, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 2.606, \"Religious\": 0.882, \"Violent_crime\": 0.0, \"Single_mothers\": 0.1, \"Divorced\": 0.07, \"Married\": 0.626, \"Longitude\": -97.9004364013672, \"Latitude\": 46.1610984802246}, {\"ID\": 26803, \"Name\": \"Jamestown\", \"Mobility\": 0.2240566015, \"State\": \"ND\", \"Population\": 38384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.023, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.021, \"Commute\": 0.667, \"Income\": 32842, \"Gini\": 0.329, \"Share01\": 8.37, \"Gini_99\": 0.245, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1406.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 5.257, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 10.253, \"HS_dropout\": -0.034, \"Colleges\": 0.052, \"Tuition\": 5551.0, \"Graduation\": 0.092, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.01, \"Social_capital\": 2.26, \"Religious\": 0.755, \"Violent_crime\": 0.0, \"Single_mothers\": 0.156, \"Divorced\": 0.081, \"Married\": 0.571, \"Longitude\": -98.5546875, \"Latitude\": 46.8599853515625}, {\"ID\": 26804, \"Name\": \"Cooperstown\", \"Mobility\": null, \"State\": \"ND\", \"Population\": 2754, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.615, \"Income\": 34890, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1392.0, \"Progressivity\": 3.44, \"EITC\": 0.0, \"School_spending\": 6.071, \"Student_teacher_ratio\": 13.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.093, \"Chinese_imports\": 1.673, \"Teenage_labor\": null, \"Migration_in\": 0.006, \"Migration_out\": 0.008, \"Foreign_born\": 0.009, \"Social_capital\": 2.695, \"Religious\": 0.746, \"Violent_crime\": 0.0, \"Single_mothers\": 0.086, \"Divorced\": 0.047, \"Married\": 0.638, \"Longitude\": -98.2317657470703, \"Latitude\": 47.3991737365723}, {\"ID\": 26901, \"Name\": \"Fergus Falls\", \"Mobility\": 0.1523076892, \"State\": \"MN\", \"Population\": 117558, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.095, \"Seg_income\": 0.017, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.016, \"Commute\": 0.526, \"Income\": 36094, \"Gini\": 0.335, \"Share01\": 8.518, \"Gini_99\": 0.25, \"Middle_class\": 0.648, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2972.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.713, \"Student_teacher_ratio\": 16.9, \"Test_scores\": 15.814, \"HS_dropout\": -0.003, \"Colleges\": 0.026, \"Tuition\": 3215.0, \"Graduation\": 0.063, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.148, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 2.729, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -95.8051071166992, \"Latitude\": 45.9277229309082}, {\"ID\": 26902, \"Name\": \"Little Falls\", \"Mobility\": 0.1645569652, \"State\": \"MN\", \"Population\": 69851, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.058, \"Seg_income\": 0.014, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.015, \"Commute\": 0.435, \"Income\": 31851, \"Gini\": 0.308, \"Share01\": 6.947, \"Gini_99\": 0.239, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2770.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.227, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 7.154, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.195, \"Chinese_imports\": 0.876, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.021, \"Foreign_born\": 0.013, \"Social_capital\": 1.556, \"Religious\": 0.667, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.079, \"Married\": 0.602, \"Longitude\": -94.5944213867188, \"Latitude\": 46.2309341430664}, {\"ID\": 27001, \"Name\": \"O'Neill\", \"Mobility\": 0.1893491149, \"State\": \"NE\", \"Population\": 14875, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.022, \"Seg_income\": 0.005, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.007, \"Commute\": 0.653, \"Income\": 31084, \"Gini\": 0.296, \"Share01\": 6.285, \"Gini_99\": 0.234, \"Middle_class\": 0.628, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.565, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 10.016, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.005, \"Foreign_born\": 0.007, \"Social_capital\": 1.311, \"Religious\": 0.688, \"Violent_crime\": 0.0, \"Single_mothers\": 0.097, \"Divorced\": 0.06, \"Married\": 0.649, \"Longitude\": -98.7092666625977, \"Latitude\": 42.4437103271484}, {\"ID\": 27002, \"Name\": \"Ord\", \"Mobility\": 0.2392344475, \"State\": \"NE\", \"Population\": 9975, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.025, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.658, \"Income\": 31042, \"Gini\": 0.362, \"Share01\": 6.536, \"Gini_99\": 0.296, \"Middle_class\": 0.597, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2684.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.896, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 9.69, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.082, \"Teenage_labor\": 0.006, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.008, \"Social_capital\": 0.837, \"Religious\": 0.822, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.065, \"Married\": 0.636, \"Longitude\": -99.0196533203125, \"Latitude\": 41.712028503418}, {\"ID\": 27003, \"Name\": \"Ainsworth\", \"Mobility\": 0.1920529753, \"State\": \"NE\", \"Population\": 6264, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.039, \"Seg_income\": 0.005, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.007, \"Commute\": 0.67, \"Income\": 30825, \"Gini\": 0.291, \"Share01\": 5.895, \"Gini_99\": 0.232, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2817.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.274, \"Student_teacher_ratio\": 11.6, \"Test_scores\": 0.131, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.279, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 1.548, \"Religious\": 0.545, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.076, \"Married\": 0.639, \"Longitude\": -99.7006912231445, \"Latitude\": 42.5554466247559}, {\"ID\": 27004, \"Name\": \"Winner\", \"Mobility\": 0.1392857134, \"State\": \"SD\", \"Population\": 11222, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.034, \"Seg_income\": 0.005, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.006, \"Commute\": 0.673, \"Income\": 29623, \"Gini\": 0.346, \"Share01\": 7.011, \"Gini_99\": 0.276, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1773.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.964, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 16.809, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.007, \"Migration_in\": 0.001, \"Migration_out\": 0.006, \"Foreign_born\": 0.005, \"Social_capital\": 1.978, \"Religious\": 0.705, \"Violent_crime\": 0.001, \"Single_mothers\": 0.122, \"Divorced\": 0.071, \"Married\": 0.6, \"Longitude\": -99.5870895385742, \"Latitude\": 43.4869003295898}, {\"ID\": 27005, \"Name\": \"Yankton\", \"Mobility\": 0.1712000072, \"State\": \"SD\", \"Population\": 47901, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.148, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.016, \"Commute\": 0.583, \"Income\": 31086, \"Gini\": 0.309, \"Share01\": 6.798, \"Gini_99\": 0.241, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.307, \"Student_teacher_ratio\": 16.2, \"Test_scores\": 8.914, \"HS_dropout\": -0.017, \"Colleges\": 0.021, \"Tuition\": 9710.0, \"Graduation\": 0.071, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.142, \"Chinese_imports\": 1.58, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.011, \"Social_capital\": 1.31, \"Religious\": 0.769, \"Violent_crime\": 0.001, \"Single_mothers\": 0.138, \"Divorced\": 0.068, \"Married\": 0.619, \"Longitude\": -97.7685089111328, \"Latitude\": 42.8132400512695}, {\"ID\": 27006, \"Name\": \"Mitchell\", \"Mobility\": 0.1338199526, \"State\": \"SD\", \"Population\": 27613, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.032, \"Seg_income\": 0.007, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.009, \"Commute\": 0.641, \"Income\": 33753, \"Gini\": 0.396, \"Share01\": 13.422, \"Gini_99\": 0.261, \"Middle_class\": 0.639, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1673.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.252, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 15.04, \"HS_dropout\": -0.03, \"Colleges\": 0.072, \"Tuition\": 4330.0, \"Graduation\": 0.337, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.133, \"Chinese_imports\": 1.86, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 2.059, \"Religious\": 0.787, \"Violent_crime\": 0.001, \"Single_mothers\": 0.151, \"Divorced\": 0.077, \"Married\": 0.587, \"Longitude\": -98.2380447387695, \"Latitude\": 43.7194900512695}, {\"ID\": 27007, \"Name\": \"Huron\", \"Mobility\": 0.1204819307, \"State\": \"SD\", \"Population\": 19318, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.041, \"Seg_income\": 0.008, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.67, \"Income\": 35617, \"Gini\": 0.329, \"Share01\": 8.42, \"Gini_99\": 0.245, \"Middle_class\": 0.649, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1636.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.12, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 7.178, \"HS_dropout\": -0.01, \"Colleges\": 0.052, \"Tuition\": 7200.0, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.073, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 3.55, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.165, \"Divorced\": 0.091, \"Married\": 0.594, \"Longitude\": -98.4064025878906, \"Latitude\": 44.2393493652344}, {\"ID\": 27008, \"Name\": \"Parkston\", \"Mobility\": 0.157107234, \"State\": \"SD\", \"Population\": 20883, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.333, \"Seg_income\": 0.012, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.006, \"Commute\": 0.613, \"Income\": 29594, \"Gini\": 0.34, \"Share01\": 8.575, \"Gini_99\": 0.254, \"Middle_class\": 0.631, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 1539.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.127, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.061, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.009, \"Foreign_born\": 0.007, \"Social_capital\": 2.774, \"Religious\": 0.903, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -98.4186553955078, \"Latitude\": 43.1798553466797}, {\"ID\": 27009, \"Name\": \"Chamberlain\", \"Mobility\": 0.0804195777, \"State\": \"SD\", \"Population\": 11291, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.554, \"Seg_income\": 0.056, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.039, \"Commute\": 0.6, \"Income\": 26746, \"Gini\": 0.374, \"Share01\": 7.207, \"Gini_99\": 0.302, \"Middle_class\": 0.569, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.188, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 13.686, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.048, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 0.682, \"Religious\": 0.696, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.081, \"Married\": 0.531, \"Longitude\": -99.7316207885742, \"Latitude\": 43.847541809082}, {\"ID\": 27010, \"Name\": \"Miller\", \"Mobility\": 0.3150684834, \"State\": \"SD\", \"Population\": 5412, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.353, \"Seg_income\": 0.01, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.013, \"Commute\": 0.697, \"Income\": 39611, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 1977.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.358, \"Student_teacher_ratio\": 14.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.011, \"Teenage_labor\": null, \"Migration_in\": 0.004, \"Migration_out\": 0.0, \"Foreign_born\": 0.009, \"Social_capital\": 3.375, \"Religious\": 0.722, \"Violent_crime\": 0.0, \"Single_mothers\": 0.111, \"Divorced\": 0.063, \"Married\": 0.605, \"Longitude\": -99.2775802612305, \"Latitude\": 44.5331344604492}, {\"ID\": 27011, \"Name\": \"Pierre\", \"Mobility\": 0.0924369767, \"State\": \"SD\", \"Population\": 20809, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.079, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.767, \"Income\": 38653, \"Gini\": 0.344, \"Share01\": 7.779, \"Gini_99\": 0.266, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1943.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.099, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.612, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.739, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.008, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.012, \"Social_capital\": 5.266, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.098, \"Married\": 0.616, \"Longitude\": -100.434280395508, \"Latitude\": 44.5327339172363}, {\"ID\": 27012, \"Name\": \"Gettysburg\", \"Mobility\": 0.3265306056, \"State\": \"SD\", \"Population\": 2693, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.729, \"Income\": 37190, \"Gini\": 0.3, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1832.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.693, \"Student_teacher_ratio\": 14.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.047, \"Chinese_imports\": 0.052, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.004, \"Social_capital\": 4.555, \"Religious\": 1.158, \"Violent_crime\": 0.0, \"Single_mothers\": 0.084, \"Divorced\": 0.074, \"Married\": 0.655, \"Longitude\": -100.195465087891, \"Latitude\": 45.0510025024414}, {\"ID\": 27101, \"Name\": \"Willmar\", \"Mobility\": 0.1247139573, \"State\": \"MN\", \"Population\": 85394, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.181, \"Seg_income\": 0.024, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.025, \"Commute\": 0.549, \"Income\": 35795, \"Gini\": 0.313, \"Share01\": 7.697, \"Gini_99\": 0.236, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3638.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.863, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 5.464, \"HS_dropout\": -0.012, \"Colleges\": 0.023, \"Tuition\": 2232.0, \"Graduation\": 0.046, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.158, \"Chinese_imports\": 2.415, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.025, \"Social_capital\": 2.626, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.074, \"Married\": 0.595, \"Longitude\": -95.7932357788086, \"Latitude\": 45.0299758911133}, {\"ID\": 27102, \"Name\": \"Marshall\", \"Mobility\": 0.153061226, \"State\": \"MN\", \"Population\": 51470, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.089, \"Seg_income\": 0.017, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.02, \"Commute\": 0.621, \"Income\": 34330, \"Gini\": 0.331, \"Share01\": 9.09, \"Gini_99\": 0.24, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3783.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.325, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 11.332, \"HS_dropout\": -0.017, \"Colleges\": 0.019, \"Tuition\": 2790.0, \"Graduation\": 0.029, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.175, \"Chinese_imports\": 0.729, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.027, \"Social_capital\": 2.843, \"Religious\": 0.808, \"Violent_crime\": 0.0, \"Single_mothers\": 0.135, \"Divorced\": 0.055, \"Married\": 0.608, \"Longitude\": -96.1117172241211, \"Latitude\": 44.1432304382324}, {\"ID\": 27201, \"Name\": \"Sioux Center\", \"Mobility\": 0.2307692319, \"State\": \"IA\", \"Population\": 58454, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.629, \"Income\": 32542, \"Gini\": 0.33, \"Share01\": 13.264, \"Gini_99\": 0.198, \"Middle_class\": 0.734, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2097.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.003, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.514, \"HS_dropout\": -0.031, \"Colleges\": 0.051, \"Tuition\": 10233.0, \"Graduation\": 0.195, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.188, \"Chinese_imports\": 1.407, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.023, \"Social_capital\": 2.82, \"Religious\": 0.928, \"Violent_crime\": 0.001, \"Single_mothers\": 0.082, \"Divorced\": 0.042, \"Married\": 0.634, \"Longitude\": -96.3176116943359, \"Latitude\": 43.2065963745117}, {\"ID\": 27202, \"Name\": \"Worthington\", \"Mobility\": 0.1402936429, \"State\": \"MN\", \"Population\": 60435, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.193, \"Seg_income\": 0.01, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.01, \"Commute\": 0.589, \"Income\": 34678, \"Gini\": 0.271, \"Share01\": 6.866, \"Gini_99\": 0.202, \"Middle_class\": 0.713, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3025.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 6.848, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 8.616, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.193, \"Chinese_imports\": 0.322, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.01, \"Foreign_born\": 0.043, \"Social_capital\": 2.813, \"Religious\": 0.864, \"Violent_crime\": 0.001, \"Single_mothers\": 0.132, \"Divorced\": 0.059, \"Married\": 0.627, \"Longitude\": -95.4412689208984, \"Latitude\": 43.7808990478516}, {\"ID\": 27301, \"Name\": \"Spencer\", \"Mobility\": 0.1850079745, \"State\": \"IA\", \"Population\": 61106, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.598, \"Income\": 38061, \"Gini\": 0.37, \"Share01\": 12.545, \"Gini_99\": 0.245, \"Middle_class\": 0.684, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2689.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.271, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.503, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.657, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.783, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.011, \"Social_capital\": 1.821, \"Religious\": 0.781, \"Violent_crime\": 0.0, \"Single_mothers\": 0.147, \"Divorced\": 0.077, \"Married\": 0.612, \"Longitude\": -94.7032241821289, \"Latitude\": 43.2080116271973}, {\"ID\": 27302, \"Name\": \"Fairmont\", \"Mobility\": 0.1287128776, \"State\": \"MN\", \"Population\": 49010, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.052, \"Seg_income\": 0.017, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.013, \"Commute\": 0.576, \"Income\": 35648, \"Gini\": 0.294, \"Share01\": 7.086, \"Gini_99\": 0.223, \"Middle_class\": 0.695, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3270.0, \"Progressivity\": 2.5, \"EITC\": 17.286, \"School_spending\": 7.665, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 9.026, \"HS_dropout\": -0.013, \"Colleges\": 0.02, \"Tuition\": 2016.0, \"Graduation\": 0.058, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.207, \"Chinese_imports\": 1.774, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.012, \"Foreign_born\": 0.016, \"Social_capital\": 2.86, \"Religious\": 0.878, \"Violent_crime\": 0.001, \"Single_mothers\": 0.157, \"Divorced\": 0.073, \"Married\": 0.608, \"Longitude\": -94.3489074707031, \"Latitude\": 43.5703163146973}, {\"ID\": 27401, \"Name\": \"Storm Lake\", \"Mobility\": 0.1734317392, \"State\": \"IA\", \"Population\": 52812, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.217, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.614, \"Income\": 34279, \"Gini\": 0.318, \"Share01\": 8.244, \"Gini_99\": 0.235, \"Middle_class\": 0.692, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1936.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.03, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 4.72, \"HS_dropout\": -0.033, \"Colleges\": 0.019, \"Tuition\": 17176.0, \"Graduation\": 0.206, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.19, \"Chinese_imports\": 0.705, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.011, \"Foreign_born\": 0.053, \"Social_capital\": 2.078, \"Religious\": 0.741, \"Violent_crime\": 0.0, \"Single_mothers\": 0.146, \"Divorced\": 0.069, \"Married\": 0.597, \"Longitude\": -95.3256225585938, \"Latitude\": 42.5063896179199}, {\"ID\": 27402, \"Name\": \"Fort Dodge\", \"Mobility\": 0.1300448477, \"State\": \"IA\", \"Population\": 101165, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.109, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.021, \"Commute\": 0.572, \"Income\": 35646, \"Gini\": 0.33, \"Share01\": 10.56, \"Gini_99\": 0.224, \"Middle_class\": 0.668, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2322.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.203, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.168, \"HS_dropout\": -0.022, \"Colleges\": 0.01, \"Tuition\": 1830.0, \"Graduation\": 0.014, \"Labor_force_participation\": 0.627, \"Manufacturing\": 0.184, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.009, \"Foreign_born\": 0.018, \"Social_capital\": 2.08, \"Religious\": 0.719, \"Violent_crime\": 0.002, \"Single_mothers\": 0.174, \"Divorced\": 0.091, \"Married\": 0.588, \"Longitude\": -94.1821441650391, \"Latitude\": 42.4745178222656}, {\"ID\": 27501, \"Name\": \"Des Moines\", \"Mobility\": 0.0910248235, \"State\": \"IA\", \"Population\": 595842, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.175, \"Seg_income\": 0.076, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.087, \"Commute\": 0.384, \"Income\": 40108, \"Gini\": 0.391, \"Share01\": 13.556, \"Gini_99\": 0.255, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2490.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.405, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 1.707, \"HS_dropout\": -0.006, \"Colleges\": 0.017, \"Tuition\": 4899.0, \"Graduation\": 0.09, \"Labor_force_participation\": 0.722, \"Manufacturing\": 0.092, \"Chinese_imports\": 0.27, \"Teenage_labor\": 0.007, \"Migration_in\": 0.019, \"Migration_out\": 0.015, \"Foreign_born\": 0.051, \"Social_capital\": 1.595, \"Religious\": 0.483, \"Violent_crime\": 0.001, \"Single_mothers\": 0.182, \"Divorced\": 0.098, \"Married\": 0.564, \"Longitude\": -93.9295120239258, \"Latitude\": 41.6039848327637}, {\"ID\": 27502, \"Name\": \"Creston\", \"Mobility\": 0.1245136186, \"State\": \"IA\", \"Population\": 35600, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.068, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.013, \"Commute\": 0.556, \"Income\": 31082, \"Gini\": 0.324, \"Share01\": 8.285, \"Gini_99\": 0.241, \"Middle_class\": 0.661, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2736.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.49, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 4.511, \"HS_dropout\": -0.018, \"Colleges\": 0.056, \"Tuition\": 6668.0, \"Graduation\": 0.123, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.172, \"Chinese_imports\": 1.868, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 1.415, \"Religious\": 0.478, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.091, \"Married\": 0.599, \"Longitude\": -94.0072784423828, \"Latitude\": 40.8755035400391}, {\"ID\": 27503, \"Name\": \"Atlantic\", \"Mobility\": 0.1515837163, \"State\": \"IA\", \"Population\": 34687, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.01, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.016, \"Commute\": 0.557, \"Income\": 35644, \"Gini\": 0.315, \"Share01\": 8.047, \"Gini_99\": 0.235, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2557.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.166, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.915, \"HS_dropout\": -0.032, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.012, \"Foreign_born\": 0.007, \"Social_capital\": 1.971, \"Religious\": 0.768, \"Violent_crime\": 0.001, \"Single_mothers\": 0.154, \"Divorced\": 0.074, \"Married\": 0.642, \"Longitude\": -95.0605239868164, \"Latitude\": 41.5310440063477}, {\"ID\": 27504, \"Name\": \"Carroll\", \"Mobility\": 0.1672354937, \"State\": \"IA\", \"Population\": 48729, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.178, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.611, \"Income\": 34862, \"Gini\": 0.299, \"Share01\": 6.69, \"Gini_99\": 0.232, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2694.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 6.048, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 6.525, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.313, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.026, \"Social_capital\": 2.376, \"Religious\": 0.784, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.071, \"Married\": 0.604, \"Longitude\": -94.8914413452148, \"Latitude\": 42.0172080993652}, {\"ID\": 27601, \"Name\": \"Rapid City\", \"Mobility\": 0.0930329561, \"State\": \"SD\", \"Population\": 158442, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.053, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.058, \"Commute\": 0.484, \"Income\": 33201, \"Gini\": 0.39, \"Share01\": 10.24, \"Gini_99\": 0.287, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1719.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.695, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 0.755, \"HS_dropout\": 0.012, \"Colleges\": 0.025, \"Tuition\": 3265.0, \"Graduation\": -0.05, \"Labor_force_participation\": 0.688, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.628, \"Teenage_labor\": 0.007, \"Migration_in\": 0.012, \"Migration_out\": 0.013, \"Foreign_born\": 0.017, \"Social_capital\": 0.744, \"Religious\": 0.542, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.111, \"Married\": 0.576, \"Longitude\": -102.985694885254, \"Latitude\": 43.9553756713867}, {\"ID\": 27602, \"Name\": \"Eagle Butte\", \"Mobility\": 0.05111821, \"State\": \"SD\", \"Population\": 8491, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.177, \"Seg_income\": 0.034, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.019, \"Commute\": 0.578, \"Income\": 18546, \"Gini\": 0.317, \"Share01\": 5.469, \"Gini_99\": 0.262, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.721, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 0.729, \"HS_dropout\": 0.064, \"Colleges\": 0.118, \"Tuition\": 2940.0, \"Graduation\": null, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.008, \"Foreign_born\": 0.005, \"Social_capital\": -0.009, \"Religious\": 0.528, \"Violent_crime\": 0.002, \"Single_mothers\": 0.322, \"Divorced\": 0.124, \"Married\": 0.422, \"Longitude\": -100.94905090332, \"Latitude\": 44.8710060119629}, {\"ID\": 27603, \"Name\": \"Southwest Jackson UT\", \"Mobility\": 0.1103448272, \"State\": \"SD\", \"Population\": 5126, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.441, \"Seg_income\": 0.039, \"Seg_poverty\": 0.041, \"Seg_affluence\": 0.024, \"Commute\": 0.669, \"Income\": 26268, \"Gini\": 0.296, \"Share01\": 7.437, \"Gini_99\": 0.222, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1560.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.023, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 11.09, \"HS_dropout\": -0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.207, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.008, \"Social_capital\": 1.482, \"Religious\": 0.609, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.066, \"Married\": 0.562, \"Longitude\": -101.566413879395, \"Latitude\": 44.2099189758301}, {\"ID\": 27604, \"Name\": \"Murdo\", \"Mobility\": null, \"State\": \"SD\", \"Population\": 1193, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.715, \"Income\": 30669, \"Gini\": 0.309, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.161, \"Student_teacher_ratio\": 15.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.708, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.001, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.0, \"Social_capital\": 1.618, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.137, \"Divorced\": 0.107, \"Married\": 0.562, \"Longitude\": -100.711044311523, \"Latitude\": 43.7982406616211}, {\"ID\": 27605, \"Name\": \"Mission\", \"Mobility\": 0.0242537316, \"State\": \"SD\", \"Population\": 11133, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.102, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.465, \"Income\": 17598, \"Gini\": 0.381, \"Share01\": 5.522, \"Gini_99\": 0.326, \"Middle_class\": 0.379, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2285.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -30.399, \"HS_dropout\": null, \"Colleges\": 0.09, \"Tuition\": 1632.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 0.035, \"Religious\": 0.551, \"Violent_crime\": 0.0, \"Single_mothers\": 0.391, \"Divorced\": 0.138, \"Married\": 0.373, \"Longitude\": -100.702262878418, \"Latitude\": 43.6780586242676}, {\"ID\": 27701, \"Name\": \"Scottsbluff\", \"Mobility\": 0.1194029823, \"State\": \"NE\", \"Population\": 65903, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.115, \"Seg_income\": 0.019, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.02, \"Commute\": 0.642, \"Income\": 33192, \"Gini\": 0.346, \"Share01\": 6.759, \"Gini_99\": 0.279, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.664, \"Student_teacher_ratio\": 15.8, \"Test_scores\": -1.08, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1677.0, \"Graduation\": -0.063, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.271, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.035, \"Social_capital\": 1.136, \"Religious\": 0.532, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.097, \"Married\": 0.591, \"Longitude\": -103.237144470215, \"Latitude\": 42.1022415161133}, {\"ID\": 27702, \"Name\": \"Cheyenne\", \"Mobility\": 0.0956375822, \"State\": \"WY\", \"Population\": 95526, \"Urban\": 1, \"Black\": 0.021, \"Seg_racial\": 0.064, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.072, \"Commute\": 0.564, \"Income\": 34425, \"Gini\": 0.366, \"Share01\": 9.978, \"Gini_99\": 0.266, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3061.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.823, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 2.301, \"HS_dropout\": 0.009, \"Colleges\": 0.01, \"Tuition\": 1128.0, \"Graduation\": -0.248, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.027, \"Foreign_born\": 0.026, \"Social_capital\": 0.876, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.125, \"Married\": 0.583, \"Longitude\": -103.619277954102, \"Latitude\": 41.2267875671387}, {\"ID\": 27703, \"Name\": \"Torrington\", \"Mobility\": 0.171581775, \"State\": \"WY\", \"Population\": 21345, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.025, \"Seg_income\": 0.008, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.005, \"Commute\": 0.624, \"Income\": 31966, \"Gini\": 0.324, \"Share01\": 5.398, \"Gini_99\": 0.27, \"Middle_class\": 0.618, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3131.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.934, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 8.823, \"HS_dropout\": -0.003, \"Colleges\": 0.047, \"Tuition\": 1128.0, \"Graduation\": -0.019, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.017, \"Social_capital\": 0.935, \"Religious\": 0.411, \"Violent_crime\": 0.001, \"Single_mothers\": 0.163, \"Divorced\": 0.105, \"Married\": 0.616, \"Longitude\": -104.755416870117, \"Latitude\": 42.0708351135254}, {\"ID\": 27704, \"Name\": \"Gordon\", \"Mobility\": 0.0319488831, \"State\": \"SD\", \"Population\": 22238, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.486, \"Seg_income\": 0.034, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.019, \"Commute\": 0.588, \"Income\": 19815, \"Gini\": 0.334, \"Share01\": 6.245, \"Gini_99\": 0.271, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1751.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.731, \"Student_teacher_ratio\": 13.9, \"Test_scores\": -19.811, \"HS_dropout\": -0.006, \"Colleges\": 0.045, \"Tuition\": 1560.0, \"Graduation\": -0.277, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.157, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.01, \"Foreign_born\": 0.007, \"Social_capital\": -0.153, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.318, \"Divorced\": 0.095, \"Married\": 0.454, \"Longitude\": -102.420791625977, \"Latitude\": 42.9795875549316}, {\"ID\": 27801, \"Name\": \"Virginia Beach\", \"Mobility\": 0.1516079605, \"State\": \"NE\", \"Population\": 56990, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.108, \"Seg_income\": 0.028, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.039, \"Commute\": 0.614, \"Income\": 31600, \"Gini\": 0.331, \"Share01\": 11.685, \"Gini_99\": 0.214, \"Middle_class\": 0.665, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2142.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.382, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 9.922, \"HS_dropout\": -0.022, \"Colleges\": 0.035, \"Tuition\": 1621.0, \"Graduation\": 0.055, \"Labor_force_participation\": 0.686, \"Manufacturing\": 0.176, \"Chinese_imports\": 0.301, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.037, \"Social_capital\": 1.106, \"Religious\": 0.756, \"Violent_crime\": 0.0, \"Single_mothers\": 0.153, \"Divorced\": 0.071, \"Married\": 0.605, \"Longitude\": -97.6046447753906, \"Latitude\": 42.0407600402832}, {\"ID\": 27802, \"Name\": \"Columbus\", \"Mobility\": 0.1691842973, \"State\": \"NE\", \"Population\": 61167, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.212, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.017, \"Commute\": 0.581, \"Income\": 34258, \"Gini\": 0.279, \"Share01\": 7.077, \"Gini_99\": 0.208, \"Middle_class\": 0.712, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 11529.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.299, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.493, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.271, \"Chinese_imports\": 0.803, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.055, \"Social_capital\": 0.982, \"Religious\": 0.751, \"Violent_crime\": 0.0, \"Single_mothers\": 0.131, \"Divorced\": 0.062, \"Married\": 0.629, \"Longitude\": -97.6625366210938, \"Latitude\": 41.4536361694336}, {\"ID\": 27901, \"Name\": \"Hastings\", \"Mobility\": 0.1111111119, \"State\": \"NE\", \"Population\": 42251, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.059, \"Seg_income\": 0.041, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.036, \"Commute\": 0.599, \"Income\": 34343, \"Gini\": 0.375, \"Share01\": 12.631, \"Gini_99\": 0.248, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 3668.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.202, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.591, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 12396.0, \"Graduation\": 0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.323, \"Teenage_labor\": 0.008, \"Migration_in\": 0.008, \"Migration_out\": 0.01, \"Foreign_born\": 0.038, \"Social_capital\": 1.596, \"Religious\": 0.645, \"Violent_crime\": 0.0, \"Single_mothers\": 0.16, \"Divorced\": 0.078, \"Married\": 0.594, \"Longitude\": -98.4005584716797, \"Latitude\": 40.3708229064941}, {\"ID\": 27902, \"Name\": \"York\", \"Mobility\": 0.1868131906, \"State\": \"NE\", \"Population\": 26871, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.037, \"Seg_income\": 0.004, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.628, \"Income\": 35524, \"Gini\": 0.304, \"Share01\": 7.531, \"Gini_99\": 0.228, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2505.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.759, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 5.696, \"HS_dropout\": -0.03, \"Colleges\": 0.037, \"Tuition\": 8200.0, \"Graduation\": 0.057, \"Labor_force_participation\": 0.654, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.014, \"Foreign_born\": 0.012, \"Social_capital\": 2.329, \"Religious\": 0.695, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.068, \"Married\": 0.639, \"Longitude\": -97.6013412475586, \"Latitude\": 41.0392227172852}, {\"ID\": 27903, \"Name\": \"Grand Island\", \"Mobility\": 0.1420996785, \"State\": \"NE\", \"Population\": 77708, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.15, \"Seg_income\": 0.032, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.037, \"Commute\": 0.561, \"Income\": 33160, \"Gini\": 0.355, \"Share01\": 10.709, \"Gini_99\": 0.248, \"Middle_class\": 0.653, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2479.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.078, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.948, \"HS_dropout\": 0.003, \"Colleges\": 0.013, \"Tuition\": 1320.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.168, \"Chinese_imports\": 0.284, \"Teenage_labor\": 0.008, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.06, \"Social_capital\": 1.308, \"Religious\": 0.802, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.089, \"Married\": 0.616, \"Longitude\": -98.0804901123047, \"Latitude\": 41.1507186889648}, {\"ID\": 28001, \"Name\": \"Sioux City\", \"Mobility\": 0.1125235409, \"State\": \"IA\", \"Population\": 187773, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.2, \"Seg_income\": 0.044, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.052, \"Commute\": 0.454, \"Income\": 35655, \"Gini\": 0.381, \"Share01\": 10.997, \"Gini_99\": 0.271, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2173.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.613, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -0.747, \"HS_dropout\": 0.003, \"Colleges\": 0.032, \"Tuition\": 5084.0, \"Graduation\": 0.036, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.215, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.062, \"Social_capital\": 1.267, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.186, \"Divorced\": 0.088, \"Married\": 0.568, \"Longitude\": -96.4562072753906, \"Latitude\": 42.4197807312012}, {\"ID\": 28002, \"Name\": \"West Point\", \"Mobility\": 0.100386098, \"State\": \"NE\", \"Population\": 25165, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.36, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.551, \"Income\": 32028, \"Gini\": 0.315, \"Share01\": 6.198, \"Gini_99\": 0.253, \"Middle_class\": 0.663, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2508.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 5.889, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 6.98, \"HS_dropout\": 0.003, \"Colleges\": 0.079, \"Tuition\": 1807.0, \"Graduation\": -0.227, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.136, \"Chinese_imports\": 0.118, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.024, \"Social_capital\": 1.341, \"Religious\": 0.723, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.072, \"Married\": 0.608, \"Longitude\": -96.3958435058594, \"Latitude\": 41.9670219421387}, {\"ID\": 28101, \"Name\": \"Lincoln\", \"Mobility\": 0.0913167521, \"State\": \"NE\", \"Population\": 311956, \"Urban\": 1, \"Black\": 0.023, \"Seg_racial\": 0.094, \"Seg_income\": 0.095, \"Seg_poverty\": 0.088, \"Seg_affluence\": 0.109, \"Commute\": 0.434, \"Income\": 35973, \"Gini\": 0.376, \"Share01\": 14.437, \"Gini_99\": 0.231, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2960.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.915, \"Student_teacher_ratio\": 15.1, \"Test_scores\": -1.788, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 4557.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.131, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.007, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.048, \"Social_capital\": 1.659, \"Religious\": 0.496, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.09, \"Married\": 0.537, \"Longitude\": -96.8775787353516, \"Latitude\": 40.5198974609375}, {\"ID\": 28102, \"Name\": \"Nebraska City\", \"Mobility\": 0.1583514065, \"State\": \"NE\", \"Population\": 40078, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.062, \"Seg_income\": 0.013, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.017, \"Commute\": 0.514, \"Income\": 34517, \"Gini\": 0.287, \"Share01\": 5.397, \"Gini_99\": 0.233, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2052.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.737, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 6.023, \"HS_dropout\": -0.031, \"Colleges\": 0.025, \"Tuition\": 1973.0, \"Graduation\": 0.01, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.56, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.015, \"Social_capital\": 1.614, \"Religious\": 0.662, \"Violent_crime\": 0.0, \"Single_mothers\": 0.15, \"Divorced\": 0.088, \"Married\": 0.606, \"Longitude\": -95.7429656982422, \"Latitude\": 40.315299987793}, {\"ID\": 28201, \"Name\": \"Red Oak\", \"Mobility\": 0.1242138371, \"State\": \"IA\", \"Population\": 48197, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.111, \"Seg_income\": 0.016, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.018, \"Commute\": 0.55, \"Income\": 33242, \"Gini\": 0.306, \"Share01\": 8.44, \"Gini_99\": 0.221, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2014.0, \"Progressivity\": 2.86, \"EITC\": 3.714, \"School_spending\": 5.934, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 2.605, \"HS_dropout\": -0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.209, \"Chinese_imports\": 0.985, \"Teenage_labor\": 0.006, \"Migration_in\": 0.011, \"Migration_out\": 0.011, \"Foreign_born\": 0.012, \"Social_capital\": 1.309, \"Religious\": 0.556, \"Violent_crime\": 0.0, \"Single_mothers\": 0.171, \"Divorced\": 0.095, \"Married\": 0.61, \"Longitude\": -95.2053680419922, \"Latitude\": 40.838794708252}, {\"ID\": 28202, \"Name\": \"Omaha\", \"Mobility\": 0.0775407478, \"State\": \"NE\", \"Population\": 803201, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.262, \"Seg_income\": 0.109, \"Seg_poverty\": 0.092, \"Seg_affluence\": 0.123, \"Commute\": 0.349, \"Income\": 39948, \"Gini\": 0.432, \"Share01\": 17.652, \"Gini_99\": 0.255, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2743.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.173, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.627, \"HS_dropout\": 0.012, \"Colleges\": 0.022, \"Tuition\": 6011.0, \"Graduation\": -0.068, \"Labor_force_participation\": 0.712, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.557, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.015, \"Foreign_born\": 0.044, \"Social_capital\": 0.535, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.208, \"Divorced\": 0.103, \"Married\": 0.555, \"Longitude\": -96.0118179321289, \"Latitude\": 41.3732566833496}, {\"ID\": 28301, \"Name\": \"Sterling\", \"Mobility\": 0.1446345299, \"State\": \"CO\", \"Population\": 39751, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.015, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.014, \"Commute\": 0.64, \"Income\": 31170, \"Gini\": 0.399, \"Share01\": 10.371, \"Gini_99\": 0.295, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2621.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.612, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 5.504, \"HS_dropout\": null, \"Colleges\": 0.025, \"Tuition\": 1386.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.064, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.048, \"Social_capital\": 1.084, \"Religious\": 0.506, \"Violent_crime\": 0.001, \"Single_mothers\": 0.149, \"Divorced\": 0.082, \"Married\": 0.629, \"Longitude\": -102.941719055176, \"Latitude\": 40.2619552612305}, {\"ID\": 28302, \"Name\": \"Ogallala\", \"Mobility\": 0.1622807086, \"State\": \"NE\", \"Population\": 16920, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.038, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.614, \"Income\": 34904, \"Gini\": 0.326, \"Share01\": 8.858, \"Gini_99\": 0.238, \"Middle_class\": 0.671, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2532.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.616, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 10.627, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.061, \"Chinese_imports\": 0.289, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.017, \"Social_capital\": 1.193, \"Religious\": 0.598, \"Violent_crime\": 0.001, \"Single_mothers\": 0.145, \"Divorced\": 0.087, \"Married\": 0.638, \"Longitude\": -101.926559448242, \"Latitude\": 41.021427154541}, {\"ID\": 28303, \"Name\": \"Oshkosh\", \"Mobility\": null, \"State\": \"NE\", \"Population\": 2292, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.677, \"Income\": 31316, \"Gini\": 0.278, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 2821.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 8.744, \"Student_teacher_ratio\": 11.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.593, \"Manufacturing\": 0.026, \"Chinese_imports\": 1.331, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 3.942, \"Religious\": 0.7, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.095, \"Married\": 0.628, \"Longitude\": -102.358543395996, \"Latitude\": 41.5615425109863}, {\"ID\": 28304, \"Name\": \"Valentine\", \"Mobility\": 0.145348832, \"State\": \"NE\", \"Population\": 8122, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.031, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.004, \"Commute\": 0.704, \"Income\": 31506, \"Gini\": 0.347, \"Share01\": 7.675, \"Gini_99\": 0.27, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2561.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.509, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 6.61, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.026, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.007, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.006, \"Social_capital\": 1.716, \"Religious\": 0.557, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.638, \"Longitude\": -101.297538757324, \"Latitude\": 42.2140884399414}, {\"ID\": 28305, \"Name\": \"Broken Bow\", \"Mobility\": 0.1764705926, \"State\": \"NE\", \"Population\": 13105, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.004, \"Commute\": 0.63, \"Income\": 33846, \"Gini\": 0.3, \"Share01\": 6.249, \"Gini_99\": 0.237, \"Middle_class\": 0.632, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2927.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.951, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 9.913, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.414, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.014, \"Foreign_born\": 0.005, \"Social_capital\": 1.554, \"Religious\": 0.585, \"Violent_crime\": 0.0, \"Single_mothers\": 0.109, \"Divorced\": 0.068, \"Married\": 0.664, \"Longitude\": -99.9864883422852, \"Latitude\": 41.6120452880859}, {\"ID\": 28306, \"Name\": \"North Platte\", \"Mobility\": 0.1227678582, \"State\": \"NE\", \"Population\": 35939, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.038, \"Seg_income\": 0.021, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.023, \"Commute\": 0.598, \"Income\": 35591, \"Gini\": 0.323, \"Share01\": 7.625, \"Gini_99\": 0.247, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2203.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 6.038, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 5.513, \"HS_dropout\": -0.004, \"Colleges\": 0.028, \"Tuition\": 1260.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.184, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.014, \"Foreign_born\": 0.011, \"Social_capital\": 1.646, \"Religious\": 0.602, \"Violent_crime\": 0.0, \"Single_mothers\": 0.172, \"Divorced\": 0.095, \"Married\": 0.618, \"Longitude\": -100.81453704834, \"Latitude\": 41.278678894043}, {\"ID\": 28401, \"Name\": \"Colorado Springs\", \"Mobility\": 0.089342691, \"State\": \"CO\", \"Population\": 587132, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.084, \"Seg_income\": 0.111, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.129, \"Commute\": 0.311, \"Income\": 37765, \"Gini\": 0.404, \"Share01\": 11.252, \"Gini_99\": 0.292, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2739.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.477, \"Student_teacher_ratio\": 18.7, \"Test_scores\": 6.149, \"HS_dropout\": null, \"Colleges\": 0.02, \"Tuition\": 4922.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.696, \"Manufacturing\": 0.108, \"Chinese_imports\": 1.91, \"Teenage_labor\": 0.005, \"Migration_in\": 0.05, \"Migration_out\": 0.047, \"Foreign_born\": 0.058, \"Social_capital\": -0.169, \"Religious\": 0.365, \"Violent_crime\": 0.002, \"Single_mothers\": 0.187, \"Divorced\": 0.108, \"Married\": 0.594, \"Longitude\": -105.356147766113, \"Latitude\": 38.3224334716797}, {\"ID\": 28402, \"Name\": \"Limon\", \"Mobility\": 0.1785714328, \"State\": \"CO\", \"Population\": 6087, \"Urban\": 0, \"Black\": 0.049, \"Seg_racial\": 0.059, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.631, \"Income\": 25562, \"Gini\": 0.403, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3139.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.838, \"Student_teacher_ratio\": 16.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.524, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.002, \"Migration_out\": 0.008, \"Foreign_born\": 0.018, \"Social_capital\": -0.17, \"Religious\": 0.346, \"Violent_crime\": 0.0, \"Single_mothers\": 0.175, \"Divorced\": 0.091, \"Married\": 0.658, \"Longitude\": -103.501205444336, \"Latitude\": 38.9132118225098}, {\"ID\": 28501, \"Name\": \"Springfield\", \"Mobility\": 0.1919191927, \"State\": \"CO\", \"Population\": 4517, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.001, \"Seg_income\": 0.001, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.667, \"Income\": 31260, \"Gini\": 0.305, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3379.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.474, \"Student_teacher_ratio\": 10.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.009, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.024, \"Social_capital\": 0.665, \"Religious\": 0.403, \"Violent_crime\": 0.001, \"Single_mothers\": 0.146, \"Divorced\": 0.09, \"Married\": 0.629, \"Longitude\": -102.721206665039, \"Latitude\": 37.3058547973633}, {\"ID\": 28502, \"Name\": \"Pueblo\", \"Mobility\": 0.0656216815, \"State\": \"CO\", \"Population\": 187782, \"Urban\": 1, \"Black\": 0.017, \"Seg_racial\": 0.089, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.44, \"Income\": 31075, \"Gini\": 0.442, \"Share01\": 13.04, \"Gini_99\": 0.312, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2410.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.7, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 0.741, \"HS_dropout\": null, \"Colleges\": 0.021, \"Tuition\": 1795.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.577, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.609, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.015, \"Foreign_born\": 0.038, \"Social_capital\": 0.547, \"Religious\": 0.571, \"Violent_crime\": 0.002, \"Single_mothers\": 0.247, \"Divorced\": 0.112, \"Married\": 0.555, \"Longitude\": -103.660545349121, \"Latitude\": 38.0061569213867}, {\"ID\": 28503, \"Name\": \"Trinidad\", \"Mobility\": 0.1176470593, \"State\": \"CO\", \"Population\": 23069, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.065, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.579, \"Income\": 30720, \"Gini\": 0.372, \"Share01\": 6.173, \"Gini_99\": 0.31, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3305.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.233, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -3.549, \"HS_dropout\": null, \"Colleges\": 0.043, \"Tuition\": 1386.0, \"Graduation\": 0.091, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 0.505, \"Religious\": 0.708, \"Violent_crime\": 0.003, \"Single_mothers\": 0.242, \"Divorced\": 0.12, \"Married\": 0.541, \"Longitude\": -104.934707641602, \"Latitude\": 37.6306228637695}, {\"ID\": 28504, \"Name\": \"Burlington\", \"Mobility\": 0.204651162, \"State\": \"CO\", \"Population\": 11864, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.068, \"Seg_income\": 0.004, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.005, \"Commute\": 0.655, \"Income\": 32575, \"Gini\": 0.354, \"Share01\": 7.888, \"Gini_99\": 0.275, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 3420.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.836, \"Student_teacher_ratio\": 13.2, \"Test_scores\": 8.654, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.03, \"Chinese_imports\": 0.052, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.013, \"Foreign_born\": 0.048, \"Social_capital\": 2.048, \"Religious\": 0.634, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.082, \"Married\": 0.633, \"Longitude\": -102.805702209473, \"Latitude\": 38.8101425170898}, {\"ID\": 28601, \"Name\": \"Oberlin\", \"Mobility\": 0.2432432473, \"State\": \"KS\", \"Population\": 6438, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.004, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.645, \"Income\": 36684, \"Gini\": 0.274, \"Share01\": 4.693, \"Gini_99\": 0.227, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2135.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.4, \"Student_teacher_ratio\": 11.2, \"Test_scores\": 15.591, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.579, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.192, \"Teenage_labor\": 0.007, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.008, \"Social_capital\": 3.01, \"Religious\": 0.694, \"Violent_crime\": 0.0, \"Single_mothers\": 0.113, \"Divorced\": 0.077, \"Married\": 0.626, \"Longitude\": -100.807014465332, \"Latitude\": 39.7994422912598}, {\"ID\": 28602, \"Name\": \"Norton\", \"Mobility\": 0.1686746925, \"State\": \"KS\", \"Population\": 5953, \"Urban\": 0, \"Black\": 0.04, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.735, \"Income\": 27980, \"Gini\": 0.285, \"Share01\": 5.438, \"Gini_99\": 0.231, \"Middle_class\": 0.658, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2660.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.952, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 17.097, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.548, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.496, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.006, \"Social_capital\": 2.706, \"Religious\": 0.593, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.68, \"Longitude\": -99.9901733398438, \"Latitude\": 39.7069816589355}, {\"ID\": 28603, \"Name\": \"Phillipsburg\", \"Mobility\": 0.1486486495, \"State\": \"KS\", \"Population\": 10537, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.007, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.652, \"Income\": 34879, \"Gini\": 0.331, \"Share01\": 10.852, \"Gini_99\": 0.222, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.507, \"Student_teacher_ratio\": 11.9, \"Test_scores\": 15.222, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.098, \"Chinese_imports\": 2.728, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.311, \"Religious\": 0.765, \"Violent_crime\": 0.001, \"Single_mothers\": 0.114, \"Divorced\": 0.06, \"Married\": 0.668, \"Longitude\": -99.084831237793, \"Latitude\": 39.7482604980469}, {\"ID\": 28604, \"Name\": \"Colby\", \"Mobility\": 0.1958762854, \"State\": \"KS\", \"Population\": 17107, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.015, \"Seg_income\": 0.005, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.008, \"Commute\": 0.72, \"Income\": 36561, \"Gini\": 0.286, \"Share01\": 5.535, \"Gini_99\": 0.231, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3042.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.703, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 9.678, \"HS_dropout\": -0.025, \"Colleges\": 0.058, \"Tuition\": 1056.0, \"Graduation\": 0.147, \"Labor_force_participation\": 0.662, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.003, \"Migration_out\": 0.005, \"Foreign_born\": 0.005, \"Social_capital\": 2.534, \"Religious\": 0.614, \"Violent_crime\": 0.001, \"Single_mothers\": 0.117, \"Divorced\": 0.065, \"Married\": 0.643, \"Longitude\": -100.723945617676, \"Latitude\": 39.066593170166}, {\"ID\": 28605, \"Name\": \"Goodland\", \"Mobility\": 0.1949152499, \"State\": \"KS\", \"Population\": 8509, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.0, \"Commute\": 0.716, \"Income\": 32861, \"Gini\": 0.353, \"Share01\": 11.603, \"Gini_99\": 0.237, \"Middle_class\": 0.678, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2866.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.592, \"Student_teacher_ratio\": 13.6, \"Test_scores\": -2.205, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.528, \"Labor_force_participation\": 0.659, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.047, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.004, \"Foreign_born\": 0.019, \"Social_capital\": 2.447, \"Religious\": 0.481, \"Violent_crime\": 0.002, \"Single_mothers\": 0.13, \"Divorced\": 0.061, \"Married\": 0.605, \"Longitude\": -101.69017791748, \"Latitude\": 39.0880584716797}, {\"ID\": 28606, \"Name\": \"Wano\", \"Mobility\": 0.2045454532, \"State\": \"KS\", \"Population\": 5457, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.002, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.0, \"Commute\": 0.661, \"Income\": 36524, \"Gini\": 0.245, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2514.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.904, \"Student_teacher_ratio\": 12.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.023, \"Social_capital\": 2.323, \"Religious\": 0.682, \"Violent_crime\": 0.0, \"Single_mothers\": 0.114, \"Divorced\": 0.065, \"Married\": 0.661, \"Longitude\": -101.708808898926, \"Latitude\": 39.9409866333008}, {\"ID\": 28607, \"Name\": \"McCook\", \"Mobility\": 0.1824561357, \"State\": \"NE\", \"Population\": 19695, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.009, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.011, \"Commute\": 0.681, \"Income\": 32797, \"Gini\": 0.339, \"Share01\": 8.313, \"Gini_99\": 0.256, \"Middle_class\": 0.656, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2859.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.169, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 10.092, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.112, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.009, \"Foreign_born\": 0.012, \"Social_capital\": 1.369, \"Religious\": 0.63, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.084, \"Married\": 0.633, \"Longitude\": -101.12816619873, \"Latitude\": 40.3337936401367}, {\"ID\": 28608, \"Name\": \"Kearney\", \"Mobility\": 0.1644295305, \"State\": \"NE\", \"Population\": 56033, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.068, \"Seg_income\": 0.04, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.049, \"Commute\": 0.603, \"Income\": 31135, \"Gini\": 0.379, \"Share01\": 13.401, \"Gini_99\": 0.245, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 1721.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.265, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 10.943, \"HS_dropout\": -0.024, \"Colleges\": 0.018, \"Tuition\": 2243.0, \"Graduation\": 0.173, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.138, \"Chinese_imports\": 0.451, \"Teenage_labor\": 0.007, \"Migration_in\": 0.016, \"Migration_out\": 0.02, \"Foreign_born\": 0.022, \"Social_capital\": 1.265, \"Religious\": 0.644, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.074, \"Married\": 0.567, \"Longitude\": -99.045539855957, \"Latitude\": 40.6866874694824}, {\"ID\": 28609, \"Name\": \"Lexington\", \"Mobility\": 0.1652777791, \"State\": \"NE\", \"Population\": 48464, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.308, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.642, \"Income\": 33765, \"Gini\": 0.304, \"Share01\": 6.246, \"Gini_99\": 0.242, \"Middle_class\": 0.664, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3189.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.039, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 7.094, \"HS_dropout\": -0.011, \"Colleges\": 0.021, \"Tuition\": 2486.0, \"Graduation\": 0.116, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.203, \"Chinese_imports\": 0.603, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.083, \"Social_capital\": 1.83, \"Religious\": 0.797, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.073, \"Married\": 0.634, \"Longitude\": -99.8502349853516, \"Latitude\": 40.4506645202637}, {\"ID\": 28701, \"Name\": \"Salida\", \"Mobility\": 0.0894736871, \"State\": \"CO\", \"Population\": 16242, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.032, \"Seg_income\": 0.023, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.029, \"Commute\": 0.644, \"Income\": 33185, \"Gini\": 0.326, \"Share01\": 4.764, \"Gini_99\": 0.279, \"Middle_class\": 0.646, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1897.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 6.261, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.529, \"Manufacturing\": 0.038, \"Chinese_imports\": 1.359, \"Teenage_labor\": 0.008, \"Migration_in\": 0.026, \"Migration_out\": 0.022, \"Foreign_born\": 0.02, \"Social_capital\": 0.35, \"Religious\": 0.531, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.1, \"Married\": 0.64, \"Longitude\": -106.205490112305, \"Latitude\": 38.7574195861816}, {\"ID\": 28702, \"Name\": \"Glenwood Springs\", \"Mobility\": 0.1690140814, \"State\": \"CO\", \"Population\": 131682, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.035, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.042, \"Commute\": 0.424, \"Income\": 45256, \"Gini\": 0.528, \"Share01\": 29.671, \"Gini_99\": 0.232, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 5292.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 11.906, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -9.601, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1980.0, \"Graduation\": -0.35, \"Labor_force_participation\": 0.782, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.054, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.026, \"Foreign_born\": 0.134, \"Social_capital\": -0.212, \"Religious\": 0.296, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.108, \"Married\": 0.521, \"Longitude\": -106.726539611816, \"Latitude\": 39.4495620727539}, {\"ID\": 28703, \"Name\": \"Granby\", \"Mobility\": 0.0754716992, \"State\": \"CO\", \"Population\": 12442, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.003, \"Commute\": 0.458, \"Income\": 40411, \"Gini\": 0.361, \"Share01\": 8.12, \"Gini_99\": 0.28, \"Middle_class\": 0.579, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 3926.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.111, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.263, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.771, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.247, \"Teenage_labor\": 0.007, \"Migration_in\": 0.027, \"Migration_out\": 0.028, \"Foreign_born\": 0.034, \"Social_capital\": 1.425, \"Religious\": 0.212, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.101, \"Married\": 0.574, \"Longitude\": -106.005493164062, \"Latitude\": 40.1051750183105}, {\"ID\": 28704, \"Name\": \"Laramie\", \"Mobility\": 0.1628664434, \"State\": \"WY\", \"Population\": 33591, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.036, \"Seg_income\": 0.059, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.074, \"Commute\": 0.755, \"Income\": 26024, \"Gini\": 0.457, \"Share01\": 22.854, \"Gini_99\": 0.229, \"Middle_class\": 0.591, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2985.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.262, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 9.725, \"HS_dropout\": 0.027, \"Colleges\": 0.06, \"Tuition\": 2166.0, \"Graduation\": 0.22, \"Labor_force_participation\": 0.676, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.403, \"Teenage_labor\": 0.006, \"Migration_in\": 0.028, \"Migration_out\": 0.041, \"Foreign_born\": 0.038, \"Social_capital\": 0.666, \"Religious\": 0.366, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.087, \"Married\": 0.458, \"Longitude\": -106.113212585449, \"Latitude\": 41.119514465332}, {\"ID\": 28800, \"Name\": \"Fort Collins\", \"Mobility\": 0.1153677776, \"State\": \"CO\", \"Population\": 459601, \"Urban\": 1, \"Black\": 0.005, \"Seg_racial\": 0.123, \"Seg_income\": 0.08, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.081, \"Commute\": 0.388, \"Income\": 37523, \"Gini\": 0.398, \"Share01\": 10.663, \"Gini_99\": 0.291, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 3164.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.458, \"Student_teacher_ratio\": 18.9, \"Test_scores\": 0.13, \"HS_dropout\": null, \"Colleges\": 0.009, \"Tuition\": 2261.0, \"Graduation\": 0.129, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.146, \"Chinese_imports\": 1.907, \"Teenage_labor\": 0.005, \"Migration_in\": 0.04, \"Migration_out\": 0.03, \"Foreign_born\": 0.068, \"Social_capital\": -0.078, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.165, \"Divorced\": 0.093, \"Married\": 0.567, \"Longitude\": -104.999366760254, \"Latitude\": 40.085018157959}, {\"ID\": 28900, \"Name\": \"Denver\", \"Mobility\": 0.0870277509, \"State\": \"CO\", \"Population\": 2449044, \"Urban\": 1, \"Black\": 0.047, \"Seg_racial\": 0.203, \"Seg_income\": 0.125, \"Seg_poverty\": 0.11, \"Seg_affluence\": 0.136, \"Commute\": 0.23, \"Income\": 46181, \"Gini\": 0.441, \"Share01\": 17.396, \"Gini_99\": 0.267, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 3018.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.045, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -5.737, \"HS_dropout\": null, \"Colleges\": 0.016, \"Tuition\": 5826.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.72, \"Manufacturing\": 0.09, \"Chinese_imports\": 1.228, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.023, \"Foreign_born\": 0.107, \"Social_capital\": 0.317, \"Religious\": 0.392, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.115, \"Married\": 0.542, \"Longitude\": -105.126136779785, \"Latitude\": 39.8737144470215}, {\"ID\": 29001, \"Name\": \"Pratt\", \"Mobility\": 0.1551724076, \"State\": \"KS\", \"Population\": 18232, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.016, \"Seg_income\": 0.004, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.005, \"Commute\": 0.706, \"Income\": 35115, \"Gini\": 0.311, \"Share01\": 6.88, \"Gini_99\": 0.242, \"Middle_class\": 0.677, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2894.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.334, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 10.643, \"HS_dropout\": -0.027, \"Colleges\": 0.11, \"Tuition\": 1576.0, \"Graduation\": -0.044, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.155, \"Teenage_labor\": 0.007, \"Migration_in\": 0.009, \"Migration_out\": 0.007, \"Foreign_born\": 0.012, \"Social_capital\": 2.265, \"Religious\": 0.686, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.08, \"Married\": 0.641, \"Longitude\": -98.84619140625, \"Latitude\": 37.4480171203613}, {\"ID\": 29002, \"Name\": \"Coldwater\", \"Mobility\": null, \"State\": \"KS\", \"Population\": 1967, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.648, \"Income\": 37696, \"Gini\": 0.211, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.05, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 10.5, \"Student_teacher_ratio\": 9.6, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.059, \"Chinese_imports\": 0.124, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.01, \"Social_capital\": 0.777, \"Religious\": 0.743, \"Violent_crime\": 0.001, \"Single_mothers\": 0.144, \"Divorced\": 0.08, \"Married\": 0.647, \"Longitude\": -99.2806625366211, \"Latitude\": 37.1599464416504}, {\"ID\": 29003, \"Name\": \"Dodge City\", \"Mobility\": 0.1133093536, \"State\": \"KS\", \"Population\": 42837, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.151, \"Seg_income\": 0.016, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.009, \"Commute\": 0.62, \"Income\": 31771, \"Gini\": 0.373, \"Share01\": 7.995, \"Gini_99\": 0.293, \"Middle_class\": 0.603, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2324.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.524, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.287, \"HS_dropout\": -0.022, \"Colleges\": 0.023, \"Tuition\": 1024.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.186, \"Social_capital\": 0.719, \"Religious\": 0.52, \"Violent_crime\": 0.001, \"Single_mothers\": 0.143, \"Divorced\": 0.073, \"Married\": 0.605, \"Longitude\": -99.9319229125977, \"Latitude\": 37.6102981567383}, {\"ID\": 29004, \"Name\": \"Great Bend\", \"Mobility\": 0.1312803924, \"State\": \"KS\", \"Population\": 47227, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.096, \"Seg_income\": 0.014, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.012, \"Commute\": 0.59, \"Income\": 33946, \"Gini\": 0.288, \"Share01\": 5.615, \"Gini_99\": 0.232, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2292.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.736, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 9.964, \"HS_dropout\": -0.009, \"Colleges\": 0.021, \"Tuition\": 896.0, \"Graduation\": -0.028, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.354, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.037, \"Social_capital\": 1.878, \"Religious\": 0.709, \"Violent_crime\": 0.001, \"Single_mothers\": 0.16, \"Divorced\": 0.091, \"Married\": 0.624, \"Longitude\": -99.0215377807617, \"Latitude\": 38.2106246948242}, {\"ID\": 29005, \"Name\": \"Hutchinson\", \"Mobility\": 0.1073891595, \"State\": \"KS\", \"Population\": 82076, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.082, \"Seg_income\": 0.043, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.047, \"Commute\": 0.522, \"Income\": 33452, \"Gini\": 0.352, \"Share01\": 8.738, \"Gini_99\": 0.265, \"Middle_class\": 0.629, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2086.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.078, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 9.217, \"HS_dropout\": -0.008, \"Colleges\": 0.024, \"Tuition\": 2482.0, \"Graduation\": -0.036, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.155, \"Chinese_imports\": 0.256, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.02, \"Social_capital\": 1.055, \"Religious\": 0.533, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -98.1981658935547, \"Latitude\": 38.2410125732422}, {\"ID\": 29006, \"Name\": \"Hays\", \"Mobility\": 0.1578947306, \"State\": \"KS\", \"Population\": 38196, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.039, \"Seg_income\": 0.031, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.038, \"Commute\": 0.711, \"Income\": 33330, \"Gini\": 0.327, \"Share01\": 8.124, \"Gini_99\": 0.246, \"Middle_class\": 0.659, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1881.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.468, \"Student_teacher_ratio\": 13.1, \"Test_scores\": 17.463, \"HS_dropout\": -0.012, \"Colleges\": 0.026, \"Tuition\": 1353.0, \"Graduation\": 0.107, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.065, \"Chinese_imports\": 0.712, \"Teenage_labor\": 0.006, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.019, \"Social_capital\": 1.49, \"Religious\": 0.536, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.081, \"Married\": 0.55, \"Longitude\": -99.2211227416992, \"Latitude\": 38.9188270568848}, {\"ID\": 29007, \"Name\": \"Township 11\", \"Mobility\": 0.1151079163, \"State\": \"KS\", \"Population\": 8631, \"Urban\": 0, \"Black\": 0.018, \"Seg_racial\": 0.026, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.63, \"Income\": 34104, \"Gini\": 0.28, \"Share01\": 7.854, \"Gini_99\": 0.202, \"Middle_class\": 0.702, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 3309.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.61, \"Student_teacher_ratio\": 12.0, \"Test_scores\": 8.363, \"HS_dropout\": -0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.02, \"Teenage_labor\": 0.006, \"Migration_in\": 0.004, \"Migration_out\": 0.009, \"Foreign_born\": 0.005, \"Social_capital\": 1.698, \"Religious\": 0.683, \"Violent_crime\": 0.0, \"Single_mothers\": 0.162, \"Divorced\": 0.09, \"Married\": 0.625, \"Longitude\": -99.6424331665039, \"Latitude\": 39.3125343322754}, {\"ID\": 29008, \"Name\": \"Center\", \"Mobility\": 0.1494252831, \"State\": \"KS\", \"Population\": 5609, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.01, \"Seg_income\": 0.002, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.001, \"Commute\": 0.671, \"Income\": 38615, \"Gini\": 0.286, \"Share01\": 4.858, \"Gini_99\": 0.238, \"Middle_class\": 0.67, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3294.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.285, \"Student_teacher_ratio\": 10.9, \"Test_scores\": 10.459, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.003, \"Foreign_born\": 0.007, \"Social_capital\": 2.434, \"Religious\": 0.888, \"Violent_crime\": 0.001, \"Single_mothers\": 0.105, \"Divorced\": 0.082, \"Married\": 0.63, \"Longitude\": -100.085990905762, \"Latitude\": 38.479606628418}, {\"ID\": 29101, \"Name\": \"Concordia\", \"Mobility\": 0.152823925, \"State\": \"KS\", \"Population\": 19894, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.009, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.007, \"Commute\": 0.62, \"Income\": 36131, \"Gini\": 0.329, \"Share01\": 9.884, \"Gini_99\": 0.23, \"Middle_class\": 0.683, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2256.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.398, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 9.956, \"HS_dropout\": -0.034, \"Colleges\": 0.05, \"Tuition\": 1020.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.101, \"Chinese_imports\": 2.339, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.011, \"Social_capital\": 2.373, \"Religious\": 0.618, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.075, \"Married\": 0.614, \"Longitude\": -97.8416595458984, \"Latitude\": 39.680534362793}, {\"ID\": 29102, \"Name\": \"Superior\", \"Mobility\": 0.1863353997, \"State\": \"NE\", \"Population\": 11112, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.008, \"Seg_income\": 0.004, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.006, \"Commute\": 0.634, \"Income\": 35206, \"Gini\": 0.419, \"Share01\": 20.119, \"Gini_99\": 0.218, \"Middle_class\": 0.685, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2611.0, \"Progressivity\": 1.72, \"EITC\": 0.0, \"School_spending\": 7.74, \"Student_teacher_ratio\": 11.7, \"Test_scores\": 10.549, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.295, \"Teenage_labor\": 0.007, \"Migration_in\": 0.0, \"Migration_out\": 0.011, \"Foreign_born\": 0.007, \"Social_capital\": 2.516, \"Religious\": 0.864, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.064, \"Married\": 0.64, \"Longitude\": -97.8256378173828, \"Latitude\": 40.1240043640137}, {\"ID\": 29103, \"Name\": \"Beloit\", \"Mobility\": 0.1503759325, \"State\": \"KS\", \"Population\": 11384, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.014, \"Seg_income\": 0.008, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.008, \"Commute\": 0.69, \"Income\": 36359, \"Gini\": 0.309, \"Share01\": 9.313, \"Gini_99\": 0.215, \"Middle_class\": 0.682, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.754, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 14.946, \"HS_dropout\": -0.023, \"Colleges\": 0.088, \"Tuition\": null, \"Graduation\": 0.417, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.102, \"Chinese_imports\": 0.23, \"Teenage_labor\": 0.007, \"Migration_in\": 0.005, \"Migration_out\": 0.004, \"Foreign_born\": 0.005, \"Social_capital\": 2.018, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.121, \"Divorced\": 0.075, \"Married\": 0.612, \"Longitude\": -98.4854736328125, \"Latitude\": 39.3434638977051}, {\"ID\": 29104, \"Name\": \"Salina\", \"Mobility\": 0.0829986632, \"State\": \"KS\", \"Population\": 63338, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.07, \"Seg_income\": 0.069, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.09, \"Commute\": 0.594, \"Income\": 35541, \"Gini\": 0.375, \"Share01\": 11.286, \"Gini_99\": 0.262, \"Middle_class\": 0.633, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1964.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.878, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 6.971, \"HS_dropout\": -0.021, \"Colleges\": 0.032, \"Tuition\": 5400.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.702, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.035, \"Social_capital\": 1.742, \"Religious\": 0.546, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.11, \"Married\": 0.59, \"Longitude\": -97.8871536254883, \"Latitude\": 39.0212440490723}, {\"ID\": 29201, \"Name\": \"Hiawatha\", \"Mobility\": 0.1718213111, \"State\": \"KS\", \"Population\": 21441, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.115, \"Seg_income\": 0.008, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.005, \"Commute\": 0.578, \"Income\": 34022, \"Gini\": 0.317, \"Share01\": 8.562, \"Gini_99\": 0.231, \"Middle_class\": 0.68, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1956.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.534, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 15.663, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.139, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.017, \"Foreign_born\": 0.009, \"Social_capital\": 2.298, \"Religious\": 0.744, \"Violent_crime\": 0.0, \"Single_mothers\": 0.149, \"Divorced\": 0.079, \"Married\": 0.609, \"Longitude\": -95.8358383178711, \"Latitude\": 39.7535018920898}, {\"ID\": 29202, \"Name\": \"Marysville\", \"Mobility\": 0.145228222, \"State\": \"KS\", \"Population\": 17448, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.011, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.007, \"Commute\": 0.557, \"Income\": 34953, \"Gini\": 0.346, \"Share01\": 10.779, \"Gini_99\": 0.238, \"Middle_class\": 0.652, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 4099.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.199, \"Student_teacher_ratio\": 12.2, \"Test_scores\": 20.071, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.715, \"Teenage_labor\": 0.006, \"Migration_in\": 0.006, \"Migration_out\": 0.006, \"Foreign_born\": 0.009, \"Social_capital\": 2.206, \"Religious\": 0.776, \"Violent_crime\": 0.0, \"Single_mothers\": 0.104, \"Divorced\": 0.065, \"Married\": 0.633, \"Longitude\": -96.8196640014648, \"Latitude\": 39.7686767578125}, {\"ID\": 29203, \"Name\": \"Manhattan\", \"Mobility\": 0.0885311887, \"State\": \"KS\", \"Population\": 143269, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.139, \"Seg_income\": 0.051, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.049, \"Commute\": 0.558, \"Income\": 28788, \"Gini\": 0.324, \"Share01\": 6.743, \"Gini_99\": 0.257, \"Middle_class\": 0.64, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1680.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.102, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 14.006, \"HS_dropout\": -0.023, \"Colleges\": 0.021, \"Tuition\": 2356.0, \"Graduation\": 0.243, \"Labor_force_participation\": 0.701, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.14, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.032, \"Foreign_born\": 0.046, \"Social_capital\": -0.177, \"Religious\": 0.394, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.081, \"Married\": 0.538, \"Longitude\": -96.5464096069336, \"Latitude\": 39.08251953125}, {\"ID\": 29204, \"Name\": \"Topeka\", \"Mobility\": 0.0704687983, \"State\": \"KS\", \"Population\": 324513, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.128, \"Seg_income\": 0.087, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.092, \"Commute\": 0.397, \"Income\": 35816, \"Gini\": 0.37, \"Share01\": 9.003, \"Gini_99\": 0.28, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2006.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.66, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 4.064, \"HS_dropout\": -0.006, \"Colleges\": 0.018, \"Tuition\": 3569.0, \"Graduation\": 0.143, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.509, \"Teenage_labor\": 0.006, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.031, \"Social_capital\": 1.13, \"Religious\": 0.397, \"Violent_crime\": 0.0, \"Single_mothers\": 0.216, \"Divorced\": 0.107, \"Married\": 0.533, \"Longitude\": -95.847053527832, \"Latitude\": 39.0243988037109}, {\"ID\": 29301, \"Name\": \"Wichita\", \"Mobility\": 0.0722466931, \"State\": \"KS\", \"Population\": 553506, \"Urban\": 1, \"Black\": 0.075, \"Seg_racial\": 0.216, \"Seg_income\": 0.102, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.113, \"Commute\": 0.344, \"Income\": 38847, \"Gini\": 0.374, \"Share01\": 12.404, \"Gini_99\": 0.249, \"Middle_class\": 0.537, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2058.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.149, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -2.99, \"HS_dropout\": 0.01, \"Colleges\": 0.009, \"Tuition\": 2786.0, \"Graduation\": -0.09, \"Labor_force_participation\": 0.68, \"Manufacturing\": 0.244, \"Chinese_imports\": 0.942, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.018, \"Foreign_born\": 0.056, \"Social_capital\": 0.478, \"Religious\": 0.484, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.114, \"Married\": 0.577, \"Longitude\": -97.5765991210938, \"Latitude\": 37.520824432373}, {\"ID\": 29302, \"Name\": \"Newton\", \"Mobility\": 0.1034965068, \"State\": \"KS\", \"Population\": 75784, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.073, \"Seg_income\": 0.012, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.015, \"Commute\": 0.563, \"Income\": 36055, \"Gini\": 0.279, \"Share01\": 6.387, \"Gini_99\": 0.215, \"Middle_class\": 0.657, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2175.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 7.414, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 14.538, \"HS_dropout\": -0.022, \"Colleges\": 0.079, \"Tuition\": 11661.0, \"Graduation\": 0.112, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.221, \"Chinese_imports\": 0.746, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.018, \"Foreign_born\": 0.02, \"Social_capital\": 2.756, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.078, \"Married\": 0.628, \"Longitude\": -97.3318862915039, \"Latitude\": 38.2679824829102}, {\"ID\": 29303, \"Name\": \"Winfield\", \"Mobility\": 0.1098626703, \"State\": \"KS\", \"Population\": 51584, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.05, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.027, \"Commute\": 0.504, \"Income\": 33686, \"Gini\": 0.362, \"Share01\": 12.208, \"Gini_99\": 0.24, \"Middle_class\": 0.643, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2477.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.473, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 4.974, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3652.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.202, \"Chinese_imports\": 0.923, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.021, \"Foreign_born\": 0.02, \"Social_capital\": 0.598, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.189, \"Divorced\": 0.102, \"Married\": 0.606, \"Longitude\": -96.3221664428711, \"Latitude\": 37.460880279541}, {\"ID\": 29401, \"Name\": \"Ottawa\", \"Mobility\": 0.0926395953, \"State\": \"KS\", \"Population\": 51067, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.039, \"Seg_income\": 0.02, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.02, \"Commute\": 0.444, \"Income\": 32282, \"Gini\": 0.302, \"Share01\": 6.638, \"Gini_99\": 0.235, \"Middle_class\": 0.65, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2317.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.182, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 5.142, \"HS_dropout\": -0.017, \"Colleges\": 0.039, \"Tuition\": 3650.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.182, \"Chinese_imports\": 0.927, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": 0.836, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.101, \"Married\": 0.598, \"Longitude\": -95.3749542236328, \"Latitude\": 38.2016677856445}, {\"ID\": 29402, \"Name\": \"Emporia\", \"Mobility\": 0.1094017103, \"State\": \"KS\", \"Population\": 47830, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.147, \"Seg_income\": 0.033, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.039, \"Commute\": 0.595, \"Income\": 29885, \"Gini\": 0.313, \"Share01\": 6.731, \"Gini_99\": 0.246, \"Middle_class\": 0.63, \"Local_tax_rate\": 0.037, \"Local_gov_spending\": 2568.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 8.784, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.357, \"HS_dropout\": -0.023, \"Colleges\": 0.042, \"Tuition\": 1692.0, \"Graduation\": 0.056, \"Labor_force_participation\": 0.689, \"Manufacturing\": 0.198, \"Chinese_imports\": 0.225, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.02, \"Foreign_born\": 0.07, \"Social_capital\": 0.753, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.092, \"Married\": 0.558, \"Longitude\": -96.1186904907227, \"Latitude\": 38.3217277526855}, {\"ID\": 29403, \"Name\": \"Bartlesville\", \"Mobility\": 0.089498803, \"State\": \"KS\", \"Population\": 145981, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.099, \"Seg_income\": 0.045, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.053, \"Commute\": 0.529, \"Income\": 34266, \"Gini\": 0.387, \"Share01\": 7.497, \"Gini_99\": 0.312, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2116.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.039, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 1.513, \"HS_dropout\": -0.007, \"Colleges\": 0.034, \"Tuition\": 1865.0, \"Graduation\": -0.083, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.217, \"Chinese_imports\": 1.122, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.015, \"Foreign_born\": 0.013, \"Social_capital\": 0.883, \"Religious\": 0.624, \"Violent_crime\": 0.001, \"Single_mothers\": 0.2, \"Divorced\": 0.107, \"Married\": 0.606, \"Longitude\": -95.5712280273438, \"Latitude\": 37.1653289794922}, {\"ID\": 29501, \"Name\": \"Leavenworth\", \"Mobility\": 0.0803461075, \"State\": \"KS\", \"Population\": 85465, \"Urban\": 1, \"Black\": 0.092, \"Seg_racial\": 0.089, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.072, \"Commute\": 0.425, \"Income\": 33080, \"Gini\": 0.296, \"Share01\": 5.759, \"Gini_99\": 0.239, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1378.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.836, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 6.203, \"HS_dropout\": 0.0, \"Colleges\": 0.023, \"Tuition\": 12305.0, \"Graduation\": 0.084, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.411, \"Teenage_labor\": 0.005, \"Migration_in\": 0.047, \"Migration_out\": 0.048, \"Foreign_born\": 0.023, \"Social_capital\": -0.548, \"Religious\": 0.378, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.136, \"Married\": 0.564, \"Longitude\": -95.0571975708008, \"Latitude\": 39.2769317626953}, {\"ID\": 29502, \"Name\": \"Kansas City\", \"Mobility\": 0.0701465756, \"State\": \"MO\", \"Population\": 1762873, \"Urban\": 1, \"Black\": 0.124, \"Seg_racial\": 0.306, \"Seg_income\": 0.121, \"Seg_poverty\": 0.106, \"Seg_affluence\": 0.134, \"Commute\": 0.281, \"Income\": 42531, \"Gini\": 0.437, \"Share01\": 14.187, \"Gini_99\": 0.296, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.45, \"Student_teacher_ratio\": 16.2, \"Test_scores\": -0.787, \"HS_dropout\": 0.004, \"Colleges\": 0.014, \"Tuition\": 4817.0, \"Graduation\": -0.102, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.508, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.016, \"Foreign_born\": 0.045, \"Social_capital\": 0.185, \"Religious\": 0.487, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.113, \"Married\": 0.556, \"Longitude\": -94.3817443847656, \"Latitude\": 38.8295593261719}, {\"ID\": 29503, \"Name\": \"St. Joseph\", \"Mobility\": 0.0831134543, \"State\": \"MO\", \"Population\": 158300, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.088, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.037, \"Commute\": 0.406, \"Income\": 32194, \"Gini\": 0.366, \"Share01\": 8.984, \"Gini_99\": 0.277, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1386.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.093, \"Student_teacher_ratio\": 14.9, \"Test_scores\": -0.567, \"HS_dropout\": -0.015, \"Colleges\": 0.019, \"Tuition\": 2148.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.158, \"Chinese_imports\": 1.798, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.009, \"Social_capital\": 0.698, \"Religious\": 0.538, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.116, \"Married\": 0.562, \"Longitude\": -94.72216796875, \"Latitude\": 39.8095703125}, {\"ID\": 29504, \"Name\": \"Sedalia\", \"Mobility\": 0.0825631544, \"State\": \"MO\", \"Population\": 88232, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.104, \"Seg_income\": 0.019, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.019, \"Commute\": 0.437, \"Income\": 31289, \"Gini\": 0.37, \"Share01\": 8.315, \"Gini_99\": 0.287, \"Middle_class\": 0.586, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2237.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.665, \"Student_teacher_ratio\": 15.0, \"Test_scores\": -2.015, \"HS_dropout\": -0.007, \"Colleges\": 0.011, \"Tuition\": 1950.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.202, \"Chinese_imports\": 2.752, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.018, \"Foreign_born\": 0.017, \"Social_capital\": 0.7, \"Religious\": 0.578, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.116, \"Married\": 0.602, \"Longitude\": -93.558349609375, \"Latitude\": 38.2539405822754}, {\"ID\": 29505, \"Name\": \"Polk\", \"Mobility\": 0.1127450988, \"State\": \"MO\", \"Population\": 33693, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.015, \"Seg_poverty\": 0.016, \"Seg_affluence\": 0.011, \"Commute\": 0.569, \"Income\": 27754, \"Gini\": 0.312, \"Share01\": 6.424, \"Gini_99\": 0.248, \"Middle_class\": 0.667, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1336.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.779, \"Student_teacher_ratio\": 12.3, \"Test_scores\": 3.919, \"HS_dropout\": -0.02, \"Colleges\": 0.059, \"Tuition\": 2369.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.169, \"Chinese_imports\": 1.062, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.015, \"Foreign_born\": 0.01, \"Social_capital\": 0.927, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.146, \"Divorced\": 0.077, \"Married\": 0.53, \"Longitude\": -95.2944183349609, \"Latitude\": 40.2349052429199}, {\"ID\": 29506, \"Name\": \"Bethany\", \"Mobility\": 0.1208459213, \"State\": \"MO\", \"Population\": 18093, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.007, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.006, \"Commute\": 0.468, \"Income\": 31181, \"Gini\": 0.295, \"Share01\": 6.668, \"Gini_99\": 0.228, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1696.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.239, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 1.058, \"HS_dropout\": -0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.609, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.794, \"Teenage_labor\": 0.005, \"Migration_in\": 0.009, \"Migration_out\": 0.008, \"Foreign_born\": 0.008, \"Social_capital\": 2.356, \"Religious\": 0.751, \"Violent_crime\": 0.001, \"Single_mothers\": 0.161, \"Divorced\": 0.088, \"Married\": 0.628, \"Longitude\": -94.2919845581055, \"Latitude\": 40.3535690307617}, {\"ID\": 29601, \"Name\": \"Columbia\", \"Mobility\": 0.0655129775, \"State\": \"MO\", \"Population\": 302388, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.131, \"Seg_income\": 0.075, \"Seg_poverty\": 0.085, \"Seg_affluence\": 0.068, \"Commute\": 0.422, \"Income\": 32705, \"Gini\": 0.39, \"Share01\": 11.061, \"Gini_99\": 0.279, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1593.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.346, \"Student_teacher_ratio\": 15.3, \"Test_scores\": 1.566, \"HS_dropout\": -0.004, \"Colleges\": 0.033, \"Tuition\": 5571.0, \"Graduation\": 0.179, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.092, \"Chinese_imports\": 2.119, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.029, \"Social_capital\": 1.107, \"Religious\": 0.523, \"Violent_crime\": 0.001, \"Single_mothers\": 0.209, \"Divorced\": 0.102, \"Married\": 0.527, \"Longitude\": -92.4945755004883, \"Latitude\": 38.809684753418}, {\"ID\": 29602, \"Name\": \"Eldon\", \"Mobility\": 0.0677856654, \"State\": \"MO\", \"Population\": 79924, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.021, \"Seg_income\": 0.023, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.027, \"Commute\": 0.336, \"Income\": 34165, \"Gini\": 0.401, \"Share01\": 7.975, \"Gini_99\": 0.321, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1062.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.696, \"Student_teacher_ratio\": 15.7, \"Test_scores\": 3.582, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.124, \"Chinese_imports\": 1.891, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.011, \"Social_capital\": -0.929, \"Religious\": 0.475, \"Violent_crime\": 0.002, \"Single_mothers\": 0.181, \"Divorced\": 0.106, \"Married\": 0.629, \"Longitude\": -92.6218490600586, \"Latitude\": 38.1600875854492}, {\"ID\": 29700, \"Name\": \"Springfield\", \"Mobility\": 0.0714676157, \"State\": \"MO\", \"Population\": 440866, \"Urban\": 1, \"Black\": 0.014, \"Seg_racial\": 0.067, \"Seg_income\": 0.073, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.084, \"Commute\": 0.344, \"Income\": 31926, \"Gini\": 0.463, \"Share01\": 12.472, \"Gini_99\": 0.338, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1639.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.77, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 3.364, \"HS_dropout\": 0.002, \"Colleges\": 0.023, \"Tuition\": 5048.0, \"Graduation\": 0.027, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.144, \"Chinese_imports\": 4.333, \"Teenage_labor\": 0.005, \"Migration_in\": 0.02, \"Migration_out\": 0.015, \"Foreign_born\": 0.014, \"Social_capital\": 0.311, \"Religious\": 0.513, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.11, \"Married\": 0.586, \"Longitude\": -92.9565582275391, \"Latitude\": 37.4749717712402}, {\"ID\": 29800, \"Name\": \"Aurora\", \"Mobility\": 0.0748914629, \"State\": \"MO\", \"Population\": 137575, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.053, \"Seg_income\": 0.008, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.363, \"Income\": 31417, \"Gini\": 0.384, \"Share01\": 9.762, \"Gini_99\": 0.287, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1288.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.398, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -0.8, \"HS_dropout\": 0.001, \"Colleges\": 0.007, \"Tuition\": null, \"Graduation\": 0.263, \"Labor_force_participation\": 0.613, \"Manufacturing\": 0.174, \"Chinese_imports\": 5.418, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.161, \"Religious\": 0.464, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.629, \"Longitude\": -93.4975433349609, \"Latitude\": 36.802604675293}, {\"ID\": 29901, \"Name\": \"Joplin\", \"Mobility\": 0.0722867027, \"State\": \"MO\", \"Population\": 266742, \"Urban\": 1, \"Black\": 0.012, \"Seg_racial\": 0.101, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.026, \"Commute\": 0.454, \"Income\": 30456, \"Gini\": 0.428, \"Share01\": 12.377, \"Gini_99\": 0.304, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1445.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.965, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 1.806, \"HS_dropout\": 0.006, \"Colleges\": 0.03, \"Tuition\": 1858.0, \"Graduation\": 0.008, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.212, \"Chinese_imports\": 2.265, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.02, \"Social_capital\": 0.232, \"Religious\": 0.558, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.111, \"Married\": 0.581, \"Longitude\": -94.7157211303711, \"Latitude\": 37.2266082763672}, {\"ID\": 29902, \"Name\": \"Center\", \"Mobility\": 0.0856643394, \"State\": \"MO\", \"Population\": 54651, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.014, \"Seg_income\": 0.01, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.467, \"Income\": 28968, \"Gini\": 0.342, \"Share01\": 6.683, \"Gini_99\": 0.275, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.534, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 0.341, \"HS_dropout\": -0.007, \"Colleges\": 0.018, \"Tuition\": 8800.0, \"Graduation\": 0.247, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.216, \"Chinese_imports\": 2.036, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.011, \"Social_capital\": 0.415, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.109, \"Married\": 0.609, \"Longitude\": -94.0962448120117, \"Latitude\": 37.7702980041504}, {\"ID\": 30000, \"Name\": \"Russellville\", \"Mobility\": 0.0887360871, \"State\": \"AR\", \"Population\": 138646, \"Urban\": 0, \"Black\": 0.017, \"Seg_racial\": 0.108, \"Seg_income\": 0.021, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.035, \"Commute\": 0.404, \"Income\": 28758, \"Gini\": 0.444, \"Share01\": 10.927, \"Gini_99\": 0.335, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1303.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.529, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 4.951, \"HS_dropout\": 0.011, \"Colleges\": 0.014, \"Tuition\": 3395.0, \"Graduation\": 0.083, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.252, \"Chinese_imports\": 3.638, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.013, \"Foreign_born\": 0.033, \"Social_capital\": -0.927, \"Religious\": 0.535, \"Violent_crime\": 0.001, \"Single_mothers\": 0.176, \"Divorced\": 0.106, \"Married\": 0.615, \"Longitude\": -93.5011291503906, \"Latitude\": 35.2363166809082}, {\"ID\": 30100, \"Name\": \"Fort Smith\", \"Mobility\": 0.0939385965, \"State\": \"AR\", \"Population\": 332832, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.371, \"Income\": 29347, \"Gini\": 0.441, \"Share01\": 10.514, \"Gini_99\": 0.336, \"Middle_class\": 0.54, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1414.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.869, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -2.179, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 1241.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.222, \"Chinese_imports\": 1.529, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.011, \"Foreign_born\": 0.036, \"Social_capital\": -0.835, \"Religious\": 0.619, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.119, \"Married\": 0.602, \"Longitude\": -94.6526184082031, \"Latitude\": 35.1809616088867}, {\"ID\": 30200, \"Name\": \"Muskogee\", \"Mobility\": 0.0631011054, \"State\": \"OK\", \"Population\": 152466, \"Urban\": 0, \"Black\": 0.068, \"Seg_racial\": 0.113, \"Seg_income\": 0.025, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.027, \"Commute\": 0.388, \"Income\": 27011, \"Gini\": 0.476, \"Share01\": 14.553, \"Gini_99\": 0.33, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2018.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.189, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.951, \"HS_dropout\": 0.004, \"Colleges\": 0.02, \"Tuition\": 4006.0, \"Graduation\": -0.094, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.016, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.02, \"Foreign_born\": 0.018, \"Social_capital\": -0.712, \"Religious\": 0.507, \"Violent_crime\": 0.002, \"Single_mothers\": 0.231, \"Divorced\": 0.117, \"Married\": 0.575, \"Longitude\": -95.3609848022461, \"Latitude\": 35.6208419799805}, {\"ID\": 30300, \"Name\": \"Fayetteville\", \"Mobility\": 0.0918065161, \"State\": \"AR\", \"Population\": 384122, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.151, \"Seg_income\": 0.046, \"Seg_poverty\": 0.048, \"Seg_affluence\": 0.046, \"Commute\": 0.378, \"Income\": 32612, \"Gini\": 0.545, \"Share01\": 20.44, \"Gini_99\": 0.341, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1293.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 5.063, \"Student_teacher_ratio\": 18.3, \"Test_scores\": 1.533, \"HS_dropout\": 0.014, \"Colleges\": 0.008, \"Tuition\": 3621.0, \"Graduation\": 0.105, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.199, \"Chinese_imports\": 1.225, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.016, \"Foreign_born\": 0.061, \"Social_capital\": -0.967, \"Religious\": 0.512, \"Violent_crime\": 0.001, \"Single_mothers\": 0.168, \"Divorced\": 0.103, \"Married\": 0.617, \"Longitude\": -93.9666748046875, \"Latitude\": 36.1406059265137}, {\"ID\": 30401, \"Name\": \"Stillwater\", \"Mobility\": 0.0984643176, \"State\": \"OK\", \"Population\": 79601, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.047, \"Seg_income\": 0.072, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.068, \"Commute\": 0.568, \"Income\": 26432, \"Gini\": 0.408, \"Share01\": 8.371, \"Gini_99\": 0.324, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2149.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.159, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 0.166, \"HS_dropout\": -0.009, \"Colleges\": 0.013, \"Tuition\": 1890.0, \"Graduation\": 0.218, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.114, \"Chinese_imports\": 1.493, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.033, \"Foreign_born\": 0.04, \"Social_capital\": 0.074, \"Religious\": 0.554, \"Violent_crime\": 0.001, \"Single_mothers\": 0.186, \"Divorced\": 0.089, \"Married\": 0.491, \"Longitude\": -97.0795364379883, \"Latitude\": 36.2519454956055}, {\"ID\": 30402, \"Name\": \"Tulsa\", \"Mobility\": 0.0783574954, \"State\": \"OK\", \"Population\": 921246, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.167, \"Seg_income\": 0.091, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.108, \"Commute\": 0.323, \"Income\": 36227, \"Gini\": 0.493, \"Share01\": 14.218, \"Gini_99\": 0.351, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.642, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -5.513, \"HS_dropout\": 0.016, \"Colleges\": 0.01, \"Tuition\": 4752.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.618, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.019, \"Foreign_born\": 0.038, \"Social_capital\": -0.121, \"Religious\": 0.539, \"Violent_crime\": 0.002, \"Single_mothers\": 0.214, \"Divorced\": 0.119, \"Married\": 0.579, \"Longitude\": -96.0058746337891, \"Latitude\": 36.3555793762207}, {\"ID\": 30403, \"Name\": \"Okmulgee\", \"Mobility\": 0.0810611621, \"State\": \"OK\", \"Population\": 51499, \"Urban\": 1, \"Black\": 0.102, \"Seg_racial\": 0.074, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.025, \"Commute\": 0.369, \"Income\": 26343, \"Gini\": 0.392, \"Share01\": 7.645, \"Gini_99\": 0.316, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1357.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.683, \"Student_teacher_ratio\": 16.4, \"Test_scores\": -4.907, \"HS_dropout\": -0.009, \"Colleges\": 0.019, \"Tuition\": 1320.0, \"Graduation\": -0.055, \"Labor_force_participation\": 0.554, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.266, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.03, \"Foreign_born\": 0.009, \"Social_capital\": -0.717, \"Religious\": 0.56, \"Violent_crime\": 0.002, \"Single_mothers\": 0.224, \"Divorced\": 0.113, \"Married\": 0.575, \"Longitude\": -96.2062530517578, \"Latitude\": 35.5346832275391}, {\"ID\": 30501, \"Name\": \"Woodward\", \"Mobility\": 0.200000003, \"State\": \"OK\", \"Population\": 26123, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.049, \"Seg_income\": 0.014, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.02, \"Commute\": 0.556, \"Income\": 32076, \"Gini\": 0.36, \"Share01\": 9.308, \"Gini_99\": 0.267, \"Middle_class\": 0.617, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1641.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.339, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -0.373, \"HS_dropout\": 0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.62, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.127, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.012, \"Foreign_born\": 0.024, \"Social_capital\": -0.036, \"Religious\": 0.811, \"Violent_crime\": 0.001, \"Single_mothers\": 0.162, \"Divorced\": 0.102, \"Married\": 0.637, \"Longitude\": -99.5493392944336, \"Latitude\": 36.3311462402344}, {\"ID\": 30502, \"Name\": \"Enid\", \"Mobility\": 0.1492687911, \"State\": \"OK\", \"Population\": 102415, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.079, \"Seg_income\": 0.034, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.041, \"Commute\": 0.561, \"Income\": 31507, \"Gini\": 0.372, \"Share01\": 8.515, \"Gini_99\": 0.287, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.108, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 0.799, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 1584.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.097, \"Chinese_imports\": 0.179, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": 0.78, \"Religious\": 0.697, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.103, \"Married\": 0.598, \"Longitude\": -98.6559677124023, \"Latitude\": 36.3940048217773}, {\"ID\": 30601, \"Name\": \"El Paso\", \"Mobility\": 0.0864412785, \"State\": \"TX\", \"Population\": 857648, \"Urban\": 1, \"Black\": 0.024, \"Seg_racial\": 0.169, \"Seg_income\": 0.096, \"Seg_poverty\": 0.084, \"Seg_affluence\": 0.106, \"Commute\": 0.28, \"Income\": 25721, \"Gini\": 0.534, \"Share01\": 13.174, \"Gini_99\": 0.403, \"Middle_class\": 0.422, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.51, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -6.376, \"HS_dropout\": 0.008, \"Colleges\": 0.009, \"Tuition\": 1436.0, \"Graduation\": 0.023, \"Labor_force_participation\": 0.569, \"Manufacturing\": 0.129, \"Chinese_imports\": 2.135, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.025, \"Foreign_born\": 0.257, \"Social_capital\": -1.899, \"Religious\": 0.662, \"Violent_crime\": 0.003, \"Single_mothers\": 0.237, \"Divorced\": 0.092, \"Married\": 0.548, \"Longitude\": -105.859382629395, \"Latitude\": 31.5354995727539}, {\"ID\": 30602, \"Name\": \"Alamogordo\", \"Mobility\": 0.0849557519, \"State\": \"NM\", \"Population\": 81709, \"Urban\": 0, \"Black\": 0.029, \"Seg_racial\": 0.133, \"Seg_income\": 0.023, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.023, \"Commute\": 0.447, \"Income\": 29489, \"Gini\": 0.38, \"Share01\": 7.508, \"Gini_99\": 0.305, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1520.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.472, \"Student_teacher_ratio\": 17.7, \"Test_scores\": -5.96, \"HS_dropout\": -0.025, \"Colleges\": 0.024, \"Tuition\": 864.0, \"Graduation\": -0.242, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.943, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.029, \"Foreign_born\": 0.081, \"Social_capital\": -0.483, \"Religious\": 0.462, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.111, \"Married\": 0.602, \"Longitude\": -105.501594543457, \"Latitude\": 33.1880378723145}, {\"ID\": 30603, \"Name\": \"Truth or Consequences\", \"Mobility\": 0.081272088, \"State\": \"NM\", \"Population\": 13270, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.006, \"Seg_income\": 0.009, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.01, \"Commute\": 0.6, \"Income\": 32267, \"Gini\": 0.347, \"Share01\": 5.967, \"Gini_99\": 0.287, \"Middle_class\": 0.457, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1867.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.238, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -18.629, \"HS_dropout\": 0.037, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.435, \"Manufacturing\": 0.024, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.005, \"Migration_in\": 0.008, \"Migration_out\": 0.015, \"Foreign_born\": 0.066, \"Social_capital\": -1.349, \"Religious\": 0.359, \"Violent_crime\": 0.002, \"Single_mothers\": 0.242, \"Divorced\": 0.146, \"Married\": 0.557, \"Longitude\": -107.568260192871, \"Latitude\": 32.9778213500977}, {\"ID\": 30604, \"Name\": \"Deming\", \"Mobility\": 0.0697278902, \"State\": \"NM\", \"Population\": 61950, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.072, \"Seg_income\": 0.036, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.034, \"Commute\": 0.51, \"Income\": 26356, \"Gini\": 0.381, \"Share01\": 7.628, \"Gini_99\": 0.305, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2356.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.444, \"Student_teacher_ratio\": 17.8, \"Test_scores\": -16.654, \"HS_dropout\": -0.017, \"Colleges\": 0.016, \"Tuition\": 1262.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.071, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.106, \"Social_capital\": -0.614, \"Religious\": 0.673, \"Violent_crime\": 0.002, \"Single_mothers\": 0.254, \"Divorced\": 0.113, \"Married\": 0.559, \"Longitude\": -107.963706970215, \"Latitude\": 32.6858901977539}, {\"ID\": 30605, \"Name\": \"Van Horn\", \"Mobility\": 0.2234636843, \"State\": \"TX\", \"Population\": 2975, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.069, \"Seg_income\": 0.011, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.008, \"Commute\": 0.753, \"Income\": 21738, \"Gini\": 0.441, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.059, \"Local_gov_spending\": 2144.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.778, \"Student_teacher_ratio\": 13.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.474, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.008, \"Foreign_born\": 0.152, \"Social_capital\": -1.035, \"Religious\": 0.959, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.086, \"Married\": 0.589, \"Longitude\": -104.736427307129, \"Latitude\": 31.2084007263184}, {\"ID\": 30701, \"Name\": \"Roswell\", \"Mobility\": 0.1166123748, \"State\": \"NM\", \"Population\": 113040, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.073, \"Seg_income\": 0.037, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.046, \"Commute\": 0.539, \"Income\": 30443, \"Gini\": 0.452, \"Share01\": 10.401, \"Gini_99\": 0.348, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 2279.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.614, \"Student_teacher_ratio\": 18.1, \"Test_scores\": -10.46, \"HS_dropout\": -0.009, \"Colleges\": 0.035, \"Tuition\": 894.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.08, \"Chinese_imports\": 0.236, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.019, \"Foreign_born\": 0.085, \"Social_capital\": 0.317, \"Religious\": 0.674, \"Violent_crime\": 0.002, \"Single_mothers\": 0.234, \"Divorced\": 0.109, \"Married\": 0.569, \"Longitude\": -104.325439453125, \"Latitude\": 33.1401672363281}, {\"ID\": 30702, \"Name\": \"Santa Rosa\", \"Mobility\": 0.1204819307, \"State\": \"NM\", \"Population\": 6920, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.152, \"Seg_income\": 0.002, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.003, \"Commute\": 0.702, \"Income\": 22180, \"Gini\": 0.381, \"Share01\": 11.46, \"Gini_99\": 0.266, \"Middle_class\": 0.477, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2393.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.364, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -9.72, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.487, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.011, \"Foreign_born\": 0.037, \"Social_capital\": 0.118, \"Religious\": 0.918, \"Violent_crime\": 0.004, \"Single_mothers\": 0.215, \"Divorced\": 0.084, \"Married\": 0.559, \"Longitude\": -104.565170288086, \"Latitude\": 34.5060882568359}, {\"ID\": 30801, \"Name\": \"Hobbs\", \"Mobility\": 0.1619496793, \"State\": \"NM\", \"Population\": 90061, \"Urban\": 0, \"Black\": 0.037, \"Seg_racial\": 0.071, \"Seg_income\": 0.033, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.035, \"Commute\": 0.598, \"Income\": 27195, \"Gini\": 0.428, \"Share01\": 9.764, \"Gini_99\": 0.331, \"Middle_class\": 0.536, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2154.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.976, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -7.005, \"HS_dropout\": -0.017, \"Colleges\": 0.022, \"Tuition\": 981.0, \"Graduation\": -0.193, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.124, \"Social_capital\": -1.065, \"Religious\": 0.819, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.084, \"Married\": 0.613, \"Longitude\": -103.114616394043, \"Latitude\": 32.8736839294434}, {\"ID\": 30802, \"Name\": \"Lubbock\", \"Mobility\": 0.0673753768, \"State\": \"TX\", \"Population\": 287568, \"Urban\": 1, \"Black\": 0.069, \"Seg_racial\": 0.184, \"Seg_income\": 0.08, \"Seg_poverty\": 0.065, \"Seg_affluence\": 0.096, \"Commute\": 0.449, \"Income\": 30597, \"Gini\": 0.525, \"Share01\": 12.472, \"Gini_99\": 0.401, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2460.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.336, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 4.305, \"HS_dropout\": -0.007, \"Colleges\": 0.017, \"Tuition\": 2381.0, \"Graduation\": 0.128, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.332, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.037, \"Social_capital\": -0.877, \"Religious\": 0.639, \"Violent_crime\": 0.002, \"Single_mothers\": 0.23, \"Divorced\": 0.098, \"Married\": 0.53, \"Longitude\": -101.969863891602, \"Latitude\": 33.3977088928223}, {\"ID\": 30901, \"Name\": \"Clovis\", \"Mobility\": 0.0828157365, \"State\": \"NM\", \"Population\": 73078, \"Urban\": 0, \"Black\": 0.045, \"Seg_racial\": 0.1, \"Seg_income\": 0.055, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.061, \"Commute\": 0.617, \"Income\": 28205, \"Gini\": 0.436, \"Share01\": 13.37, \"Gini_99\": 0.302, \"Middle_class\": 0.553, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1511.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.674, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -7.413, \"HS_dropout\": -0.014, \"Colleges\": 0.027, \"Tuition\": 1221.0, \"Graduation\": -0.108, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.13, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.079, \"Social_capital\": -0.742, \"Religious\": 0.639, \"Violent_crime\": 0.001, \"Single_mothers\": 0.214, \"Divorced\": 0.099, \"Married\": 0.587, \"Longitude\": -103.358520507812, \"Latitude\": 34.3509559631348}, {\"ID\": 30902, \"Name\": \"Littlefield\", \"Mobility\": 0.0803662241, \"State\": \"TX\", \"Population\": 29588, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.038, \"Seg_income\": 0.01, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.014, \"Commute\": 0.607, \"Income\": 29302, \"Gini\": 0.434, \"Share01\": 9.154, \"Gini_99\": 0.342, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.744, \"Student_teacher_ratio\": 13.0, \"Test_scores\": 3.218, \"HS_dropout\": -0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.041, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.022, \"Foreign_born\": 0.093, \"Social_capital\": -0.861, \"Religious\": 0.866, \"Violent_crime\": 0.001, \"Single_mothers\": 0.14, \"Divorced\": 0.077, \"Married\": 0.619, \"Longitude\": -102.468887329102, \"Latitude\": 34.2419090270996}, {\"ID\": 30903, \"Name\": \"Amarillo\", \"Mobility\": 0.0861367062, \"State\": \"TX\", \"Population\": 240752, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.223, \"Seg_income\": 0.079, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.099, \"Commute\": 0.438, \"Income\": 33188, \"Gini\": 0.51, \"Share01\": 15.757, \"Gini_99\": 0.352, \"Middle_class\": 0.512, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2112.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.09, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 2.695, \"HS_dropout\": -0.005, \"Colleges\": 0.008, \"Tuition\": 1254.0, \"Graduation\": -0.114, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.1, \"Chinese_imports\": 0.335, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.066, \"Social_capital\": -0.469, \"Religious\": 0.701, \"Violent_crime\": 0.002, \"Single_mothers\": 0.22, \"Divorced\": 0.107, \"Married\": 0.583, \"Longitude\": -102.076210021973, \"Latitude\": 35.016960144043}, {\"ID\": 30904, \"Name\": \"Pampa\", \"Mobility\": 0.1533333361, \"State\": \"TX\", \"Population\": 57355, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.103, \"Seg_income\": 0.054, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.06, \"Commute\": 0.549, \"Income\": 33957, \"Gini\": 0.355, \"Share01\": 8.602, \"Gini_99\": 0.269, \"Middle_class\": 0.578, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1860.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.538, \"Student_teacher_ratio\": 13.7, \"Test_scores\": 3.792, \"HS_dropout\": -0.017, \"Colleges\": 0.017, \"Tuition\": 800.0, \"Graduation\": -0.204, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.26, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.017, \"Foreign_born\": 0.049, \"Social_capital\": 0.063, \"Religious\": 0.844, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.089, \"Married\": 0.648, \"Longitude\": -100.796180725098, \"Latitude\": 35.6877746582031}, {\"ID\": 30905, \"Name\": \"Wellington\", \"Mobility\": 0.1336405575, \"State\": \"TX\", \"Population\": 8490, \"Urban\": 0, \"Black\": 0.036, \"Seg_racial\": 0.04, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.006, \"Commute\": 0.64, \"Income\": 32499, \"Gini\": 0.392, \"Share01\": 6.738, \"Gini_99\": 0.325, \"Middle_class\": 0.566, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2584.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.345, \"Student_teacher_ratio\": 10.5, \"Test_scores\": 8.86, \"HS_dropout\": -0.033, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.573, \"Manufacturing\": 0.018, \"Chinese_imports\": 0.096, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.008, \"Foreign_born\": 0.049, \"Social_capital\": 0.756, \"Religious\": 0.809, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.071, \"Married\": 0.655, \"Longitude\": -100.259323120117, \"Latitude\": 35.1179351806641}, {\"ID\": 30906, \"Name\": \"Memphis\", \"Mobility\": 0.1171548143, \"State\": \"TX\", \"Population\": 9400, \"Urban\": 0, \"Black\": 0.052, \"Seg_racial\": 0.071, \"Seg_income\": 0.012, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.013, \"Commute\": 0.601, \"Income\": 29000, \"Gini\": 0.379, \"Share01\": 8.488, \"Gini_99\": 0.294, \"Middle_class\": 0.488, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.922, \"Student_teacher_ratio\": 10.7, \"Test_scores\": 8.631, \"HS_dropout\": -0.031, \"Colleges\": 0.106, \"Tuition\": 432.0, \"Graduation\": -0.06, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.009, \"Migration_out\": 0.014, \"Foreign_born\": 0.053, \"Social_capital\": 0.679, \"Religious\": 0.826, \"Violent_crime\": 0.001, \"Single_mothers\": 0.169, \"Divorced\": 0.087, \"Married\": 0.622, \"Longitude\": -100.850151062012, \"Latitude\": 34.5850830078125}, {\"ID\": 30907, \"Name\": \"Matador\", \"Mobility\": null, \"State\": \"TX\", \"Population\": 1426, \"Urban\": 0, \"Black\": 0.035, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.582, \"Income\": 36160, \"Gini\": 0.471, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1490.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.484, \"Student_teacher_ratio\": 10.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.079, \"Chinese_imports\": 1.061, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.032, \"Social_capital\": 1.841, \"Religious\": 0.82, \"Violent_crime\": 0.001, \"Single_mothers\": 0.171, \"Divorced\": 0.07, \"Married\": 0.646, \"Longitude\": -100.855758666992, \"Latitude\": 34.0759429931641}, {\"ID\": 30908, \"Name\": \"Plainview\", \"Mobility\": 0.0848522931, \"State\": \"TX\", \"Population\": 52751, \"Urban\": 0, \"Black\": 0.053, \"Seg_racial\": 0.068, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.612, \"Income\": 27000, \"Gini\": 0.417, \"Share01\": 7.827, \"Gini_99\": 0.339, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1603.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.729, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 5.612, \"HS_dropout\": -0.007, \"Colleges\": 0.019, \"Tuition\": 7500.0, \"Graduation\": 0.039, \"Labor_force_participation\": 0.578, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.077, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.024, \"Foreign_born\": 0.072, \"Social_capital\": -0.417, \"Religious\": 0.874, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.615, \"Longitude\": -101.677635192871, \"Latitude\": 34.2349853515625}, {\"ID\": 31001, \"Name\": \"Garden City\", \"Mobility\": 0.1089108884, \"State\": \"KS\", \"Population\": 52031, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.103, \"Seg_income\": 0.015, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.021, \"Commute\": 0.586, \"Income\": 30158, \"Gini\": 0.37, \"Share01\": 8.429, \"Gini_99\": 0.286, \"Middle_class\": 0.606, \"Local_tax_rate\": 0.047, \"Local_gov_spending\": 2953.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.504, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -1.545, \"HS_dropout\": -0.004, \"Colleges\": 0.019, \"Tuition\": 992.0, \"Graduation\": -0.031, \"Labor_force_participation\": 0.685, \"Manufacturing\": 0.186, \"Chinese_imports\": 0.104, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.018, \"Foreign_born\": 0.207, \"Social_capital\": 0.517, \"Religious\": 0.55, \"Violent_crime\": 0.002, \"Single_mothers\": 0.16, \"Divorced\": 0.079, \"Married\": 0.614, \"Longitude\": -101.044975280762, \"Latitude\": 37.9037780761719}, {\"ID\": 31002, \"Name\": \"Ulysses\", \"Mobility\": 0.190721646, \"State\": \"KS\", \"Population\": 15778, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.019, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.001, \"Commute\": 0.685, \"Income\": 34785, \"Gini\": 0.305, \"Share01\": 5.824, \"Gini_99\": 0.247, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.073, \"Local_gov_spending\": 3487.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 9.888, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -3.071, \"HS_dropout\": -0.025, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.053, \"Chinese_imports\": 0.029, \"Teenage_labor\": 0.006, \"Migration_in\": 0.005, \"Migration_out\": 0.007, \"Foreign_born\": 0.123, \"Social_capital\": 0.8, \"Religious\": 0.69, \"Violent_crime\": 0.002, \"Single_mothers\": 0.116, \"Divorced\": 0.074, \"Married\": 0.658, \"Longitude\": -101.449340820312, \"Latitude\": 37.4209480285645}, {\"ID\": 31003, \"Name\": \"Scott City\", \"Mobility\": 0.191304341, \"State\": \"KS\", \"Population\": 9185, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.035, \"Seg_income\": 0.004, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.007, \"Commute\": 0.658, \"Income\": 39001, \"Gini\": 0.32, \"Share01\": 5.73, \"Gini_99\": 0.262, \"Middle_class\": 0.662, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 2291.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 6.577, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 15.348, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.097, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.003, \"Foreign_born\": 0.051, \"Social_capital\": 1.959, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.128, \"Divorced\": 0.075, \"Married\": 0.659, \"Longitude\": -101.361518859863, \"Latitude\": 38.4598960876465}, {\"ID\": 31004, \"Name\": \"Liberal\", \"Mobility\": 0.1211453751, \"State\": \"KS\", \"Population\": 32998, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.16, \"Seg_income\": 0.02, \"Seg_poverty\": 0.006, \"Seg_affluence\": 0.033, \"Commute\": 0.642, \"Income\": 30590, \"Gini\": 0.34, \"Share01\": 7.505, \"Gini_99\": 0.265, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2769.0, \"Progressivity\": 0.2, \"EITC\": 1.905, \"School_spending\": 5.555, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -8.461, \"HS_dropout\": 0.023, \"Colleges\": 0.03, \"Tuition\": 1024.0, \"Graduation\": -0.005, \"Labor_force_participation\": 0.633, \"Manufacturing\": 0.173, \"Chinese_imports\": 0.173, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.019, \"Foreign_born\": 0.209, \"Social_capital\": 1.114, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.147, \"Divorced\": 0.079, \"Married\": 0.626, \"Longitude\": -100.481628417969, \"Latitude\": 37.0461921691895}, {\"ID\": 31005, \"Name\": \"Perryton\", \"Mobility\": 0.2328358144, \"State\": \"TX\", \"Population\": 17432, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.059, \"Seg_income\": 0.008, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.009, \"Commute\": 0.632, \"Income\": 33736, \"Gini\": 0.366, \"Share01\": 8.223, \"Gini_99\": 0.284, \"Middle_class\": 0.588, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2328.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.59, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 4.529, \"HS_dropout\": -0.027, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.08, \"Teenage_labor\": 0.006, \"Migration_in\": 0.003, \"Migration_out\": 0.006, \"Foreign_born\": 0.151, \"Social_capital\": 0.396, \"Religious\": 0.779, \"Violent_crime\": 0.002, \"Single_mothers\": 0.124, \"Divorced\": 0.074, \"Married\": 0.677, \"Longitude\": -100.772438049316, \"Latitude\": 36.3008232116699}, {\"ID\": 31006, \"Name\": \"Guymon\", \"Mobility\": 0.1617021263, \"State\": \"OK\", \"Population\": 29937, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.043, \"Seg_income\": 0.007, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.006, \"Commute\": 0.609, \"Income\": 30685, \"Gini\": 0.339, \"Share01\": 6.358, \"Gini_99\": 0.276, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2403.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.397, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 0.488, \"HS_dropout\": -0.016, \"Colleges\": 0.033, \"Tuition\": 1470.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.658, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.12, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.149, \"Social_capital\": 0.789, \"Religious\": 0.843, \"Violent_crime\": 0.003, \"Single_mothers\": 0.125, \"Divorced\": 0.073, \"Married\": 0.641, \"Longitude\": -101.82502746582, \"Latitude\": 36.7060203552246}, {\"ID\": 31007, \"Name\": \"Dumas\", \"Mobility\": 0.1360153258, \"State\": \"TX\", \"Population\": 31880, \"Urban\": 0, \"Black\": 0.02, \"Seg_racial\": 0.082, \"Seg_income\": 0.021, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.023, \"Commute\": 0.611, \"Income\": 29327, \"Gini\": 0.334, \"Share01\": 5.804, \"Gini_99\": 0.276, \"Middle_class\": 0.601, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 1967.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.242, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 2.879, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.206, \"Chinese_imports\": 0.09, \"Teenage_labor\": 0.005, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.151, \"Social_capital\": -0.356, \"Religious\": 0.568, \"Violent_crime\": 0.002, \"Single_mothers\": 0.142, \"Divorced\": 0.072, \"Married\": 0.665, \"Longitude\": -102.514724731445, \"Latitude\": 35.9725379943848}, {\"ID\": 31101, \"Name\": \"Victoria\", \"Mobility\": 0.1014729962, \"State\": \"TX\", \"Population\": 165277, \"Urban\": 1, \"Black\": 0.064, \"Seg_racial\": 0.12, \"Seg_income\": 0.047, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.06, \"Commute\": 0.425, \"Income\": 33599, \"Gini\": 0.472, \"Share01\": 12.592, \"Gini_99\": 0.346, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2667.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 15.4, \"Test_scores\": 2.359, \"HS_dropout\": 0.006, \"Colleges\": 0.006, \"Tuition\": 1194.0, \"Graduation\": -0.128, \"Labor_force_participation\": 0.608, \"Manufacturing\": 0.161, \"Chinese_imports\": 0.809, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.017, \"Foreign_born\": 0.044, \"Social_capital\": -0.449, \"Religious\": 0.703, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.092, \"Married\": 0.592, \"Longitude\": -96.8904342651367, \"Latitude\": 28.643892288208}, {\"ID\": 31102, \"Name\": \"La Grange\", \"Mobility\": 0.114014253, \"State\": \"TX\", \"Population\": 42194, \"Urban\": 0, \"Black\": 0.106, \"Seg_racial\": 0.075, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.009, \"Commute\": 0.457, \"Income\": 36151, \"Gini\": 0.518, \"Share01\": 20.962, \"Gini_99\": 0.309, \"Middle_class\": 0.543, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1581.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.745, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 2.489, \"HS_dropout\": -0.018, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.134, \"Chinese_imports\": 1.316, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.068, \"Social_capital\": 0.372, \"Religious\": 0.723, \"Violent_crime\": 0.002, \"Single_mothers\": 0.172, \"Divorced\": 0.069, \"Married\": 0.6, \"Longitude\": -96.6481399536133, \"Latitude\": 29.8095932006836}, {\"ID\": 31103, \"Name\": \"Gonzales\", \"Mobility\": 0.0696202517, \"State\": \"TX\", \"Population\": 18628, \"Urban\": 0, \"Black\": 0.08, \"Seg_racial\": 0.046, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.02, \"Commute\": 0.492, \"Income\": 28893, \"Gini\": 0.442, \"Share01\": 13.004, \"Gini_99\": 0.312, \"Middle_class\": 0.469, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2045.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.388, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -1.242, \"HS_dropout\": -0.021, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.759, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.023, \"Foreign_born\": 0.109, \"Social_capital\": -0.823, \"Religious\": 0.584, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.088, \"Married\": 0.572, \"Longitude\": -97.4857635498047, \"Latitude\": 29.4550743103027}, {\"ID\": 31201, \"Name\": \"Austin\", \"Mobility\": 0.0693216324, \"State\": \"TX\", \"Population\": 1298076, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.171, \"Seg_income\": 0.138, \"Seg_poverty\": 0.125, \"Seg_affluence\": 0.152, \"Commute\": 0.249, \"Income\": 41322, \"Gini\": 0.542, \"Share01\": 22.009, \"Gini_99\": 0.321, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 3399.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.891, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -2.109, \"HS_dropout\": 0.002, \"Colleges\": 0.008, \"Tuition\": 3161.0, \"Graduation\": 0.098, \"Labor_force_participation\": 0.709, \"Manufacturing\": 0.139, \"Chinese_imports\": 2.074, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.027, \"Foreign_born\": 0.12, \"Social_capital\": -0.191, \"Religious\": 0.453, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.103, \"Married\": 0.523, \"Longitude\": -97.3492889404297, \"Latitude\": 30.3460788726807}, {\"ID\": 31202, \"Name\": \"Burnet\", \"Mobility\": 0.0947368443, \"State\": \"TX\", \"Population\": 51191, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.066, \"Seg_income\": 0.03, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.041, \"Commute\": 0.349, \"Income\": 41431, \"Gini\": 0.457, \"Share01\": 11.996, \"Gini_99\": 0.337, \"Middle_class\": 0.524, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2038.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.983, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 10.297, \"HS_dropout\": -0.015, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.649, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.025, \"Foreign_born\": 0.044, \"Social_capital\": 0.27, \"Religious\": 0.501, \"Violent_crime\": 0.001, \"Single_mothers\": 0.173, \"Divorced\": 0.1, \"Married\": 0.656, \"Longitude\": -98.3323822021484, \"Latitude\": 30.7476081848145}, {\"ID\": 31301, \"Name\": \"San Antonio\", \"Mobility\": 0.0643825904, \"State\": \"TX\", \"Population\": 1724863, \"Urban\": 1, \"Black\": 0.06, \"Seg_racial\": 0.222, \"Seg_income\": 0.111, \"Seg_poverty\": 0.094, \"Seg_affluence\": 0.128, \"Commute\": 0.242, \"Income\": 34002, \"Gini\": 0.537, \"Share01\": 14.409, \"Gini_99\": 0.393, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2604.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.845, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 1.064, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 6515.0, \"Graduation\": -0.104, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.993, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.024, \"Foreign_born\": 0.097, \"Social_capital\": -0.88, \"Religious\": 0.626, \"Violent_crime\": 0.001, \"Single_mothers\": 0.232, \"Divorced\": 0.109, \"Married\": 0.543, \"Longitude\": -98.3233032226562, \"Latitude\": 29.3254833221436}, {\"ID\": 31302, \"Name\": \"Beeville\", \"Mobility\": 0.1021594703, \"State\": \"TX\", \"Population\": 47805, \"Urban\": 0, \"Black\": 0.099, \"Seg_racial\": 0.08, \"Seg_income\": 0.022, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.466, \"Income\": 18313, \"Gini\": 0.462, \"Share01\": 13.835, \"Gini_99\": 0.324, \"Middle_class\": 0.515, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.794, \"Student_teacher_ratio\": 14.3, \"Test_scores\": 0.022, \"HS_dropout\": -0.014, \"Colleges\": 0.021, \"Tuition\": 720.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.417, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.166, \"Teenage_labor\": 0.003, \"Migration_in\": 0.016, \"Migration_out\": 0.021, \"Foreign_born\": 0.025, \"Social_capital\": -0.714, \"Religious\": 0.491, \"Violent_crime\": 0.001, \"Single_mothers\": 0.236, \"Divorced\": 0.098, \"Married\": 0.558, \"Longitude\": -97.6544952392578, \"Latitude\": 28.5498275756836}, {\"ID\": 31303, \"Name\": \"Kerrville\", \"Mobility\": 0.0956375822, \"State\": \"TX\", \"Population\": 64467, \"Urban\": 0, \"Black\": 0.012, \"Seg_racial\": 0.056, \"Seg_income\": 0.022, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.025, \"Commute\": 0.471, \"Income\": 42197, \"Gini\": 0.481, \"Share01\": 11.13, \"Gini_99\": 0.37, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1931.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 10.5, \"HS_dropout\": -0.005, \"Colleges\": 0.016, \"Tuition\": 11540.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.388, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.065, \"Social_capital\": 0.837, \"Religious\": 0.603, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.1, \"Married\": 0.632, \"Longitude\": -99.226936340332, \"Latitude\": 30.1375942230225}, {\"ID\": 31304, \"Name\": \"Mason\", \"Mobility\": 0.1744185984, \"State\": \"TX\", \"Population\": 3738, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.058, \"Seg_income\": 0.015, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.009, \"Commute\": 0.589, \"Income\": 44195, \"Gini\": 0.255, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 1861.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.087, \"Student_teacher_ratio\": 10.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.57, \"Manufacturing\": 0.049, \"Chinese_imports\": 0.0, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.054, \"Social_capital\": 0.72, \"Religious\": 0.775, \"Violent_crime\": 0.0, \"Single_mothers\": 0.178, \"Divorced\": 0.091, \"Married\": 0.631, \"Longitude\": -99.2017440795898, \"Latitude\": 30.7203540802002}, {\"ID\": 31401, \"Name\": \"Midland\", \"Mobility\": 0.1788869947, \"State\": \"TX\", \"Population\": 262282, \"Urban\": 1, \"Black\": 0.052, \"Seg_racial\": 0.174, \"Seg_income\": 0.066, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.09, \"Commute\": 0.462, \"Income\": 33502, \"Gini\": 0.524, \"Share01\": 14.337, \"Gini_99\": 0.38, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2681.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.923, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.318, \"HS_dropout\": 0.013, \"Colleges\": 0.011, \"Tuition\": 812.0, \"Graduation\": -0.17, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.075, \"Chinese_imports\": 0.287, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.021, \"Foreign_born\": 0.093, \"Social_capital\": -0.815, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.105, \"Married\": 0.593, \"Longitude\": -102.464363098145, \"Latitude\": 31.5839157104492}, {\"ID\": 31402, \"Name\": \"Pecos\", \"Mobility\": 0.2329545468, \"State\": \"TX\", \"Population\": 31286, \"Urban\": 0, \"Black\": 0.027, \"Seg_racial\": 0.109, \"Seg_income\": 0.033, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.041, \"Commute\": 0.632, \"Income\": 24735, \"Gini\": 0.431, \"Share01\": 11.584, \"Gini_99\": 0.315, \"Middle_class\": 0.526, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 2585.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.427, \"Student_teacher_ratio\": 14.0, \"Test_scores\": 1.343, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.004, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.021, \"Foreign_born\": 0.118, \"Social_capital\": -1.386, \"Religious\": 0.78, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.074, \"Married\": 0.619, \"Longitude\": -103.23291015625, \"Latitude\": 31.5871601104736}, {\"ID\": 31403, \"Name\": \"Fort Stockton\", \"Mobility\": 0.2227805704, \"State\": \"TX\", \"Population\": 20908, \"Urban\": 0, \"Black\": 0.034, \"Seg_racial\": 0.081, \"Seg_income\": 0.019, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.021, \"Commute\": 0.664, \"Income\": 22363, \"Gini\": 0.439, \"Share01\": 9.256, \"Gini_99\": 0.347, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.082, \"Local_gov_spending\": 2754.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.336, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -3.859, \"HS_dropout\": 0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.534, \"Manufacturing\": 0.032, \"Chinese_imports\": 0.006, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.019, \"Foreign_born\": 0.13, \"Social_capital\": -1.094, \"Religious\": 0.53, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.067, \"Married\": 0.665, \"Longitude\": -102.181854248047, \"Latitude\": 30.8465766906738}, {\"ID\": 31404, \"Name\": \"Alpine\", \"Mobility\": 0.1802656502, \"State\": \"TX\", \"Population\": 18377, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.192, \"Seg_income\": 0.041, \"Seg_poverty\": 0.03, \"Seg_affluence\": 0.045, \"Commute\": 0.705, \"Income\": 25586, \"Gini\": 0.442, \"Share01\": 8.578, \"Gini_99\": 0.356, \"Middle_class\": 0.467, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 2703.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.333, \"Student_teacher_ratio\": 12.6, \"Test_scores\": -0.945, \"HS_dropout\": -0.007, \"Colleges\": 0.054, \"Tuition\": 960.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.022, \"Foreign_born\": 0.189, \"Social_capital\": -0.263, \"Religious\": 0.6, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.095, \"Married\": 0.573, \"Longitude\": -103.635215759277, \"Latitude\": 29.7494506835938}, {\"ID\": 31501, \"Name\": \"Crystal City\", \"Mobility\": 0.0832049325, \"State\": \"TX\", \"Population\": 21848, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.033, \"Seg_income\": 0.02, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.017, \"Commute\": 0.606, \"Income\": 17379, \"Gini\": 0.442, \"Share01\": 10.724, \"Gini_99\": 0.334, \"Middle_class\": 0.285, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 2097.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.533, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -8.178, \"HS_dropout\": 0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.489, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.329, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.014, \"Foreign_born\": 0.109, \"Social_capital\": -1.574, \"Religious\": 0.777, \"Violent_crime\": 0.002, \"Single_mothers\": 0.249, \"Divorced\": 0.068, \"Married\": 0.563, \"Longitude\": -99.6863174438477, \"Latitude\": 28.5983295440674}, {\"ID\": 31502, \"Name\": \"Pearsall\", \"Mobility\": 0.09375, \"State\": \"TX\", \"Population\": 22118, \"Urban\": 0, \"Black\": 0.044, \"Seg_racial\": 0.084, \"Seg_income\": 0.012, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.544, \"Income\": 18365, \"Gini\": 0.445, \"Share01\": 9.465, \"Gini_99\": 0.35, \"Middle_class\": 0.391, \"Local_tax_rate\": 0.041, \"Local_gov_spending\": 3074.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.349, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -11.674, \"HS_dropout\": 0.012, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.467, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.334, \"Teenage_labor\": 0.003, \"Migration_in\": 0.014, \"Migration_out\": 0.013, \"Foreign_born\": 0.054, \"Social_capital\": -0.801, \"Religious\": 0.882, \"Violent_crime\": 0.003, \"Single_mothers\": 0.222, \"Divorced\": 0.074, \"Married\": 0.607, \"Longitude\": -99.1302490234375, \"Latitude\": 28.5215797424316}, {\"ID\": 31503, \"Name\": \"Laredo\", \"Mobility\": 0.108853586, \"State\": \"TX\", \"Population\": 210580, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.065, \"Seg_income\": 0.088, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.114, \"Commute\": 0.327, \"Income\": 21530, \"Gini\": 0.645, \"Share01\": 21.104, \"Gini_99\": 0.434, \"Middle_class\": 0.348, \"Local_tax_rate\": 0.04, \"Local_gov_spending\": 2257.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.223, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -11.566, \"HS_dropout\": 0.0, \"Colleges\": 0.009, \"Tuition\": 1058.0, \"Graduation\": -0.058, \"Labor_force_participation\": 0.525, \"Manufacturing\": 0.037, \"Chinese_imports\": 0.362, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.281, \"Social_capital\": -2.353, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.058, \"Married\": 0.581, \"Longitude\": -99.1148910522461, \"Latitude\": 27.3538513183594}, {\"ID\": 31600, \"Name\": \"Brownsville\", \"Mobility\": 0.0916091129, \"State\": \"TX\", \"Population\": 978369, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.147, \"Seg_income\": 0.066, \"Seg_poverty\": 0.047, \"Seg_affluence\": 0.084, \"Commute\": 0.343, \"Income\": 20392, \"Gini\": 0.577, \"Share01\": 15.093, \"Gini_99\": 0.426, \"Middle_class\": 0.301, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2360.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.028, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -1.41, \"HS_dropout\": 0.012, \"Colleges\": 0.005, \"Tuition\": 1414.0, \"Graduation\": -0.021, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.082, \"Chinese_imports\": 0.795, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.013, \"Foreign_born\": 0.282, \"Social_capital\": -2.687, \"Religious\": 0.533, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.06, \"Married\": 0.59, \"Longitude\": -97.8867797851562, \"Latitude\": 26.2901172637939}, {\"ID\": 31700, \"Name\": \"Corpus Christi\", \"Mobility\": 0.1055676043, \"State\": \"TX\", \"Population\": 503493, \"Urban\": 1, \"Black\": 0.033, \"Seg_racial\": 0.191, \"Seg_income\": 0.075, \"Seg_poverty\": 0.071, \"Seg_affluence\": 0.077, \"Commute\": 0.387, \"Income\": 30127, \"Gini\": 0.528, \"Share01\": 13.484, \"Gini_99\": 0.393, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2263.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.918, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.187, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 1182.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.073, \"Chinese_imports\": 0.176, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.022, \"Foreign_born\": 0.057, \"Social_capital\": -1.032, \"Religious\": 0.545, \"Violent_crime\": 0.002, \"Single_mothers\": 0.229, \"Divorced\": 0.107, \"Married\": 0.542, \"Longitude\": -97.4435424804688, \"Latitude\": 27.7055282592773}, {\"ID\": 31800, \"Name\": \"College Station\", \"Mobility\": 0.0777777806, \"State\": \"TX\", \"Population\": 208437, \"Urban\": 1, \"Black\": 0.13, \"Seg_racial\": 0.16, \"Seg_income\": 0.082, \"Seg_poverty\": 0.077, \"Seg_affluence\": 0.09, \"Commute\": 0.451, \"Income\": 26268, \"Gini\": 0.486, \"Share01\": 10.991, \"Gini_99\": 0.376, \"Middle_class\": 0.497, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 2210.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.227, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 1.182, \"HS_dropout\": -0.005, \"Colleges\": 0.005, \"Tuition\": 2400.0, \"Graduation\": 0.408, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.078, \"Chinese_imports\": 0.294, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.031, \"Foreign_born\": 0.086, \"Social_capital\": -1.111, \"Religious\": 0.5, \"Violent_crime\": 0.001, \"Single_mothers\": 0.22, \"Divorced\": 0.07, \"Married\": 0.481, \"Longitude\": -96.4033737182617, \"Latitude\": 30.6951713562012}, {\"ID\": 31900, \"Name\": \"Pearland\", \"Mobility\": 0.1157161221, \"State\": \"TX\", \"Population\": 320912, \"Urban\": 1, \"Black\": 0.097, \"Seg_racial\": 0.091, \"Seg_income\": 0.067, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.078, \"Commute\": 0.291, \"Income\": 34849, \"Gini\": 0.401, \"Share01\": 7.742, \"Gini_99\": 0.324, \"Middle_class\": 0.489, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 1988.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.65, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 10.619, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 391.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.619, \"Manufacturing\": 0.167, \"Chinese_imports\": 0.874, \"Teenage_labor\": 0.003, \"Migration_in\": 0.043, \"Migration_out\": 0.032, \"Foreign_born\": 0.084, \"Social_capital\": -1.568, \"Religious\": 0.574, \"Violent_crime\": 0.002, \"Single_mothers\": 0.168, \"Divorced\": 0.099, \"Married\": 0.601, \"Longitude\": -95.8137359619141, \"Latitude\": 29.2001705169678}, {\"ID\": 32000, \"Name\": \"Houston\", \"Mobility\": 0.0927379802, \"State\": \"TX\", \"Population\": 4504013, \"Urban\": 1, \"Black\": 0.171, \"Seg_racial\": 0.281, \"Seg_income\": 0.13, \"Seg_poverty\": 0.105, \"Seg_affluence\": 0.154, \"Commute\": 0.21, \"Income\": 38963, \"Gini\": 0.564, \"Share01\": 17.512, \"Gini_99\": 0.389, \"Middle_class\": 0.442, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2454.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.791, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -1.559, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 2535.0, \"Graduation\": -0.212, \"Labor_force_participation\": 0.655, \"Manufacturing\": 0.118, \"Chinese_imports\": 0.455, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.02, \"Foreign_born\": 0.195, \"Social_capital\": -1.829, \"Religious\": 0.498, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.096, \"Married\": 0.557, \"Longitude\": -95.5459060668945, \"Latitude\": 29.9028282165527}, {\"ID\": 32100, \"Name\": \"Beaumont\", \"Mobility\": 0.094970569, \"State\": \"TX\", \"Population\": 497770, \"Urban\": 1, \"Black\": 0.225, \"Seg_racial\": 0.295, \"Seg_income\": 0.053, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.056, \"Commute\": 0.337, \"Income\": 31840, \"Gini\": 0.476, \"Share01\": 11.668, \"Gini_99\": 0.36, \"Middle_class\": 0.483, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1992.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.695, \"Student_teacher_ratio\": 15.4, \"Test_scores\": -1.083, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 6575.0, \"Graduation\": -0.112, \"Labor_force_participation\": 0.551, \"Manufacturing\": 0.15, \"Chinese_imports\": 0.418, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.042, \"Social_capital\": -0.95, \"Religious\": 0.621, \"Violent_crime\": 0.002, \"Single_mothers\": 0.246, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -94.03515625, \"Latitude\": 30.648624420166}, {\"ID\": 32201, \"Name\": \"Huntsville\", \"Mobility\": 0.0773425847, \"State\": \"TX\", \"Population\": 191792, \"Urban\": 0, \"Black\": 0.195, \"Seg_racial\": 0.124, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.034, \"Commute\": 0.411, \"Income\": 25251, \"Gini\": 0.505, \"Share01\": 13.918, \"Gini_99\": 0.365, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2423.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.359, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 4.851, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 1219.0, \"Graduation\": 0.012, \"Labor_force_participation\": 0.517, \"Manufacturing\": 0.129, \"Chinese_imports\": 0.178, \"Teenage_labor\": 0.003, \"Migration_in\": 0.021, \"Migration_out\": 0.024, \"Foreign_born\": 0.052, \"Social_capital\": -1.386, \"Religious\": 0.521, \"Violent_crime\": 0.001, \"Single_mothers\": 0.224, \"Divorced\": 0.085, \"Married\": 0.601, \"Longitude\": -95.265251159668, \"Latitude\": 31.2139835357666}, {\"ID\": 32202, \"Name\": \"Nacogdoches\", \"Mobility\": 0.093918398, \"State\": \"TX\", \"Population\": 103842, \"Urban\": 0, \"Black\": 0.175, \"Seg_racial\": 0.141, \"Seg_income\": 0.039, \"Seg_poverty\": 0.037, \"Seg_affluence\": 0.042, \"Commute\": 0.439, \"Income\": 28783, \"Gini\": 0.508, \"Share01\": 13.012, \"Gini_99\": 0.377, \"Middle_class\": 0.472, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1749.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.958, \"Student_teacher_ratio\": 13.9, \"Test_scores\": 1.487, \"HS_dropout\": -0.01, \"Colleges\": 0.01, \"Tuition\": 960.0, \"Graduation\": 0.094, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.757, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.019, \"Foreign_born\": 0.053, \"Social_capital\": -1.496, \"Religious\": 0.579, \"Violent_crime\": 0.003, \"Single_mothers\": 0.228, \"Divorced\": 0.088, \"Married\": 0.555, \"Longitude\": -94.1027450561523, \"Latitude\": 31.5270881652832}, {\"ID\": 32301, \"Name\": \"San Angelo\", \"Mobility\": 0.0863864273, \"State\": \"TX\", \"Population\": 113973, \"Urban\": 1, \"Black\": 0.037, \"Seg_racial\": 0.113, \"Seg_income\": 0.051, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.057, \"Commute\": 0.479, \"Income\": 31936, \"Gini\": 0.467, \"Share01\": 11.329, \"Gini_99\": 0.354, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.299, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 3.469, \"HS_dropout\": -0.006, \"Colleges\": 0.009, \"Tuition\": 1416.0, \"Graduation\": -0.064, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.358, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.034, \"Foreign_born\": 0.061, \"Social_capital\": -0.388, \"Religious\": 0.611, \"Violent_crime\": 0.001, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.565, \"Longitude\": -100.759674072266, \"Latitude\": 31.4733448028564}, {\"ID\": 32302, \"Name\": \"Brady\", \"Mobility\": 0.1181434616, \"State\": \"TX\", \"Population\": 23666, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.046, \"Seg_income\": 0.023, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.577, \"Income\": 27666, \"Gini\": 0.466, \"Share01\": 14.675, \"Gini_99\": 0.319, \"Middle_class\": 0.49, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2335.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.125, \"Student_teacher_ratio\": 12.6, \"Test_scores\": 7.546, \"HS_dropout\": -0.024, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.52, \"Manufacturing\": 0.135, \"Chinese_imports\": 0.454, \"Teenage_labor\": 0.004, \"Migration_in\": 0.01, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": -0.828, \"Religious\": 0.731, \"Violent_crime\": 0.001, \"Single_mothers\": 0.178, \"Divorced\": 0.077, \"Married\": 0.655, \"Longitude\": -99.5421981811523, \"Latitude\": 31.4680957794189}, {\"ID\": 32303, \"Name\": \"Junction\", \"Mobility\": 0.0734693855, \"State\": \"TX\", \"Population\": 6828, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.05, \"Seg_income\": 0.032, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.542, \"Income\": 35219, \"Gini\": 0.394, \"Share01\": 5.439, \"Gini_99\": 0.34, \"Middle_class\": 0.433, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1856.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.72, \"Student_teacher_ratio\": 11.4, \"Test_scores\": 16.151, \"HS_dropout\": -0.035, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.562, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.402, \"Teenage_labor\": 0.005, \"Migration_in\": 0.004, \"Migration_out\": 0.006, \"Foreign_born\": 0.054, \"Social_capital\": -0.369, \"Religious\": 0.568, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.112, \"Married\": 0.606, \"Longitude\": -99.7238006591797, \"Latitude\": 30.6518516540527}, {\"ID\": 32304, \"Name\": \"Uvalde\", \"Mobility\": 0.0968436152, \"State\": \"TX\", \"Population\": 35212, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.117, \"Seg_income\": 0.015, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.011, \"Commute\": 0.58, \"Income\": 26771, \"Gini\": 0.535, \"Share01\": 13.255, \"Gini_99\": 0.403, \"Middle_class\": 0.406, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2366.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.031, \"Student_teacher_ratio\": 14.0, \"Test_scores\": -2.206, \"HS_dropout\": 0.006, \"Colleges\": 0.028, \"Tuition\": 466.0, \"Graduation\": -0.139, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.064, \"Chinese_imports\": 0.161, \"Teenage_labor\": 0.004, \"Migration_in\": 0.018, \"Migration_out\": 0.022, \"Foreign_born\": 0.107, \"Social_capital\": -0.435, \"Religious\": 0.872, \"Violent_crime\": 0.002, \"Single_mothers\": 0.182, \"Divorced\": 0.076, \"Married\": 0.614, \"Longitude\": -100.020957946777, \"Latitude\": 29.9200191497803}, {\"ID\": 32305, \"Name\": \"Del Rio\", \"Mobility\": 0.1230604574, \"State\": \"TX\", \"Population\": 49316, \"Urban\": 0, \"Black\": 0.013, \"Seg_racial\": 0.144, \"Seg_income\": 0.056, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.068, \"Commute\": 0.515, \"Income\": 24076, \"Gini\": 0.482, \"Share01\": 7.013, \"Gini_99\": 0.412, \"Middle_class\": 0.367, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2350.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.212, \"Student_teacher_ratio\": 16.0, \"Test_scores\": -4.028, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.559, \"Manufacturing\": 0.1, \"Chinese_imports\": 1.21, \"Teenage_labor\": 0.003, \"Migration_in\": 0.017, \"Migration_out\": 0.029, \"Foreign_born\": 0.223, \"Social_capital\": -1.797, \"Religious\": 0.524, \"Violent_crime\": 0.001, \"Single_mothers\": 0.183, \"Divorced\": 0.065, \"Married\": 0.619, \"Longitude\": -101.532440185547, \"Latitude\": 30.0164203643799}, {\"ID\": 32306, \"Name\": \"Eagle Pass\", \"Mobility\": 0.100081034, \"State\": \"TX\", \"Population\": 47297, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.093, \"Seg_income\": 0.025, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.041, \"Commute\": 0.526, \"Income\": 18470, \"Gini\": 0.42, \"Share01\": 9.534, \"Gini_99\": 0.324, \"Middle_class\": 0.287, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.251, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 1.012, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.507, \"Manufacturing\": 0.101, \"Chinese_imports\": 0.399, \"Teenage_labor\": 0.003, \"Migration_in\": 0.02, \"Migration_out\": 0.025, \"Foreign_born\": 0.378, \"Social_capital\": -2.985, \"Religious\": 0.347, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.047, \"Married\": 0.616, \"Longitude\": -100.34016418457, \"Latitude\": 28.5439357757568}, {\"ID\": 32401, \"Name\": \"Big Spring\", \"Mobility\": 0.1144414172, \"State\": \"TX\", \"Population\": 54073, \"Urban\": 0, \"Black\": 0.05, \"Seg_racial\": 0.103, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.038, \"Commute\": 0.633, \"Income\": 26412, \"Gini\": 0.447, \"Share01\": 10.352, \"Gini_99\": 0.344, \"Middle_class\": 0.508, \"Local_tax_rate\": 0.039, \"Local_gov_spending\": 2934.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.082, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 0.588, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 552.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.492, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.116, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.017, \"Foreign_born\": 0.063, \"Social_capital\": -0.701, \"Religious\": 0.706, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.085, \"Married\": 0.626, \"Longitude\": -101.563087463379, \"Latitude\": 32.1483917236328}, {\"ID\": 32402, \"Name\": \"Sweetwater\", \"Mobility\": 0.1220285296, \"State\": \"TX\", \"Population\": 20146, \"Urban\": 0, \"Black\": 0.041, \"Seg_racial\": 0.084, \"Seg_income\": 0.041, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.051, \"Commute\": 0.588, \"Income\": 28676, \"Gini\": 0.417, \"Share01\": 7.36, \"Gini_99\": 0.344, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 1820.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.216, \"Student_teacher_ratio\": 12.5, \"Test_scores\": 13.841, \"HS_dropout\": -0.01, \"Colleges\": 0.05, \"Tuition\": 1176.0, \"Graduation\": -0.011, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.326, \"Teenage_labor\": 0.003, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.037, \"Social_capital\": -0.553, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.244, \"Divorced\": 0.092, \"Married\": 0.588, \"Longitude\": -100.380096435547, \"Latitude\": 32.4817771911621}, {\"ID\": 32403, \"Name\": \"Snyder\", \"Mobility\": 0.1560891867, \"State\": \"TX\", \"Population\": 26918, \"Urban\": 0, \"Black\": 0.082, \"Seg_racial\": 0.066, \"Seg_income\": 0.024, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.026, \"Commute\": 0.608, \"Income\": 26045, \"Gini\": 0.373, \"Share01\": 7.916, \"Gini_99\": 0.294, \"Middle_class\": 0.567, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 2009.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.856, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 0.891, \"HS_dropout\": -0.009, \"Colleges\": 0.037, \"Tuition\": 750.0, \"Graduation\": -0.02, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.069, \"Teenage_labor\": 0.004, \"Migration_in\": 0.011, \"Migration_out\": 0.015, \"Foreign_born\": 0.029, \"Social_capital\": -0.439, \"Religious\": 0.715, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.088, \"Married\": 0.594, \"Longitude\": -100.849517822266, \"Latitude\": 32.726921081543}, {\"ID\": 32501, \"Name\": \"Abilene\", \"Mobility\": 0.1032919884, \"State\": \"TX\", \"Population\": 191518, \"Urban\": 1, \"Black\": 0.059, \"Seg_racial\": 0.123, \"Seg_income\": 0.066, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.08, \"Commute\": 0.487, \"Income\": 29968, \"Gini\": 0.449, \"Share01\": 11.684, \"Gini_99\": 0.332, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1846.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.929, \"Student_teacher_ratio\": 13.6, \"Test_scores\": 11.0, \"HS_dropout\": -0.01, \"Colleges\": 0.031, \"Tuition\": 7843.0, \"Graduation\": 0.04, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.07, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.023, \"Foreign_born\": 0.037, \"Social_capital\": -0.408, \"Religious\": 0.676, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.109, \"Married\": 0.578, \"Longitude\": -99.2288284301758, \"Latitude\": 32.4658317565918}, {\"ID\": 32502, \"Name\": \"Childress\", \"Mobility\": 0.0782608688, \"State\": \"TX\", \"Population\": 9592, \"Urban\": 0, \"Black\": 0.13, \"Seg_racial\": 0.055, \"Seg_income\": 0.006, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.011, \"Commute\": 0.757, \"Income\": 23872, \"Gini\": 0.336, \"Share01\": 4.029, \"Gini_99\": 0.296, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2093.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.916, \"Student_teacher_ratio\": 13.4, \"Test_scores\": 7.926, \"HS_dropout\": -0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.459, \"Manufacturing\": 0.031, \"Chinese_imports\": 0.001, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.005, \"Foreign_born\": 0.046, \"Social_capital\": 0.165, \"Religious\": 0.736, \"Violent_crime\": 0.001, \"Single_mothers\": 0.241, \"Divorced\": 0.06, \"Married\": 0.695, \"Longitude\": -100.163948059082, \"Latitude\": 34.2973518371582}, {\"ID\": 32503, \"Name\": \"Haskell\", \"Mobility\": 0.1690140814, \"State\": \"TX\", \"Population\": 15157, \"Urban\": 0, \"Black\": 0.048, \"Seg_racial\": 0.022, \"Seg_income\": 0.003, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.612, \"Income\": 29543, \"Gini\": 0.389, \"Share01\": 5.069, \"Gini_99\": 0.338, \"Middle_class\": 0.529, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2378.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.916, \"Student_teacher_ratio\": 10.3, \"Test_scores\": 10.797, \"HS_dropout\": -0.028, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.516, \"Manufacturing\": 0.019, \"Chinese_imports\": 0.0, \"Teenage_labor\": 0.004, \"Migration_in\": 0.006, \"Migration_out\": 0.01, \"Foreign_born\": 0.041, \"Social_capital\": 0.115, \"Religious\": 1.049, \"Violent_crime\": 0.001, \"Single_mothers\": 0.18, \"Divorced\": 0.073, \"Married\": 0.659, \"Longitude\": -99.8993225097656, \"Latitude\": 33.619556427002}, {\"ID\": 32601, \"Name\": \"Wichita Falls\", \"Mobility\": 0.0966044962, \"State\": \"TX\", \"Population\": 151524, \"Urban\": 1, \"Black\": 0.088, \"Seg_racial\": 0.148, \"Seg_income\": 0.057, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.055, \"Commute\": 0.441, \"Income\": 30238, \"Gini\": 0.419, \"Share01\": 12.378, \"Gini_99\": 0.296, \"Middle_class\": 0.6, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1618.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.821, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 6.765, \"HS_dropout\": -0.014, \"Colleges\": 0.007, \"Tuition\": 1200.0, \"Graduation\": -0.096, \"Labor_force_participation\": 0.644, \"Manufacturing\": 0.124, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.037, \"Foreign_born\": 0.047, \"Social_capital\": -0.171, \"Religious\": 0.635, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.108, \"Married\": 0.587, \"Longitude\": -98.3824691772461, \"Latitude\": 33.9784851074219}, {\"ID\": 32602, \"Name\": \"Graham\", \"Mobility\": 0.1759398431, \"State\": \"TX\", \"Population\": 28556, \"Urban\": 0, \"Black\": 0.024, \"Seg_racial\": 0.068, \"Seg_income\": 0.013, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.01, \"Commute\": 0.548, \"Income\": 31567, \"Gini\": 0.386, \"Share01\": 8.506, \"Gini_99\": 0.301, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.034, \"Local_gov_spending\": 2295.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.504, \"Student_teacher_ratio\": 13.5, \"Test_scores\": 10.139, \"HS_dropout\": -0.03, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.561, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.093, \"Teenage_labor\": 0.005, \"Migration_in\": 0.017, \"Migration_out\": 0.02, \"Foreign_born\": 0.032, \"Social_capital\": -0.026, \"Religious\": 0.802, \"Violent_crime\": 0.001, \"Single_mothers\": 0.17, \"Divorced\": 0.093, \"Married\": 0.64, \"Longitude\": -98.5917892456055, \"Latitude\": 33.1651992797852}, {\"ID\": 32603, \"Name\": \"Seymour\", \"Mobility\": 0.0860215053, \"State\": \"TX\", \"Population\": 4093, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.01, \"Seg_income\": 0.018, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.004, \"Commute\": 0.674, \"Income\": 35578, \"Gini\": 0.4, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2829.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.971, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.498, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.14, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.009, \"Foreign_born\": 0.02, \"Social_capital\": 0.837, \"Religious\": 1.017, \"Violent_crime\": 0.001, \"Single_mothers\": 0.192, \"Divorced\": 0.084, \"Married\": 0.622, \"Longitude\": -99.2113494873047, \"Latitude\": 33.5981521606445}, {\"ID\": 32604, \"Name\": \"Vernon\", \"Mobility\": 0.0880733952, \"State\": \"TX\", \"Population\": 21022, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.058, \"Seg_income\": 0.025, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.033, \"Commute\": 0.678, \"Income\": 32588, \"Gini\": 0.615, \"Share01\": 32.43, \"Gini_99\": 0.291, \"Middle_class\": 0.507, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 2126.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.626, \"Student_teacher_ratio\": 13.3, \"Test_scores\": -1.516, \"HS_dropout\": -0.022, \"Colleges\": 0.048, \"Tuition\": 720.0, \"Graduation\": -0.192, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.123, \"Chinese_imports\": 0.29, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.037, \"Social_capital\": -0.308, \"Religious\": 0.869, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.084, \"Married\": 0.607, \"Longitude\": -99.5828475952148, \"Latitude\": 34.1137962341309}, {\"ID\": 32701, \"Name\": \"Brownwood\", \"Mobility\": 0.1086637303, \"State\": \"TX\", \"Population\": 58246, \"Urban\": 0, \"Black\": 0.033, \"Seg_racial\": 0.063, \"Seg_income\": 0.028, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.028, \"Commute\": 0.495, \"Income\": 30586, \"Gini\": 0.408, \"Share01\": 9.849, \"Gini_99\": 0.31, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.841, \"Student_teacher_ratio\": 12.8, \"Test_scores\": 9.944, \"HS_dropout\": -0.009, \"Colleges\": 0.017, \"Tuition\": 8400.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.557, \"Manufacturing\": 0.153, \"Chinese_imports\": 1.168, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.035, \"Social_capital\": -0.565, \"Religious\": 0.714, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.104, \"Married\": 0.609, \"Longitude\": -99.0878524780273, \"Latitude\": 31.3928127288818}, {\"ID\": 32702, \"Name\": \"Stephenville\", \"Mobility\": 0.1141975299, \"State\": \"TX\", \"Population\": 55256, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.052, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.523, \"Income\": 30856, \"Gini\": 0.453, \"Share01\": 13.86, \"Gini_99\": 0.315, \"Middle_class\": 0.535, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 1531.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.216, \"Student_teacher_ratio\": 14.7, \"Test_scores\": 7.532, \"HS_dropout\": -0.016, \"Colleges\": 0.018, \"Tuition\": 1608.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.611, \"Manufacturing\": 0.116, \"Chinese_imports\": 0.623, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.068, \"Social_capital\": -0.963, \"Religious\": 0.607, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.076, \"Married\": 0.62, \"Longitude\": -98.3416976928711, \"Latitude\": 31.9958343505859}, {\"ID\": 32801, \"Name\": \"Waco\", \"Mobility\": 0.0675374344, \"State\": \"TX\", \"Population\": 281618, \"Urban\": 1, \"Black\": 0.141, \"Seg_racial\": 0.191, \"Seg_income\": 0.105, \"Seg_poverty\": 0.109, \"Seg_affluence\": 0.101, \"Commute\": 0.363, \"Income\": 31690, \"Gini\": 0.492, \"Share01\": 12.76, \"Gini_99\": 0.364, \"Middle_class\": 0.504, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 1729.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.56, \"Student_teacher_ratio\": 14.9, \"Test_scores\": 1.721, \"HS_dropout\": 0.002, \"Colleges\": 0.014, \"Tuition\": 6505.0, \"Graduation\": 0.074, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.147, \"Chinese_imports\": 0.902, \"Teenage_labor\": 0.004, \"Migration_in\": 0.021, \"Migration_out\": 0.021, \"Foreign_born\": 0.059, \"Social_capital\": -0.468, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.24, \"Divorced\": 0.098, \"Married\": 0.557, \"Longitude\": -97.3319702148438, \"Latitude\": 31.7745532989502}, {\"ID\": 32802, \"Name\": \"Corsicana\", \"Mobility\": 0.1013043448, \"State\": \"TX\", \"Population\": 100377, \"Urban\": 0, \"Black\": 0.166, \"Seg_racial\": 0.078, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.014, \"Commute\": 0.377, \"Income\": 29976, \"Gini\": 0.418, \"Share01\": 7.452, \"Gini_99\": 0.343, \"Middle_class\": 0.495, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1739.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.463, \"Student_teacher_ratio\": 13.8, \"Test_scores\": 1.524, \"HS_dropout\": -0.012, \"Colleges\": 0.01, \"Tuition\": 540.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.55, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.022, \"Foreign_born\": 0.065, \"Social_capital\": -1.163, \"Religious\": 0.61, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.095, \"Married\": 0.598, \"Longitude\": -96.0071182250977, \"Latitude\": 31.6485042572021}, {\"ID\": 32900, \"Name\": \"Killeen\", \"Mobility\": 0.0772482678, \"State\": \"TX\", \"Population\": 330714, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.091, \"Seg_income\": 0.059, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.064, \"Commute\": 0.383, \"Income\": 28336, \"Gini\": 0.369, \"Share01\": 8.11, \"Gini_99\": 0.288, \"Middle_class\": 0.61, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 1742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.49, \"Student_teacher_ratio\": 15.2, \"Test_scores\": 3.108, \"HS_dropout\": -0.01, \"Colleges\": 0.009, \"Tuition\": 3269.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.673, \"Manufacturing\": 0.092, \"Chinese_imports\": 1.342, \"Teenage_labor\": 0.003, \"Migration_in\": 0.05, \"Migration_out\": 0.052, \"Foreign_born\": 0.068, \"Social_capital\": -2.246, \"Religious\": 0.458, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.098, \"Married\": 0.602, \"Longitude\": -98.1207427978516, \"Latitude\": 31.1772727966309}, {\"ID\": 33000, \"Name\": \"Fort Worth\", \"Mobility\": 0.0913628563, \"State\": \"TX\", \"Population\": 1804370, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.23, \"Seg_income\": 0.114, \"Seg_poverty\": 0.096, \"Seg_affluence\": 0.131, \"Commute\": 0.24, \"Income\": 39232, \"Gini\": 0.496, \"Share01\": 15.257, \"Gini_99\": 0.343, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2338.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.928, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -0.276, \"HS_dropout\": 0.007, \"Colleges\": 0.006, \"Tuition\": 4313.0, \"Graduation\": -0.159, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.142, \"Chinese_imports\": 0.834, \"Teenage_labor\": 0.004, \"Migration_in\": 0.038, \"Migration_out\": 0.032, \"Foreign_born\": 0.109, \"Social_capital\": -1.102, \"Religious\": 0.519, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.11, \"Married\": 0.579, \"Longitude\": -97.7361831665039, \"Latitude\": 32.9755783081055}, {\"ID\": 33100, \"Name\": \"Dallas\", \"Mobility\": 0.0710824654, \"State\": \"TX\", \"Population\": 3405666, \"Urban\": 1, \"Black\": 0.151, \"Seg_racial\": 0.262, \"Seg_income\": 0.134, \"Seg_poverty\": 0.112, \"Seg_affluence\": 0.154, \"Commute\": 0.218, \"Income\": 43436, \"Gini\": 0.561, \"Share01\": 19.639, \"Gini_99\": 0.364, \"Middle_class\": 0.454, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.018, \"Student_teacher_ratio\": 16.6, \"Test_scores\": -1.675, \"HS_dropout\": 0.004, \"Colleges\": 0.009, \"Tuition\": 4829.0, \"Graduation\": -0.168, \"Labor_force_participation\": 0.699, \"Manufacturing\": 0.126, \"Chinese_imports\": 0.816, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.029, \"Foreign_born\": 0.172, \"Social_capital\": -1.179, \"Religious\": 0.526, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.101, \"Married\": 0.554, \"Longitude\": -96.9760665893555, \"Latitude\": 33.3759765625}, {\"ID\": 33200, \"Name\": \"Paris\", \"Mobility\": 0.0767123252, \"State\": \"TX\", \"Population\": 185835, \"Urban\": 1, \"Black\": 0.105, \"Seg_racial\": 0.129, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.037, \"Commute\": 0.39, \"Income\": 32552, \"Gini\": 0.418, \"Share01\": 9.075, \"Gini_99\": 0.327, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1969.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.042, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 5.65, \"HS_dropout\": -0.014, \"Colleges\": 0.011, \"Tuition\": 1551.0, \"Graduation\": -0.088, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.187, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.025, \"Foreign_born\": 0.038, \"Social_capital\": -0.884, \"Religious\": 0.592, \"Violent_crime\": 0.003, \"Single_mothers\": 0.212, \"Divorced\": 0.107, \"Married\": 0.597, \"Longitude\": -95.3130340576172, \"Latitude\": 33.589714050293}, {\"ID\": 33300, \"Name\": \"Tyler\", \"Mobility\": 0.0951065049, \"State\": \"TX\", \"Population\": 434643, \"Urban\": 1, \"Black\": 0.142, \"Seg_racial\": 0.2, \"Seg_income\": 0.032, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.037, \"Commute\": 0.33, \"Income\": 32245, \"Gini\": 0.483, \"Share01\": 11.932, \"Gini_99\": 0.364, \"Middle_class\": 0.513, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 1527.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.168, \"Student_teacher_ratio\": 15.0, \"Test_scores\": 3.891, \"HS_dropout\": -0.009, \"Colleges\": 0.018, \"Tuition\": 1469.0, \"Graduation\": -0.203, \"Labor_force_participation\": 0.56, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.334, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.02, \"Foreign_born\": 0.052, \"Social_capital\": -0.807, \"Religious\": 0.594, \"Violent_crime\": 0.002, \"Single_mothers\": 0.204, \"Divorced\": 0.097, \"Married\": 0.621, \"Longitude\": -95.6436920166016, \"Latitude\": 32.015209197998}, {\"ID\": 33400, \"Name\": \"Longview\", \"Mobility\": 0.1141970754, \"State\": \"TX\", \"Population\": 289849, \"Urban\": 1, \"Black\": 0.193, \"Seg_racial\": 0.121, \"Seg_income\": 0.031, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.031, \"Commute\": 0.361, \"Income\": 32365, \"Gini\": 0.47, \"Share01\": 11.649, \"Gini_99\": 0.354, \"Middle_class\": 0.511, \"Local_tax_rate\": 0.032, \"Local_gov_spending\": 1733.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.525, \"Student_teacher_ratio\": 14.6, \"Test_scores\": 4.051, \"HS_dropout\": -0.008, \"Colleges\": 0.017, \"Tuition\": 3851.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.157, \"Chinese_imports\": 1.02, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": -0.387, \"Religious\": 0.622, \"Violent_crime\": 0.003, \"Single_mothers\": 0.218, \"Divorced\": 0.104, \"Married\": 0.593, \"Longitude\": -94.6648025512695, \"Latitude\": 32.3712310791016}, {\"ID\": 33500, \"Name\": \"Texarkana\", \"Mobility\": 0.0788930878, \"State\": \"TX\", \"Population\": 235988, \"Urban\": 1, \"Black\": 0.201, \"Seg_racial\": 0.163, \"Seg_income\": 0.039, \"Seg_poverty\": 0.034, \"Seg_affluence\": 0.041, \"Commute\": 0.399, \"Income\": 31309, \"Gini\": 0.458, \"Share01\": 10.247, \"Gini_99\": 0.356, \"Middle_class\": 0.501, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1876.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.48, \"Student_teacher_ratio\": 14.2, \"Test_scores\": 4.345, \"HS_dropout\": -0.003, \"Colleges\": 0.008, \"Tuition\": 659.0, \"Graduation\": -0.207, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.163, \"Chinese_imports\": 0.733, \"Teenage_labor\": 0.003, \"Migration_in\": 0.012, \"Migration_out\": 0.012, \"Foreign_born\": 0.039, \"Social_capital\": -0.856, \"Religious\": 0.657, \"Violent_crime\": 0.003, \"Single_mothers\": 0.252, \"Divorced\": 0.105, \"Married\": 0.579, \"Longitude\": -94.2661209106445, \"Latitude\": 33.4860382080078}, {\"ID\": 33601, \"Name\": \"Lawton\", \"Mobility\": 0.1048808843, \"State\": \"OK\", \"Population\": 171610, \"Urban\": 1, \"Black\": 0.131, \"Seg_racial\": 0.105, \"Seg_income\": 0.057, \"Seg_poverty\": 0.059, \"Seg_affluence\": 0.058, \"Commute\": 0.472, \"Income\": 27931, \"Gini\": 0.389, \"Share01\": 8.63, \"Gini_99\": 0.303, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1627.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.616, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.779, \"HS_dropout\": -0.009, \"Colleges\": 0.006, \"Tuition\": 1470.0, \"Graduation\": -0.167, \"Labor_force_participation\": 0.618, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.569, \"Teenage_labor\": 0.004, \"Migration_in\": 0.028, \"Migration_out\": 0.035, \"Foreign_born\": 0.043, \"Social_capital\": -1.228, \"Religious\": 0.653, \"Violent_crime\": 0.002, \"Single_mothers\": 0.223, \"Divorced\": 0.11, \"Married\": 0.578, \"Longitude\": -98.0752716064453, \"Latitude\": 34.1608734130859}, {\"ID\": 33602, \"Name\": \"Altus\", \"Mobility\": 0.1121495292, \"State\": \"OK\", \"Population\": 48010, \"Urban\": 0, \"Black\": 0.074, \"Seg_racial\": 0.081, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.621, \"Income\": 28343, \"Gini\": 0.376, \"Share01\": 7.529, \"Gini_99\": 0.301, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2464.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.88, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 5.331, \"HS_dropout\": -0.004, \"Colleges\": 0.021, \"Tuition\": 1440.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.582, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.503, \"Teenage_labor\": 0.004, \"Migration_in\": 0.016, \"Migration_out\": 0.023, \"Foreign_born\": 0.034, \"Social_capital\": -0.928, \"Religious\": 0.894, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.11, \"Married\": 0.592, \"Longitude\": -99.3089218139648, \"Latitude\": 34.6671600341797}, {\"ID\": 33603, \"Name\": \"Frederick\", \"Mobility\": 0.0743034035, \"State\": \"OK\", \"Population\": 9287, \"Urban\": 0, \"Black\": 0.089, \"Seg_racial\": 0.02, \"Seg_income\": 0.011, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.022, \"Commute\": 0.538, \"Income\": 29047, \"Gini\": 0.311, \"Share01\": 5.457, \"Gini_99\": 0.256, \"Middle_class\": 0.449, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.161, \"Student_teacher_ratio\": 13.8, \"Test_scores\": -8.75, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.512, \"Manufacturing\": 0.151, \"Chinese_imports\": 2.565, \"Teenage_labor\": 0.004, \"Migration_in\": 0.012, \"Migration_out\": 0.018, \"Foreign_born\": 0.043, \"Social_capital\": -0.338, \"Religious\": 0.97, \"Violent_crime\": 0.002, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.616, \"Longitude\": -99.0044326782227, \"Latitude\": 34.3735809326172}, {\"ID\": 33700, \"Name\": \"Ardmore\", \"Mobility\": 0.1107882336, \"State\": \"OK\", \"Population\": 117982, \"Urban\": 0, \"Black\": 0.042, \"Seg_racial\": 0.077, \"Seg_income\": 0.019, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.022, \"Commute\": 0.442, \"Income\": 29691, \"Gini\": 0.412, \"Share01\": 9.046, \"Gini_99\": 0.321, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1642.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.889, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -2.527, \"HS_dropout\": -0.007, \"Colleges\": 0.008, \"Tuition\": 882.0, \"Graduation\": -0.166, \"Labor_force_participation\": 0.575, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.998, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.015, \"Foreign_born\": 0.02, \"Social_capital\": -0.366, \"Religious\": 0.761, \"Violent_crime\": 0.003, \"Single_mothers\": 0.197, \"Divorced\": 0.113, \"Married\": 0.609, \"Longitude\": -97.0431671142578, \"Latitude\": 34.0510444641113}, {\"ID\": 33801, \"Name\": \"Elk City\", \"Mobility\": 0.1871988922, \"State\": \"OK\", \"Population\": 60885, \"Urban\": 0, \"Black\": 0.031, \"Seg_racial\": 0.076, \"Seg_income\": 0.024, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.032, \"Commute\": 0.604, \"Income\": 28315, \"Gini\": 0.378, \"Share01\": 6.759, \"Gini_99\": 0.31, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1895.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.11, \"Student_teacher_ratio\": 14.1, \"Test_scores\": 1.21, \"HS_dropout\": 0.01, \"Colleges\": 0.016, \"Tuition\": 1485.0, \"Graduation\": -0.007, \"Labor_force_participation\": 0.591, \"Manufacturing\": 0.076, \"Chinese_imports\": 1.884, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": -0.062, \"Religious\": 0.836, \"Violent_crime\": 0.001, \"Single_mothers\": 0.185, \"Divorced\": 0.102, \"Married\": 0.562, \"Longitude\": -99.3613891601562, \"Latitude\": 35.531982421875}, {\"ID\": 33802, \"Name\": \"Chickasha\", \"Mobility\": 0.1154462844, \"State\": \"OK\", \"Population\": 75666, \"Urban\": 1, \"Black\": 0.03, \"Seg_racial\": 0.152, \"Seg_income\": 0.042, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.051, \"Commute\": 0.382, \"Income\": 28080, \"Gini\": 0.393, \"Share01\": 7.397, \"Gini_99\": 0.319, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1440.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 15.5, \"Test_scores\": -1.913, \"HS_dropout\": -0.007, \"Colleges\": 0.013, \"Tuition\": 1176.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.581, \"Manufacturing\": 0.139, \"Chinese_imports\": 0.818, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.026, \"Foreign_born\": 0.016, \"Social_capital\": -0.745, \"Religious\": 0.712, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.111, \"Married\": 0.597, \"Longitude\": -98.0712890625, \"Latitude\": 35.2133979797363}, {\"ID\": 33803, \"Name\": \"Oklahoma City\", \"Mobility\": 0.0820752904, \"State\": \"OK\", \"Population\": 1154246, \"Urban\": 1, \"Black\": 0.1, \"Seg_racial\": 0.17, \"Seg_income\": 0.096, \"Seg_poverty\": 0.083, \"Seg_affluence\": 0.107, \"Commute\": 0.305, \"Income\": 34352, \"Gini\": 0.477, \"Share01\": 12.936, \"Gini_99\": 0.348, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 1775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.687, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -3.512, \"HS_dropout\": 0.018, \"Colleges\": 0.017, \"Tuition\": 3426.0, \"Graduation\": -0.01, \"Labor_force_participation\": 0.646, \"Manufacturing\": 0.105, \"Chinese_imports\": 1.364, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.054, \"Social_capital\": -0.49, \"Religious\": 0.596, \"Violent_crime\": 0.001, \"Single_mothers\": 0.234, \"Divorced\": 0.122, \"Married\": 0.549, \"Longitude\": -97.1959533691406, \"Latitude\": 35.4306831359863}, {\"ID\": 33901, \"Name\": \"Ada\", \"Mobility\": 0.1167294234, \"State\": \"OK\", \"Population\": 69207, \"Urban\": 0, \"Black\": 0.032, \"Seg_racial\": 0.033, \"Seg_income\": 0.032, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.033, \"Commute\": 0.458, \"Income\": 25140, \"Gini\": 0.427, \"Share01\": 9.299, \"Gini_99\": 0.334, \"Middle_class\": 0.496, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2173.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.012, \"Student_teacher_ratio\": 15.2, \"Test_scores\": -3.446, \"HS_dropout\": 0.008, \"Colleges\": 0.014, \"Tuition\": 1470.0, \"Graduation\": -0.009, \"Labor_force_participation\": 0.547, \"Manufacturing\": 0.133, \"Chinese_imports\": 0.913, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.02, \"Foreign_born\": 0.011, \"Social_capital\": -0.078, \"Religious\": 0.626, \"Violent_crime\": 0.002, \"Single_mothers\": 0.202, \"Divorced\": 0.112, \"Married\": 0.594, \"Longitude\": -96.4050521850586, \"Latitude\": 34.7829170227051}, {\"ID\": 33902, \"Name\": \"Sherman\", \"Mobility\": 0.0884798095, \"State\": \"TX\", \"Population\": 178371, \"Urban\": 1, \"Black\": 0.053, \"Seg_racial\": 0.122, \"Seg_income\": 0.035, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.036, \"Commute\": 0.372, \"Income\": 32930, \"Gini\": 0.412, \"Share01\": 8.671, \"Gini_99\": 0.326, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1840.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.715, \"Student_teacher_ratio\": 14.8, \"Test_scores\": 8.063, \"HS_dropout\": -0.01, \"Colleges\": 0.017, \"Tuition\": 4705.0, \"Graduation\": 0.0, \"Labor_force_participation\": 0.597, \"Manufacturing\": 0.18, \"Chinese_imports\": 1.282, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.032, \"Social_capital\": -0.678, \"Religious\": 0.641, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.584, \"Longitude\": -96.4016571044922, \"Latitude\": 33.860767364502}, {\"ID\": 34001, \"Name\": \"Hot Springs\", \"Mobility\": 0.0707567334, \"State\": \"AR\", \"Population\": 210357, \"Urban\": 1, \"Black\": 0.137, \"Seg_racial\": 0.176, \"Seg_income\": 0.03, \"Seg_poverty\": 0.032, \"Seg_affluence\": 0.024, \"Commute\": 0.384, \"Income\": 31877, \"Gini\": 0.473, \"Share01\": 12.163, \"Gini_99\": 0.352, \"Middle_class\": 0.503, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 1323.0, \"Progressivity\": 1.0, \"EITC\": 0.0, \"School_spending\": 4.738, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -1.747, \"HS_dropout\": 0.002, \"Colleges\": 0.024, \"Tuition\": 3910.0, \"Graduation\": -0.017, \"Labor_force_participation\": 0.564, \"Manufacturing\": 0.199, \"Chinese_imports\": 2.903, \"Teenage_labor\": 0.004, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.027, \"Social_capital\": -0.572, \"Religious\": 0.597, \"Violent_crime\": 0.002, \"Single_mothers\": 0.226, \"Divorced\": 0.114, \"Married\": 0.591, \"Longitude\": -93.462532043457, \"Latitude\": 34.0640487670898}, {\"ID\": 34002, \"Name\": \"Idabel\", \"Mobility\": 0.0922787189, \"State\": \"OK\", \"Population\": 97397, \"Urban\": 0, \"Black\": 0.059, \"Seg_racial\": 0.163, \"Seg_income\": 0.015, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.011, \"Commute\": 0.423, \"Income\": 26431, \"Gini\": 0.387, \"Share01\": 7.085, \"Gini_99\": 0.316, \"Middle_class\": 0.46, \"Local_tax_rate\": 0.012, \"Local_gov_spending\": 1318.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.887, \"Student_teacher_ratio\": 15.6, \"Test_scores\": -1.466, \"HS_dropout\": 0.0, \"Colleges\": 0.021, \"Tuition\": 1136.0, \"Graduation\": -0.138, \"Labor_force_participation\": 0.552, \"Manufacturing\": 0.197, \"Chinese_imports\": 0.452, \"Teenage_labor\": 0.004, \"Migration_in\": 0.007, \"Migration_out\": 0.01, \"Foreign_born\": 0.034, \"Social_capital\": -1.12, \"Religious\": 0.596, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.11, \"Married\": 0.603, \"Longitude\": -94.8076782226562, \"Latitude\": 33.9497184753418}, {\"ID\": 34101, \"Name\": \"Sand Point\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 2697, \"Urban\": 0, \"Black\": 0.016, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.945, \"Income\": 16696, \"Gini\": 0.332, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.072, \"Local_gov_spending\": 5546.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 12.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.793, \"Manufacturing\": 0.449, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.016, \"Migration_out\": 0.013, \"Foreign_born\": 0.183, \"Social_capital\": null, \"Religious\": 0.11, \"Violent_crime\": 0.004, \"Single_mothers\": 0.282, \"Divorced\": 0.08, \"Married\": 0.633, \"Longitude\": -160.06298828125, \"Latitude\": 56.0933952331543}, {\"ID\": 34102, \"Name\": \"Anchorage\", \"Mobility\": 0.1339529753, \"State\": \"AK\", \"Population\": 369296, \"Urban\": 1, \"Black\": 0.041, \"Seg_racial\": 0.082, \"Seg_income\": 0.082, \"Seg_poverty\": 0.073, \"Seg_affluence\": 0.092, \"Commute\": 0.364, \"Income\": 41724, \"Gini\": 0.35, \"Share01\": 8.657, \"Gini_99\": 0.264, \"Middle_class\": 0.475, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3857.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.706, \"Student_teacher_ratio\": 20.0, \"Test_scores\": -5.599, \"HS_dropout\": 0.044, \"Colleges\": 0.008, \"Tuition\": 2786.0, \"Graduation\": -0.2, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.029, \"Foreign_born\": 0.065, \"Social_capital\": null, \"Religious\": 0.344, \"Violent_crime\": 0.002, \"Single_mothers\": 0.2, \"Divorced\": 0.125, \"Married\": 0.552, \"Longitude\": -150.678268432617, \"Latitude\": 61.3298072814941}, {\"ID\": 34103, \"Name\": \"Valdez\", \"Mobility\": 0.1599999964, \"State\": \"AK\", \"Population\": 10195, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.013, \"Seg_income\": 0.045, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.056, \"Commute\": 0.687, \"Income\": 39972, \"Gini\": 0.33, \"Share01\": 3.202, \"Gini_99\": 0.298, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.043, \"Local_gov_spending\": 13621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 10.053, \"Student_teacher_ratio\": 16.5, \"Test_scores\": -0.438, \"HS_dropout\": -0.004, \"Colleges\": 0.196, \"Tuition\": 2719.0, \"Graduation\": null, \"Labor_force_participation\": 0.663, \"Manufacturing\": 0.039, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.029, \"Foreign_born\": 0.052, \"Social_capital\": null, \"Religious\": 0.225, \"Violent_crime\": 0.003, \"Single_mothers\": 0.166, \"Divorced\": 0.114, \"Married\": 0.566, \"Longitude\": -144.957824707031, \"Latitude\": 62.0689888000488}, {\"ID\": 34104, \"Name\": \"Bristol Bay\", \"Mobility\": null, \"State\": \"AK\", \"Population\": 1258, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.744, \"Income\": 39909, \"Gini\": 0.283, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 11742.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 11.36, \"Student_teacher_ratio\": 20.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.715, \"Manufacturing\": 0.015, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.006, \"Social_capital\": null, \"Religious\": 0.215, \"Violent_crime\": 0.0, \"Single_mothers\": 0.112, \"Divorced\": 0.129, \"Married\": 0.541, \"Longitude\": -156.767288208008, \"Latitude\": 58.7393684387207}, {\"ID\": 34105, \"Name\": \"Kotzebue\", \"Mobility\": 0.0645161271, \"State\": \"AK\", \"Population\": 7208, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.044, \"Seg_income\": 0.03, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.032, \"Commute\": 0.864, \"Income\": 27613, \"Gini\": 0.302, \"Share01\": 3.179, \"Gini_99\": 0.27, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.075, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -25.289, \"HS_dropout\": 0.095, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.002, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.018, \"Migration_out\": 0.027, \"Foreign_born\": 0.014, \"Social_capital\": null, \"Religious\": 0.391, \"Violent_crime\": 0.028, \"Single_mothers\": 0.248, \"Divorced\": 0.066, \"Married\": 0.425, \"Longitude\": -159.437805175781, \"Latitude\": 67.0281829833984}, {\"ID\": 34106, \"Name\": \"Nome\", \"Mobility\": 0.0467836261, \"State\": \"AK\", \"Population\": 9196, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.143, \"Seg_income\": 0.066, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.081, \"Commute\": 0.928, \"Income\": 29589, \"Gini\": 0.392, \"Share01\": 6.635, \"Gini_99\": 0.325, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3670.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -30.813, \"HS_dropout\": 0.017, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.605, \"Manufacturing\": 0.009, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": null, \"Religious\": 0.486, \"Violent_crime\": 0.004, \"Single_mothers\": 0.209, \"Divorced\": 0.074, \"Married\": 0.398, \"Longitude\": -162.030120849609, \"Latitude\": 64.4751434326172}, {\"ID\": 34107, \"Name\": \"Dillingham\", \"Mobility\": 0.1118421033, \"State\": \"AK\", \"Population\": 6745, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.082, \"Seg_income\": 0.037, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.028, \"Commute\": 0.812, \"Income\": 31291, \"Gini\": 0.377, \"Share01\": 4.54, \"Gini_99\": 0.332, \"Middle_class\": 0.494, \"Local_tax_rate\": 0.011, \"Local_gov_spending\": 6661.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.1, \"Test_scores\": -28.735, \"HS_dropout\": 0.109, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.013, \"Migration_out\": 0.022, \"Foreign_born\": 0.009, \"Social_capital\": null, \"Religious\": 0.304, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.091, \"Married\": 0.49, \"Longitude\": -156.831787109375, \"Latitude\": 58.8879241943359}, {\"ID\": 34108, \"Name\": \"Kodiak\", \"Mobility\": 0.1461538523, \"State\": \"AK\", \"Population\": 13913, \"Urban\": 0, \"Black\": 0.009, \"Seg_racial\": 0.076, \"Seg_income\": 0.028, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.031, \"Commute\": 0.752, \"Income\": 38933, \"Gini\": 0.371, \"Share01\": 14.251, \"Gini_99\": 0.229, \"Middle_class\": 0.594, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 3471.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.42, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -1.741, \"HS_dropout\": 0.007, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.741, \"Manufacturing\": 0.168, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.016, \"Migration_out\": 0.036, \"Foreign_born\": 0.167, \"Social_capital\": null, \"Religious\": 0.256, \"Violent_crime\": 0.004, \"Single_mothers\": 0.137, \"Divorced\": 0.102, \"Married\": 0.604, \"Longitude\": -154.833114624023, \"Latitude\": 57.9822540283203}, {\"ID\": 34109, \"Name\": \"Juneau\", \"Mobility\": 0.125, \"State\": \"AK\", \"Population\": 37347, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.051, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.043, \"Commute\": 0.547, \"Income\": 43595, \"Gini\": 0.283, \"Share01\": 5.475, \"Gini_99\": 0.229, \"Middle_class\": 0.479, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 4509.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 9.217, \"Student_teacher_ratio\": 27.7, \"Test_scores\": -4.643, \"HS_dropout\": 0.036, \"Colleges\": 0.027, \"Tuition\": 2460.0, \"Graduation\": -0.208, \"Labor_force_participation\": 0.738, \"Manufacturing\": 0.017, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.018, \"Foreign_born\": 0.051, \"Social_capital\": null, \"Religious\": 0.24, \"Violent_crime\": 0.004, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.54, \"Longitude\": -136.051284790039, \"Latitude\": 58.6503791809082}, {\"ID\": 34110, \"Name\": \"Sitka\", \"Mobility\": 0.0708661452, \"State\": \"AK\", \"Population\": 15519, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.04, \"Seg_income\": 0.007, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.005, \"Commute\": 0.805, \"Income\": 42159, \"Gini\": 0.275, \"Share01\": 4.478, \"Gini_99\": 0.23, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 4665.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.366, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.428, \"HS_dropout\": 0.004, \"Colleges\": 0.064, \"Tuition\": 7250.0, \"Graduation\": null, \"Labor_force_participation\": 0.718, \"Manufacturing\": 0.058, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.006, \"Migration_out\": 0.016, \"Foreign_born\": 0.041, \"Social_capital\": null, \"Religious\": 0.386, \"Violent_crime\": 0.004, \"Single_mothers\": 0.188, \"Divorced\": 0.119, \"Married\": 0.574, \"Longitude\": -132.383071899414, \"Latitude\": 56.4937133789062}, {\"ID\": 34111, \"Name\": \"Ketchikan\", \"Mobility\": 0.122605361, \"State\": \"AK\", \"Population\": 20216, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.112, \"Seg_income\": 0.037, \"Seg_poverty\": 0.039, \"Seg_affluence\": 0.036, \"Commute\": 0.556, \"Income\": 39002, \"Gini\": 0.331, \"Share01\": 7.918, \"Gini_99\": 0.252, \"Middle_class\": 0.532, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 3802.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.46, \"Student_teacher_ratio\": 18.5, \"Test_scores\": -6.395, \"HS_dropout\": 0.042, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.057, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.007, \"Migration_out\": 0.012, \"Foreign_born\": 0.045, \"Social_capital\": null, \"Religious\": 0.306, \"Violent_crime\": 0.005, \"Single_mothers\": 0.21, \"Divorced\": 0.134, \"Married\": 0.553, \"Longitude\": -131.585510253906, \"Latitude\": 55.9489822387695}, {\"ID\": 34112, \"Name\": \"Bethel\", \"Mobility\": 0.0518638566, \"State\": \"AK\", \"Population\": 23034, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.132, \"Seg_income\": 0.052, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.095, \"Commute\": 0.909, \"Income\": 23593, \"Gini\": 0.429, \"Share01\": 6.028, \"Gini_99\": 0.369, \"Middle_class\": 0.487, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1789.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.2, \"Test_scores\": -32.785, \"HS_dropout\": 0.072, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.616, \"Manufacturing\": 0.007, \"Chinese_imports\": null, \"Teenage_labor\": 0.006, \"Migration_in\": 0.009, \"Migration_out\": 0.02, \"Foreign_born\": 0.01, \"Social_capital\": null, \"Religious\": 0.568, \"Violent_crime\": 0.003, \"Single_mothers\": 0.195, \"Divorced\": 0.062, \"Married\": 0.443, \"Longitude\": -158.382125854492, \"Latitude\": 61.3771209716797}, {\"ID\": 34113, \"Name\": \"Barrow\", \"Mobility\": 0.1000000015, \"State\": \"AK\", \"Population\": 7385, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.034, \"Seg_income\": 0.009, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.017, \"Commute\": 0.879, \"Income\": 39123, \"Gini\": 0.261, \"Share01\": 5.017, \"Gini_99\": 0.211, \"Middle_class\": 0.412, \"Local_tax_rate\": null, \"Local_gov_spending\": null, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 14.8, \"Test_scores\": -25.019, \"HS_dropout\": 0.098, \"Colleges\": 0.135, \"Tuition\": 1680.0, \"Graduation\": -0.144, \"Labor_force_participation\": 0.721, \"Manufacturing\": 0.004, \"Chinese_imports\": null, \"Teenage_labor\": 0.007, \"Migration_in\": 0.008, \"Migration_out\": 0.022, \"Foreign_born\": 0.058, \"Social_capital\": null, \"Religious\": 0.231, \"Violent_crime\": 0.001, \"Single_mothers\": 0.25, \"Divorced\": 0.092, \"Married\": 0.427, \"Longitude\": -153.819198608398, \"Latitude\": 68.3710174560547}, {\"ID\": 34114, \"Name\": \"Unalaska\", \"Mobility\": 0.1304347813, \"State\": \"AK\", \"Population\": 5465, \"Urban\": 0, \"Black\": 0.03, \"Seg_racial\": 0.039, \"Seg_income\": 0.028, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.026, \"Commute\": 0.852, \"Income\": 23637, \"Gini\": 0.285, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.07, \"Local_gov_spending\": 2949.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": null, \"Student_teacher_ratio\": 16.7, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.816, \"Manufacturing\": 0.317, \"Chinese_imports\": null, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.029, \"Foreign_born\": 0.214, \"Social_capital\": null, \"Religious\": 0.166, \"Violent_crime\": 0.008, \"Single_mothers\": 0.134, \"Divorced\": 0.128, \"Married\": 0.512, \"Longitude\": -170.719665527344, \"Latitude\": 52.9120216369629}, {\"ID\": 34115, \"Name\": \"Fairbanks\", \"Mobility\": 0.1606268436, \"State\": \"AK\", \"Population\": 97458, \"Urban\": 1, \"Black\": 0.05, \"Seg_racial\": 0.139, \"Seg_income\": 0.06, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.067, \"Commute\": 0.477, \"Income\": 35935, \"Gini\": 0.311, \"Share01\": 7.605, \"Gini_99\": 0.235, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2655.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.849, \"Student_teacher_ratio\": 18.2, \"Test_scores\": -3.754, \"HS_dropout\": 0.051, \"Colleges\": 0.01, \"Tuition\": 2460.0, \"Graduation\": -0.157, \"Labor_force_participation\": 0.725, \"Manufacturing\": 0.022, \"Chinese_imports\": null, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.039, \"Foreign_born\": 0.042, \"Social_capital\": null, \"Religious\": 0.342, \"Violent_crime\": 0.002, \"Single_mothers\": 0.177, \"Divorced\": 0.106, \"Married\": 0.56, \"Longitude\": -149.947402954102, \"Latitude\": 64.2072830200195}, {\"ID\": 34201, \"Name\": \"Havre\", \"Mobility\": 0.0821484998, \"State\": \"MT\", \"Population\": 25840, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.472, \"Seg_income\": 0.042, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.04, \"Commute\": 0.714, \"Income\": 27557, \"Gini\": 0.367, \"Share01\": 5.873, \"Gini_99\": 0.309, \"Middle_class\": 0.581, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2021.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.557, \"Student_teacher_ratio\": 15.3, \"Test_scores\": -4.699, \"HS_dropout\": 0.018, \"Colleges\": 0.116, \"Tuition\": 1979.0, \"Graduation\": -0.033, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.018, \"Social_capital\": 0.976, \"Religious\": 0.546, \"Violent_crime\": 0.003, \"Single_mothers\": 0.223, \"Divorced\": 0.092, \"Married\": 0.569, \"Longitude\": -109.412696838379, \"Latitude\": 48.1714363098145}, {\"ID\": 34202, \"Name\": \"Shelby\", \"Mobility\": 0.0475059375, \"State\": \"MT\", \"Population\": 24938, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.515, \"Seg_income\": 0.022, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.024, \"Commute\": 0.664, \"Income\": 25615, \"Gini\": 0.385, \"Share01\": 6.095, \"Gini_99\": 0.324, \"Middle_class\": 0.531, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2671.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.803, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -7.629, \"HS_dropout\": 0.014, \"Colleges\": 0.04, \"Tuition\": 1620.0, \"Graduation\": -0.115, \"Labor_force_participation\": 0.606, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.753, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.013, \"Foreign_born\": 0.023, \"Social_capital\": 0.596, \"Religious\": 0.713, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.088, \"Married\": 0.57, \"Longitude\": -113.255950927734, \"Latitude\": 48.5029525756836}, {\"ID\": 34203, \"Name\": \"Great Falls\", \"Mobility\": 0.0963597447, \"State\": \"MT\", \"Population\": 95101, \"Urban\": 1, \"Black\": 0.009, \"Seg_racial\": 0.114, \"Seg_income\": 0.06, \"Seg_poverty\": 0.063, \"Seg_affluence\": 0.056, \"Commute\": 0.538, \"Income\": 32458, \"Gini\": 0.388, \"Share01\": 9.7, \"Gini_99\": 0.291, \"Middle_class\": 0.614, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1763.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.102, \"Student_teacher_ratio\": 16.7, \"Test_scores\": 12.992, \"HS_dropout\": -0.021, \"Colleges\": 0.021, \"Tuition\": 5187.0, \"Graduation\": -0.188, \"Labor_force_participation\": 0.642, \"Manufacturing\": 0.034, \"Chinese_imports\": 0.725, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.025, \"Foreign_born\": 0.022, \"Social_capital\": 0.698, \"Religious\": 0.487, \"Violent_crime\": 0.003, \"Single_mothers\": 0.2, \"Divorced\": 0.113, \"Married\": 0.588, \"Longitude\": -111.069396972656, \"Latitude\": 47.3781547546387}, {\"ID\": 34204, \"Name\": \"Lewistown\", \"Mobility\": 0.1716417968, \"State\": \"MT\", \"Population\": 12386, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.012, \"Seg_income\": 0.003, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.002, \"Commute\": 0.685, \"Income\": 31401, \"Gini\": 0.352, \"Share01\": 6.108, \"Gini_99\": 0.291, \"Middle_class\": 0.571, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1734.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.873, \"Student_teacher_ratio\": 16.4, \"Test_scores\": 16.404, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.016, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.011, \"Foreign_born\": 0.01, \"Social_capital\": 1.756, \"Religious\": 0.525, \"Violent_crime\": 0.002, \"Single_mothers\": 0.143, \"Divorced\": 0.106, \"Married\": 0.596, \"Longitude\": -108.902824401855, \"Latitude\": 47.3193817138672}, {\"ID\": 34301, \"Name\": \"Cody\", \"Mobility\": 0.1474036872, \"State\": \"WY\", \"Population\": 37247, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.018, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.019, \"Commute\": 0.617, \"Income\": 32675, \"Gini\": 0.354, \"Share01\": 9.305, \"Gini_99\": 0.261, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 3675.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.041, \"Student_teacher_ratio\": 16.3, \"Test_scores\": 14.809, \"HS_dropout\": -0.001, \"Colleges\": 0.027, \"Tuition\": 1128.0, \"Graduation\": -0.086, \"Labor_force_participation\": 0.628, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.234, \"Teenage_labor\": 0.007, \"Migration_in\": 0.011, \"Migration_out\": 0.014, \"Foreign_born\": 0.019, \"Social_capital\": -0.026, \"Religious\": 0.486, \"Violent_crime\": 0.001, \"Single_mothers\": 0.153, \"Divorced\": 0.106, \"Married\": 0.614, \"Longitude\": -108.963806152344, \"Latitude\": 44.3489227294922}, {\"ID\": 34302, \"Name\": \"Worland\", \"Mobility\": 0.1306532621, \"State\": \"WY\", \"Population\": 13171, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.047, \"Seg_income\": 0.012, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.013, \"Commute\": 0.766, \"Income\": 34375, \"Gini\": 0.376, \"Share01\": 15.103, \"Gini_99\": 0.225, \"Middle_class\": 0.647, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2810.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 15.8, \"Test_scores\": 7.028, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.651, \"Manufacturing\": 0.059, \"Chinese_imports\": -0.003, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 1.624, \"Religious\": 0.508, \"Violent_crime\": 0.003, \"Single_mothers\": 0.157, \"Divorced\": 0.109, \"Married\": 0.627, \"Longitude\": -108.455688476562, \"Latitude\": 43.7189445495605}, {\"ID\": 34303, \"Name\": \"Riverton\", \"Mobility\": 0.1243184283, \"State\": \"WY\", \"Population\": 35804, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.226, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.019, \"Commute\": 0.632, \"Income\": 30954, \"Gini\": 0.435, \"Share01\": 10.233, \"Gini_99\": 0.332, \"Middle_class\": 0.544, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2643.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.755, \"Student_teacher_ratio\": 14.6, \"Test_scores\": -2.51, \"HS_dropout\": 0.035, \"Colleges\": 0.028, \"Tuition\": 1108.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.649, \"Manufacturing\": 0.03, \"Chinese_imports\": 2.156, \"Teenage_labor\": 0.006, \"Migration_in\": 0.014, \"Migration_out\": 0.016, \"Foreign_born\": 0.008, \"Social_capital\": -0.09, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.216, \"Divorced\": 0.127, \"Married\": 0.559, \"Longitude\": -109.151588439941, \"Latitude\": 43.4414443969727}, {\"ID\": 34304, \"Name\": \"Sheridan\", \"Mobility\": 0.1044932082, \"State\": \"WY\", \"Population\": 46306, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.421, \"Seg_income\": 0.018, \"Seg_poverty\": 0.012, \"Seg_affluence\": 0.023, \"Commute\": 0.583, \"Income\": 32114, \"Gini\": 0.501, \"Share01\": 20.947, \"Gini_99\": 0.292, \"Middle_class\": 0.561, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2865.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.88, \"Student_teacher_ratio\": 15.5, \"Test_scores\": 1.819, \"HS_dropout\": 0.017, \"Colleges\": 0.043, \"Tuition\": 1304.0, \"Graduation\": -0.164, \"Labor_force_participation\": 0.648, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.025, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.013, \"Social_capital\": 1.138, \"Religious\": 0.454, \"Violent_crime\": 0.001, \"Single_mothers\": 0.204, \"Divorced\": 0.121, \"Married\": 0.58, \"Longitude\": -107.365310668945, \"Latitude\": 44.9746780395508}, {\"ID\": 34305, \"Name\": \"Miles City\", \"Mobility\": 0.1792828739, \"State\": \"MT\", \"Population\": 12895, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.023, \"Seg_income\": 0.032, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.031, \"Commute\": 0.755, \"Income\": 30026, \"Gini\": 0.345, \"Share01\": 7.98, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2043.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.025, \"Student_teacher_ratio\": 15.9, \"Test_scores\": 10.444, \"HS_dropout\": -0.006, \"Colleges\": 0.078, \"Tuition\": 1440.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.085, \"Teenage_labor\": 0.007, \"Migration_in\": 0.01, \"Migration_out\": 0.01, \"Foreign_born\": 0.014, \"Social_capital\": 0.593, \"Religious\": 0.506, \"Violent_crime\": 0.002, \"Single_mothers\": 0.219, \"Divorced\": 0.118, \"Married\": 0.56, \"Longitude\": -105.343276977539, \"Latitude\": 46.6650810241699}, {\"ID\": 34306, \"Name\": \"Jordan\", \"Mobility\": null, \"State\": \"MT\", \"Population\": 1279, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.739, \"Income\": 27449, \"Gini\": 0.288, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 2161.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.802, \"Student_teacher_ratio\": 11.9, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.014, \"Chinese_imports\": 0.038, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.011, \"Social_capital\": 0.205, \"Religious\": 0.408, \"Violent_crime\": 0.001, \"Single_mothers\": 0.111, \"Divorced\": 0.055, \"Married\": 0.673, \"Longitude\": -107.190254211426, \"Latitude\": 47.4496040344238}, {\"ID\": 34307, \"Name\": \"Colstrip\", \"Mobility\": 0.088888891, \"State\": \"MT\", \"Population\": 12102, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.495, \"Seg_income\": 0.061, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.072, \"Commute\": 0.693, \"Income\": 28921, \"Gini\": 0.325, \"Share01\": 4.599, \"Gini_99\": 0.279, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.057, \"Local_gov_spending\": 6886.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.773, \"Student_teacher_ratio\": 13.4, \"Test_scores\": -3.745, \"HS_dropout\": 0.01, \"Colleges\": 0.083, \"Tuition\": null, \"Graduation\": 0.092, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.015, \"Chinese_imports\": 0.026, \"Teenage_labor\": 0.006, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.01, \"Social_capital\": -0.134, \"Religious\": 0.462, \"Violent_crime\": 0.002, \"Single_mothers\": 0.192, \"Divorced\": 0.097, \"Married\": 0.578, \"Longitude\": -107.025497436523, \"Latitude\": 46.1281814575195}, {\"ID\": 34308, \"Name\": \"Billings\", \"Mobility\": 0.1305191666, \"State\": \"MT\", \"Population\": 152638, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.065, \"Seg_income\": 0.072, \"Seg_poverty\": 0.06, \"Seg_affluence\": 0.083, \"Commute\": 0.446, \"Income\": 35377, \"Gini\": 0.415, \"Share01\": 10.966, \"Gini_99\": 0.305, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1750.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.226, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 6.772, \"HS_dropout\": -0.001, \"Colleges\": 0.02, \"Tuition\": 4681.0, \"Graduation\": -0.08, \"Labor_force_participation\": 0.678, \"Manufacturing\": 0.057, \"Chinese_imports\": 0.142, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.014, \"Social_capital\": 1.177, \"Religious\": 0.462, \"Violent_crime\": 0.001, \"Single_mothers\": 0.197, \"Divorced\": 0.117, \"Married\": 0.57, \"Longitude\": -108.364715576172, \"Latitude\": 45.9727478027344}, {\"ID\": 34309, \"Name\": \"Harlowton\", \"Mobility\": 0.200000003, \"State\": \"MT\", \"Population\": 4191, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.005, \"Seg_income\": 0.003, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.003, \"Commute\": 0.696, \"Income\": 26263, \"Gini\": 0.372, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.042, \"Local_gov_spending\": 1850.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.585, \"Student_teacher_ratio\": 13.4, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.63, \"Manufacturing\": 0.017, \"Chinese_imports\": 0.112, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.006, \"Foreign_born\": 0.024, \"Social_capital\": 1.232, \"Religious\": 0.438, \"Violent_crime\": 0.0, \"Single_mothers\": 0.126, \"Divorced\": 0.084, \"Married\": 0.628, \"Longitude\": -110.863861083984, \"Latitude\": 46.6356086730957}, {\"ID\": 34401, \"Name\": \"Dillon\", \"Mobility\": 0.116883114, \"State\": \"MT\", \"Population\": 9202, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.008, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.013, \"Commute\": 0.73, \"Income\": 27667, \"Gini\": 0.404, \"Share01\": 13.733, \"Gini_99\": 0.266, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2072.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.431, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 11.176, \"HS_dropout\": -0.003, \"Colleges\": 0.109, \"Tuition\": 2072.0, \"Graduation\": -0.12, \"Labor_force_participation\": 0.637, \"Manufacturing\": 0.044, \"Chinese_imports\": 0.015, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.016, \"Social_capital\": 0.908, \"Religious\": 0.485, \"Violent_crime\": 0.0, \"Single_mothers\": 0.123, \"Divorced\": 0.083, \"Married\": 0.57, \"Longitude\": -112.863098144531, \"Latitude\": 45.0694007873535}, {\"ID\": 34402, \"Name\": \"Bozeman\", \"Mobility\": 0.1259689927, \"State\": \"MT\", \"Population\": 93985, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.021, \"Seg_income\": 0.044, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.05, \"Commute\": 0.527, \"Income\": 31692, \"Gini\": 0.414, \"Share01\": 11.081, \"Gini_99\": 0.303, \"Middle_class\": 0.605, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1735.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.05, \"Student_teacher_ratio\": 16.8, \"Test_scores\": 13.863, \"HS_dropout\": -0.005, \"Colleges\": 0.011, \"Tuition\": 2272.0, \"Graduation\": 0.082, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.073, \"Chinese_imports\": 1.066, \"Teenage_labor\": 0.006, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.026, \"Social_capital\": 1.329, \"Religious\": 0.267, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.092, \"Married\": 0.562, \"Longitude\": -111.284934997559, \"Latitude\": 45.4459915161133}, {\"ID\": 34403, \"Name\": \"Helena\", \"Mobility\": 0.1197410971, \"State\": \"MT\", \"Population\": 70150, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.009, \"Seg_income\": 0.043, \"Seg_poverty\": 0.046, \"Seg_affluence\": 0.046, \"Commute\": 0.472, \"Income\": 33610, \"Gini\": 0.355, \"Share01\": 8.999, \"Gini_99\": 0.265, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 1668.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.237, \"Student_teacher_ratio\": 17.3, \"Test_scores\": 8.937, \"HS_dropout\": 0.001, \"Colleges\": 0.029, \"Tuition\": 8644.0, \"Graduation\": 0.066, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.041, \"Chinese_imports\": 0.368, \"Teenage_labor\": 0.006, \"Migration_in\": 0.023, \"Migration_out\": 0.02, \"Foreign_born\": 0.015, \"Social_capital\": 3.071, \"Religious\": 0.466, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.126, \"Married\": 0.6, \"Longitude\": -112.109184265137, \"Latitude\": 46.6794281005859}, {\"ID\": 34404, \"Name\": \"Butte-Silver Bow\", \"Mobility\": 0.089366518, \"State\": \"MT\", \"Population\": 54033, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.027, \"Seg_income\": 0.036, \"Seg_poverty\": 0.031, \"Seg_affluence\": 0.042, \"Commute\": 0.61, \"Income\": 30173, \"Gini\": 0.398, \"Share01\": 6.68, \"Gini_99\": 0.331, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 1569.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.335, \"Student_teacher_ratio\": 18.0, \"Test_scores\": 6.263, \"HS_dropout\": 0.017, \"Colleges\": 0.037, \"Tuition\": 2123.0, \"Graduation\": -0.048, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.014, \"Social_capital\": 1.018, \"Religious\": 0.529, \"Violent_crime\": 0.001, \"Single_mothers\": 0.215, \"Divorced\": 0.12, \"Married\": 0.543, \"Longitude\": -113.062614440918, \"Latitude\": 46.2734794616699}, {\"ID\": 34501, \"Name\": \"Bonners Ferry\", \"Mobility\": 0.0991379321, \"State\": \"ID\", \"Population\": 9871, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.011, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.0, \"Commute\": 0.438, \"Income\": 28983, \"Gini\": 0.383, \"Share01\": 10.362, \"Gini_99\": 0.28, \"Middle_class\": 0.568, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 2032.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.668, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 4.734, \"HS_dropout\": 0.031, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.588, \"Manufacturing\": 0.144, \"Chinese_imports\": 0.463, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -0.295, \"Religious\": 0.358, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.11, \"Married\": 0.616, \"Longitude\": -116.683563232422, \"Latitude\": 48.7867660522461}, {\"ID\": 34502, \"Name\": \"Libby\", \"Mobility\": 0.1302605271, \"State\": \"MT\", \"Population\": 18837, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.004, \"Seg_income\": 0.009, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.016, \"Commute\": 0.599, \"Income\": 26385, \"Gini\": 0.369, \"Share01\": 9.077, \"Gini_99\": 0.278, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1638.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.077, \"Student_teacher_ratio\": 17.1, \"Test_scores\": 5.058, \"HS_dropout\": -0.01, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.535, \"Manufacturing\": 0.127, \"Chinese_imports\": 0.033, \"Teenage_labor\": 0.004, \"Migration_in\": 0.014, \"Migration_out\": 0.014, \"Foreign_born\": 0.014, \"Social_capital\": 0.66, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.181, \"Divorced\": 0.116, \"Married\": 0.619, \"Longitude\": -115.327323913574, \"Latitude\": 48.2843475341797}, {\"ID\": 34503, \"Name\": \"Kalispell\", \"Mobility\": 0.1108414233, \"State\": \"MT\", \"Population\": 111205, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.173, \"Seg_income\": 0.024, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.028, \"Commute\": 0.45, \"Income\": 32003, \"Gini\": 0.44, \"Share01\": 11.362, \"Gini_99\": 0.326, \"Middle_class\": 0.559, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1710.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.985, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 5.978, \"HS_dropout\": 0.008, \"Colleges\": 0.018, \"Tuition\": 2096.0, \"Graduation\": -0.121, \"Labor_force_participation\": 0.623, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.65, \"Teenage_labor\": 0.006, \"Migration_in\": 0.021, \"Migration_out\": 0.017, \"Foreign_born\": 0.02, \"Social_capital\": 0.527, \"Religious\": 0.395, \"Violent_crime\": 0.001, \"Single_mothers\": 0.191, \"Divorced\": 0.118, \"Married\": 0.592, \"Longitude\": -114.455520629883, \"Latitude\": 48.0249977111816}, {\"ID\": 34504, \"Name\": \"Missoula\", \"Mobility\": 0.1056273058, \"State\": \"MT\", \"Population\": 135756, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.033, \"Seg_income\": 0.06, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.058, \"Commute\": 0.467, \"Income\": 31286, \"Gini\": 0.418, \"Share01\": 8.702, \"Gini_99\": 0.331, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 1657.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.145, \"Student_teacher_ratio\": 17.4, \"Test_scores\": 8.573, \"HS_dropout\": 0.004, \"Colleges\": 0.007, \"Tuition\": 2250.0, \"Graduation\": 0.048, \"Labor_force_participation\": 0.671, \"Manufacturing\": 0.076, \"Chinese_imports\": 0.512, \"Teenage_labor\": 0.005, \"Migration_in\": 0.025, \"Migration_out\": 0.024, \"Foreign_born\": 0.021, \"Social_capital\": 1.17, \"Religious\": 0.314, \"Violent_crime\": 0.002, \"Single_mothers\": 0.196, \"Divorced\": 0.108, \"Married\": 0.543, \"Longitude\": -114.380409240723, \"Latitude\": 46.5549201965332}, {\"ID\": 34601, \"Name\": \"Gillette\", \"Mobility\": 0.2641843855, \"State\": \"WY\", \"Population\": 46229, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.021, \"Seg_income\": 0.045, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.04, \"Commute\": 0.536, \"Income\": 34452, \"Gini\": 0.295, \"Share01\": 8.507, \"Gini_99\": 0.21, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.062, \"Local_gov_spending\": 4315.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.142, \"Student_teacher_ratio\": 14.5, \"Test_scores\": 5.883, \"HS_dropout\": 0.009, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.724, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.017, \"Foreign_born\": 0.014, \"Social_capital\": -0.926, \"Religious\": 0.482, \"Violent_crime\": 0.002, \"Single_mothers\": 0.152, \"Divorced\": 0.098, \"Married\": 0.626, \"Longitude\": -105.158653259277, \"Latitude\": 44.2510757446289}, {\"ID\": 34602, \"Name\": \"Rawlins\", \"Mobility\": 0.1934156418, \"State\": \"WY\", \"Population\": 15639, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.066, \"Seg_income\": 0.003, \"Seg_poverty\": 0.002, \"Seg_affluence\": 0.003, \"Commute\": 0.722, \"Income\": 31828, \"Gini\": 0.269, \"Share01\": 4.303, \"Gini_99\": 0.226, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.046, \"Local_gov_spending\": 3351.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.182, \"Student_teacher_ratio\": 13.7, \"Test_scores\": -5.208, \"HS_dropout\": 0.016, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.626, \"Manufacturing\": 0.066, \"Chinese_imports\": 0.023, \"Teenage_labor\": 0.007, \"Migration_in\": 0.018, \"Migration_out\": 0.025, \"Foreign_born\": 0.029, \"Social_capital\": -0.646, \"Religious\": 0.429, \"Violent_crime\": 0.003, \"Single_mothers\": 0.192, \"Divorced\": 0.123, \"Married\": 0.613, \"Longitude\": -107.257133483887, \"Latitude\": 41.5921669006348}, {\"ID\": 34603, \"Name\": \"Casper\", \"Mobility\": 0.1662689, \"State\": \"WY\", \"Population\": 78585, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.025, \"Seg_income\": 0.057, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.056, \"Commute\": 0.528, \"Income\": 34840, \"Gini\": 0.43, \"Share01\": 15.007, \"Gini_99\": 0.28, \"Middle_class\": 0.58, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3000.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.458, \"Student_teacher_ratio\": 17.0, \"Test_scores\": -0.214, \"HS_dropout\": 0.059, \"Colleges\": 0.013, \"Tuition\": 1248.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.683, \"Manufacturing\": 0.055, \"Chinese_imports\": 0.448, \"Teenage_labor\": 0.006, \"Migration_in\": 0.022, \"Migration_out\": 0.019, \"Foreign_born\": 0.018, \"Social_capital\": 0.542, \"Religious\": 0.435, \"Violent_crime\": 0.001, \"Single_mothers\": 0.221, \"Divorced\": 0.132, \"Married\": 0.571, \"Longitude\": -106.016143798828, \"Latitude\": 42.7822189331055}, {\"ID\": 34604, \"Name\": \"Lusk\", \"Mobility\": null, \"State\": \"WY\", \"Population\": 2407, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.72, \"Income\": 30783, \"Gini\": 0.418, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.036, \"Local_gov_spending\": 5706.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.655, \"Student_teacher_ratio\": 12.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.034, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.007, \"Social_capital\": 0.808, \"Religious\": 0.492, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.106, \"Married\": 0.605, \"Longitude\": -104.457618713379, \"Latitude\": 43.089038848877}, {\"ID\": 34701, \"Name\": \"Honolulu\", \"Mobility\": 0.1052926034, \"State\": \"HI\", \"Population\": 876156, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.14, \"Seg_income\": 0.107, \"Seg_poverty\": 0.101, \"Seg_affluence\": 0.105, \"Commute\": 0.235, \"Income\": 39404, \"Gini\": 0.396, \"Share01\": 9.084, \"Gini_99\": 0.305, \"Middle_class\": 0.517, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1316.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.4, \"Test_scores\": -14.799, \"HS_dropout\": 0.018, \"Colleges\": 0.015, \"Tuition\": 5088.0, \"Graduation\": -0.105, \"Labor_force_participation\": 0.647, \"Manufacturing\": 0.038, \"Chinese_imports\": null, \"Teenage_labor\": 0.003, \"Migration_in\": 0.03, \"Migration_out\": 0.034, \"Foreign_born\": 0.192, \"Social_capital\": null, \"Religious\": 0.333, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.084, \"Married\": 0.534, \"Longitude\": -157.932189941406, \"Latitude\": 21.4360733032227}, {\"ID\": 34702, \"Name\": \"Kapaa\", \"Mobility\": 0.0993071571, \"State\": \"HI\", \"Population\": 58463, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.064, \"Seg_income\": 0.013, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.014, \"Commute\": 0.37, \"Income\": 38210, \"Gini\": 0.351, \"Share01\": 5.7, \"Gini_99\": 0.294, \"Middle_class\": 0.595, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1405.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.0, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.017, \"Tuition\": 1032.0, \"Graduation\": -0.244, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.024, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.017, \"Migration_out\": 0.006, \"Foreign_born\": 0.13, \"Social_capital\": null, \"Religious\": 0.523, \"Violent_crime\": 0.002, \"Single_mothers\": 0.207, \"Divorced\": 0.098, \"Married\": 0.546, \"Longitude\": -159.764556884766, \"Latitude\": 21.9938297271729}, {\"ID\": 34703, \"Name\": \"Kahului\", \"Mobility\": 0.0848938823, \"State\": \"HI\", \"Population\": 128241, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.119, \"Seg_income\": 0.03, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.384, \"Income\": 39556, \"Gini\": 0.391, \"Share01\": 9.414, \"Gini_99\": 0.297, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1559.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.3, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1032.0, \"Graduation\": -0.251, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.034, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.165, \"Social_capital\": null, \"Religious\": 0.445, \"Violent_crime\": 0.001, \"Single_mothers\": 0.199, \"Divorced\": 0.109, \"Married\": 0.52, \"Longitude\": -156.808609008789, \"Latitude\": 21.0115718841553}, {\"ID\": 34801, \"Name\": \"Las Vegas\", \"Mobility\": 0.0858484209, \"State\": \"NM\", \"Population\": 49495, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.092, \"Seg_income\": 0.012, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.01, \"Commute\": 0.537, \"Income\": 26569, \"Gini\": 0.381, \"Share01\": 7.039, \"Gini_99\": 0.311, \"Middle_class\": 0.464, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2459.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.37, \"Student_teacher_ratio\": 17.1, \"Test_scores\": -13.802, \"HS_dropout\": -0.029, \"Colleges\": 0.04, \"Tuition\": 1750.0, \"Graduation\": -0.134, \"Labor_force_participation\": 0.549, \"Manufacturing\": 0.033, \"Chinese_imports\": 0.024, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.017, \"Foreign_born\": 0.023, \"Social_capital\": -1.273, \"Religious\": 0.738, \"Violent_crime\": 0.002, \"Single_mothers\": 0.266, \"Divorced\": 0.124, \"Married\": 0.492, \"Longitude\": -104.827262878418, \"Latitude\": 36.0686874389648}, {\"ID\": 34802, \"Name\": \"Santa Fe\", \"Mobility\": 0.0803233162, \"State\": \"NM\", \"Population\": 218804, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.201, \"Seg_income\": 0.089, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.116, \"Commute\": 0.371, \"Income\": 38838, \"Gini\": 0.49, \"Share01\": 11.007, \"Gini_99\": 0.38, \"Middle_class\": 0.474, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2090.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.527, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -16.69, \"HS_dropout\": 0.012, \"Colleges\": 0.032, \"Tuition\": 9992.0, \"Graduation\": -0.182, \"Labor_force_participation\": 0.653, \"Manufacturing\": 0.035, \"Chinese_imports\": 0.828, \"Teenage_labor\": 0.006, \"Migration_in\": 0.02, \"Migration_out\": 0.024, \"Foreign_born\": 0.078, \"Social_capital\": 0.311, \"Religious\": 0.576, \"Violent_crime\": 0.002, \"Single_mothers\": 0.236, \"Divorced\": 0.134, \"Married\": 0.519, \"Longitude\": -105.962219238281, \"Latitude\": 36.2350006103516}, {\"ID\": 34803, \"Name\": \"Tucumcari\", \"Mobility\": 0.0730337054, \"State\": \"NM\", \"Population\": 10965, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.08, \"Seg_income\": 0.013, \"Seg_poverty\": 0.018, \"Seg_affluence\": 0.013, \"Commute\": 0.689, \"Income\": 30332, \"Gini\": 0.442, \"Share01\": 9.005, \"Gini_99\": 0.352, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2243.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.57, \"Student_teacher_ratio\": 15.7, \"Test_scores\": -11.254, \"HS_dropout\": 0.039, \"Colleges\": 0.091, \"Tuition\": 780.0, \"Graduation\": -0.054, \"Labor_force_participation\": 0.532, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.04, \"Teenage_labor\": 0.005, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.034, \"Social_capital\": -0.96, \"Religious\": 0.893, \"Violent_crime\": 0.002, \"Single_mothers\": 0.255, \"Divorced\": 0.109, \"Married\": 0.562, \"Longitude\": -103.997459411621, \"Latitude\": 35.6330223083496}, {\"ID\": 34804, \"Name\": \"Clayton\", \"Mobility\": 0.1223021597, \"State\": \"NM\", \"Population\": 4174, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.625, \"Income\": 30305, \"Gini\": 0.389, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2538.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.4, \"Student_teacher_ratio\": 13.5, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.023, \"Chinese_imports\": 0.039, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.005, \"Foreign_born\": 0.022, \"Social_capital\": -0.018, \"Religious\": 0.471, \"Violent_crime\": 0.003, \"Single_mothers\": 0.169, \"Divorced\": 0.099, \"Married\": 0.603, \"Longitude\": -103.414817810059, \"Latitude\": 36.2873802185059}, {\"ID\": 34805, \"Name\": \"Alamosa\", \"Mobility\": 0.098867923, \"State\": \"CO\", \"Population\": 46190, \"Urban\": 0, \"Black\": 0.003, \"Seg_racial\": 0.112, \"Seg_income\": 0.028, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.031, \"Commute\": 0.552, \"Income\": 27094, \"Gini\": 0.444, \"Share01\": 9.743, \"Gini_99\": 0.346, \"Middle_class\": 0.486, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2794.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.952, \"Student_teacher_ratio\": 15.9, \"Test_scores\": -4.938, \"HS_dropout\": null, \"Colleges\": 0.022, \"Tuition\": 1574.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.604, \"Manufacturing\": 0.043, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.005, \"Migration_out\": 0.011, \"Foreign_born\": 0.061, \"Social_capital\": 0.517, \"Religious\": 0.625, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.104, \"Married\": 0.57, \"Longitude\": -105.865020751953, \"Latitude\": 37.7030296325684}, {\"ID\": 34901, \"Name\": \"Albuquerque\", \"Mobility\": 0.0659846142, \"State\": \"NM\", \"Population\": 755244, \"Urban\": 1, \"Black\": 0.022, \"Seg_racial\": 0.177, \"Seg_income\": 0.096, \"Seg_poverty\": 0.082, \"Seg_affluence\": 0.111, \"Commute\": 0.273, \"Income\": 35591, \"Gini\": 0.465, \"Share01\": 9.867, \"Gini_99\": 0.366, \"Middle_class\": 0.5, \"Local_tax_rate\": 0.014, \"Local_gov_spending\": 2022.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.091, \"Student_teacher_ratio\": 17.4, \"Test_scores\": -13.662, \"HS_dropout\": 0.033, \"Colleges\": 0.016, \"Tuition\": 2527.0, \"Graduation\": -0.1, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.084, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.022, \"Foreign_born\": 0.076, \"Social_capital\": -0.76, \"Religious\": 0.547, \"Violent_crime\": 0.003, \"Single_mothers\": 0.239, \"Divorced\": 0.125, \"Married\": 0.515, \"Longitude\": -106.686538696289, \"Latitude\": 35.3091621398926}, {\"ID\": 34902, \"Name\": \"Socorro\", \"Mobility\": 0.052117262, \"State\": \"NM\", \"Population\": 21621, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.204, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.015, \"Commute\": 0.565, \"Income\": 24360, \"Gini\": 0.423, \"Share01\": 7.177, \"Gini_99\": 0.352, \"Middle_class\": 0.451, \"Local_tax_rate\": 0.01, \"Local_gov_spending\": 1630.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.411, \"Student_teacher_ratio\": 16.3, \"Test_scores\": -15.373, \"HS_dropout\": -0.025, \"Colleges\": 0.046, \"Tuition\": 1704.0, \"Graduation\": 0.159, \"Labor_force_participation\": 0.563, \"Manufacturing\": 0.056, \"Chinese_imports\": 1.193, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.021, \"Foreign_born\": 0.056, \"Social_capital\": -0.694, \"Religious\": 0.418, \"Violent_crime\": 0.004, \"Single_mothers\": 0.248, \"Divorced\": 0.123, \"Married\": 0.513, \"Longitude\": -107.257507324219, \"Latitude\": 33.9917869567871}, {\"ID\": 35001, \"Name\": \"Phoenix\", \"Mobility\": 0.0752772912, \"State\": \"AZ\", \"Population\": 3303211, \"Urban\": 1, \"Black\": 0.034, \"Seg_racial\": 0.208, \"Seg_income\": 0.12, \"Seg_poverty\": 0.098, \"Seg_affluence\": 0.139, \"Commute\": 0.242, \"Income\": 40624, \"Gini\": 0.49, \"Share01\": 16.807, \"Gini_99\": 0.322, \"Middle_class\": 0.502, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3109.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.546, \"Student_teacher_ratio\": 20.3, \"Test_scores\": -10.107, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 3653.0, \"Graduation\": -0.129, \"Labor_force_participation\": 0.636, \"Manufacturing\": 0.115, \"Chinese_imports\": 0.832, \"Teenage_labor\": 0.005, \"Migration_in\": 0.045, \"Migration_out\": 0.025, \"Foreign_born\": 0.139, \"Social_capital\": -1.483, \"Religious\": 0.394, \"Violent_crime\": 0.002, \"Single_mothers\": 0.203, \"Divorced\": 0.11, \"Married\": 0.55, \"Longitude\": -111.294647216797, \"Latitude\": 34.0149688720703}, {\"ID\": 35002, \"Name\": \"Safford\", \"Mobility\": 0.1105919033, \"State\": \"AZ\", \"Population\": 42036, \"Urban\": 0, \"Black\": 0.015, \"Seg_racial\": 0.287, \"Seg_income\": 0.036, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.024, \"Commute\": 0.53, \"Income\": 23579, \"Gini\": 0.287, \"Share01\": 6.422, \"Gini_99\": 0.222, \"Middle_class\": 0.675, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2696.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 4.606, \"Student_teacher_ratio\": 21.8, \"Test_scores\": -7.113, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 748.0, \"Graduation\": -0.15, \"Labor_force_participation\": 0.528, \"Manufacturing\": 0.028, \"Chinese_imports\": 0.013, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.029, \"Social_capital\": -1.325, \"Religious\": 0.721, \"Violent_crime\": 0.002, \"Single_mothers\": 0.191, \"Divorced\": 0.1, \"Married\": 0.587, \"Longitude\": -109.825134277344, \"Latitude\": 33.3510894775391}, {\"ID\": 35100, \"Name\": \"Tucson\", \"Mobility\": 0.0705499947, \"State\": \"AZ\", \"Population\": 999882, \"Urban\": 1, \"Black\": 0.029, \"Seg_racial\": 0.22, \"Seg_income\": 0.112, \"Seg_poverty\": 0.097, \"Seg_affluence\": 0.127, \"Commute\": 0.291, \"Income\": 35571, \"Gini\": 0.477, \"Share01\": 12.39, \"Gini_99\": 0.353, \"Middle_class\": 0.518, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 2423.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -10.137, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 777.0, \"Graduation\": 0.03, \"Labor_force_participation\": 0.592, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.651, \"Teenage_labor\": 0.005, \"Migration_in\": 0.033, \"Migration_out\": 0.025, \"Foreign_born\": 0.128, \"Social_capital\": -0.867, \"Religious\": 0.452, \"Violent_crime\": 0.002, \"Single_mothers\": 0.239, \"Divorced\": 0.117, \"Married\": 0.534, \"Longitude\": -111.015380859375, \"Latitude\": 32.0897750854492}, {\"ID\": 35201, \"Name\": \"Grand Junction\", \"Mobility\": 0.1463671476, \"State\": \"CO\", \"Population\": 187857, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.04, \"Seg_income\": 0.05, \"Seg_poverty\": 0.04, \"Seg_affluence\": 0.06, \"Commute\": 0.465, \"Income\": 35421, \"Gini\": 0.423, \"Share01\": 10.695, \"Gini_99\": 0.316, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2421.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.357, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 1.926, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1623.0, \"Graduation\": -0.07, \"Labor_force_participation\": 0.632, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.467, \"Teenage_labor\": 0.006, \"Migration_in\": 0.024, \"Migration_out\": 0.016, \"Foreign_born\": 0.038, \"Social_capital\": 0.151, \"Religious\": 0.301, \"Violent_crime\": 0.002, \"Single_mothers\": 0.19, \"Divorced\": 0.115, \"Married\": 0.595, \"Longitude\": -107.929718017578, \"Latitude\": 38.246826171875}, {\"ID\": 35202, \"Name\": \"Gunnison\", \"Mobility\": 0.1061946899, \"State\": \"CO\", \"Population\": 14746, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.017, \"Seg_income\": 0.045, \"Seg_poverty\": 0.053, \"Seg_affluence\": 0.034, \"Commute\": 0.644, \"Income\": 32805, \"Gini\": 0.486, \"Share01\": 12.096, \"Gini_99\": 0.365, \"Middle_class\": 0.527, \"Local_tax_rate\": 0.054, \"Local_gov_spending\": 3423.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 7.487, \"Student_teacher_ratio\": 14.4, \"Test_scores\": 5.732, \"HS_dropout\": null, \"Colleges\": 0.068, \"Tuition\": 1560.0, \"Graduation\": -0.061, \"Labor_force_participation\": 0.73, \"Manufacturing\": 0.02, \"Chinese_imports\": 0.019, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.019, \"Foreign_born\": 0.029, \"Social_capital\": 1.798, \"Religious\": 0.381, \"Violent_crime\": 0.001, \"Single_mothers\": 0.166, \"Divorced\": 0.08, \"Married\": 0.462, \"Longitude\": -106.978370666504, \"Latitude\": 38.5557060241699}, {\"ID\": 35300, \"Name\": \"Farmington\", \"Mobility\": 0.0914475247, \"State\": \"NM\", \"Population\": 168198, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.298, \"Seg_income\": 0.047, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.047, \"Commute\": 0.388, \"Income\": 30450, \"Gini\": 0.44, \"Share01\": 10.796, \"Gini_99\": 0.332, \"Middle_class\": 0.538, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 2775.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.098, \"Student_teacher_ratio\": 17.3, \"Test_scores\": -8.531, \"HS_dropout\": 0.005, \"Colleges\": 0.012, \"Tuition\": 1248.0, \"Graduation\": -0.135, \"Labor_force_participation\": 0.631, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.128, \"Teenage_labor\": 0.005, \"Migration_in\": 0.046, \"Migration_out\": 0.043, \"Foreign_born\": 0.025, \"Social_capital\": -0.994, \"Religious\": 0.401, \"Violent_crime\": 0.002, \"Single_mothers\": 0.21, \"Divorced\": 0.108, \"Married\": 0.546, \"Longitude\": -107.683326721191, \"Latitude\": 37.3590621948242}, {\"ID\": 35401, \"Name\": \"Flagstaff\", \"Mobility\": 0.0814509094, \"State\": \"AZ\", \"Population\": 289883, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.287, \"Seg_income\": 0.037, \"Seg_poverty\": 0.033, \"Seg_affluence\": 0.038, \"Commute\": 0.461, \"Income\": 35102, \"Gini\": 0.447, \"Share01\": 12.415, \"Gini_99\": 0.323, \"Middle_class\": 0.548, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2138.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 5.514, \"Student_teacher_ratio\": 18.9, \"Test_scores\": -4.78, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2482.0, \"Graduation\": 0.064, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": 0.24, \"Teenage_labor\": 0.006, \"Migration_in\": 0.052, \"Migration_out\": 0.035, \"Foreign_born\": 0.052, \"Social_capital\": -0.85, \"Religious\": 0.31, \"Violent_crime\": 0.002, \"Single_mothers\": 0.211, \"Divorced\": 0.116, \"Married\": 0.559, \"Longitude\": -111.797515869141, \"Latitude\": 35.6864929199219}, {\"ID\": 35402, \"Name\": \"Cortez\", \"Mobility\": 0.1267806292, \"State\": \"CO\", \"Population\": 40087, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.383, \"Seg_income\": 0.029, \"Seg_poverty\": 0.049, \"Seg_affluence\": 0.018, \"Commute\": 0.502, \"Income\": 28799, \"Gini\": 0.353, \"Share01\": 6.825, \"Gini_99\": 0.285, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2973.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 6.648, \"Student_teacher_ratio\": 16.7, \"Test_scores\": -7.301, \"HS_dropout\": -0.013, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.041, \"Chinese_imports\": 1.862, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.017, \"Social_capital\": -0.997, \"Religious\": 0.352, \"Violent_crime\": 0.001, \"Single_mothers\": 0.194, \"Divorced\": 0.106, \"Married\": 0.577, \"Longitude\": -109.932220458984, \"Latitude\": 37.6879768371582}, {\"ID\": 35500, \"Name\": \"Gallup\", \"Mobility\": 0.0410613976, \"State\": \"AZ\", \"Population\": 241691, \"Urban\": 0, \"Black\": 0.005, \"Seg_racial\": 0.476, \"Seg_income\": 0.063, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.056, \"Commute\": 0.468, \"Income\": 20837, \"Gini\": 0.421, \"Share01\": 7.94, \"Gini_99\": 0.341, \"Middle_class\": 0.471, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2278.0, \"Progressivity\": 1.66, \"EITC\": 0.0, \"School_spending\": 6.187, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -19.598, \"HS_dropout\": 0.025, \"Colleges\": 0.017, \"Tuition\": 1923.0, \"Graduation\": -0.131, \"Labor_force_participation\": 0.503, \"Manufacturing\": 0.05, \"Chinese_imports\": 0.146, \"Teenage_labor\": 0.004, \"Migration_in\": 0.037, \"Migration_out\": 0.041, \"Foreign_born\": 0.015, \"Social_capital\": -2.204, \"Religious\": 0.425, \"Violent_crime\": 0.002, \"Single_mothers\": 0.268, \"Divorced\": 0.079, \"Married\": 0.496, \"Longitude\": -109.363136291504, \"Latitude\": 34.4800491333008}, {\"ID\": 35600, \"Name\": \"Hilo\", \"Mobility\": 0.0682675838, \"State\": \"HI\", \"Population\": 148677, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.043, \"Seg_income\": 0.042, \"Seg_poverty\": 0.045, \"Seg_affluence\": 0.037, \"Commute\": 0.346, \"Income\": 35010, \"Gini\": 0.439, \"Share01\": 10.432, \"Gini_99\": 0.334, \"Middle_class\": 0.534, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 1422.0, \"Progressivity\": 1.05, \"EITC\": 0.0, \"School_spending\": 6.563, \"Student_teacher_ratio\": 18.2, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": 0.013, \"Tuition\": 1697.0, \"Graduation\": -0.091, \"Labor_force_participation\": 0.617, \"Manufacturing\": 0.026, \"Chinese_imports\": null, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.016, \"Foreign_born\": 0.102, \"Social_capital\": null, \"Religious\": 0.398, \"Violent_crime\": 0.001, \"Single_mothers\": 0.24, \"Divorced\": 0.107, \"Married\": 0.52, \"Longitude\": -155.525268554688, \"Latitude\": 19.5788307189941}, {\"ID\": 35701, \"Name\": \"Twin Falls\", \"Mobility\": 0.0871191844, \"State\": \"ID\", \"Population\": 120807, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.033, \"Seg_income\": 0.035, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.049, \"Commute\": 0.505, \"Income\": 35364, \"Gini\": 0.417, \"Share01\": 11.017, \"Gini_99\": 0.306, \"Middle_class\": 0.609, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2187.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.491, \"Student_teacher_ratio\": 18.6, \"Test_scores\": 1.241, \"HS_dropout\": 0.011, \"Colleges\": 0.017, \"Tuition\": 2918.0, \"Graduation\": -0.211, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.098, \"Chinese_imports\": 0.188, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.084, \"Social_capital\": 0.172, \"Religious\": 0.45, \"Violent_crime\": 0.001, \"Single_mothers\": 0.156, \"Divorced\": 0.108, \"Married\": 0.598, \"Longitude\": -114.11206817627, \"Latitude\": 43.3184967041016}, {\"ID\": 35702, \"Name\": \"Burley\", \"Mobility\": 0.113892369, \"State\": \"ID\", \"Population\": 41590, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.041, \"Seg_income\": 0.021, \"Seg_poverty\": 0.023, \"Seg_affluence\": 0.019, \"Commute\": 0.536, \"Income\": 28357, \"Gini\": 0.353, \"Share01\": 9.512, \"Gini_99\": 0.258, \"Middle_class\": 0.645, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2119.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.1, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.158, \"HS_dropout\": 0.003, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.634, \"Manufacturing\": 0.156, \"Chinese_imports\": 0.434, \"Teenage_labor\": 0.006, \"Migration_in\": 0.008, \"Migration_out\": 0.019, \"Foreign_born\": 0.092, \"Social_capital\": -0.745, \"Religious\": 0.737, \"Violent_crime\": 0.001, \"Single_mothers\": 0.133, \"Divorced\": 0.083, \"Married\": 0.647, \"Longitude\": -113.599784851074, \"Latitude\": 42.5788764953613}, {\"ID\": 35801, \"Name\": \"Boise City\", \"Mobility\": 0.0739204213, \"State\": \"ID\", \"Population\": 493970, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.085, \"Seg_income\": 0.072, \"Seg_poverty\": 0.061, \"Seg_affluence\": 0.083, \"Commute\": 0.342, \"Income\": 35642, \"Gini\": 0.412, \"Share01\": 12.044, \"Gini_99\": 0.291, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1584.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.057, \"Student_teacher_ratio\": 19.5, \"Test_scores\": -0.77, \"HS_dropout\": 0.035, \"Colleges\": 0.014, \"Tuition\": 3783.0, \"Graduation\": -0.069, \"Labor_force_participation\": 0.692, \"Manufacturing\": 0.155, \"Chinese_imports\": 2.28, \"Teenage_labor\": 0.005, \"Migration_in\": 0.038, \"Migration_out\": 0.02, \"Foreign_born\": 0.058, \"Social_capital\": 0.415, \"Religious\": 0.421, \"Violent_crime\": 0.001, \"Single_mothers\": 0.167, \"Divorced\": 0.115, \"Married\": 0.597, \"Longitude\": -115.838821411133, \"Latitude\": 43.8810119628906}, {\"ID\": 35802, \"Name\": \"Ontario\", \"Mobility\": 0.0844841599, \"State\": \"OR\", \"Population\": 62170, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.093, \"Seg_income\": 0.016, \"Seg_poverty\": 0.008, \"Seg_affluence\": 0.021, \"Commute\": 0.49, \"Income\": 27631, \"Gini\": 0.382, \"Share01\": 7.832, \"Gini_99\": 0.304, \"Middle_class\": 0.565, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2174.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.991, \"Student_teacher_ratio\": 18.0, \"Test_scores\": -0.764, \"HS_dropout\": -0.004, \"Colleges\": 0.016, \"Tuition\": 1800.0, \"Graduation\": -0.219, \"Labor_force_participation\": 0.571, \"Manufacturing\": 0.146, \"Chinese_imports\": 0.353, \"Teenage_labor\": 0.005, \"Migration_in\": 0.013, \"Migration_out\": 0.016, \"Foreign_born\": 0.072, \"Social_capital\": -0.583, \"Religious\": 0.452, \"Violent_crime\": 0.001, \"Single_mothers\": 0.179, \"Divorced\": 0.094, \"Married\": 0.638, \"Longitude\": -117.264678955078, \"Latitude\": 44.1263122558594}, {\"ID\": 35803, \"Name\": \"McCall\", \"Mobility\": 0.1240310073, \"State\": \"ID\", \"Population\": 11127, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.006, \"Seg_income\": 0.017, \"Seg_poverty\": 0.014, \"Seg_affluence\": 0.019, \"Commute\": 0.561, \"Income\": 33157, \"Gini\": 0.49, \"Share01\": 16.583, \"Gini_99\": 0.324, \"Middle_class\": 0.585, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2807.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 7.824, \"Student_teacher_ratio\": 16.5, \"Test_scores\": 10.852, \"HS_dropout\": 0.0, \"Colleges\": 0.09, \"Tuition\": 4200.0, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.069, \"Chinese_imports\": 0.086, \"Teenage_labor\": 0.007, \"Migration_in\": 0.042, \"Migration_out\": 0.033, \"Foreign_born\": 0.015, \"Social_capital\": 1.175, \"Religious\": 0.285, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.116, \"Married\": 0.661, \"Longitude\": -115.799903869629, \"Latitude\": 44.7264404296875}, {\"ID\": 35901, \"Name\": \"St. George\", \"Mobility\": 0.1084832922, \"State\": \"UT\", \"Population\": 130138, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.028, \"Seg_income\": 0.031, \"Seg_poverty\": 0.026, \"Seg_affluence\": 0.033, \"Commute\": 0.575, \"Income\": 31383, \"Gini\": 0.405, \"Share01\": 13.401, \"Gini_99\": 0.271, \"Middle_class\": 0.607, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 2203.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.922, \"Student_teacher_ratio\": 22.0, \"Test_scores\": 0.549, \"HS_dropout\": -0.011, \"Colleges\": 0.015, \"Tuition\": 1340.0, \"Graduation\": -0.041, \"Labor_force_participation\": 0.602, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.887, \"Teenage_labor\": 0.006, \"Migration_in\": 0.077, \"Migration_out\": 0.035, \"Foreign_born\": 0.038, \"Social_capital\": -1.208, \"Religious\": 0.755, \"Violent_crime\": 0.001, \"Single_mothers\": 0.136, \"Divorced\": 0.072, \"Married\": 0.634, \"Longitude\": -112.823417663574, \"Latitude\": 38.0471305847168}, {\"ID\": 35902, \"Name\": \"Price\", \"Mobility\": 0.1373439282, \"State\": \"UT\", \"Population\": 54045, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.039, \"Seg_income\": 0.016, \"Seg_poverty\": 0.015, \"Seg_affluence\": 0.015, \"Commute\": 0.577, \"Income\": 26759, \"Gini\": 0.288, \"Share01\": 5.884, \"Gini_99\": 0.229, \"Middle_class\": 0.619, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 2778.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.631, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 4.096, \"HS_dropout\": -0.015, \"Colleges\": 0.037, \"Tuition\": 1099.0, \"Graduation\": 0.031, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.139, \"Teenage_labor\": 0.005, \"Migration_in\": 0.019, \"Migration_out\": 0.03, \"Foreign_born\": 0.033, \"Social_capital\": -0.176, \"Religious\": 0.772, \"Violent_crime\": 0.001, \"Single_mothers\": 0.13, \"Divorced\": 0.079, \"Married\": 0.598, \"Longitude\": -110.503723144531, \"Latitude\": 39.1939926147461}, {\"ID\": 35903, \"Name\": \"Moab\", \"Mobility\": 0.1179775298, \"State\": \"UT\", \"Population\": 8485, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.019, \"Seg_income\": 0.001, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.752, \"Income\": 31770, \"Gini\": 0.328, \"Share01\": 4.036, \"Gini_99\": 0.288, \"Middle_class\": 0.582, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2659.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.369, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 1.621, \"HS_dropout\": -0.034, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.027, \"Chinese_imports\": 0.103, \"Teenage_labor\": 0.007, \"Migration_in\": 0.013, \"Migration_out\": 0.015, \"Foreign_born\": 0.028, \"Social_capital\": 1.517, \"Religious\": 0.487, \"Violent_crime\": 0.001, \"Single_mothers\": 0.246, \"Divorced\": 0.156, \"Married\": 0.506, \"Longitude\": -109.901496887207, \"Latitude\": 38.9266014099121}, {\"ID\": 35904, \"Name\": \"Richfield\", \"Mobility\": 0.1286031008, \"State\": \"UT\", \"Population\": 25012, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.015, \"Seg_income\": 0.007, \"Seg_poverty\": 0.005, \"Seg_affluence\": 0.008, \"Commute\": 0.633, \"Income\": 28605, \"Gini\": 0.33, \"Share01\": 7.302, \"Gini_99\": 0.257, \"Middle_class\": 0.641, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2087.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.918, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 10.733, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.058, \"Chinese_imports\": 0.16, \"Teenage_labor\": 0.006, \"Migration_in\": 0.026, \"Migration_out\": 0.033, \"Foreign_born\": 0.012, \"Social_capital\": -0.791, \"Religious\": 0.832, \"Violent_crime\": 0.002, \"Single_mothers\": 0.12, \"Divorced\": 0.07, \"Married\": 0.656, \"Longitude\": -111.56950378418, \"Latitude\": 38.2386169433594}, {\"ID\": 35905, \"Name\": \"Loa\", \"Mobility\": 0.2096774131, \"State\": \"UT\", \"Population\": 2509, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.0, \"Seg_income\": 0.0, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.0, \"Commute\": 0.628, \"Income\": 32242, \"Gini\": 0.397, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2063.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 8.2, \"Student_teacher_ratio\": 15.1, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.638, \"Manufacturing\": 0.039, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": 0.0, \"Migration_out\": 0.02, \"Foreign_born\": 0.017, \"Social_capital\": 1.34, \"Religious\": 0.813, \"Violent_crime\": 0.001, \"Single_mothers\": 0.115, \"Divorced\": 0.06, \"Married\": 0.685, \"Longitude\": -110.32356262207, \"Latitude\": 38.3174514770508}, {\"ID\": 36000, \"Name\": \"Provo\", \"Mobility\": 0.1375119984, \"State\": \"UT\", \"Population\": 389179, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.059, \"Seg_income\": 0.095, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.092, \"Commute\": 0.454, \"Income\": 29115, \"Gini\": 0.393, \"Share01\": 19.986, \"Gini_99\": 0.193, \"Middle_class\": 0.577, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 1755.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.742, \"Student_teacher_ratio\": 22.2, \"Test_scores\": -1.256, \"HS_dropout\": -0.018, \"Colleges\": 0.01, \"Tuition\": 2813.0, \"Graduation\": 0.054, \"Labor_force_participation\": 0.677, \"Manufacturing\": 0.113, \"Chinese_imports\": 0.889, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.045, \"Foreign_born\": 0.062, \"Social_capital\": -0.846, \"Religious\": 0.895, \"Violent_crime\": 0.001, \"Single_mothers\": 0.095, \"Divorced\": 0.05, \"Married\": 0.589, \"Longitude\": -112.007392883301, \"Latitude\": 39.7420043945312}, {\"ID\": 36100, \"Name\": \"Salt Lake City\", \"Mobility\": 0.108327426, \"State\": \"UT\", \"Population\": 1426729, \"Urban\": 1, \"Black\": 0.01, \"Seg_racial\": 0.114, \"Seg_income\": 0.101, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.107, \"Commute\": 0.294, \"Income\": 36988, \"Gini\": 0.358, \"Share01\": 12.569, \"Gini_99\": 0.232, \"Middle_class\": 0.552, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2439.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.322, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -8.394, \"HS_dropout\": 0.009, \"Colleges\": 0.009, \"Tuition\": 3838.0, \"Graduation\": -0.079, \"Labor_force_participation\": 0.71, \"Manufacturing\": 0.12, \"Chinese_imports\": 0.813, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.024, \"Foreign_born\": 0.084, \"Social_capital\": -0.635, \"Religious\": 0.699, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.092, \"Married\": 0.58, \"Longitude\": -111.572448730469, \"Latitude\": 40.61962890625}, {\"ID\": 36200, \"Name\": \"Logan\", \"Mobility\": 0.1369095296, \"State\": \"UT\", \"Population\": 149590, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.053, \"Seg_income\": 0.07, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.07, \"Commute\": 0.528, \"Income\": 28953, \"Gini\": 0.291, \"Share01\": 8.962, \"Gini_99\": 0.201, \"Middle_class\": 0.666, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 1732.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.231, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 6.228, \"HS_dropout\": -0.003, \"Colleges\": 0.007, \"Tuition\": 1947.0, \"Graduation\": 0.11, \"Labor_force_participation\": 0.691, \"Manufacturing\": 0.25, \"Chinese_imports\": 2.105, \"Teenage_labor\": 0.005, \"Migration_in\": 0.029, \"Migration_out\": 0.034, \"Foreign_born\": 0.052, \"Social_capital\": -0.004, \"Religious\": 0.854, \"Violent_crime\": 0.0, \"Single_mothers\": 0.102, \"Divorced\": 0.056, \"Married\": 0.604, \"Longitude\": -111.994789123535, \"Latitude\": 41.9872283935547}, {\"ID\": 36301, \"Name\": \"Pocatello\", \"Mobility\": 0.0925086662, \"State\": \"ID\", \"Population\": 269722, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.128, \"Seg_income\": 0.063, \"Seg_poverty\": 0.054, \"Seg_affluence\": 0.07, \"Commute\": 0.517, \"Income\": 30119, \"Gini\": 0.327, \"Share01\": 7.878, \"Gini_99\": 0.248, \"Middle_class\": 0.625, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1984.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.484, \"Student_teacher_ratio\": 19.7, \"Test_scores\": 3.003, \"HS_dropout\": -0.003, \"Colleges\": 0.011, \"Tuition\": 1178.0, \"Graduation\": 0.095, \"Labor_force_participation\": 0.66, \"Manufacturing\": 0.108, \"Chinese_imports\": 0.436, \"Teenage_labor\": 0.006, \"Migration_in\": 0.017, \"Migration_out\": 0.017, \"Foreign_born\": 0.043, \"Social_capital\": -0.144, \"Religious\": 0.718, \"Violent_crime\": 0.001, \"Single_mothers\": 0.147, \"Divorced\": 0.087, \"Married\": 0.596, \"Longitude\": -112.316856384277, \"Latitude\": 43.6178512573242}, {\"ID\": 36302, \"Name\": \"Salmon\", \"Mobility\": 0.1549295783, \"State\": \"ID\", \"Population\": 12148, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.013, \"Seg_income\": 0.005, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.582, \"Income\": 30782, \"Gini\": 0.323, \"Share01\": 6.123, \"Gini_99\": 0.262, \"Middle_class\": 0.615, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 1797.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.926, \"Student_teacher_ratio\": 17.7, \"Test_scores\": 8.031, \"HS_dropout\": 0.014, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.048, \"Chinese_imports\": 0.222, \"Teenage_labor\": 0.006, \"Migration_in\": 0.002, \"Migration_out\": 0.006, \"Foreign_born\": 0.018, \"Social_capital\": 0.783, \"Religious\": 0.385, \"Violent_crime\": 0.001, \"Single_mothers\": 0.142, \"Divorced\": 0.117, \"Married\": 0.625, \"Longitude\": -114.175308227539, \"Latitude\": 44.6172065734863}, {\"ID\": 36303, \"Name\": \"Jackson\", \"Mobility\": 0.1139240488, \"State\": \"WY\", \"Population\": 24250, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.027, \"Seg_income\": 0.02, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.035, \"Commute\": 0.488, \"Income\": 53838, \"Gini\": 0.711, \"Share01\": 64.788, \"Gini_99\": 0.063, \"Middle_class\": 0.509, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 4620.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.876, \"Student_teacher_ratio\": 17.6, \"Test_scores\": -31.837, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.78, \"Manufacturing\": 0.021, \"Chinese_imports\": 0.1, \"Teenage_labor\": 0.007, \"Migration_in\": 0.015, \"Migration_out\": 0.025, \"Foreign_born\": 0.068, \"Social_capital\": 2.389, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.133, \"Divorced\": 0.105, \"Married\": 0.521, \"Longitude\": -110.605415344238, \"Latitude\": 43.9552993774414}, {\"ID\": 36401, \"Name\": \"Steamboat Springs\", \"Mobility\": 0.1589041054, \"State\": \"CO\", \"Population\": 38860, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.032, \"Seg_income\": 0.04, \"Seg_poverty\": 0.025, \"Seg_affluence\": 0.056, \"Commute\": 0.549, \"Income\": 39506, \"Gini\": 0.348, \"Share01\": 9.631, \"Gini_99\": 0.251, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.067, \"Local_gov_spending\": 4647.0, \"Progressivity\": 0.0, \"EITC\": 1.429, \"School_spending\": 5.607, \"Student_teacher_ratio\": 17.6, \"Test_scores\": 8.282, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 1732.0, \"Graduation\": -0.132, \"Labor_force_participation\": 0.748, \"Manufacturing\": 0.022, \"Chinese_imports\": 0.067, \"Teenage_labor\": 0.007, \"Migration_in\": 0.017, \"Migration_out\": 0.021, \"Foreign_born\": 0.039, \"Social_capital\": -0.036, \"Religious\": 0.346, \"Violent_crime\": 0.002, \"Single_mothers\": 0.156, \"Divorced\": 0.107, \"Married\": 0.568, \"Longitude\": -107.309448242188, \"Latitude\": 40.4096908569336}, {\"ID\": 36402, \"Name\": \"Vernal\", \"Mobility\": 0.2533783913, \"State\": \"UT\", \"Population\": 39595, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.151, \"Seg_income\": 0.02, \"Seg_poverty\": 0.021, \"Seg_affluence\": 0.02, \"Commute\": 0.557, \"Income\": 26254, \"Gini\": 0.333, \"Share01\": 5.914, \"Gini_99\": 0.273, \"Middle_class\": 0.624, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 2958.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 4.564, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -3.364, \"HS_dropout\": 0.004, \"Colleges\": null, \"Tuition\": null, \"Graduation\": 0.11, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.021, \"Teenage_labor\": 0.005, \"Migration_in\": 0.021, \"Migration_out\": 0.019, \"Foreign_born\": 0.013, \"Social_capital\": -1.541, \"Religious\": 0.727, \"Violent_crime\": 0.001, \"Single_mothers\": 0.148, \"Divorced\": 0.087, \"Married\": 0.623, \"Longitude\": -109.915977478027, \"Latitude\": 40.2199554443359}, {\"ID\": 36403, \"Name\": \"Soda Springs\", \"Mobility\": 0.1769911498, \"State\": \"ID\", \"Population\": 13715, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.018, \"Seg_income\": 0.011, \"Seg_poverty\": 0.003, \"Seg_affluence\": 0.01, \"Commute\": 0.575, \"Income\": 29943, \"Gini\": 0.251, \"Share01\": 4.487, \"Gini_99\": 0.207, \"Middle_class\": 0.691, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2757.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 4.584, \"Student_teacher_ratio\": 18.2, \"Test_scores\": 5.784, \"HS_dropout\": -0.02, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.165, \"Chinese_imports\": 0.525, \"Teenage_labor\": 0.007, \"Migration_in\": 0.007, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.345, \"Religious\": 0.818, \"Violent_crime\": 0.001, \"Single_mothers\": 0.103, \"Divorced\": 0.07, \"Married\": 0.667, \"Longitude\": -111.763107299805, \"Latitude\": 42.5429382324219}, {\"ID\": 36404, \"Name\": \"Rock Springs\", \"Mobility\": 0.2053941935, \"State\": \"WY\", \"Population\": 80730, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.042, \"Seg_income\": 0.024, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.023, \"Commute\": 0.545, \"Income\": 33999, \"Gini\": 0.264, \"Share01\": 6.384, \"Gini_99\": 0.2, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.053, \"Local_gov_spending\": 4123.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.307, \"Student_teacher_ratio\": 16.1, \"Test_scores\": 1.942, \"HS_dropout\": 0.021, \"Colleges\": 0.012, \"Tuition\": 1128.0, \"Graduation\": 0.125, \"Labor_force_participation\": 0.69, \"Manufacturing\": 0.072, \"Chinese_imports\": 0.273, \"Teenage_labor\": 0.006, \"Migration_in\": 0.018, \"Migration_out\": 0.018, \"Foreign_born\": 0.023, \"Social_capital\": -0.666, \"Religious\": 0.602, \"Violent_crime\": 0.001, \"Single_mothers\": 0.15, \"Divorced\": 0.11, \"Married\": 0.618, \"Longitude\": -110.03832244873, \"Latitude\": 41.9130210876465}, {\"ID\": 36501, \"Name\": \"Klamath Falls\", \"Mobility\": 0.0856175944, \"State\": \"CA\", \"Population\": 151353, \"Urban\": 0, \"Black\": 0.026, \"Seg_racial\": 0.106, \"Seg_income\": 0.032, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.036, \"Commute\": 0.528, \"Income\": 29858, \"Gini\": 0.383, \"Share01\": 6.928, \"Gini_99\": 0.314, \"Middle_class\": 0.555, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2909.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.149, \"Student_teacher_ratio\": 20.1, \"Test_scores\": -8.53, \"HS_dropout\": -0.008, \"Colleges\": 0.026, \"Tuition\": 1252.0, \"Graduation\": -0.097, \"Labor_force_participation\": 0.537, \"Manufacturing\": 0.087, \"Chinese_imports\": 0.588, \"Teenage_labor\": 0.004, \"Migration_in\": 0.026, \"Migration_out\": 0.021, \"Foreign_born\": 0.045, \"Social_capital\": -0.247, \"Religious\": 0.274, \"Violent_crime\": 0.003, \"Single_mothers\": 0.224, \"Divorced\": 0.125, \"Married\": 0.601, \"Longitude\": -121.740371704102, \"Latitude\": 41.1564483642578}, {\"ID\": 36502, \"Name\": \"Burns\", \"Mobility\": 0.1393939406, \"State\": \"OR\", \"Population\": 7609, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.001, \"Seg_poverty\": 0.0, \"Seg_affluence\": 0.002, \"Commute\": 0.73, \"Income\": 30896, \"Gini\": 0.283, \"Share01\": 2.673, \"Gini_99\": 0.256, \"Middle_class\": 0.593, \"Local_tax_rate\": 0.038, \"Local_gov_spending\": 3536.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.314, \"Student_teacher_ratio\": 16.0, \"Test_scores\": 3.847, \"HS_dropout\": -0.019, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.149, \"Chinese_imports\": 0.223, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.01, \"Foreign_born\": 0.021, \"Social_capital\": 0.719, \"Religious\": 0.311, \"Violent_crime\": 0.001, \"Single_mothers\": 0.139, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -119.109016418457, \"Latitude\": 43.0806770324707}, {\"ID\": 36503, \"Name\": \"Lakeview\", \"Mobility\": 0.1098265871, \"State\": \"OR\", \"Population\": 7422, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.01, \"Seg_income\": 0.006, \"Seg_poverty\": 0.007, \"Seg_affluence\": 0.01, \"Commute\": 0.692, \"Income\": 31635, \"Gini\": 0.37, \"Share01\": 9.273, \"Gini_99\": 0.277, \"Middle_class\": 0.583, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2561.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.849, \"Student_teacher_ratio\": 17.5, \"Test_scores\": 8.2, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.095, \"Chinese_imports\": 0.106, \"Teenage_labor\": 0.005, \"Migration_in\": 0.006, \"Migration_out\": 0.018, \"Foreign_born\": 0.034, \"Social_capital\": 0.928, \"Religious\": 0.308, \"Violent_crime\": 0.002, \"Single_mothers\": 0.175, \"Divorced\": 0.136, \"Married\": 0.623, \"Longitude\": -120.350387573242, \"Latitude\": 42.7652053833008}, {\"ID\": 36600, \"Name\": \"Redding\", \"Mobility\": 0.0880713463, \"State\": \"CA\", \"Population\": 219295, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.042, \"Seg_income\": 0.034, \"Seg_poverty\": 0.029, \"Seg_affluence\": 0.038, \"Commute\": 0.424, \"Income\": 33442, \"Gini\": 0.434, \"Share01\": 9.24, \"Gini_99\": 0.341, \"Middle_class\": 0.541, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3203.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.688, \"Student_teacher_ratio\": 22.4, \"Test_scores\": -9.694, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 2351.0, \"Graduation\": -0.062, \"Labor_force_participation\": 0.567, \"Manufacturing\": 0.079, \"Chinese_imports\": 0.303, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.049, \"Social_capital\": -0.633, \"Religious\": 0.251, \"Violent_crime\": 0.004, \"Single_mothers\": 0.238, \"Divorced\": 0.133, \"Married\": 0.561, \"Longitude\": -122.163536071777, \"Latitude\": 40.3078002929688}, {\"ID\": 36700, \"Name\": \"Eureka\", \"Mobility\": 0.0757927299, \"State\": \"CA\", \"Population\": 139540, \"Urban\": 0, \"Black\": 0.008, \"Seg_racial\": 0.07, \"Seg_income\": 0.033, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.028, \"Commute\": 0.497, \"Income\": 30456, \"Gini\": 0.431, \"Share01\": 8.783, \"Gini_99\": 0.343, \"Middle_class\": 0.545, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2849.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 6.499, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -7.355, \"HS_dropout\": null, \"Colleges\": 0.014, \"Tuition\": 93.0, \"Graduation\": -0.052, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.162, \"Teenage_labor\": 0.004, \"Migration_in\": 0.022, \"Migration_out\": 0.022, \"Foreign_born\": 0.043, \"Social_capital\": 0.756, \"Religious\": 0.356, \"Violent_crime\": 0.004, \"Single_mothers\": 0.271, \"Divorced\": 0.13, \"Married\": 0.475, \"Longitude\": -123.048484802246, \"Latitude\": 40.842227935791}, {\"ID\": 36800, \"Name\": \"Medford\", \"Mobility\": 0.0719680116, \"State\": \"OR\", \"Population\": 256995, \"Urban\": 1, \"Black\": 0.003, \"Seg_racial\": 0.038, \"Seg_income\": 0.046, \"Seg_poverty\": 0.042, \"Seg_affluence\": 0.053, \"Commute\": 0.429, \"Income\": 36289, \"Gini\": 0.448, \"Share01\": 10.847, \"Gini_99\": 0.34, \"Middle_class\": 0.557, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 1783.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.787, \"Student_teacher_ratio\": 21.0, \"Test_scores\": 3.153, \"HS_dropout\": 0.023, \"Colleges\": 0.008, \"Tuition\": 2364.0, \"Graduation\": -0.153, \"Labor_force_participation\": 0.585, \"Manufacturing\": 0.112, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.031, \"Migration_out\": 0.022, \"Foreign_born\": 0.044, \"Social_capital\": 0.017, \"Religious\": 0.216, \"Violent_crime\": 0.001, \"Single_mothers\": 0.228, \"Divorced\": 0.127, \"Married\": 0.575, \"Longitude\": -123.281646728516, \"Latitude\": 42.6183967590332}, {\"ID\": 36901, \"Name\": \"Crescent City\", \"Mobility\": 0.0834224597, \"State\": \"CA\", \"Population\": 48644, \"Urban\": 0, \"Black\": 0.025, \"Seg_racial\": 0.117, \"Seg_income\": 0.018, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.014, \"Commute\": 0.626, \"Income\": 29532, \"Gini\": 0.387, \"Share01\": 8.285, \"Gini_99\": 0.305, \"Middle_class\": 0.574, \"Local_tax_rate\": 0.017, \"Local_gov_spending\": 2555.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.377, \"Student_teacher_ratio\": 20.4, \"Test_scores\": -9.264, \"HS_dropout\": 0.002, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.478, \"Manufacturing\": 0.056, \"Chinese_imports\": 0.137, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.02, \"Foreign_born\": 0.048, \"Social_capital\": -0.418, \"Religious\": 0.286, \"Violent_crime\": 0.005, \"Single_mothers\": 0.255, \"Divorced\": 0.127, \"Married\": 0.608, \"Longitude\": -123.932952880859, \"Latitude\": 42.3174858093262}, {\"ID\": 36902, \"Name\": \"Roseburg\", \"Mobility\": 0.0819778815, \"State\": \"OR\", \"Population\": 163178, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.021, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.021, \"Commute\": 0.462, \"Income\": 32479, \"Gini\": 0.385, \"Share01\": 8.286, \"Gini_99\": 0.302, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2488.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 5.806, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.257, \"HS_dropout\": 0.004, \"Colleges\": 0.012, \"Tuition\": 1732.0, \"Graduation\": -0.199, \"Labor_force_participation\": 0.558, \"Manufacturing\": 0.137, \"Chinese_imports\": 0.22, \"Teenage_labor\": 0.004, \"Migration_in\": 0.032, \"Migration_out\": 0.022, \"Foreign_born\": 0.023, \"Social_capital\": -0.164, \"Religious\": 0.254, \"Violent_crime\": 0.001, \"Single_mothers\": 0.219, \"Divorced\": 0.124, \"Married\": 0.594, \"Longitude\": -123.371940612793, \"Latitude\": 43.0709075927734}, {\"ID\": 37000, \"Name\": \"Modesto\", \"Mobility\": 0.0936282724, \"State\": \"CA\", \"Population\": 729182, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.121, \"Seg_income\": 0.051, \"Seg_poverty\": 0.043, \"Seg_affluence\": 0.056, \"Commute\": 0.372, \"Income\": 31666, \"Gini\": 0.464, \"Share01\": 12.051, \"Gini_99\": 0.343, \"Middle_class\": 0.523, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3836.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.838, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -18.956, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 333.0, \"Graduation\": -0.099, \"Labor_force_participation\": 0.596, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.453, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.187, \"Social_capital\": -1.574, \"Religious\": 0.446, \"Violent_crime\": 0.005, \"Single_mothers\": 0.204, \"Divorced\": 0.101, \"Married\": 0.561, \"Longitude\": -120.41040802002, \"Latitude\": 37.6686401367188}, {\"ID\": 37100, \"Name\": \"Bakersfield\", \"Mobility\": 0.1216197163, \"State\": \"CA\", \"Population\": 661645, \"Urban\": 1, \"Black\": 0.057, \"Seg_racial\": 0.214, \"Seg_income\": 0.099, \"Seg_poverty\": 0.076, \"Seg_affluence\": 0.116, \"Commute\": 0.362, \"Income\": 28781, \"Gini\": 0.48, \"Share01\": 11.528, \"Gini_99\": 0.365, \"Middle_class\": 0.484, \"Local_tax_rate\": 0.028, \"Local_gov_spending\": 3644.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.756, \"Student_teacher_ratio\": 23.6, \"Test_scores\": -21.294, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 2006.0, \"Graduation\": -0.067, \"Labor_force_participation\": 0.565, \"Manufacturing\": 0.06, \"Chinese_imports\": 0.245, \"Teenage_labor\": 0.003, \"Migration_in\": 0.039, \"Migration_out\": 0.023, \"Foreign_born\": 0.169, \"Social_capital\": -1.903, \"Religious\": 0.437, \"Violent_crime\": 0.005, \"Single_mothers\": 0.229, \"Divorced\": 0.095, \"Married\": 0.568, \"Longitude\": -119.108604431152, \"Latitude\": 35.3061866760254}, {\"ID\": 37200, \"Name\": \"Fresno\", \"Mobility\": 0.0748793706, \"State\": \"CA\", \"Population\": 1419998, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.168, \"Seg_income\": 0.085, \"Seg_poverty\": 0.067, \"Seg_affluence\": 0.102, \"Commute\": 0.351, \"Income\": 28267, \"Gini\": 0.508, \"Share01\": 11.107, \"Gini_99\": 0.397, \"Middle_class\": 0.468, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3259.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.555, \"Student_teacher_ratio\": 23.2, \"Test_scores\": -18.836, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 1969.0, \"Graduation\": -0.022, \"Labor_force_participation\": 0.584, \"Manufacturing\": 0.088, \"Chinese_imports\": 0.47, \"Teenage_labor\": 0.003, \"Migration_in\": 0.019, \"Migration_out\": 0.017, \"Foreign_born\": 0.209, \"Social_capital\": -1.648, \"Religious\": 0.466, \"Violent_crime\": 0.006, \"Single_mothers\": 0.222, \"Divorced\": 0.087, \"Married\": 0.549, \"Longitude\": -119.227890014648, \"Latitude\": 36.7168731689453}, {\"ID\": 37300, \"Name\": \"Chico\", \"Mobility\": 0.0948425978, \"State\": \"CA\", \"Population\": 387577, \"Urban\": 1, \"Black\": 0.016, \"Seg_racial\": 0.1, \"Seg_income\": 0.049, \"Seg_poverty\": 0.05, \"Seg_affluence\": 0.053, \"Commute\": 0.442, \"Income\": 31471, \"Gini\": 0.444, \"Share01\": 8.792, \"Gini_99\": 0.356, \"Middle_class\": 0.519, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 2904.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.606, \"Student_teacher_ratio\": 22.7, \"Test_scores\": -14.579, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 92.0, \"Graduation\": 0.076, \"Labor_force_participation\": 0.58, \"Manufacturing\": 0.083, \"Chinese_imports\": 0.409, \"Teenage_labor\": 0.004, \"Migration_in\": 0.033, \"Migration_out\": 0.022, \"Foreign_born\": 0.126, \"Social_capital\": -0.921, \"Religious\": 0.291, \"Violent_crime\": 0.004, \"Single_mothers\": 0.223, \"Divorced\": 0.112, \"Married\": 0.531, \"Longitude\": -121.665008544922, \"Latitude\": 39.5398712158203}, {\"ID\": 37400, \"Name\": \"Sacramento\", \"Mobility\": 0.0969090089, \"State\": \"CA\", \"Population\": 2570609, \"Urban\": 1, \"Black\": 0.063, \"Seg_racial\": 0.161, \"Seg_income\": 0.093, \"Seg_poverty\": 0.086, \"Seg_affluence\": 0.099, \"Commute\": 0.285, \"Income\": 39560, \"Gini\": 0.451, \"Share01\": 12.004, \"Gini_99\": 0.331, \"Middle_class\": 0.492, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3559.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.495, \"Student_teacher_ratio\": 23.3, \"Test_scores\": -11.615, \"HS_dropout\": -0.02, \"Colleges\": 0.008, \"Tuition\": 2457.0, \"Graduation\": 0.021, \"Labor_force_participation\": 0.625, \"Manufacturing\": 0.085, \"Chinese_imports\": 0.528, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.027, \"Foreign_born\": 0.147, \"Social_capital\": -0.596, \"Religious\": 0.354, \"Violent_crime\": 0.004, \"Single_mothers\": 0.225, \"Divorced\": 0.111, \"Married\": 0.541, \"Longitude\": -120.881065368652, \"Latitude\": 38.5452499389648}, {\"ID\": 37500, \"Name\": \"San Jose\", \"Mobility\": 0.1293258816, \"State\": \"CA\", \"Population\": 2393183, \"Urban\": 1, \"Black\": 0.026, \"Seg_racial\": 0.218, \"Seg_income\": 0.092, \"Seg_poverty\": 0.07, \"Seg_affluence\": 0.112, \"Commute\": 0.244, \"Income\": 52004, \"Gini\": 0.535, \"Share01\": 26.38, \"Gini_99\": 0.271, \"Middle_class\": 0.42, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3361.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.952, \"Student_teacher_ratio\": 24.0, \"Test_scores\": -20.475, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 4664.0, \"Graduation\": -0.084, \"Labor_force_participation\": 0.664, \"Manufacturing\": 0.224, \"Chinese_imports\": 3.15, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.038, \"Foreign_born\": 0.312, \"Social_capital\": -0.609, \"Religious\": 0.432, \"Violent_crime\": 0.003, \"Single_mothers\": 0.155, \"Divorced\": 0.091, \"Married\": 0.541, \"Longitude\": -121.291488647461, \"Latitude\": 36.794002532959}, {\"ID\": 37601, \"Name\": \"Elko\", \"Mobility\": 0.1602941155, \"State\": \"NV\", \"Population\": 61917, \"Urban\": 0, \"Black\": 0.01, \"Seg_racial\": 0.121, \"Seg_income\": 0.047, \"Seg_poverty\": 0.044, \"Seg_affluence\": 0.044, \"Commute\": 0.513, \"Income\": 32701, \"Gini\": 0.313, \"Share01\": 11.854, \"Gini_99\": 0.194, \"Middle_class\": 0.621, \"Local_tax_rate\": 0.024, \"Local_gov_spending\": 3116.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.64, \"Student_teacher_ratio\": 17.9, \"Test_scores\": -9.153, \"HS_dropout\": -0.002, \"Colleges\": 0.016, \"Tuition\": 1395.0, \"Graduation\": -0.174, \"Labor_force_participation\": 0.667, \"Manufacturing\": 0.016, \"Chinese_imports\": 0.022, \"Teenage_labor\": 0.005, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.09, \"Social_capital\": -2.085, \"Religious\": 0.413, \"Violent_crime\": 0.002, \"Single_mothers\": 0.144, \"Divorced\": 0.114, \"Married\": 0.607, \"Longitude\": -116.75122833252, \"Latitude\": 39.8185768127441}, {\"ID\": 37602, \"Name\": \"Winnemucca\", \"Mobility\": 0.1695501804, \"State\": \"NV\", \"Population\": 22799, \"Urban\": 0, \"Black\": 0.019, \"Seg_racial\": 0.021, \"Seg_income\": 0.011, \"Seg_poverty\": 0.009, \"Seg_affluence\": 0.016, \"Commute\": 0.496, \"Income\": 31976, \"Gini\": 0.279, \"Share01\": 6.081, \"Gini_99\": 0.218, \"Middle_class\": 0.622, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 6251.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.121, \"Student_teacher_ratio\": 17.5, \"Test_scores\": -7.491, \"HS_dropout\": -0.011, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.6, \"Manufacturing\": 0.046, \"Chinese_imports\": 0.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.014, \"Migration_out\": 0.015, \"Foreign_born\": 0.094, \"Social_capital\": -2.048, \"Religious\": 0.374, \"Violent_crime\": 0.003, \"Single_mothers\": 0.137, \"Divorced\": 0.123, \"Married\": 0.628, \"Longitude\": -118.409187316895, \"Latitude\": 41.0092391967773}, {\"ID\": 37603, \"Name\": \"Portola\", \"Mobility\": 0.1176470593, \"State\": \"CA\", \"Population\": 24379, \"Urban\": 0, \"Black\": 0.006, \"Seg_racial\": 0.028, \"Seg_income\": 0.011, \"Seg_poverty\": 0.011, \"Seg_affluence\": 0.013, \"Commute\": 0.552, \"Income\": 36905, \"Gini\": 0.357, \"Share01\": 10.523, \"Gini_99\": 0.252, \"Middle_class\": 0.62, \"Local_tax_rate\": 0.03, \"Local_gov_spending\": 4132.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.694, \"Student_teacher_ratio\": 22.0, \"Test_scores\": -2.797, \"HS_dropout\": null, \"Colleges\": 0.041, \"Tuition\": 264.0, \"Graduation\": -0.047, \"Labor_force_participation\": 0.572, \"Manufacturing\": 0.104, \"Chinese_imports\": 0.046, \"Teenage_labor\": 0.006, \"Migration_in\": 0.029, \"Migration_out\": 0.024, \"Foreign_born\": 0.026, \"Social_capital\": 0.394, \"Religious\": 0.31, \"Violent_crime\": 0.006, \"Single_mothers\": 0.224, \"Divorced\": 0.118, \"Married\": 0.617, \"Longitude\": -120.850761413574, \"Latitude\": 39.9761695861816}, {\"ID\": 37604, \"Name\": \"Reno\", \"Mobility\": 0.0910304934, \"State\": \"NV\", \"Population\": 453825, \"Urban\": 1, \"Black\": 0.018, \"Seg_racial\": 0.097, \"Seg_income\": 0.099, \"Seg_poverty\": 0.081, \"Seg_affluence\": 0.115, \"Commute\": 0.378, \"Income\": 41398, \"Gini\": 0.46, \"Share01\": 16.934, \"Gini_99\": 0.291, \"Middle_class\": 0.542, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 2437.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.015, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -10.295, \"HS_dropout\": 0.0, \"Colleges\": 0.013, \"Tuition\": 2377.0, \"Graduation\": -0.106, \"Labor_force_participation\": 0.67, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.43, \"Teenage_labor\": 0.005, \"Migration_in\": 0.042, \"Migration_out\": 0.027, \"Foreign_born\": 0.125, \"Social_capital\": -1.082, \"Religious\": 0.289, \"Violent_crime\": 0.002, \"Single_mothers\": 0.205, \"Divorced\": 0.146, \"Married\": 0.538, \"Longitude\": -118.756866455078, \"Latitude\": 39.5042724609375}, {\"ID\": 37700, \"Name\": \"Santa Rosa\", \"Mobility\": 0.0995508954, \"State\": \"CA\", \"Population\": 603188, \"Urban\": 1, \"Black\": 0.013, \"Seg_racial\": 0.074, \"Seg_income\": 0.065, \"Seg_poverty\": 0.062, \"Seg_affluence\": 0.069, \"Commute\": 0.349, \"Income\": 43636, \"Gini\": 0.445, \"Share01\": 14.83, \"Gini_99\": 0.297, \"Middle_class\": 0.498, \"Local_tax_rate\": 0.02, \"Local_gov_spending\": 3118.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.597, \"Student_teacher_ratio\": 21.3, \"Test_scores\": -14.668, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 165.0, \"Graduation\": -0.032, \"Labor_force_participation\": 0.645, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.01, \"Teenage_labor\": 0.005, \"Migration_in\": 0.022, \"Migration_out\": 0.026, \"Foreign_born\": 0.13, \"Social_capital\": -0.103, \"Religious\": 0.323, \"Violent_crime\": 0.004, \"Single_mothers\": 0.207, \"Divorced\": 0.127, \"Married\": 0.525, \"Longitude\": -122.767791748047, \"Latitude\": 38.9323234558105}, {\"ID\": 37800, \"Name\": \"San Francisco\", \"Mobility\": 0.1215258688, \"State\": \"CA\", \"Population\": 4642561, \"Urban\": 1, \"Black\": 0.096, \"Seg_racial\": 0.207, \"Seg_income\": 0.11, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.122, \"Commute\": 0.212, \"Income\": 54014, \"Gini\": 0.496, \"Share01\": 23.587, \"Gini_99\": 0.26, \"Middle_class\": 0.434, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3650.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.917, \"Student_teacher_ratio\": 22.9, \"Test_scores\": -17.251, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 4312.0, \"Graduation\": -0.109, \"Labor_force_participation\": 0.656, \"Manufacturing\": 0.103, \"Chinese_imports\": 0.683, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.03, \"Foreign_born\": 0.262, \"Social_capital\": -0.38, \"Religious\": 0.381, \"Violent_crime\": 0.003, \"Single_mothers\": 0.193, \"Divorced\": 0.097, \"Married\": 0.509, \"Longitude\": -122.198585510254, \"Latitude\": 38.0660629272461}, {\"ID\": 37901, \"Name\": \"Las Vegas\", \"Mobility\": 0.0800290108, \"State\": \"NV\", \"Population\": 1568418, \"Urban\": 1, \"Black\": 0.078, \"Seg_racial\": 0.138, \"Seg_income\": 0.102, \"Seg_poverty\": 0.093, \"Seg_affluence\": 0.106, \"Commute\": 0.245, \"Income\": 38429, \"Gini\": 0.518, \"Share01\": 20.8, \"Gini_99\": 0.31, \"Middle_class\": 0.525, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3148.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.344, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -16.716, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4577.0, \"Graduation\": -0.176, \"Labor_force_participation\": 0.635, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.255, \"Teenage_labor\": 0.004, \"Migration_in\": 0.061, \"Migration_out\": 0.036, \"Foreign_born\": 0.165, \"Social_capital\": -2.317, \"Religious\": 0.352, \"Violent_crime\": 0.002, \"Single_mothers\": 0.221, \"Divorced\": 0.136, \"Married\": 0.533, \"Longitude\": -114.026496887207, \"Latitude\": 36.0594253540039}, {\"ID\": 37902, \"Name\": \"Reno\", \"Mobility\": 0.1097560972, \"State\": \"NV\", \"Population\": 5071, \"Urban\": 0, \"Black\": 0.046, \"Seg_racial\": 0.244, \"Seg_income\": 0.015, \"Seg_poverty\": 0.013, \"Seg_affluence\": 0.012, \"Commute\": 0.687, \"Income\": 34004, \"Gini\": 0.267, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 3694.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.244, \"Student_teacher_ratio\": 16.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.589, \"Manufacturing\": 0.062, \"Chinese_imports\": -0.075, \"Teenage_labor\": null, \"Migration_in\": 0.018, \"Migration_out\": 0.023, \"Foreign_born\": 0.024, \"Social_capital\": -0.773, \"Religious\": 0.345, \"Violent_crime\": 0.001, \"Single_mothers\": 0.28, \"Divorced\": 0.19, \"Married\": 0.522, \"Longitude\": -118.591743469238, \"Latitude\": 38.641918182373}, {\"ID\": 37903, \"Name\": \"Mammoth Lakes\", \"Mobility\": 0.1159420311, \"State\": \"CA\", \"Population\": 30798, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.06, \"Seg_income\": 0.043, \"Seg_poverty\": 0.038, \"Seg_affluence\": 0.045, \"Commute\": 0.64, \"Income\": 38537, \"Gini\": 0.381, \"Share01\": 7.066, \"Gini_99\": 0.311, \"Middle_class\": 0.551, \"Local_tax_rate\": 0.048, \"Local_gov_spending\": 4288.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 7.223, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -14.086, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.666, \"Manufacturing\": 0.036, \"Chinese_imports\": 0.037, \"Teenage_labor\": 0.007, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.096, \"Social_capital\": 0.228, \"Religious\": 0.426, \"Violent_crime\": 0.003, \"Single_mothers\": 0.205, \"Divorced\": 0.117, \"Married\": 0.552, \"Longitude\": -118.70630645752, \"Latitude\": 37.272533416748}, {\"ID\": 38000, \"Name\": \"San Diego\", \"Mobility\": 0.1043647528, \"State\": \"CA\", \"Population\": 2813833, \"Urban\": 1, \"Black\": 0.055, \"Seg_racial\": 0.196, \"Seg_income\": 0.112, \"Seg_poverty\": 0.089, \"Seg_affluence\": 0.132, \"Commute\": 0.247, \"Income\": 40913, \"Gini\": 0.516, \"Share01\": 17.139, \"Gini_99\": 0.344, \"Middle_class\": 0.48, \"Local_tax_rate\": 0.019, \"Local_gov_spending\": 3083.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.406, \"Student_teacher_ratio\": 23.5, \"Test_scores\": -10.538, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 2899.0, \"Graduation\": 0.034, \"Labor_force_participation\": 0.65, \"Manufacturing\": 0.11, \"Chinese_imports\": 1.516, \"Teenage_labor\": 0.003, \"Migration_in\": 0.033, \"Migration_out\": 0.045, \"Foreign_born\": 0.215, \"Social_capital\": -0.944, \"Religious\": 0.437, \"Violent_crime\": 0.004, \"Single_mothers\": 0.201, \"Divorced\": 0.102, \"Married\": 0.52, \"Longitude\": -117.107269287109, \"Latitude\": 33.1088333129883}, {\"ID\": 38100, \"Name\": \"Yuma\", \"Mobility\": 0.0982132256, \"State\": \"CA\", \"Population\": 302387, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.223, \"Seg_income\": 0.062, \"Seg_poverty\": 0.052, \"Seg_affluence\": 0.075, \"Commute\": 0.45, \"Income\": 26908, \"Gini\": 0.495, \"Share01\": 9.975, \"Gini_99\": 0.396, \"Middle_class\": 0.45, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3979.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.565, \"Student_teacher_ratio\": 22.8, \"Test_scores\": -19.096, \"HS_dropout\": null, \"Colleges\": 0.007, \"Tuition\": 314.0, \"Graduation\": -0.148, \"Labor_force_participation\": 0.499, \"Manufacturing\": 0.049, \"Chinese_imports\": 1.172, \"Teenage_labor\": 0.003, \"Migration_in\": 0.034, \"Migration_out\": 0.026, \"Foreign_born\": 0.278, \"Social_capital\": -2.661, \"Religious\": 0.486, \"Violent_crime\": 0.003, \"Single_mothers\": 0.216, \"Divorced\": 0.077, \"Married\": 0.591, \"Longitude\": -114.670593261719, \"Latitude\": 33.0404739379883}, {\"ID\": 38200, \"Name\": \"Santa Barbara\", \"Mobility\": 0.112940833, \"State\": \"CA\", \"Population\": 646028, \"Urban\": 1, \"Black\": 0.02, \"Seg_racial\": 0.154, \"Seg_income\": 0.077, \"Seg_poverty\": 0.069, \"Seg_affluence\": 0.082, \"Commute\": 0.448, \"Income\": 40050, \"Gini\": 0.48, \"Share01\": 16.672, \"Gini_99\": 0.313, \"Middle_class\": 0.505, \"Local_tax_rate\": 0.022, \"Local_gov_spending\": 2829.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.718, \"Student_teacher_ratio\": 22.3, \"Test_scores\": -10.878, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 997.0, \"Graduation\": 0.165, \"Labor_force_participation\": 0.612, \"Manufacturing\": 0.087, \"Chinese_imports\": 1.478, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.031, \"Foreign_born\": 0.165, \"Social_capital\": 0.035, \"Religious\": 0.511, \"Violent_crime\": 0.003, \"Single_mothers\": 0.183, \"Divorced\": 0.098, \"Married\": 0.534, \"Longitude\": -120.072280883789, \"Latitude\": 34.8693542480469}, {\"ID\": 38300, \"Name\": \"Los Angeles\", \"Mobility\": 0.096090205, \"State\": \"CA\", \"Population\": 16393360, \"Urban\": 1, \"Black\": 0.073, \"Seg_racial\": 0.271, \"Seg_income\": 0.121, \"Seg_poverty\": 0.099, \"Seg_affluence\": 0.139, \"Commute\": 0.225, \"Income\": 38902, \"Gini\": 0.566, \"Share01\": 18.528, \"Gini_99\": 0.381, \"Middle_class\": 0.463, \"Local_tax_rate\": 0.023, \"Local_gov_spending\": 3609.0, \"Progressivity\": 6.3, \"EITC\": 0.0, \"School_spending\": 5.532, \"Student_teacher_ratio\": 24.8, \"Test_scores\": -17.336, \"HS_dropout\": null, \"Colleges\": 0.008, \"Tuition\": 4956.0, \"Graduation\": 0.024, \"Labor_force_participation\": 0.614, \"Manufacturing\": 0.148, \"Chinese_imports\": 1.277, \"Teenage_labor\": 0.003, \"Migration_in\": 0.013, \"Migration_out\": 0.018, \"Foreign_born\": 0.309, \"Social_capital\": -1.392, \"Religious\": 0.52, \"Violent_crime\": 0.004, \"Single_mothers\": 0.204, \"Divorced\": 0.089, \"Married\": 0.516, \"Longitude\": -116.288673400879, \"Latitude\": 34.0751686096191}, {\"ID\": 38401, \"Name\": \"Lewiston\", \"Mobility\": 0.0902097896, \"State\": \"ID\", \"Population\": 88546, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.09, \"Seg_income\": 0.033, \"Seg_poverty\": 0.027, \"Seg_affluence\": 0.035, \"Commute\": 0.555, \"Income\": 32663, \"Gini\": 0.357, \"Share01\": 6.848, \"Gini_99\": 0.288, \"Middle_class\": 0.589, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 1901.0, \"Progressivity\": 0.4, \"EITC\": 0.0, \"School_spending\": 5.639, \"Student_teacher_ratio\": 17.9, \"Test_scores\": 4.83, \"HS_dropout\": 0.017, \"Colleges\": 0.011, \"Tuition\": 0.0, \"Graduation\": -0.154, \"Labor_force_participation\": 0.595, \"Manufacturing\": 0.134, \"Chinese_imports\": 0.171, \"Teenage_labor\": 0.005, \"Migration_in\": 0.011, \"Migration_out\": 0.013, \"Foreign_born\": 0.016, \"Social_capital\": 0.555, \"Religious\": 0.4, \"Violent_crime\": 0.001, \"Single_mothers\": 0.203, \"Divorced\": 0.127, \"Married\": 0.576, \"Longitude\": -115.768684387207, \"Latitude\": 46.1207466125488}, {\"ID\": 38402, \"Name\": \"Pullman\", \"Mobility\": 0.1423611045, \"State\": \"WA\", \"Population\": 75675, \"Urban\": 0, \"Black\": 0.011, \"Seg_racial\": 0.063, \"Seg_income\": 0.077, \"Seg_poverty\": 0.095, \"Seg_affluence\": 0.061, \"Commute\": 0.557, \"Income\": 24766, \"Gini\": 0.333, \"Share01\": 6.766, \"Gini_99\": 0.266, \"Middle_class\": 0.611, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 1550.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.079, \"Student_teacher_ratio\": 17.2, \"Test_scores\": 13.049, \"HS_dropout\": null, \"Colleges\": 0.026, \"Tuition\": 2073.0, \"Graduation\": 0.245, \"Labor_force_participation\": 0.629, \"Manufacturing\": 0.04, \"Chinese_imports\": 0.189, \"Teenage_labor\": 0.005, \"Migration_in\": 0.03, \"Migration_out\": 0.04, \"Foreign_born\": 0.06, \"Social_capital\": 0.463, \"Religious\": 0.325, \"Violent_crime\": 0.001, \"Single_mothers\": 0.159, \"Divorced\": 0.066, \"Married\": 0.49, \"Longitude\": -117.456970214844, \"Latitude\": 46.7306709289551}, {\"ID\": 38501, \"Name\": \"Moses Lake\", \"Mobility\": 0.0965794772, \"State\": \"WA\", \"Population\": 91126, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.165, \"Seg_income\": 0.021, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.022, \"Commute\": 0.512, \"Income\": 29315, \"Gini\": 0.365, \"Share01\": 6.787, \"Gini_99\": 0.297, \"Middle_class\": 0.587, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4621.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.336, \"Student_teacher_ratio\": 20.5, \"Test_scores\": -8.035, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.082, \"Labor_force_participation\": 0.624, \"Manufacturing\": 0.128, \"Chinese_imports\": 0.586, \"Teenage_labor\": 0.005, \"Migration_in\": 0.024, \"Migration_out\": 0.026, \"Foreign_born\": 0.182, \"Social_capital\": -0.26, \"Religious\": 0.442, \"Violent_crime\": 0.002, \"Single_mothers\": 0.171, \"Divorced\": 0.086, \"Married\": 0.606, \"Longitude\": -119.342346191406, \"Latitude\": 47.2981109619141}, {\"ID\": 38502, \"Name\": \"Wenatchee\", \"Mobility\": 0.0935460478, \"State\": \"WA\", \"Population\": 99219, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.063, \"Seg_income\": 0.035, \"Seg_poverty\": 0.024, \"Seg_affluence\": 0.04, \"Commute\": 0.503, \"Income\": 36330, \"Gini\": 0.402, \"Share01\": 10.772, \"Gini_99\": 0.295, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 4553.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.269, \"Student_teacher_ratio\": 20.6, \"Test_scores\": -1.827, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 1641.0, \"Graduation\": -0.127, \"Labor_force_participation\": 0.64, \"Manufacturing\": 0.071, \"Chinese_imports\": 0.213, \"Teenage_labor\": 0.005, \"Migration_in\": 0.023, \"Migration_out\": 0.019, \"Foreign_born\": 0.132, \"Social_capital\": 0.221, \"Religious\": 0.373, \"Violent_crime\": 0.001, \"Single_mothers\": 0.172, \"Divorced\": 0.105, \"Married\": 0.609, \"Longitude\": -120.148620605469, \"Latitude\": 47.9200592041016}, {\"ID\": 38601, \"Name\": \"Spokane\", \"Mobility\": 0.0928014889, \"State\": \"WA\", \"Population\": 608317, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.047, \"Seg_income\": 0.077, \"Seg_poverty\": 0.068, \"Seg_affluence\": 0.089, \"Commute\": 0.348, \"Income\": 34286, \"Gini\": 0.414, \"Share01\": 10.294, \"Gini_99\": 0.311, \"Middle_class\": 0.573, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2258.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.843, \"Student_teacher_ratio\": 20.9, \"Test_scores\": 6.227, \"HS_dropout\": 0.022, \"Colleges\": 0.012, \"Tuition\": 5682.0, \"Graduation\": 0.05, \"Labor_force_participation\": 0.641, \"Manufacturing\": 0.106, \"Chinese_imports\": 1.397, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.021, \"Foreign_born\": 0.037, \"Social_capital\": 0.371, \"Religious\": 0.344, \"Violent_crime\": 0.001, \"Single_mothers\": 0.212, \"Divorced\": 0.122, \"Married\": 0.566, \"Longitude\": -116.917655944824, \"Latitude\": 47.739501953125}, {\"ID\": 38602, \"Name\": \"Colville\", \"Mobility\": 0.0975247547, \"State\": \"WA\", \"Population\": 86890, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.258, \"Seg_income\": 0.023, \"Seg_poverty\": 0.019, \"Seg_affluence\": 0.022, \"Commute\": 0.427, \"Income\": 29312, \"Gini\": 0.405, \"Share01\": 8.849, \"Gini_99\": 0.316, \"Middle_class\": 0.563, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 2834.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.828, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.219, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.583, \"Manufacturing\": 0.089, \"Chinese_imports\": 0.667, \"Teenage_labor\": 0.004, \"Migration_in\": 0.03, \"Migration_out\": 0.026, \"Foreign_born\": 0.06, \"Social_capital\": -1.069, \"Religious\": 0.257, \"Violent_crime\": 0.001, \"Single_mothers\": 0.202, \"Divorced\": 0.114, \"Married\": 0.592, \"Longitude\": -119.368103027344, \"Latitude\": 48.2558975219727}, {\"ID\": 38700, \"Name\": \"Longview\", \"Mobility\": 0.0927726701, \"State\": \"WA\", \"Population\": 220580, \"Urban\": 1, \"Black\": 0.004, \"Seg_racial\": 0.058, \"Seg_income\": 0.039, \"Seg_poverty\": 0.036, \"Seg_affluence\": 0.042, \"Commute\": 0.448, \"Income\": 34298, \"Gini\": 0.379, \"Share01\": 8.287, \"Gini_99\": 0.296, \"Middle_class\": 0.576, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3224.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.257, \"Student_teacher_ratio\": 20.2, \"Test_scores\": -1.591, \"HS_dropout\": -0.006, \"Colleges\": 0.014, \"Tuition\": 1660.0, \"Graduation\": -0.11, \"Labor_force_participation\": 0.594, \"Manufacturing\": 0.151, \"Chinese_imports\": 0.39, \"Teenage_labor\": 0.004, \"Migration_in\": 0.029, \"Migration_out\": 0.025, \"Foreign_born\": 0.041, \"Social_capital\": -0.039, \"Religious\": 0.304, \"Violent_crime\": 0.002, \"Single_mothers\": 0.227, \"Divorced\": 0.129, \"Married\": 0.567, \"Longitude\": -123.489311218262, \"Latitude\": 46.4340553283691}, {\"ID\": 38801, \"Name\": \"Portland\", \"Mobility\": 0.0930585414, \"State\": \"OR\", \"Population\": 1842889, \"Urban\": 1, \"Black\": 0.027, \"Seg_racial\": 0.103, \"Seg_income\": 0.075, \"Seg_poverty\": 0.064, \"Seg_affluence\": 0.083, \"Commute\": 0.258, \"Income\": 41718, \"Gini\": 0.419, \"Share01\": 15.8, \"Gini_99\": 0.261, \"Middle_class\": 0.522, \"Local_tax_rate\": 0.031, \"Local_gov_spending\": 2861.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.704, \"Student_teacher_ratio\": 21.4, \"Test_scores\": -2.673, \"HS_dropout\": 0.022, \"Colleges\": 0.013, \"Tuition\": 7901.0, \"Graduation\": -0.107, \"Labor_force_participation\": 0.694, \"Manufacturing\": 0.155, \"Chinese_imports\": 1.531, \"Teenage_labor\": 0.004, \"Migration_in\": 0.027, \"Migration_out\": 0.023, \"Foreign_born\": 0.11, \"Social_capital\": 0.165, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.193, \"Divorced\": 0.117, \"Married\": 0.544, \"Longitude\": -122.585243225098, \"Latitude\": 45.5073280334473}, {\"ID\": 38802, \"Name\": \"The Dalles\", \"Mobility\": 0.1043802425, \"State\": \"OR\", \"Population\": 65297, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.067, \"Seg_income\": 0.017, \"Seg_poverty\": 0.017, \"Seg_affluence\": 0.016, \"Commute\": 0.53, \"Income\": 32881, \"Gini\": 0.35, \"Share01\": 6.761, \"Gini_99\": 0.283, \"Middle_class\": 0.598, \"Local_tax_rate\": 0.026, \"Local_gov_spending\": 2931.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.744, \"Student_teacher_ratio\": 18.6, \"Test_scores\": -1.692, \"HS_dropout\": -0.001, \"Colleges\": 0.015, \"Tuition\": 1440.0, \"Graduation\": -0.147, \"Labor_force_participation\": 0.621, \"Manufacturing\": 0.106, \"Chinese_imports\": 0.955, \"Teenage_labor\": 0.005, \"Migration_in\": 0.015, \"Migration_out\": 0.017, \"Foreign_born\": 0.091, \"Social_capital\": 0.561, \"Religious\": 0.382, \"Violent_crime\": 0.001, \"Single_mothers\": 0.187, \"Divorced\": 0.111, \"Married\": 0.611, \"Longitude\": -120.97777557373, \"Latitude\": 45.380428314209}, {\"ID\": 38901, \"Name\": \"Eugene\", \"Mobility\": 0.0788958147, \"State\": \"OR\", \"Population\": 936387, \"Urban\": 1, \"Black\": 0.007, \"Seg_racial\": 0.094, \"Seg_income\": 0.058, \"Seg_poverty\": 0.055, \"Seg_affluence\": 0.062, \"Commute\": 0.381, \"Income\": 34589, \"Gini\": 0.399, \"Share01\": 10.922, \"Gini_99\": 0.289, \"Middle_class\": 0.572, \"Local_tax_rate\": 0.027, \"Local_gov_spending\": 2431.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.184, \"Student_teacher_ratio\": 21.1, \"Test_scores\": -3.381, \"HS_dropout\": 0.015, \"Colleges\": 0.014, \"Tuition\": 5190.0, \"Graduation\": 0.07, \"Labor_force_participation\": 0.639, \"Manufacturing\": 0.152, \"Chinese_imports\": 1.144, \"Teenage_labor\": 0.004, \"Migration_in\": 0.025, \"Migration_out\": 0.022, \"Foreign_born\": 0.077, \"Social_capital\": 0.372, \"Religious\": 0.291, \"Violent_crime\": 0.001, \"Single_mothers\": 0.205, \"Divorced\": 0.111, \"Married\": 0.545, \"Longitude\": -122.91716003418, \"Latitude\": 44.4636039733887}, {\"ID\": 38902, \"Name\": \"Newport\", \"Mobility\": 0.0725744814, \"State\": \"OR\", \"Population\": 68741, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.043, \"Seg_income\": 0.011, \"Seg_poverty\": 0.01, \"Seg_affluence\": 0.011, \"Commute\": 0.49, \"Income\": 36264, \"Gini\": 0.411, \"Share01\": 7.284, \"Gini_99\": 0.338, \"Middle_class\": 0.547, \"Local_tax_rate\": 0.035, \"Local_gov_spending\": 3803.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.472, \"Student_teacher_ratio\": 19.4, \"Test_scores\": -4.794, \"HS_dropout\": 0.022, \"Colleges\": 0.015, \"Tuition\": 1296.0, \"Graduation\": -0.123, \"Labor_force_participation\": 0.586, \"Manufacturing\": 0.086, \"Chinese_imports\": 0.561, \"Teenage_labor\": 0.005, \"Migration_in\": 0.035, \"Migration_out\": 0.028, \"Foreign_born\": 0.041, \"Social_capital\": -0.573, \"Religious\": 0.237, \"Violent_crime\": 0.001, \"Single_mothers\": 0.242, \"Divorced\": 0.141, \"Married\": 0.566, \"Longitude\": -123.638946533203, \"Latitude\": 45.1897888183594}, {\"ID\": 39000, \"Name\": \"Yakima\", \"Mobility\": 0.0817065835, \"State\": \"WA\", \"Population\": 255943, \"Urban\": 1, \"Black\": 0.008, \"Seg_racial\": 0.235, \"Seg_income\": 0.069, \"Seg_poverty\": 0.066, \"Seg_affluence\": 0.069, \"Commute\": 0.427, \"Income\": 30403, \"Gini\": 0.442, \"Share01\": 10.008, \"Gini_99\": 0.342, \"Middle_class\": 0.533, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 2138.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 7.026, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -10.483, \"HS_dropout\": null, \"Colleges\": 0.012, \"Tuition\": 2524.0, \"Graduation\": 0.104, \"Labor_force_participation\": 0.622, \"Manufacturing\": 0.107, \"Chinese_imports\": 0.799, \"Teenage_labor\": 0.004, \"Migration_in\": 0.019, \"Migration_out\": 0.023, \"Foreign_born\": 0.154, \"Social_capital\": -0.709, \"Religious\": 0.377, \"Violent_crime\": 0.002, \"Single_mothers\": 0.213, \"Divorced\": 0.094, \"Married\": 0.558, \"Longitude\": -120.93709564209, \"Latitude\": 46.9831886291504}, {\"ID\": 39100, \"Name\": \"Kennewick\", \"Mobility\": 0.1058548018, \"State\": \"WA\", \"Population\": 332609, \"Urban\": 1, \"Black\": 0.011, \"Seg_racial\": 0.158, \"Seg_income\": 0.064, \"Seg_poverty\": 0.056, \"Seg_affluence\": 0.074, \"Commute\": 0.453, \"Income\": 34510, \"Gini\": 0.362, \"Share01\": 8.535, \"Gini_99\": 0.276, \"Middle_class\": 0.554, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 5442.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.699, \"Student_teacher_ratio\": 19.6, \"Test_scores\": -4.494, \"HS_dropout\": 0.007, \"Colleges\": 0.015, \"Tuition\": 7160.0, \"Graduation\": -0.043, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.094, \"Chinese_imports\": 0.812, \"Teenage_labor\": 0.004, \"Migration_in\": 0.02, \"Migration_out\": 0.018, \"Foreign_born\": 0.112, \"Social_capital\": -0.22, \"Religious\": 0.422, \"Violent_crime\": 0.001, \"Single_mothers\": 0.19, \"Divorced\": 0.102, \"Married\": 0.589, \"Longitude\": -118.693199157715, \"Latitude\": 45.9214706420898}, {\"ID\": 39201, \"Name\": \"La Grande\", \"Mobility\": 0.0876747146, \"State\": \"OR\", \"Population\": 41271, \"Urban\": 0, \"Black\": 0.004, \"Seg_racial\": 0.016, \"Seg_income\": 0.022, \"Seg_poverty\": 0.02, \"Seg_affluence\": 0.021, \"Commute\": 0.645, \"Income\": 31277, \"Gini\": 0.361, \"Share01\": 7.199, \"Gini_99\": 0.289, \"Middle_class\": 0.612, \"Local_tax_rate\": 0.025, \"Local_gov_spending\": 2002.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.108, \"Student_teacher_ratio\": 18.4, \"Test_scores\": 4.022, \"HS_dropout\": -0.015, \"Colleges\": 0.024, \"Tuition\": 2316.0, \"Graduation\": -0.049, \"Labor_force_participation\": 0.59, \"Manufacturing\": 0.118, \"Chinese_imports\": 1.051, \"Teenage_labor\": 0.004, \"Migration_in\": 0.015, \"Migration_out\": 0.019, \"Foreign_born\": 0.023, \"Social_capital\": 0.533, \"Religious\": 0.335, \"Violent_crime\": 0.001, \"Single_mothers\": 0.201, \"Divorced\": 0.113, \"Married\": 0.594, \"Longitude\": -117.899185180664, \"Latitude\": 44.9051361083984}, {\"ID\": 39202, \"Name\": \"Enterprise\", \"Mobility\": 0.143790856, \"State\": \"OR\", \"Population\": 7226, \"Urban\": 0, \"Black\": 0.0, \"Seg_racial\": 0.004, \"Seg_income\": 0.002, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.002, \"Commute\": 0.644, \"Income\": 34762, \"Gini\": 0.558, \"Share01\": 30.487, \"Gini_99\": 0.254, \"Middle_class\": 0.623, \"Local_tax_rate\": 0.016, \"Local_gov_spending\": 3575.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.28, \"Student_teacher_ratio\": 15.6, \"Test_scores\": 13.774, \"HS_dropout\": -0.038, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.607, \"Manufacturing\": 0.109, \"Chinese_imports\": 0.124, \"Teenage_labor\": 0.006, \"Migration_in\": 0.01, \"Migration_out\": 0.014, \"Foreign_born\": 0.008, \"Social_capital\": 0.203, \"Religious\": 0.374, \"Violent_crime\": 0.0, \"Single_mothers\": 0.177, \"Divorced\": 0.103, \"Married\": 0.637, \"Longitude\": -117.263938903809, \"Latitude\": 45.5163421630859}, {\"ID\": 39203, \"Name\": \"Bend\", \"Mobility\": 0.0817263573, \"State\": \"OR\", \"Population\": 153558, \"Urban\": 1, \"Black\": 0.002, \"Seg_racial\": 0.168, \"Seg_income\": 0.039, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.049, \"Commute\": 0.474, \"Income\": 37787, \"Gini\": 0.441, \"Share01\": 11.325, \"Gini_99\": 0.327, \"Middle_class\": 0.57, \"Local_tax_rate\": 0.029, \"Local_gov_spending\": 2574.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 6.638, \"Student_teacher_ratio\": 20.9, \"Test_scores\": -1.345, \"HS_dropout\": 0.003, \"Colleges\": 0.007, \"Tuition\": 2169.0, \"Graduation\": -0.27, \"Labor_force_participation\": 0.643, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.366, \"Teenage_labor\": 0.005, \"Migration_in\": 0.058, \"Migration_out\": 0.028, \"Foreign_born\": 0.037, \"Social_capital\": 0.325, \"Religious\": 0.274, \"Violent_crime\": 0.001, \"Single_mothers\": 0.184, \"Divorced\": 0.112, \"Married\": 0.616, \"Longitude\": -121.15111541748, \"Latitude\": 44.2248649597168}, {\"ID\": 39204, \"Name\": \"Condon\", \"Mobility\": 0.1086956486, \"State\": \"OR\", \"Population\": 3462, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.017, \"Seg_income\": 0.004, \"Seg_poverty\": 0.001, \"Seg_affluence\": 0.006, \"Commute\": 0.546, \"Income\": 33476, \"Gini\": 0.24, \"Share01\": null, \"Gini_99\": null, \"Middle_class\": null, \"Local_tax_rate\": 0.033, \"Local_gov_spending\": 3587.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 9.289, \"Student_teacher_ratio\": 11.8, \"Test_scores\": null, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.599, \"Manufacturing\": 0.029, \"Chinese_imports\": 0.003, \"Teenage_labor\": null, \"Migration_in\": null, \"Migration_out\": null, \"Foreign_born\": 0.019, \"Social_capital\": 0.336, \"Religious\": 0.344, \"Violent_crime\": 0.0, \"Single_mothers\": 0.137, \"Divorced\": 0.117, \"Married\": 0.633, \"Longitude\": -120.325981140137, \"Latitude\": 45.2196655273438}, {\"ID\": 39205, \"Name\": \"John Day\", \"Mobility\": 0.1158536598, \"State\": \"OR\", \"Population\": 7935, \"Urban\": 0, \"Black\": 0.001, \"Seg_racial\": 0.002, \"Seg_income\": 0.002, \"Seg_poverty\": 0.004, \"Seg_affluence\": 0.001, \"Commute\": 0.579, \"Income\": 32736, \"Gini\": 0.311, \"Share01\": 4.4, \"Gini_99\": 0.267, \"Middle_class\": 0.584, \"Local_tax_rate\": 0.013, \"Local_gov_spending\": 3429.0, \"Progressivity\": 0.0, \"EITC\": 1.19, \"School_spending\": 7.887, \"Student_teacher_ratio\": 15.1, \"Test_scores\": 12.204, \"HS_dropout\": -0.039, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.615, \"Manufacturing\": 0.099, \"Chinese_imports\": 0.083, \"Teenage_labor\": 0.005, \"Migration_in\": 0.003, \"Migration_out\": 0.015, \"Foreign_born\": 0.015, \"Social_capital\": 0.208, \"Religious\": 0.331, \"Violent_crime\": 0.0, \"Single_mothers\": 0.195, \"Divorced\": 0.108, \"Married\": 0.628, \"Longitude\": -118.531196594238, \"Latitude\": 44.5940246582031}, {\"ID\": 39301, \"Name\": \"Friday Harbor\", \"Mobility\": 0.1016949117, \"State\": \"WA\", \"Population\": 14077, \"Urban\": 0, \"Black\": 0.002, \"Seg_racial\": 0.01, \"Seg_income\": 0.012, \"Seg_poverty\": 0.022, \"Seg_affluence\": 0.001, \"Commute\": 0.628, \"Income\": 58628, \"Gini\": 0.796, \"Share01\": 60.527, \"Gini_99\": 0.19, \"Middle_class\": 0.56, \"Local_tax_rate\": 0.018, \"Local_gov_spending\": 2971.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.766, \"Student_teacher_ratio\": 18.3, \"Test_scores\": -3.884, \"HS_dropout\": null, \"Colleges\": null, \"Tuition\": null, \"Graduation\": null, \"Labor_force_participation\": 0.587, \"Manufacturing\": 0.063, \"Chinese_imports\": 0.821, \"Teenage_labor\": 0.007, \"Migration_in\": 0.024, \"Migration_out\": 0.021, \"Foreign_born\": 0.06, \"Social_capital\": 2.716, \"Religious\": 0.171, \"Violent_crime\": 0.0, \"Single_mothers\": 0.219, \"Divorced\": 0.148, \"Married\": 0.604, \"Longitude\": -123.052955627441, \"Latitude\": 48.5253791809082}, {\"ID\": 39302, \"Name\": \"Bellingham\", \"Mobility\": 0.1155751273, \"State\": \"WA\", \"Population\": 166814, \"Urban\": 1, \"Black\": 0.006, \"Seg_racial\": 0.057, \"Seg_income\": 0.046, \"Seg_poverty\": 0.051, \"Seg_affluence\": 0.042, \"Commute\": 0.418, \"Income\": 35491, \"Gini\": 0.416, \"Share01\": 12.245, \"Gini_99\": 0.294, \"Middle_class\": 0.564, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 2615.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 5.912, \"Student_teacher_ratio\": 21.1, \"Test_scores\": 5.12, \"HS_dropout\": null, \"Colleges\": 0.024, \"Tuition\": 2682.0, \"Graduation\": 0.186, \"Labor_force_participation\": 0.665, \"Manufacturing\": 0.122, \"Chinese_imports\": 1.324, \"Teenage_labor\": 0.005, \"Migration_in\": 0.034, \"Migration_out\": 0.028, \"Foreign_born\": 0.098, \"Social_capital\": 0.063, \"Religious\": 0.294, \"Violent_crime\": 0.001, \"Single_mothers\": 0.195, \"Divorced\": 0.099, \"Married\": 0.538, \"Longitude\": -121.263442993164, \"Latitude\": 48.8311538696289}, {\"ID\": 39303, \"Name\": \"Port Angeles\", \"Mobility\": 0.0858400613, \"State\": \"WA\", \"Population\": 90478, \"Urban\": 0, \"Black\": 0.007, \"Seg_racial\": 0.122, \"Seg_income\": 0.025, \"Seg_poverty\": 0.028, \"Seg_affluence\": 0.024, \"Commute\": 0.486, \"Income\": 39625, \"Gini\": 0.414, \"Share01\": 12.848, \"Gini_99\": 0.285, \"Middle_class\": 0.575, \"Local_tax_rate\": 0.015, \"Local_gov_spending\": 3201.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.609, \"Student_teacher_ratio\": 19.5, \"Test_scores\": 3.012, \"HS_dropout\": null, \"Colleges\": 0.011, \"Tuition\": 1641.0, \"Graduation\": -0.183, \"Labor_force_participation\": 0.522, \"Manufacturing\": 0.077, \"Chinese_imports\": 0.165, \"Teenage_labor\": 0.004, \"Migration_in\": 0.034, \"Migration_out\": 0.021, \"Foreign_born\": 0.043, \"Social_capital\": 0.476, \"Religious\": 0.26, \"Violent_crime\": 0.001, \"Single_mothers\": 0.235, \"Divorced\": 0.124, \"Married\": 0.598, \"Longitude\": -123.544647216797, \"Latitude\": 47.9120674133301}, {\"ID\": 39400, \"Name\": \"Seattle\", \"Mobility\": 0.1085509509, \"State\": \"WA\", \"Population\": 3775744, \"Urban\": 1, \"Black\": 0.043, \"Seg_racial\": 0.107, \"Seg_income\": 0.083, \"Seg_poverty\": 0.072, \"Seg_affluence\": 0.09, \"Commute\": 0.24, \"Income\": 44591, \"Gini\": 0.424, \"Share01\": 18.7, \"Gini_99\": 0.237, \"Middle_class\": 0.514, \"Local_tax_rate\": 0.021, \"Local_gov_spending\": 3024.0, \"Progressivity\": 0.0, \"EITC\": 0.0, \"School_spending\": 6.604, \"Student_teacher_ratio\": 21.0, \"Test_scores\": -0.108, \"HS_dropout\": null, \"Colleges\": 0.01, \"Tuition\": 5596.0, \"Graduation\": 0.038, \"Labor_force_participation\": 0.682, \"Manufacturing\": 0.13, \"Chinese_imports\": 0.677, \"Teenage_labor\": 0.004, \"Migration_in\": 0.023, \"Migration_out\": 0.022, \"Foreign_born\": 0.113, \"Social_capital\": -0.125, \"Religious\": 0.323, \"Violent_crime\": 0.002, \"Single_mothers\": 0.195, \"Divorced\": 0.116, \"Married\": 0.544, \"Longitude\": -122.012229919434, \"Latitude\": 47.6443939208984}]}}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.HConcatChart(...)"
      ]
     },
     "execution_count": 53,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "dropdown = alt.binding_select(options=mobility['State'].unique())\n",
    "selection_state = alt.selection_single(fields=['State'], bind=dropdown)\n",
    "\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").transform_filter(\n",
    "    selection_state\n",
    ").add_selection(\n",
    "    brush, selection_state\n",
    ")\n",
    "\n",
    "chart2 = alt.Chart(mobility).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_bar().encode(\n",
    "    alt.X(\"Mobility:Q\", bin=True, axis=alt.Axis(title='Mobility Score')),\n",
    "    alt.Y('count()')\n",
    ").transform_filter(\n",
    "    brush\n",
    ").transform_filter(\n",
    "    selection_state\n",
    ")\n",
    "\n",
    "chart = chart1 | chart2\n",
    "chart"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 54,
   "id": "4cd397ea",
   "metadata": {},
   "outputs": [
    {
     "name": "stderr",
     "output_type": "stream",
     "text": [
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'selection_single' is deprecated.  Use 'selection_point'\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n",
      "/Users/jnaiman/opt/anaconda3/envs/DataVizPL/lib/python3.8/site-packages/altair/utils/deprecation.py:65: AltairDeprecationWarning: 'add_selection' is deprecated. Use 'add_params' instead.\n",
      "  warnings.warn(message, AltairDeprecationWarning, stacklevel=1)\n"
     ]
    },
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00.vega-embed details,\n",
       "  #altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-b75ca575f2a84a96ae51a0bc6b2f2e00\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"params\": [{\"name\": \"param_16\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}}, {\"name\": \"param_17\", \"select\": {\"type\": \"point\", \"fields\": [\"State\"]}, \"bind\": {\"input\": \"select\", \"options\": [\"TN\", \"NC\", \"VA\", \"SC\", \"MS\", \"LA\", \"AR\", \"KY\", \"AL\", \"GA\", \"FL\", \"WV\", \"MD\", \"DC\", \"MI\", \"OH\", \"IN\", \"IL\", \"PA\", \"NY\", \"NJ\", \"DE\", \"ME\", \"VT\", \"RI\", \"MA\", \"NH\", \"CT\", \"WI\", \"MN\", \"IA\", \"MO\", \"ND\", \"SD\", \"MT\", \"NE\", \"WY\", \"CO\", \"KS\", \"OK\", \"TX\", \"NM\", \"AK\", \"ID\", \"HI\", \"AZ\", \"OR\", \"UT\", \"CA\", \"NV\", \"WA\"]}}], \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_17\"}}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 54,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "dropdown = alt.binding_select(options=mobility['State'].unique())\n",
    "selection_state = alt.selection_single(fields=['State'], bind=dropdown)\n",
    "\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").transform_filter(\n",
    "    selection_state\n",
    ").add_selection(\n",
    "    brush, selection_state\n",
    ")\n",
    "\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 55,
   "id": "59bd7e7d",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-200e1cb5ff2747fe9523de3edba25a74.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-200e1cb5ff2747fe9523de3edba25a74.vega-embed details,\n",
       "  #altair-viz-200e1cb5ff2747fe9523de3edba25a74.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-200e1cb5ff2747fe9523de3edba25a74\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-200e1cb5ff2747fe9523de3edba25a74\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-200e1cb5ff2747fe9523de3edba25a74\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"params\": [{\"name\": \"param_18\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}}, {\"name\": \"param_19\", \"select\": {\"type\": \"point\", \"fields\": [\"State\"]}, \"bind\": {\"input\": \"select\", \"options\": [\"TN\", \"NC\", \"VA\", \"SC\", \"MS\", \"LA\", \"AR\", \"KY\", \"AL\", \"GA\", \"FL\", \"WV\", \"MD\", \"DC\", \"MI\", \"OH\", \"IN\", \"IL\", \"PA\", \"NY\", \"NJ\", \"DE\", \"ME\", \"VT\", \"RI\", \"MA\", \"NH\", \"CT\", \"WI\", \"MN\", \"IA\", \"MO\", \"ND\", \"SD\", \"MT\", \"NE\", \"WY\", \"CO\", \"KS\", \"OK\", \"TX\", \"NM\", \"AK\", \"ID\", \"HI\", \"AZ\", \"OR\", \"UT\", \"CA\", \"NV\", \"WA\"]}}], \"transform\": [{\"calculate\": \"log(datum['Population'])/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_19\"}}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 55,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "dropdown = alt.binding_select(options=mobility['State'].unique())\n",
    "selection_state = alt.selection_single(fields=['State'], bind=dropdown)\n",
    "\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "#    log_pop = 'log(datum.Population)/log(10)'\n",
    "    log_pop = \"log(datum['Population'])/log(10)\"\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").transform_filter(\n",
    "    selection_state\n",
    ").add_selection(\n",
    "    brush, selection_state\n",
    ")\n",
    "\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 57,
   "id": "1352367c",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-906e71dc22d549c797b4b689902a4da9.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-906e71dc22d549c797b4b689902a4da9.vega-embed details,\n",
       "  #altair-viz-906e71dc22d549c797b4b689902a4da9.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-906e71dc22d549c797b4b689902a4da9\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-906e71dc22d549c797b4b689902a4da9\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-906e71dc22d549c797b4b689902a4da9\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}}, \"height\": 300, \"transform\": [{\"calculate\": \"log(datum[\\\"Population\\\"])/log(10)\", \"as\": \"log_pop\"}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 57,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "#    log_pop = 'log(datum.Population)/log(10)'\n",
    "    log_pop = 'log(datum[\"Population\"])/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.Y(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.X(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ")\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 59,
   "id": "b0d60428",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-78121485b96c484bba3d56dc376ae3a5.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-78121485b96c484bba3d56dc376ae3a5.vega-embed details,\n",
       "  #altair-viz-78121485b96c484bba3d56dc376ae3a5.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-78121485b96c484bba3d56dc376ae3a5\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-78121485b96c484bba3d56dc376ae3a5\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-78121485b96c484bba3d56dc376ae3a5\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}}, \"height\": 300, \"params\": [{\"name\": \"param_22\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}}, {\"name\": \"param_23\", \"select\": {\"type\": \"point\", \"fields\": [\"State\"]}, \"bind\": {\"input\": \"select\", \"options\": [null, \"TN\", \"NC\", \"VA\", \"SC\", \"MS\", \"LA\", \"AR\", \"KY\", \"AL\", \"GA\", \"FL\", \"WV\", \"MD\", \"DC\", \"MI\", \"OH\", \"IN\", \"IL\", \"PA\", \"NY\", \"NJ\", \"DE\", \"ME\", \"VT\", \"RI\", \"MA\", \"NH\", \"CT\", \"WI\", \"MN\", \"IA\", \"MO\", \"ND\", \"SD\", \"MT\", \"NE\", \"WY\", \"CO\", \"KS\", \"OK\", \"TX\", \"NM\", \"AK\", \"ID\", \"HI\", \"AZ\", \"OR\", \"UT\", \"CA\", \"NV\", \"WA\"], \"labels\": [\"All\", \"TN\", \"NC\", \"VA\", \"SC\", \"MS\", \"LA\", \"AR\", \"KY\", \"AL\", \"GA\", \"FL\", \"WV\", \"MD\", \"DC\", \"MI\", \"OH\", \"IN\", \"IL\", \"PA\", \"NY\", \"NJ\", \"DE\", \"ME\", \"VT\", \"RI\", \"MA\", \"NH\", \"CT\", \"WI\", \"MN\", \"IA\", \"MO\", \"ND\", \"SD\", \"MT\", \"NE\", \"WY\", \"CO\", \"KS\", \"OK\", \"TX\", \"NM\", \"AK\", \"ID\", \"HI\", \"AZ\", \"OR\", \"UT\", \"CA\", \"NV\", \"WA\"]}}], \"transform\": [{\"calculate\": \"log(datum.Population)/log(10)\", \"as\": \"log_pop\"}, {\"filter\": {\"param\": \"param_23\"}}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 59,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "brush = alt.selection_interval(encodings=['x','y'])\n",
    "\n",
    "dropdown = alt.binding_select(options=[None] + mobility['State'].unique().tolist(), \n",
    "                             labels = ['All']+ mobility['State'].unique().tolist())\n",
    "selection_state = alt.selection_single(fields=['State'], bind=dropdown)\n",
    "\n",
    "\n",
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "    log_pop = 'log(datum.Population)/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.X(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.Y(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").transform_filter(\n",
    "    selection_state\n",
    ").add_selection(\n",
    "    brush, selection_state\n",
    ")\n",
    "\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 60,
   "id": "0deb7583",
   "metadata": {},
   "outputs": [
    {
     "data": {
      "text/html": [
       "\n",
       "<style>\n",
       "  #altair-viz-c10650933f0d4f8e8fef45fc64e46ada.vega-embed {\n",
       "    width: 100%;\n",
       "    display: flex;\n",
       "  }\n",
       "\n",
       "  #altair-viz-c10650933f0d4f8e8fef45fc64e46ada.vega-embed details,\n",
       "  #altair-viz-c10650933f0d4f8e8fef45fc64e46ada.vega-embed details summary {\n",
       "    position: relative;\n",
       "  }\n",
       "</style>\n",
       "<div id=\"altair-viz-c10650933f0d4f8e8fef45fc64e46ada\"></div>\n",
       "<script type=\"text/javascript\">\n",
       "  var VEGA_DEBUG = (typeof VEGA_DEBUG == \"undefined\") ? {} : VEGA_DEBUG;\n",
       "  (function(spec, embedOpt){\n",
       "    let outputDiv = document.currentScript.previousElementSibling;\n",
       "    if (outputDiv.id !== \"altair-viz-c10650933f0d4f8e8fef45fc64e46ada\") {\n",
       "      outputDiv = document.getElementById(\"altair-viz-c10650933f0d4f8e8fef45fc64e46ada\");\n",
       "    }\n",
       "    const paths = {\n",
       "      \"vega\": \"https://cdn.jsdelivr.net/npm/vega@5?noext\",\n",
       "      \"vega-lib\": \"https://cdn.jsdelivr.net/npm/vega-lib?noext\",\n",
       "      \"vega-lite\": \"https://cdn.jsdelivr.net/npm/vega-lite@5.8.0?noext\",\n",
       "      \"vega-embed\": \"https://cdn.jsdelivr.net/npm/vega-embed@6?noext\",\n",
       "    };\n",
       "\n",
       "    function maybeLoadScript(lib, version) {\n",
       "      var key = `${lib.replace(\"-\", \"\")}_version`;\n",
       "      return (VEGA_DEBUG[key] == version) ?\n",
       "        Promise.resolve(paths[lib]) :\n",
       "        new Promise(function(resolve, reject) {\n",
       "          var s = document.createElement('script');\n",
       "          document.getElementsByTagName(\"head\")[0].appendChild(s);\n",
       "          s.async = true;\n",
       "          s.onload = () => {\n",
       "            VEGA_DEBUG[key] = version;\n",
       "            return resolve(paths[lib]);\n",
       "          };\n",
       "          s.onerror = () => reject(`Error loading script: ${paths[lib]}`);\n",
       "          s.src = paths[lib];\n",
       "        });\n",
       "    }\n",
       "\n",
       "    function showError(err) {\n",
       "      outputDiv.innerHTML = `<div class=\"error\" style=\"color:red;\">${err}</div>`;\n",
       "      throw err;\n",
       "    }\n",
       "\n",
       "    function displayChart(vegaEmbed) {\n",
       "      vegaEmbed(outputDiv, spec, embedOpt)\n",
       "        .catch(err => showError(`Javascript Error: ${err.message}<br>This usually means there's a typo in your chart specification. See the javascript console for the full traceback.`));\n",
       "    }\n",
       "\n",
       "    if(typeof define === \"function\" && define.amd) {\n",
       "      requirejs.config({paths});\n",
       "      require([\"vega-embed\"], displayChart, err => showError(`Error loading script: ${err.message}`));\n",
       "    } else {\n",
       "      maybeLoadScript(\"vega\", \"5\")\n",
       "        .then(() => maybeLoadScript(\"vega-lite\", \"5.8.0\"))\n",
       "        .then(() => maybeLoadScript(\"vega-embed\", \"6\"))\n",
       "        .catch(showError)\n",
       "        .then(() => displayChart(vegaEmbed));\n",
       "    }\n",
       "  })({\"config\": {\"view\": {\"continuousWidth\": 300, \"continuousHeight\": 300}}, \"data\": {\"url\": \"https://raw.githubusercontent.com/UIUC-iSchool-DataViz/is445_data/main/mobility.csv\"}, \"mark\": {\"type\": \"rect\"}, \"encoding\": {\"color\": {\"aggregate\": \"count\", \"type\": \"quantitative\"}, \"x\": {\"bin\": {\"maxbins\": 50}, \"field\": \"log_pop\", \"title\": \"log(Population)\", \"type\": \"quantitative\"}, \"y\": {\"bin\": {\"maxbins\": 10}, \"field\": \"Student_teacher_ratio\", \"type\": \"quantitative\"}}, \"height\": 300, \"params\": [{\"name\": \"param_24\", \"select\": {\"type\": \"interval\", \"encodings\": [\"x\", \"y\"]}, \"bind\": \"scales\"}], \"transform\": [{\"calculate\": \"log(datum[\\\"Population\\\"])/log(10)\", \"as\": \"log_pop\"}], \"$schema\": \"https://vega.github.io/schema/vega-lite/v5.8.0.json\"}, {\"mode\": \"vega-lite\"});\n",
       "</script>"
      ],
      "text/plain": [
       "alt.Chart(...)"
      ]
     },
     "execution_count": 60,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "chart1 = alt.Chart(mobility_url).transform_calculate(\n",
    "#    log_pop = 'log(datum.Population)/log(10)'\n",
    "    log_pop = 'log(datum[\"Population\"])/log(10)'\n",
    ").mark_rect().encode(\n",
    "    alt.Y(\"Student_teacher_ratio:Q\", bin=alt.Bin(maxbins=10)),\n",
    "    #alt.Y(\"Population:Q\", bin=alt.Bin(maxbins=50), scale=alt.Scale(type='log')),\n",
    "    alt.X(\"log_pop:Q\", bin=alt.Bin(maxbins=50), title='log(Population)'),\n",
    "    alt.Color(\"count()\")\n",
    ").properties(\n",
    "    height=300\n",
    ").interactive()\n",
    "chart1"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "59b5d4dd",
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.8.12"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
